SuperMemo: User's Reference

SuperMemo 2004
User's Reference
  • Before you buy
    • What's new in SuperMemo 2004
    • SuperMemo 2004 in screenshots
    • Minimum requirements
  • First steps with SuperMemo
    • Installation
    • ABC of SuperMemo 2004 (3 minutes guide)
    • Step by step: SuperMemo User's Guide (1 month course)
    • Hints&Tips: Quick suggestions on how to do things in SuperMemo 2004
    • FAQ: Beginner's questions
    • SuperMemo Decalog: to make sure you succeed
    • 20 rules of formulating knowledge in learning
    • Introduction to SuperMemo (article written by a user from a beginner's perspective)
  • Advanced functions and troubles
    • Menus, buttons, windows, and dialogs
    • Overviews (how-to articles)
    • FAQ (Frequently Asked Questions)
    • Troubleshooting
    • Contact Support
  • FAQs
  • Glossary
Feature request:

If you have trouble locating information in these help files or you need an overview of some features, please send your request or remarks. We realize that only by providing you with excellent documentation, we can cut down on support costs!


Super Memory

Super Memory: Forget about forgetting
This website is devoted to improving memory, self-growth, creativity, time-management, and speed-learning software SuperMemo (see: Site Summary for a quick overview)
Articles: Six steps to excellent memory Genius and creativity 20 rules of formulating knowledge 20 myths of memory and learning Good sleep for good learning Devouring knowledge 10 rules of SuperMemo Incremental reading How memory works Build your vocabulary Reading the Internet Brain cell developer Scientific conquest of forgetful memory Flow of knowledge in SuperMemo (more) | News
 | Shopping
What is SuperMemo? The idea, History, It really works! Opinions, Awards, Theory Versions, Software 1987-2002 | SuperMemo for Pocket PC Order, Download, Help, FAQ
SuperMemo for Windows Screen Tour, ABC, Guide Download, What's new?, Upgrade | SuperMemo for Palm Pilot Order, Download, Register, Help, FAQ, Library, Accolades
SuperMemo Help, ABC, Guide Download Help, Overviews, Hints&Tips | Student Library
FAQ Memory, Genius and creativity, Sleep, SuperMemo, Learning with SuperMemo, Incremental reading, New | Support Community, FAQ, Troubleshooting, Contact


20 rules of formulating knowledge in learning

Effective learning: Twenty rules of formulating knowledge Dr Piotr Wozniak,
February, 1999
(updated)
This article will help you overcome one of the greatest difficulties you will face when trying to accelerate learning: formulating knowledge
  • German
  • Portuguese
  • Serbian

The speed of learning will depend on the way you formulate the material. The same material can be learned many times faster if well formulated! The difference in speed can be stunning!

The rules are listed in the order of importance. Those listed first are most often violated or bring most benefit if complied with!

There is an underlying assumption that you will proceed with learning using spaced repetition, i.e. you will not just learn once but you will repeat the material optimally (as in SuperMemo).

The 20 rules of formulating knowledge in learning

  1. Do not learn if you do not understand

    Trying to learn things you do not understand may seem like an utmost nonsense. Still, an amazing proportion of students commit the offence of learning without comprehension. Very often they have no other choice! The quality of many textbooks or lecture scripts is deplorable while examination deadlines are unmovable.

    If you are not a speaker of German, it is still possible to learn a history textbook in German. The book can be crammed word for word. However, the time needed for such "blind learning" is astronomical. Even more important: The value of such knowledge is negligible. If you cram a German book on history, you will still know nothing of history.

    The German history book example is an extreme. However, the materials you learn may often seem well structured and you may tend to blame yourself for lack of comprehension. Soon you may pollute your learning process with a great deal of useless material that treacherously makes you believe "it will be useful some day".

  2. Learn before you memorize

    Before you proceed with memorizing individual facts and rules, you need to build an overall picture of the learned knowledge. Only when individual pieces fit to build a single coherent structure, will you be able to dramatically reduce the learning time. This is closely related to the problem comprehension mentioned in Rule 1: Do not learn if you do not understand. A single separated piece of your picture is like a single German word in the textbook of history.

    Do not start from memorizing loosely related facts! First read a chapter in your book that puts them together (e.g. the principles of the internal combustion engine). Only then proceed with learning using individual questions and answers (e.g. What moves the pistons in the internal combustion engine?), etc.

  3. Build upon the basics

    The picture of the learned whole (as discussed in Rule 2: Learn before you memorize) does not have to be complete to the last detail. Just the opposite, the simpler the picture the better. The shorter the initial chapter of your book the better. Simple models are easier to comprehend and encompass. You can always build upon them later on.

    Do not neglect the basics. Memorizing seemingly obvious things is not a waste of time! Basics may also appear volatile and the cost of memorizing easy things is little. Better err on the safe side. Remember that usually you spend 50% of your time repeating just 3-5% of the learned material [source]! Basics are usually easy to retain and take a microscopic proportion of your time. However, each memory lapse on basics can cost you dearly!

  4. Stick to the minimum information principle

    The material you learn must be formulated in as simple way as it is only possible. Simplicity does not have to imply losing information and skipping the difficult part. Simplicity is imperative due to the way the brain works. There are two main reasons for which knowledge must be simple:

    • Simple is easy
      By definition, simple material is easy to remember. This comes from the fact that its simplicity makes is easy for the brain to process it always in the same way. Imagine a labyrinth. When making a repetition of a piece of material, your brain is running through a labyrinth (you can view a neural network as a tangle of paths). While running through the labyrinth, the brain leaves a track on the walls. If it can run in only one unique way, the path is continuous and easy to follow. If there are many combinations, each run may leave a different trace that will interfere with other traces making it difficult to find the exit. The same happens on the cellular level with different synaptic connections being activated at each repetition of complex material
    • Repetitions of simple items are easier to schedule
      I assume you will make repetitions of the learned material using optimum inter-repetition intervals (as in SuperMemo). If you consider an item that is composed of two sub-items, you will need to make repetitions that are frequent enough to keep the more difficult item in memory. If you split the complex item into sub-items, each can be repeated at its own pace saving your time. Very often, inexperienced students create items that could easily be split into ten or more simpler sub-items! Although the number of items increases, the number of repetitions of each item will usually be small enough to greatly outweigh the cost of (1) forgetting the complex item again and again, (2) repeating it in excessively short intervals or (3) actually remembering it only in part!

    Here is a striking example:

    Ill-formulated knowledge - Complex and wordy

    Q: What are the characteristics of the Dead Sea?

    A: Salt lake located on the border between Israel and Jordan. Its shoreline is the lowest point on the Earth's surface, averaging 396 m below sea level. It is 74 km long. It is seven times as salty (30% by volume) as the ocean. Its density keeps swimmers afloat. Only simple organisms can live in its saline waters

    Well-formulated knowledge - Simple and specific

    Q: Where is the Dead Sea located?
    A: on the border between Israel and Jordan

    Q: What is the lowest point on the Earth's surface?
    A: The Dead Sea shoreline

    Q: What is the average level on which the Dead Sea is located?
    A: 400 meters (below sea level)

    Q: How long is the Dead Sea?
    A: 70 km

    Q: How much saltier is the Dead Sea as compared with the oceans?
    A: 7 times

    Q: What is the volume content of salt in the Dead Sea?
    A: 30%

    Q: Why can the Dead Sea keep swimmers afloat?
    A: due to high salt content

    Q: Why is the Dead Sea called Dead?
    A: because only simple organisms can live in it

    Q: Why only simple organisms can live in the Dead Sea?
    A: because of high salt content

    You might want to experiment and try to learn two subjects using the two above approaches and see for yourself what advantage is brought by minimum information principle. This is particularly visible in the long perspective, i.e. the longer the time you need to remember knowledge, the more you benefit from simplifying your items!

    Note in the example above how short the questions are. Note also that the answers are even shorter! We want a minimum amount of information to be retrieved from memory in a single repetition! We want answer to be as short as imaginably possible!

    You will notice that the knowledge learned in the ill-structured example is not entirely equivalent to the well-structured formulation. For example, although you will remember why the Dead Sea can keep swimmers afloat, you may forget that it at all has such a characteristic in the first place! Additionally, rounding 396 to 400 and 74 to 70 produces some loss of information. These can be remedied by adding more questions or making the present ones more precise.

    You will also lose the ability to fluently recite the description of the Dead Sea when called up to the blackboard by your teachers. I bet, however, that shining in front of the class is not your ultimate goal in learning. To see how to cope with recitations and poems, read further (section devoted to enumerations)

  5. Cloze deletion is easy and effective

    Cloze deletion is a sentence with its parts missing and replaced by three dots. Cloze deletion exercise is an exercise that uses cloze deletion to ask the student to fill in the gaps marked with the three dots. For example, Bill ...[name] was the second US president to go through impeachment.

    If you are a beginner and if you find it difficult to stick to the minimum information principle, use cloze deletion! If you are an advanced user, you will also like cloze deletion. It is a quick and effective method of converting textbook knowledge into knowledge that can be subject to learning based on spaced repetition. Cloze deletion makes the core of the fast reading and learning technique called incremental reading.

    Ill-formulated knowledge - Complex and wordy

    Q: What was the history of the Kaleida company?

    A: Kaleida, funded to the tune of $40 million by Apple Computer and IBM in 1991. Hyped as a red-hot startup, Kaleida's mission was to create a multimedia programming language It finally produced one, called Script X. But it took three years. Meanwhile, companies such as Macromedia and Asymetrix had snapped up all the business. Kaleida closed in 1995

    Well-formulated knowledge - Simple cloze deletion

    Q: Kaleida was funded to the tune of ...(amount) by Apple Computer and IBM in 1991
    A: $40 million

    Q: Kaleida was funded to the tune of $40 million by ...(companies) in 1991
    A: Apple and IBM

    Q: Kaleida was funded to the tune of $40 million by Apple Computer and IBM in ... (year)
    A: 1991

    Q: ...(company) mission was to create a multimedia programming language. It finally produced one, called Script X. But it took three years
    A: Kaleida's

    Q: Kaleida's mission was to create a ... It finally produced one, called Script X. But it took three years
    A: multimedia programming language

    Q: Kaleida's mission was to create a multimedia programming language. It finally produced one, called ... But it took three years
    A: Script X

    Q: Kaleida's mission was to create a multimedia programming language. It finally produced one, called Script X. But it took ...(time)
    A: three years

    Q: Kaleida's mission was to create a multimedia programming language: Script X. But it took three years. Meanwhile, companies such as ... had snapped up all the business
    A: Macromedia/Asymetrix

    Q: Kaleida's mission was to create Script X. But it took three years. Meanwhile, companies such as Macromedia and Asymetrix had snapped up all the business. Kaleida closed in ...(year)
    A: 1995

    Optional: SuperMemo Recipe:

    SuperMemo 2002

    SuperMemo 2000

    SuperMemo 98/99
    Creating cloze deletions in SuperMemo 2002:

    select the keyword that is to be replaced with tree dots and press Alt+Z

    Generating a cloze deletions from texts placed in the clipboard in SuperMemo 2000:

    1. Press Ctrl+Alt+N to paste the text to SuperMemo

    2. Select the part that is to be replaced with three dots

    3. Right-click to open the component menu and select Reading : Remember cloze (or click one of cloze icons on the reading toolbar)

    Cloze deletions in SuperMemo 98/99:

    1. Press Ctrl+A to add a standard question-and-answer item
    2. Paste the text into the question field. This will create the outline of your items
    3. Press Ctrl+Alt+U to Duplicate the element
    4. Select the part that is to be replaced with three dots
    5. Cut the selection to the clipboard (e.g. with Shift+Del)
    6. Type in three dots (optionally, add the explanation in parentheses as in above examples)
    7. Press Ctrl+T to save the question field and move to the answer field
    8. Paste the text cut in Step 5 (e.g. with Shift+Ins or Ctrl+V). Your first item is ready
    9. Press PgUp to go back to the outline item created in Step 2
    10. Goto Step 3 and continue adding new items
  6. Use imagery

    Visual cortex is that part of the brain in which visual stimuli are interpreted. It has been very well developed in the course of evolution and that is why we say one picture is worth a thousand words. Indeed if you look at the number of details kept in a picture and the easiness with which your memory can retain them, you will notice that our verbal processing power is greatly inferior as compared with the visual processing power. The same refers to memory. A graphic representation of information is usually far less volatile.

    Usually it takes much less time to formulate a simple question-and-answer pair than to find or produce a neat graphic image. This is why you will probably always have to weigh up cost and profits in using graphics in your learning material. Well-employed images will greatly reduce your learning time in areas such as anatomy, geography, geometry, chemistry, history, and many more.

    The power of imagery explains why the concept of Tony Buzan's mind maps is so popular. A mind map is an abstract picture in which connections between its components reflect the logical connections between individual concepts.

    Less beneficial formulation

    Q: What African country is located between Kenya, Zambia and Mozambique?

    A: Tanzania

    More effective formulation

    Q: What African country is marked white on the map?

    A: Tanzania

  7. Use mnemonic techniques

    Mnemonic techniques are various techniques that make remembering easier. They are often amazingly effective. For most students, a picture of a 10-year-old memorizing a sequence of 50 playing cards verges on discovering a young genius. It is very surprising then to find out how easy it is to learn the techniques that make it possible with a dose of training. These techniques are available to everyone and do not require any special skills!

    Before you start believing that mastering such techniques will provide you with an eternal solution to the problem of forgetting, be warned that the true bottleneck towards long-lasting and useful memories is not in quickly memorizing knowledge! This is indeed the easier part. The bottleneck lies in retaining memories for months, years or for lifetime! To accomplish the latter you will need SuperMemo and the compliance with the 20 rules presented herein.

    There have been dozens of books written about mnemonic techniques. Probably those written by Tony Buzan are most popular and respected. You can search the web for keywords such as: mind maps, peg lists, mnemonic techniques, etc.

    Experience shows that with a dose of training you will need to consciously apply mnemonic techniques in only 1-5% of your items. With time, using mnemonic techniques will become automatic!

    Exemplary mind map:

    (Six Steps mind map generated in Mind Manager 3.5, imported to SuperMemo 2004, courtesy of John England, TeamLink Australia)

  8. Graphic deletion is as good as cloze deletion

    Graphic deletion works like cloze deletion but instead of a missing phrase it uses a missing image component. For example, when learning anatomy, you might present a complex illustration. Only a small part of it would be missing. The student's job is to name the missing area. The same illustration can be used to formulate 10-20 items! Each item can ask about a specific subcomponent of the image. Graphic deletion works great in learning geography!

    Exemplary graphic deletion:

    SuperMemo 2000/2002 SuperMemo 99
    This is how you can quickly generate graphic deletion using a picture from the clipboard:
    1. Press Shift+Ins to paste the picture to SuperMemo
    2. Press Ctrl+Shift+M and choose Occlusion template to apply graphic deletion template
    3. SuperMemo 2000 only: Choose Ctrl+Shift+F2 to impose and detach the Occlusion template
    4. Fill out the fields and place the occlusion rectangle to cover the appropriate part of the picture (use Alt+click twice to set the rectangle in the dragging mode)
             In SuperMemo 99 you will need a few more steps:
    1. Create an item containing the following components:
      • question text: What is the name of the area covered with the red rectangle?
      • empty answer text (click Answer on the component menu)
      • your illustration (use Import file on the image component menu)
      • red rectangle component (choose red color with Color on the rectangle component menu)
    2. Choose Duplicate on the element menu (e.g. by pressing Ctrl+Alt+U)
    3. Ctrl+click the rectangle component twice to place it in the dragging mode
    4. Drag and size the red rectangle to cover the area in question
    5. Type in the answer in the answer field
    6. Press PgUp to go back to the original element created in Step 1
    7. Go to Step 2 to add generate more graphic deletions

    Note that you could also paint covering rectangles or circles on the original image but this would greatly increase the size of your collection. The above method makes sure that you reuse the same image many times in all items of the same template. For example, the collection Brain Anatomy available from SuperMemo Library and on SuperMemo MegaMix CD-ROM uses the above technique

    A more detailed recipe for creating occlusion tests is presented in: Flow of knowledge

  9. Avoid sets

    One of the classic examples of items that are always hard to learn are items that ask you to list the members of a set. For example: What countries belong to the European Union? You should avoid such items whenever possible due to the high cost of retaining memories based on sets. If sets are absolutely necessary, you should always try to convert them into enumerations. Enumerations are ordered lists of members (for example, the alphabetical list of the members of the EU). Enumerations are also hard to remember and should be avoided. However, the great advantage of enumerations over sets is that they are ordered and they force the brain to list them always in the same order. An ordered list of countries contains more information than the set of countries that can be listed in any order. Paradoxically, despite containing more information, enumerations are easier to remember. The reason for this has been discussed earlier in the context of the minimum information principle: you should always try to make sure your brain works in the exactly same way at each repetition. In the case of sets, listing members in varying order at each repetition has a disastrous effect on memory. It is nearly impossible to memorize sets containing more than five members without the use of mnemonic techniques, enumeration, grouping, etc. Despite this claim, you will often succeed due to subconsciously mastered techniques that help you go around this problem. Those techniques, however, will fail you all too often. For that reason: Avoid sets! If you need them badly, convert them into enumerations and use techniques for dealing with enumerations

    Ill-formulated knowledge - Sets are unacceptable!

    Q: What countries belong to the European Union (2002)?

    A: Austria, Belgium, Denmark, Finland, France, Germany, Greece, Ireland, Italy, Luxembourg, the Netherlands, Portugal, Spain, Sweden, and the United Kingdom

    Well-formulated knowledge - Converting a set into a meaningful listing

    Q: Which country hosted a meeting to consider the creation of a European Community of Defence in 1951?
    A: France

    Q: Which countries apart from France joined the European Coal and Steel Community in 1952?
    A: Germany, Italy and the Benelux

    Q: What countries make up the Benelux?
    A: Belgium, Luxembourg, and the Netherlands

    Q: Whose membership did Charles de Gaulle oppose in the 1960s?
    A: that of UK

    Q: Which countries joined the EEC along the UK in 1973?
    A: Ireland and Denmark

    Q: Which country joined the EEC in 1981?
    A: Greece

    Q: Which countries joined the EEC in 1986?
    A: Spain and Portugal

    Q: Which countries joined the EU in 1995?
    A: Austria, Sweden and Finland

    Q: What was the historic course of expansion of the European Union membership?
    A: (1) France and (2) Germany, Italy and the Benelux, (3) UK and (4) Ireland and Denmark, (5) Greece, (6) Spain and Portugal and (7) Austria, Sweden and Finland

    Note that in the example above, we converted a 15-member set into 9 items, five of which are 2-3 member sets, and one is a six member enumeration. Put it to your SuperMemo, and see how easy it is to generate the list of the European Union members using the historic timeline! Note the tricks used with France and the UK. They joined the union in the company of others but have been listed as separate items to simplify the learning process. Note also that the sum of information included in this well-formulated approach is far greater than that of the original set. Thus along simplicity, we gained some useful knowledge. All individual items effectively comply with the minimum information principle! You could go further by trying to split the Germany-Italy-Benelux set or using mnemonic techniques to memorize the final seven-member enumeration (i.e. the last of the questions above). However, you should take those steps only if you have any problems with retaining the proposed set in memory.

  10. Avoid enumerations

    Enumerations are also an example of classic items that are hard to learn. They are still far more acceptable than sets. Avoid enumerations wherever you can. If you cannot avoid them, deal with them using cloze deletions (overlapping cloze deletions if possible). Learning the alphabet can be a good example of an overlapping cloze deletion:

    Hard to learn item

    Q: What is the sequence of letters in the alphabet?

    A: abcdefghijklmnopqrstuvwxyz

    Easy to learn items

    Q: What three letters does the alphabet begin with?
    A: ABC

    Q: Fill out the missing letters of the alphabet A ... ... ... E
    A: B, C, D

    Q: Fill out the missing letters of the alphabet B ... ... ... F
    A: C, D, E

    Q: Fill out the missing letters of the alphabet C ... ... ... G
    A: D, E, F

    The above items will make learning the alphabet much faster. The greatest advantage of the above approach is that is it easier for psychological reasons: the student does not have to stop repetitions to recite the whole sequence and can only focus on a small part of the learned material. Still it is recommended that he recite the whole alphabet after making the repetition. However, once all individual pieces are well remembered, reciting the whole should be a pleasant and speedy action that produces little frustration.
    The cloze deletion used above is an overlapping cloze deletion, i.e. the same parts of the enumeration are strengthened in memory using different items (for example, the sequence C-D will be needed to recall the second and the third item). This redundancy does not contradict the minimum information principle because the extra information is added in extra items.

    You can also deal with enumerations by using grouping like in the case of sets (see the European Union example) but cloze deletions should be simpler and should suffice in most cases.
    Learning poems is an example of learning enumerations (all words and sentences have to be uttered in a predefined sequence); however, due to strong semantic connections, the rhyme and the rhythm, it may often be possible to effectively remember poems without using cloze deletion and without the frustration of forgetting small subcomponents again and again. However, once you notice you stumble with your poem, you should dismember it using cloze deletion and thus make sure that the learning is fast, easy, effective and pleasurable

    A poem that is hard to remember

    Q: The credit belongs ... (Teddy Roosevelt)

    A: The credit belongs to the man who's actually in the arena, whose face is marred by dust and sweat; a man who knows the great enthusiasm and the great devotions, who spends himself in a worthy cause, who in the end knows the triumph of high achievement, so that his place shall never be with those cold and timid souls who know neither victory nor defeat

    A poem split into easy items

    Q: The credit belongs ... (Teddy Roosevelt)
    A: to the man who's actually in the arena

    Q: The credit belongs to the man who's actually in the arena ...
    A: whose face is marred by dust and sweat (a man who knows the great enthusiasm)

    Q: whose face is marred by dust and sweat ... (The credit belongs)
    A: a man who knows the great enthusiasm and the great devotions (who spends himself in a worthy cause)

    Q: a man who knows the great enthusiasm and the great devotions ... (The credit belongs)
    A: who spends himself in a worthy cause (who in the end knows the triumph of high achievement)

    Q: who spends himself in a worthy cause ... (The credit belongs)
    A: who in the end knows the triumph of high achievement (so that his place shall never be), etc. etc.

    Does it all sound artificial? It does! But you will never know how effective this approach is until you try it by yourself!

  11. Combat interference

    When you learn about similar things you often confuse them. For example, you may have problems distinguishing between the meanings of the words historic and historical. This will even be more visible if you memorize lots of numbers, e.g. optimum dosages of drugs in pharmacotherapy. If knowledge of one item makes it harder to remember another item, we have a case of memory interference. You can often remember an item for years with straight excellent grades until ... you memorize another item that makes it nearly impossible to remember either! For example, if you learn geography and you memorize that the country located between Venezuela, Suriname and Brazil is Guyana, you are likely to easily recall this fact for years with just a couple of repetitions. However, once you add similar items asking about the location of all these countries, and French Guyana, and Colombia and more, you will suddenly notice strong memory interference and you may experience unexpected forgetting. In simple terms: you will get confused about what is what.

    Interference is probably the single greatest cause of forgetting in collections of an experienced user of SuperMemo. You can never be sure when it strikes, and the only hermetic procedure against it is to detect and eliminate. In other words, in many cases it may be impossible to predict interference at the moment of formulating knowledge. Interference can also occur between remotely related items like Guyana, Guyard and Guyenne, as well as Guyana, kayman and ... aspirin. It may work differently for you and for your colleague. It very hard to predict.

    Still you should do your best to prevent interference before it takes its toll. This will make your learning process less stressful and mentally bearable. Here are some tips:

    • make items as unambiguous as possible
    • stick to the minimum information principle (many of the remaining rules in this text are based on avoiding interference!)
    • eliminate interference as soon as you spot it, i.e. before it becomes your obsession (e.g. as soon as you see the word inept you think "I know the meanings of inept and inapt but I will never know which is which!")

    • in SuperMemo use View : Other browsers : Leeches (Shift+F3) to regularly review and eliminate most difficult items

    • read more: Memory interference
  12. Optimize wording

    The wording of your items must be optimized to make sure that in minimum time the right bulb in your brain lights up. This will reduce error rates, increase specificity, reduce response time, and help your concentration.

    Less optimum item: cloze deletion that is too wordy

    Q: Aldus invented desktop publishing in 1985 with PageMaker. Aldus had little competition for years, and so failed to improve. Then Denver-based ... blew past. PageMaker, now owned by Adobe, remains No. 2
    A: Quark

    Better item: fewer words will speed up learning

    Q: Aldus invented desktop publishing in 1985 with PageMaker but failed to improve. Then ... blew past (PageMaker remains No. 2)
    A: Quark

    Or better:

    Q: Aldus invented desktop publishing with PageMaker but failed to improve. It was soon outdistanced by ...
    A: Quark

    Or better:

    Q: PageMaker failed to improve and was outdistanced by ...
    A: Quark

    Or better:

    Q: PageMaker lost ground to ...
    A: Quark

    Note that the loss of information content in this item is inconsequential. During repetition you are only supposed to learn the name: Quark. You should not hope that the trailing messages on the ownership of PageMaker and the year of its development will somehow trickle to your memory as a side effect. You should decide if the other pieces of information are important to you and if so, store them in separate items (perhaps reusing the above text, employing cloze deletion again and optimizing the wording in a new way). Otherwise the redundant information will only slow down your learning process!

  13. Refer to other memories

    Referring to other memories can place your item in a better context, simplify wording, and reduce interference. In the example below, using the words humble and supplicant helps the student focus on the word shamelessly and thus strengthen the correct semantics. Better focus helps eliminating interference. Secondly, the use of the words humble and supplicant makes it possible to avoid interference of cringing with these words themselves. Finally, the proposed wording is shorter and more specific. Naturally, the rules basics-to-details and do not learn what you do not understand require that the words humble and supplicant be learned beforehand (or at least at the same time)

    Item subject to strong interference

    Q: derog: adj: shamelessly conscious of one's failings and asking in a begging way
    A: cringing

    Item that uses interfering memories to amplify the correct meaning

    Q: derog: adj: shamelessly humble and supplicant
    A: cringing
  14. Personalize and provide examples

    One of the most effective ways of enhancing memories is to provide them with a link to your personal life. In the example below you will save time if you use a personal reference rather than trying to paint a picture that would aptly illustrate the question

    Harder item

    Q: What is the name of a soft bed without arms or back?
    A: divan

    Easier item

    Q: What is the name of a soft bed without arms or back? (like the one at Robert's parents)
    A: divan

    If you remember exactly what kind of soft bed can be found in Robert's parents' apartment you will save time by not having to dig exactly into the semantics of the definition and/or looking for an appropriate graphic illustration for the piece of furniture in question. Personalized examples are very resistant to interference and can greatly reduce your learning time

  15. Rely on emotional states

    If you can illustrate your items with examples that are vivid or even shocking, you are likely to enhance retrieval (as long as you do not overuse same tools and fall victim of interference!). Your items may assume bizarre form; however, as long as they are produced for your private consumption, the end justifies the means. Use objects that evoke very specific and strong emotions: love, sex, war, your late relative, object of your infatuation, Linda Tripp, Nelson Mandela, etc. It is well known that emotional states can facilitate recall; however, you should make sure that you are not deprived of the said emotional clues at the moment when you need to retrieve a given memory in a real-life situation

    Harder item

    Q: a light and joking conversation
    A: banter

    Easier item

    Q: a light and joking conversation (e.g. Mandela and de Klerk in 1992)
    A: banter

    If you have vivid and positive memories related to the meetings between Nelson Mandela and F.W. de Klerk, you are likely to quickly grasp the meaning of the definition of banter. Without the example you might struggle with interference from words such as badinage or even chat. There is no risk of irrelevant emotional state in this example as the state helps to define the semantics of the learned concept! A well-thought example can often reduce your learning time several times! I have recorded examples in which an item without an example was forgotten 20 times within one year, while the same item with a subtle interference-busting example was not forgotten even once in ten repetitions spread over five years. This is roughly equivalent to 25-fold saving in time in the period of 20 years! Such examples are not rare! They are most effectively handled with the all the preceding rules targeted on simplicity and against the interference

  16. Context cues simplify wording

    You can use categories in SuperMemo 2000/2002, provide different branches of knowledge with a different look (different template), use reference labels (Title, Author, Date, etc.) and clearly label subcategories (e.g. with strings such as chem for chemistry, math for mathematics, etc.). This will help you simplify the wording of your items as you will be relieved from the need to specify the context of your question. In the example below, the well-defined prefix bioch: saves you a lot of typing and a lot of reading while still making sure you do not confuse the abbreviation GRE with Graduate Record Examination. Note that in the recommended case, you process the item starting from the label bioch which puts your brain immediately in the right context. While processing the lesser optimum case, you will waste precious milliseconds on flashing the standard meaning of GRE and ... what is worse ... you will light up the wrong areas of your brain that will now perhaps be prone to interference!

    Wordy item can cause accidental lapses through interference

    Q: What does GRE stand for in biochemistry?
    A: glucocorticoid response element

    Context-labeled items increase success rate

    Q: bioch: GRE
    A: glucocorticoid response element
  17. Redundancy does not contradict minimum information principle

    Redundancy in simple terms is more information than needed or duplicate information, etc. Redundancy does not have to contradict the minimum information principle and may even be welcome. The problem of redundancy is too wide for this short text. Here are some examples that are only to illustrate that minimum information principle cannot be understood as minimum number of characters or bits in your collections or even items:

    • passive and active approach: if you learn a foreign language, e.g. Esperanto, you will often build word pairs such as phone-telefono, language-lingvo, hope-esperanto, etc. These pairs require active recall of the foreign word. Active recall does not, however, guarantee passive recognition and you may fail with telefono-phone, lingvo-language, or esperanto-hope. Adding new elements with swapped questions and answers may in some cases be redundant but it does not contradict the minimum information principle! Your items are still as simple as possible. You just get more of them
      In SuperMemo 2000/2002, you can quickly generate swapped word-pair items with Duplicate (Ctrl+Alt+D) and Swap (Ctrl+Shift+S)
    • reasoning cues: you will often want to boost your reasoning ability by asking about a solution to the problem. Instead of just memorizing the answer you would like to quickly follow the reasoning steps (e.g. solve a simple mathematical equation) and generate the answer. In such a case, providing the hint on the reasoning steps in the answer will only serve helping you always follow the right path at repetitions
    • derivation steps: in more complex problems to solve, memorizing individual derivation steps is always highly recommended (e.g. solving complex mathematical problems). It is not cramming! It is making sure that the brain can always follow the fastest path while solving the problem. For more on boosting creativity and intelligence read: Roots of genius and creativity, as well as more specific: Derivation, reasoning and intelligence
    • multiple semantic representation: very often the same knowledge can be represented and viewed from different angles. Memorizing different representations of the same fact or rule is recommended in cases where a given memory is of high value. This will increase the expected recall rate (beyond that specified with the forgetting index)!
    • flexible repetition: if there are many valid responses to the same question make sure that your representation makes it possible to identify the equivalence and reward you with good grades by providing just one of the equivalent choices. For example, if you learn a language, it rarely make sense to learn all synonyms that meet a definition of a concept. It is more adequate to consider a single synonym as the sufficient answer (e.g. a mark made by ink spilt on sth = blot/blob/blotch)
    • more
  18. Provide sources

    Except for well-tested and proven knowledge (such as 2+2=4), it is highly recommended that you include sources from which you have gathered your knowledge. In real-life situation you will often be confronted with challenges to your knowledge. Sources can come to your rescue. You will also find that facts and figures differ depending on the source. You can really be surprised how frivolously reputable information agencies publish figures that are drastically different from other equally reputable sources. Without SuperMemo, those discrepancies are often difficult to notice: before you encounter the new fact, the old one is often long forgotten. With sources provided, you will be able to make more educated choices on which pieces of information are more reliable. Adding reliability labels may also be helpful (e.g. Watch out!, Other sources differ!, etc.). Sources should accompany your items but should not be part of the learned knowledge (unless it is critical for you to be able to recall the source whenever asked).

  19. Provide date stamping

    Knowledge can be relatively stable (basic math, anatomy, taxonomy, physical geography, etc.) and highly volatile (economic indicators, high-tech knowledge, personal statistics, etc.). It is important that you provide your items with time stamping or other tags indicating the degree of obsolescence. In case of statistical figures, you might stamp them with the year they have been collected. When learning software applications, it is enough you stamp the item with the software version. Once you have newer figures you can update your items. Unfortunately, in most cases you will have to re-memorize knowledge that became outdated. Date stamping is useful in editing and verifying your knowledge; however, you will rarely want to memorize stamping itself. If you would like to remember the changes of a given figure in time (e.g. GNP figures over a number of years), the date stamping becomes the learned knowledge itself.

  20. Prioritize

    You will always face far more knowledge that you will be able to master. That is why prioritizing is critical for building quality knowledge in the long-term. The way you prioritize will affect the way your knowledge slots in. This will also affect the speed of learning (e.g. see: learn basics first). There are many stages at which prioritizing will take place; only few are relevant to knowledge representation, but all are important:

    1. Prioritizing sources - there will always be a number of sources of your knowledge. If you are still at student years: these will most likely be books and notes pertaining to different subjects. Otherwise you will probably rely more on journals, Internet, TV, newspapers, encyclopedias, dictionaries, etc. It is always worth being aware what is the optimum proportion of time devoted to those varied sources. As you progress with learning, you will quickly develop a good sense of which learning slots bring better results and which might be extended at the cost of others
    2. Extracting knowledge - unless you are about to pass an important exam, it nearly never makes sense to memorize whole books or whole articles. You will need to extract those parts that are most likely to impact the quality of your knowledge. You can do it by (1) marking paragraphs in a book or journal, (2) pasting relevant web pages to SuperMemo, (3) pasting relevant passages to SuperMemo, (4) typing facts and figures directly to SuperMemo notes, etc. You will need some experience before you can accurately measure how much knowledge you can indeed transfer to your brain and what degree of detail you can feasibly master. Your best way to prioritize the flow of knowledge into your memory is to use incremental reading tools
    3. Transferring knowledge to SuperMemo - you may try to stick with the 20 rules of formulating knowledge at the moment of introducing your material to SuperMemo. However, you can also literally transfer your notes or import whole files and later use the mechanisms provided by SuperMemo to determine the order of processing the imported material. Probably the best criterion for choosing between formulating or just importing is the time needed for accurately formulating the item or items. If formulation requires more knowledge, more time, comparing with other sources, etc. you can just import. Otherwise, if you believe that formulating an accurate item is a matter of seconds, formulate it
    4. Formulating items - make sure that explanatory or optional components of the answer are placed in the parentheses so that your attention is focused on the most important part of the item. The parts in the parentheses can be read after the repetition to strengthen the memory in its context
    5. Using forgetting index - you can use the forgetting index to prioritize pending items. The sequence of repetitions will naturally be determined by SuperMemo; however, you can request higher retention level for items that are more important and lower retention level for items of lower priority
    6. Learning - the process of prioritizing does not end with the onset of repetitions. Here are the tools you can use to continue setting your priorities while the learning process is under way:
      1. Remember (Ctrl+M) - re-memorize items of high priority that have changed or which are extremely important to your knowledge at a given moment. If you choose Ctrl+M you will be able to determine the next interval for the currently reviewed item (its repetition counter will be reset to zero). It is recommended that you always re-memorize items whose content has changed significantly
      2. Reschedule (Ctrl+J) - manually schedule the date of the next repetition
      3. Execute repetition (Ctrl+Shift+R) - manually execute a repetition even before the repetition's due date (e.g. when reviewing particularly important material)
      4. Forget (Ctrl+R) - remove the current item from the learning process and place it at the end of the pending queue
      5. Dismiss (Ctrl+D) - ignore the current item in the learning process altogether
      6. Delete (Ctrl+Shift+Del) - remove the current item from your collection
      7. Change the forgetting index of memorized items or change the ordinal of pending items (Ctrl+Shift+P)

Summary

Here again are the twenty rules of formulating knowledge. You will notice that the first 16 rules revolve around making memories simple! Some of the rules strongly overlap. For example: do not learn if you do not understand is a form of applying the minimum information principle which again is a way of making things simple:

  1. Do not learn if you do not understand
  2. Learn before you memorize - build the picture of the whole before you dismember it into simple items in SuperMemo. If the whole shows holes, review it again!
  3. Build upon the basics - never jump both feet into a complex manual because you may never see the end. Well remembered basics will help the remaining knowledge easily fit in
  4. Stick to the minimum information principle - if you continue forgetting an item, try to make it as simple as possible. If it does not help, see the remaining rules (cloze deletion, graphics, mnemonic techniques, converting sets into enumerations, etc.)
  5. Cloze deletion is easy and effective - completing a deleted word or phrase is not only an effective way of learning. Most of all, it greatly speeds up formulating knowledge and is highly recommended for beginners
  6. Use imagery - a picture is worth a thousand words
  7. Use mnemonic techniques - read about peg lists and mind maps. Study the books by Tony Buzan. Learn how to convert memories into funny pictures. You won't have problems with phone numbers and complex figures
  8. Graphic deletion is as good as cloze deletion - obstructing parts of a picture is great for learning anatomy, geography and more
  9. Avoid sets - larger sets are virtually un-memorizable unless you convert them into enumerations!
  10. Avoid enumerations - enumerations are also hard to remember but can be dealt with using cloze deletion
  11. Combat interference - even the simplest items can be completely intractable if they are similar to other items. Use examples, context cues, vivid illustrations, refer to emotions, and to your personal life
  12. Optimize wording - like you reduce mathematical equations, you can reduce complex sentences into smart, compact and enjoyable maxims
  13. Refer to other memories - building memories on other memories generates a coherent and hermetic structure that forgetting is less likely to affect. Build upon the basics and use planned redundancy to fill in the gaps
  14. Personalize and provide examples - personalization might be the most effective way of building upon other memories. Your personal life is a gold mine of facts and events to refer to. As long as you build a collection for yourself, use personalization richly to build upon well established memories
  15. Rely on emotional states - emotions are related to memories. If you learn a fact in the sate of sadness, you are more likely to recall it if when you are sad. Some memories can induce emotions and help you employ this property of the brain in remembering
  16. Context cues simplify wording - providing context is a way of simplifying memories, building upon earlier knowledge and avoiding interference
  17. Redundancy does not contradict minimum information principle - some forms of redundancy are welcome. There is little harm in memorizing the same fact as viewed from different angles. Passive and active approach is particularly practicable in learning word-pairs. Memorizing derivation steps in problem solving is a way towards boosting your intellectual powers!
  18. Provide sources - sources help you manage the learning process, updating your knowledge, judging its reliability, or importance
  19. Provide date stamping - time stamping is useful for volatile knowledge that changes in time
  20. Prioritize - effective learning is all about prioritizing. In incremental reading you can start from badly formulated knowledge and improve its shape as you proceed with learning (in proportion to the cost of inappropriate formulation). If need be, you can review pieces of knowledge again, split it into parts, reformulate, reprioritize, or delete. See also: Incremental reading, Devouring knowledge, Flow of knowledge, Using tasklists

See also:

  • FAQ: Knowledge structuring
  • the above rules have been grouped and prioritized for you to easily get a grasp of the problems you will encounter when formulating knowledge in learning. For a more in-depth analysis in a more systematic manner, you can read: Knowledge structuring and representation in learning based on active recall (this text is rather theoretical and more hermetic)
  • see Genius and creativity, which includes a section on the role of knowledge representation in problem solving and creativity


Interview with the author of SuperMemo

From an idea to an industry. Interview with Piotr Wozniak, the author of SuperMemo Jaroslaw Mlodzki, Bajtek 7/94, Poland, July 1994
Translated and corrected:
April 1997
This is a translation of an interview with Piotr Wozniak published in Bajtek 7/94 (p. 18-19), Poland. Texts in square brackets are comments of the translator

JM: We speak English which might surprise our Polish readers. What is the history of SuperMemo and your personal life? The program is considered something extraordinary. I also believe in its revolutionary nature. Could you start with a few words about your roots and the family? Is SuperMemo somehow related to the fact that you prefer to speak English?

PW: Indeed there are strong connections [between the idea of a universal language and developing SuperMemo] but ... this is a long story. I will just tell you that initially I had lots of difficulties with promoting SuperMemo. I had no money, I could not find buyers and I was also wary of profit-hungry investors. I did not have a father. My sister was 17 years older and brother 16 years older. My siblings acted as an extra pair of parents. My brother was tutoring me a lot on geography, math and many other subjects. This is very good for a young man's development. When I went to school I was just exploding with desire to show what I have learned. Knowledge and the possibility to demonstrate it were the highest gratification. I was mad about chemistry and biology. I wanted to study biology to understand the way the human brain works. At home I kept dozens of animals. I was collecting all knowledge in piles of notebooks. Quickly I realized that it all cannot be kept in memory with traditional methods. There was more and more material to learn. Rehearsing this all verged on an impossibility. I needed more tricks and intuition to cope with it

JM: Which year was it?

PW: This pile-up of unmanageable knowledge was most painful in 1982. In 1983, I started systematic research on how repetitions affect the ability to recall information. I was then the third-year student of biology. I knew that intervals between successive repetitions should increase. I wanted to find how much they should increase exactly

JM: Were you a good student then?

PW: No. Just the opposite. First of all I would not attend lectures. I found studying books of more benefit. Secondly, I would not spend my time on stuff that was not within my focus of interest. I would not care about the taxonomy of leeches or bryophytes. On the other hand, I was dying to know more about humans, physiology, brain, health, etc. I was all the time in conflict with teachers [about not attending lectures]. At the same time, I worked hard to gain new knowledge. That was most important. Initially, my favorite subject was ... how to prevent aging. I sensed that with some little tricks at the molecular level, we could greatly enhance longevity. At the same time, I continued my interest in memory and learning. I started even thinking about a computer program that would help this idea. When I was graduating from molecular biology, the outline of SuperMemo was ready on paper

JM: Which year was it?

PW: 1985. I graduated from molecular biology and immediately went on to study computer science

JM: From scratch?

PW: Yes. I enrolled on a full five-year program

JM: You must have been a sort of eternal student looking for a formula to keep young by staying at the university?

PW: Not a all. I could have started working back in 1985. This was not a formula for having good time. I thought that armed with computer science, I will be able to get a job in the Institute of Biocybernetics [then newly created in Warsaw]. I wanted to do Big Science. I thought about biochemistry. My work in the laboratory showed me the gap between Polish science and the best labs in the west. I would not think of emigrating. I was too patriotic then. I could not have left the system that had paid for my education. Because of miserable status of experimental science, I decided to drift into theoretical biology. I wanted to study mathematics, physics or computer science. I had lots of ideas, and I knew that with a computer you can find things that would require years of labwork

JM: Did you graduate from computer science?

PW: Yes. Five years later

JM: What happened to SuperMemo?

PW: In May 1985, before graduation, I started my repetitions. The general outline of the learning algorithm was ready. Repetitions were made on paper but after a year I started realizing that this is an extremely effective method

JM: What did you use the method for? For learning biology or English?

PW: Both. Later, when I started studying computer science, I really started getting crazy about English

JM: Was it the time when you started speaking English in Poland?

PW: Not yet

JM: So when did you get this habit?

PW: First of all, I started from being an enthusiast of one language for the world and Esperanto. I even used to write my personal diary in Esperanto. However I was disappointed with lack of scientific literature in the language. Then I entered a loop of positive feedback between English and new knowledge. I read too little scientific literature due to a poor command of the language. The more I read, though, the more I realized what an ocean of information is taken away from me. I was isolated from the world's culture by knowing only my native Polish. Add to this communist propaganda in Polish media and you will see how I was made stupid and unaware. I knew biology and some other stuff, but I knew nothing about economics, politics, sociology, etc. I could not listen to the BBC or Voice of America because I was limited to a single language. However, when I could hear the "bad boy" Reagan speaking his own words, the world seemed to have been all turned around [bad boy was not that bad after all]. I understood that the faster I and others learn English, the faster we will truly understand the world. I wasn't then much focused on SuperMemo. I was generally interested in computer modeling of biological processes. However, learning English and my growing paper "databases" continually brought the subject of learning into my attention. Ultimately, I concluded that I desperately needed a computer program to handle the SuperMemo method. I was then making repetitions of whole pages that contained material of different difficulty. Computer could manage processing each single item separately. This would greatly increase the speed of learning. In late 1987, I finally wrote the first version of SuperMemo in which all elements were classified for their degree of difficulty

JM: What language did you use to write the program?

PW: Turbo Pascal 3.0

JM: What computer did you use?

PW: I had Amstrad PC 1512. My sister helped me greatly by sponsoring such an expensive toy. In 1987, there were very few such machines in Poland! You could not buy it in a shop. It was smuggled from Germany. Nevertheless, in December that year, I had my first SuperMemo and started my first repetitions on the computer

JM: What was the size of the hard disk?

PW: There was none!

JM: To sum it up: you studied computer science in order to use a PC without a hard disk to implement your ideas?

PW: More or less. The best point was that the program quickly surprised everyone with the results you could get. I did not expect you could learn that much in such a short period of time. I liked the paper-based method but ... the computer made a world of difference. Learning English was a real hit then. You could memorized 2000 words in less than a month with minimum effort. My colleagues could see that it is only a fraction of what can be accomplished

JM: And when did it all become a business? I know you can be a genius but you cannot do everything all by yourself. You have to have money, employ people, etc. How did you try to make it into an industry?

PW: I only had the program and a couple of colleagues who quickly measured its potential. One of them was Krzysztof Biedalak [cofounder of SuperMemo World] ...

JM: Did you test SuperMemo on your colleagues?

PW: Honestly, I did not need testing to prove the value of the program. This was evident. Those who got a copy got really crazy about learning more and more

JM: In other words, you have set up a group of SuperMemo maniacs?

PW: Yes, in a sense

JM: So you optimized your technology in a closed circle of guinea pigs?

PW: Not exactly. This circle was getting wider and wider quite quickly

JM: How long did this last?

PW: By the end of 1988 the program was ready to be sold. I started looking for someone who would want to buy it. I set the price at $10,000 [at that time in Poland, you could live comfortably for years just of the interest of this sum]

JM: Ten thousand dollars for one copy?

PW: No. I wanted to sell the program and all rights to the method. The one who would buy it could do anything he wanted with the program

JM: Have you found a buyer?

PW: No. If I did, I would not be selling SuperMemo now. I was trying to find a buyer in Holland, Krzysztof Biedalak tried in England, etc. No success. I realized that there was only one option: trying to sell it by myself. One of my colleagues, Tomek Kuehn, managed to sell about 20 first copies. In 1990, I wrote my Masters Thesis about SuperMemo. Prof. Kierzkowski from the University of Technology in Poznan was the supervisor

JM: What grade did you get for your work?

PW: Best possible. I turned into a model student by then

JM: Did you start work after the university?

PW: No. Upon graduation, me and Krzysztof Biedalak wanted to study in the US (neurophysiology and artificial intelligence respectively). At the same time we were still trying to sell SuperMemo. We spoke a lot about studying in the US and about SuperMemo. Ultimately we changed our mind. We would not go to the US. We would set up a company and try to sell SuperMemo. That was 1991 and SuperMemo World was set up in July

JM: Where did you get a programming team from?

PW: There was no team. Just me, Krzysztof and a 286 PC AT. We managed to finish SuperMemo 6 but we could not find buyers anywhere. Luckily, we registered SuperMemo for Software for Europe competition and ... we managed to get to the finals. This was the beginning of success. We got a stand at CeBIT '92 in Hanover and international promotion for free

JM: What happened next?

PW: Marczello Georgiew, Tomasz Kuehn and Janusz Murakowski joined the company, but ... this was still a very hard time. We were on the verge of bankruptcy. Still it was very hard to sell a novel product

JM: So when did the real success knock at your door?

PW: There was no single breakthrough. It all came gradually. In 1991 we have not sold a copy. Today the counter stands at 7,000 copies sold and is still accelerating [May 1994]

JM: How many people are in the company now?

PW: Five partners, a secretary and a bookkeeper

JM: How many programmers do you have?

PW: There are two people working over the Windows version (including myself). All other platforms are handled outside SuperMemo World: there is one person working over the Amiga version [Twin Spark Soft], one is programming the Mac version [AS Project] and one continues the version for DOS [Zoom Design]

JM: What programming language do you use?

PW: Borland Pascal 7.0 for Windows and DOS version, HiSoft Pascal for Amiga and Think Pascal for Mac

JM: I understand that the versions for other platforms differ from the version for Windows

PW: Yes. All authors implemented their own ideas. There is a lot of cross-inspiration

JM: What are the version numbers for particular platforms?

PW: Version 7.4 for Windows is in beta, 6.8 for DOS is also in beta, 2.0 for Amiga and 1.0 beta for Mac

JM: What about shareware version?

PW: SuperMemo 5.6 for DOS

JM: And how many databases do you have in sales?

PW: About 100 databases grouped in 10 so-called database mixes

JM: What are your plans for the future?

PW: Infinite! [see: SMC Business Plan]

JM: I guess this would take an infinite amount of time to discuss! Let us move it then to the next interview. Thanks for your time

Interviewer: Jaroslaw Mlodzki, Editor-in-chief, Bajtek, Poland

P.S: Many thanks to the staff of the restaurant of Park Hotel placed over the scenic Malta lake in Poznan. Only for their kindness were we able to continue talking long after the business hours


Inprise Case Study: SuperMemo

Case study: SuperMemo 98 implementation in Delphi 3 Pawel Ksiezyk, Borland Poland,
Oct 7, 1998
This text is provided courtesy of Inprise Corporation. This is one of case studies on successful Delphi implementations first presented at Borland Delphi Conference, Oct 7, 1998, Warsaw, Poland, organized by Borland Poland for Delphi developers

Do you know what Polish computer product that was first reviewed in Byte International? Do you know what was the first Polish finalist of Software for Europe Competition, 1992? If you think it was SuperMemo, you are right. SuperMemo is the best known Polish software product in the world.

SuperMemo is a universal education application. To learn effectively you have to regularly refresh the learned material. SuperMemo schedules repetitions of material in intervals that depend on the student's performance. A single repetition is scheduled at a moment when a selected probability of recall is expected. Consequently, the learning time is minimized for achieving a constant knowledge retention. It is often quoted that SuperMemo makes it possible to memorize 3000 words of a foreign language in a month with a daily working time of 30 minutes.

element.jpg (50172 bytes)

The idea of the algorithm for memorizing the learning material dates back to 1982. In 1987, the first version of SuperMemo was created. It implemented the basic repetition algorithm. Originally, the program was written in Turbo Pascal 3. In 1991, Piotr Wozniak and Krzysztof Biedalak set up a company, SuperMemo World, which focused on selling and developing new versions of SuperMemo.

Before 1995, new versions were written in varieties of Borland Pascal. While considering the implementation of an advanced hypermedia release of SuperMemo for Windows, the difficult job of choosing the appropriate programming tool faced the designers of SuperMemo. Comparison tests were run on Borland Pascal 7, Borland C++ and Visual C++ in late 1994. The main problem to overcome was the difficulty to generate a modern graphic user interface. It was then when the first version of Delphi was announced and scored all points needed to be selected as the perfect tool for developing the new SuperMemo.

About 70-80 thousand copies of various versions of SuperMemo have been sold, and the program became immensely popular in Poland as well as in a number of countries abroad. The program received a prestigious Product of the Year 1997 award by PC Kurier. Earlier versions also received the Reader's Choice awards by PC World Komputer (1994 and 1995). SuperMemo made learning languages a breeze | "If we did not use SuperMemo, we would have to stay with the old primitive knowledge representation paradigms. Only Delphi made it possible to develop a large and reliable hypermedia application within the limited financial and personnel resources" Piotr Wozniak President of SuperMemo World and the main author of the SuperMemo method
"The appearance of Delphi in 1995 was our winning lottery ticket and truly saved the company and made it possible to reach a completely new level of quality and competitiveness" Piotr Wozniak | The newest version of SuperMemo was implemented in six months using Delphi 3. It was released on September 28, 1998. Among a number of new authoring features, it is about four times faster than its predecessor. In large part, the credit goes to the new 32-bit optimizing Delphi compiler


Working with templates and categories

Working with templates and categories Konrad Hejwosz,
January 2003
A recent user survey indicates that among the concepts of SuperMemo 2002, templates and categories give users most headaches. This article is an attempt to provide simple step-by-step instructions without redundant material that can be found elsewhere in the documentation. If any portion of this text is unclear, please write to Konrad Hejwosz

1. Learning outcomes

When you have finished this article, you should be able to:

  • Design simple templates
  • Save your templates for future use
  • Design templates by reusing and/or modifying previously created templates
  • Change the look of an individual element
  • Change the look of a subset of elements
  • Create knowledge categories
  • Move an individual element to a desired category
  • Move a subset of elements to a desired category

2. Professional user interface

Before we begin this step-by-step tutorial, there are two vital things you need to set up in SuperMemo in order to be able to practice tasks described in this article without unnecessary interruptions:

  1. You need to switch to the professional level to make all program options available,
  2. You need to arrange the windows layout to ensure maximum efficiency and convenience.

If you already have (1) the professional level on and (2) the windows layout similar to the one in the picture below, you can immediately proceed to the next step.
Otherwise, it is recommended you set up the windows layout according to the list at the bottom of this page.

To switch to the professional user interface:

  1. Choose File : Level : Professional to make all program options available,
  2. Choose Window : Dock (Ctrl+Alt+F11) to show the toolbar docking window,
  3. Choose Window : Background (Ctrl+Alt+F10) to hide the desktop behind SuperMemo,
  4. Press the Contents button (Alt+C) to open the contents window,
  5. On the Edit toolbar, turn on the Synchronize button [image] for the element window to display the currently selected element in the contents window,
  6. Arrange the contents and element windows so that they overlap with the element window over the contents window,
  7. In the element window, on the element toolbar, turn on the Synchronize button [image] to select the currently displayed element in the contents window,
  8. Click the Tools toolbar to make it active,
  9. Choose Window : Layout : Save custom layout to save the current layout,

    If you wish the current layout to be your default layout each time you open SuperMemo, you would rather choose Window : Layout : Save as default (Ctrl+Shift+F5) in the menu bar.

  10. In the New layout dialog box, in the Input name text box, type in a unique name (e.g. Professional Interface) for the layout you have just arranged,
  11. Click OK to save the layout under a chosen name.

    If you change the windows arrangement, you can later restore the Professional Interface by choosing Window : Professional Interface in the menu bar.

Next
Contents of this article:
  • 1 Learning outcomes
  • 2 Switching to the professional user interface
  • 3 Introducing templates
    • 3.1 Designing templates
      • 3.1.1 Designing your first template from scratch
      • 3.1.2 Saving templates for future use
      • 3.1.3 Designing a new template by reusing and modifying one of the previously created template(s)
    • 3.2 Changing the look of elements
      • 3.2.1 Changing the look of an individual element
      • 3.2.2 Changing the look of a subset of elements
        • 3.2.2.1 Changing the look of a subset of elements in the contents window
        • 3.2.2.2 Changing the look of a subset of elements stored in the browser
  • 4 Introducing categories
    • 4.1 Creating your first category
    • 4.2 Moving elements to a desired category
      • 4.2.1 Moving an individual element
      • 4.2.2 Moving a subset of elements


Working with templates and categories

Working with templates and categories Konrad Hejwosz,
January 2003

3. Templates

Templates define the looks of your pages of knowledge (so called SuperMemo elements). You use templates to give the elements in your collection your preferred look (e.g. you may want your Biology items to be displayed in white font against green background).

You have to learn three basic skills in order to give the elements in your collection your preferred look:

  • 1st skill: Designing a template

    Templates are made of components. For example, if you would like your templates to display text, you should add one of the 3 main text components (i.e. TEXT, RTF, HTML) for displaying text to your template. Similarly, if you would like your template to display an image, you should add the image component to your template. In SuperMemo 2002, there are fourteen different types of components for including text, image, sound, video, etc. in your templates. They are all available on the Compose toolbar. Furthermore, each component has specific properties that enable you to customize its appearance or control the way it behaves. They are available from the component menu

  • 2nd skill: Saving your template for future use

    Templates are saved in the template registry. Think of the template registry as a repository, in which you can browse templates as well as reuse them to give more elements a selected look. To reuse your template, you have to first save it in the template registry

  • 3rd skill: Applying your template to an element (i.e. giving it the designed look)

3.1. Designing templates

3.1.1. Designing your first template from scratch

Suppose you are adding lots of items related to the Treaty of Nice (a plan for expanding the European Union). Suppose you would like to give all items related to the European Union a separate look. It would draw on the flag of the European Union with its twelve gold stars forming a circle against the background of the blue sky. Let your new template be composed of two text components, one for the question part and the other for the answer part of an item, with a yellow font used in both components against the element's blue background.

4 major steps are required to design such a template from scratch:

  • STEP 1: Adding a new empty element to your collection
  • STEP 2: Placing components on the element
  • STEP 3: Setting the element's properties
  • STEP 4: Setting the properties of components
STEP 1: Adding a new empty element to your collection:
  1. Click the Contents button (Alt+C) to switch from the element window to the contents window,
  2. On the Edit toolbar, in the Type box, click the drop-down arrow, and then select Items,

    As a result, all new elements, which you will add to the knowledge tree, are going to be items.

  3. In the knowledge tree, select an element, to which a new empty child element will be added,
  4. Click the Add button to add a new empty child element to the currently selected element,
  5. Right-click the newly added empty child element, and then choose View : Selected element (Ctrl+Enter).

    You should now be able to see the newly added empty element in the element window.

STEP 2: Placing components on the element:
  1. Place the first text component on the element (the question part)

    You need only 3 clicks to create a component on an element (e.g. a picture):

    • 1st click: Select a component on the Compose toolbar,
    • 2nd click: Point where you would like the component's top-left corner to be placed in the element,
    • 3rd click: Point where you would like the component's bottom-right corner to be placed

    If you would like to change a component's location within element:

    1. Right-click a component, and then choose Mode : Dragging mode (Alt+click will do the same in most cases)

      You should now be able to drag the component, which has become darker in color, to a new location.

    2. Click the component, and then drag it to a new location without releasing the mouse button,
    3. Once you are satisfied with the new location of the component, release the mouse button, and then press Esc to exit the dragging mode.

      You can inspect the present location of the component in respect to the top-left corner of the element by peeking at the X and Y values on the right from the Dismiss button.

    If you would like to resize a component:

    1. Click a component to set it in the editing mode,
    2. Point to the component border,
    3. When the mouse pointer becomes a double-headed arrow, drag the border,
    4. Once you are satisfied with the new size of the component, press Esc to exit the editing mode.

      You can inspect the width and height of the component by peeking at the W and H values on the right from the Dismiss button.

  2. In a similar fashion (as described in Point 1 of this step), add the second text component in the element.
STEP 3: Setting the element properties

To change the color of the element's background:

  1. Choose Edit : Menus : Element> (Alt+F10) in the menu bar,
  2. In the element menu, select Color,
  3. In the Color dialog box, click a desired color (e.g. blue),
  4. Click OK to close the dialog box and save the selection you have made.

    Your element's background should now become blue.

STEP 4: Setting properties components

To make the answer component invisible when the question part of the item is asked:

  1. Right-click the second component, in which you are going to type in the answer part of an item, and then select Answer.

To change the font, which is going to be displayed in the question and answer components:

  1. To set a new font in the question component:
    1. Right-click the question component, and then choose Text : New font,
    2. In the Font dialog box, select the font and/or set its properties (e.g. Times New Roman, Bold, 18, Yellow),
    3. Click OK to close the dialog box and save the selection,
    4. In the New registry member name dialog box, in the Unique name text box, type in a unique name (e.g. European Union), under which the font you have selected and its properties you have set (if any) will be stored in the font registry,
    5. Click OK to save the font under a chosen name.

      You should now be able to see your new font displayed in the question component.

      If the question component is empty (i.e. it contains no text), type in an arbitrary word (e.g. question) to inspect if it is displayed in your font.

  2. To reuse the newly added font in the answer component:
    1. Right-click the answer component, and then choose Links : Font (Shift+Ctrl+F),
    2. In the Font registry window, in its left pane, select the European Union font registry member,
    3. Click the Accept button to close the registry window and display the font in the answer component.

      If the answer component is empty (i.e. it contains no text), type in an arbitrary word (e.g. answer) to inspect if it is displayed in your font.

3.1.2. Saving templates for future use

Once you have designed your template, you should save it in the template registry. If you save your template in the registry you will later be able to use it in other elements, too.

To save your template in the template registry:

  1. Right-click over the element toolbar, and then choose Template : Save as template,
  2. In the Template registry dialog box, in the Input template name text box, type in a unique name (e.g. European Union), under which the template you have designed will be stored in the template registry,
  3. Click OK to save the template under a chosen name.

If you wish to save your template in the registry and make it the default template for the currently selected category, use Template : Save as default (Ctrl+Alt+M) from the element menu. This template will now be used with each new element added to this category.

To find out which category is currently selected, click the Tools toolbar, and then peek at the Category box (the first from the left).

3.1.3. Designing a new template by modifying one of the previously created templates

Suppose you would like to design a template similar to the one you created before. It would also include two text components, however, you would like to change the element's background, the background of individual components, and the color of the font so they would all reflect the colors of the British flag. Thus designed template would be used for your English vocabulary items.

You could design this template by following the same steps as it was with your first template. However, your new template will be similar to the one created before (i.e. your new template and the European Union template will both have 2 plain text components). It is easier then to reuse the previously designed template, modify some of its properties, and save it under a different name in the template registry.

4 major steps are required to create a new template by using an old one:

  • STEP 1: Adding a new item,
  • STEP 2: Applying the previously designed template,
  • STEP 3: Modifying element properties,
  • STEP 4: Modifying components properties.
STEP 1: Adding a new item:
  1. Click the Add new button at the bottom of the element window or press Alt+A,
  2. Press Esc twice to exit the editing mode.

Once your new template is ready and saved in the template registry, you can delete the element with which it was designed.
STEP 2: Applying the previously designed template:

  1. Right-click over the element toolbar, and then choose Template : Apply template (Shift+Ctrl+M),
  2. In the Template registry window, in its left pane, select the European Union template registry member,
  3. Click the Accept button to close the registry window and apply the European Union template to the newly added item,

    You should now be able to see the European Union template applied to the newly added item.

  4. Right-click over the element toolbar, and then choose Template : Impose template (Shift+Ctrl+F2),
  5. Click Yes to the Overwrite source data with the current template? Template=European Union query,
  6. Click Yes to the Detach the template? query.

    This will make sure you modify the template only in this element, not all elements that use this template.

    Remember to impose and detach the template if you do not want changes to one element affect all other elements using the template.

STEP 3: Modifying element properties

To modify the element's background from blue to navy:

  1. Right-click over the element toolbar, and then select Color,
  2. In the Color dialog box, click a new color (e.g. navy),
  3. Click OK to close the dialog box and save the selection you have made.
STEP 4: Modifying component properties

To change the background of individual components:

  1. To change the background of the question component:
    • Right-click the question component, and then choose Color,
    • In the Color dialog box, click a new color (e.g. white),
    • Click OK to close the dialog box and save the selection you have made
  2. Similarly, change the background of the answer component.

To change the font, which is going to be displayed in the question and answer components:

  1. To modify the already existing font in the question component:
    1. Right-click the question component, and then choose Text : New font,
    2. In the Font dialog box, select the font and/or set its properties (e.g. Times New Roman, Bold, 18, Red),
    3. Click OK to close the dialog box and save the selection,
    4. In the New registry member name dialog box, in the Unique name text box, type in a unique name (e.g. English), under which the font you have selected and its properties you have set (if any) will be stored in the font registry,
    5. Click OK to save the font under a chosen name.

  2. To reuse the newly modified font in the answer component:
    1. Right-click the answer component, and then choose Links : Font (Shift+Ctrl+F),
    2. In the Font registry window, select the English font registry member in the left pane, which shows the alphabetically sorted list of the individual registry members,
    3. Click the Accept button to close the registry window and display the font in the answer component.

Once you are done with the new template, you should save it in the template registry (as in 3.1.2. Saving templates for future use).

3.2. Changing the look of elements

3.2.1. Changing the look of an individual element

  1. Right-click over the element toolbar, and then choose Template : Apply template (Shift+Ctrl+M),
  2. In the Template registry window, in its left pane, select a template that you want to apply,
  3. Click the Accept button to close the registry window and apply the template you have selected to a given item.

3.2.2. Changing the look of a subset of elements

3.2.2.1. Changing the look of a subset of elements in the contents window

Use the contents window to change the look of elements belonging to a given branch:

  1. Click the Contents button (Alt+C) to switch from the element window to the contents window,
  2. In the knowledge tree, select a branch with elements, to which you would like to apply a new template,
  3. On the Edit toolbar, click the Branch menu button [image], and then choose Template : Apply template,
  4. In the Template registry window, in its left pane, select a template that you would like to apply,
  5. Click the Accept button to close the registry window and apply the template to all elements of the selected branch,
  6. Click Yes to the Do you want to apply a template to elements among all descendants of "Title of the selected branch" query,
  7. Click OK on an information dialog saying how many elements the new template has been applied to.

3.2.2.2. Changing the look of a subset of elements stored in the browser

Use browser to change the look of a subset of elements in your collection:

  1. On the Browser toolbar, click the Process browser button [image], and choose Template : Apply template,
  2. In the Template registry window, in its left pane, select a template that you would like to apply,
  3. Click the Accept button to close the registry window and apply the template to all elements in the browser,
  4. Click Yes to the Do you want to apply a template to elements among all browser elements? query,
  5. Click OK on an information dialog saying how many elements the new template has been applied to.

For additional hints&tips, complete reference, and rich collection of FAQs related to using templates, read: Templates

Previous | Next
Contents of this article:
  • 1 Learning outcomes
  • 2 Switching to the professional user interface
  • 3 Introducing templates
    • 3.1 Designing templates
      • 3.1.1 Designing your first template from scratch
      • 3.1.2 Saving templates for future use
      • 3.1.3 Designing a new template by reusing and modifying one of the previously created templates
    • 3.2 Changing the look of elements
      • 3.2.1 Changing the look of an individual element
      • 3.2.2 Changing the look of a subset of elements
        • 3.2.2.1 Changing the look of a subset of elements in the contents window
        • 3.2.2.2 Changing the look of a subset of elements stored in the browser
  • 4 Introducing categories
    • 4.1 Creating your first category
    • 4.2 Moving elements to a desired category
      • 4.2.1 Moving an individual element
      • 4.2.2 Moving a subset of elements


Working with templates and categories

Working with templates and categories Konrad Hejwosz,
January 2003

4. Categories

Categories can help you if you add elements belonging to different subjects (e.g. economics, computer science, geography, etc.) to different branches of the knowledge tree.

Categories make it also possible to set up the preferred look (of items or topics) belonging to the category.

The optimum strategy for maximizing the inflow of quality knowledge into the learning process at minimum time is to create a To Do category, to which you add all the knowledge you want to master (e.g. articles, rough notes, rough items, etc. belonging to all subjects). You can process this To Do knowledge for optimal recall in the course of repetitions. Only when items assume their ultimate well-structured shape, move them to their target category (see: 20 rules of formulating knowledge).

4.1. Creating your first category

Suppose you would like to create a separate category for your European Union items. Instead of the Item template used by default for newly added items, you could use your new European Union template. All items added to the category will have the European Union look (i.e. European Union template applied). You will only need to select the European Category in the category box on the Tools toolbar.

To create the European Union category, in which all new items can have the look of the European Union template:

  1. Choose Edit : Create category in the menu bar Click to view graphic ,
  2. In Category and Tasklist Wizard, on the Location tab, in the Location box, select an element, to which your new category will be appended, and then click Next>> Click to view graphic ,
  3. On the Name tab, in the Category name text box, type in a unique name of your category (e.g. European Union), and then click Next>> Click to view graphic ,

    Choose a short name for your category so it would be easily identifiable in the Category box on the Tools toolbar.

  4. On the Templates tab, click the Change button below the Template for items text box Click to view graphic ,
  5. In the Template registry window, in its left pane, select a template that you would like to be used each time you add an element to the new category (e.g. European Union) Click to view graphic ,
  6. Click the Accept button to close the registry window and save selection you have made Click to view graphic ,
  7. Click Finish to close the wizard and create the European Union category with the European Union template as the default item template (i.e. template which will be used each time you add an item to this category) and exit the wizard.

4.2. Moving elements to a desired category

4.2.1 Moving an individual element

Suppose you had imported an article about Irish referendum on the expansion of the European Union. Imagine that in the course of incremental reading you extracted an item that you would like to move to your European Union category.

To move an element to a category:

  1. Right-click over the element toolbar, and then choose Edit : Element parameters (Ctrl+Shift+P),
  2. In the Element Parameters dialog box, in the Category box, click the drop-down arrow, and select European Union,
  3. Click OK to close the dialog box and save the selection you have made,
  4. Click Yes to the Apply category template? Template=European Union query,

    You should now be able to see this item with the category template applied.

    If you do not wish to be prompted to apply category template at moving elements:

    1. Choose Search : Categories in the menu bar,
    2. In the Category registry window, in its left pane, select a desired category (e.g. European Union),
    3. In the top-right pane, click the Auto-Apply checkbox until it is checked but not grayed,
    4. Click Accept if you want the category to become the default category (i.e. the category that will be used at Add new).

4.2.2. Moving a subset of elements

Use browser to move a subset of elements to a desired category:

  1. On the browser toolbar, click the Process browser button [image], and then choose Move : To a category,
  2. In the Category registry window, in its left pane, select a category that you would a given subset of elements to be moved to,
  3. Click the Accept button to close the registry window and move the subset of elements in the browser to the selected category,
  4. Click Yes to the Do you want to move all browser elements? query,
  5. Click OK on an information dialog saying how many elements have been moved to the selected category.

For additional hints&tips and a rich collection of FAQs related to using categories, read: Categories

Previous
Contents of this article:
  • 1 Learning outcomes
  • 2 Switching to the professional user interface
  • 3 Introducing templates
    • 3.1 Designing templates
      • 3.1.1 Designing your first template from scratch
      • 3.1.2 Saving templates for future use
      • 3.1.3 Designing a new template by reusing and modifying one of the previously created template(s)
    • 3.2 Changing the look of elements
      • 3.2.1 Changing the look of an individual element
      • 3.2.2 Changing the look of a subset of elements
        • 3.2.2.1 Changing the look of a subset of elements in the contents window
        • 3.2.2.2 Changing the look of a subset of elements stored in the browser
  • 4 Introducing categories
    • 4.1 Creating your first category
    • 4.2 Moving elements to a desired category
      • 4.2.1 Moving an individual element
      • 4.2.2 Moving a subset of elements


Perfectness reached (SuperMemo in Chip)

SuperMemo für Windows. Das Klassenziel Erreicht Elisabeth Reisch, Chip,
Feb 1995
Translation: Carsten Haerle
This a translation of an article about SuperMemo 7 for Windows published in German Chip, February 1995 (p. 82-84)

No matter if you study, go to school or participate in a foreign language course, a sophisticated learning method eases the acquisition of the subject considerably. The learning program SuperMemo implements the theory of biologist Piotr A. Wozniak, which says that any acquired piece of information affects synaptic connections in the brain.
These interconnections will be deleted after a certain period of time, and with them the memory. It is therefore important to make repetitions to stabilize the connections and to provide them with a protection from deleting.
Wozniak's model is based on the continuous repetition and also helps determine when repetitions should take place. The period of time between repetitions should accurately be chosen: short enough for the subject not to be forgotten and long enough for effective repetition and to prevent waste of time.
Another essential aspect of the model is to split the information into item of information that are as small as possible. Theses items will then be presented as question-answer pairs in SuperMemo. All items belonging to a certain subject form a database.
After selecting such a database SuperMemo starts its question-answer process. The question is presented on the screen and the answer displayed after pressing Enter. The user chooses a grade between one and five to say how closely he has remembered the answer. This rating is the basis for determining the frequency with which particular questions will be asked in future sessions. After the user has answered all questions, he will have another opportunity to repeat wrongly answered questions until all questions are answered correctly.
Naturally, SuperMemo develops its highest efficiency only then when it is used regularly and frequently. This is because the program computes new frequencies for every item basing on the entered rating. The success of learning can be measured by various statistics.
SuperMemo CD-ROMs include databases for learning several foreign languages. The German-English database for example includes about 3000 items and provides a good material for beginners. If basic English skills have already been acquired, databases for business, economics and technical English can be used.
The pronunciation is supported by various databases providing audio feedback. The question is presented in a written form, the wanted term can be read and heard. Audio Guide to Advanced English includes 85 items on individual vowels and consonants, whereas Audio Advanced English database includes nearly 40000 items. A soundcard is required to use the speech support. With some basic English, one is also able to learn Swedish, French, Spanish, Dutch and Esperanto with SuperMemo. All databases can be extended by the user and it is also possible to create one's own databases.
The SuperMemo World company offers a variety of other databases. The user can even sell his own database to SuperMemo World for further distribution. Currently most databases are only available in English or Polish - mainly because SuperMemo is not yet sufficiently known in Germany. This is an unfortunate fact as SuperMemo presents a good conception and implementation and the impact on learning success is considerable. This is probably the reason why, according to the authors, SuperMemo is currently the most frequently pirated program in Poland today

Elisabeth Reisch


The brain cell trainer

SuperMemo: the brain cell trainer Andrzej Horodenski,
Computer World, Poland,
June 1992,
Translation: Monika Morawska
This article was published in Computer World Poland in June 1992, and was one of the first independent press reviews of the SuperMemo method and software. Comments of the translator are placed in square brackets

There is no shadow of a doubt that SuperMemo is one of Polish software sensations of recent months. SuperMemo is a prizewinner of national finals and a Polish representative for the CeBIT competition Software for Europe 1992. It is frequently present in the columns of Polish press, on the radio, and it also became a subject of private conversations.

And yet, despite this uproar, few people know how SuperMemo works, and even fewer have seen it with their own eyes [1992].

SuperMemo, beyond any doubt, is outstanding in one sense (which at the same time makes its major weakness): it is a product of the intellectual effort of someone who lives in this country [Poland], is known by a typically Polish name [Wozniak] and ... apart from the invention of SuperMemo, does not differ from an average man in the street. It is a cardinal sin of marketing! People like to have a feeling that they play with a toy that aroused a huge excitement abroad, esp. beyond the Atlantic! This variety of internationalism, cleverly fueled by advertising, results in the fact that Polish girls love the nightmarishly kitschy Barbie doll, and are less inclined to play with dolls coming from the regional cultural circle. So there is a significant chance that SuperMemo will become success in Poland only then when it becomes truly famous abroad!

Most of all, SuperMemo is a method of fast learning whose principles were developed on the basis of the knowledge of dynamic processes of learning and forgetting.

In order to effectively remember knowledge, it is necessary to repeat the material in specific intervals of time. Determining the optimum sequence of repetitions is the essence of the SuperMemo method. A computer program, with the same name, SuperMemo, has been designed just for the purpose of optimally scheduling repetitions.

The work with SuperMemo looks as follows: the program asks successive questions to which the student replies on his or her own. After replying, it is necessary to compare the given answer with the correct one (presented by SuperMemo after pressing Enter). After the comparison of the answers, the student must grade himself or herself. The grade is fed back to SuperMemo via keyboard. When we end a session with Esc, the program goes through the final drill. In the final drill, SuperMemo drills the questions that have received a lower grade until they are all mastered perfectly.

At first sight, this approach might be questionable, esp. the part with grading yourself! The practice shows, however, that self-grading is not a SuperMemo's weakness! The author of the method defines a scale of grades very precisely. The temptation to inflate one's grades is not significant. After all, it’s obvious that the user would not cheat anybody else apart from himself or herself. An important benefit is that the user is free from typing the answer on the keyboard, which is usually required in other programs for learning.

In the beginning, the program assumes a student's average learning ability, but in time, it will know more and more about the user and schedule repetitions with increasing precision. So the effectiveness of learning increases with time.

SuperMemo provides a tool for creating one’s own databases (if I could only convince my son to write down some dates in history and review them with SuperMemo from time to time!). It also makes it possible to trace one's own progress in a precise language of the parameters of the mathematical model of the SuperMemo method, and even helps one to study his or her own memory [see: Statistics and Analysis]!

The menu layout and interface are planned well and do not cause any problems at work. But it will not be easy to explain to Polish customers why all menu options are displayed in English, esp. that the leading application of SuperMemo is ... learning English!

The first contact with SuperMemo usually arouses enthusiasm: “This is something for me, I must get down to it at once!” - this is quite a typical reaction. I don’t want to say that the enthusiasm is not justified; it is. I only want to warn a new user that beyond the enthusiastic phase, there is a phase of disappointment, which builds a barrier that is difficult overcome for many people (a law in psychology stands behind it, if I am not mistaken). The beginning of work with SuperMemo should be preceded with a serious consideration, because this is not a program with which you may play from time to time only. I checked it myself using a database for learning English.

SUPERMEMO REALLY WORKS! After a month (half an hour per day) my head was packed with all kinds of words and phrases, which I would never before suspect I could remember! How can an ordinary city dweller remember words such as tree trunk? I have also long lost hope that I will ever be able to remember the English word scissors (there are a couple of words that by no means want to stick to my memory!). And here, voila: tree trunk and scissors. No problems at all!

And here we are coming to a quite dangerous moment – the euphoria coming from the effectiveness of SuperMemo makes the user memorize more and more new items. As a result, the amount of outstanding repetitions grows quite quickly, and sessions get longer and longer. Tiredness and lack of time come into play, and we begin to skip some sessions. Unfortunately the computer does not show any mercy – lesson that is not done today must be executed tomorrow as an outstanding lesson. The outstanding repetitions will double if you skip two sessions. After a two-week break you are cooked! A longer trip and ... result is the same. Naturally, this is not an accusation of the method or the program. This is just a warning to beginners – if they come to a conclusion that the program falls short of theirs expectations ... this is in all likelihood their own fault.

There is no escape from the truth: if we want the method to work, we must meet its conditions. Regular repetitions are necessary for success. In the same way like turning on the gas is necessary to boil water to prepare a cup of tea.

If you have already fallen into the trap of excessive repetitions, you got only one choice: clear the learning process and start from scratch. I think it should be possible to automate such situations. The program should be enhanced by an option that would help reduce the amount of repetitions by removing or postponing best-remembered items. This option could be called Mercy [see footnote]

[few weeks after publishing the presented article, SuperMemo 6 for DOS was enhanced by an option for rescheduling repetition. It has retained its originally proposed name: Mercy. Mercy has since become a frequently abused tool by all students of SuperMemo! We have not heard from anybody who would have gone with SuperMemo for a year with over 100 repetitions per day without using Mercy at least once!]


Learning decalog

Learning Decalog See also SuperMemo decalog in the following languages:
  • Eficacia (Spanish)
  • Desatero (Czech)
  • Die 10 Gebote des Lernens (German)
  • Decálogo da Aprendizagem (Portuguese)

SuperMemo helps you organize learning and minimize time needed for repetitions. However, it is not the ultimate formula for success in learning. The mere personality of the student can often render SuperMemo unusable. The main quality needed to succeed is perseverance. Only strongly motivated individuals are able to persist in repetitions. For others, short-term expenditures seem to overshadow long-term benefits. There are many more snags awaiting an unprepared student. The most important ones are discussed in the following sections:

  1. Regular repetitions
  2. Selection of material
  3. Moderation
  4. Simplicity
  5. Univocality
  6. Concentration
  7. Awareness of the mental stages passed by a typical student
  8. Pleasure
  9. Health
  10. Mnemonic Decalog

Regular repetitions are critical for your success

The most frequent reason for the lack of success with SuperMemo is lack of regularity and perseverance. In fact, irregular repetitions fall out of the definition of the SuperMemo method. No wonder then that for those who lack regularity success is not forthcoming. Regular sessions with SuperMemo are among the most demanding factors and require lots of will power and determination. Indeed, SuperMemo is not only a good therapy for poor memory, but it also helps to develop iron will. The importance of regularity comes from the fact that SuperMemo computes optimal intervals that should separate repetitions. You need to repeat when SuperMemo demands it. It should not be interpreted as a shortcoming of the method, but as an inherent property of memory. Every day of delay, not only increases the proportion of forgotten items, but also results in an inevitable accumulation of work that has to be done in the days to come. This imposes additional stress on the student who, with each passing day, is less inclined to return to repetitions. In SuperMemo, the best results are obtained when the student uses the method every day for the same period of time. Working every second day, although less effective, is much better than working every second week, etc. Systematic work with SuperMemo is a sine qua non of success, and those who do not intend to work regularly should not hope the program will make up for their lack of persistence. Treat your repetitions like you treat your daily religious or physiological rituals. Like brushing your teeth. To paraphrase a well-known adage, you might say that SuperMemo is like sex: you cannot leave it to others. You cannot buy knowledge, you have to regularly make it flow into your memory.

In SuperMemo for Windows, your repetitions should proceed daily until the following equivalent conditions are met (if one of these conditions is met, so are the others):

  • you see the message: No more items
  • Outstanding equals to 0+0 in the statistics window
  • the second field of the status bar displays (0+0)/x, for example: (0+0)/23
  • the progress bar on the status bar becomes blue

Selection of material: you cannot learn all things you would want to

As SuperMemo makes learning easy, you may be tempted to learn more than you really need. Only with time will you discover the true extent of knowledge that you need and are able to master. Although SuperMemo is extremely effective, it is not omnipotent! Immoderation will sooner or later result in your being overwhelmed with the number of repetitions

Working with SuperMemo imposes a strict limitation on the amount of new knowledge that can be learnt in unit time, and requires an accurate selection of material. In choosing facts and rules to remember, you should primarily use the criterion of applicability. Lots of items may seem worth knowing, but because of the limited capacity of memory, only a small fraction of them may actually be remembered, and the choice should favor items of the highest applicability in day-to-day situations. You will not waste much time if you include items that you would remember anyway just because of their regular use. Therefore, you better always err on the safe side and include all important items you are not sure you would remember. Concerning the selection of the material to learn, another general principle is that you should first master the most fundamental aspects of the learned subject and get into details at later stages. Meticulous dismembering of textbooks page by page is bound to produce excess of details at the cost of principal knowledge. An important psychological aspect of the general-to-specialized approach is that you can soon discover great profits coming from the perfect knowledge of the most fundamental facts. With amazement, you will notice how new facts and rules excellently slot in in what you have already learned.

Good foundations make it easier to slot in new knowledge, provide additional encouragement to work, and free you from the unhealthy impression that you are acquiring knowledge for the knowledge's sake.

For an extensive discussion of knowledge selection and prioritizing see: Flow of knowledge in SuperMemo

Moderation

It is a frequent case that a SuperMemo beginner, amazed with results obtained by a friend who used the method, embarks on an exceedingly ambitious program of gaining new knowledge. The thing (s)he usually overestimates is his or her own learning ability and perseverance. SuperMemo does not guarantee an immediate success. It requires some skills and strategy that develop over a longer period of time. The fact that a student can memorize a myriad of items in a short time does not necessarily mean that the same student will have enough perseverance to continue repetitions of the newly memorized material. Nor does it indicate that the learned items are properly structured and will be kept in memory as easily as they have been memorized.

Two factors contribute to the dangers of immoderation:

  1. You slow down in the beginning: The speed of learning decreases substantially during the first few months of learning as a result of a pile up of repetitions (the decline is most visible in the first few weeks)
  2. Badly formulated items show up with time: Learning new material is much easier than retaining the acquired knowledge in memory. Badly structured items usually reveal their intractability only after several repetitions! (see: 20 rules of formulating knowledge in SuperMemo)

Before starting any extensive process of expanding your collection, you must examine your ability to:

  1. formulate simple and clear items (with hardly any exception, beginners are bound to form a great deal of ill-structured items!)
  2. work continually for a longer time with SuperMemo (only the most persistent individuals can sustain memorathons lasting more than 1 hour!)

Moderation and a cool estimation of one's needs and abilities are important factors of success with SuperMemo. The recommended time of working with SuperMemo is 5-20 minutes per day for beginners, and no more than 60-90 minutes per day for advanced students!

Simplicity

It is a frequent beginning: an enthusiastic SuperMemo student wastes lots of time on learning complex and wordy items that by no means want to stick to his or her memory

Imagine that you want to remember all European countries by cramming a long list of their names. The typical situation is that you remember most of the names on the list, but usually fail to mention one or two. The net result is that the item is considered forgotten again and again, and that you cannot see any progress in learning. Using mnemonic techniques, you could learn to produce the whole list in a given order, but this is unlikely to accurately reflect knowledge which you actually want to learn. A vast majority of educated people are unable to list all countries in Europe (10% of college seniors in the US cannot even point to a single country in Africa!). A total recall is possible if you use the trick of systematic scanning of the European map in your imagination. You have to know the map first though.

A good SuperMemo student will not attempt storing the whole list in one item. He will use one of the knowledge structuring tricks, and split the list into many items. Depending on what sort of knowledge might be useful, the student will use tricks such as:

  • grouping items by geographical locations of particular countries,
  • grouping them by their affiliation (e.g., European Union, EEA, EFTA, Eastern Europe, Scandinavia, NATO),
  • grouping them by natural language family, etc.

These tricks will certainly introduce redundancy, but a clever student will certainly use the redundancy to his or her advantage. Monster items consume more time and produce less effect than the same items split into a number of subitems. To ensure good recall, a multifaceted approach should be taken, i.e. all possible combinations of questions concerning a given relationship should be asked. For example, if you want to remember that the leading cause of death is heart disease, and that it accounts for almost 40% of deaths in western countries, the following question might appear insufficient:

What is the leading cause of death in western countries?

However, the above question does not let you remember the proportion of deaths caused by heart disease, nor does it ensure that the 40% statistic refers to western countries. Instead, a multifaceted set of questions could look as follows:

  • What is the leading cause of death in western countries?
  • In what group of countries is heart disease a leading cause of death?
  • What proportion of deaths in western countries can be attributed to heart disease?
  • What disease is responsible for 40% of deaths in western countries?
  • Is heart disease a leading cause of death in western countries?

Such a collection of items, although redundant and time-consuming, will be learned faster and will leave a more stable trace in your memory

The problem of properly structuring knowledge in learning is so critical that we strongly recommend that you carefully read: 20 rules of formulating knowledge in learning

Univocality

The fact that your items are simple, doesn't yet guarantee that they are easy to remember. One of the big obstacles in creating easy collections is the problem of interference, or confusion, coming from the fact that two different items might have similar questions or similar answers. For example, imagine that you want to learn something about SuperMemo, and you create a special collection for that purpose. Consider the following two items:

  1. Q: What is the name of items which resemble one another?
    A: ambiguous items
  2. Q: How are similar-looking items called?
    A: equivocal items

You need not much experience with SuperMemo to predict that the student who wants to master a collection containing two such items will continually confuse ambiguous items with equivocal items until he discovers that he keeps two items whose questions are semantically identical but answers differ. The simple remedy to the problem is to formulate an item with two optional answers:

Q: What is the name of items which are similar to one another?
A: (a) ambiguous items OR (b) equivocal items

In such a case, providing one of the answers is sufficient to classify the item as remembered (unless the user wishes to remember both terms and replaces OR with AND). The problem of interference is particularly visible in attempts to remember numbers. No simple trick of splitting items into subitems can suffice here. The ages long solution to the problem here is mnemonic techniques. One popular mnemonic technique is to represent numbers as pictures and attempt to remember scenes formed by those pictures instead of remembering numbers. For example, instead of having the item:

Q: What is the value of the constant p?
A: 3.14

the student might memorize the universal list of 10 pictures corresponding to 10 digits e.g.:

  1. harpoon (because 1 looks like a harpoon),
  2. coin (because a coin has two sides),
  3. tripod (because a tripod has three legs),
  4. dog (because a dog has four legs), etc.

and formulate the mnemonic item in the following way:

Q: What is the value of the constant p?
A: 3.14 because: p rhymes with fry and ... on a small tripod a big balloon is being fried (balloon represents the decimal point), suddenly somebody pierces the balloon with a harpoon, and from inside the bursting sphere a big dog jumps on the student

If you do not have problems with remembering the value of p, you should not bother with mnemonic techniques. However, even when formulating the above scene may seem awkward and time consuming, it always results in better remembering (if the mnemonic item is constructed skillfully). The net result is saved time

The problem of knowledge interference is discussed in: 20 rules of formulating knowledge in learning

Concentration

In the pursuit of more and more knowledge, you may develop a tendency to give careless answers and hastily jump from question to question in order to reduce the repetition time. There are no dangers related to fast repetitions on condition that the speed is achieved by simplicity of items rather than by negligence in providing answers. It is often possible to automatically answer a question without understanding its important implications. Instead of being semantic, i.e., based on the meaning, the repetitions become syntactic or literal, based on the automatic rendition of the item's wording. Not only is the thus acquired knowledge of little value, but what is worse, you may become disillusioned with SuperMemo because of inadequate learning progress. To prevent such an outcome, you must constantly control the learning process by asking the following questions:

  • Is this item truly important for the skills I want to develop?
  • Does the ability to answer the question truly ensure that I remember exactly what I want to remember?
  • If I have any problems with remembering a given item, is it truly formulated in the simplest and most univocal way? (see: 20 rules of formulating knowledge)
  • If I have problems with a simple and univocal item, what mnemonic technique could I use to make it easier to remember?
  • Are the following elements of the learning process suitably chosen?
    • The extent of the subject I want to learn (considering my learning capacity and availability of time)
    • The degree to which I want to get into details
    • The level of knowledge retention I want to reach (see: Forgetting index)
    • The amount of time a day I can afford to spend on SuperMemo

All these questions must recur again and again, and you must constantly maintain the highest level of alertness and concentration. The profits coming from mastering concentration skills are extraordinary! Sloppy work will produce poor results and cause disillusionment. Experience shows that repetitions made early in the morning make it easier to ensure adequate concentration (independent of your circadian rhythm and mentality!) (see: Morning repetitions)

It is highly recommended that you keep all your knowledge in one collection! You will notice that this greatly helps you put equal emphasis on all parts of the material. You should use the tools provided by SuperMemo to emphasize more important subjects (e.g. forgetting index or branch learning)! Splitting your knowledge into many collections will often result in using negligence as your emphasis tool!

Awareness of the mental stages passed by a typical student

It may be useful in the beginning to understand the stages passed by a typical student during the evolution of his understanding and attitude towards SuperMemo. The observations presented below were compiled from hundreds of letters and questionnaires sent to SuperMemo World, as well as from personal contacts with dozens of students at both basic and advanced levels (data compiled in 1994 may differ from figures for 1998 and later when the Internet has changed the profile of users of SuperMemo) (see: SuperMemo User Survey)

90% of students start their affair with SuperMemo because of good opinions they heard about the program from their colleagues or from press (recently, more and more customers are attracted to SuperMemo via the Internet).
The initial attitude is positive and full of expectation. After studying the basics of SuperMemo, reactions of students vary greatly, and are highly correlated with the general level of intelligence and education, especially with respect to sciences. A substantial group of students become discouraged because of the mechanical and repetitive nature of SuperMemo. In this group, individuals with no university education, or university education in humanities strongly prevail. On the other end of the spectrum are individuals with strong background in mathematics, physics or computing sciences, who seem to easily accept the philosophy of SuperMemo, and whose first contact with the method is likely to enhance their positive attitude. From this group, SuperMemo has recruited the greatest number of enthusiastic supporters. Only 75% of individuals continue their repetitions beyond one month! The drop-outs provide the following reasons for cessation of repetitions: (1) they do not believe in SuperMemo (10%)(no university education or education in humanities prevails), (2) they do not believe in their own learning powers (5%)(mostly individuals over 45 years of age), (3) they do not have time for repetitions (25%)(private entrepreneurs, physicians, lawyers, etc.), and (4) they intend to return to repetitions in the future (60%)(students). Only those who pass the first month of repetitions can truly testify to the usefulness of the method. Among those the approval rate is 95%! Most of them consider SuperMemo an excellent aid in learning (50%) or a useful product (45%); only 5% of those polled did not have a specified opinion or rated SuperMemo as nothing special. SuperMemo World has not received a single questionnaire from a student who had tried out SuperMemo for at least one month, and was generally dissatisfied with the method. However, the attrition rate after the first month remains still high. Having passed a month of repetitions, almost all students wish they had used SuperMemo on a permanent basis, but for hundreds of reasons they cannot cope with busy repetition schedules (introduction of Tools : Mercy in 1992 reduced the attrition rate at the cost of the quality of learning!). The most widespread attitude is to hope to resume repetitions in some unspecified future. Here, the major drawback of SuperMemo becomes visible: it does not produce amazing results for free! It does produce amazing results only through hard and systematic work. In busy times of our dynamically growing civilization, we all too often stick with the principle that better an egg today than a hen tomorrow. 10 minutes spent on a business call, reading a scientific paper, or writing a report seem to bring immediate result. The same 10 minutes spent on repetitions with SuperMemo, can save several hours or even days in lifetime, but the saving is hard to sense, even for an experienced student. SuperMemo is a gratification delayed!
What is worse, after a longer period of repetitions, the student may easily come to the false conclusion that the knowledge has already been well memorized, and requires no further repetition. This way, even the most enthusiastic students often drop weeks of repetitions. Additionally, abusing Tools : Mercy can easily produce the impression that all is OK with the learning process. For an average user, breaks in repetitions regularly make up 20% of the learning time!!!

Remember that you are not the only one saying: I will do it tomorrow, or next week, or I think I still remember it all right. Forgetting is like radiation: you cannot smell it, you cannot taste it, and when you finally notice the damage, it is already irreversible (i.e. contrary to popular belief, rememorizing will cost you little less than learning for the first time!)

Pleasure

There is a sure way to tell if a given student will be successful in his work with SuperMemo or not. If he finds pleasure in long-lasting sessions with repetitive work, he is bound to do terrific job. Despite what meets the eye at first, SuperMemo repetitions do not have to be monotonous. Here is a couple of examples of extra activities that accompany repetitions and provide a solid ground for making the work with SuperMemo interesting and challenging:

  • Editing items that do not seem to comply with the principles of simplicity and univocality
  • Dismissing or deleting items that no longer seem worth remembering
  • Cross-analysis of the learning material, in order to eliminate discrepancies or redundancy. Note that not all sorts of redundancy are undesirable. For example, having the same foreign word twice in a collection introduces unnecessary noise in the optimization process; however, having the same word in different contexts might increase its semantic associativeness, and make it easier to remember the word
  • Adding new items
  • Inspecting statistical data used in monitoring one's progress
  • Analysis of the repeated items:
  1. What does a given fact or rule imply? Does it agree with other facts I know?
  2. In what situations can I use the knowledge I learn? What will the profit or satisfaction be?
  3. In what situation did I find that I should remember this item? Was I really able to make use of knowing it?

If the repetition process appears to be tedious and monotonous, the student must seriously reconsider all the earlier mentioned prerequisites of success (see also: 20 rules of formulating knowledge). Lack of enthusiasm is the first symptom of misguided use of SuperMemo. On the other hand, if used properly, SuperMemo can be quite addictive. You will easily find it indispensable for your personal and professional success

Health

As in other activities, general health helps you achieve better results in learning. It increasingly becomes a common knowledge how to keep healthy and fit. It may still, however, be useful to list the most important principles that should be remembered by every student:

  1. Sufficient amount of sleep. It is during sleep that the consolidation of memories takes place. Both the REM and slow-wave sleep components are critical for the consolidation to take place, and only 7-8 hours of uninterrupted sleep can produce good learning results in most people. Each all-nighter reduces the proportion of REM sleep in the next night. Intense intellectual work may cause increased demand for sleep, and nothing should prevent the student from satisfying it. Anecdotal evidence suggests (customer surveys) that 40 minutes of SuperMemo a day may increase your natural demand for sleep by up to one hour. No one has ever benefited from trying to save time by sleeping less. By trying to emulate Edison, the student is bound to dramatically reduce the effects of learning. Secondly, the tiredness caused by lack of sleep is one of the main factors that can ruin a learning session with SuperMemo. If you did not get enough sleep in the night, a short nap may be an excellent temporary remedy. See: Good sleep, good learning, good life
  2. Physical exercise is absolutely necessary for every successful student. Without it, the respiratory and circulatory systems cannot adapt easily to increased demand for oxygen in intense intellectual work. An unfit student tends to be drowsy and cannot maintain the sufficient level of alertness in long sessions with SuperMemo. Pains of the back, eye strain, hemorrhoidal problems, gastrointestinal disorders, repetitive strain injury, and many other ailments of a hard-working student are greatly prevented by a high level of fitness in physically active individuals. Sports that result in a long-lasting increase in the heart rate and oxygen consumption, e.g., jogging, inline skating, cycling, swimming, etc. are particularly recommended. Secondly, an anaerobic strength exercise should also be made a part of a student's weekly schedule
  3. It is a common knowledge that smoking and alcohol are major preventable causes of a great spectrum of disorders that not only interfere with the process of learning, but are also dangerous to health and, in the long run, life. Alcoholism is notorious for its toxic effects to the brain, and is a major environmental cause of senile dementia (loss of memory in old age). It is also known to reduce the number of NMDA receptors in the brain (receptors involved in memory), and to reduce retention in recall memory tests. It affects both short and long-term memory. Moderate drinking may be beneficial for health but you should avoid drinking before repetitions due to possible drowsiness and lost focus. Smoking is most renowned for its contribution to heart disease and cancer; however, even to a student who is not much concerned with his or her own future, it is worth noting that smoking also causes hypertension, increased excitability of the nervous system, cerebral hypoxia (reduced oxygenation of the brain) and many other effects that are highly undesirable in learning. It is worth noting that hypertension is consider the primary factor in aging of the brain. See: How to quit smoking
  4. Adequate nutrition is indispensable in successful learning. It is difficult to specify particular guidelines except for the fact that the foods consumed should comply with what is generally considered a healthy diet. For example, you may think that a satisfying lunch will be good for your learning, however, research demonstrates that the level of mental alertness drops substantially after a meal. It is also known that a low-fat diet prevents arteriosclerosis and should be considered desirable. However, another research shows that reduced blood levels of lipoproteins (a group of fat components) have a negative influence on the performance in intelligence tests. An average, healthy diet should satisfy all the nutritional needs of a student, so that no supplements shall be necessary. Regular administration of vitamins, particularly B and C, or mineral preparations, however, might be of preventive value. For more information about nutrition, we recommend the common sense advice from Dr Weil
  5. Tea and coffee are used by many people as stimulants, especially as a remedy for sleep deficit. While having a positive effect on alertness, high levels of caffeine and theophylline (active compounds of coffee and tea) may cause restlessness, problems with concentration and, worst of all, sleep disturbances (see: Good sleep, good learning, good life). Some research has indicated positive impact of coffee on health and longevity. To avoid misguided use, examine your reaction to caffeine. If you use it to speed up your transition from sleep to full wakefulness and experience an immediate boost in intellectual capacity, your learning process may benefit. However, if you abuse caffeine as a result of stress or sleep deficit, you are likely to produce anxiety and problems with concentration. If your mind veers off repetitions all too often, cut down on caffeine and examine your stress levels. Tea, coffee, as well as all sorts of caffeine-containing drinks, should be used with moderation
  6. In intense intellectual work, the brain may use up 30 or more percent of total oxygen. As you will observe, SuperMemo is a particularly tiring learning method. This comes from the fact that it forces your brain to work at its top gear (repetitions are scheduled at the possibly longest intervals). An average, untrained student will experience drowsiness as soon as after 30 minutes of continuous repetitions. Most of individuals find it impossible to work with SuperMemo for more that 1 hour, and each minute beyond that limit may bring a genuine mental torture. This entails the great importance of the availability of fresh air in the room when the learning takes place. Working in two or even three sessions may also help. Sufficient amount of sleep, fresh air and enthusiasm for work are the best allies of a student who wishes to spend long sessions with SuperMemo and produce fabulous results
  7. Mental health: You need a happy mind to be an effective student. You need to learn to avoid stress and cope with unavoidable stress. Have a look at The Medical Basis of Stress, Depression, Anxiety, Sleep Problems, and Drug Use for a goldmine of good tips for those who have to struggle with winter blues, addiction, stress or sleep problems

Mnemonic Decalog

  1. Work regularly with the SuperMemo method the same amount of time every day. No pain, no gain
  2. Create your collections using only the most applicable knowledge. Don't get too far into details before forming a general picture of the field you want to master. Too much pudding will choke the dog
  3. Don't overwork. More haste, less speed
  4. Before embarking on intense expansion of your knowledge system, check if your ability to formulate easy-to-remember items is sufficient, and check what your mental powers are, and how much time you can afford to spend on learning. Look before you leap
  5. Make sure that your items are as simple as possible and that they ask about all important aspects of the learned knowledge. Small is beautiful
  6. Save on future repetition time by using mnemonic techniques for the most intractable items. A stitch in time saves nine
  7. Concentrate and don't stop thinking. Repetitions should be conscious, not automatic. All troubles come from ignorance
  8. If you do not find working with SuperMemo pleasant, then stop adding new items and pay more attention to cleaning your knowledge system from useless or ill-structured garbage. Once you make your repetitions pleasurable, your enthusiasm will triple your results. Nothings succeeds like success
  9. Keep fit. Do not cut down on sleep, exercise regularly and give up all hazardous habits like smoking or drinking. Healthy flesh nurtures healthy spirit

  10. Read the above rules from time to time or formulate them as SuperMemo items that could be placed in one of your learning collections. Forget about forgetting (says SuperMemo World). For example: Question: What is the best method to use against intractable items? ... Answer: Delete them! (for less radical solutions see: 20 rules of formulating knowledge)

Further reading

  1. Twenty rules of formulating knowledge in SuperMemo

  2. Flow of knowledge in SuperMemo

  3. Reading the Internet

  4. Incremental reading


Devouring knowledge: step by step guide

Devouring knowledge Dr Piotr Wozniak
Dec 2000 (revised June 2004)

This article will tell you how to maximize the speed of learning.

 To fully use the discussed techniques you will need a computer running Windows 2000/XP, Internet Explorer 6.0 and SuperMemo 2004 for Windows. If you do not have one of the above, skip the blue inserts. For simpler solutions that do not have these requirements read: Six steps to excellent memory. If you are using SuperMemo 2002, you may prefer an older version of this same text

 Marvin Minsky: Our cultures don't encourage us to think much about learning. Instead we regard it as something that just happens to us. But learning must itself consist of sets of skills we grow ourselves; we start with only some of them and slowly grow the rest. Why don't more people keep on learning more and better learning skills? Because it's not rewarded right away, its payoff has a long delay

Contents

  • Knowledge as the driving force of progress
  • Knowledge acquisition - stages of learning that can be optimized
  • Access to knowledge - the Internet as your number one source of knowledge in the future
  • Selecting knowledge - maximizing the benefits of learning by studying first things first
  • Reading - tools for fast reading without a stress of missing critical information
  • Representing knowledge - formulation as the key to remembering
  • Remembering knowledge - SuperMemo (nearly) answers your dream: total recall for ever!
  • Life cycle of knowledge - how knowledge matures in time
  • Incremental reading - reading a thousand articles at the same time is no fiction!
  • FAQ - addressing your skepticism

Introduction

This article summarizes my 20-year-long effort in developing techniques and technologies that assist human learning. It should help you quickly convert your learning into a rationally controlled and conscious process. I believe, it describes the tools that collectively account for the fastest learning approach in existence. If knowledge is important to you, this article should help you optimize your path towards your goals. Among others, we will discuss two concepts that can have a dramatic effect on learning:

  • spaced repetition: a technique that ensures nearly perfect recall with minimum possible investment of time via computing optimum inter-repetition intervals
  • incremental reading: a fast reading technique derived from spaced repetition that makes it possible to read thousands of articles at the same time without getting lost

This short insert paints the picture of knowledge in the epicenter of progress. If you need no convincing as to the central role of knowledge in our lives, jump directly to Knowledge Acquisition - stages of learning that can be optimized

Knowledge as the driving force of progress

Knowledge and history: Throughout the ages, knowledge was the cornerstone of human progress. From Stone Age to Information Age, in pain, we have built a tiny oasis of civilization in ruthless expanses of the evolving universe. The history of the mankind is made of billions of individual lives that keep on sparking and fading. Born of self-preservation instincts imprinted by evolution, history books paint a picture of a constant string of wars, conflict of interest, loss and gain of influences, lust for power and submission to weaknesses of human nature. On the other hand, the greatest achievement of the evolution, the rational mind, kept on contributing to new findings, discoveries, technologies and philosophies. Progress has always hinged on discovering new truths and preserving them for posterity in form of stories, solutions, tools, books, and other carriers of information. Knowledge is the basis of human power, yet it constantly struggles with two forces that regularly diminish it: death and forgetting. We can preserve knowledge in books and other forms of information storage. However, this knowledge translates to value only then when it is used by the creative power of the human brain. The limitations of the human brain will remain a bottleneck of progress for many years to come. We will develop artificially intelligent knowledge processors not earlier than in a decade or two

Knowledge and death: Death poses an ageless challenge of educating new generations. Years of hard work needed to gain knowledge on professorial level are obliterated in a single act of death. Newborns need to go through years of education before they are able to access, read, and comprehend this text. They all have to struggle with basic literacy skills, lessons of safe sex and teen pregnancy, lessons on superiority of altruism over egoism, the difference between wise and not-so-wise choices, existential questions, etc. Although constant reeducation may contribute to gaining a fresh perspective in each generation, it is also painfully wasteful. As yet, there is no efficient remedy to the death of knowledge. All we can do is to attach more weight to healthy lifestyle and health research. Those two promote longevity of knowledge in a single generation

Knowledge and forgetting: Forgetting is a natural process that makes it possible to efficiently use the limited memory space of the brain. We forget to dispose of knowledge deemed less important in order to make space for knowledge of higher importance. Currently we have only a limited control over what we remember and what we forget. Today, the most important tool that we can use to prevent forgetting is practice. We can minimize time needed for practice by using spaced repetition (i.e. learning technique based on computing optimum intervals between repetitions). Spaced repetition is the key to maximizing knowledge within a single human lifetime (see below for more details)

Immortal knowledge: Artificial intelligence is our best hope for approaching immortal knowledge. It can nearly eliminate the problem of death (except for the heat death of the universe). It can also eliminate the problem of forgetting (at least within the bounds of the available storage). Today, however, the best path towards immortal knowledge must still rely on the use of the human brain by maximizing its learning capacity

Knowledge acquisition

There are five main areas where the learning process can be enhanced. All these areas will be discussed in this article:

  1. access to knowledge - this article will make an assumption that the Internet is your main source of knowledge. You can later easily extrapolate the discussed skills to accessing other sources of knowledge
  2. selecting knowledge - we will assume that you are solely responsible for selecting knowledge you want to learn. Your ability to select valuable information will grow in proportion to the acquired knowledge. This article will show you the tools that can assist you in this process
  3. reading - reading is the process in which knowledge for the first time makes an actual intimate contact with your brain. Traditionally, it is streamed into your memory in a more or less linear manner (i.e. paragraph after paragraph). This article will help you delinearize this process and optimize reading by enhancing knowledge selection and prioritization concurrent with reading. For example, you will be able to say This paragraph can be processed later or This paragraph requires utmost attention now or This paragraph can be skipped for good even if I decide to read the article again, or I want to read this paragraph again in three days and in more detail or I want to mark this paragraph with lower-priority and come to it only after all higher priority paragraphs have been processed, etc.
  4. representing knowledge - the way in which you present knowledge will affect comprehension and retention (i.e. how well you remember). Things that are simple are easier to understand. Things that are simple are also easier to remember. Many people do not realize the degree to which simplicity can affect learning. Many people doubt that even the most complex material can be presented in a very simple way. Einstein noticed that "it should be possible to explain the laws of physics to a barmaid"
  5. remembering knowledge - this article will tell you how to eliminate the problem of forgetting once and for all. It will encourage you to use the learning technique based on spaced repetition and commercially known as SuperMemo (from Super Memory). SuperMemo produces immense savings in time by scheduling review of the studied material only then when the review is necessary (see: Introduction to SuperMemo)
  6. life cycle of knowledge - this article will show you an approach in which knowledge in your memory keeps on evolving and maturing. This will involve continual rewording, reprioritizing, and re-associating pieces of knowledge. You will often give up portions of knowledge that become outdated or lose their high-priority status. You will apply the rules of knowledge representation that will make knowledge easy to remember. Your knowledge will also become more associative in time. In other words, it will become a more suitable ground for making intelligent choices
  7. using knowledge - knowledge translates to value when it is properly used. In the long-run, skills discussed in this article will indirectly help you become more creative and skillful in using your own knowledge. Not surprisingly, your skills needed to efficiently use knowledge are also part of knowledge itself and tend to grow spontaneously as your knowledge increases

Access to knowledge

The Internet is an excellent source of knowledge. Its quality and role will for long continue increasing exponentially as more and more people appreciate its potential and contribute to its growth. There are still many complementary sources of information that compete successfully with the Internet. However, it is only a question of time before you will be safely able to rely on the Internet as your sole source of information.

The three main factors that limit the value of the Internet as the source of information today:

  • verification - there are no formalized peer-review or other verification mechanisms that would make it easy for you to ascertain the reliability of information available and trustworthiness of authors. The burden of proof is on you. You either need to tap onto reputable sites or judge the reliability of individual authors on preponderance of evidence. Consequently, reputable scientific journals are still an unmatched source of raw research data (cf. Pierre Salinger syndrome)
  • bandwidth - popular broadband access to the Internet is still to come. This limits availability of quality video documentaries, video reporting, video education, interactive material, etc. Consequently, television and multimedia titles have still a substantial role to play as an educational tool
  • micropayments - authors still see the printed matter as their main source of income. In the future, your credit account may be charged to a microscopic amount each time you access a selected page on the web if the author decides to make it a source of his or her income. This may ultimately cause a massive exodus of authors from the traditional publishing industry towards the net with immense benefit to those mining for quality data on the net

Despite the Internet's limitations, you can safely commit yourself today to making the net your chief source of knowledge in your quest for new knowledge in nearly all areas of well-rounded self-instruction. The abundance of free encyclopedias, journals, dictionaries, databases, stand-alone articles and thematic websites is mind-boggling.

All you need for the purpose of knowledge access is a web browser and basic net-searching skills combined with an understanding of the power of individual search engines such as www.google.com (see: the science behind www.google.com)

Throughout this article, I will try to demonstrate that you will need a tool for efficient prioritizing and reviewing information: SuperMemo 2004 for Windows. The true power and importance of SuperMemo comes from ensuring high retention of knowledge. SuperMemo 2004 will also help you greatly increase the quality of reading by means of a technique called: incremental reading. In addition to its main strengths, SuperMemo can also assist in the field of knowledge access. You will certainly face the need to fill the gaps in your knowledge in many more areas than your time permits or your memory makes possible. You can ask SuperMemo to help you scrupulously note down and prioritize all areas of knowledge that need an enhancement!

Selecting knowledge

The extent of global knowledge resources can be measured in terabytes. One terabyte is a thousand gigabytes, while one gigabyte is a rough equivalent of the Encyclopaedia Britannica whose 44 million words would most likely all fit your today's hard disk space. The US Library of Congress is estimated to amount to 25 terabytes of knowledge. Human DNA code kept at Celera takes 80 terabytes. At the same time, the so-called deep web (year 2000) may encompass as much as 7,500 terabytes (deep web includes the static web extended by dynamic information retrievable from web databases). It will take only three years from today to produce more data than in the whole of human history (say researchers at the University of California).

Only a fraction of those resources can be mastered by an individual in a single human lifetime. Even a single copy of the Encyclopaedia Britannica goes in detail far beyond what a single human being can encompass in a lifetime! The actual speed of learning and lifetime learning limits can be measured with SuperMemo (see: Theoretical aspects of SuperMemo).

The microscopic capacity of the human brain has not prevented it from building the present civilization as we know it. The human power comes from:

  1. collective effort - a billion heads is more than one
  2. specialization of labor - all collective tasks are subject to top-down functional decomposition and a single brain usually only needs to process a fraction of information at a time
  3. knowledge selection skills - the associative power of the human brain combined with the selective nature of forgetting help us retain memories that are actually most useful in problem solving

This article will show you how to prevent forgetting. However, forgetting plays an important role in our lives. It runs a valuable garbage collection on knowledge we acquire daily. If the power of forgetting is taken away, your responsibilities in the area of selecting knowledge increase manifold!

SuperMemo will help you eliminate forgetting! At the same time, it will increase your responsibility for selecting knowledge that is truly important and applicable. If used without care and attention, SuperMemo may actually waste your time by helping you remember reels of garbage trivia

A piece of information that occupies just several bytes of your hard disk may carry a relative value that my translate to a net gain of millions of dollars as well as a net loss of millions of dollars. It may also carry no value whatsoever. For example, a sentence written in French "SuperMemo vous aide à mémoriser et apprendre diverses informations comme une langue, des chiffres, etc." may be of nearly zero value for someone who does not know French. At the same time, an item related to a Heimlich maneuver can save the life of a family member. We know that the expected payoff equals the value of the payoff multiplied by its probability; therefore, the low probability of a family member choking and the probability of actual successful application of the maneuver make the value of "Heimlich item" a fraction of the value of the human life. At the same time, even minor errors in medical knowledge of a physician can actual cost somebody's life and carry substantial negative value!

Frequently, you will find more benefit in memorizing the three best things you have learnt today than in memorizing a whole monothematic article to the last detail!

It is possible to store the mind with a million facts and still be entirely uneducated (Alec Bourne)

I have mentioned earlier that SuperMemo 2004 can help you prioritize knowledge areas and topics that you want to study. In a similar way, SuperMemo 2004 will help you prioritize articles you locate on the net and decide to study in detail.

Importing articles to SuperMemo 2004

To import an important article to SuperMemo, follow these steps:

  1. Select the imported text in your web browser and copy the selection to the clipboard (e.g. with Ctrl+C)
  2. Switch to SuperMemo (e.g. with Alt+Tab)
  3. In SuperMemo, press Ctrl+Alt+N (this is equivalent to Edit : Add a new article on the main menu). SuperMemo will create a new element, apply the reading template (i.e. a template with one scaleable HTML component), and paste the article
  4. Optionally, use Ctrl+J to specify the first review interval (e.g. one day for high priority material or 30 days for low priority material)

Tips:

  • To import many articles at once from Internet Explorer, use Edit : Import web pages (Shift+F8)
  • To type your own notes to SuperMemo, use Edit : Add to category : Note (Alt+N)
  • If you would like to store pictures locally (in the registry), and make them proliferate in incremental reading (i.e. show up in all extracts and clozes), you will need to paste pictures separately. Use Copy on the picture menu in the browser and then press Shift+Ins in SuperMemo to paste the picture. As you should not keep more than 2-3 pictures per element in SuperMemo, you should paste pictures from multi-picture articles only to relevant extracts of the main article
  • To learn more about HTML in SuperMemo, see: HTML component

Reading

Traditional linear reading is highly inefficient. This comes from the fact that various pieces of the text are of various importance. Some should be skipped. Others should be read in the first order of priority. Old-fashioned books are quickly being replaced with hypertext. Hypertext will help you quickly jump to information that is the most important at any given moment. Hypertext requires a different style of writing. After all, all texts will live by the assumption that there has been some introductory section read before. The texts become context-independent, and all difficult terms and concepts are explained solely with additional hyperlinks. As the world wide web helped delinearize the global resources of information, SuperMemo 2004 can help you delinearize your reading of whatever linear material you decide to import to SuperMemo. While reading with SuperMemo, you will see a linear text as a sequence of sections subdivided into paragraphs and individual sentences. SuperMemo will help you provide a separate and independent processing for each section, paragraph or sentence. Here are some typical actions you will execute on individual sections, paragraphs or sentences. Most typically you will decide one of the following:

  • read and remember - you can read a paragraph and schedule it for a future review. The timing of the review will depend on the paragraph's priority
  • skip to read later - you can mark a paragraph as worth reading later. The moment in which the paragraph will come back for reading will depend on the paragraph's priority.
  • skip for ever - you can mark a paragraph as (1) not worth reading, or as (2) read and not worth remembering

In SuperMemo, all material worth remembering will be scheduled for review in the future. This is necessary to ensure you do not forget what you have learned. At the same time, all material that has not been read but is classified as worth reading will also be scheduled for reading in the future. In SuperMemo, you will constantly face a serial process of reading, review, and repetition that will make sure that your work with the program is challenging, interesting and leaves permanent traces in your memory.

Reading with SuperMemo 2004

When reading an article in SuperMemo 2004, you will process individual paragraphs or sentences with commands available from the Reading menu available with a right-click over the selected text. For fastest processing, these commands are also available on the reading toolbar:

You will begin reading an article in one of these circumstances:

  1. Learning process: The article's turn comes up in the learning process (after choosing Learn or Ctrl+L)

  2. Reading list: You pull the article from the top of your reading list with Shift+Ctrl+F4

  3. Immediate reading: You want to read the article immediately after importing it to SuperMemo with Ctrl+Alt+N

  4. Search: You locate the article in your collection with navigation or search tools (e.g. with Ctrl+F)

Here are the typical actions you will perform on individual sections, paragraphs and sentences:

  1. Read and remember - you can read a paragraph, select it with the mouse and choose Remember extract (Alt+X or the green T icon). Remember extract will create a new mini-article in SuperMemo and store it for review in a couple of days. The review of the extract will be subject to the same procedures as reading the entire article. In other words, you can only quickly read the selected paragraph to get the general idea and read it in detail only upon the first review

  2. Skip and read later - if you see that a longer section is important and requires more detailed reading, you can execute Remember extract without reading the section at all. You can also choose Schedule extract and determine the first review interval (for example, if you type "1", the first review will take place on the next day)

  3. Skip for ever - if you believe that a given part of text is not worth your time, you can choose Ignore (stop-sign icon). This will mark the text with a grayed font, and ensure you will not get into reading the same text again in the future (e.g. on the next review)

If you believe the whole article should be skipped, you can do the following:

  1. Skip and read later - you will delay reading an article if you believe its priority is less or if you think that you need to read some other introductory articles first. For example, you can stop reading and manually choose an interval after which you will return to reading (Reschedule or Ctrl+J ). You can also choose Forget (e.g. at the bottom of the element window or Ctrl+R) and put the article at the end of the queue of articles waiting for review

  2. Skip and retain in the archive - if you do not expect to return to a given article but you still want to retain it in SuperMemo, you can choose Dismiss (e.g. at the bottom of the element window or Ctrl+D)

  3. Skip and delete partially - if you believe an article is not worth keeping in your SuperMemo collection, you can delete it without deleting review material generated from the article. Use Learning : Done or Ctrl+Shift+Enter

  4. Skip and delete entirely - if you believe an article is not worth keeping in your SuperMemo collection, you can delete it along with all associated extracts, sections and paragraphs (use Del)

Representing knowledge

In SuperMemo, all imported articles will evolve. This evolution will ensure maximum comprehension and retention of knowledge. Initially the articles are split into sections and paragraphs. Those sections and paragraphs are later subject to regular review and further evolution. Individual paragraphs get enriched with context clues, reference labels, and converted to individual sentences. Individual sentences convey ideas which you want to remember. These ideas come back for review at increasing intervals. Initially, the ideas come back every couple of days, later after months and years. However, passively processed ideas in the form of sentences rarely leave a durable trace in your memory even if they are reviewed regularly. Very often, as soon as after 2-3 months, you will notice that at review time, you actually do not seem able to recall that you have ever had a given sentence in your collection. You will quickly discover that you need active recall in order to remember. Active recall is a process in which you must answer questions. For example, you may be presented with a picture of Charles Darwin and be asked to recognize his face. In the long run, you need to replace passive review with active recall. Otherwise, your memory of the fact will not be permanently consolidated.

The fastest way of converting simple sentences into active recall material is to use a cloze deletion technique (nb: cloze is the correct spelling; please do not report an orthographic error!). In the cloze deletion technique, you convert simple declarative sentences like:

WW1 was precipitated by the assassination of Archduke Francis Ferdinand of Austria-Hungary by a Serbian nationalist in 1914

into question-answer pairs that can be used in actively stimulating your memory for best recall:

Question: WW1 was precipitated by the assassination of Archduke Francis Ferdinand of [...](country/empire) by a Serbian nationalist in 1914
Answer: Austria-Hungary

Question: WW1 was precipitated by the assassination of Archduke Francis Ferdinand of Austria-Hungary by a Serbian nationalist in [...](year)
Answer: 1914

Question: [...](war) was precipitated by the assassination of Archduke Francis Ferdinand of Austria-Hungary by a Serbian nationalist in 1914
Answer: WW1

Active recall in SuperMemo 2004

To convert a sentence to a cloze deletion in SuperMemo 2004, select the appropriate keyword in the sentence (e.g. Austria-Hungary, 1914, WW1, etc.) and press Ctrl+Z. You can also choose Reading : Remember cloze available with a right click over the selected text, or click the blue Z-icon on the Read toolbar.

If you would like to immediately reedit the newly created cloze deletion, choose [image] button on the element toolbar or press Alt+Left. This will make it possible to add context clues, shorten the text, improve the wording, etc.

Tip! Try to avoid using cloze deletion tools on conglomerate paragraphs. Your cloze deletions should be as simple as possible. Consequently, simplifying the parent paragraph to a simple statement will produce simple clozes that will require little processing. If you use Remember cloze on a longer multi-sentence paragraph, you will have to put extra effort on simplifying the resulting items. All cloze deletions should be short enough to ensure you read them entirely at repetition time. Otherwise, your brain will tend to "deduce" the answer from non-semantic clues. This will defeat the purpose of learning!

The active recall issue in representing knowledge is just a tip of the iceberg. You will need to master quite a number of skills that will ensure your knowledge is:

  • easy to remember

  • quick to process

  • highly applicable

You will hone those skills gradually in time. Your own mistakes will provide the best material for improvement. You will find more details in: 20 rules of formulating knowledge in learning

Remembering knowledge

Forgetting has been the number one problem in learning for ages. All capable students know that it is not really hard to cram hundreds of pages of material before an exam. But a great deal of the learned knowledge is gone just 3-4 days later (esp. after an exhaustive all-nighter). 50% of the quickly crammed knowledge evaporates within a week or two. After a year or so, nearly all material is forgotten unless reviewed. It is easy to notice that the repetition is the key to remembering in the long run. Repetitio mater memoriae may date back to Horace (65-8 BC).

In SuperMemo, review of the learned material is in the center of the learning method. The review algorithm has started the whole concept of SuperMemo in the early 1980s and the first software implementation of SuperMemo in 1987 was based solely on repetitions of simple questions and answers.

SuperMemo makes it possible to remember, by default, 95% of the learned material (see: General principles of SuperMemo). You can program this retention level to fall between 90-99%. You can also determine the retention individually for each of the pieces of information subject to review. You can also use tools that will make it possible to substantially increase the flow of information into SuperMemo at the cost of retention.

With SuperMemo, you can nearly eliminate the problem of forgetting! However, the cost of remembering is still substantial. SuperMemo protects your memories from the spontaneous process of forgetting and puts them in your own hands. Your persistence and conscious choices will determine what you remember and what you decide to give up to forgetting
Remembering with SuperMemo 2004

All material introduced to SuperMemo 2004 will be subject to review. This is all you need to remember:

  • on a daily basis choose Learn (or press Ctrl+L) and go through the scheduled portion of the material (this will include whole articles, their fragments scheduled for review, cloze deletions and simple question-answer items)
  • if you proceed with your daily review until you get the message Nothing more to learn, you are guaranteed to remember, by default, 95% of the learned material

You will often introduce to SuperMemo more material than you are able to review. You will therefore also need to consider the following:

  • the proportion of the material you remember can be changed globally or for individual pieces of information (see: Forgetting index)
  • if your review takes too much time, you can slow down the process by which material stored in SuperMemo is actually introduced into the learning process by answering No to Do you want to learn new material? This will make excess material wait for learning until you master the material that has already entered the learning process
  • if you cannot keep up with review, you can choose rescheduling tools (e.g. Postpone or Mercy). For example, you can choose Learn : Postpone : Topics to postpone all articles scheduled for today

Life cycle of knowledge

Knowledge stored in SuperMemo will gradually be transformed and reformulated. This will also reflect changes to the corresponding knowledge in your memory. Three main principles will underlie the evolution of knowledge in SuperMemo:

  • decrease in complexity - articles will be converted into sets of paragraphs. Paragraphs will be dismantled into sets of independent sentences and statements. Sentences will be shortened to maximize the contents-vs-wording ratio, etc.

  • active recall - all pieces of information will ultimately be converted into active recall material such as question-answer pairs, cloze deletions, picture recognition tests, sound recognition tests, etc.

  • incrementalism - all changes will take place gradually in proportion to available time, with respect to your selected material priority, and in line with the gradually increasing strength of memory traces

The core of SuperMemo is review and repetition. Changes to individual pieces of knowledge will take place in steps upon successive reviews. Here are exemplary steps that show a complete evolution of a single article into a finished item based on active recall:

  1. Imagine that you find an article on the net, e.g. The criticism of global capitalism, and you decide to read it and remember it for ever

  2. You import the article to SuperMemo

  3. You read the article (e.g. once it tops your reading list or once its turn comes up in incremental reading)

  4. While reading, you extract most important paragraphs. One of these, let us say, refers to Kuznets hypothesis

  5. The extracted paragraphs will assume a separate life in SuperMemo and will be scheduled for separate review, i.e. independent of the review of the parent article. The extracted paragraphs in the parent article will be marked as processed. Once all paragraphs in the parent article are processed, you will terminate the review of the parent article and keep on reviewing only its components (e.g. selected paragraphs)

  6. Upon the first review, usually after a few days, you read the extracted paragraph again and analyze it as to how it should be processed further. You may decide to postpone it, remove it from the learning process, shorten it or extract the most important sentences that you want to remember

  7. If you decide to extract a single statement in reference to Kuznets hypothesis it will again be marked as processed in the original extract and will assume a separate review cycle in SuperMemo

  8. Upon the first review of the extracted sentence, you make further decisions as to its further life in SuperMemo. Let us say, this is the wording of the Kuznets sentence: Acc to Kuznets hypothesis, growth (from the low income levels associated with predominantly agrarian societies) would first lead to an increase, and then to a decrease in income inequality

  9. In order to capture the essence, you would probably decide to shorten the above sentence to the following form: Acc to Kuznets hypothesis, growth would first lead to an increase, and then to a decrease in income inequality

  10. At the same time, other parts of the same parent article might establish a memory trace that would say that Kuznets hypothesis has been based on relatively weak empirical data. Moreover, recent research clearly indicates that the hypothesis is false (growth actually seems to equally benefit both the poor and the rich). You could then enhance the extract with words controversial or even recently falsified. For example, Recently falsified Kuznets hypothesis claimed that growth would first lead to an increase, and then to a decrease in income inequality

  11. Upon the next review of the same sentence, you may decide to convert it into a number of cloze deletions. This conversion will be incremental, i.e. you may decide to first create an cloze deletion asking about the name of the controversial hypothesis and only later ask about its actual meaning (the meaning is relatively easier to remember and shall survive longer in your memory without active recall). Your cloze deletion could then look like this:

    Question: Recently falsified [...](name) hypothesis claimed that growth would first lead to an increase, and then to a decrease in income inequality
    Answer: Kuznets

    This cloze deletion would again assume a separate life from the original sentence in which the keyword Kuznets will again be marked as processed. This is the original Kuznets sentence with one keyword marked as processed: Recently falsified Kuznets hypothesis claimed that growth would first lead to an increase, and then to a decrease in income inequality

  12. The same sentence will generate a few separate cloze deletions that will be processed independently. Upon the first review of the cloze deletion created in the previous point, you may decide to simplify it in accordance with the rules of formulating knowledge in learning:

    Question: Recently falsified [...](name) hypothesis claimed that growth would first lead to an increase in income inequality
    Answer: Kuznets

  13. Upon the next review, you can, but you do not have to, convert the cloze deletion into a standard question-answer item:

    Question: What is the name of the hypothesis that falsely claims that income inequality initially increases with growth?
    Answer: Kuznets hypothesis

  14. The above question-answer pair is probably as simple as it can only be. Certainly, it is simple enough to be relatively easy to remember. This item will be repeated in intervals determined by SuperMemo. You can decide how well you want to remember it. By default, it will be remembered with 95% probability of recall and require 5-15 repetitions in lifetime. The establishment of durable memory traces in your memory, completes the life cycle of this particular piece of knowledge. The only thing that remains is the memory-sustaining review in intervals ranging from months to years (as determined by SuperMemo)

  15. Once you convert all important keywords from the Kuznets hypothesis into separate cloze deletions, you will remove the parenting paragraph from the review process. You will not longer passively review the original declarative hypothesis. You will continue repeating individual clozes and that will ensure your perfect recall of the hypothesis for as long as you deem necessary

To learn more about the life cycle of knowledge in SuperMemo read: Flow of knowledge in SuperMemo

Incremental reading

If you stop reading an article and return to it after a month or so, you may find it hard to understand the text due to the fact that the part read earlier will have already been partly forgotten while it might have built a solid introduction needed for understanding the remaining sections of the article.

In SuperMemo, reading articles in small parts does not pose a problem. The parts read earlier enter the regular review process that ensures continual retention of all pivotal points. Even more, SuperMemo encourages reading in small parts. This makes it possible to read many articles at the same time, and portion the inflow of information into the learning process in proportion to priority and available time.

The process or reading many articles at the same time in small portions will later be called incremental reading.

Without SuperMemo, incremental reading would not be possible. This comes from the fact that only SuperMemo can ensure that you do not forget what you have read before. In other words, if you return to the same article in a week or in a few months, you will quickly recover the context and keep on reading as if you have read preceding parts just minutes earlier.

The advantages of incremental reading are numerous. They all are interdependent. Good retention enables incremental reading. This provides variety which eliminates boredom, enhances attention and affects creative associations. Good prioritization enhances the speed of reading without affecting comprehension, and that in turn, eliminates the stress of fast reading (worry of missing important pieces of information) and the stress of massive reading (worry of losing track of one or more articles).

Here is the list of the most prominent advantages of incremental reading:

  1. knowledge structure and comprehension: Building knowledge in your brain is like assembling a jigsaw puzzle. Some pieces cannot be placed in the puzzle before the others. Some pieces capitalize on others. There is no point in memorizing facts about Higgs boson before you learn what a standard model is and that, in turn, should follow the general understanding of particle physics which itself requires some ABC of physics. In incremental reading, if you encounter texts related to Higgs boson you can manually delay it until the time you hope your Physics ABC will provide the ground for understanding. In traditional reading, you would just waste your time on reviewing Higgs boson material. Traditionally, your decision to skip the material would provide no definite way of coming back to material in the future. With incremental reading, you waste no time on reading material you do not understand. At the same time, you can safely skip portions of material and return to them in the future. You become the master of the conscious knowledge building process

  2. attention: Human brain has an in-built limit on the attention span. We all get bored with things. This is often true even with interesting articles once they get too long. Millions of people do a daily channel zapping on TV. This absurd activity is driven precisely by the craving for dense action and information variety. A gripping movie goes "too slow" for a typical channel zapper. This is why he or she prefers to watch three movies at the same time (even though the plot of all will suffer). Incremental reading is a perfect remedy to the limited attention span. Once you sense any sign of boredom or distraction, you can jump to the next article with few negative side effects. Unlike in the case of channel zapping though, you won't miss a bit of information. Just the opposite, you will maximize attention per paragraph. Your attention to the same piece of information may depend on your mood, amount of prior reading, today's interest that may depend on the piece of news you heard on the morning radio, etc. With incremental reading, you can fit your best attention to each individual piece of reading

  3. speed: Incremental reading will help you dramatically increase the speed of your first reading of a selected text. You can quickly jump from paragraph to paragraph, get the overall picture, mark fragments for later reading, mark fragments for detailed study, etc. You will be relieved of the greatest bottleneck of speed-reading: fear of missing important pieces of information. As soon as you suspect a quickly-reviewed paragraph may carry more importance than meets they eye, you can simply introduce it back into the review process (as opposed to backtracking and reading the paragraph again). Once you process the entire article, you can slowly digest it again from the very beginning in the incremental reading process. Incremental reading provides for speed-reading without detriment to comprehension

  4. prioritization: There are always many more articles at hand than you can hope to read. Evaluating articles and prioritizing them is difficult because you cannot do a good evaluation without actually reading a part of the article in question. In incremental reading, you can read the introduction and then decide when to read the rest. If an article is extremely valuable or interesting, you can process it entirely at once. Other articles can slowly scramble through the learning process. Yet others may ultimately be deleted. The prioritization will continue while you are reading the article. If the evaluation of quality or content changes while reading, so will the reading-review schedule. Prioritization tools will ensure that important pieces of information will receive better processing. This is one of the most important things about incremental reading: efficient fishing for pieces of golden knowledge!

  5. consolidation: Everything we learn must be reviewed from time to time in order to be remembered. If you read an article in intervals, you already begin the consolidation of memory which may save you lots of time. In traditional reading, you would need to read the whole article, and then to review the article later several times. With earlier releases of SuperMemo, you would need to read the whole article, and then only review the most important parts of the article in SuperMemo at intervals determined by the program. Now you can begin the consolidation-review cycle already during reading! By the time you convert parts of the material into clozes or question-answer items, you will already have it well consolidated. This pre-consolidation will often dramatically reduce the number of repetitions required before your material gets to be reviewed in long intervals of months and years

  6. creativity: SuperMemo will throw at you various articles, paragraphs, statements and questions in a most unexpected order. You will be surprised to discover how this affects your creativity and helps you generate unexpected associations of ideas. This will also provide your brain with an entertaining form of mental training that will be highly appreciated in all forms of professions based on intellectual performance. Critics of incremental reading, who have never tried the method, are not convinced this argument is really tenable. You may be skeptical too. There is only one sure way to convince you: give incremental reading a good try! Try incremental reading for a month at times when your brain is in its peak shape. If the processed knowledge belongs to the areas that are critically important to you, so much the better. You may see your brain turn into a creative sparkler!

  7. stresslessness: Once you know you can rely on SuperMemo in presenting review material for you, you can eliminate the stress and anxiety related to having too much to study or too much to read. You will probably not manage to read or learn all that you would hope for, but you will at least not lose sleep over planning and scheduling. SuperMemo is a promise of the best use of your potential. With this conviction, you can devote all your energy to comprehension and analysis of the learned material

  8. consistency: If your material contains contradictory parts, your brain will alert you to this fact. In classical learning, you would often relearn new facts that would contradict earlier learned facts. Then you would relearn the older version again and this wasteful cycle might repeat more than once. In SuperMemo, the same process can take place; however, there will be two mechanisms that will prevent it. High degree of retention guaranteed by SuperMemo will often make it quite effortless to immediately spot the contradiction: Wait a minute! I have already learned this fact and the answer was different! Unfortunately, even SuperMemo isn't hermetic to contradiction (your retention actually never reaches 100%). The second mechanism will quickly produce the convergence of contradictory facts in time. If you, for example, learn two different answers to What is the size of human population?, say, 5.5 billion and 6 billion. You will naturally provide a wrong answer to one of these questions. Once you relearn it the new way, you will provide a wrong answer to the other question. Inter-repetition intervals for these two contradictory items will get shorter with each relearning cycle. The timing of repetitions of contradictory items will tend to converge. It is only a question of time when the red alert is raised by your brain. You will quickly resolve the difference and delete one of the items. Similar process will affect hazy or incompletely specified information. Your knowledge will grow in consistency with time

  9. massive learning: Massive learning is the consequence of all advantages listed earlier. Incremental reading will run a river of knowledge through your memory. The speed of acquiring new information will surprise you. Even though human memory is painfully limited, you shall be able to read thousands of texts pertaining to different fields and quickly swell the size of your knowledge to your and others' benefit

  10. enjoyability: Those who can compare the classic SuperMemo with incremental reading will testify that incremental reading is by far more enjoyable. Monotonous repetitions are here interspersed with reading and analyzing new material

Incremental reading tools in SuperMemo 2004

To introduce an article to incremental reading - use Edit : Add a new article (Ctrl+Alt+N). This will introduce the article stored in the clipboard into the incremental reading process

To resume reading - once you return to an interrupted article, the cursor in the text will be set on the last-processed text. When leaving the article, you can also manually set the so-called read-point and the place where you interrupted reading. Choose Ctrl+F7 to set the read-point or choose the read-point button on the Read toolbar

To schedule the next review - if you want to schedule a given article for review on a selected day, choose Learning : Reschedule on the element menu (e.g. by pressing Ctrl+J). You can also use Learning : Execute repetition (e.g. by pressing Ctrl+Shift+R). Execute repetition works like Reschedule with this difference that a repetition will be executed before rescheduling

To add pictures - to add a picture to an article use Copy on the picture menu in your web browser and then press Shift+Ins or Ctrl+V in SuperMemo to paste the picture

To place the reading toolbar on your desktop - drag the Read toolbar from the toolbar dock to any location that seems suitable and choose Ctrl+Shift+F5 (to save the default windows layout)

To randomize your today's repetitions - press Ctrl+Shift+F11 (this is equivalent to choosing Learn : Random : Randomize repetitions)

To postpone all articles and extracts - use Learn : Postpone : Topics. For large collections you can use a faster method: (1) View : Outstanding, (2) Child : Topics, (3) Learning : Postpone

To postpone the currently processed branch - choose Learning : Postpone branch (or press Ctrl+Alt+P)

To learn more about incremental reading see: Incremental reading in SuperMemo 2004

Using knowledge

SuperMemo is not yet equipped with tools to help you efficiently use your knowledge for good causes. It will boost your knowledge but ... you must be vigilant: Do not spend your time on gaining knowledge for the knowledge sake! Think applicability!

Luckily, as your knowledge grows, so does your ability to use it efficiently.

Enjoy your learning!

Further reading

  • Incremental reading

  • FAQ: Incremental reading

  • 20 rules of formulating knowledge for learning

  • FAQ: Formulating knowledge

  • 10 rules of effective learning with SuperMemo

  • Roots of creativity and genius

  • Reading the Internet

  • Flow of knowledge in SuperMemo


Exploring e-commerce for innovative products
A case in point: SuperMemo 		Piotr Wozniak,
SuperMemo Research,
January 1999
This paper was written for Scientific Sessions of Business Information Systems 1999 conference that will be held at Infosystem 99, Poznan, Poland in April 1999

Abstract

E-commerce is leveling the playing field and reducing entry barriers for new businesses. Although it may look like a step towards perfect competition models, it will rather reduce the theories of profit to the innovation theory of profit where the economic profit is a direct derivative of the novelty factor and the innovative potential of individual businesses. The article presents a case in point: a product that may be an example of a prime beneficiary of the new rules of business

In the theory of microeconomics, perfect competition models are very useful in studying and understanding real markets. However, we are accustomed to think of these models as theoretical concoctions with such abstract terms as undefined price elasticity and little bearing to economic reality.

We may experience a paradigm shift when we look closer at the impact of the Internet on the worldwide commerce.

The year 1995 witnessed the advent of Amazon.com and is now considered the birth year of e-commerce. Initially e-commerce was slowed down by security concerns, technological barriers, and the resulting lack of shopping audience. Amazon.com was one of the firsts to overcome these problems by a positive feedback of sales and customer trust. 1998 has brought a number of breakthroughs of which massive on-line store outsourcing have taken away payment processing and security worries from the merchants and ultimately from the customers.

With cheap outsourcing, nearly anyone can become a telecommuting e-tailer. With low market entry barriers and comparison shopping, on-line retailers are forced into the position approaching zero price cross-elasticity reminiscent of perfect competition in which prices are determined by normal profit leaving no margin for any attempt to undercut the competition.

No wonder that conditions of nearly ideal information exchange forced the trend called disintermediation in which old business models crumble to benefit the new model based on portals, shopping guides and original manufacturer sites. Interestingly, even Amazon.com does not exactly subscribe to this model which forces it to make use of economies of scale, expanding customer base, broadening the definition of the business model and constant catch-up game with global e-commerce trends.

As a result of e-commerce explosion, the theories of profit will all converge onto a single model with little space for friction and monopoly theories. Despite this drive towards perfect competition, the economic profit of a future e-commerce enterprise will not be zero. Businesses subsisting on normal profit would mean a sad disappearance of the flamboyant likes of Rockefellers and Gates and the arrival of a bleak all-leveling rat race. Zero inflation and full-employment cannot be of comfort here. However, it is well known that advertising is the main non-merger factor of market concentration. The concept of a free hyperlink is likely to act in the same way. However, this is a largely product-independent factor. At the same time, it becomes evident that all compensatory, functional, and innovation-based theories of profits will likely be unified and that the economic profit of future e-commerce enterprises will be a direct derivative of innovation. This will be further solidified in terms of market share by the economies of scale; however, the level field of ubiquitous information will place innovation at its right place in business: at the top of the hierarchy of priorities. Additionally, recent trends show that on-line trading in shares can completely change the way upstart companies are financed and change the criteria used in judging their earning potential. Recent IPOs indicate a upsurge of popular interest in all dot com companies with little relevance in their actual bottom line. It is clear that good ideas will find it easier to seek solid financial backing (cf. www.garage.com). Its good news for innovation.

By the year 2000, 300 million people will have gained the access to the Internet (more than the population of the United States). In the US, already 50% of Internet users are e-commerce ready. This way, apart from being good news for innovators, e-commerce is also bound to become a significant chunk of the global economy. Forrester Research Inc. (1998) puts the expected on-line retail sales at 6% of total retail by 2003. 2-3 years later, the same proportion of global GNP will be generated by e-commerce.

Interestingly, the size of the web is doubling every eight months while traffic doubles every 100 days. In conclusion, an orphaned page registered with a single search engine might expect a noticeable increase in the number of random hits with time.

Naturally, the true net traffic gains will come from information consolidation, information quality and from innovative content. This bodes well for businesses with their own innovative contribution to live up to the principle saying that quality information (and products) beget dissemination which begets traffic which begets sales.

In these circumstances investment in content and the reliance on syndicated traffic or syndicated sales may produce better returns than investment in classic forms of promotion, including the Internet promotion (e.g. banner advertising). That is again good news for innovative businesses that can dissipate fewer resources on attracting poorly targeted audiences. It will not spell the demise of advertising campaigns in classical media but it will certainly sharpen the criteria of expected return on investment.

The number of marketing tools made available to an on-line merchant is staggering and is growing constantly along with the net technology. You name an idea and you sure have or will soon have it implemented to benefit your promotional effort. And one of the best promotional tools … free information.

One of the central issues in e-commerce will be the effort to increase sales-to-visits ratio. As traffic growth seems nearly guaranteed, the focus is on providing the customer with high quality shopping experience to effect the sale and capitalize on customer loyalty and repeat purchases. This is also good news for the customers who are suddenly catapulted to a true focus of attention of companies that can now shift resources from other aspects of running a business.

The case in point I want to discuss throughout this article is SuperMemo: a software application based on a novel learning technology called the repetition spacing. Repetition spacing makes it possible to compute optimum inter-repetition intervals in learning thus practically eliminating the problem of forgetting. SuperMemo has been developed and marketed since 1991 by SuperMemo World, a company set up exclusively with promoting the repetition spacing technology in mind. As of June 1997, SuperMemo has been available via the Internet and a great attention has since been paid to increase the proportion of Internet sales in total company revenue.

We believe that SuperMemo is an example of a product that is bound to be an excellent material for success in e-commerce. As argued above, its strongest point is innovation. Indeed, in its category of repetition spacing software it does not practically have competition. There are only a couple of programs in the flash-card category and some more in the areas of learning enhancement, mind-mapping, speed-reading, etc.

With its monopoly on core technology, SuperMemo can enjoy a new renaissance on the Internet. There are few customers who search for software of its kind. The vast majority yet need to discover that findings on memory and learning can neatly be used in practice and it all has already been encapsulated in a piece of software than can run on 90% of PCs worldwide.

The novelty factor has traditionally made it difficult to sell SuperMemo via classical distribution channels. Thanks to its constant adaptation to current trend, SuperMemo has gained significant prominence in its home country, Poland, and as such was easily placed in all major distribution channels. However, with the maturation of the software market it became apparent that major distribution channels rendered its sales ineffective in comparison to popular demand applications. Consequently, the sales had to be driven by constant stoking up of the interest of the press, intimate dealership, dedicated sales representatives, advertising, etc. Similarly, worldwide sales had strongly been correlated with the particular distributor’s ability to capitalize on the novelty of the product. It has never gained the heart of box-shifters, while it has stayed with lesser dealers who were able to develop an intimate relationship with the customers and the media.

Only the Internet made it possible to overcome the major purchase barrier: lack of support and quality information about the product. SuperMemo websites became an effective marketing tool of constantly increasing importance. Only now the true value of releasing earlier software versions into public domain becomes evident. There are few shareware users ready to register through a payment. However, there are scores of those who gladly buy the newest commercial version of the program.

Sales of SuperMemo via the Internet have grown from 0% in 1997 to 13% of the total company SuperMemo-derived revenue in 1998 [this percentage dropped significantly upon the release of Easy English in Poland]. The same year, the Internet sales outpaced the total revenue growth by 10 fold. Remarkably, SuperMemo is now sold to remote places the company could by no means reach via the traditional channels. Be it a small sultanate of Brunei Darussalam or Saudi Arabia where government restriction make Internet access a privilege of a few.

It is important to note that in 1998, 82% of the web was written in English and 80% of users of the web speak English. This is why English-language site is particularly important for the company. It is composed of two integral parts, an information server at www.supermemo.com and an on-line store at www.super-memo.com located at Yahoo servers. The information server is composed of three components that are also tightly integrated but provide independent look and navigation: (1) SuperMemo information component, (2) SuperMemo support component and (3) SuperMemo learning material component.

The expected path through which new visitors are lead to become loyal repeat customers is this:

  1. a new visitor finds out about SuperMemo from the SuperMemo component on the information server. This component provides all customer information, technical information as well as background information with history of the method, software and research
  2. the trustworthiness of the site is ensured by 24-hours monitoring by Public Eye which is an on-line equivalent of Better Business Bureau. All customers can file their reports on the merchant making sure that quality service is reflected in report statistics
  3. the customer is then directed to the commercial component: the on-line store where he can purchase SuperMemo software which can be downloaded immediately upon providing credit card data information
  4. the customer is then served with support information to ensure he or she can fully exploit the strengths of the software and become a repeat customer for upgrades and the learning material
  5. finally, the customer is directed to SuperMemo Library which serves as a learning material directory with links to other places on the web where such material can be downloaded or purchased

The on-line store is an outsourced site serviced by Yahoo Stores. Yahoo Stores has been created as a result of $45 million purchase of Viaweb Inc. by Yahoo in June 1998. Yahoo Stores provides unique opportunity for merchants to create a secure on-line store at $100-$300 monthly rate using ready-made templates and high quality e-commerce software. Currently, Yahoo Stores are not open for international resellers (SuperMemo World belongs to the lucky few that have been allowed to open a store). However, this will change in the future making it possible for all merchants to open an on-line store within days without the hassle of software installation, security worries, shopping cart handling, etc.

Additionally, SuperMemo World is currently in talks with Digital River, Inc. which pioneered ESD (electronic software delivery). Entering into a cooperation with Digital River automatically puts software into their 1400 sales channels on the web. Interestingly, all these channels use the same back-end handled entirely by Digital River software. This back-end serves also the original software developer sites and is modeled to approximate the original site’s look and feel. All purchases are handled on-line with real time credit card processing and software delivery via an FTP download.

The greatest advantages the Internet has brought to the promotion of SuperMemo are:

  1. up-to-date, extensive and complete information about the product is available 24 hours a day, 7 days a week, throughout the world
  2. the act of sale to the most remote location on the planet takes less than 10 minutes (most of that time is taken by the software download procedure). There is no middleman. All sales go directly via SuperMemo World or its local franchisees serving national language areas
  3. direct contact with the customer makes it easy to chart future development and understand customer needs and problems. Indeed, only the Internet made a true customer-oriented development possible. Especially that the direction is not blurred by those who purchase SuperMemo CD-ROM titles for their content rather than for SuperMemo itself
  4. beta-testing over the Internet might be 5-10 times more effective than traditional testing in the field. Sites dedicated to beta-testing make it easy to attract droves of new testers. Many of them become loyal customers providing development feedback for months and years to come. This feedback also provides an excellent way of balancing innovation with software stability
  5. customer decisions and interests can be studied via on-line questionnaires as well as plain site statistic tools
  6. costs of support drop manifold due to immediate conversion of user problems into improvements in the on-line documentation (including priceless FAQ files)

SuperMemo does not have to monitor compare.net listings as it is practically a monopolist in its category; however, as any promising technology that is based on algorithms that cannot be fully protected with patents, SuperMemo has seen a number of attempts to copycat its software in the past. Some of these attempts might have seemed to stand a chance to derail SuperMemo World’s effort of standardizing its repetition spacing technology. However, the Internet has clearly reversed all negative trends as technical reference information associated with the product cannot easily be reproduced without copyright infringement and technological superiority of SuperMemo’s core technology must be evident at closer scrutiny. Hence it is now more difficult to encapsulate the algorithms in deceptively attractive package that would mislead the customer as to its true validity. The Internet exposes the core and makes the truth evident. All attempts to produce competitive products of similar functionality will definitely steal away from SuperMemo’s comfortable 100% market share. However, SuperMemo World hopes to succeed in teetering on the thin equilibrium line between technological superiority over the competition and the strength of the competition that is always proportional to technology’s success. In other words, for long we have always managed to stay a few steps ahead of the competition proportional in strength to the size of our unexplored market. Time will tell if this approach will not ultimately attract the attention of a major player that would recognize the potential of accelerated learning and overwhelm our innovative potential with superior resources (rather than opting for licensing or buy-out).

The Internet clearly magnifies the innovative potential of individual businesses. The technology is thus less likely to lose out to unfair competition and the market is more likely to favor the best player. The greatest and the ultimate winner in this game are the consumers: whatever the outcome of the race for a piece of the market pie.

The Internet is a blessing for innovation, which will definitely trigger a positive feedback with technology growth that will ultimately result in a speedy conversion of the global population into an information society

See also: The Economics of Innovation by Ray Kurzweil (1991)


Easy English with SuperMemo 98

Yet easier ... Easy English Pawel Wimmer , PC Kurier, 1999, Poland
translated by: Monika Morawska
This article, translated with the permission of the author, has been publish in a popular Polish computer journal PC Kurier upon the release of Easy English with SuperMemo 98

The problem in learning a foreign language is not in an effort to convey a message to a person you talk to. Polite Britons and friendly Americans will accept and understand even the worst cases of broken English. They will put a lot of effort to grasp the sense of your statement! The greatest problem is to understand the spoken language! It’s enough to listen to people on a London or New York street to become convinced that understanding ordinary English is completely unrealistic even after four years of school behind you!

Since the ancient times of Hicks’ and Eckersley’s classical textbooks, lots of water has flown in Thames. After a period of absolute domination of records and cassettes, the computer entered into the picture, and made it possible to apply incomparably more effective learning methods. It made it possible to put to mothballs the inconvenient linearity of traditional recordings. At the same time, we get at our disposal more and more materials which meet the urgent need to immerse ourselves in the world of the real language.

The harbinger of the new times was a great textbook Here Is the News which offers six cassettes with recordings of continuous texts, and in May 1999, we expected LANGmaster English in Action that was to appear with analogous but wider goals (developed by Electronic Publishing Association and Sky News).

For one and half years now, Polish market has been inundated by a new course called: Easy English. This course provides a huge collection of sound recordings and a sizeable language material (several cassettes). This material makes it easier to understand speakers of CNN or BBC World.

The authors of Easy English, Amercom Ltd. from Poznan, went a step further, and contacted their Poznan neighbor, a software company: SuperMemo World. The result is a combination of the Easy English course with the well-known and tried SuperMemo technology. This is how Multimedia Easy English came to life.

Multimedia Easy English is an exact replica of the sequence of topics in the cassette version, however, it adds the dynamic nature of the interactive course, and enhances the traditional learning techniques with non-linear presentation of dialogs, vocabulary drills, multiple choice tests, cloze deletions (filling out the blanks), drag-and-drop, etc. Advanced SuperMemo techniques have been used here thus confirming again their usefulness in creating an interactive multimedia course.

The software release of Easy English (300 thousand copies in the first print-run!) is naturally provided on a CD-ROM. Each compact disk contains material with four lessons of the original course. Each month, the user will get a sizeable learning material, and the whole course will fill out twenty CD-ROMs. Additionally, an enclosed exercise book contains all course materials, and the description of the SuperMemo method (including step-by-steps instructions for using the program).

The greatest asset of Multimedia Easy English is the universal nature of the course, and the convenience in using the included sound material. A very large number of recordings makes it possible to immerse the listener in the in spoken language. The effects will be noticeable in a short period of time when the ear starts getting accustomed to the sounds of the native British English. The same happens when we watch regularly English TV channels. After some time we are able to distinguishing sounds, and then, after a couple of months, we are able to understand the news.

Unfortunately, there is no better method of learning than a continuous practice. It is like starting the car with the fourth gear – at a snail’s pace in the beginning. Then faster and faster, until we don’t even notice when tangible effects start appearing.

The present release of Multimedia Easy English can only be criticized for a not so good quality of some recordings in which some background noise can be heard. It does not make it difficult to understand the dialogs but is somewhat irritating to the ear. Secondly, the hardware requirements have been set quite high: Windows 95/98, 16 MB RAM and HighColor mode. This one factor for sure will eliminate most of computers at Polish schools!

Last but not least, the course was provided with the newest version of SuperMemo 98 for Windows (Build 9.23 EE from March 29, 1999). It is a fully 32-bit application which can handle long file names. The multimedia tools were improved and many program functions have significantly been accelerated (in some cases even 300-500%). Collections in SuperMemo 98 can include texts of unlimited length. Important new extensions are HTML, RTF and the OLE support. In the Internet era, including the functionality of HTML documents is particularly attractive. Using the program is now much more comfortable and the interface is much more informative.

As for shortcomings of SuperMemo 98, I would most of all point to an occasional problem with importing collections in older formats: the element background becomes black when default colors are in use [black-background bug was fixed upon publishing this article]. Fixing this problem requires some knowledge of templates which could be troublesome to a less experienced user (we must then remember to make a backup before upgrading!).

A major piece of functionality missing from SuperMemo 98 are non-WAV and non-MID sounds formats. The father of SuperMemo, Piotr Wozniak, should recognize the new trend in the world of the Internet, in which formats such as MP3, RealAudio and MS Advanced Streaming Format gain common acceptance [see: new sound formats in SuperMemo 2000]. To tell the truth, you may partly replace sound components with HTML components here, but in some situations this solution is not effective at all. Another imperfect workaround is to use programmable components which recognize file associations in Windows and can thus run external applications that support these formats. It’s worth noticing, that were these formats supported, the size of collections using sound would drop dramatically


Flow of knowledge in SuperMemo

Flow of knowledge in SuperMemo Dr Piotr Wozniak
March 2000
Important! This article was written with SuperMemo 99 in mind. SuperMemo 2000/2002 simplify many of the discussed procedures. If you have not done it yet, you should start with reading Devouring knowledge and return to this article later

Summary: To maximize the speed and the benefits of learning with newer versions of SuperMemo, you will need to learn more about knowledge management and the flow of knowledge in the learning process (rudimentary knowledge of SuperMemo is needed to understand this text)

Most important points and skills:

  • creating a To Do category based on rich text components
  • examples of content-related knowledge processing that goes in parallel with the learning process (gray inserts: Step 1, Step 2, and Step 3)
  • constructing occlusion tests
  • understanding the multidimensional flow of knowledge
  • knowledge processing options

In this article I would like to discuss the optimum strategy that would maximize the inflow of quality knowledge into the learning process at minimum time. It should be noted that long-term memory is still the bottleneck of the learning process. Consequently, your chief cost in learning will be paid to repetitions (i.e. the effort of keeping knowledge in memory). Yet a noticeable proportion of your time is spent on importing knowledge to SuperMemo and formulating it for optimum recall. Actually, this fraction of your learning effort will often be most painful and inhibitory. Many would-be-users complain that they do not employ SuperMemo because it takes too long to type in the learning material to the program. This article is an attempt to suggest a set of solutions (other than the obvious one: get ready-made learning material)

New reading options and a wider application of rich text and HTML components in SuperMemo 99 through 2002 are likely to influence the way in which you acquire new knowledge with SuperMemo. In early versions of SuperMemo for DOS, all knowledge was represented as questions and answers in limited-length text fields. This required lots of discipline in formulating items and there was no intermediate stage between the outside sources of knowledge, and the knowledge stored in SuperMemo

Today, SuperMemo makes it possible to import entire articles in electronic form, extract most important fragments, gradually process these fragments at speeds that reflect the importance of particular pieces of knowledge

A collection in SuperMemo becomes a conglomerate of pieces of knowledge of various priority, status and degree of processing. Consequently, SuperMemo 99/2002 adds the following new qualities to learning:

  1. Faster learning: You can quickly introduce rough notes into SuperMemo and later gradually convert them into well-structured knowledge. This is prioritizing via formulation. Less important material may remain unstructured and, as such, less well remembered. You will see how passive notes gradually fade in your memory and how their individual components will need to be reinforced by formulating specific well-structured items. You will make such reinforcement decisions on the one by one basis depending on the importance of the fading material and the degree of recall problems (see examples below)

  2. Better understanding: You can gradually build understanding of complex phenomena. You will start from importing a set of unrelated or even chaotic articles describing a studied complex problem. You can then gradually proceed through this material and gradually build the understanding from basic or simple facts towards details or more complex components of knowledge

  3. Creative thinking: You can gradually resolve contradictions in a body of knowledge. If you study a new branch of science with a number of contradictory findings and models, you will find SuperMemo quite useful in grappling with contradictions. By introducing the chaos of new research into SuperMemo, you will gradually locate contradictions and strive at building better and more consistent models in your memory. You will build understanding, resolve contradictions and ultimately creatively discover new truths about the learned material. You will quickly lean towards theories that are better supported by research findings. Those supported poorly will be less firm and will often cause recall problems. You can reformulate or delete these. As you process the material, the creative build-up will be gradual and you will intelligently manage the flow of knowledge in your collection

SuperMemo 2002 encourages you to (1) collect rough notes from various sources, and (2) introduce these notes into the learning process (even before these notes assume the ultimate well-structured shape). Such rough notes will often not comply with the two pivotal principles of SuperMemo:

  • active recall principle: passive presentation of knowledge is ineffective. Instead of reading that Theodore Roosevelt won the Nobel peace prize in 1906 for mediating in the Russo-Japanese war we should be asked Who won the Nobel peace prize in 1906 for mediating in the Russo-Japanese war? or Which year did Theodore Roosevelt win the Nobel peace prize?, etc.
  • minimum information principle: the act of recall in a single repetition should be accompanied by minimum added effort related to reading comments, wordy questions, etc. Each recall, i.e. each repetition, should refer to a single fact or rule: a single basic memory unit

In this article I would like to stress that the approach in which you store rough notes and text fragments in SuperMemo does not have to contradict the principles of effective learning. Indeed, the new tools provided in SuperMemo 2000 encourage this approach and assist you in efficient knowledge management. SuperMemo 2000 helps you build better understanding of complex material and creatively resolve contradictions in knowledge you learn

Here are some typical ways knowledge enters your SuperMemo collection:

  1. Articles: If you find an interesting article on the web, CD-ROM encyclopedia, or any other article available in electronic form, you can copy it to the clipboard, and paste it to SuperMemo with Edit : Add a new article (Ctrl+Alt+N). Note that you need to enter the professional level to make this possible (File : Level : Professional)
  2. Items: If you want to add a single important piece of information belonging to a well-defined category, you can select this category in the category combo-box, choose Add new and type in the contents of the item. Usually, you will formulate a question and an answer. Occasionally, you will import a file to illustrate your item (e.g. if your category template includes an image component, you can import a jpg or gif file with Import file). In earlier versions of SuperMemo, adding items was the primary way of expanding your study material
  3. Notes: If you want to quickly introduce some rough notes taken while watching TV, reading press, during a lecture, board meeting, or meeting with a friend, you can define a separate To Do category that will allow of the fastest possible transfer of rough notes into the learning process (see yellow inset below to find out how to set up a To Do category). Your To Do category might use a question and answer template based on Rich Text components (RTF format). Using Rich Text will help you process knowledge gradually depending on the priority and availability of time. If you frequently add sounds or images to your items, your To Do template might include a sound component and one or more image components. In SuperMemo 2002, you can add a new note with Edit : Add to category : Note (Alt+N)
Creating a To Do category in SuperMemo
  1. In the contents window select a branch where your category will be located (to find out how to work with the contents window see: Knowledge tree). You can name this branch To Do (after selecting the branch, click it again to start editing its name)
  2. On the contents window menu choose Category : Make category or press Ctrl+K. Chose the name To Do and OK. All new elements in the To Do category will be added to the branch you have selected
  3. Double-click your To Do branch or choose View at the bottom of the contents window. This will display the root element of the To Do category in the element window
  4. In SuperMemo 99, define your To Do template based on Rich Text components (in SuperMemo 2000 you can reuse a predefined template Reading with Ctrl+Shift+M):
    1. click the RTF button on the compose toolbar
    2. click the top-left corner of your question field (in the element window)
    3. click the bottom-right corner of your question field (this will create a Rich Text question field)
    4. repeat Steps 1-3 to create the answer field
    5. right click over the answer field and check Answer (to be sure the answer field is indeed interpreted as an answer)
    6. resize the fields if necessary (you will rather need more space for the question field in your To Do category as you will often add longer texts requiring further processing)
    7. add one or more image components if you plan to learn material requiring visual feedback (e.g. geography, anatomy, architecture, etc.). Check Answer on your image component if it is more likely to play the role of an answer
    8. add one or more sound components if you plan to learn material requiring auditory feedback (e.g. pronunciation, music, etc.). Check Answer on your sound component if it is more likely to play the role of the answer
  5. Make your To Do template a default template in your To Do category: choose Template : Save as default on the element menu or press Ctrl+Alt+s. This will make sure that your newly created template is used by default each time you add new elements to your To Do category

Instead of creating one To Do template, you may create a separate template for including pictures (e.g. To Do Picture), separate for sounds, videos, etc. You can also create a special template for occlusion tests (i.e. graphic deletion tests), in which you will cover a part of a picture with a rectangle at question time and reveal the covered area at answer. You could then name such a template To Do Occlusion for easy reference (see the inset Occlusion test below). Some predefined templates in SuperMemo 2000 should make your work easier (see: Occlusion, Picture, Sound, Multiple Choice, etc.)

Depending on the way you introduce knowledge to SuperMemo, its further processing will look quite different:

  1. Articles: If you have pasted an entire article from an electronic text, you will use options such as Remember extract, Task extract, or Queue extract to generated smaller and more manageable pieces of information. For a detailed discussion see: Devouring knowledge, Reading the Internet, and Incremental reading
  2. Items: If you have added a well-structured element to its target category, it will most likely need little further processing except for minor corrections, editing, etc. A subset of these elements will naturally be rescheduled, removed from the learning process, dismissed or even deleted; however, the scale of these actions will be incomparably less than in the case of the next category, i.e. rough notes
  3. Notes: If you have added a rough note to your To Do category, it will require further processing that will include:
    • splitting into smaller fragments
    • rewording
    • generating cloze deletions
    • converting to a simple question-and-answer format
    • moving to appropriate categories (and perhaps merging with the category template at the same time)
    • introducing the item to or removing it from the learning process, etc.

The gray insert presents a couple of examples of real-life situations, which could result in adding rough notes to your To Do category. Your choices will naturally depend on your interests and needs. You may opt to use SuperMemo to learn professional knowledge only, or languages, or proverbs, jokes, family names, history, or knowledge that you have long forgotten since your high school years (see: User Comments to better understand the knowledge selection issue)

Situation | Note added to SuperMemo
During the celebrations welcoming the year 2000 you found out that the first people to welcome the new millennium were people of Kiribati. Curiously, you paste the following note from your CD-ROM encyclopedia in reference to Kiribati | KIRIBATI. The Republic of Kiribati consists of 33 coral atolls and islands in the Central Pacific Ocean that straddle the equator and the international date line. The soil is poor, but the islands are well covered by coconut palms that provide copra, the main export. Population 75,000. Most of the people on the other islands live in villages of thatched huts. The official language is English, but it is rarely spoken away from Tarawa Atoll. Most families fish and grow bananas, breadfruit, papaws, and taro
During the recent announcement of the AOL merger with Time Warner, you hear the CEOs mention the word broadband again and again. There is no mention of broadband in your encyclopedia. Having checked that out on the net, you come up with the following definition of broadband | Broadband - new technologies of fast access to the Internet such as DSL, cable access, or satellite broadcast (starting at 0.3 Mbps)
You have just played a football match with an old high school friend. He is recently married with a child. You will probably only meet him next year. You would like to spare him a year 2001 question: Are you married yet? So you make a quick note in SuperMemo | Mike married Monica in 1999. They have a son Robert born later the same year. He quit his video rental business and now works for a friend in his well-known restaurant Astoria
While reading the recent Economist, you encounter a new word in the following sentence: You might imagine that rhubarb is one of those one-time staples of the British diet which is slowly sliding off the menu, along with cold blancmange and suet pudding. You decide to paste the following definition from your dictionary: | blancmange - a jelly-like dessert, stiffened usually with cornflour and set in a mould
At CNN.com, you have found a nice picture of Kosovo. Finally, you can put all the neighboring republics in place: Croatia, Bosnia, Serbia, Montenegro, Macedonia, etc. You use your To Do Picture template and Import file to import the picture to SuperMemo |

Your notes will probably be added to the pending queue; however, once your pending queue grows long enough, you will want to immediately memorize those notes that are particularly important

Once you memorize your notes, they will come back to you for review in the learning process. Depending on the importance of a given note you will most likely choose one of the following:

  1. If the note contains very important material, you will immediately convert the note to a set of well-structured items (see further examples in gray insets)
  2. On a less important note, you can postpone the review by choosing a passing grade (as in standard repetitions). Naturally, each time you postpone processing your note, the interval before the next review will grow larger at each repetition. Soon you will notice, that delicate fabric of memory structure that keeps the note in your memory falls apart as a result of passive review (only active recall can ensure good retention). If you postpone processing the note 4-5 times, the interval might be long enough for you to come to the conclusion that you should either delete the note (you seem not to have time to process it) or process it only partly (e.g. using cloze deletion options on most important keywords)
  3. Occasionally, you can manually decide when to schedule the next review by choosing Jump interval (Ctrl+J)
  4. You can shift the note back to the pending queue with Ctrl+R. This way, it will be processed only after you pass all the remaining items in the pending queue
  5. You can dismiss the note with Ctrl+D. This way you will come back to the note only if you locate it with search (e.g. Ctrl+F) or stumble against it accidentally
  6. You can delete the note if you believe it is not important enough or if you think that you are not likely to ever convert it to well-structured items. Keeping notes indefinitely in the learning process is a poor strategy that is likely to pollute your repetitions and reduce your focus (you may find yourself reviewing less relevant old notes that leave little traces in your memory while you could better use this time for retaining quality knowledge)

Processing notes is not an all or nothing process. If you notice that upon third or fourth review, important components of the note seem to fall apart in your memory, you can, for example, pick a single keyword and use it with Reading : Remember cloze to memorize one cloze deletion that will effectively restore this particular semantic relationship in your memory. You could also use Reading : Remember extract to extract only the most important sentence that will later be subject to the same review process

Please have a look at examples below to see how rough notes listed above get reworked in the first step of processing (or later):

Reasons for processing a note | Results of processing
You consider your Kiribati note a facultative contribution to your general knowledge and keep it rather for passive review. However, you notice that upon fourth review, you do not seem to have kept an important association between Kiribati and the international date line. You decide to use Reading : Remember extract to memorize part of your note (the original note will display the extract in different font as shown on the right) The extracted note will require further processing in the future. It does not form a well-structured item. Most of all, it does not ask any question. It does not meat active recall principle | KIRIBATI. The Republic of Kiribati consists of 33 coral atolls and islands in the Central Pacific Ocean that straddle the equator and the international date line. The soil is poor, but the islands are well covered by coconut palms that provide copra, the main export. Population 75,000. Most of the people on the other islands live in villages of thatched huts. The official language is English, but it is rarely spoken away from Tarawa Atoll. Most families fish and grow bananas, breadfruit, papaws, and taro
You consider broadband important enough to process your definition with Reading : Remember cloze. Your goal: remember the word broadband and remember the three most popular broadband technologies. As a result you generate four cloze deletion items (the original note will display deleted keywords in different font as on the right) | Broadband - new technologies of fast access to the Internet such as DSL, cable access, or satellite broadcast (starting at 0.3 Mbps)
Upon the fifth review you noticed that you are not likely to recall Mike's son's name. You decide to use cloze deletion again (Reading : Remember cloze) and generate the item shown on the right | Question: Mike married Monica in 1999. They have a son ...(name) born later the same year. He quit his video rental business and now works for a friend in his well-known restaurant Astoria Answer: Robert
You decide to give up the definition of blancmange and reconcile yourself to just being aware that blancmange is a kind of dessert. You manually process your items to the form shown on the right | Question: blancmange Answer: kind of dessert (jelly-like)
Remembering the map of Kosovo seems important to you and you decide to convert your note to a series of questions (illustrated with a map as Answer on the component pop-up menu) (alternatively, you could use an occlusion test to recognize areas obscured in the picture, e.g. with a circular shape component) | Questions: What is the location of Macedonia relative to Kosovo? What Yugoslav region separates Bosnia and Herzegovina from Albania? What does Macedonia border with in the east? Answer:

It is easy to notice that the process of formulating items above has not been completed. As soon as individual notes come for review you may decide to generate more extracts, cloze deletions, occlusion tests (see the insert below for a occlusion test recipe), etc. You will also convert many items to their final form and move them to their target categories. In a well-managed learning process, all notes and extracts will ultimately be used to generate well-structured items and dismissed (for future reference) or deleted (if no longer needed). As all new items are built from clozes and extracts as children of the parent extract or note, the actual deleting of a rough note should take place only after all children have been moved to their target categories

Occlusion test

Occlusion test is useful in learning pictures, diagrams, mind-maps and other knowledge represented graphically (as occlusion test is a graphic equivalent of cloze deletion, the occlusion is also called a graphic deletion)

In the occlusion test, the question has a form of a picture whose part has been deleted, and the answer is made of the deleted part. Here are some examples:

  1. a map with a single country deleted can be used to learn to recognize the country's name
  2. an anatomical picture with a bone's name deleted can be used to recall the bone's name
  3. a mind-map represented by a set of elements in which each has one of the branches deleted can serve as an excellent way of keeping the whole mind-map intact in memory
  4. a technical drawing with a component deleted can help you name the component or recall its structure
Occlusion test in SuperMemo 2000 Occlusion test in SuperMemo 99
  1. Prepare the source picture or mind-map (without deletions) that will make up the skeleton of your occlusion test (preferably use JPG or GIF format to keep your collections small)
  2. Add a new element (Ctrl+A)
  3. Choose Apply template with Ctrl+Shift+M, select the Occlusion template (e.g. by typing o' in the text field) and choose Accept
  4. Choose Impose template (Ctrl+Shift+F2) if you do not want the changes in the layout to affect your global Occlusion template (press Esc a few times to clear the editing mode if necessary). Respond with Yes to Detach template?
  5. Right-click over the image and choose Import file to import the picture prepared in Step 1
  6. Drag the occluding red rectangle to the right location. The occlusion rectangle should cover that part of the picture that should not be seen at question time. You can use Ctrl+T several times to reach the rectangle and set it in the editing mode. Use Alt+click to switch it to dragging mode
  7. Add other components if they are needed in your test (e.g. comments, question in the text form, etc.). For example, a standard text component might ask What part of the picture is covered by the red rectangle?
  1. Prepare the source picture or mind-map (without deletions) that will make up the skeleton of your occlusion test (preferably use JPG or GIF format to keep your collections small)
  2. Add a new element (Ctrl+A)
  3. Add an image component (e.g. with Edit : Add components : Image)
  4. Drag the image to the desired location and adjust its size
  5. Right-click over the image and choose Import file to import the picture prepared in Step 1
  6. Add an occlusion component that will be used to occlude a part of the picture (e.g. a text component or a rectangle component). For example, choose Edit : Add components : Text
  7. If you add a text component as an occlusion component, be sure you uncheck Text : Transparent on its menu (right-click). Otherwise the text will be transparent and will not occlude the picture
  8. Type the text in the occlusion component (if any) and drag a text component to the desired location (use Alt+click to switch the text component to the dragging mode indicated by a different color). The occlusion component should cover that part of the picture that should not be seen at question time
  9. Right-click the occlusion component and choose Display At. Check only At browsing, On first question and On question. Leave the other boxes unchecked. This will make sure that you will see the occlusion only when browsing your collection and when asked the question during repetition. At answer time, the occlusion will be gone and you will be able to see the occluded graphics
  10. Right-click the occlusion component and choose Color. Be sure to consistently stick to a single color for occlusions (e.g. bright red). This will decrease your reaction time at repetitions
  11. Add other components if they are needed in your test (e.g. comments, question in the text form, etc.). For example, a standard text component might ask What part of the picture is covered by the red rectangle?

You will often need many occlusion tests generated from a single picture. In such cases you will reuse the same geographical map or anatomical chart or a conceptual mind-map to generate a number of questions (note that your picture will not be physically duplicated and this procedure will not consume much of your precious hard disk space). This is how you can do it quickly:

  1. On the element menu choose Edit : Duplicate (press Ctrl+Alt+D in SuperMemo 2000 or Ctrl+Alt+U in SuperMemo 99). This will create a copy of your occlusion test and place all components in the editing mode. Remember to choose Impose template (Ctrl+Shift+F2) and detach the template. Otherwise, changes to the duplicated element may affect the source element
  2. Alt+click the occlusion component to move it to the dragging mode (use Ctrl+T repeatedly to get to this component if it it cannot be reached with the mouse)
  3. Drag the occlusion component to a new location (e.g. another country, another bone or another branch of a mind-map)
  4. Change the content of other components if needed (e.g. change the comment, question, size of other components, etc.)
  5. Use Remember (Ctrl+M) if you want to be sure your newly generate occlusion test enters the learning process (note that there are associative benefits from immediate memorizing all occlusion tests related to a single complex image, i.e. you will build a big picture that will keep individual occlusions together)

Fig.1. An example of occlusion test -- learning brain anatomy:

With passing time, depending on your priorities, more and more changes will be noticeable in your maturing learning material. In our exemplary set of notes, after another month or two, the following changes might occur:

Reasons for processing a note | Results of processing
You decide to simplify your Kiribati extract and generate two cloze deletions that will help you remember that (1) Kiribati is made of a group of atolls and islands and (2) Kiribati spreads over the international date line | Kiribati consists of 33 coral atolls and islands in the Pacific Ocean that straddle the equator and the international date line
You move your broadband definition to your Internet category, reformulate the item and apply the default category template (here: blue text on the white background) | Question: Internet: What is the collective name of new technologies of fast access to the Internet (e.g. DSL, cable access, or satellite broadcast)? Answer: broadband
You simplify the question about Mike's son, move it to your Private category, and apply the default category template | Question: Mike married Monica. They have a son ...(name) born later in 1999 Answer: Robert
Your blancmange item seems complete. You only move it to your General English category and apply the category template | Question: blancmange Answer: kind of dessert (jelly-like)
You notice that your Kosovo map contains some interesting visual clues about facts you do not know. You decide to add questions about these facts and delete the original Kosovo note as fully processed | Questions: What sea does Albania access? What province is Pristina a capital of? Does Slovenia border with Albania? Answer:

Multidimensional flow of knowledge

The flow of knowledge in SuperMemo proceeds along the four major pathways that make up a complex multidimensional flow of knowledge:

  1. Quality flow - flow of knowledge from articles and notes, through extracts to cloze deletions and well-structured items
  2. Pool flow - flow of knowledge from reading lists and pending notes towards the pool of pending elements and ultimately memorized elements. Occasionally, some elements will move to the dismissed pool for future reference. Processed articles and extracts will often be deleted for the sake of conserving space and avoiding excessively rich searches in your collection
  3. Category flow - flow of elements from your To Do category to other categories such as: biology, geography, history, economics, private, Internet, etc.
  4. Time flow - flow of elements in time from shorter to longer intervals. Because of the fact that a large proportion of processing is done at repetitions, flow of knowledge towards longer intervals slows down the three remaining flow pathways
Quality flow

Quality flow proceeds from articles and from rough notes, through stray images and text fragments towards cloze deletions and well-structures items based on active recall and minimum information:

  1. articles enter SuperMemo via reading lists. Once you locate interesting texts in electronic form, you can import them via the clipboard using Edit : Add a new article (Ctrl+Alt+R). While reading an article you extract its fragments (e.g. with Reading : Remember extract) that later enter the review process. For a detailed discussion of reading lists see: Reading the Internet
  2. extracts are best added to your To Do category based on rich text templates. Using rich text makes it easier to process extracts. Further extractions and cloze deletions leave a permanent colored-font mark in the extract so that you do not have to keep wondering which parts of the extract have already been processed. Here are the three typical ways extract enter SuperMemo:
    1. as extractions from larger articles with Reading : Remember extract or Reading : Queue extract
    2. as pasted via clipboard directly from longer electronic articles (e.g. collected on the net, e-mail, CD-ROM encyclopedia, etc.). Reading lists are best suited for meaty articles full of contents that requires meticulous processing. However, you will often read longer articles that will only sparsely contribute to your knowledge. Very often, a whole article will have zero contribution or will contribute a single paragraph. In such cases, importing it to your reading list would be a waste of your time or a waste of space in your collection (reading lists make your collections swell quickly into dozens of megabytes!). For sparse articles, select the paragraph of interest in your web browser, choose Ctrl+C (copy to clipboard), switch to SuperMemo, select To Do category, choose Ctrl+A to add a new note and paste the content of the copied paragraph (e.g. with Shift+Ins or Ctrl+V)
    3. as typed in directly from other sources (e.g. press, TV, books, phone talk, etc.). Very often you will need to type a note quickly without much time to consider the appropriate formulation for learning. Using techniques described in this article, you will later convert such notes to well-formulated learning material
  3. sentences, pictures, sounds, etc. are best added to the To Do category. Once you encounter an important sentence or phrase, you will quickly paste it in to a new item or type it in (in case it was not available electronically). The same happens with pictures that illustrate an important idea. Once you locate a picture on the net, you can save it on your disk, add a new item, use the To Do Picture template on that item, and use Import file to import the picture to this new item (do not paste images via clipboard as this will store them in space-consuming BMP format)
  4. cloze deletions will most likely be created from extracts and sentences still located in the To Do category. Optimally, To Do category should be rich-text based. This will make it easy to see which parts of a given extract have already been processed with cloze deletions. On the other hand, template in target categories would better be plain-text based. Text components use much less space and have quite a number of other advantages
  5. questions and answers will either be added directly to the target category in the ultimate shape or will be produced from cloze deletion items after careful analysis of the wording and formulation. Well-processed cloze deletions from To Do branch can be moved to the target category by choosing the category in the Category combo box in the Element parameters dialog box (Ctrl+Shift+P)

Pool flow

Pool flow occurs between the four essential pools of knowledge in your collection (plus the fifth pool of deleted items):

  1. tasks - tasks will usually have a form of articles and article extracts placed on your reading lists. Tasks do not take part in repetitions and are scheduled for review in prioritized lists called tasklists. You pick tasks for reading with Learn : Reading list (Ctrl+F4) and remove them from the list after reading with Dismiss (Ctrl+D). Fragments of articles may enter other pools of knowledge by means of reading functions
  2. pending elements - rough notes and items that await the entry into the learning process. Pending elements do not take part in repetitions and are scheduled for their first repetition in the pending queue. Pending elements enter the learning process one by one when you select Learn : Selected stages : New material (Ctrl+F2) or when you answer with Yes to Do you want to learn new material? in the last stage of daily repetitions
  3. memorized elements - elements that take part in repetitions. Those elements are guaranteed to stay in your memory with probability determined by the forgetting index (e.g. for the standard forgetting index of 10% this probability is around 95%)
  4. dismissed elements - elements that you consciously eliminate from the learning process and keep in your collection only for reference or archival purposes
  5. deleted elements - elements that ultimately lose their appeal and are no longer needed

Category flow

Usually, the category flow is a one-step process for each item. Once an item assumes its final shape, you can choose Element parameters (Ctrl+Shift+P), select the category (Category field), and click OK

Time flow

Time flow is the most obvious flow component for every seasoned user of SuperMemo. The figure below roughly illustrates the flow of knowledge in time depending on its difficulty (understanding this graph is optional for further reading):

Fig 2. Time flow of knowledge in the learning process

The horizontal axis corresponds with the repetition number and the vertical axis represents intervals (logarithmic scale). Despite popular belief, the semi-log scale does not produce a linear graph here. Clearly the increase in the length of intervals slows down with successive repetitions. Moreover, the graph corresponding with zero lapses (black curve), results from the superposition of items with lower and faster increase in intervals (determined by difficulty). The bell-shaped curve is determined by all contributing items (below repetition number 10) and then only by difficult items or items with low forgetting index for which the increase in the length of intervals is significantly slower (above repetition 10). To see the above graph in your own collection, use Tools : Repetitions graph in the browser

Flow dynamics

The quality flow is unidirectional, i.e. you gradually move from unprocessed articles and rough notes towards quality knowledge that takes part in the learning process. Category flow is also unidirectional: from unprocessed reading branches to well-formulated category branches.

The pool flow is more complex and often multidirectional. New elements usually start off as tasks in the reading lists, rough notes added to the pending queue or important notes added directly to the learning process (memorized pool). Articles and extracts stored in the reading list (task pool) are dismembered into shorter extracts that flow into memorized or pending pool, while articles themselves are tossed into the dismissed pool upon review (usually they are not deleted until children elements formed during reading are completely processed and moved into target categories; the process that may take months). Pending elements gradually move to the memorized pool (usually at the speed determined by the availability of time for learning). Memorized elements may flow back to the pending queue (if they are considered of lower priority) or into the dismissed pool (if they are considered worth future reference but not worth remembering). Some memorized elements will be deleted if they become irrelevant or are considered no longer needed

Processing knowledge in the learning process

You should remember that all items introduced into your learning process require endless attention in reference to their applicability, formulation, importance, logic, etc. In a well-planned learning process, it should not be necessary to review items in the periods between individual repetitions. However, when an item comes up in a repetition, you should make a quick and nearly instinctive assessment of the following:

  1. Do I really need this item?
  2. Do I really need to know it now? Or can I remove it from my memory for some time?
  3. Is this item difficult to remember? If so, why?
  4. Is it factually correct?
  5. Is it as simple and clear as it could be?

Here are some typical actions you will take depending on the answer to the above questions:

  1. editing the item. In case of questions and answer, you will use keys such as Q, A, or E to enter a desired text field and edit it. In more complex items you will use Ctrl+T to circle between components, Alt+click to switch a component between editing and dragging modes, or Ctrl+E to enter the editing mode
  2. forgetting the item. If you think the item is too difficult or not important enough, you can postpone learning it. For this purpose, press Ctrl+R to remove it from the learning process. This will put the item at the end of the pending queue (i.e. the queue of elements that await the entry into the learning process)
  3. rescheduling the item. If you know the item well or for some other reason want to manually increase (or decrease) the length of the inter-repetition interval, press Ctrl+J to select the date of the next repetition
  4. dismissing the item. If you are sure you are not likely to need the item in the future, but you would like to keep it in your collection for reference or archival purposes, press Ctrl+D. Dismissed items are removed from the learning process and from the pending queue. If you create a reading list item and process it gradually (e.g. with Reading : Remember extract), you will want to leave it in your collection until all its children are processed (e.g. moved to appropriate categories). SuperMemo will automatically prompt you once the last child of such an item is moved or deleted. You will then be able to choose if you still want to keep the parent item in the collection
  5. deleting the item. The key Del is very useful in cleaning your collection from garbage that results from your desire to know more than your memory can hold. In editing mode or in spelling items (i.e. at times when Del plays text editing functions), you may need to use Ctrl+Shift+Del instead of Del. Please note that deleting an element in SuperMemo will delete all its children!

Further reading:

  1. Incremental reading
  2. FAQ: Incremental reading
  3. Reading the Internet

User comments

(Tomasz Szynalski, Poland, March 21, 2000)
Question:
My view is that this article advocates an unrealistic approach to learning! I do not see many people being able to find time to memorize names of their friends' children!
Answer:
This article does not predicate on the quality or quantity of knowledge that should be added to your collection. Those two must be determined by the user himself or herself. As for the quality, the selection of material features prominently in Six Steps to Excellent Memory (Step 2, Identify what you really need!). The examples in gray inserts should not be considered a recommendation as to the sort of knowledge you will use in your particular case

(Michal Ryszard Wojcik, Poland, March 21, 2000)
Question:
My collections are solely language-oriented. I passionately learn English. Memorizing proper names, dates, numbers and other dry facts sounds like a pretty good way to waste my time. I am not convinced
Answer:
The only rational approach to deciding which material should enter your collection is via the cost-benefit analysis. With a dose of practice, this analysis becomes a semi-automatic process, and should painlessly blend with your life. The cost-benefit analysis should serve as the sole platform for deciding what is worth adding to SuperMemo, and what is not (neglecting the fact that your learning may also be a form of enjoyable pastime). The cost-benefit criterion is: if costs of not knowing a piece of knowledge is greater than the cost of repetitions in a given period of time, add this piece of knowledge to SuperMemo (otherwise do not add it)

Cost

Cost of a single well-structured item in lifetime ranges roughly from 40 seconds to 3 minutes. At any given moment it may be approximated for a 30-year bracket, by multiplying Future repetitions (in element data) by Avg time (in learning statistics). In SuperMemo 2000, this value is already displayed for you in element data. If your item is ill-structured (i.e. difficult to remember), this cost may bloat!!! To eliminate ill-structured items use leech analysis

Benefit

Each piece of knowledge in your collections should be associated with a tangible benefit. Only you can accurately guess the value. For example, the value of memorizing the opening hours of your gym in a given time might be approximated by multiplying (1) the probability you will choose wrong hours by (2) the time-cost of missing the gym. For example, if you believe that the probability is 25% and the cost of choosing wrong hours is 40 minutes, the cost of knowing the opening hours is around 10 minutes. In such a case, memorizing the opening hours will be cheaper than missing the gym. However, if the probability is sufficiently low or the time loss sufficiently small, you should not add opening hours to SuperMemo. For example, if the probability is 10% and time loss is 3 minutes, you are not likely to recover your learning investment! There are naturally less clear-cut cases in-between. Use your best knowledge to figure out the outcome

(Bodek Kowalewski, Poland, Dec 14, 2000)
Question:
In occlusion tests, once I change the position of the occluding rectangle in one element, it gets changes in all other elements using the occlusion. What am I doing wrong?
Answer:
You are using your global Occlusion template. Each changes to this template in one element will be reflected in all other elements using this template. First, arrange the component in your global template in the most often used way. Then, each time you use the Occlusion template, use Impose template (Ctrl+Shift+F2) and detach the global template from your test (by answering Yes to Detach template? after Impose template). This way, local changes will not be visible in the global template

SuperMemo 2000 cannot generate plain-text cloze deletions as in SuperMemo 1999 (#5972)
(Johann Schwarz, Tuesday, July 31, 2001 12:53 AM)
Question:
Is it possible to generate cloze deletions in SuperMemo 2000 with a simple plain-text question-answer result (as it was in SuperMemo 99)?
Answer:
No. SuperMemo 2000 makes use of the parent element template, and this behavior is not configurable. If the parent uses rich text components, so will the child. However, the recommended solution is to apply your target template after completing the process of formulating cloze items. You can do it by choosing Apply Template (Ctrl+Shift+M) or by moving the item to its target category (with Element Parameters dialog box evoked with Ctrl+Shit+P). In the latter case, category template will be applied


Formula for Human Genius and Creativity

The roots of creativity and genius Dr Piotr Wozniak
Summer 2001
This article is an attempt at formulating a prescription for genius and creativity. In equal part, it was written to inspire the bright ones as it is supposed to help those who consider themselves less intellectually fortunate. In short, it will reiterate the claim that training can do miracles to your mind. It will attempt to demonstrate that a majority of population can reach today's standards of genius. It will list nearly forty preconditions and fallacies related to genius and creativity. It will also attempt at presenting a simplified metaphor of genius for the sake of demystifying the concept. Hopefully, it will also encourage parents to spare no effort in providing rich and loving environment for their kids to grow in

Contents

Sideline stories

  • High IQ in high demand
  • Nature-vs-nurture dilemma resolved
  • What is intelligence?
  • The computing brain
  • What is special about a genius brain?
  • Working out genius
  • Smart and dumb learning
  • Predicting the future
  • What is creativity?
  • Ingredients of creativity
  • Personality factor
  • Creative environment
  • Negative and positive emotions
  • Lifelong learning: Rebirth of the Renaissance man
  • Major Genius Fallacies
  • Summary: Genius Checklist
  • Genius FAQ
  • Biological basis of genius
  • Down syndrome
  • Dyslexia
  • Expert systems
  • Ideafisher
  • Johannes Gutenberg
  • Charles Darwin
  • Thomas Edison and Nicola Tesla
  • Steve Wozniak
  • Tim Berners-Lee
  • Polgar sisters
  • William James Sidis
  • Genius in chess
  • Predictive lapses

Inserts related to SuperMemo

  • SuperMemo and contradiction
  • SuperMemo and complexity
  • Incremental reading
  • Associational thinking
  • Knowledge selection
  • Representing SuperMemo

High IQ in high demand

Intelligence, creativity and genius are generally regarded as highly valuable assets of the human mind. As a strong positive correlation exists between IQ and the median earned income, most people would gladly boost their IQ, improve creativity or accept being called a genius. Exceptions to this rule are few and most revolve around a claim that intelligence may be an obstacle on the way towards universal happiness. Here are a few exemplary arguments against human intelligence listed by the detractors of genius:

  • high intelligence reveals existential truths and as such is highly depressive
  • high intelligence prevents atavistic enjoyment of relationships
  • high intelligence is a source of envy and other bad feelings in others
  • high intelligence leads to inhuman behaviors and most sophisticated forms of evil

In this article, I will tacitly ignore the above claims and assume that you would gladly become more intelligent, creative or innovative. I believe it can be shown that an increase in knowledge and creative power can statistically leads to more "goodness" (see: Goodness of knowledge). I will tacitly assume throughout this text that achieving creative genius is a desirable goal.

Nature-vs-nurture dilemma resolved

Many books on psychology put a substantial emphasis on the nature-vs-nurture debate. Psychologist ask which factors are decisive in developing human behavioral characteristics: genetic background or education and upbringing? As far as intelligence is concerned, both genetics and upbringing determine the final outcome. Using reductio ad absurdum we quickly notice that we have not yet recorded a case of a success in science by an individual affected with Down syndrome, i.e. we can easily show that genetics can stifle intellectual development. At the same time, we notice that individuals deprived of education and human contact may be deprived of the ability to read, speak or conduct abstract reasoning, i.e. we can show that lack of education may be equally devastating to the human mind (see: Feral children).

The power of genetics on the functioning of the brain is illustrated by afflictions such as Down syndrome (mental retardation), dyslexia (reading problems), amusia (problems with recognizing sounds and music), unipolar and bipolar disorders (depression and manic-depressive disorder), and many more. These factors on one hand illustrate that we may at birth be handicapped in the quest for genius. At the same time, behavioral therapies used in all listed cases, show the tremendous power of training in developing compensation for disability.

If you look at the human brain from 100,000 years ago, you will not see much difference when compared with today's brains. Yet training and education, as well as the ability to communicate and work collectively, has lifted the human potential to unimaginable levels. See gray insets for more insights on the potential and limitations of the human brain.

Throughout this article, gray inserts will provide additional illustrative material. All inserts are optional! These are stories that can either explain major points by example or simply serve as a source of additional inspiration. The order of inserts is arbitrary. Each insert makes a separate and independent reading. Some may require more knowledge in a given field (e.g. biology, computing sciences, etc.). You do not need to read gray inserts to understand the text. You can read all inserts now, later, or not at all
Down syndrome

Of the inborn disorders that affect intellectual capacity, Down syndrome is the most prevalent and best studied. Down syndrome is a term used to encompass a number of genetic disorders of which trisomy 21 is the most representative (95% of cases). Trisomy 21 is the existence of the third copy of the chromosome 21 in cells throughout the body of the affected person. Other Down syndrome disorders are based on the duplication of the same subset of genes (e.g. various translocations of chromosome 21). Depending on the actual etiology, the mental retardation may range from mild to severe. Trisomy 21 results in over-expression of genes located on chromosome 21. One of these is superoxide dismutase gene. Some (but not all) studies have shown that the activity of the superoxide dismutase enzyme (SOD) is elevated in Down syndrome. SOD converts oxygen radicals to hydrogen peroxide and water. Oxygen radicals produced in cells can be damaging to cellular structures; hence the important role of SOD. However, the hypothesis says that once SOD activity increases disproportionately to enzymes responsible for removal of hydrogen peroxide (e.g. glutathione peroxidase), the cells will suffer from a peroxide damage. Some scientists believe that the treatment of Down syndrome neurons with free-radical scavengers can substantially prevent neuronal degeneration. Oxidative damage to neurons results in rapid brain aging similar to that of Alzheimer's disease. Another chromosome 21 gene that might predispose Down syndrome individuals to develop Alzheimer's pathology is the gene that encodes the precursor of the amyloid protein. Neurofibrillary tangles and amyloid plaques are commonly found in both Down syndrome and Alzheimer's individuals. Layer II of the entorhinal cortex and the subiculum, both critical for memory consolidation, are one of the first affected by the damage. A gradual decrease in the number of nerve cells throughout the cortex follows. A few years ago, the Johns Hopkins scientists created a genetically engineered mouse called Ts65Dn (segmental trisomy 16 mouse) as an excellent model for studying the Down syndrome. Ts65Dn mouse has genes on chromosomes 16 that are very similar to the human chromosome 21 genes. With this animal model, the exact causes of Down syndrome neurological symptoms will soon be elucidated (for the amazing genetic science in action see: Cytogenetics Resources Ts65Dn including pictures of "Down syndrome mouse"). Naturally, Ts65Dn research is also likely to highly benefit Alzheimer's research.

Whatever the actual molecular reason, over-expression of chromosome 21 genes puts children with Down syndrome at immediate disadvantage as compared with normal kids. Their IQ rarely goes beyond 60. The brain of children with Down syndrome is usually small and underweight. The cerebellum and brain stem are unusually small. So is the superior temporal gyrus. Their intellectual potential is further limited by a number of ailments such as recurring infections diseases, heart problems, poor eyesight, etc. Genetics is a true roadblock here. People with Down syndrome have (until now) never become great scientists, novelists, politicians, etc.

At the same time, medical treatment, conducive family environment, vocational training, etc. can increasingly produce excellent improvement in the overall development of Down syndrome kids. On one hand, Down syndrome shows that we cannot jump over genetic limitations; on the other, it shows that intense training can produce miracles whatever the starting point. In conclusion, the optimum path to excellence goes via the mental training independent of genetic limitations

What is intelligence?

You will find many definitions of human intelligence of which three make the most of the daily use of the word:

  1. problem solving ability - the power of the human mind to process information and solve problems. When you see a bright scientist with wide knowledge and numerous discoveries to his credit, you may say: This person is really intelligent! Look at his record! To use a computer metaphor, the scientist is endowed with the best hardware and software money can buy. He or she is optimally equipped for problem solving
  2. processing power - the raw nimbleness and agility of the human mind. When you see a smart student quickly learn new things, think logically, solve puzzles and show uncanny wit, you may say: This guy is really intelligent! See how fast his brain reacts! The student has a fast processor installed and his RAM has a lightning access time. He may though still need a couple of years to "build" good software through years of study. IQ tests attempt to measure this sort of intelligence in abstraction of knowledge. The difficulty of improving processing power by training comes for similar reasons as the fact that programming cannot speed up the processor
  3. intelligence potential - the potential to develop intelligence in senses listed above. When you see a young child that shows a number of talents and seems to be on a straight path to become a nimble student or a prolific scientist, you may say: This kid is really intelligent! The sky is the limit for him. The kid is equipped with high quality extensible hardware infrastructure. He is on the best path to reach highest intelligence both in terms of processing power (Definition 2) and problem solving ability (Definition 1)

In this article, I will focus on ways towards developing the intelligence in the sense of problem solving ability (i.e. Definition 1). After all, the whole purpose of education is to improve our problem solving ability, i.e. the ability to optimally answer questions such as What to eat for dinner? What job to take? How to build a better mouse-trap? What should my position on abortion be? Which party should I vote for? etc.

High IQ is welcome but it makes up for only a fraction of intelligence (Definition 1). As much as a fast processor stands only for a fraction for what we expect of a good computer.

Later in the article, I will argue in support for the scientifically obvious statement: well-designed training can produce amazing results in enhancing intelligence (Definition 1). However, this statement is surprisingly little understood in general population. It falls into the category of scientific facts that may find more skeptics than believers. Naturally, vox populi does not detract from the merits of evolution, genetic engineering, human cloning, Big Bang theory, sociocybernetics, neuropsychological interpretation of the thought and consciousness, etc. However, to make the obvious more digestible, I will use the computer metaphor to illustrate the building blocks of intelligence and genius

The computing brain

The neural network of the brain can be seen as mental hardware. It includes inborn ROM memory as well as highly plastic RAM. The inborn wiring and structure of the brain may roughly be compared to a ROM memory. If you stop eating for a day, program stored in your ROM will make you experience hunger. Things we learn in life can be considered software that is stored in your RAM.

If you doubt a mental ROM exists try the following experiment: look at the computer screen, keep your eyes open, stay conscious and yet try not to perceive the picture of the screen. Seems impossible? Now try to superimpose the face of a loved person by using the power of your imagination. This is easy for most people. Here is your RAM in action superimposing over a ROM-enforced perception. You can even imagine touching parts of the imaginary face. Yet the screen underneath does not seem ready to go away. The impulses from the retina hit the visual cortex, and you can do little about it.

Knowledge is encoded in the modifiable strength of connections between neurons in a similar way as bits are stored by electrical charges in cells of RAM memory. Our software can roughly be compared to an expert system. An expert system is a software application that can be used in problem solving such as producing a medical diagnosis. An expert system is built of two components: factual knowledge and an inference engine. They roughly correspond to data and software in a computer or to knowledge and reason in the human brain.

Expert systems

Expert systems are computer programs that take over the job of an expert in a highly specialized field such as medical diagnosis, production management, criminal profiling, etc.. An expert system is fed with data and it's job is to answer questions such as: "What is the list of the most likely diseases the patient is suffering from?", "Which supplies need to be ordered next?", or "Which offenders in the database match the profile of the described crime?". Expert systems provide an excellent metaphor for studying human problem solving and provide clues for enhancing creativity.

An expert system is usually built of a knowledge base (collection of facts representing factual knowledge) and an inference engine (collection of rules representing inferential knowledge). An expert system may store facts such as "E. coli bacteria is not resistant to norfloxacin" and "E.coli can cause urinary tract infections". It can also store updateable facts such as: "Pain during during urination is associated in X% of cases with urinary tract infection" (where X is a number regularly updated as the expert system improves its knowledge), or "E. coli is a cause of Y% of urinary tract infections". The expert system can also store rules such as "If (A is an antibiotic) and (B is a bacteria) and (patient is infected with B) then (suggest administration of A)". Some rules can be fuzzy, i.e. applicable with a degree of probability or producing a given outcome with a given probability, for example, "If (patient infected with E. coli) then (probability of success with norfloxacin is P%)" or "If (probability of E. coli infection is greater than P%) then (use norfloxacin)". By analyzing the facts stored in the database and facts fed into the expert system, the expert system can use its inference rules to answer questions on the optimum antibiotic therapy. It can also generate the probability profile of the successful application of individual antibiotics. Although the difference between static facts and if-then rules in an expert system is very clear-cut, there is no sharp fact-rule distinction in the human brain which uses neural representations for storing knowledge. However, the difference between facts and rules is very valuable in explaining the difference between smart and dumb learning.

Expert systems are always based on storing large amounts of information. They are built by peeking at human experts in action and concluding about their reasoning. A knowledge engineer or an expert himself needs to formulate the rules that are used in arriving at a solution to a problem. Consequently, there is a very direct parallel between an expert system and a human expert in action.

It is worth noting that much of expert thinking is much simpler than what happens in a child's brain in the course of ordinary play! The reason for this is that we are inborn with powerful computing machinery for visual processing, for association, for analyzing motion, for spatial orientation, for phonological analysis, for language parsing, etc. A child recognizing a simple ba-ba language may be harder to imitate in a computer than an expert botanist recognizing one of a thousand species of plant. As Marvin Minsky put it: It can be harder to be a novice than to be an expert! A program written in 1961 by James Slagle could solve calculus problems that are normally given to college students. This program was able to score an A on an MIT exam. This program needed only about a hundred algebraic rules to solve all the required calculus problems! Calculus permeates engineering and forms part of the foundation of the industrial world. It is also a classroom nightmare to many students. Yet in essence it is very simple and compact. Simplicity of calculus powerfully illustrates what our brains were not born to do. It also shows what new powers our brains can acquire with relatively little effort if the new knowledge is selected in the right way. Algebra can serve as a model of abstractness of rules. After all, it is based on symbols that can mean anything: a plane or a bird or just anything. As stated throughout this article, abstractness of rules stored in the human brain lays at the foundation of creative thinking.

What an expert needs to know can indeed be simple. However, it is often not simple to discover or explicitly formulate it in the first place. Many students may have problems with calculus because of the simple fact that some rules of calculus are highly heuristic and cannot be found in math books. Good (or rather hard working) students acquire those rules implicitly by solving a large number of calculus tasks. Poor students could easily catch up if their books or teachers explicitly formulated those hazy rules, e.g. if you see those two symbols on the left, go for the rule X rather than wasting time on the remaining five other possibilities that can cost you an hour each. Human experts seem more intuitive than computers. But this only comes from the fact that they apply rules that they themselves have hard time formulating. There is no qualitative difference between human or computer expert in that respect. Intuition is not a magic power. Intuition is an inability to explicitly express knowledge that is already wired in the neural network of the brain.

As with the haziness of the rules, similar uncertainty may concern the actual application of inference rules: the problem solving strategy. A creative individual will often not be able to clearly say how and why he or she arrived at the solution. When later writing a scientific paper on the solution to the problem, the creator will often need to look for a clear path towards the solution even though he has definitely arrived at the goal before. Expert systems may use various strategies such as data-driven derivation called forward chaining (going from the facts to a conclusion, e.g. deriving symptoms from a disease database), goal-driven derivation called backward chaining (going back from the goal to test a hypothesis, e.g. testing for a disease given the symptoms), search (applying simple rules repetitively over a large number of combinations that could yield a solution), and various combinations of these strategies. As for the problem solving strategy, the human brain is even harder to simulate. Usually the search space for major problems is huge and no simple strategy can be used (otherwise the problem would not be a problem in the first place). Then the lucky genius stroke, the brilliant association, insight, breakthrough, etc. is nothing else than applying the right rule to the right data at the right time. The "right time" here refers to the different states of the brain at different moments of time. The brain works associatively and two or more neuronal assemblies must be active at the same time for the association to be formed. Archimedes could have thought of volume when entering his bathtub before he yelled: Eureka! Newton's brain must have been sensitized to gravity when he was struck by a falling fruit. James Watt must have had his engine-power neurons potentiated when looking at a rattling kettle. Millions of people see kettles daily but they rather do not think about a steam engine as a result. The genius breakthrough comes from an association of ideas in the brain. In terms of an expert system, the right rule must be applied to the right set of facts. The best term to describe human problem solving is heuristic search. We apply available rules using the best-search rules which may be subject to another layer of meta-rules that are implicitly interwoven in the intricacies of the neural circuitry of the brain.

In conclusion, knowledge is the key to problem solving. In particular, highly abstract inferential knowledge is central to a creative search for solutions. The disassociation of the link between knowledge and genius can be harmful. The confusion usually comes from the fact that memorizing worthless data is not differentiated from memorizing useful rules. Many people mistakenly fail to recognize the associative power of human memory and conclude that relying on external sources of information may suffice in their particular field of activity. As a result, memorizing is perceived as a dumb act. Some articles at supermemo.com illustrate this problem:

  • In today's world, information is so abundant and can be accessed so readily that it is hardly necessary to lumber one's memory with it (from SuperMemo is Useless)
  • It should be enough to create in our memory some sort of an index to the global wealth of information (from No force in the world ...)

The most important things we learn from expert systems is that extensive knowledge helps solve problems. We also learn that the way we represent knowledge may determine the successful outcome of problem solving. Conclusions: we need to keep on learning and we need to pay special attention to how we represent things in our memory to ensure we understand the implications of the things we learn.

For a quick course on basic concepts of Expert Systems and Artificial Intelligence see: ABC of AI

Factual knowledge is made of facts. A fact may have a form of "Jimmy Carter was elected the US president in 1976" or "Abraham Lincoln was assassinated in 1865". Inference engine is based on inferential knowledge. Inferential knowledge is made of a set of rules. Unlike static facts, rules can be applied to facts to produce more facts, assertions, statements, theorems, formulas, etc. For example, a rule may say "Since the 22nd Amendment, a US president cannot serve for more than ten years" (i.e. two terms plus two years of possible succession). From a fact "Jimmy Carter was the president" and from a rule "President cannot serve for more than 10 years" we can derive new knowledge: "President Carter served no more than 10 years". In mathematics, a fact may say that x=3 and a rule may say that x+x=2*x. By applying the rule to the fact we can conclude that 3+3=2*3. Rules can then be used to derive new facts and new rules. If we know that x+x>x (for x>0) then we also derive a new rule: 2*x>x. In the course of problem solving, our brain will often develop new rules and store them in memory. These new rules will form a highly valuable component of your knowledge and will decide on your creative powers. Rene Descartes said: "Each problem that I solved became a rule which served afterwards to solve other problems"

Apart from declarative facts and rules which we can learn in a textbook, our nervous system also includes other forms of knowledge. For our analysis we will mostly need to discern: inborn knowledge and procedural knowledge. Inborn knowledge can be compared to rules stored in our ROM. For example, when feeling a burning pain in fingers, retract the arm. Procedural knowledge is knowledge that is acquired by trial and error via punishment-reward stimuli. For example, when we ride a bicycle, each time we lose balance, an information is sent to the motor system not to repeat the recent moves that should be considered an error. At the same time, the elation of smooth ride, reinforces the circuits responsible for sequential stimulation of muscles involved in cycling.

Apart from inference engine, our brain is equipped with a sort of "interference engine". Our brain was programmed for survival. It is supposed to make you search for sources of water when you are thirsty or react with interest to an attractive representative of the opposite sex. We are driven by instincts and emotions. Emotions helped humans survive thousands of years of evolution. However, emotions also interfere with the intellectual effort. Isaac Newton might be the brightest scientific mind of the 17th century, yet the last 25 years of his life were marred by a bitter battle with Leibnitz over their claim to having invented the calculus. Alan Turing, the father of the famous Turing Test, committed suicide by cyanide poisoning under the burden of intolerance brought forth by his homosexuality. His mind might have been affected by a hormonal therapy that was supposed to "cure" him of homosexuality. Even the greatest mind may be incapacitated by a strong interference from hormones or lower-level brain circuits. Emotions can literally kill genius.

Here is the summary of the computer metaphor of the human mind. Terminology defined here will be used throughout the rest of this article:

Hardware - the brain

Infrastructure - brain components: cortex, thalamus, cerebellum, basal ganglia, etc.
ROM - inborn knowledge (e.g. acrophobia)

Software - knowledge

Declarative knowledge - textbooks knowledge

Facts - e.g. Mary is a pilot

Rules - e.g. All snakes are reptiles, formula for solving quadratic equations, etc.

Procedural knowledge - skills (e.g. playing piano, touch typing, swimming, etc.)

Interference - emotions, instincts, reflexes (e.g. hunger, thirst, orgasm, etc.)

positive emotions (e.g. passion, laugh, elation, zeal, energy, etc.)

negative emotions, instincts, reflexes (e.g. anger, envy, hate, malice, etc.)

In the above light, we can simplify genius to the following:

Genius is based on good hardware, excellent knowledge, strong motivation, and minimum negative interference.

In other words:

  1. it is helpful to be blessed with a healthy brain (hardware)
  2. this brain must be subject to a lifelong training in acquiring useful knowledge (software); esp. problem solving knowledge
  3. knowledgeable brain must be driven by strong motivational factors (drive), including positive emotions (passion, enthusiasm, love, etc.)
  4. well-driven knowledgeable brain must avoid negative interference from inborn weaknesses and destructive emotions (e.g. few things cloud judgment as badly as anger, and few things are as distracting as love)

What is special about a genius brain?

Using the "simplified brain model" above, I will try to look for factors that determine a genius brain and how these factors could be influenced.

A genius brain in action will tackle a problem, quickly find an appropriate set of rules, and derive a solution. Actually, the speed of processing the rules is not as critical as the skill in choosing the appropriate rules at hand. For a genius breakthrough, the speed is usually quite unimportant. It took Darwin five years to collect data during his Beagle trip to come up with a vision of the evolutionary process. Yet it took him another 20 years collecting all necessary material, and opinions before mustering courage to publish On the origin of species. The book has changed our view of the human species for ever. It is hard to pinpoint a single breakthrough or a stroke of genius. Darwin's reasoning wasn't blindingly fast neither. Yet Darwin's impact on the ways of the mankind was monumental

Biological basis of genius

Humans do differ in their brain power. Some get a biological head start, others get handicapped from early childhood. In cannot be stressed enough though that the optimum path towards maximum achievement is always through training. The starting point is not relevant for choosing hard-work learning trajectory. It is also important to know, that in majority of cases, mental limitations can be overcome. Some major disabilities, such as Down syndrome or brain injury can pose a formidable challenge. However, practice shows that a huge proportion of the population see a problem where it does not exist. Many people write to me about their memory problems just to discover (e.g. with SuperMemo analytical tools) that qualitatively their memory does not differ from their peers. What usually prevents people from reaching intellectual heights is personality and the environment (school, family, etc.). Many do not live up to their potential simply because of insufficient motivation or belief in their own powers. Others fail due to parental inattention. Those factors are statistically by far more important than inborn limitations.

Scientists have studied Einstein's brain to look for the clues as to his genius. On cursory examination, they could hardly find any. Later it transpired that some areas of his brain were indeed better developed and nourished by a rich fabric of glial cells, i.e. brain cells that are, among others, responsible for the right environment for neurons to work in. Yet it is difficult to predicate as to whether all these differences were inborn or were rather a result of his training in abstract thinking.

Anatomical studies show that various areas of the human brain may substantially differ in size between individuals. Yet it is not easy to find correlations between these difference and mental powers. In people with a normal range of IQ, the volume of cerebral cortex may vary twice between one person and the next. So may the extent of differences in metabolic rates in the same organ. Similar differences have been found between such critical brain structures as the hippocampus, entorhinal cortex, and the amygdala. Connections between the hemispheres can dramatically differ in volume (e.g. seven-fold difference for the anterior commissure). The left inferior-parietal lobule (located just above the level of the ears in the parietal cortex) is larger in men, and was also found to be larger in Einstein's brain as well as in the brains of mathematicians and physicists. On the other hand, the two language area of the cortex: Broca and Wernicke areas are larger in women, which may explain why women might be superior in language processing and verbal tasks. Bigger men have bigger brains but are not smarter.

A racially sensitive subject of lower SAT test scores among blacks and Hispanics in the US has been a matter of debate for a number of years. The differences could not be explained by the material status of families or the neighborhood factor. Stanford psychology professor Claude Steele has conducted revealing experiments in which black students could do equally well on the test as long as they were not told they are being scored.

Although we can point to differences based on sex or ethnicity, the ultimate difference in the creative potential is by far more dependent on the upbringing, education and student's personality. As explained in Genius in Chess, despite chess being a "male game", female chess player, Judit Polgar, developed skills that are superior to those of 99.99997% of the male population.

When we tried to see if student IQ makes it easier to do well in learning and in exams, we found that some personality factors matter more. A small group of students learned with SuperMemo, and the main success factor was the perfectionism trait, not the actual IQ (Wozniak 1994, Gorzelanczyk et al. 1998). Most optimistically, SuperMemo and memory research show that our memory works in the same way at the very basic molecular and synaptic level. Our forgetting is described by the same forgetting curve whose steepness is mostly determined by knowledge representation. As the analysis of success stories with SuperMemo shows, main learning differences between individuals can be found in (1) personality (perseverance, delayed gratification, optimism, etc.) and (2) knowledge representation skills. A week-long course in mnemonic techniques immediately illustrates that knowledge representation skills can be learn very fast indeed. Those skills also develop in proportion to the amount of learning as demonstrated by differences between primary, secondary, undergraduate and graduate levels. All users of SuperMemo, unless primed beforehand, start with building clumsy collections of learning material that is quite difficult to retain in memory. Within months, most users develop reasonable strategies on how knowledge should be represented to minimize the effort of learning (see: 20 rules of formulating knowledge in learning).

To produce breakthrough ideas, most valuable rules are those that are highly abstract (i.e. detached from a particular subject matter). They should be applicable to a wide range of problems. This is why various branches of mathematics should be taught to students of all professions. Logic, probability calculus, or statistics are highly abstract and highly applicable. The same formula of logic may be the basis of dozens of other highly abstract rules. Surprisingly, many professionals find it hard to differentiate between conjunctions such as AND, OR, AND/OR, or XOR. Let alone the difference between deduction and induction which forms the basis of scientific investigation, as well as the basis of logical (read "correct") thinking about such simple choices in life as selecting the appropriate brand of cereals for breakfast

Rule abstractness: If you learn the rule "Wheat contains 340 kcal per 100 grams" its is only applicable to wheat. If you narrow the term wheat to a single concept (i.e. not grain of all species of plan called "wheat"), this rule can be interpreted as a fact. However, the rule "Most cereals contain 330-360 kcal per 100 grams" is probabilistically applicable to both wheat and maize. The latter rule is more abstract and statistically more valuable in problem solving (i.e. you can use cereal rule in more circumstances than the wheat rule)

The applicability of rules does not only depend on their express meaning. The actual representation of the rule in the human brain is paramount! The same rule in the mind of a genius can find a dozen more applications than can be borne out of an effort of a plain crammer. The skill of learning the rules the right way is a critical component of genius. Genetic component may play a minor role here. Many individuals find it difficult to represent knowledge in their minds in a way that can lead to a genius breakthrough. Understanding the right forms of training for abstract representation of rules in the human mind may bring untold benefits to mankind in years to come.

Let us use our computer metaphor to illustrate the problem:

If we take this rule: "if HardDiskSpace<5MB then raise(HardwareAlert('Running out of hard disk space')"

If you type this rule to MS Word and save it in a doc file, the rule will be as useless as any rule crammed into your memory without understanding. Yet the same rule encoded in a hardware monitor DLL can be a blessing to the security of data stored in your computer. The way we represent rules in our brain determines their applicability.

For the same reason, I started this article with a computer metaphor. This way I tried to represent the foundation knowledge of this text in a form that is easily understood by everyone. The rules I am expressing can hopefully be easier to digest and store in your mind with a more tangible long-term benefit. With the appropriate representation, no scientific theory is complex. All great theories were born in the human mind. Einstein, Turing, Gödel or Heisenberg did not have to be inherently brighter than you. However, they were able to arrange the pieces of the puzzle in their mind in such a way that they could easily see the light. There is nothing inherently complex in the theory of relativity, the theorem of incompleteness or the uncertainty principle. Some theories may be more voluminous than others. Some may be voluminous enough, in their digestible simple representation, to discourage many from digging in. An important conclusion: No product of human thought is inherently complex or incomprehensible. The difference between easy subjects and difficult once can always be explained by the representation and volume.

Abstractness calls for particularly well-chosen representation. The fact that dinosaurs became extinct 65 million years ago may require no special approach. Abstract mathematics, on the other hand, may be introduced to a student in a number of ways that differ in their effectiveness by many orders of magnitude. There are many more students who fear algebra than those who tremble before a literature class. Symbols of algebra do not have specialized brain circuits to process and simplify them. Student problems with algebra can usually be tracked down to insufficient training in math at primary and secondary levels. Consequently, a motivation factor builds up another inhibitory layer. The gratification from reading an excellent novel is instant. The benefits of math require good command of the raw basics, starting with the multiplication table and the sums. We have not been able to find many shortcuts from the basic level math towards solving differential equations. However, yet a few years ago, you could hear from many: Computers? That's not for me. I have never been good at technical subjects. Today, the same people surf the net for hours. Seniors are flocking to the net in droves. We have succeeded in simplifying the way people see and use the computers. We have changed the way computing is represented in public mind.

Blue inserts in this article are dedicated solely to users of SuperMemo. If you are not a user, you can skip these
Popularity of SuperMemo vs. knowledge representation
SuperMemo is still far from being widely accepted. It still awaits a moment to be packaged in a way that is digestible for an average citizen. Its problem is its representation in the public mind. It is surprisingly difficult to explain the benefits of SuperMemo. Try to convince your classmates or colleagues at work to use SuperMemo to experience this difficulty first hand. It is even more difficult to explain the program itself and how to use it. And it is by far the hardest to illustrate the destruction committed on learned knowledge by giving up spaced repetition. Without finding a formula for simplicity and popular appeal, SuperMemo will for long remain a tool for only those with the highest intellectual aspirations

In acquiring knowledge, never say "this article or book is too hard for me". When listing books he read in his youth, Charles Babbage, the inventor of the first mechanical computer, wrote "Amongst these were Humphry Ditton's 'Fluxions', of which I could make nothing". We know that Babbage was the last person you would suspect of having problems with mathematical texts. If you see the text of which "you could make nothing", go to the first sentence and analyze it. Most often than not, it is just the author who uses the language or structure that is either inappropriate or not matching your present knowledge in the field. If you encounter problems, and there is no explanation, no introduction, or if specialist terminology runs out of the field without a suitable glossary, you may safely excuse your comprehension problems. Do not attempt to dig into advanced chemistry article without the basic chemistry background. Every fourth word may fall out of your vocabulary range. It may take months or years to build a necessary background! Least of all, blame your own perception. Just keep on working harder and one day you will see the light.

If you find difficult material, do not waste time for depression or despair. Abstractness is inherently harder to digest than plain facts. Methodically analyze the reasons for which you cannot comprehend given material. Either the material is badly presented or you need new knowledge that will resolve your problem. Be patient and remember: Everything is difficult before it becomes easy! If you are a user of SuperMemo 2004, see Dealing with complexity in SuperMemo 2004 later in this article

Working out genius

High achievements in all fields require hours of training. This refers to music, chess, sciences, sports and what not. I wholeheartedly subscribe to the famous statement by Edison: "Genius is 1% inspiration and 99% perspiration". Training can have a miraculous impact on the human brain. It does not matter much how well you were endowed by the genetics. You got no better choice than to commit yourself to a lifelong course of learning. If you are in a minority that shows identifiable genetic limitations, you may need to hone your routine to your particular needs; however, if you have already arrived to this point in this article, health permitting, you are highly likely to be equipped with all the basic intellectual components for building genius.

Genius in chess

It is a pity that not all those genius chess brains had been sufficiently employed in the betterment of this planet. However, they all provide highly valuable material for studying the human brain power. There are a couple of reasons for chess being so valuable to study. Chess rules are clear-cut. The competitive achievement is measurable. Individual games are available for study move-by-move on the Internet. Last but not least, chess is often associated with aura of genius, and world champions generate lots of excitement that results in numerous books and studies on scientific and popular-scientific platforms. In those conditions, we can study factors that help some people reach processing power that is hard to match with the present computing technology.

Chess is a great metaphor for creativity. Chessboard positions roughly correspond to facts and applicable moves correspond to inferential rules (see: facts and rules). The more abstract the rules, the more positions they can resolve. The more abstract the rules you acquire, the less sheer computation your brain needs to do in the game of chess. Consequently, the better your chess score. The move rules will often be based on pattern recognition rules who can filter complex position into simply identifiable patterns. The better your arsenal of pattern recognition rules, the more applicable your move rules become. The rules are the key to chess genius.

British chess player and author Jonathan Levitt proposed a formula linking chess scores with IQ (The Levitt Equation: Elo ~ (10 x IQ) + 1000). Although the formula does not represent exact science, it is a good illustration of the difference between the two concepts of intelligence and genius: one of the true mental processing power and the other of the potential to develop it. Levitt's formula determines the approximate maximum chess score for a given IQ assuming years of extensive training. The purpose of IQ is to distil innate mental skills from expertise. Although this is never entirely possible, people with little expertise in any selected field may still show high IQ which is indicative of high intellectual potential. In chess, adding new recognition and move rules to memory will plateau with time, and the quality of reshuffling them in conditions of maximum concentration will determine the champion. However, there is no substitute for hard work on the way to success in chess. No amount of lateral thinking or transcendental mediation will help. The chess player's brain needs to be equipped with the arsenal of thousands position patterns. The chess scores reflect the true processing power of a players brain in the narrow specialty of chess. In real life, high IQ is welcome; however, what will determine a person's success in a given field is the actual ability to solve problems in that given field. This ability is always related to knowledge, skills and expertise. One of the greatest geniuses of the past century, Herbert Simon (Nobel prize in economics, 1978) has devoted his whole life to studying expertise and proposed another (very rough) formula: it takes 10 years for an individual to reach the top-rank level in any field of expertise (be it chess, medical diagnosis or botany). This number reflects the fact that we tend to measure human accomplishments relative to the accomplishments other individuals in the same class. With classical learning methods, acquired knowledge tends to plateau after a period of time in which the forgetting rate becomes comparable with the acquisition rate. Today, this plateau can be overcome with spaced repetition (see: SuperMemo) that linearizes the acquisition of knowledge in lifetime. Simon's 10-year period reflects the approximate acquisition plateau in non-linear learning. If an individual works hard enough, he will sail close to his maximum knowledge acquisition potential in more or less ten years. His knowledge and skills, as compared with his peers, will then be most noticeable. Due to the law of diminishing returns, the increase in expertise will not be as easy to notice later on. Levitt's formula links the intellectual potential expressed by IQ with the maximum level of expertise in the field expressed by chess score. Herbert Simon's "formula" fits well with chess. The brightest stars of chess, Bobby Fischer and Judit Polgar both got their grand master titles in just under ten years. Some estimates put the number of position patterns recognized by a grandmaster at 50,000. This is more or less as much knowledge as you accumulate with several-hours-per-day extensive learning in the period of ten years in any field (or in a much shorter period in SuperMemo).

An important component of success in chess is the way chess knowledge is represented in the brain. Optimum representation cannot be described verbally, but it is acquired with time via the inherent properties of neural networks employed in processing of the chessboard configurations. Herbert Simon noticed that grandmasters show huge advantage over amateur players in their ability to memorize or recognize meaningful positions in chess. At the same time, their advantage all but evaporates when it comes to memorizing meaningless positions (i.e. those that are not likely to result from a real game). Grandmasters see the chessboard in their special way. They use their own representation. Their own language. Their own pattern recognition. This special representation is the key to getting away from the complexity of chess and reducing games to (relatively) simple game of applying thousands of memorized rules of the winning strategy. As with memorizing the result of 199 x 199, good rules make it possible to replace lengthy computation with a quick retrieval of a solution or applying a succession of just a few well-fitting rules. This is also why it is so difficult to write computer programs that could match grandmaster skills. Those non-verbal skills are difficult to convert to unfailing algorithms.

In essence, chess training is based on memorizing positions and moves (see: smart vs. dumb learning if the word memorizing raises an opposition here). A chess player's brain subconsciously develops a specific chess language in which it expresses the events on the chessboard. This language is a form of knowledge representation which, as it is always the case in learning, plays a central role in success. Once this internal language develops and becomes the player's second nature, all games analyzed and played, leave a trace of memorized chess knowledge in player's memory. Over years, player's memory acts like an efficient pattern recognition computer. One look at the chessboard results in a quick retrieval of relevant patterns from memory and a quick analysis of not-so-many applicable move rules and their outcomes. Unlike Deep Blue beating Kasparov by juggling 200 millions positions per second in its digital memory, a chess player, with a high error rate, quickly guesses best moves in a process that is hard to replicate in a computer.

Of numerous interlinking factors, the personality of a chess player may be one of the most important factors for his or her ultimate success. The baseline IQ may determine the realistic ceiling of achievement. However, it is hard work and training that makes a great chess player. For this, you need a truly neurotic personality with an extreme obsession for the game. Scrupulous analysis of the game and highly competitive spirit are crucial ingredients. It is the personality that turns a budding player into a computer-like achieving machine where chess permeates all aspects of an individual's life. Training, tournaments, game analysis and the highest accomplishment are central points of a chess champion's mind throughout his day. With training, further qualities develop: the art of concentration, and chess expertise. On-demand concentration plays a greater role in chess than in other areas of creative activity. A chess player must reach top concentration at the right moment and sustain a high-level of game processing power until the next move is chosen. On the other hand, success in sciences, engineering, business, etc. will rely on the quality of the creative output independent of the speed at which it is reached. More like in correspondence chess. If you can produce a better result in 3 hours of thinking than another genius in 3 minutes of thinking, you can still arrive to a better business plan, better scientific theory, better algorithm, better design, better marketing idea, etc. Your creation over many years will accumulate those incremental points. In creativity, quality counts more than speed

In chess, it is easy to notice that statistically it better to be Jewish, middle-class, and male for top achievement. The Jewish factor is more to do with home environment and family values rather than with genetics. The male factor may have more to do with the genes; however, Judit Polgar could still beat 99.99997% males of this planet (i.e. just about all of them except few). Additionally, women's incentives to enter the chess world are miserable (judging by less glamour and offensive prize offers), and disincentives to leave it are by far greater (see the issue of marriage and children in Polgar sisters insert). Probably, the sex and race, as baseline IQ, can influence the hard to measure ceiling of achievement; however, in practical terms they appear inconsequential. It is the quality and the amount of training that will determine the outcome

Ultimately the short formula for genius in chess is: (1) the right competitive personality that makes one work hard and able to reach the peaks of concentration at critical times, and (2) the resulting hard work that leads to mastering thousands of highly abstract chessboard rules

Similar preconditions are true for creativity in general: it all begins with the rage to master and years of training towards a problem solving expertise in a given field

A well-planned training regimen has been shown to lead to a remarkable progress in people suffering from various inborn limitations to the functioning of the brain. The brain's amazing ability to compensate for the limited functionality of its components can be well illustrated by an excellent prognosis for kids with hemispherectomy (i.e. surgery in which half of the brain is removed). If hemispherectomy is conducted early enough, the kid is likely to return to normal life. Due to the brain's symmetry, a damage to the same area on both sides of the brain may be harder to compensate but still not impossible. Dyslexia is a genetically based condition in which reading may pose particular challenge in otherwise bright people. Dyslectics show reduced activity in their language center on the left side of their brain. In dyslexia, training can be very frustrating but the right hemisphere can compensate for the limitations of the left side. To experience the hardship of dyslectic training, pick up the pen in your non-dominant hand and write now the letter that has waited years to be written. Don't just slug it away, try to match the speed of your dominant hand. See the pain? Incidentally, Edison was a dyslectic too. And so was Einstein

Dyslexia

People who experience reading difficulty without being otherwise intellectually disabled are said to suffer from dyslexia. Studying dyslexia is very valuable for understanding intelligence and creativity. It illustrates the power of inborn wiring of the brain in developing mental skills. At the same time it can show how inborn limitations can be overcome by using the compensatory power of the brain. Dyslexia is caused by an inability to handle linguistic information in visual form.

5-15% of the population can be diagnosed as suffering from various degrees of dyslexia. Its main manifestation is a difficulty in developing reading skills in elementary school children. Those difficulties result from reduced ability to link up visual symbols with sounds. In the past, dyslexia was mistakenly thought to have a motivational background. Researchers studying the brains of dyslectics have, however, found that in reading tasks dyslexics show reduced activity in the left inferior parietal cortex. Otherwise, dyslectics are known to often show higher than average intelligence. A number of bright brains are said to have suffered from varying degree of dyslexia. Those include Einstein, Edison, Alexander Graham Bell, Faraday and many others. Dyslectics may show a natural dislike of reading and, in consequence, compensate by developing unique verbal communication skills, inter-personal and leadership skills. Hence so many prominent CEOs list minor to severe dyslexia among their childhood disabilities. Those include Richard Branson (Virgin Enterprises), Henry Ford, Ted Turner (AOL - Time Warner), John Chambers (Cisco), as well as prominent statesmen: Winston Churchill, George Washington, Thomas Jefferson, John F. Kennedy and others. Perhaps for similar reasons, many dyslexics tend to take on arts (e.g. Tom Cruise or Whoopi Goldberg)

The list above indicates that those who show reading difficulties in childhood can also cope well with their deficiency later in life and become avid readers and skilled writers. Research shows that intense training in dyslectics helps them use the right part of their brain to take over the limited functionality in the left part. Even a few weeks of intense phonological training (e.g. breaking down and rearranging sounds to produce different words) can help noticeably improve reading skills. Unlike normal adults, phonological training shows increase in the activity in the right temporoparietal cortex. This part of the brain works in spatial tasks and may be the main compensatory structure in phonological training. This is the sister region of the left temporoparietal cortex responsible for visual motion processing which is underactive in many dyslexics. The earlier the phonological regimen is taken on, the better the overall result. Advanced brain scans could identify children at risk of dyslexia before they can even read.

In 1979, anatomical differences in the brain of a young dyslexic have been documented. Albert Galaburda of Harvard Medical School noticed that language centers in dyslectic brains showed microscopic flaws known as ectopias and mycrogyria. Both affect the normal six-layer structure of the cortex. An ectopia is a collection of neurons that have pushed up from lower cortical layers into the outermost one. A microgyrus is an area of cortex that includes only four layers instead of six. These flaws affect connectivity and functionality of the cortex in critical areas related to sound and visual processing. These and similar structural abnormalities may be the basis of the inevitable and hard to overcome difficulty in reading.

Several genetic regions on chromosomes 1 and 6 have been found that might be linked to dyslexia. In all likelihood, dyslexia is a conglomeration of disorders that all affect similar and associated areas of the cortex. With time, science is likely to identify and classify all individual suborders with benefits to our understanding of how low-level genetic flaws can affect the wiring of the brain and enhance or reduce a particular component of human mental capacity.

Whether today's models of dyslexia are correct or not, the main lesson of dyslexia is that minor genetic changes affecting the layering of the cortex in a minor area of the brain may impose inborn limitation on the overall intellectual function. At the same time, dyslexia shows that the brain exhibits a strong ability to compensate for its inborn or acquired limitations, and intense training can often result in miraculous turnabouts

Smart lifelong training is an essential component of the formula for genius! Even though genetic background or health may handicap a minority, the optimum strategy for maximizing the intellectual power is still the same: as much quality learning as possible. Learning is your genius brain work-out. Commit yourself to heavy learning for life today! Be sure that this is smart learning (as emphasized in the next section). Genius of spatial symmetry, Buckminster Fuller said: I'm not a genius. I'm just a tremendous bundle of experience. See also: Practice can make a perfect genius

Most average students today could amaze Aristotle with their ability to draw conclusions in many areas of science. They would laugh at the great philosopher's theories. Their brains are better primed for scientific thinking than the brain of the greatest philosopher of the 4th century B.C. In today's world, your IQ or the folding of your cerebral cortex are valuable assets but they are ultimately less important than your ability to solve problems. This ability is based on knowledge. And knowledge is inherently acquirable. One thing you must not forget though: Make your learning smart:

Smart and dumb learning

To build genius, your learning program must be based on high applicability of newly acquired skills and knowledge. If you memorize the whole phone book (i.e. a big set of facts), you won't be much closer to a genius mind and your problem solving ability will increase only slightly (mostly through the beneficial effect of memory training on the health of your brain). On the other hand, a simple formula for expected payoff may affect all decisions you make in problem solving and in life in general. It can, for example, save you years of wasted investment in lottery tickets. Millions of people are enticed with huge lottery jackpots, yet they would never agree to give up their whole income for life in order to get it back at retirement in one-off payment, which is a frequent probabilistic payoff equivalent of taking part in lotteries. Using the terminology defined above, you will find most benefit in mastering and understanding highly abstract rules of logical thinking and decision making.

To accomplish smart learning, you will need to constantly pay utmost attention to what material you decide to study. You must avoid short term gratification at the cost of long-term learning. It may be great fun to learn all Roman emperors and details of their interesting lives and rule. However, unless you study with a big picture in mind (e.g. in an attempt to understand why civilizations thrive or fall), your genius may benefit less than by slogging through less funny but highly applicable formulas of operation research (those can for example help you optimize your diet, investment, daily schedule, etc.). In other words, you cannot be guided just by the fun of learning but by your goals and needs. In time, you will learn to see the link between long-term learning and long-term benefits. You will simply conditions yourself to love beneficial learning. Hard study material can still provide instant gratification.

While you focus on your goals, you cannot forget about the overall context of human life. You cannot dig solely into studying car engines only because this happens to be your profession. This would put you at risk of developing a tunnel vision. Your genius could be severely handicapped. You might spend years improving liquid fuel engine efficiency while others would leap years by getting involved in hydrogen engines. Their decisions would not come from genius itself but from an extensive knowledge of the field, relevant sciences and the human endeavor in general. One of the main reasons for which companies go bankrupt is that their leadership fails to spot the change. As corporate darwinism eliminates short-sighted teams, future society will witness more and more intellectual darwinism. To understand the trends and the future, you need to study human nature, economics, sociology, history, neurophysiology, mathematics and computing sciences, and more. The more you lick the stronger your predictive powers and your problem solving capacity and creative strength.

A bright 25-year-old Microsoft programmer has suggested to me recently that I use wrong examples in my articles on learning. He specifically referred to the question "Which year was the Internet born?", which he classified as a piece of trivia. He implied I should use more "useful" examples to encourage readers. Here my own tunnel vision showed up as I found his position very surprising. I misjudged the concept of trivia in the eyes of people that do meet the criteria of genius. The term trivia excellently reflects the sort of knowledge we do not want to learn in the quest for genius. These are not-so-useful facts or rules of low applicability. However, the concept of trivia is highly relative. To a child in a kindergarten, the birth of the Internet is rather meaningless. At this stage of development, the child may find it difficult to grasp the concept of the Internet itself. Most of parents will wait until the primary school before showing a child a web browser (esp. that reading skills may be needed to appreciate the concept). The value of putting the date on the birth of the Internet probably develops only in the context of an effort to understand the history of technological development. In this context, 1969 may be as important as the years of Gutenberg. Only when multiple events of the 1960s and the 1970s dovetail together, the commissioning of ARPANET becomes meaningful. When we figure out that we landed the man on the moon before making the first connection via the net, 1969 looms larger. If we dig deeper, we may find it inspiring to know that when Charley Kline tried to log in on October 29, 1969, the network crashed as he typed the letter G. This little detail may still contribute to your genius! Say you work on commissioning a major installation you worked on for several years. You know that the installation implements revolutionary concepts yet it keeps on crashing. You are about to lose hearth. This may not necessarily be an emotional event, after all you also need to apply probability to deciding when to give up blind-alley pursuits even after years of investment. The juxtaposition of the small letter G and the groundbreaking concept of the interconnected world will help you see the big picture. If your concept is great enough, you will go on through another 100 crashes in hope of diagnosing the reason. If you win, your measure of genius will be enhanced.

Listen to other people's advice and valuations. The younger you are the more you should listen. In the end though, it must be you who determines the criteria for sifting golden knowledge from trivia. Only you can measure the value of knowledge in the light of your own goals.

Remember that not all knowledge can easily be formulated in a declarative manner. Remember then to use the power of your own neural networks: solve problems, practice your skills, compute, abstract, associate, etc. You and others may not be able to see or verbalize some rules but your brain will extract them in the course of practice. Once the rules have been developed, try to formulate them and write them down. This can be of benefit to you and others

Sifting trivia in SuperMemo

In early versions of SuperMemo, your decisions related to sifting trivia from valuable knowledge would be binary in nature: memorize or forget. In 1991, the concept of the forgetting index made it possible to memorize items with a given probability of recall. In SuperMemo 2004, with incremental reading, there is a continuous transition from trivia to your platinum genius-building knowledge. Apart from the forgetting index, you can use ordinals and rescheduling tools to manage unheard-of quantities of knowledge

Predicting the future

The ability to "see" the future is one of the best tests for genius. The nature of spacetime does not seem to make it possible to probe the future like we can probe the past via historical records. However, the laws of physics provide a strong platform for peeking into what may happen. A ball falling freely to earth may be an easy guess based on the Newtonian laws of gravity. However, the true difficulty in predicating the winner of Gore-Bush clash in October 2000 came out only after the election day on November 7. Guessing the winner of the 2004 election today would be yet harder. Guessing on the state of mankind beyond 2100 is a game reserved for only the best-equipped futurist minds. Predictive powers are so good in probing genius because they test all of these: (1) nimbleness of the mind, (2) extensive knowledge on the mechanics of the universe and the society, and (3) the abstractness of reasoning rules. Write down your predictions of the future today. In five years you will be amazed with your own predictive lapses. When will we be able to cure AIDS or cancer? When will we talk freely to computers? What job will you land after graduation? Would you predict the web explosion in 1990 (i.e. before the publishing of the web protocols)? Or in 1994 (i.e. already after Filo and Yang started collecting their Yahoo links)? What knowledge do you think you lack today to make your predictions more accurate?

Predictive powers are the cornerstone of success in business. Those who can see the technologies and trends that will shape a market in 3-5 years are posed to do well. Here comes the value of basic sciences such as math and physics in extracting trends from the chaos of the modern world. The value of math and physics comes from the fact that it equips you with highly abstract rules with a wide range of applications. This is why it pays highly to learn artificial intelligence, neural networks, sociology, neurophysiology, systems theory, statistics, evolutionary psychology, history, etc. Those sciences formulate rules that make it possible to better understand the reality, and most of all, draw conclusions about the reality. Those rules are the tools of computation for processing the picture of reality in your mind.

Here is an example: when Alan Turing developed the concept of his Turing machine, he equipped his genius brain with the tool for understanding computation. The Turing machine is a sort of a toy computer that scans a tape of symbols and stamps the tape depending on the currently read symbols and its own state. Turing's early intuition was that his toy computer, given enough time, could compute everything that is computable. If future was deterministically computable from the quantum states of subatomic particles, the Turing machine could compute it. If future was non-deterministic, the density function of individual outcomes could be computed too. The Turing machine became the simplest possible metaphor for the human brain. Turing could see the parallel between the shifting states of the Turing machine and the states of the human mind, including emotional states and the most complex computations of the human thought. Turing could then state boldly that one day machines will be as intelligent as humans. The famed Turing test is based on putting a computer in one room, a human in another, and testing if outside observers could distinguish between the two by means of a conversation (e.g. via a computer terminal). Once computers become indistinguishable from humans, they will have been said to have passed the Turing test. Most of people living at Turing's time (the 1930s) would disagree, but their predictive powers were limited by lack of tools for understanding the mind and computation. Turing machine and basic truths about its properties, equipped Turing's brain with tools that made it easy for him to see the simple parallel between the mind and the machine. For most researchers in the area of artificial intelligence, it is obvious that the Turing test will be passed sooner or later. Perhaps in 2010, perhaps in 2040, but it will happen. In the 1950s, Herbert Simon, using the same abstract rules related to computation, spoke loudly about his belief that the computer will beat the world chess champion within ten years. He was off by thirty years. This illustrates the difficulty in predicting the future, as well as the power of some basic abstract rules. In this case, Simon concluded that given the appropriate objective function for evaluating chess positions, it is only the matter of the number of moves the computer can process before it can produce better moves than a human being. He underestimated the power of human brain in simplifying (read: representing) the chessboard situation. Yet the ultimate outcome of Simon's prediction was inevitable and obviously true. This example illustrates how a simple abstract tool (Turing Machine) can be used to predict the future (fate of the Turing test) by providing a simple model of complex reality (human brain and its behavioral characteristics).

Ray Kurzweil is probably best know for his improbable-sounding predictions of the future. Machine intelligence is not only obvious to him. It should also come sooner than most AI researchers predict. Kurzweil's predictive powers come from immense knowledge of technology, sciences, and the society. Kurzweil's case shows how extensive learning equips the brain with genius powers of which predictive powers are so noticeable. Kurzweil predictions (including world wide web) have already materialized in a number of cases. Read Kurzweil's lips. That could be the shortest way towards reading the future save your own years of heavy learning.

In 1977, the bright mind of Ken Olson, President of the Digital Equipment Corporation, committed a notorious blunder expressed at the Convention of the World Future Society. Olson said: There is no reason for any individual to have a computer in their home. Possibly reading this text on your home PC, you may wonder how Ken Olson could possibly be considered bright if he could not see an obvious value of the PC? His blunder does not detract a bit from Olson's brain powers. After all, he did not reach the top of DEC by chance or connections. He built it from the ground up. His creative powers were in this particular case curtailed by his own experience with computing (fascination with the power of VAX and VMS in juxtaposition to a weakly microcomputer). Yes, knowledge can be detrimental too. Einstein's relativity theory gained him the most identifiable status of the ultimate genius of science mostly due to the fact that he was able to extricate himself from the Newtonian mold that is so natural to our day-to-day thinking. Not being able to break the mold is not a sign of lacking genius! It is simply a sign of being burdened with the prejudice of one's current knowledge. In no way should this mean that learning on its own can be detrimental. It never is as long as we do not apply the creative mold to the learning process itself. One of the most important rules your genius brain needs to store in the very beginning is that: no rule is true for ever. Rules can be added, modified, deleted or replaced. You need to strengthen your rules related to fuzzy logic. In simple words, you have to learn to think in terms of the probability of truth

SuperMemo vs. contradiction

SuperMemo makes it easy to see that knowledge we are fed daily via various media is rich in contradictions. If we learn with a lower degree of retention (classical learning), new contradictory knowledge easily obliterates old knowledge. We often do not even see the contradiction. If you learn for a high retention (say 95-99% in SuperMemo), contradictions become painfully visible. This helps you to become critical in evaluating the sources of information. If this article tells you that Einstein was dyslectic, take into account the rules of memetics: this comforting piece of news propagates easily. It propagates by far more easily than the core meaning behind Einstein's theory of relativity. From article to article. From website to website. From person to person

Ken Olson blundered by claiming no demand for personal computers, but his brain was able to quickly absorb the new reality (esp. in the context of DEC's rapid decline). Olson's enlightenment might have been too late for DEC, but not to Olson's ability to creatively contribute to the computer industry. Long before Olson's blunder, the founders of Apple had already known the truth: microcomputers will take the planet by storm. The power of the storm was still a surprise to Steve Wozniak. So was the fact that the clunky PC was later to displace his cherished Apple line. The PC storm surprised even the man who made the most of it: Bill Gates. The man whose predictive powers made him as valuable as the economies of whole countries. Bill Gates's wealth attracts as much envy as it attracts admiration. This is why his own blunders were studied to the last detail. Bill Gates blundered dismally on more than one occasion. And again it does not detract from his true software business genius. Gates was clearly late with noticing the power of the Internet, yet his .NET initiative shows that he and his team were able to correct the strategy on the go. Actually, the .NET credit goes to Microsoft employees who were able to contact their boss directly with their own ideas on strengths, weaknesses, opportunities, and threats. In the end, treating the company electronic communications as a nervous system returns credit back to Gates and his managerial skills. In 1981, Gates is reported to have said: "640K ought to be enough (memory) for anybody" thus contributing to the infamous 640K-lock. It is also Gates who predicted that OS/2 would be the most important piece of software that has ever been developed. So what? Bill Gates, as all true geniuses, keeps on learning. To err is human. As long as we do not stick to the old mold. There is no fool like an old fool

Notorious predictive lapses

Predictive lapses do not detract from human genius. They befell to presidents, Nobel Prize winners, CEOs, analysts and the most amazing genius minds such as that of John Von Neumann. Because they often comfort those who are less brisk intellectually, many are a myth only:

  • It would appear that we have reached the limits of what it is possible to achieve with computer technology, although one should be careful with such statements, as they tend to sound pretty silly in 5 years. John Von Neumann, a major contributor to the design of modern computer architecture, ca. 1949
  • Television won't hold on to any market it captures after the first six months. People will soon tire of staring at a box every night. Darryl Zanuck, head of 20th Century Fox, 1946
  • This telephone has too many shortcomings to be seriously considered as a means of communication. The device is of no value to us. Western Union internal memo, 1876 (shortly before years of a patent battle with Bell Company)
  • An amazing invention, but who would ever want to use one? U.S. president Rutherford Hayes, after participating in a trial telephone call between Washington and Philadelphia in 1876
  • No matter what happens, the U.S. Navy is not going to be caught napping. Secretary of the Navy, December 4, 1941 (three days before Pearl Harbor)
  • There is no likelihood man can ever tap the power of the atom. Robert Millikan, Nobel Prize winner in physics, 1920
  • I have traveled the length and breadth of this country and talked with the best people, and I can assure you that data processing is a fad that won't last out the year. The editor in charge of business books for Prentice Hall, 1957
  • I think there is a world market for about 5 computers. Thomas Watson Sr., President of IBM, 1943 (probably an urban legend)
  • Everything that can be invented has been. US Patent Office 1899 (an urban legend)

For a taste of excellent knowledge-based predictive powers in action, see the highly educational and heart-warming "Long Boom" by a long-view guru: Peter Schwartz (with Peter Leyden; Wired, July 1997). Even though the article is only four years old, we can see that the authors underestimated the destructive power of investor greed for the dot-com economy. But future holds positive surprises for optimists too

What is creativity?

Creativity is usually defined as the ability to generate new ideas that are both highly innovative as well as highly useful. A new idea will not be called creative unless it is quite hard to come by. For example, if you decide to paint your car orange with little blue ants all over it, you won't fall into a highly creative field. After all, everyone can paint her car like this. That you do not see blue ants in the streets comes from the fact that a number of objects that could take ants' place is near to infinite. An art expert passing a judgment on your car's artistry could perhaps change the verdict. On the other hand, if you keep on churning dozens of ideas which have little or no practical value, few will consider this a highly creative effort. Similarly, potentially valuable ideas that live and die in your brain without ever being converted into a practical application will not pass the test of the definition used herein. In this article, we will adhere to the pragmatic criterion in judging creativity. Let us analyze the basis of creativity and ways to improve creativity via training and application of relevant tools and/or techniques. We will skirt around artistic creativity, which falls out of my own professional focus, and is by far more relativistic: artistic creativity is in the eye (or ear) of the beholder.

Here are some examples of creative breakthroughs that we will use in an effort to find a prescription for:

  • Johannes Gutenberg built upon the idea of metal blocks with letters, combined existing technologies, and sparked one of the greatest revolutions in the history of mankind
  • Steve Wozniak combined his knowledge of electronics with a vision of a computer displaying images on a TV screen, and working with a typewriter-like keyboard. Those ideas opened a path towards a personal computer for the masses
  • Tim Berners-Lee inspired by the idea of hypertext and in need of an efficient communication tool for large teams came up with a protocol framework for the future world wide web. He converted multiple ideas and hours of design and programming into a foundation of the greatest communication breakthrough since Gutenberg
Tim Berners-Lee

In 1980, Tim Berners-Lee wrote a little program called Enquire that helped him link pieces of information together. The program itself was inspired by an old computer game Adventure. Unlike later Hypercard, Enquire would run on a multi-user system and make it possible for people to share data. Using his experience and the inspiration from the hypertext concept coined in the 1950s by Ted Nelson and derived from Vannevar Bush's Memex system (early 1940s), Tim Berners-Lee envisioned a system that could improve information exchange in large teams. In March 1989, while employed at CERN, Tim Berners-Lee wrote a proposal for improved information management. His main concern was to improve keeping track of large projects. His proposal was to build a system that would be distributed on remote machines, allow of heterogeneity, decentralized (i.e. growing freely at its nodes independently from other nodes), and privately extensible. He proposed a team of two people to develop the project within a year. His proposal's reference section clearly points to the seminal influences of Ted Nelson and other authors. By November of 1990, Tim started working on the prototype. The world-wide-web, as it was then called, went into use at CERN in May 1991. By August 1991, its existence was announced to a number of Internet newsgroups. By 1994, the web edged out telnet to become the second most popular service on the Internet. In the percentage of byte traffic, it was only behind FTP-data. Today, the web is the single most important tool of global transformation.

Tim Berners-Lee creatively combined his experience, and existing ideas into a breakthrough concept that changed the world (and we have barely seen the beginning). Building blocks of the world wide web are simple enough to be understood by a high school student. Yet their unique combination into a simple, extensible, and cohesive concept deservedly rewarded the genius of Tim Berners-Lee with the credit for the greatest human breakthrough since Gutenberg

If you look at Gutenberg's, Steve Wozniak's or Tim Berners-Lee's breakthrough ideas, you may think: "That's simple. I could have invented it". The greatest power of an invention is often in its simplicity. Yet creative molds often prevent dozens of inventors from hitting the right idea. The fact that great creative breakthroughs seem so simple in retrospect gave origin to the popular saying: The darkest place is under the candlestick. Creative mold is simply very hard to overcome even to the most insightful mind. Ted Nelson had spent years perfecting his genius Xanadu ideas. Yet Tim Berners-Lee, in the course of two short years, combined a couple of simple concepts to turn the world upside down. The simplicity, and a near-obvious nature of their inventions make it hard for the inventors themselves to recognize the invention's potential early. Without Steve Jobs, Wozniak may have never gone to believe that his new computer design could be used beyond his hobbyist club, let alone by millions. Great creative breakthroughs combine luck, coincidence, timing, and persistence. They are also helped greatly by a very specific kind of creative mind: at times inattentive, hyperactive, distractingly creative, obsessive, often paranoid, and even nearly psychotic (as in the case of John Nash depicted in Oscar-winning Beautiful Mind). As for luck and timing, it is worth to remember that Gutenberg's ideas would not work had they been originally transplanted to China (see Gutenberg). Steve Wozniak without Steve Jobs might not work (see: Steve Wozniak). WWW striving for the perfection of Xanadu might not work. For your creative genius to change the world, you need to look for workable solutions that fit the present world. As Vannevar Bush noted, the genius of Charles Babbage, the inventor of the first mechanical computer, was born a century too early. Not only was his mechanical computer hard to implement. Not only would it be uneconomical and unworkable had it been constructed. Not only would it be hard to educate his contemporaries about its usefulness. The most painful mismatch in timing was that the Babbage's work has largely been misunderstood, forgotten and had little impact on the design of the first electric computers a century later. The timing was not right. Only for Babbage's 200th birthday has the machine along his design been proven workable by researchers at the Science Museum in London. One common feature of the greatest failed inventions is that their fathers gave them up upon hitting a better idea. In such cases, obsessive compulsive creativity may be a hindrance. Babbage gave up his Differential Engine as soon as a vision of a far better Analytical Engine dawned upon him. In contrast, Seymour Cray, when designing his supercomputers would maximally simplify the architecture in order to be sure his designs see the market. Cleverly balancing implementation speed against perfection, Cray has outdistanced everyone in the supercomputing field (until new creative breakthroughs set him back). Creativity and cold meticulousness are often at odds. They require a different type of mind. A biologist will notice that they are based on a different neurohormonal brain profile! Tim Berners-Lee is an excellent example of a brilliantly creative mind, which is still able to focus on a task at hand, efficiently execute the plan of action, and make things happen.

Steve Wozniak

Steve Wozniak is universally credited with initiating the entry of computers into private homes. Although his contribution may be seen as a compilation of a few well-known ideas that have perfectly coincided with the technological readiness for a mass-produced computer, Steve Wozniak's ingenuity and relentless creativity made him uniquely suitable to pick up the credit for starting the PC revolution.

Successor to Tom Swift

Wozniak's early inspirations came from his father Jerry who was a Lockheed engineer, and from a fictional wonder-boy: Tom Swift. His father infected him with fascination for electronics and would often check over young Woz's creations. Tom Swift, on the other hand, was for Woz an epitome of creative freedom, scientific knowledge, and the ability to find solutions to problems. Tom Swift would also attractively illustrate the big awards that await the inventor. To this day, Wozniak returns to Tom Swift books and reads them to his own kids as a form inspiration.

Woz's values were shaped and strengthened over years by his family, Christian philosophy (turning the other cheek), radio amateur ethics (helping people in emergency), books (Swift's utilitarian and humanitarian attitude) and others.

As a lasting Swift legacy, throughout his life, Wozniak loved all projects that required heavy thinking. He learned the basics of mathematics and electronics from his father. He would at times be so absorbed in his projects that his mother would have to shake him back to reality. When Woz was 11, he built his own amateur radio station, and got a ham-radio license. At age 13, he was elected president of his high school electronics club, and won first prize at a science fair for a transistor-based calculator. Also at 13, Woz built his first computer that laid the engineering foundation of his later success.

First home computer

With all engineering skills at hand, it was not hard for the Wizard of Woz to envisage a simple computer of his dreams. The keyboard would work like a typewriter. The messages would be displayed on a TV-like monitor. The computer could be assembled with relatively cheap circuitry. By 1975, Woz would drop out of the University of California at Berkeley and would come up with a computer that could sweep the nation. However, he was largely working within a scope of the Homebrew Computer Club, a local group of electronics hobbyists. His project had no wider ambition. As it often happens in history, Woz was just a single hemisphere of a genius brain. The other component was Steve Jobs whom Wozniak met when he was 16. Jobs, 5-years Woz's junior, who himself had dropped out of Reed College in 1972, was a perennial starry-eyed visionary who could see far beyond the possible. Jobs and Wozniak came to the conclusion that a completely assembled and inexpensive computer would be in demand. They sold some of their prized possessions (e.g. Woz's scientific calculator), raised $1300, and assembled the first prototype in Jobs' garage. Their first computer was quite unimpressive by today's standards but in 1975 it was an engineering breakthrough that would change the course of history (picture). In simplicity of use it went years ahead of Altair which was introduced earlier in 1975. Altair had no display and no true storage. It received commands via a series of switches and a single program would require thousands of toggles without an error. Altair output was presented in the form of flashing lights. Altair was great for true geeks, Bill Gates and Paul Allen were one of the first among them, but it was not really usable for a wider public. It would not even come assembled. Woz's computer, on the other hand, named Apple I, was a fully assembled and functional unit that contained a $25 microprocessor on a first-ever single-circuit board with ROM memory. On April 1, 1976, Jobs and Wozniak formed Apple Computer Company. Wozniak quit his job at HP and became the vice president in charge of research and development at Apple. Apple I was priced at $666. Jobs and Wozniak made a killing by selling their first 25 computers to a local dealer.

Wozniak could now focus full-time on fixing the shortcomings of Apple I and adding new functionality. His genius was in full creative swing. Apple I earned his company close to a million dollars. His new design was to retain the most important characteristics: simplicity and usability. Woz introduced high-resolution graphics in Apple II. His computer could now display pictures instead of just letters: "I threw in high-res. It was only two chips. I didn't know if people would use it''. By 1978, he also designed an inexpensive floppy-disk drive. He and Randy Wigginton wrote a simple disk operating system. In addition to his hardware wizardry, Wozniak wrote most of software that ran Apple. He wrote a Basic interpreter, a Breakout game (which was also a reason to add sound to Apple), the code needed to control the disk drive, and more. On software side, Apple II was also made more attractive to a business user by the famous pioneering spreadsheet: Dan Bricklin and Bob Frankston's VisiCalc. This unique combination of new ideas resulted in a screaming market success. In 1980, the Apple company went public and made Jobs and Wozniak instant millionaires. At the age of 27, Jobs was the youngest Fortune 400 man in 1982 -- a rare case before the dot-com bubble era. Incidentally, in 1978, when the company cut the price of Apple II, it helped to launch yet another meteoric software career; that of Mitch Kapor. Kapor scraped enough money to buy his own Apple. Inspired by VisiCalc and a meeting with its inventors, he went on to develop Lotus 1-2-3 and swept the spreadsheet market place for years to follow.

Plane crash

In February of 1981, Wozniak nearly lost his genius in an accident that could have easily claimed his life at age 30. While taking off from Scotts Valley airport, an engine failed in his Beechcraft Bonanza airplane and it crashed. In addition to facial injuries, Woz experienced a retrograde amnesia. This means that he could not recall things from before the accident. He had also problem with forming new memories. At worst, years of training could have been permanently erased from his memory. Those memories laid the foundation of his genius thinking. Luckily, five weeks after the accident, his memory powers returned. The genius was ready for more breakthroughs but his passions shifted from technology to people.

Woz became less enthusiastic about his work for Apple. He got married and returned to the university under the name "Rocky Clark" to get his degrees in 1982 in computer science as well as in electrical engineering. In 1983, he decided to return to mainstream Apple development. However, he wanted to be no more than just an engineer and a motivational factor for Apple workforce. Here he demonstrated a typical characteristic of a creative mind: craving for creative opportunities away from the spotlight (cf. William James Sidis). Woz stunned the world by leaving Apple for good in 1985 nine years after setting up the company. Jobs was also forced to leave Apple as a result of a power struggle. Wozniak and Jobs are proud to have originated an anti-corporate ethic among big players of computer market. Jobs focused on not always practical innovation with his NeXT vision, while Woz went on to fulfill his other passions: teaching to fifth grade and charitable activities in the field of education. Today, Steve Wozniak's passion is to help young talent catch on the train of opportunity. He provides kids with computers, Internet accounts, and lessons in programming. In September 2000, Steve Wozniak was inducted into the National Inventors Hall of Fame alongside Bell, Edison, Fermi, Marconi, Pasteur, Tesla and others

The future of creativity

Wozniak said: "Apple is not the company I had hoped it would be. I always thought that a major player in the personal computer business, with its label on the products, would be composed of top engineers and multiple labs full of scientists developing new devices out of physics and chemistry".

Geniuses dislike corporate structures because corporations tend to bend creativity to commercial purposes. Creative minds tend to be in minority. At the same time they are convinced that their visions are the only valid ones. This inevitably leads to tension and disruptions at work. Some corporations create independent R&D departments and lavish their most precious brains with generous research funds. However, only leading high-tech companies can afford such solutions. Luckily, the new economy based on the Internet has provided grounds for breeding countless young geniuses sprouting here and there. Many creative minds are now operating via their small websites that provide a planetary access to the product of their intellectual effort. Two young users of SuperMemo have recently set up a website in their living room. Antimoon.com, set up at nearly zero-investment is now quickly gaining popularity.

In addition to opening ways towards individual creativity, the Internet helps corporations hire geniuses without restraining their creativity. A creative mind operating from a small country over a shoddy Internet connection can be hired on conditions that provide a unique coincidence of needs. The genius gets a creative job that is not available in his area or country at a competitive pay. The corporation gets the most precious commodity their money can buy: creative genius

Ingredients of creativity

All creative individuals experience periods of time when new ideas come into their mind in droves and there is hardly enough time to write them all down. A creative individual can hardly hope to implement a fraction of his or her ideas. Some people are born with highly creative minds. They are privileged from the onset, but they are also more likely to suffer from side-effects of neurohormonal aspects of creativity such as inattention, anxiety, depression, etc. For those who are born with less poetic minds, the understanding of the creative process can be of great help. Ordinary brains can be made to work in a highly creative mode. Let us list the conditions needed for the brain to churn out ideas en masse:

  • suitable state of mind: alert, excited, and excitable
  • suitable environment: minimum irrelevant interference from the outside word (e.g. ringing phone) and maximum creative stimulation (e.g. creative reading, incremental reading, brainstorming, etc.)
  • time: the more time you give for an idea to grow, the greater the likelihood of a breakthrough association; two hours separated by a period of sleep may do more than two continuous hours
  • motivation: there must be a need to come up with a solution and strong motivation to document and analyze the transition steps
  • curiosity: the mind must curiously stray into unexplored paths when new associations and unexpected solutions can be found
  • knowledge: knowledge in relevant areas

Of the above factors, genetic endowment may greatly help in achieving the suitable state of mind, which also entails motivation and curiosity. However, the neurohormonal advantage given by the lucky genotype can be made up for with relatively simple tools and techniques such as: massive learning, cup of coffee, brainstorming, good health, etc.

Computer metaphor of the creative mind

A creative mind can be compared to an expert system that must go beyond its current field of expertise and generate new facts and rules. The goal is often reasonably defined but the path towards the goal is unclear. At other times, even the goal is not well-defined. It is simply supposed to crop up suddenly as a creative enlightenment in an effort hazily targeted at innovation. Let us introduce the concept of a creative computer system as a metaphor for the creative mind. Using the computer metaphor we can redefine the previously listed preconditions of creativity in the following manner:

  • speed: the more parallel processing paths the creative system can spawn the richer its output (equivalent: state of mind). The rat maze model of creativity shows that massively parallel processing is the key factor underlying the "creative speed". It also provides hints on how the parallel processing power can be harnessed
  • minimum interference: we want to avoid power failure, additional computational tasks (e.g. computing the factorial of one billion at the time of running the creative process, etc.) (equivalent: environment)
  • time: the more time we allow for the exploration, the greater the number of tasks we can explore (equivalent: time). Running parallel creative processes can cut down on time needed for a creative breakthrough
  • goal: the creative system by definition will focus on churning new ideas and recording the results with a general goal defined by its program (equivalent: motivation). Unbridled random creativity can often come with valuable outcomes (e.g. in poetry), but may be less useful in highly focused activities (e.g. engineering)
  • branching: the creative system will use all heuristics available at hand to drive exploration of innumerable paths that could potentially result in a breakthrough (equivalent: curiosity). Curiosity will spawn conscious branching, but spontaneous branching of the creative mode is also welcome (as shown in the rat maze model of creativity)
  • knowledge: the more rules and well-chosen facts our system has in store, the greater its explorative potential. Our system is parallel and associative. In other words, we do not need to worry much about operational overhead. We do not need to worry about knowledge overload. However, we do want to maximize relevant knowledge and the abstractness of the rules (equivalent: knowledge)

In short, our creative system can be improved by adding speed (esp. through stimulation of parallel processing), minimizing interference, improving the exploratory heuristics, adding more knowledge and allocating more time.

In simple terms the above means stimulating creative powers, using creative techniques, avoiding interruption and the pursuit of lifelong learning.

Rat maze metaphor of the creative mind

Our brain metaphor presented earlier does not suffice to efficiently explain the mind in the creative mode. It is the creative mind where the parallel processing of neural networks comes to play in a most prominent way. Your PC can run many processes in parallel (e.g. display this article, scan TCP/IP ports, run multiple service threads, run background applications, etc.). None of these, however, comes close to what is happening in your brain right now. Zillions of neural assemblies and centers get activated and inhibited in parallel fighting for your attention, running voluntary and involuntary control processes, filtering information or amplifying it, etc. In addition, the text you are reading produces processes that are in part hidden from your attention and may, at any minute, spring up with new inspiration or a creative breakthrough.

The way brain controls major parallel processes can roughly be illustrated with the rat maze model. Imagine a lab rat in a maze. It runs around until it hits the reward. Let a running rat illustrate one of parallel computation processes running in your brain. Let hitting the reward illustrate the moment when a creative association of ideas breaks through to your attention. Your brain is able to unleash many rats running in parallel. You are basically unaware of the rodential infestation crawling in your mind. Imagine your rats are able to breed on the run. One rat can breed when hitting a reward center or just breed spontaneously. If you drink a cup of coffee, your rats run faster and spawn more offspring. If you drink more coffee, rats start jumping over the maze walls and find new shortcuts and solutions. After more cups of coffee, rats start jumping one over another and scream for your attention resulting in chaos. The same happens when you get overly enthusiastic. You might transition from enthusiasm, via hypomania to a manic state that meets the criteria of psychosis. Coffee, excess serotonin, excess dopamine, etc. can breed more ideas in your mind, but you gradually lose the ability to focus on the task at hand until your mind disentangles into a psychotic chaos. The reverse happens if you take a sleeping pill. Your rats start dying out or hiding in remote corners of the maze. In bipolar disorder, a manic swing can tire the rats. Once they run out of steam, the brain may collapse into clinical depression. Once rats slow down, you run out of creative powers. If you spray a portion of the maze with a cocaine inhalant, that portion of the maze may suffer a particular infestation of manic rats. Rats jump over one another and spread out in amuck into various direction. This may happen in an overly stimulated portion of a schizophrenic brain. If the cocaine sprayed part of the maze is responsible for representing a particular place or person, you may experience hallucinations or delusions. You may hear or even see people who do not exist. Your mind becomes paranoid. If the same overexcited rats run amuck in your temporal cortex during sleep, you may experience nightmares. When the rats start running in circles you can experience obsessive compulsive behaviors. You can wash your hands many times during the day and your rats will still make you think your hands are dirty. You can step in front of the class and the circling rats will make you repeat "I am bound to fail", and you do. The same happens if you repeat "I will not fall asleep tonight" and you don't. The rats are responsible for the writer's block. There is an optimum number of rats at an optimum level of excitation for any given task; including writing. If rats are drowsy, you won't invent much. If they run amuck, you won't be able to convert the chaos of new ideas into a coherent stream of thoughts. If they run in circles, you may get stuck with a self-imposed limitation: "I won't write anything creative today"; you keep tossing balls of scratch paper into the basket. You will want to keep your rats at bay when you cross a street or when you drive. They can cost you a life. Creative minds may be unwelcome in an air traffic control tower. On the other hand, you will let rats play to their heart's content when you brainstorm a new marketing slogan or idea for a movie script. It is vital to understand that attention and creativity are two difficult to reconcile qualities. A genius mind must find the right balance. It is the prefrontal cortex that helps channel rampant creativity into focused attention. Try LSD and creative chaos will disentangle your reasoning. This happens due to the prefrontal executive inhibition. The creative mode balance will also change during the day. Your brain may welcome hyperactive creativity at work time and a complete mode switchover by the time you are ready to rebuild your neural fabric in sleep. Creativity is a blessing when needed and may be a bane for insomniacs, schizophrenics, bipolar patients, ADHD kids, OCD people, etc. It can be gently stimulated with a cup of coffee, or turn your mind into chaos with LSD, cocaine or even stress. Brainstorming, conducive social environment, incremental reading, creativity tools (e.g. Ideafisher) can stimulate creativity by non-pharmacologically unleashing new rats without a major impact on their agility.

Some people are born with highly creative minds. They invent new things faster than they can be utilized. However, the same people are at much higher risk of mental disorder. They may also show less ability to focus or persist. They may crave novelty that makes them jump on new tasks before old once are complete. However, the way their prefrontal cortex harnesses creativity may determine the thin line between a true inborn genius and mental disease.

If increase in creativity was purely beneficial, it would have certainly been far better promoted in the course of evolution. However, evolutionary development of creative powers had to be matched by the development of executive powers that govern attention. Otherwise side effects of creativity would act as an evolutionary ballast: low-stress tolerance, relationship problems, increased suicide rate, increased divorce rate, risk and novelty seeking, tendency to get bored, increased risk of mental disorders, etc.

To take only one example, the high suicide and low reproduction rate of people with bipolar disorder and their significant prevalence in the society (1%) clearly indicate that its genetic component (documented as very strong) must carry some evolutionary advantage. This advantage is only increasing in the knowledge economy based on innovation. See: Creativity, Evolution and Mental Illness

Conclusion: Creative balance is the key! There is an optimum level of creativity for any given task. You can learn to stimulate and extinguish creativity. Your genes will largely determine how difficult it is for you to control your creativity. Your skills in that respect may determine if you ascend from average mind towards genius without falling into a variety of mental ailment traps

Johannes Gutenberg

Before Johannes Gutenberg invented the printing press in 1438, there were only 30,000 books in Europe. Most of these were related to the Bible and religious writings. Gutenberg combined pieces of knowledge available at his time into a breakthrough technology. The unique elements in his invention: a mold with punch-stamped matrices, a type-metal alloy, a press similar to those used in winemaking, and an oil-based printing ink. None of these elements could be found in earlier Korean or Chinese print or in woodblock printing. Little is known of the mental process which lead to the invention. Most of what we know of Gutenberg comes from documents recording his financial or legal troubles. At the time of his invention, Gutenberg worked also on less groundbreaking technologies such as polishing precious stones and mirror manufacturing. All we know about his print invention is that he started with the idea of producing blocks of metal with letters on them. The idea might have been his own or picked up from others or from difficult to track Asian sources. By combining existing technologies, he converted his ideas into a working device and initiated one of the greatest revolution in the history of mankind. Books became the world's first mass-produced items. In 50 years since the invention, as many books were produced as in the preceding millennium. Only after Gutenberg, affordable books made literacy a highly-valued skill. In consequence, sciences and technology went into a period of unprecedented growth. These also sparked social change as well as global democratization in the 20th century.

It is important to add that it was a Chinese blacksmith and alchemist Pi Sheng who should be credited with the first documented invention of the print in the 11th century. He produced Chinese ideograms in clay and baked them in a fire. Then he stuck them on an iron plate with resins mixed with wax. He would cover the ideograms with ink and impress them on paper. Pi Sheng's invention, however, did not get far. Ideograms are too meaningful. As a result there are 50,000 of them. Far too many for convenience. Only the primitive Latin alphabet helped Gutenberg claim the greatest invention of the millennium.

Gutenberg illustrates important aspects of creativity:

  1. great breakthrough may being with a very simple association of ideas
  2. the inventor himself may take long to realize the importance of his own invention. If it was otherwise, why would Gutenberg jeopardize his legacy by wasting time on gems and mirrors
  3. the creative process is subject to multiple constraints that can stifle the brightest idea for the most trifling reason. Gutenberg would probably get nowhere had he had to deal with Chinese ideograms. For someone to propose a simplified alphabet in China, it would take an entirely different size of a creativity and social leap. Take a look at the great idea of Esperanto. Via social and economic mechanisms, it is English that became international lingua franca even though Esperanto may be seven times as easy to learn and use

Enhancing creativity: summary

Using the above creative system models, let us quickly list the areas where your creativity can receive a boost:

  • suitable state of mind: nurture your mental health, get enough sleep, avoid stress, learn about the neurophysiology of the mental effort, and work on understanding your own mental states to optimize the conditions and the timing of creative effort. In a healthy, well-managed individual, the best creative results can be obtained early in the morning (e.g. after a cup of coffee). If you are rather mentally slow in the morning and prefer to work late in the night, read: Good sleep for good learning for reasons why you might be different
  • suitable environment: turn off the phone, lock your door, turn off the radio, CD or MP3-player (even your favorite music can be distracting), and focus 100% on the studied subject. For inspiration turn to brainstorming, "creative walking", creative blackboard doodles, Ideafisher, or use incremental reading with a heavy load of related study material
  • time: for a breakthrough solution, give up as much of little things in life and focus on your goal: keep on learning and thinking. One of the most creative times in Newton's time was when he was forced to the province as the bubonic plague closed his university in 1665. The Beagle trip gave Darwin five years to digest new observations on variability of species. Heisenberg's best time might be when he was recovering from a bout of hay fever on the island of Helgoland in 1925. Seymour Cray found his work at CDC so distractive that he had R&D facilities built out of town at Chippewa Falls
  • motivation: this one is hard to develop. The vicious circle of bad motivation comes from the fact that once there is no motivation, you have no motivation to develop it. Luckily, the fact you are reading this article may testify to the fact that your motivation is sufficient (this may though not translate to self-discipline and execution yet). Psychogenic motivation of a creative mind comes from an unshakeable hierarchy of values, a lofty goal well-rooted in that hierarchy, and understanding of self-discipline techniques. Sticking carefully to all points of the Genius Checklist is critical for boosting your motivation
  • curiosity: lifelong learning is a sine qua non of creativity. The more you learn the more curious you become. What is irrelevant trivia to most, may become a fascinating aspect of the universe for you. An average man curses a rock he stumbles against. A great scientist can pick up a rock and write a dissertation about it. This is exactly how the groundbreaking theories of continental drift or plate tectonics begun. The more curiosity you find in your mind, the better your creative prospects. If you doubt your own curiosity, try incremental reading on subjects that are interesting to you today. If you persist for some time and hone your incremental reading skills, you curiosity may in time grow beyond manageable limits. You will hopefully discover that even if there were twenty of you, you could hardly lick the surface of interesting things to do or study
  • knowledge: knowledge is the software of your creative engine. The more knowledge you throw at a problem, the more new ideas and associations you will be able to generate. Most of new associations is chaff but with scrupulous recording habits you will learn how to sift the wheat. No major breakthrough in science or engineering is produced in a knowledge vacuum. Human brain works incrementally. It is basically unable of great leaps. Even Einstein arrived at his breakthroughs in incremental manner by piecing the blocks of the jigsaw puzzle produced by the non-relativistic physics of his time. Your creative breakthrough in the area of chemistry may come while studying architecture. See also: Ideafisher

The shortest formula for enhanced creativity: quiet, focus, curiosity, understanding the creative process, and inter-disciplinary knowledge. To boost your creativity, keep fit, work on ensuring peaceful and creative working conditions, learn to focus ("keep rats in control"), learn to boost parallel processing ("unleash the rats"), add more time to creative training, and keep on learning new things that could potentially be a source of inspiration.

Ideafisher - creativity software based on associational thinking

Creativity can be molded, enhanced and directed. This is the basis of Ideafisher software. Ideafisher is based on an immense database of facts, statements, quotations and loose ideas. Combined with a set of direction questions, it can be used by writers or managers to generate new ideas; either individually or in a brainstorming group. The underlying assumption is that once you intensely focus on a subject and look at it from most unusual directions, you will be able to massively produce new associations and generate new quality.

Incremental reading in SuperMemo 2004 can be employed in a similar fashion. In incremental reading, you read short pieces of articles belonging to various domains. Those pieces tend to juxtapose at random. The main purpose of incremental reading is learning; however, if you intensely focus on a single problem to solve, and appropriately select the reading material, you can use incremental reading in the creative process.

The main differences between Ideafisher and incremental reading:

  • incremental reading was designed for the purpose of learning; Ideafisher focuses specifically on generating new ideas
  • Ideafisher comes with a ready-made database of association cues; in incremental reading you must import the relevant reading material based on your focus of interest
  • Ideafisher can help you direct your creative effort towards a specific goal; incremental reading tends to be more explorative in nature. You can direct the exploration only by the appropriate selection of the material as well as by using prioritization tools
  • Ideafisher capitalizes on improbable associations that might be impossible with your present knowledge. In incremental reading, high retention might lessen explorative creativity. However, overloaded incremental reading (i.e. when you import far more knowledge than you can learn) may result in a substantial decrease in knowledge retention. Such a decrease may be unwelcome in the learning process; however, it further increases associational and recall effort that is highly stimulating in the creative process

Personality factor

In the 1970s, Laszlo Polgar, a teacher from Hungary, concluded that all normal children could be driven to a genius level with sufficient attention and training. If this does not happen on a regular basis, he claimed, it only comes from parental inattention and lack of patience. An average parent is busy with her or his own life and does not devote sufficient time to raising the kids. According to Polgar, it is easy for a parent to say: "Oh, this child has no genius!" and do nothing further. Interestingly, Polgar had no impressive scientific credentials in the field of child care and education (unlike Boris Sidis), so when he decided to experiment with his own kids, many accused him of using dictatorial methods for the case of a genius show. Few would take Polgar seriously, his methods even led to a clash with the Hungarian government. For details of Polgar experiment see Polgar sisters.

Polgar's optimistic claim does not leave much place for genetics. Throughout history, most prodigy training occurred in families with high average IQ. Hence it is again hard to separate nature from nurture.

If genetics comes into play in limiting genius, it is less so in the area of the sheer brain power, processing speed, associative power, number of neurons, creative power, etc. Human genius seems to be by far more limited by the personality profile which has a strong genetic background. In simple terms, if the child is ready and willing to be trained for genius, it will likely succeed. The main obstacle is in the fact that a child may not want to accept a heavy load of training.

Except for mental disorders, important personality factors that limit overall creativity include low stress tolerance, aggression, impulsivity, depression, and the resulting poor motivation. On the other hand, traits such as curiosity, perfectionism, runaway creativity, and compulsiveness may enhance development if properly channeled and rationalized.

Such largely inborn factors as the overall level of serotonin or dopamine in the brain can determine stress tolerance, probability of suicide, as well as aggressive and violent behaviors.

Destructive personality factors are highly correlated with each other. For example, non-virgin adolescent girls are 6 times more likely to attempt suicide, 6 times more likely to use alcohol, and 18 times as likely to run away from home as compared with their counterparts who were able to delay their early sexual experience.

Early signs of genius personality are best described as the rage to master. By 1899 the Wright brothers had read all books in their local library that were relevant to their interest in flying. They decided to write to the Smithsonian Institution for suggestions as to further reading in aeronautics. This unorthodox approach is quite typical of young prodigies and future Nobel Prize winners. With those personality traits, the job of a parent is greatly simplified. Actually, it is often not parents that push prodigies, but prodigies that push parents who may often be worried by their child's unusual hobbies (e.g. dissecting dead animals to study anatomy).

Nathan Mhyrvold, former chief scientist at Microsoft, claims that a great programmer is worth 10,000 times more than an average programmer. The number may well be exaggerated, but studies indeed show that efficiency comparisons between programmers yield much larger numbers that one might expect by studying their IQ. I had a great pleasure to work with a number of programmers, those amazing whiz-kids and those who slowly slog through the code. Those who program structurally with lots of foresight and those who produce tons of spaghetti code that is impossible to maintain. If I was to name the most important factor that differentiates programmers, I would choose personality. There are those who slug it out red-eyed until the early morning until they see the problem solved. They seem not to see the world beyond their problem to solve. There are also those who impatiently peek at their watch at 14:55 to see when they can rush back to their families. The latter are more likely to wade through manuals and ask for assistance once they get stuck with the problem. They are rather impassioned and by far easier to depress with difficulty. The young red-eyed enthusiast will rather not eat and not sleep than give up the quest for the solution. In early stages of their development, the red-eyed geeks may start with awfully buggy code but in time they will spurt ahead and develop healthy programming habits. In 4-6 years they may be in Mhyrvold's 10,000 league. Those who do not show passion for programming will never reach the necessary levels of concentration necessary to resolve pieces of programming puzzles in their mind. Those resolved puzzles gradually build strong and highly abstract models of universal algorithmic solutions to most of logic problems a programmer is likely to encounter on his way. In other words, knowledge and skills seem secondary to the personality factor here. The excellent programmer will begin his career with entangled code full of bugs and poor design but with passing months he will rapidly change his style, organize, improve day by day, and surprise others, After years, he may be unbeatable, the poorly motivated one stagnates at the plateau level and pulls it off from day to day.

Motivation and belief in one's abilities may be a key to sustained development in a young man. Ask an 18-year old: What problem would you like to solve? What is important? Often, you will get no conclusive response! Then suggest to the young man to become the world's best footballer or get the newest Lamborghini and you will notice that his life is not as goalless as it seems at first. However, if you ask: How do you want to get to your footballer-Lamborghini goal? You will get no response again. The reason: the young man does not believe there is a snowballs chance in hell he will ever reach those goals. At the same time, minor goals in-between do not seem worth the effort. The net result: the young man plays videogames and gets nowhere. This is why rage to master, self-discipline and will power may be the factor that will make or break the genius in a young man.

Inability to cope with stress can also stifle creativity. Stress takes your mind away from the creative problems to solve and makes you focus on yourself and petty problems that are not worth your attention. It affects your health and your self-discipline. It is also detrimental to the growth of the nervous tissue and memory consolidation (see: The Medical Basis of Stress).

Lewis Terman, the precursor of IQ tests, agrees that the greatest differences between of gifted and normal kids is their greater drive to achieve and the greater mental and social adjustment.

Dr Ellen Winner in her book Gifted Children (1996) presents her analysis on what makes the personality of a future genius. She tends to disagree that all kids can be made into geniuses and puts a special emphasis on the need for a child to exhibit a natural rage to master. Prodigies show obsessive fascination with a certain content such as numbers, visual patters, auditory stimulation, symmetry, etc. This fascination begets curiosity and an indomitable will to master selected domains of activity.

Polgar sisters

A Hungarian teacher Laszlo Polgar had a theory about child-raising: every child can be made into a genius with sufficient training. Those ideas solidified when he got married. He decided to test his theory on his own children. As it often is the case with far-out ideas, Laszlo did not get much sympathy from others. When he started putting his ideas in practice with his three little daughters, Laszlo was accused of using his kids as guinea pigs. His determination ultimately lead to a clash with Hungarian government who attempted to stop him in his tracks. One day, armed government officials knocked at Polgar's door. His experiment was considered potentially abusive. Laszlo evoked his "parental immunity" and proceeded with his educational experiment. He and his wife Klara taught and supervised the daughters solely on their own. At some point, it became obvious that specialization may bring more tangible and measurable results. Mathematics and languages could be the fields in which Polgar's daughters could develop genius. However, the ultimate choice came by accident. When the eldest Susan (Zsuzsa) was only three and a half years old, by accident she discovered chess. She asked Laszlo what chess was, and soon she and her father where exploring intellectual challenges of the game. Early indications were that Susan could learn chess quite quickly, and it is hard to say if her father's prior training or some inborn predisposition helped her make fast progress. Laszlo decided to focus on chess which is objective and makes it easy to measure the accomplishment in championships, tournaments and player's rankings. Chess may not be as important to the future of this planet as physics or medicine; however, it was an excellent material for Polgar's experiment, which on its own could yield highly valuable insights into child's upbringing: whatever the experiment's final outcome. Laszlo explained chess to Susan like he was telling a fable, and she soon acquired a natural love for the game. Some six years later, Polgar's experiment brought first amazing fruits. Susan broke into the Guinness book of records as the youngest chess master at age 10. At age 12 she became a world champion for girls under 16. By age 15 she was the strongest player in the world in her age category! From there on, Susan progress bears typical trademarks of a young prodigy: a unique mix of genius on one hand, and problems to fit the gray reality on the other. In the heart of Susan's problem was her struggle against the male establishment in chess. For ages, male and female chess used to be disjoint worlds. Susan refused to accept sexist divisions and struggled for equal rights to participating in male tournaments. She became the third woman ever to earn the male grandmaster title. Despite her determination to avoid sex differences, Susan decided to try for the Woman's World Championship. She won it easily in 1996. She was later stripped of the title when she refused to play her mandatory challenge matches in the period when she became a young mother. Her battle with FIDE to regain her title is another example of a mismatch between feisty genius and the established rules and tradition (she won the lawsuit against FIDE in March 2001 but did not get her title back). Despite appearances, Susan is a nice, down-to-earth and complete human being. Besides Hungarian, she speaks 7 other languages (Bulgarian, English, Esperanto, French, German, Russian and Spanish). Polgar experiment worked! The theory of training for genius scored one of the most powerful case studies in history. We have no way of knowing Susan's fate had her father had different approach to education. Susan's husband observes however: Had Susan found a thermometer at home instead of a chess set, perhaps we would have cures for cancer and AIDS today.

Interestingly, Susan's success does not complete the Polgar sisters story. Younger sister Sofia (Zsofia) shocked the world in 1989 at the age of 14. In a chess tournament in Rome, she defeated a string of Soviet Grandmasters and reached the highest performance rating of any chess player (male or female) in any tournament in history (2879 for scoring 8.5 of 9). In 1999, Sofia married to a Georgian chess player and now lives in Israel with chess lower on her priority list.

Last but not least, the youngest of the Polgar sisters, Judit (born 1976) is an amazing and still ongoing story on her own. She started learning chess at age 5. At age 11, Judit earned an International Master title, i.e. at earlier age than Bobby Fischer or Gary Kasparov! At age 13 she was the World Under 14 Champion for boys and FIDE's highest rated woman. At age 15 she beat Bobby Fischer's record by becoming the youngest grandmaster ever at 15 years and 4 months (in 1958, Fischer became gm, at 15 years and 6 months). In 1993, at age 17, Judit defeated former world champion Boris Spassky 5.5-4.5 in a 10-game exhibition match. In 1998 she beat FIDE world champion Karpov 5-3 and also became the first woman to win the US Open Championship. She is also the only woman to ever reach the top ten FIDE list (see the current Top 100 ranking). Today, Judit is the strongest of the three Polgar sisters. She leads women rankings by a safe margin (see the current Top 50 women ranking) and may one day become a World Champion (male or female). She played Kasparov in May 2000 over the Internet and lost. Like her sisters, her meteoritic rise has ultimately plateaued as she got married in September 2000. To track her progress see: http://www.controltheweb.com/polgar/news.htm

It is known that chessplayers often experience various psychological problems. The level of concentration and the game stakes often lead to exposing and amplifying aggressive behavior. Except for an unflinching drive to win, the Polgar sisters show very little of that in their lives outside the chess world. Polgar sisters will for long remain a valuable case study for understanding the role of personality and training in developing genius qualities

Could indeed any normal child be made a genius with sufficient training? Unfortunately, except for major intellectual deficiencies or physical disabilities at birth, there is also a personality factor. Not all children will be able to efficiently develop the rage to master. Of creativity factors listed earlier, curiosity, motivation and the suitable state of mind may be hard to develop in some. All great geniuses showed remarkable curiosity. Curiosity does not have to show itself in the area of sciences or art. If it extends to other areas of life, it bodes well for mental growth. If a child obsessively collects teenage magazines or devours news about pop-stars, you can take it in good part. This sort of curiosity can easily be converted into a more productive force. A more worrying sign would be to see a young person mindlessly stare in the ceiling. Motivation may be the hardest personality component to develop. It has a strong neurohormonal basis that is not yet entirely understood. Depression and bipolar disorders clearly show how the levels of hormones affect motivation. The manic state may often lead to enhanced creativity. Depression is a powerful inhibitor of mental processes and creativity. Then there is an illusive skill of delayed gratification. Those who are most successful are people who are able to wait for the reward. This is true in nearly all professions (Mike Tyson might be a rare exception in a profession were instinctive behavior might actually give one some edge). Impulsive people might differ in neural activity of the prefrontal cortex, and the component of the reward system, the nucleus accumbens. To a large degree, the impulsiveness is genetically determined. The skill of delaying gratification is particularly precious in creative individuals. Gregor Mendel's research in genetics was entirely based on scientific curiosity, and subject to a religious regimen of rigorous observation. There was no reward expected and no reward granted (in his lifetime). His groundbreaking findings waited 35 years to be rediscovered while Mendel himself focused on his duties related to being promoted to the position of a monastery abbot.
The ability to delay gratification can be easily recognized by the parent. It can also be measured scientifically as well as improved by training. Children that are poor at delaying gratification are also poorly organized and show little stress tolerance. They tend to be shy, introvert, and make social contacts slowly. Some will show bully characteristics. On the other hand, children that exhibit better ability to delay gratification will also be more verbally fluent, more skilled in rationalizing their behavior, more attentive and able to concentrate. They are better at planning, more curious and open to new experiences. Early forms of training should be based on showing the relationship between the delay of gratification and the potential increase in the size of the reward ("if you do not eat this cake, you will get money that will let you buy more cakes or ... whatever you decide to buy"). In short, the ability to master one's own emotional drives may be as important as the standard school curriculum.

A blind belief that every normal child can be trained to be a genius can be dangerous if there is a disparity between parent's expectations and the actual results, esp. if the parent is not emotionally ready to accept setbacks. There are quite a number of cases of prodigy kids that reached astonishing skills in young age only to fizzle out later in life. The most notorious, although frequently misrepresented, case is that of William James Sidis. His father, Boris Sidis started with similar assumptions as Laszlo Polgar. His training plan worked out great in the early years of young William. However, his rebellious nature led him to a lifestyle that many considered wasteful, esp. in the context of his amazing mental skills. In essence though, there is nothing wrong with a prodigy child leading a withdrawn or "normal" life.

William James Sidis: The smartest brain in history

Some sources claim William James Sidis (born 1898) was a genius that has reached the highest estimated IQ of all people in history. Yet you will not find his name among Nobel Prize winners or famous writers. William James Sidis is important for our analysis of genius mostly due to the fact that he is often quoted as a textbook example of an early prodigy burnout. Authors quote his life story to warn parents against being overly zealous in bringing up their prodigy children. Williams James Sidis became a poster child of the adage: Early to ripe, early to rot. His case is juxtaposed with that of Polgar sisters, Norbert Wiener, or John Stuart Mill. Incidentally, the latter is also attributed by some with the highest IQ in history. Note, however, that the concept of IQ has been developed decades after Mill's death in 1873

Formula for genius by Boris Sidis

To understand William James Sidis case, we need to look back to the days of his grandfather Moses Sidis, an Ukrainian Jew who was a well-to-do merchant and an intellectual. Moses Sidis, along the family tradition of early tutelage, took fatherly care of his child Boris Sidis born in 1867 in Kiev. Boris Sidis was a prodigy on his own and showed an early interest in poetry and languages. His childhood experiences have probably influenced his way of thinking on the way he would bring up his own children. His life story also shows traces of an inclination for being a social rebel. During the czarist pogroms of the Jews in the 1880s, Boris was arrested for teaching peasants the skills of reading and writing. He spent two years in solitary confinement and was subject to severe torture. This may have subsequently influenced his nature of an intellectual with a profound scorn of ignorance. Hopeless and penniless, Boris Sidis emigrated to the US and quickly become a respected physician, innovative psychologist and a pioneer in the field of psychopathology. He was an intellectual of wide interests and extensive reading. He wrote profusely on a variety of subject showing deep concern for the future of society. In Philistine and Genius (1911) he wrote: "We spend on barrack and prisons more than we do on schools and colleges. What is the level of a civilization in which the cost of crime and war far exceeds that of the education of its future citizens?"). His writings are peppered with radical ideas that might have been but did not have to be the root of his problems in bringing up William James Sidis. Boris Sidis writes: "the school-system should be abolished and with it should go the present psychologizing educator, the schoolmaster and the schoolma'am". Boris Sidis showed deep-rooted contempt to mindless memorization, irrational tradition, superstition, myths, creeds and dogmas. An opposition to irrationality should be harmless unless it was tainted with negative emotion. In Philistine and Genius (Chapter II), Sidis wrote angrily:

... uncritical belief in authority, meaningless imitation of jingles and gibberish, memorization of mother-goose wisdom, repetition of incomprehensible prayers and articles of creed, unintelligent aping of good manners, silly games, prejudices and superstitions and fears of the supernormal and supernatural, are censured in adults, why should we approve their cultivation in the young? "At home and at school we drill into the child's mind uncritical beliefs in stories and tales, fictions and figments, fables and myths, creeds and dogmas which poison the very sources of the child's mind. At home and at school we give the child over as a prey to all sorts of fatal germs of mental diseases and moral depravity

Boris dedicated a substantial effort to making his son an example of what education can do to a young human brain: "Education must aim at the bringing out of the genius in man"; "I appeal to you, fathers and mothers, and to you, liberal-minded readers, asking you to turn your attention to the education of your children, to the training of the young generation of future citizens".

Unfortunately, Boris's early success with bringing up William James showed little warning of sad things to come. In the spirit of avoiding "uncritical belief in authority", his son went on to defy the authority of others', including that of his own father's. Ultimately William James Sidis estranged his parents. Unorthodox father, Boris Sidis, died suddenly in 1923 of a cerebral hemorrhage at an early age of 56

Amazing prodigy

Young William James Sidis was tutored relentlessly from the cradle. He could read English at the age of 3. He amazed everyone around at the age of four when he would use a typewriter to write in English and in French. When he was five, he could already speak five languages. He would read Plato in Greek. At the age of nine he was ready to pass entrance exams to Harvard but was not admitted as not being mature enough for college life. At 11, after three years of trying and being refused on the grounds of his youth, young Sidis entered Harvard. His stardom begun with a lecture about "Four-Dimensional Bodies". After the lecture, Prof. Daniel Comstock of MIT hailed him to be a material for the greatest mathematician of the 20th century. New York Times picked up a story and gave him national prominence. Norbert Wiener, William's Harvard contemporary, wrote in 1953 about the lecture: "The talk would have done credit to a first- or second-year graduate student of any age. Sidis had no access to existing sources so that the talk represented the triumph of the unaided efforts of a very brilliant child"

Prodigy downfall

At Harvard, young Sidis appeared to be rather poorly adapted emotionally and socially. His colleagues considered him to be an eccentric. He was reclusive and did not make many friends. He is said to had suffered from various mental problems at that time and had to be treated in his father's Psychotherapeutic Institute. In 4.5 years, William James Sidis nevertheless graduated from Harvard cum laude in 1914. At about the same time, other Harvard prodigies graduated without receiving a fraction of attention granted to Sidis. The list includes Norbert Wiener, Buck Fuller, and Roger Sessions. On the graduation day, Sidis was in the company of students such as Julius Spencer Morgan, Gilbert Seldes, Vinton Freedley, and Laurence Schwab. Sidis told a reporter "I want to live the perfect life, and the only way to live the perfect life is to live it in seclusion". He went on to study law at Harvard Law School, which he quit shortly before graduation. In 1918, Sidis began teaching mathematics at Rice University, Texas. Rice students would ridicule their childish teacher for eight months. Sidis was constantly annoyed with the attention of the media. Not feeling well in academia, William James Sidis left his academic pursuits once and for all in 1918. In the meantime, he espoused leftist ideas and became a budding Marxist. In 1918, he was arrested during a May Day anti-war rally in his home town of Boston. He was accused of inciting a riot and sentenced for 1.5 years in jail. With his father's backing, the sentence was not served. However, young genius Willam James Sidis disappeared from the public eye. In 1923, a reporter found him in New York working a menial job. Sidis told him he was not a genius people want him to be. He also declared his wish to become anonymous in his life. Sidis expressed a simple desire to focus on undemanding jobs that give him more satisfaction. And that seemed to be the end of William James Sidis miracle.

In 1937, the New Yorker dug out the young prodigy story again and run a piece entitled "April Fool". In the article, Sidis is reported as saying: "I hated Harvard (...) anyone who sends his son to college is a fool -- a boy can learn more in a public library". The article paints a picture of an incredible young Harvard genius that went on to live a life of a low-paid bookkeeper. Sidis considered the article a gross violation of his privacy and sued ultimately receiving a small out-of-court settlement (see: US Supreme Court decision)

One of the reasons for lasting ridicule of Sidis was one of the books he wrote. While most people never write any book in their lifetime, when it transpired that Sidis, the future greatest mathematician, wrote a lengthy hobby book about streetcar transfers, the eyebrows went up. A transfer is a piece of paper given to passengers who want to take a particular transfer route. Sidis collected streetcar transfers obsessively, and considered it a "reasonable" hobby, which he called a peridromophila. His classification of transfers was Aristotelean. His scrupulousness Darwinian. Yet, the book published in 1926 under a pseudonym of Frank Folupa was not found to be a reason for admiration. Supposedly, this was "the most boring book ever written". Throughout his life, Sidis struggled to escape the publicity and the aura of expectation. To no avail. When he died of a cerebral hemorrhage in 1944 at the age of 46, he sparked yet another suspicion in reference to early prodigy training: "too much thinking can harm your brain, too". Sidis's father died early of the same affliction (see above)

Fallen star or an anonymous giant

It is not true that Sidis contributed little to society beyond providing a remarkable study case for the growth and decline of genius. The only book he published under his own name was The Animate and the Inanimate in 1925 at the age of 27 (as befits a true rebel, he argued spuriously therein against the second law of thermodynamics). In 1979, another giant of the centry, Buckminster Fuller rediscovered the book and wrote in a letter: "Imagine my excitement and joy on being handed the xerox of Sidis' 1925 book, in which he clearly predicts the black hole" (Subramanyan Chandrasekhar came up with the idea only a few years later). Incidentally, Buck Fuller was Sidis's classmate at Harvard and was saddened by William's story. Unlike Sidis, Fuller bloomed late into his life. In 1927 at the age of 32, bankrupt and jobless, he was on a verge of suicide. However, he decided to embark on an experiment: what a single individual can contribute to change the world and benefit all humanity. Documenting his life scrupulously in a half-century daily diary, Fuller went on to produce miracles of the mind (an array of inventions and 47 honorary doctorates are just a drop in the bucket of Buck's achievement).

Fuller got Sidis's book from Dan Mahony, a researcher who decided to unearth the truth about Sidis and answer the question: Where has all the genius energy gone? Mahony notes that Sidis's interest in Okamakammessetts Indians may have resulted in espousing the principle of anonymous contribution to society. Mahony begun a search for possible anonymous contributions of Sidis. One of the fruits of this search is a remarkable 600-page unpublished manuscript on the history of the red race in America dug out from a dusty attic: "The Tribes and the States". Lots of evidence indicates that this book packed with most unusual theories had been written by young Sidis. The search continues (see also: Sidis discoveries ; incl. Sidis's patent on a perpetual calendar and its picture, Unconscious Intelligence where teenage Sidis self-analytically writes about how subconscious brain works, Sidis's letter written shortly before his death with his troubles attributed to being a conscientious objector, http://home8.swipnet.se/~w-80790/Q&A/Q&A_2.htm. and http://www.uh.edu/engines/epi969.htm)

Sidis Fallacy

Multiple studies indicate that young prodigies end up better adapted to life in society than their peers (incl. the famous Terman Study). Sidis case is an exception rather than a rule. One theory says that an increase in IQ is welcome only up to a certain point beyond which it leads to extreme attitudes and social problems. Another theory says that there is an optimum span of time in which a domineering father figure helps child's development. The inflection point comes at the moment when a young man crystallizes his own views on how to run his life. Once father's and child's goals diverge, fatherly domination may spark negative emotions in immature mind. Instead of fostering further growth, this emotions may channel young energy in the wrong direction. The spiral of negative emotions escalates and parent-child partnership becomes a struggle for dominance in goals and values. Parental dominance shows up, for example, in a strong correlation between the occupation of parents and children (e.g. among doctors, lawyers, musicians, etc.). In Sidis's case, fatherly supervision may have gone beyond this theoretical inflection point, and William James Sidis was transformed from an admired prodigy to a haunted freak forced into behaviors incongruent with his mental profile and his own set of values. There is no hard evidence Boris Sidis made any major upbringing errors. His unrelenting tutoring and scorn of ignorance might have put too much burden on William, yet this could well be measured only in retrospect. Boris's radical views might have affected the family atmosphere: less love, more rigor (in contrast to warm atmosphere of families of Bohr, Darwin, etc.). The theory of reserve energy might have pushed Boris to neglect natural circadian underpinnings of healthy mental effort. Early in the 20th century, the knowledge of the function of sleep in learning was little. Even today, many students fall into the treacherous trap of belief that you can learn more by adding study hours by cutting down on sleep. Kathleen Montour believes that Sidis Fallacy has badly affected the education of the gifted children. In her view, a rational approach to special education for the gifted children can only lead to positive results, and the main problem on the way is, what she calls, a creator parent with excessive ambition for the child's future in proportion to the knowledge of the psychology of growth. Yet, as a psychiatrist, Boris Sidis could not have been better primed to be a good educator. The case may never be answered satisfactorily

Young rebels

The world is populated with young rebel geniuses. They tend to be radical. After all, only genius mind fully exposes the imperfections and contradictions of the surrounding world. Young geniuses power rebel environmentalist movements, animal-right groups, open source community, human rights organizations or groups for legalizing narcotic drugs. They espouse socialism, communism, or ... vegetarianism. They struggle to abolish nuclear power, GM foods, human cloning, urban sprawl, MacDonalds, air-polluting car, stem cell research, animal testing, etc. They often abhor the riches of Bill Gates, look with horror at George W. Bush presidency, or glorify Linus Tornvalds, Mike "Gorbie" Gorbachev or Nelson Mandela. Driven by similar but often not completely crystallized motives, they join opposing camps. Some end up fighting for monolingual world, others struggle for "language ecology" against the "linguistic imperialism of English". Some will fight for the United States of the World, while others see globalization as a veil under which global corporations exploit poorer countries in Africa, Asia and South America. Those radical minds usually end up being highly productive and balanced individuals. They learn to temper negative emotions and start to favor maths over myths.

William James Sidis has definitely grown to be a young rebel. It is difficult to diagnose how much of his attitude was pathological or neurotic. His fascination with Indian tribes and support for anonymous contributions to society could have concealed his true opus vitae. The peer-review pressure and publish-or-perish principles have driven many bright minds away from academic pursuits. A contemporary little-known dyslectic rebel genius Dr Robert Skoyles writes: "I prefer to be without an income and academic address. I would rather starve than be ignorant. I am puzzled why many bright people allow themselves to be time-lobotomized by the constraints of an academic career. At university, I witnessed many a bright and curious student eager to know give that up to prosper in the academic treadmill. What had once been a means now either swallowed them up or slowly seeped in and became an end. They became deadwood preoccupied with marriage, mortgages and a pension". Doubtlessly, similar sentiments were common to William James Sidis. His complete story has not been told

Conclusions

The case of William James Sidis contributed to several dangerous misconceptions. It is not true that child prodigies inevitably burn out with time. There is little evidence to confirm that brain tumors or brain hemorrhage may be caused by "too much thinking". Just the opposite, most research indicates that learning is a blessing for the brain's health. Sidis case shows how easy it is to propagate rumor and how difficult it is to recover the truth. Along the rules of memetics, the self-comforting story of a fallen prodigy spreads like wildfire. The carriers of the message seem to say "I have not been a prodigy and I like it that way"

Lessons learned from Sidis case:

  • Personality is critical for developing true genius. Lack of social skills can ruin creativity. It can also ruin the life of a genius
  • Genius is a virtue in itself and it does not require a spotlight. The attention genius attracts may actually inhibit creativity. Genius is its own reward, and does not need to strive for gratification
  • Parents need to exercise utmost caution when pushing their prodigies toward success. Ignorance is the source of trouble here. A modern parent needs to study child care literature and keep up to date with the principles of developmental psychology

In contrast, another prodigy child of early 20th century, Norbert Wiener, went on to establish the science of cybernetics and a new way of looking at the surrounding world. Incidentally, the computer metaphor used to model human genius in this article, is derived directly from the approach proposed by Wiener: using systems theory to represent reality and simplify its analysis.

In conclusion, Polgar's statement "every normal child can be trained to be a genius" is largely correct. However, the main stumbling block on the way towards accomplishing the goal is the mental profile of the child as well as the interaction with its tutors. Genetic limitations will manifest less in the overall intellectual potential and more visibly in overcoming psychological obstacles such as motivation, curiosity, delayed gratification, self-control, discipline, etc. The neural network of the human brain is highly plastic and compensatory. It's qualities, reduced in more severe disorders on the like of Down syndrome, are less of a limiting factor when compared with the child's personality.

Every normal child can be trained to be a genius as long as utmost attention is paid to its appropriate psychological development. Some personality profiles may be particularly hard to crack, and an intense "genius training program" can also pose major developmental dangers

Creative environment

For genius accomplishments and high creativity, you need to pay lots of attention to the right working and living environment. If your job is full of stress, human conflict, anxiety, disruption, etc. your creative potential will easily go to waste! In modern society, nothing pays back better than genius, creativity and novel ideas. It is better to get a poorly paid job that will let you grow than to enslave your mental potential in an environment that will pull you into the proverbial rate race.

Here is a basic checklist for inspecting your conditions for creative effort:

  • sleep: are you able to get as many hours of sleep as your body needs? Are you able to go to sleep then when you feel sleepy? Lack of sleep, poor sleeping conditions, or wrong sleeping hours are top causes of suppressed creativity. Without meeting your sleeping needs, you may not even live up to a quarter of your creative potential! See: Good sleep for good learning
  • stress: are you able to isolate yourself from the surrounding rat race? Are you surrounded with good people of good hearts? Stress along sleep deprivation are the most important suppressors of creativity. When you leave for the toilet, your brain should still live with the creative problem that consumes most of your attention; it should not stray to ruminate over a conflict at work, or in the family, or in a traffic jam. The damage done by stress is not only related to lost time and attention, but also due to lost health, and the negative impact of stress hormones on memory consolidation and neuronal degeneration. In contrast, serotonin, the "optimistic hormone", increases neurogenesis. See: The Medical Basis of Stress
  • health: never skimp on time you should devote to exercise. Quality circulation and a healthy respiratory system are needed to nourish your brain during a creative effort and during sleep. Stick to a healthy diet. If you are overweight you may miss lots of quality creative time by simply being less alert and energetic. Smoking is a bad short-term alertness booster, over years, your mental power will be curtailed dramatically. If you believe smoking helps your attention, note that similar effects can be accomplished with exercise; without inhaling a carcinogenic mix of poisons (see: QuitNet.org)
Charles Darwin (1809-1882)

The roots of Darwin's scrupulous scientific research can be traced back to his childhood. Except for the death of his mother when he was just eight years old, Darwin's childhood was a truly golden one. He was taken care of by his sisters and an older brother Erasmus as well as his extensive family. Not by accident, at 22 he was chosen to take part in the voyage of the Beagle as an unpaid naturalist. At that time, he was already a very capable and knowledgeable biologist. In December 1831, Darwin sailed on the Beagle from Plymouth. The long voyage was planned for two years but ultimately lasted five. Throughout the trip Darwin kept meticulous logs and collected numerous specimens on geology, botany and zoology. The isolation of the trip provided Darwin with excellent opportunity for creative thinking and detailed analysis of the observed phenomena (even though he was seasick most of the time). He was as good at theorizing as he was scrupulous at observation.

The idea of biological evolution that is largely attributed to Darwin was not new. Many authors before Darwin hinted at the possibility. Following a natural intuition, Lamarck had even drawn a diagram that showed the transition from simple to more complex organisms. After his Beagle trip, Darwin had his evolutionary ideas well established; however, it took him two decades to crystallize the details in a form he thought acceptable for publication. Both socially and legally, his views could bring Darwin trouble. As early as in 1837, his notes included remarks on how species change from place to place and from one era to another. In 1838 Darwin read Thomas Malthus' An Essay on the Principle of Population. Malthus argued that populations grow at geometric speed while the food supply increases arithmetically. This lead Darwin to formulate his struggle for survival principles in which favorable species variations would be preserved while the unfavorable would fall prey to evolutionary elimination.

An extremely important component of creative thinking is the ability to focus entirely on a problem to solve. The Beagle trip provided such an opportunity. After the trip, Darwin was fortunate to be able to work alone at home. The privilege of being an independent scientist was quite unique in Victorian England. Family endowments made it possible for Darwin to focus on his creative pursuits without the need to seek employment and worrying about down-to-earth concerns. Darwin also took science to his family life when in a scrupulously scientific manner he proposed to his cousin Emma Wedgwood. His choice made it possible to spend forty years on creative investigation despite the fact that his marriage with Emma resulted in procreation of ten children (three of which died at young age). Only his health, which may have suffered as a result of his Beagle tripe, could have been a limiting factor. For decades, however, Darwin relentlessly persisted in his endeavor.

Part of his success can also be attributed to his social skills. He did not want to publish his theories early knowing these could alienate many. He realized that the theory of evolution stood in sharp contrast to the teachings of the church (esp. the literal interpretation of the book of Genesis). He was able to work with other scientists without offending their feelings. He even had to restrain his comments at home as his wife Emma was a devout Christian who could not accept the heretic claims of the organic evolution.

What ultimately prompted Darwin to make his work public was a paper by Alfred Russel Wallace, which indicated that Wallace has independently arrived to similar conclusions as Darwin himself. Darwin read the paper in 1858 and was disheartened by the fact that his effort could have been preempted. A month later, Wallace and Darwin announced their theories in a joint paper read to the Linnean Society of London on July 1, 1858. A year later, Darwin's On the Origin of Species by Means of Natural Selection was published. This was one of the most influential scientific works in human history. Throughout the rest of his prolific life, Darwin worked on explaining the implications of his theory and on easing the acceptance of the direct link between humans and animals.

Even today, Darwin's theory is hard to swallow to religious fundamentalists. Creationists oppose evolution as being contrary to the Bible. In 1999, despite the official stand of the Vatican, fundamentalist Christians on the Kansas board of education removed evolution from the state science curriculum. As a result of public criticism and ridicule, board members who supported de-emphasizing evolution were defeated in GOP primaries in August 2000. In 2001, the new board voted 7 to 3 for the new standards to again require the secondary schools to teach evolution.

Darwin's scientific genius changed the world. The roots of his creative success could be found in his rich upbringing, extensive and always growing knowledge, decades of freedom to focus on his research, social skills in maneuvering the acceptance of his theory in evangelical England, unrelenting and scrupulous spadework, and persistence through difficulty

Negative and positive emotions

Human emotion is a powerful driving force. It can be highly creative as well as highly destructive. It could drive a young Nazi to a red-hot frenzy of hatred, but it could also drive Einstein's brain to awe and admiration of the symmetry of nature. Human emotion is often rationalized, i.e. it may lay at the root of an endeavor that is otherwise covered up with rational excuses. Again, rationalized emotion can result in a disaster or can prevent it. Hitler's blind hate, backed-up with pseudoscientific rationalization, lead to the holocaust. At the same time, the heroic global defense of the world peace in the 1940s would not be possible without the sense of outrage against those who disrespected the principles of peaceful coexistence. Emotions are very difficult to control and will often determine a person's chances for success or failure. Negative emotions, such as anger, are counterproductive and contribute little to a person's growth. Positive emotions, such as well-dosed passion, help one overcome obstacles that are bound to be found on any race-course. Emotions are also transitive and tend to amplify in social groups. Anger begets anger. Cordiality begets cordiality. Your effort to beget positive emotions, in suitable circumstances, will send positive ripples through social circles you interact with.

One of the basic premises of developing a genius brain is: learn to capitalize on positive emotions and circumvent negative emotions.

Emotion management skills may actually be the most important factor that will determine if a person will or will not develop its full genius potential. As argued throughout this article, personality factor seems overall more important than low-level information processing powers of the brain. Negative emotions are probably the number one cause of the scarcity of genius in industrialized nations.

The power of emotion comes from the fact that they are wired into the low-level brain structures that cannot easily be controlled by rational thinking originating in the prefrontal cortex. An angry individual can command its brain to cool down; however, it cannot instantly reduce the level of adrenaline that has already been released into the bloodstream. A drug addict can decide rationally to give up drugs, but when the physical effects of craving hit his system, his rational brain is often powerless.

In the course of evolution, the emotional circuits of the brain played a critical role in survival. Emotions help translate the inner needs of the organism into behavioral modes and actions. Once your blood glucose level drops down, one of the outcomes will be the activation of the appetite center. As a result, thinking of food will pervade all your actions. With time, all your attempts at genius endeavor may fade into insignificance as your brain will keep on reverberating the hunger message. In this case, your need for food is converted into hunger, and your brain is turned into a food-hunting mode. Similar mechanisms are involved in satisfying thirst or reproductive needs.

Human mental and emotional characteristics are strongly rooted in genetics and may limit or enhance intellectual development. It takes only a few generations of controlled breeding to influence the fierceness of dogs. Not-so-natural genetic selection of modern societies promotes a wide spectrum of behavioral characteristics. As a result, we all are driven by a mix of emotions that may be either valuable or unwelcome.

All healthy human beings are prone to experience negative emotions. However, in the course of upbringing most of us gain a sufficient rational control over emotion centers. Nobody has seen the pope swinging his crosier. And pictures of Nikita Khrushchev banging his shoe against the UN General Assembly pulpit in 1960 belong to the footage of the century. Incidentally, Khrushchev is said to have been in full control of his emotions and put his show up purely for political reasons. Apart from a strong genetic component, upbringing also plays a huge role in the way a human being copes with emotion. A recent US study found that children who spend long hours in day care are more likely to be aggressive, disobedient, and defiant. Those negative characteristics were correlated with the number of hours spent by kids in day care centers. At the same time children in high-quality day care programs got better scores in problem solving tests than children who stayed at home.

Entirely different emotion management techniques must be used for different emotions. Some emotions are generated at high levels in the central nervous system, others may have a longer lasting hormonal basis. For example, psychogenic anger can easily be controlled by rationalization. The simplest technique here is to determine and avoid stimuli that could generate negative emotion. On the other hand, hormonally based depression may be harder to combat. Mild sadness can be combated with exercise, caffeine, occupational techniques, etc. However, more violent mood swings may have a genetic background and require professional consultation or pharmacological intervention. A great deal of emotional life in modern society is related to human interaction. As such, emotions can often be influences by molding one's circle of contacts and modes of communication. You can easily eliminate a great source of negative emotions by simply avoiding interaction with individuals who seem to have negative influence on your emotions and ways of thinking. When your Mom used to say: "I do not like this new friend of yours", she kept expressing a universal truth: people do strongly influence each other. Look for people who will have positive influence on you. At the same time, never forget that you should strive at having a positive influence on others! Again, positive emotions beget positive emotions.

Your life philosophy will have a powerful impact on your emotions. Neither striving at genius nor striving at happiness should determine your philosophy. After all, you should not mold the truth to serve arbitrary goals. However, I believe that helping people reach the truth via promises of happiness or intellectual accomplishment is of no harm as long as the means and the ends all are compatible; which I believe they are.

At the root of your philosophical choice will be the classic conflict between stoic and epicurean trends in philosophy. 19th-century utilitarian Henry Sidgwick construed the hedonistic paradox to demonstrate that seeking happiness is a straight way to misery. Personal power guru Tony Robbins justly suggests to condition yourself to love what you decide is best for you to do. In other words, instead of living to be happy, you should rather happily live up to your highest ideals. If you cross chemistry on your pathway, rarely will you study it with enthusiasm as of the first day. You will need to condition yourself to love the subject. Your increasing understanding of chemistry is likely to contribute to this new love, yet it is worth to note that all sciences are most approachable from their historic perspective. This is the best way to illustrate the fascinating human struggle with mystery. No wonder Dalton or Avogadro were ready to devote their lives to the subject. Chemistry is fascinating if you just learn the right way to look at it. A genius entrepreneur and inventor Dean Kamen promotes his father's formula for success: Pick something you love and make it your life's work. Do what is important and not what is easy.

Apart from being guided by reason rather than emotion, you need to be aware that measuring your progress by accomplished goals is not always the optimum strategy (even though this is exactly what all modern corporations do). You may actually be able to get further if you derive satisfaction from your little daily accomplishments. Do not wait for the great trophy. Let the little good deed be its own reward. Once you reach a higher level of satisfaction with little things, your brain may work on a higher gear and carry you beyond your original target.

Some highly-driven young people set ambitious goals: earn $5 million in 5 years. Seemingly such a goal could put you on a high alert and you could hope to float towards the target on a good rush of adrenaline. Interestingly, Bill Gates made similar vows and had succeeded. Although many would like to attribute to him some carnivorous instincts that made him win numerous skirmishes and battles, Bill Gates has always been a genius visionary. His success derives from the strategy based on understanding (most of the time) the future of technology, the mechanics of competition and the cybernetics of management; not from his predatory ambitions. After all, there are many wolves out there who get nowhere. As we enter the Knowledge Age, aggressive strategies will pay less and less. More and more, the brain power will be in demand, and brain power feeds well on positive emotion. Small-steps good-night-sleep philosophy serves as a good medium for breeding brain power. With a $5 million target on your mind, once you miss it, or do not find yourself on the right trajectory, your life can enter a frustrating path. Instead of multiplying your strengths, you might slide a slippery slope of struggle with your own emotions.

Your optimization algorithm should not set a numeric target in conditions of insufficient information. If you set it too high, you will experience frustration. If you set it too low, you will not get motivated enough. Instead of optimizing for your goal, maximize the results of your day using the criteria determined by the goal. This benefits the mankind (you are very productive), it is also optimum for you: you get maximum results/expectations ratio that powers a self-propagating spiral of creativity.

A popular belief says that money, fame or luxury are the main factors that drive young people. Famed psychologist Abraham Maslow disagreed. By studying motivation in subjects ranging from monkeys to human geniuses, he developed his widely quoted Hierarchy of Needs with self-actualization at the very top of needs that come to play in genius minds. To experimentally show the real source of today's young man's positive experience, Dr Kennon Sheldon of the University of Missouri refined Maslow's theories, and then proved them accurate with an experiment. He asked university students to recall most satisfying events in their life (see: What makes people the happiest?). The students derived most satisfaction from self-esteem, relatedness (relationships with other people), autonomy (being in control) and competence (being productive). They derived minimum satisfaction from popularity, influence, money or luxury. Stoic philosophy is likely to help you capitalize on those sources of internal harmony identified by Sheldon. Lack of internal peace might be one of the most important factors that prevents people from reaching genius levels of intellectual achievement.

Of positive emotions, passion and the rage to master count most. However, these are highly elusive. Every parent who tried to sparkle passion in his child knows that at times this seems like a losing battle. Few techniques exists to efficiently spark passion. Adults are able to rationalize their actions and generate psychogenic motivation. However, if a young individual lacks passion, his development will suffer immensely. It may be highly valuable to find a "passion hook" to influence a young man's action. If a poorly motivated individual finds passion for computer games or Lego blocks or collecting beer cans, he or she demonstrates his or her ability to act passionately. The difficult job of an educator is to find a pathway towards converting these passions into productive and educational activities. For developing genius, the original motivation for learning and self-growth is of lesser importance. It can be rational or purely emotional, based on high aspirations or on greed, it can be religious, cultural or material. Whatever the starting motor of change, once the change is underway, growth and continual learning will help steer an individual towards universal truths.

Have a look at the summary below. Invite all positive emotions that help you execute your grand plans. Love your work, people, and the world. Run away from sources of negative emotion. Although ultimately rooted in ignorance, negative emotion has been the source of war and conflict that dominated human history. Newton's quarter-century battle with Leibnitz (see earlier) is an excellent illustration of a destructive impact of negative emotions. Even the greatest genius can fall prey to low-level emotion with nothing positive to come out in return except for yet another lesson for future generations.

Human characteristics derived from emotions can be divided into those of negative impact and those of positive impact. In addition, our ability to steer and control emotions provides for the third class of characteristics:

  • Negative emotions are often strongly rooted in genes. These include aggression, anger, maliciousness, envy, sadness, low stress-tolerance (incl. anxiety, introvertedness, fearfulness, etc.), mental disorders (e.g. manic-depressive disorder, schizophrenia, depression, etc.)
  • Positive emotions can often become negative if overdosed. These include: optimism (not mania), passion (not obsession), enthusiasm, curiosity, love (not infatuation), openness, compassion, constructive patriotism (not nationalism or chauvinism), scrupulousness (not obsessive compulsiveness), laughter (not risibility), love of music, movies, sports, etc.
  • Emotional control is the ability to make a constructive use of one's emotional drives. It may be strongly rooted in prefrontal control and rationality (superiority of reason over low-level drives), self-discipline (impassive adherence to one's own resolutions), patience (absence of emotion in face of adversity), and ability to delay gratification (i.e. being motivated by positive emotions for long-term strategies)
Thomas Edison

Thomas Edison contributed greatly to our understanding of genius. On one hand, he easily meets the strictest standards of genius. He still holds the record of the total number of submitted patents (over 1000 of which 400 came in a single year). On the other hand, of the geniuses discussed in this article, Edison seems to have been most visibly self-analytical. Using his own experience, he formulated quite a number of rules on how genius develops, including the immortal encouragement to augmenting the mind with hard work: genius is 1% inspiration and 99% perspiration. Edison's approach to creativity made a philosopher Alfred North Whitehead proclaim in 1926: "The greatest invention of the 19th century was the invention of the method of invention, which has broken up the foundations of the old civilization".

According to his own account, the root of Edison's genius can be found in his self-education and in a warm family environment. As for Darwin, loving motherly care was essential: "My mother was the making of me. She was so true, so sure of me, and I felt I had some one to live for, some one I must not disappoint". His tireless work habits formed in childhood. He started losing the sense of hearing early. His formal education lasted only three months, and he was not considered bright at that time. He had problems with math. One teacher even called him "addled". Few had noticed the sure early sign of genius: Edison asked "too many" questions. Child's curiosity is the basis of early learning. Kids who ask zillions of questions learn faster than their reticent counterparts. They often cause more trouble than the conforming ones, and consequently get lower ratings from the teachers. Overactive kids get labeled with ADHD even though a great deal of geniuses match the symptoms. In Edison's case, his mother decided to take him out of school and teach him at home. He develop a love for reading. At the age of 9 he got a book about scientific experiments. He did all experiments in the book and became interested in chemistry. His hearing disability helped him focus entirely on his experiments. As a result of his self-instruction, he developed a deep-rooted contempt for formal schooling. He believed that schools only focus on memorizing facts instead of developing highly applicable skills and abstract rules of reasoning. Along the laws of memetics, his words have often been quoted in a distorted form: "Don't just memorize it. Reason it out". As a result, a false perception has taken root: memorizing is wrong, reasoning is good. As discussed earlier in this article, reasoning is not possible without memorizing the necessary facts and rules needed for derivation. Edison definitely understood that but his ideas were put into a misleading slogan of learning. Memorization is more important to genius than the sheer brain power. This comparative statement is justified by the fact that most of us are born with sufficient brain power, but only few use it to develop high quality knowledge rich in abstract rules of reasoning. Using the language of this article, Edison's statement was: schools provide knowledge that is poorly applicable and poorly represented. Alas, in most cases, true until this day.

Another misconception born from distorting Edison's statements is: learning by doing or by playing, as opposed to memorization, is nearly a panacea for success at school. The truth is that some skills are better learned "by doing" while others simply "by understanding". Images of a dissected cadaver leave far more permanent imprints in medical student's memories than a verbal description of the same anatomical structures. Using mathematical formulas for solving particular tasks is by far more efficient that just memorizing them. Yet the cost of "doing" must be taken into the account, too. Few advocate learning geography by traveling to all remote corners of the world, or learning history solely via reading voluminous source materials in Hebrew, Greek or Latin. What is essential though, learning must be a pleasure to be effective, and should follow, as Edison put it, "the natural instincts of the human being". Edison believed that the education he gained at home was an excellent preparation for his future success in engineering. He was also acutely aware of the limited perimeters of human brain to acquire knowledge as well as the unlimited ocean of knowledge that is left to be uncovered by the mankind: We don't know a millionth of one percent about anything.

Asked about the most important factors of his success, Edison replied: "hard work, stick-to-itiveness, and common sense". We can translate it to the terminology used in this article to (see: Components of genius):

  • hard work: lifelong learning
  • hard work: persistent execution of plans molded strictly towards achieving one's goals (see below to see why Nicola Tesla was weaker in this area)
  • stick-to-itiveness: persistence, will-power and well-chosen specialization
  • common sense: learning and applying highly abstract rules of general reasoning

Edison's genius could then be summarized as an obsession for solving a specific problem, sticking to the problem for as long as it takes to solve it, acquiring necessary knowledge (including new rules derived in the process of reasoning), and thus acquiring "common sense" that will help solve more problems in the future.

Edison vs. Tesla

Nicola Tesla was a lesser know but possibly even a greater genius than Edison himself. He was born an Orthodox Christian Serb in 1856 in today's Croatia, which was then part of Austria-Hungary. His mind conceived what could be one of the first visions of the Internet. First, as a teenager, he envisaged a global postal system based on hydraulic pipes. Later in life, he unsuccessfully tried to convince J. P. Morgan to work on building a world brain-like system of wireless communications to broadcast phone conversations, texts, pictures, and music.

Unlike Edison, Tesla received strong formal schooling and was at amazing ease with math. Tesla arrived as a poor immigrant to New York in 1884 only to discover to his disappointment that, culturally, America was ages behind Europe. With a letter of recommendation from Edison's European friend, Tesla was hired as a young apprentice and got a job that was supposed to earn him $50,000. He completed the task to Edison's instructions in several months but did not get his pay. Edison explained that the huge dollar award was not what Tesla expected it to be: "When you become a full-fledged American you will appreciate an American joke". Tesla quit disgusted. This is how Tesla-Edison battle begun. Although Tesla's ideas were considered superior, he was unable to convert them into a financial success. Tesla was immensely creative and would always neglect the business part of his activities. The neglect of less creative side of life by inventive minds gave origin to the "Shoot the inventor" phenomenon. Creative people are easy to "shoot" because craving for creativity is an inherent feature of their brains that makes them vulnerable. Creativity becomes more important than honors, luxuries, money and other rewards. Tesla's alternating current approach was by far superior to Edison's stubborn exploration of the direct current (Edison's stubbornness could be excused by his prior sizeable investment in DC). Tesla arrived to America with some designs ready in his head but Edison would not listen to Tesla's ideas. The AC-DC battle was won by Tesla's brainchild, but he sold his patents early and earned little. A rumor says that Tesla and Edison were supposed to be chosen to share a Nobel prize in physics but Tesla declined to share the award claiming that Edison is not scientific enough. They have never received the prize. Tesla was also the early inventor of the radio but it was Marconi who received the highly valuable patent and a Nobel Prize in 1909. Marconi's patent was reversed in 1943 when the US Supreme Court upheld Tesla's earlier patent, but it was too late for Tesla himself. He died a few months earlier. Tesla could have been more creative than Edison but he was less efficient in carrying his battles for recognition and financial awards. Edison and Marconi always wielded a substantial advantage in contacts and connections. The last thirty years of Tesla's life were severely damaged by the wounds he suffered in this unequal struggle. Edison would also beat Tesla as a team player. Tesla's social skills were inadequate in that respect. Like many highly creative individuals, he preferred to work alone. His imperfect execution of his own plans deprived him of the most prominent place in the history of mankind.

One of Ronald Reagan's favorite sayings taken from Robert Woodruff was "there is no limit to what a man can accomplish if he does not mind who gets the credit". However, Tesla could have completed dozens of his unfinished ideas had he backed up his creative genius with skills for choosing appropriate partners that would protect his work from being overshadowed, stolen or forgotten. Tesla was also slightly naive in a blind trust in justice. In 1904 he said about Marconi: "He is a good fellow. Let him continue. He is using seventeen of my patents". The new economy of the 21st century seems less ruthless than that of the late 19th century America. Today's bright minds live in much less fear that their efforts will not be appreciated and rewarded. Naturally, as many more geniuses are able to fulfill their potential, they also face a much stiffer competition in the field. Our perception of genius remains the same, we reserve the word to top 1% of the population. However, the bar is being raised with each passing decade, esp. with the advent of the new global economy based on the Internet. Creative skills of the 19th century genius might not be as impressive in today's highly educated population.

Interestingly, Tesla and Edison shared a remarkable ability to sleep little and work a lot. Edison would go on for days taking only occasional catnaps on a sofa in his office. While employed at Edison's, Tesla working day would last from 10:30 am to 5 am. In this context, it is important to remember that the actual demand for sleep depends on individual characteristics and no creative individual should ever contemplate cutting down on sleep in hope of reaching the intellectual heights of the two geniuses. Least of all, should the alarm clock be used to regulate sleep. If you happen to sleep little, wake up naturally and feel refreshed, you may have more time for creativity. But there is no reason to be alarmed if your natural sleep demand goes beyond nine hours as long as you wake up refreshed. For comfort, Einstein, whose theories Tesla contested, sported a healthy brain that required nine hours of sleep for best performance.

Unlike Edison, Tesla preferred to make a meticulous mental picture of his ideas and invention before proceeding with actual experimentation. As a youth, he developed a remarkable ability to run computations in his mind without the help of paper or a slide rule. On the other hand, Edison would get down to trial-and-error "perspiration" as soon as he had a nugget of an idea. Which approach is better? Definitely you can save hours by being well-prepared for "perspiration"; however, the moment when you switch from thought to action will mostly depend on the expected cost. Tesla might have had more ideas in his mind but Edison have beaten him in practical applications

Lifelong learning: Rebirth of the Renaissance man

Recent years have demonstrated a tremendous potential of interdisciplinary science. Findings from different fields can lay fallow for years due to poor communication between scientists from different fields. Then a simple association of known ideas produces a major breakthrough. Many geniuses of this century complained that we, and scientists in particular, get overly specialized. Norbert Wiener painfully noticed that if the difficulty of a physiological problem is mathematical in essence, ten physiologists ignorant of mathematics will get precisely as far as one physiologist ignorant of mathematics, and no further. The consensus is that specialist knowledge is necessary for scientific progress; however, there is no escape from interdisciplinary communication and getting a broader education in all fields of science that would make such communication possible. A future expert will need to find an optimum balance between the specialist knowledge and general knowledge. With popularization of techniques such as spaced repetition and incremental reading, it should be possible to see the rebirth of the Renaissance man. Rational control of the learning process should make it possible to combine intense specialist exploration with well-rounded strengthening of one's overall educational background. Lifelong learning is becoming a necessity that will spread from intellectually most demanding professions to other fields of labor. Rapid changes in technology demand a quick adaptation process via efficient well-targeted learning. With tools such as SuperMemo, it should be possible to cast your net wide for new knowledge and avoid the tunnel vision that might lead you into a blind alley.

Accelerated learning is also a prescription for a real-time problem solving. Once a problem to solve looms large, you can throw more knowledge at it. Overpower it with incremental reading. This refers not only to problems related to your profession. It can be anything from a technical problem with your computer to an unexpected health problem in the family. With the access to the Internet, an amazing number of problems can be solved by means of knowledge that is literally available at your fingertips. Once things get hard to crack, you can methodically flood your memory with new relevant information until new solutions start coming up. In the end, as illustrated with many examples throughout this article, a single piece of information stored in the human brain can change the course of history!

SuperMemo 2004: Dealing with incomprehensible articles

In incremental reading, you will often encounter material that is difficult to understand. You will need to develop analytical skills that will help you identify the reasons. If the culprit is the author, delete the article. If you need to digest other pieces of your collection first, delay the article. If you need more knowledge, delay the article and import more knowledge that will be needed to boost understanding. Do not forget that some texts make an inherently poor material for incremental reading (e.g. descriptions of scientific experiments, mathematical derivations, programming examples in source code, case studies, etc.). In such cases, use a traditional thorough analysis methods, summarize results of your analysis, and use SuperMemo only to keep track of such summaries.

This is how you can approach complexity in incremental reading:

  1. Start reading the article from the top. Once you find a difficult fragment, analyze it and diagnose the reasons for your comprehension problems
  2. If the rest of the article does not depend much on the difficult fragment, keep on reading (at the bottom of the article you could leave a "read again" note to indicate that it might make sense to read the whole article again and return to the difficult fragment later)
  3. If the rest of the article cannot be understood without understanding the difficult fragment choose one of the following:
    • if you need more knowledge to understand the fragment: postpone the article (Learning : Jump interval or Ctrl+J)
    • if the fragment is hopelessly intricate and leaves no hope for the future (e.g. because of wrong grammar, wording, formulation, logic, etc.), delete the article and search for alternative material
  4. If you decide to postpone the article with Ctrl+J, decide what new knowledge you will need before getting back to the difficult fragment. List dictionary entries, encyclopedia articles, articles on the net or library books that you will need to process before going any further
  5. Schedule the review of the new knowledge or try to search for it immediately (e.g. by searching the net)
  6. Estimate the earliest time when you hope you will be able to understand the difficult article and use the appropriate interval with Ctrl+J. If the article includes high priority knowledge, it is always better to err on the safe side and provide a too early review

Major Genius Fallacies:

  1. You must be born with a creative mind! False! Some kids indeed show an incredible curiosity and rage to master. However, there are many techniques that can help you multiply your creativity. Start off with the Genius Checklist below. Once you ensure healthy and peaceful environment for creative work, be sure you try incremental reading as the best way to (1) quickly gain new knowledge and (2) boost your associational thinking and creative output
  2. If you miss childhood, your genius is lost! False! Human brain is plastic by definition. In many fields of learning, childhood neglect is difficult to recover later in life; however, training can always produce miracles. Young Jean Jacques Rousseau lost his mother within a week of his birth. His violent-tempered father encouraged reading but abandoned him at ten. His family found him incompetent. He run away at sixteen and begun his adventure with philosophy at the encouragement of somewhat disreputable Madame de Warens who become his lover. One thing Rousseau was probably born with, however: curiosity. He read Plutarch's Lives in childhood, which indicates that this period has not been entirely lost. Childhood is very important for growth, but if you lost it, you can still catch up in many areas with intense training
  3. Do not memorize! False! You can track this belief back to Rousseau's novel Émile. Its fallacy comes from the fact that many sources fail to delineate the full spectrum of knowledge applicability from dry useless facts to highly abstract reasoning rules. Understanding, thinking, problem solving, creativity, etc. are all based on knowledge. This rule should rather be formulated as: Knowledge selection is critical for success in learning. The correct and non pejorative definition of the word memorize is to: "commit knowledge to memory". Along this definition, I exclaim: Do memorize! Just make a smart selection of things to learn. A recent report on Japanese schools stated an overemphasis on memorizing and a deficit in promoting creativity. However, solutions proposed for such an imbalance are often quite zany (e.g. spending a substantial proportion of school time on playing with colorful sheets of paper for the sake of creativity). The report lead to a media buzz that produced a harmful misnomer equating memorizing with cramming. I hear again and again that SuperMemo is just a tool for cramming. See: Smart and dumb learning for a discussion and examples
  4. Proliferation of geniuses is a threat to humanity. False! Most of the good things that surround us are a product of nature, love, or human genius. It is true that the output of genius minds is often used for evil purposes; however, halting genius would be equivalent to halting or reversing the global progress. Few would advocate a return to pre-print Middle Ages or voluptuous times of the Roman Empire. Instead, we should rather proliferate genius and employ innovative minds to ensuring future harmonious, sustained, and measured progress of humanity
  5. If you do something stupid, so are you! False! Human brain is an imperfectly programmed machine. It never stops learning and verifying its errors. Its knowledge base is painfully limited. The same brain may be able to disentangle the complexities of the string theory and then slip on simple sums. We measure genius by its top achievements, not by the lack of failures. It may be an enticing media tidbit to see the US Vice-President fail to spell the word potato; however, the blame should rather be put on the irregular spelling of English (when I typed potato here in my word processor, I did see the ominous red wavy underline again). The misspelled word might actually indicate the politician who would rather spend his time on solving the problems of the nation rather than waste time on cramming thousands of spelling patterns of English. If you do a very dumb thing, do not blame it on your mental powers. Actually, one of central characteristics of geniuses is self-confidence. Geniuses do silly things and often go around in circles. What makes them succeed in the end is self-confidence and the unshaken belief in the solvability of problems
  6. Geniuses do not forget things! False! Genius brains are made of the same substance as average ones. Consequently, their memories are subject to exactly the same laws of forgetting. All knowledge in the human brain declines along a negatively exponential curve. Forgetting is as massive in a genius mind as it is in any other. The best tools against forgetting are (1) good knowledge representation (e.g. mnemonic techniques) and (2) review (based on active recall and spaced repetition). Geniuses may hold an advantage by developing powerful representation skills that make learning much easier. They often develop those skills early and without a conscious effort. However, the science of mnemonics is well developed and you can see a dramatic difference in your knowledge representation skills after a week-long course. With help of SuperMemo, you can also solve the problem of forgetting by optimizing the review and detecting your weak spots in knowledge representation (see: knowledge leeches). In addition, a welcome side-effect of using SuperMemo is the subconscious increase in your mnemonic powers. In other words, mnemonic techniques and SuperMemo can help you forget about forgetting. Paradoxically, absent-mindedness is also often associated with genius. The proverbial absent-minded professor indeed tends to forget things by focusing on what is important and neglecting minor things in life. The current location of car keys is in a longer perspective by far less important than the newest inspiration on developing the theory of everything. Actually, due to their absent-mindedness geniuses should be banned from driving! Their intense focus on a problem to solve may pose danger to others. If you tend to forget little things, this may actually be an indication of your strong creative focus. Use MS Outlook's Calendar to free your memory and your mind from worrying about details. You can also use SuperMemo tasklists if the number of tasks is by far higher than your ability to execute them
  7. Geniuses sleep little! False! When looking at Edison and Tesla it is easy to believe that cutting down on sleep does not seem to pose a problem in creative achievement. Those who try to work creatively in conditions of sleep deprivation will quickly discover though that fresh mind is by far more important than those 2-3 hours one can save by sleeping less. A less visible side effect of sleep deprivation is the effect on memory consolidation and creativity in the long term. Lack of sleep hampers remembering. It also prevents creative associations built during sleep. It is not true that geniuses sleep less. For example, Einstein admitted that he would work best if he got a solid nine-hours block of sleep. The difference between Edison and Einstein could be a combination of physiology and working mode. Edison would spend hours on manual experiments, which may involve less demand for sleep as compared with highly abstract reasoning. Edison also used to run his own business affairs that could add some adrenaline to affect the sleep physiology. Apart from the difference in the working mode, the sleep physiology can differ between individual. In an extreme case, it is possible that Einstein's brain was "slower" in sleep and required more time to do the same job. His sleep could also include a larger proportion of non-optimizing stages (i.e. stages that are likely to act as transition between physiologically most important Stage 4 NREM and REM sleep). Whatever the underlying cause, you should follow your natural sleep demand and never cut down on sleep
  8. Early to ripe, early to rot! False! Terman Study contradicts this claim. See the section devoted to William James Sidis for a discussion
  9. You need a degree! False! Edison got only 3 months of formal schooling. Lincoln spent less than a year in school. Benjamin Franklin's formal education ended when he was 10. Graham Bell was also mostly family trained and self-taught. Steve Wozniak, Steve Jobs, Dean Kamen, and Bill Gates were all college drop-outs. If you have a strong personality and an unswerving drive for self-improvement, in the era of the Internet, you may actually gain more knowledge on your own as long as you choose a field that does not require expensive labs, hands-on experience, close social interaction, etc.. Universities tend to be inefficient and wasteful with outdated teaching methodology. However, if you do it on your own, you always have to keep in mind that you need to learn what is important; not what is easy or just interesting. Universities are still hard to beat in forcing you to learn things that are hard but important. Secondly, universities are a great source of inspiring human interaction. If your social skills are poor or you find it hard to meet new people on-line, you should at least experiment with the traditional schooling system. Naturally, if your motivation and self-discipline are not of the highest mark, going through the formal system of education may be a must
  10. Genius can be evil! False! Evil, by definition, is stupid. One can show genius skills in a narrow field and still be an evil person, but an evil human being does not deserve a title of a true genius if his or her wisdom does not reach beyond the narrow field of specialization. This is why all true geniuses are deeply concerned with the future of humanity. Mistakenly, some use Hitler as an example of an evil genius quoting the efficiency of the holocaust machine, and some of his early political and economic successes. Hitler grew in power not by his genius but by his anger. He was a byproduct of the Treaty of Versailles and ensuing discontent and nationalism among German population. The truth about Hitler is illustrated by the utter failure of his plans, his philosophy, and his dreams. The holocaust was not powered by anything but hate that spread far beyond the mind of one evil man. Last but not least, the second law of thermodynamics should teach everyone that there is nothing genius about destruction. Your PC is an incredible product of the collective human genius, yet it takes a hammer and an untrained hand to terminate its usability.
  11. Be unique! This boosts creativity! False! The relationship between uniqueness and creativity is reverse. It is true that many creative people are unique or strange in behavior. This comes from their creative way of looking at things and unwillingness to stick to those form of tradition that defy reason. By no means an effort towards uniqueness will boost creativity. It is true that Einstein smoked a pipe, but it does not mean that you will be more of a genius if you take on smoking a pipe. If Bill Gates comes to meet you in a crumpled old shirt, it is because he values comfort and his own time more than canons and conventions. Crumpled shirts do not augment mental powers. David Boise may come to the US Supreme Court in sneakers because these do less damage to his circulation and his course of thought. Guys at Yahoo sleep in their offices and walk around the company barefooted. Only because that is ergonomic. Wozniak and Jobs started the company in a garage hoping to follow the footsteps of Hewlett and Packard. Better in a garage than not at all. This all does not mean that if you start bare-footed in a garage you stand a better chance for success in the dot-com economy. Nor will it help if you paint your hair green. Unless, naturally, the green color will have some positive and tangible effect on your psyche, your boss, your wife or your bank clerk. Creative people look strange or unique, but that is not by design! Originality does not carry any value in itself and striving for it is wasteful. Whole philosophies have been built on the concept of the unique value of strong individual with not-so-good outcome for the mankind
  12. TV makes you stupid! False! TV or radio can be harmful if you are unable to control what you watch or listen, or if you are unable to optimize the proportion of your time spent on broadcasts. Otherwise, TV is still hard to match in its ability to present to you a pre-selected and emphatically graphic video material for the purposes of education or getting informed. Video education based on the material from reputable channels may be the most efficient form of tutor-less education. Rather than getting drawn into Jerry Springer or Survivor, you can get a quick lecture on evolution, history of the Ottoman Empire or Islamic Revolution in Iran from the Discovery Channel, BBC World or CNN. Do you know that CNN has spent $12 million to produce their 24-part series "Cold War"? As I write these words, BBC World is running an excellent 26-part "People's Century". Huge production budgets have been converted here into a superb video-documentary that will give you the best rate of knowledge and inspiration per minute. The following rules can help you avoid potential damage of television to your creative work:
    • choose the right channel and programming in advance. Your decision should be conscious rather than spontaneous. Do not let emotions or curiosity override your true needs for information and learning
    • use a VCR to make sure you can watch the material at designed time. By no means should TV schedule affect your own schedule. Neither should TV schedule determine what you watch and learn. VCR will also help you fast forward over advertising and less relevant material
    • choose the appropriate timing. Watching TV is by far less demanding to your brain than, for example, learning with SuperMemo. This is why you could choose the timing where your brain is less alert, e.g. after meals or before sleep (remember to avoid emotionally-charged content before sleep)
    • to boost positive results, you could also add some priority to foreign language channels to add some foreign language learning. If English is your second language, you should actually give English channels a strong preference due to the fact that no creative mind can truly benefit of the Knowledge Age without a fluent command of English
  13. Curiosity killed the cat! False! Forget this proverbial eye-wash. Even in the 13th century, Thomas Aquinas in Summa Theologica rationalized curiosity by noticing that the vice of curiosity cannot be about intellective knowledge (Summa Theologica : Question 167). As long as you stay within the boundaries of politeness, live by a better proverb: Curiosity is your pass to the kingdom of knowledge
  14. George W. Bush won't make a good president! False! Do not be belied by W's poor knowledge of foreign leaders or his not-so-excellent command of English. Both are indeed indicative of his learning priorities and will somehow affect his leadership. However, despite the appearances, presidency is a collective effort and being a genius of social skills, delegation of duty or diplomacy may be equally or more important. The truth about Bush jr. will only come out after his presidency, and its true historical impact can only be evaluated decades later. Someone has noticed that knowledgeable Al Gore might show a tendency to be more autocratic with "I know better" attitude. Knowledge is indispensable to a great leader but is not the only factor. Future will tell (see FAQ)

Summary: Genius Checklist

To summarize and solidify the formula for genius advocated by this article, I list below the most important factors underlying brain power. I sorted these factors so that to begin with those that are most likely to be the stumbling blocks on your own road to genius. The categories inevitably overlap. For example, all the first three preconditions for genius are strongly related: stresslessness, good sleep and self-discipline, and may provide the key to answering why we are not a planet of geniuses. I listed individual points separately on the basis of their ability to motivate your or inspire to improve your own attitudes, behaviors and self-growth techniques. Before you start reading, however, remember what Herbert Simon said about genius: it takes about ten years to develop it. Not only will you have to meet all the criteria listed below, but you will yet need lots of patience before you climb your summit!

  1. Eliminate stress: Stress is understood here as rapid change resulting in an increase in stress hormones (catecholamines, ACTH, cortisol, etc.). Stressful change can come from conflict, illness, death of a relative or unemployment. Stress can also result from seemingly happy events such as a marriage or a slap-dash vacation. Please do not fail to read: The Medical Basis of Stress. A simple test here is to make sure that creative problems circulate in your mind while you are brushing your teeth. You will fail the test if instead of creative thinking you are preoccupied with problems at work or in the family. Stress will cut down your creative efficiency manifold if it takes your mind away from problem solving. Most of all, however, it will affect your self-discipline: another cornerstone of genius. In addition, sustained stress will result in hypercortisolism, overactivity of the sympathetic system, and a resulting inhibition of the neural growth and memory consolidation
  2. Sleep: Make sure you always get as much quality sleep as your brain requires. The simplest first step: throw away your alarm clock! Lack of sleep delivers a quadruple whammy: (1) it prevents memory consolidation, (2) it eliminates memory optimization responsible for valuable associations, (3) it makes you tired and unwilling of mental effort, and (4) it undermines your self-discipline. Please read: Good sleep for good learning
  3. Self-discipline: Lack of self-discipline aggravated by stress and lack of sleep is the number one cause of reduced productivity worldwide. In essence, it explains why capitalism appears to be economically superior to communism today. If you develop self-discipline habits early, your life is likely to take an entirely different course. If you believe you are lacking in this fields, try the following exercise: as soon as an activity comes to your mind that you really are unwilling to do, do it. Your rational brain must be the master of your body, not the other way around. Stand over a pool of cold water. Do you hate jumping in? The more you hate it, the sooner you should jump. And in the end you will love it. Cold shower is a minor inconvenience once you experience the volitional power of the brain. You need to master the skill of a perfect execution of your own plans. The more precise your plan, the harder it is to execute, yet the most tangible the results. Learn to delay gratification. If you focus on your long-term goal, your daily inconveniences will by far be more bearable. A strenuous quest towards the goal is the best reward to a genius mind. Minor awards of laziness do not befit a true genius. Think of self-discipline daily. Even strongest minds can relax it all too easily. Remember about stress and sleep (two previous points). Stress and sleepiness are chief factors that undermine self-discipline
  4. Learn day and night: Knowledge is the substance you convert to ideas. Although it is possible to learn in stress and with sleep deficit, learning is listed here behind stress, sleep and self-discipline. This is because humans exhibit inborn curiosity that makes them crave for learning. Watching TV and reading gutter press also comes from the the same need for learning. Most people understand the importance of learning but are prevented from executing their plans due to stress or lack of sleep or lack of self-discipline. To breed genius, your whole life should revolve around learning. You should use every single and slightest opportunity to learn something new. This can be Einstein's biography or a talk with a homeless junkie. Read, talk, watch, surf, and keep on thinking. Do not avoid hard subjects (e.g. mathematics). Mold your learning strictly to your creative needs, but do not fail to explore a wide range of topics. Touch all the bases! Avoid tunnel vision. Remember that your success in learning will require appropriate knowledge representation and timing of review (as in SuperMemo). Lacking university education? Never mind. Look at Edison, Lincoln, or Leibnitz to see the power of self-instruction. See: Formula for success in learning
  5. Abstract knowledge: except for lots of learning, you will need to pay attention to the quality of knowledge and its abstract applicability. You cannot just memorize thousands of facts. You have to consciously explore areas such as logic, probability, statistics, game theory, decision theory, computing sciences, optimization, as well as other branches of mathematics and other sciences. You have to develop a love for logical thinking, scientific method and skepticism. Even if you are a movie critic, you will still need a quality logic to frame your judgment. Remember that all knowledge is volatile and may be subject to falsification at any time. Keep your mind open to new truths even if they seem to turn your present vision of the world upside down. See: Smart and dumb learning
  6. Knowledge representation: the main thing that makes genius brains stand out is their ability to store quality knowledge in a way that is easy to remember and easy to use. Genius brains can see complex things in a simple form. They look at the same text or picture and see a dozen times more than an average individual. An average reader will say: "I understand, so what?". A genius reader will say: "Eureka!" and list several applications of the just acquired piece of knowledge. Geniuses simplify while learning. They build abstract models. They develop abstract languages for representing knowledge. Those representation skills can also be developed by training. Have you ever tried to learn Kanji (Japanese language symbols)? If you see Kanji as a tangle of confused sticks, you are a typical beginner. With time; however, Kanji symbols should being to sing to you and talk to you in their own language. Once you pass the first few hundred, the next thousand should go smoothly. The same happens if you learn 20x20 multiplication table. With time you learn simple tricks for running simple and repetitive calculations. Instead of memorizing 20x20 combinations, you limit yourself to a standard 10x10 table (just 25% of all combinations) and add to this a few rules for manipulating numbers in your working memory. The best way to develop good representation is to (1) understand the way the memory works (see: 20 rules of formulating knowledge), (2) consciously modify representations in the learning process (e.g. reediting items in SuperMemo) and (3) working on abstract knowledge (the more you learn the easier it becomes). If you encounter a difficult problem in incremental reading, postpone it. With luck, some other source or article will hand down a better representation that will better nourish your understanding. For example, the brain metaphor presented in this article is supposed to simplify the representation of genius. Hopefully, it should demystify genius by comparing it to a well-programmed computer. In the end, it should encourage your to start programming (your own brain). See also: Dealing with complexity in SuperMemo
  7. Health: take an obsessive care about your health! Keep your blood pressure down (high blood pressure damages your brain), do not abuse alcohol (any dose that visibly affects your mental performance may be poisonous to your nervous tissue), use medication only when absolutely necessary, forget smoking or illicit drugs, exercise, learn medical sciences!!! Your brain is a highly sensitive organ that needs a healthy environment to operate in. Health and understanding the biological needs of your brain may dramatically affect your performance in the long run
  8. Avoid negative emotions: learn to control and eliminate negative emotions that blur your mind and long-term vision. The only acceptable feeling towards others should be love, compassion, admiration, inspiration, and other positives. If other not-so-nice feelings tend to creep in, emigrate into your creative world. Don't get swayed or discouraged by the nasty things in life. Ride on regardless. See: Negative and positive emotions
  9. Optimism and patience: drive your life into the optimistic track! Do what you love and develop a strong sense of purpose. Optimism and patience rooted in stoic philosophy are critical for your brain to peacefully engage in a creative effort. Optimism has a hormonal basis and as such can be manipulated and enhanced. Although, it is more than just stresslessness, you will find lots of inspiration in: The Medical Basis of Stress
  10. Positive stimulation: things that you love doing should find a place in your schedule. Due to its intimate and direct impact on the reward system, efficient learning belongs to the best sources of positive experience; however, to many it can also be a drudgery. For counterbalance you need to find time for highly enjoyable activities that will widen your enthusiasm for living in general. Be it music, art, movies, sports, religion, love, etc.
  11. Clear goal: even the smartest and the most knowledgeable brain does not deserve the status of genius if it lives in a vacuum. If you switch your focus and interests indefinitely, you may end up with little creative output to show for your talents. Establishing a clear goal for your life should be your first priority. If you are very young and still do not understand yourself or the surrounding world, you can safely commit yourself to enhanced learning. Until your goals crystallize, learning itself may be your temporary goal. However, you cannot keep on learning for the learning sake indefinitely. At some point you need to focus on a big goal and your learning should be focused on achieving that goal. Choose your goal by a combination of your own talents and its utilitarian impact. What do you think is the best thing you could do to make the world a better place? If you know it, make it your obsession. The greatest minds in history tended to focus intensely on a single problem and neglect all minor things of life. Young Bill Gates would sleep under his desk because he did not want to waste time on coming back home. David Boise, Al Gore's star lawyer, would live in a dirty house and run in worn-out suits to economize more time on getting prepared for his cases. Lincoln would dress nicely only to please his wife. Einstein would become entirely irresponsive to the outside world once he focused on his relativistic ideas. Edison would work for days nearly without sleep. Andy Grove of Intel stated justly: "Only paranoid survive!". You need a clear goal and you need to pursue it obsessively. As for Gates and Edison, remember that quality sleep was listed second on this checklist
  12. Rational optimization: Your goal can be great but what if a greater goal looms on the horizon? First of all, your ultimate goal should be ultimate. If it is not, you must generalize your hierarchy of value until you reach the root of human existence to answer what lives at the end of the infinite chain of whys. However, your subgoals can be plastic. To be sure you do not fall into Babbage-Tesla-Nelson trap of grandeur design and endless improvement, your decisions must be purely rational and probabilistic. Remember Cray? He would give up bells and whistles only to be the first with a workable solution. If the expected payoff of the new goal is greater than that of the former goal, switch it. Otherwise persist even though your emotions may tell you that the new thing seems so much bigger
  13. Balance learning and productivity: On one hand, this checklist asks you to work hard to achieve your goals. On the other, it asks you to spend your whole life on learning. Naturally, you need to find an optimum balance between learning and productive creativity. This is what Steven Covey calls P/PC ratio (i.e. the ratio of effort put into production as opposed to developing the production capacity). A simple rule of thumb is: start with allocating your time fifty-fifty to learning and creativity. Gradually, you will see where the bottlenecks develop and you can change your allocation (if you use SuperMemo 2004, Tools : Plan can help you stick to the chosen proportion). Each time you swing away from the optimum, your optimum output will be diminished. Your genius cannot be like a pink Cadillac in a glass showcase. Neither can you neglect developing genius while pursuing your goals
  14. Ambition, motivation, energy and persistence: the internal drive and the rage to master are the precondition of a true genius. Only these will make it possible to build extensive expertise and skills. The bad news is that those factors are strongly genetic. The good news is that you are probably already sufficiently endowed: after all you arrived that far digging into this lengthy article. Even the mere fact that you got down to reading is a big plus. See: Personality factor
  15. Balance focus and generality - One one hand, this checklist asks you to specialize in a narrow area in which you can become number one in the world. On the other, it asks you to never neglect wide multi-disciplinary learning. Naturally you need to balance the two, and its all intermediary forms. Again, you can try to cut your learning time in half and spend half of your time of specialist knowledge and half on general learning. Then you can make further subdivisions and optimize time allocation for individual subjects, sub-subjects and sub-sub-subjects. By far the best way to effectively prioritize your learning is to use incremental reading. Each time you discover painful gaps in knowledge, you can toss in more material to incremental reading. Incremental reading puts no limit on how much material you can import into the learning process and it makes it possible to spend only as much time on learning as you can afford. You cannot overload incremental reading. If you add more biology, all other subjects will proportionally be compressed in priority. This also makes sure that you do not break down under a load of temporary fad. Whatever subjects declines in priority, it can be rescheduled (i.e. reduced in priority) or deleted. Reprioritization is actually done as you go with learning. In incremental reading, you nearly do not need to allocate time for planning the learning process. Your prioritization can go concurrently with the learning process. You will not belong to those people who lose their chance for success by spreading it all too thin. Neither will you develop tunnel vision. With consciously controlled incremental reading, you will easily find an optimum balance between specialization and the big picture and all that falls in-between
  16. Life philosophy - the way you look at the world and your most basic beliefs will strongly affect your ability to develop a genius mind. Particular political affiliations or religious convictions are of lesser concern as long as these do not interfere much with points on this checklist. Your views will crystallize along the genius itself. Your reason will be your best judge. However, two factors come to my mind as worth mentioning in this context. They both can be likened to always seeing the glass half-full:
    • measure the day: measure your progress by your daily effort and not the distance remaining to the ultimate goal. Only with this paradoxical approach will you be able to follow the optimum trajectory. For one, today's effort is more tangible than the tiny difference a day often makes on your road. Productivity is the most satisfying feeling that will drive you to your greatest heights. Sensing productivity may be the most important positive emotion of a creative mind. As long as you derive your primary satisfaction from a perfect execution of your plans that lead to the big goal, your motivation will remain high and trajectory correct. Occasionally, your genius may end up unfulfilled as it was with Charles Babbage's differential machine or Ted Nelson's Xanadu. But this is no excuse for not trying
    • forget about money: if you follow the money trail, you will in part optimize against creativity! Money-oriented optimization, at least in today's world, will prevent you from developing a clear creative focus. Very few true geniuses were motivated by money. Most were motivated by utilitarian goals or for simply being the best in their field. Of geniuses listed in this article, none were motivated by money (as for Gutenberg, we know too little to judge). You need to bend your creativity down to earth only as much as to ensure this checklist is left untouched (esp. in points related to health, stress, sleep and time for creative effort). For comfort you should keep in mind that Bill Gates'es of the future will be recruited from the creative elite. All nations work in concert to develop planetary mechanisms for rewarding geniuses for their invaluable effort. Genius's sole job and responsibility is to create and contribute value
  17. Incremental reading: incremental reading is a new idea you may have never heard of. It makes it possible to read thousands articles at the same time (see: Incremental reading). I started using incremental reading only 1.5 years ago. However, it has already become the key component of my daily schedule, and I wholeheartedly recommend it to all creative people. For a thorough description of incremental reading see: Devouring knowledge. It may take you up to a month to learn the most important skills of incremental reading but the benefits are immense:
    • dramatically increasing the speed of learning
    • optimizing the structure of knowledge in your mind in terms of coherence, integrity and representation
    • enhancing creativity by association of ideas (see also: Ideafisher)
    • maximizing memory consolidation while you focus on knowledge representation
    • prioritizing the acquisition of knowledge in various fields as well as fine-tuning the balance between specialization and general knowledge
    • overcoming the boredom factor in digesting complex material
    • minimizing the stress related to information overload and making learning fun
  18. Write down new ideas: never trust your memory to keep your new ideas. Once you come up with an idea, write it down instantly. Write it down even then when it is only a hint on how to solve a problem. Write it down if you are not sure if it is correct. You cannot predict how your hint or a shadow of an idea will affect your future thinking. If the idea seems weak, so is its memory trace. Charles Babbage said: Write down the thoughts of the moment. Those that come unsought for are commonly the most valuable. Graham Bell kept meticulous notes of his ideas that collectively could help Bell break the Edison's patent record. Botvinnik kept meticulous notes of his chess game ideas and encouraged his students to follow the same practice. Bohr's office had a wall with narrow drawer in which he would keep multiple manuscripts in various stages of preparation for publication. He would not hurry the creative process, but would always want to preserve the current state of thinking. Today, the best way to follow Bell and Bohr is to write down nuggets of ideas straight into the incremental reading process. Once you write down an idea, describe all associations of the moment. Gradually, in the incremental review process, you will reanalyze individual pieces, build upon them, consolidate, enhance with new knowledge, etc. In the process of incremental reading, add new ideas to topics that sparked them. This will also help you understand the impact of associational thinking and incremental reading on creativity
  19. Brainstorming: discuss great ideas with your colleagues: in a group or in relaxed one-to-one encounters. Do it in a park or by the lakeside. Avoid distracting or stressful surroundings such as offices, crowded places, etc. Learn brainstorming techniques. You will find lots of materials on the net or at Amazon.com
  20. Time-management: learn time-management techniques to maximize the efficiency with which you use your time. If you double the time spent on creative activities, you can increase your lifetime output manifold. Your efficiency may not double due to the fatigue factor, but the results of creative output tend to cumulate, consolidate, and self-amplify in time. Tesla's AC patents were second most valuable to that of the phone and Tesla's speed here could have ensured lifetime creative security had he not sold the patents early. His early invention provided him with material for numerous ideas later in life. Creativity is a great investment that carries a huge interest that will produce a snowballing effect throughout your life. To enhance your time-management skills, start from making an exact record of your work in a couple of exemplary days. See how much times goes to waste or to low-priority activities. If you have never done such an exercise before, you are bound to be surprised with the amount of hidden potential. Time management will release that potential. Use software such as MS Outlook to scrupulously schedule and prioritize your tasks. Learn to use e-mail instead of a phone or a car. Use tasklists in SuperMemo to manage unmanageably long lists of tasks and ideas. Use Above&Beyond software to dynamically manage your schedule. Regular and repetitive schedule works best for creativity. If you can afford a repetitive schedule, Tools : Plan in SuperMemo will be of great help in optimizing the realistic allocation of time to individual activities in proportion to their priority. You will find lots of materials about time management on the net or at Amazon.com
  21. Study great people: few things are as inspiring as the lives of the greatest individuals that have walked the planet. Look for strategies that could be helpful in your own effort
  22. Study yourself: try to document how you got your best ideas in the past, and what serves your brain best. Most of all focus, you should focus on your optimum working environment, mental state, and the methodology
  23. Grow social skills: do not neglect skills needed to interact with other people! Teamwork and cooperation can produce miracles. By alienating people you may block your ideas from surfacing. Make friends, and avoid bad lot. Listen to advice but politely refuse to follow it if you disagree. Never let other people dominate your path in any other way than through a superior advice. Good people are often driven by their nose as others abuse their politeness. Learn to say "No"
  24. Slug it out: if you need to solve a hard problem, allocate many hours to the goal. For a period of time, try to forget about the whole world. Toss lots of new inspirational knowledge to incremental reading. Slug it out as much as you can, and then sleep over it. Learn, think, create, sleep, learn, think, create, sleep until the problem is solved. Remember that your memories are reorganized during sleep. This is why you will need plenty of sleep at the time of high creative effort. Most likely, on one beautiful day, you will wake up with an idea ready for consumption in your half-awoken mind. It is only the matter of choosing the right problem for your agenda. The greatest scientists and inventors had a good nose for spotting solvable problems. If the problem is solvable with present means, slugging it out in a smart way will produce a satisfactory outcome
  25. Warm family: to perpetuate genius, please provide the best and most inspiring environment to your own kids. Parental attention is highly correlated with future young man's achievements. History of the greatest minds shows that loving, caring, inspiring, and warm family was the key to developing brains that change the world (see: Edison, Darwin, Wozniak)

The shortest synthesis of the above 25 rules is expressed by the point suggesting you work on gaining highly abstract knowledge. All the above rules form criteria for decision making, and are highly abstract and highly applicable to shaping your behavior from minute to minute. These rules can be evoked dozens of times during the course of a single day: either as guidance for decision-making or implicitly as part of your schedule, automatic behavior, or ground for more precise rules of conduct. Even at this moment some of the rules could kick in. For example, if it is late in the night and are you sleepy, stop reading this article, go to sleep, and come back tomorrow. If you cannot focus on reading due to high levels of stress, try to resolve the stressful situation first, or work on stress management (e.g. go for a 30-minute jogging). If you have an important exam tomorrow that could cost you a year, invoke self-discipline rule and stick to your high-level resolutions first, etc.

In short, genius develops over years of daily remolding of your neural connections. Work hard, make it smart and be patient: Rome was not built in a day

Further reading at supermemo.com:

  • Genius FAQ
  • Modern education based on SuperMemo - this text written in 1990 as part of my Master's Thesis claims that training based on spaced repetition can enhance creativity. The controversy it sparked was among the factors for me to write the presented text
  • It's more than just memorizing - how we tend to obscure the link between knowledge and wisdom
  • No force in the world can convince me to SuperMemo! - a typical opposition to the views presented in this article

Further reading on the net:

  • The IQ paradox resolved by Dickens and Flynn - how minor genetic differences get amplified to produce major IQ differences


Goodness of knowledge

Is knowledge "good" or "neutral"? | Piotr Wozniak, October 2002
This article tries to argue that more knowledge leads statistically to more "goodness" and this holds true to most definitions of "goodness". This implies that knowledge can be a remedy against "evil" | Even if you are the most evil of all sinners, you will cross over all evil on the raft of knowledge. Bhagavad-Gita (~2-3rd century AD, Chapter 4: Knowledge)

Contents

  • Introduction - why bother about the difference between "good" and "neutral" knowledge
  • Goodness of knowledge - why knowledge should be viewed as "good"
  • One truth premise - we derive goodness of knowledge from the concept of unitary truth
  • What is good? - can we predicate on intrinsic value?
  • Systems of value - major meta-ethical approaches to determining the intrinsic value
  • Prevalence of systems of value - what do people in the street think about what is ethical?
  • Hedonism, religion, scientific axiology, knowledge and value
  • Clash of values - the conflict of ethical systems and the impact of knowledge
  • Biased knowledge - when knowledge does not help ethical reconciliation
  • Can systems of value be reconciled? - even superficial reconciliation helps counteract evil
  • Universal intrinsic value does not guarantee universal reconciliation - complexity of axiology
  • Conclusion: knowledge and the sense of life
  • Summary

Introduction

Even though I am no philosopher or religious scholar, I feel compelled to address the issue of "goodness of knowledge". My whole professional life has been spent on looking for ways towards faster and better learning. However, I heard some voices that better learning does not necessarily lead to more good or less evil. Exemplary opinions that sparked this article are: "If you help a terrorist learn faster, it will lead to more death and destruction" or "Your SuperMemo learning method only accelerates the rat race by raising the bar for students who are already on the verge of a breakdown". Comrade Joseph Stalin insisted: "Education is a weapon, whose effect depends on who holds it in his hands and at whom it is aimed".

Naturally, it is true that learning can lead to better weapons of mass destruction. It is also true that methods of accelerated learning will also accelerate the negative aspects of the race for doing more in less time. It is true that education may become indoctrination. However, in this article I would like to demonstrate that knowledge is "statistically good".

Many people believe knowledge is neutral. Its goodness or badness is determined by the way it is used. The "neutral" view of knowledge, however, does not emphasize the important fact that the more we know the more likely we are to act and do good. In other words, knowledge can be used for both good and evil, however, if we employ the tools of statistics or probability we will easily show that knowledge is overwhelmingly "good".

Goodness of knowledge

My claim that knowledge is good originates from this simple five-step reasoning:

  1. there is one truth
  2. knowledge helps reveal the truth
  3. the truth about goodness is no different than other truths; i.e. with more knowledge we are more likely to agree what is true and what is good
  4. knowledge must therefore act as a universal unifier of value systems across all philosophical and religious systems
  5. knowledge is thus increasing the chances we will act "good" to the best of our understanding of what "good" is

Naturally, without a formal proof, the above thinking will easily be undermined by a misconceived use of Gödel's proof, contradictory quotes from the scriptures, arguments of relativistic goodness, Moore's open question, non-cognitivistic theories of value, etc. Some people abhor globalization and homogenization of the mankind; however, the convergence of educated minds towards the only truth, including the truth about value, is inevitable (as shown formally by information theory). This convergence is a welcome way of minimizing social and national conflict. Reconciliation of the systems of value is good news for democracy and helps overcome its weaknesses. By getting into more explanations and examples, I run the risk of being compared to Hitler, Satan, Stalin or Osama. That risk comes along the sensitive nature of the subject where views differ drastically, and minor nuances of terminology lead to major outbursts of adrenaline. Philosophy of ethics is like political philosophy. For one person, communism is "murder everywhere always", and for another is the highest ideal of utilitarian attitude. One can see communism as an immoral way of the inept living off the competent. Another one can see it as the brain-like central control system optimizing redistribution of resources using the same criteria as the human body: more for those organs that need it more. When they hear the word "communism", some people visualize dead corpses of the Stalinist regime, others see their own family where parents and kids all share and work for the common good. In this short text, I can only hope to convey my thinking without ever convincing those who take a hard-line opposite skeptical view. Below I will elaborate in some detail on the concept of one truth, one goodness, and the convergence of the systems of values.

One truth premise

Instinctively we go through life by the premise that there is only one truth. If we see an elephant and someone else denies it, we assume he or she is confused, misinformed, or lying. The one truth premise is wired into the inductive powers of our neural networks who daily generalize experience and build a consistent model of the surrounding world. From birth, we build a set of theorems about the reality deriving it all from the hard-wired neural axiom that what we get on the input of our senses is more or less true. Naturally our model of reality can be false if our correct input axiom is false. Here are some examples where "our reality" might appear to be a "false reality":

  • we wake up one day to discover that "our reality" is just a dream and the "real reality" is based on different physics or different logic or ... things we cannot even imagine within our reality
  • our reality is being simulated on the computer that lives in another reality (sort of scenario taken from the movie "Matrix")
  • our brain is suspended in the vat with artificially controlled input that provides false sensory impressions

Whatever the true reality is, we have currently no way of escaping the present one. In other words, we have no choice but accept the correct input axiom and live as if our reality model was the correct one.

"Our reality" presents itself as roughly the same reality to all of us. In other words, we (rational) all believe we live on the planet Earth that makes part of the Solar System in Milky Way. We are made of organs, tissues and cells. We feel and reason similarly. We preponderantly use the same rules of logic. Our logic tells us that if the Earth is closer to the Sun than Mars then the Earth cannot, at the same time, be further from the Sun. One correctly formulated statement on truth cannot be true and false at the same time. Liar's paradox is not "correctly formulated" and hence proves nothing against one truth premise. "This sentence cannot be proven correct" is self-referential and does not contribute to the set of true theorems about reality. "This sweater is red" might appear true or false if we consider daltonism or a simple matter of taste, however, the true spectrum of light reflected by the sweater can be measured. It is the spectrum that makes the truth not the perception of redness.

If you disagree with one truth principle, you may now stop reading. The rest of reasoning in this article is based on the inescapable premise that we all live in the same reality where things cannot be true and false at the same time. We are able to acquire knowledge through our senses and predicate on the truth using the acquired knowledge.

In terms of hermeneutics or algorithmic information theory, we are looking for reducing the distance between the two bodies of knowledge that might exist in the mind of two different people, social groups or philosophical systems. In plain language, we are looking for contradictions and logical basis of contradictory statements. For example, Jews and Muslims are forbidden to eat pork (i.e. the flesh of the filthiest animal). Christians on the other hand enjoy eating pork (with not so good an outcome to their coronal arteries). It is easy to see that rationally carried pork debate will sooner or later be reduced down to the scriptures where the core contradiction must be found. Naturally, the debate will often rage as to which books or their translations make the word of God or even the ultimate word of God. Then a quote from Septuagint : Leviticus : Chapter 11 may surface and a Christian may question his or her own dietary habits.

In other words, resolving hermeneutic debates will never be easy, but formally speaking, it is always possible. It is only the question of the debate discipline and time allocated. Incidentally, here comes the learning imperative: you cannot predicate on superiority of your own religion or philosophy without understanding the position of the others.

Most people agree with the one truth concept; however, they often see one truth from quite a special angle:

  • One Truth in Thomas Aquinas, Summa Theologica (13th century)
  • Truth is One - One Supreme Reality website

What is good?

Interpretation of what is good and what is bad depends on an individual. Some people believe GMOs are a threat to biological survival of the planet, others see it as a way of eliminating poverty. Genetic engineering will then be perceived as good or as evil depending on the point of view. However, we can extract some common underlying values. Human life and welfare are the core priority for a vast majority of both opponents and supporters of transgenics. The divide is bridgeable with knowledge via education and communication. However, humans also often differ as far as their core beliefs are concerned. Although well-established core beliefs are rarely subject to negotiation, they are also based on knowledge and experience. Here too, differences and contradictions can be alleviated by knowledge and communication. Even if an individual is impervious to arguments against his or her beliefs, the same beliefs may be molded over generations and incorporate influences from other belief systems.

It is helpful here to differentiate between instrumental good and intrinsic good. Instrumental good is a good that serves another good (e.g. learning chemistry is good as far as it helps pass exams to the university). Intrinsic good is a good that is good on its own without serving as a way towards another good. Depending on the belief system intrinsic good may be undefined, elected axiomatically, or elected on the basis of faith. Examples of intrinsic good in various belief systems: God, love, nirvana, human life, pleasure, reaching the paradise, economic growth, etc. (for more about the instrumental-intrinsic value distinction and an easy-to-read introduction to the value theory see: Value theory).

It does not take long to realize that there is no scientific method or instrument that can measure or certify intrinsic value. Recent stem cell research plans of Dr Ian Wilmut (father of Dolly the sheep) have been attacked on ethical grounds. However, where there is no consensus on intrinsic value, there is no definition of what is really ethical and what is not. Wilmut's opponents have to resort to emotions saying: "these are Dr Mengele experiments", "this is Frankenstein science", "Wilmut resorts to cannibalism" or simply "this is wrong". Dr Wilmut can strike back with emotional depiction of someone suffering from a heart or Parkinson's disease. He can then add that banning his work "is wrong". Only democratic, legislative and/or judicial mechanism can resolve the deadlock on "preponderance of ethical intuition". It is not possible to resolve the difference of opinion in a methodical manner.

The purpose of life and the question of value occupied philosophers for centuries without much progress in finding scientifically valid and non-circular definition of intrinsic good. The distinction between intrinsic and instrumental good certifiably dates back to Aristotle (see: Nicomachean Ethics). It forms the basis of David Hume's insistence that we can study "what is", but not "what should be". It is analogous to Kantian hypothetical and categorical imperative. This distinction is as old as human self-awareness. After all, we all must ask a question about the ultimate purpose of our existence.

Systems of value

As soon as humans became capable of self-analysis, they must have wondered what is the ultimate purpose of their daily pursuits. Over millennia, three major systems of value developed. Each provides its own answer to the question of what makes the intrinsic value. I would like to go through these systems of value and see if knowledge promotes goodness within each system. Later we will also try to see if knowledge helps unify the concept of goodness between each of these systems.

The three major systems of value:

  • hedonism - life should aim at maximizing happiness and minimizing pain. Hedonism is the original system of value imprinted in our brains by the evolution
  • religion - the intrinsic values revolve around the divinity and God. Religion is a way of escaping the evolutionary constraint on the system of value (as in hedonism) by using reason and faith
  • scientific axiology - intrinsic values should be determined via reason and philosophical methodology. Scientific axiology attempts to figure out the purpose of life solely via the scientific method

It is easy to show formally that these three classes cover all systems of value. We can either accept drives begotten by the evolution or reject them as an invalid guidance of conduct. This distinction is as old as the contraposition of Epicurus' ethic of pleasure and the Stoic's ethic of duty. Once we elect to use the reasoning capacity of the brain to look for goals, we can either accept faith, intuition, and revelation, or exclude them as scientifically invalid. In other words, we can only follow our natural instincts (hedonism), use faith and reason (religion) or resort solely to scientific method (scientific axiology). There are no other options. Note that the terms used above need to be stretched to provide this all-encompassing quality. Hedonism may need to, paradoxically, include a sadomasochist who inflicts pain on himself or an altruist who greatly enjoys making others happy. Religion may need to extend beyond the usual understanding of the word and embrace spiritual philosophies, intuitionism (goodness defined through "moral intuition"), and the like. Even though Louis Cassels claims that everyone is religious and has some hypothesis of God, his concept of religion would roughly correspond to the presented term of the system of value. This choice of words would avoid labeling confirmed atheists as being religious. Scientific axiology is my favored term for a conglomerate of a number of non-metaphysical ethical theories that pepper centuries of philosophy books, where the same concept often crops up under different names in different epochs over and over again.

Although the conceptual division between the three value systems is rather crisp, we all make up a conglomerate of ethical beliefs that make it hard to pigeonhole anyone into a single category:

Hedonism is based on the oldest and the most natural system of value. It is as old as the nervous system in most primitive multicellular organisms which date back several hundred million years ago. A dog does not ponder the meaning of life, it enjoys it; from low level fun of eating and copulation to chasing a ball or being stroked by "the master". Humans, as all animals, tend to behave along the program imprinted in their brain. This program is based on reward and punishment. Behaviors that served the survival of the species were usually reinforced through the reward system. Today, representatives of all systems of value are subject to the same reward and punishment mechanism in their brain. We (healthy) all are able to experience satisfaction of a good meal or good sleep. We all fear painful injury. Even the truest God-fearing believer will experience temptations of the flesh. Even the most methodical philosopher will scale down her mental soaring when deprived of food and water for long enough. In other words, hedonistic system of value will introduce a degree of interference even among those who scoff the pursuit of pleasure. Our brain reward centers make this world go around. When they fail, we may resort to suicide. Whatever the power of the ethical mind, when in doubt or in a moment of weakness, hedonistic impulse makes individuals go on with their lives. Mother Teresa included.

Religion was the next stage of the development of value systems. Religious beliefs are as old as the human civilization. We might even claim that the birth of humanity dates to the establishment of the first religious explanation of human existence and purpose. Religion provided guidance and comfort to millions for millennia. Some 90-96% of people walking the planet today admit to being religious, worshiping or acknowledging one or more gods. In reality, we should rather admit that the vast majority of human population today represents sort of religious hedonism. Religiously hedonistic people claim to be religious but frequently deviate from their elected system of values to satisfy their needs, dreams and desires.

Scientific axiology is the youngest approach to determining value. The term scientific axiology or formal axiology is best defined as used by Robert S. Hartman. In this article, the term scientific axiology is used in the widest sense as the scientific attempt to predicate on value. As such, scientific axiology cannot be older that the scientific method itself. Nyaya school, Aristotle, Aquinas, Descartes, Galileo, Leibniz, Pascal, Kant, and countless others made the best use of their reason and knowledge to look for intrinsic value. Aquinas's attempt to reconcile religion with Aristotelian logic might be seen as a vigorous pursuit of scientific axiology limited by the scientific methodology available at his time. Descartes's amazement with the mind and his deductive proof of the existence of a benevolent God also fall into this category (even though his reasoning might proceed along quite different lines had he been informed about the role of the brain and the amazing detail of neuronal structure and function that we uncovered some three centuries later). Scientific axiology overlaps with he concept of consequentialism in which one should do action A iff A maximizes good. An effort to prove the existence of God with the help of science also overlaps with this category. Although scoffed at by atheists (see: "Unbeautiful mind"), Dr Polkinhorne's reasoning is a recent example: Religion in the Age of Science

Prevalence of systems of value

In today's world, a vast majority of individuals, independent of what they claim or even believe, follow the essentially hedonistic system of value. This system of value incorporates elements of religion (e.g. in tempering desires of the flesh) and pure game theoretical reasoning (e.g. where being nice pays better than being nasty).

A truly religious system of value is reserved to a small proportion of the religious elite. Far smaller than what statistics on the prevalence of religious beliefs show. The reason is very simple, religious system of value requires extensive knowledge and dedication that are able to override the powerful drives imprinted in the brain. If we could construct Religious IQ for the population to reflect the individual's predisposition and ability to faithfully follow a system of value based on religion, we might discover that people with rIQ below 120-130 are actually better pigeonholed as hedonists, and to reach the heights of John Paul II one would need an rIQ of well above 200-220.

Scientific axiology is probably the least popular overall. People who reject God and claim to use pure reason to guide their actions are in vast majority strongly influenced by the hedonistic system of value. The group of hedonists who claim pure reason motivations still includes many brilliant individuals who laid the foundation for today's civilization. This comes from the fact that hedonistic reasoning can be driven to quite sophisticated levels where the highest gratification comes from the top level of Maslow's hierarchy of needs: self-actualization. As science does not provide tools for measuring intrinsic value, many people believe that it is impossible to strictly follow scientific axiology without falling into contradiction or losing our "humanity". This is why scientific axiology is so little known or understood.

One of my favorite questions in getting to know people is "What is your ultimate goal? What is the purpose of human life?". From my non-scientific survey I come to believe that the distribution of the systems of value is roughly as follows: pure hedonists (30-60%), religious hedonists (40%-70%), truly religious people (1-5%), and followers of scientific axiology (less than 1%). I need to insist again that we are all a conglomeration of belief and value systems and cannot be easily pigeonholed into a single category.

Let us now see how knowledge affects goodness in each of the categories of value systems.

Hedonism and knowledge

Knowledge is able to make us less happy. A sated dog taking a nap may be happier than a sated human aware of the brevity of life. Some hedonist argue that a return to nature would make humans most happy (see: Primitivism for a comprehensive example). Return to nature would expose humans to deadly diseases and vagaries of nature, but we might remains blissfully unaware of the dangers, relish the beauty of the natural world, and experience more joy until death or disease struck. However, humans will also naturally tend to look for remedies against disease, for better tools, for better hunting methods, etc. Global trends work against the primitivists or neo-luddites. Someone noticed "You can't have a violin without civilization". It seems that the mankind leaves a hedonist little choice but to make the best use of knowledge to maximize pleasure and minimize pain, while adapting to the inevitable goldrush of progress. Today, illiteracy and poverty are strongly correlated with unhappiness. Unless the present trends of development are reverted, knowledge will play an increasingly important role in making us happy. Very few hedonists will intentionally want to dumb themselves down for the sake of a blind bliss. Many will pursue happiness without a major effort to improve their intellectual strengths. However, a sophisticated hedonist will seek a sophisticated and lasting state of happiness: eudaimonia. The happiest hedonist today is the one that is able to transcend lower level needs and find happiness in self-actualization, and contributing to the happiness of others. Statistically, knowledge should help a hedonist achieve happiness.

Religion and knowledge

Mythology, religion, and science come all from the same source: humans looking for answers. There isn't much methodological difference between the religious distinction of jiva and ajiva in Jainism, or Hippocratic humors: bile, phlegm, and sanguine. When Aristotle groped in darkness trying to define the soul, he was actually writing about life. He was not equipped with today's knowledge nor methodology. His explanations might seem metaphysical from today's perspective, but he was as methodical and precise in his thought as his contemporary means.

At times religion stood at odds with science and knowledge. Many deeply religious people refute selected facts of science. For example, knowledge of evolution is considered by many as "just a theory". Many see evolution stand in direct conflict with the scriptures. They believe that teaching evolution drives people away from God. To a degree this is true: awareness of evolution is able to undermine religious feelings in some cases. However, the same people will still consider learning and knowledge as paths towards higher wisdom. In other words, they do not consider knowledge as bad. All is bad is teaching knowledge which is "false". Not surprisingly, followers of one religion will often consider other religions as "false religions". Yet they will rarely deny the value and importance of learning. All major religions imply a learning imperative. This imperative is also an important factor of religion's survival through self-perpetuation. It may largely begin with studying the scriptures; however, knowledge and wisdom are a common denominator of all major religions. Religions survive by answering pressures, reconciling contradictions, and improving their "goodness". Pope John Paul II's call for the reversal of the condemnation of Galileo (a devout Catholic himself) is just one of many recent examples. As is the case with hedonism, many religious people make a minimum effort to enhance their religious and general knowledge. However, a true believer will always look for ways to better understand God, humanity and the surrounding universe. From the religious perspective, the search for the truth is among the highest objectives.

Scientific axiology and knowledge

By definition, scientific axiology determines value through knowledge. As such, it is inherently knowledge-friendly. Scientific axiology can be traced under different names to innumerous philosophers and thinkers. For that reason, some reshuffle of terminology may be unavoidable. Some predecessors of scientific axiology can be found in ancient philosophies rooted in anti-clerical sentiment (e.g. nastika school of Carvaka from ancient India, around 6 century BC, was a reaction against brahmins advancing their own livelihood). However, these all predominantly gravitated towards using reason to justify hedonism (e.g. in Carvaka: "if there are no unseen forces and world is without a cause, we can only live by the inherent nature of things). The effort to explain value with reason intensified from century to century, and culminated in the 20th century with the crystallization of the formal approach to axiology.

When science is applied to determining intrinsic value, the following statements are possible as the outcome: (1) "Intrinsic value cannot be determined", (2) "Value can be derived only from value axioms", or (3) "We do not know if we will ever be able to determine intrinsic value". Here are the corresponding branches of scientific axiology (the choice of terminology is for the sake of clarity even though you will find other name tags elsewhere):

  • existential - intrinsic value cannot be determined; as a result, nothing has a true value
  • dogmatic - intrinsic value is assumed axiomatically for the purpose of building a system of value (in the same way as parallel-postulate axiom can be used to build Euclidean geometry). Innumerous axioms have been proposed. For example: pleasure, human life, life in general, progress, knowledge, evolution, existence, consciousness, beauty, moral intuition, cooperation, etc. Pluralistic approaches allow of more than one axiomatically assumed intrinsic value
  • agnostic (non-cognitivistic, skeptic) - intrinsic value cannot be determined with presently available tools or methods; however, due to human ignorance, the truth about value might perhaps be disclosed at later time

At another angle, dogmatic and agnostic scientific axiology will distinguish between these two forms of intrinsic value:

  • relative - intrinsic values may depend on the valuer (e.g. human being, conscious being, decider automaton, etc.). For example, value subjectivism claims that good is what you desire. Clearly, what is good for me, may be bad for you. If reaching a paradise was to be proven an intrinsic value, it would be a relative intrinsic value as all human beings or their souls are supposed to reach the paradise independent of others
  • absolute - intrinsic values are absolute. They do not depend on the valuer. For example, if God is proven to be intrinsic value, his value is not supposed to depend on anyone's judgment

Dogmatic system of value may arbitrarily choose relative or absolute intrinsic value (e.g. Ayn Rand's objectivism elects axiomatic relative intrinsic value: own life). Axiological agnostics will claim that nothing is known about intrinsic values. As such, intrinsic value cannot be determined as to be absolute or relative.

The effect of knowledge on various branches of formal axiology will be different:

Existential thinking may be the most impervious to knowledge. If nothing has value, knowledge does not make value either. At the same time, existential thinking might be most flexible and tolerant. If nothing has value, it does not matter whose system value comes top. Nothing matters. Existential thinking is logically equivalent to ethical non-naturalism. G. E. Moore (1873-1958; no relationship to the father of Moore's Law) in Principia Ethica claims that the good cannot be defined due to the open question problem (i.e. the problem of infinite derivation of instrumental values in the absence of intrinsic value)

Dogmatic approach to electing intrinsic value will be affected by knowledge. After all, dogmatic values will always be questioned as to why they have been elected axiomatically, and not others. Formally, assuming axiomatically that pleasure is of intrinsic value would reduce dogmatic axiology to hedonistic approach, while assuming that God makes the absolute value will equate axiology with a religion.

Agnostic approach seems most knowledge-friendly. Probabilistically, the search for new knowledge is valuable. This comes from the fact that it cannot be stated with certainty that intrinsic value does not exist. Formally, value can be defined with the help of the concept of infinitely knowledgeable machine. Such an automaton should consistently show preference for selected choices if these choices were to be determined as more valuable than others. From decision theory we know that the value of choice equals the value of the goal multiplied by the probability of achieving the goal. Consequently, the choice of searching for value is always tagged with value greater than zero. Probability of achieving the goal will never be zero (as nothing in science is certain). Achieving value, by definition is valuable (as negative values can easily be normalized). In agnostic axiology, value is determined by the search for value and the seemingly perpetual inability to certify that value does not exist. In simple terms, if we do not know what makes value, the only thing we can do is to do our best to find out.

In scientific axiology, knowledge is a direct path towards understanding goodness and acting good (even though we may not be able to determine intrinsic value today). In the light of scientific axiology, knowledge is good.

Clash of values

Whatever their target goals, humans prevalently benefit through cooperation and lose out on conflict. This simple truth can be demonstrated mathematically with the tools of game theory. For anyone in doubt, Robert Wright in his book "Nonzero: The Logic of Human Destiny" provides an excellent collection of examples that illustrate the math of cooperation, and its impact on the cultural evolution of societies. In game theoretical terms, information exchange is vital for maximizing total sum of wins in nozero-sum games. In simple terms, knowledge and communication help cooperation and maximize profits for all participating parties.

Accomplishing any goal requires a struggle with the second law of thermodynamics. Even destructive goals require constructive activities. Terrorists who planned WTC destruction had to precede their attack with meticulous planning that required communication, organization, cooperation, etc. The struggle against entropy requires compliance with the rules of game theory. Even mafia people stick to some rules of conduct or noble principles brotherhood and loyalty that ensure the coherence and survivability of mafia structure. Religions die out if they do not provide efficient tools for resolving conflict. For that reason major worldwide religions are preponderantly peaceful and love-promoting. Where they seem brutal, they do it for a higher level order (e.g. chopping off limbs to weed the population of evil element). They evoke military tones only for the sake of defending the religion itself, human life, community, etc. Naturally, history shows that those noble goals and exceptions can be perverted and turned into destructive forces. Destructive philosophies die out as do evil leaders that do not efficiently provide for the good of people (or at least the interests of the majority).

The logic of cooperation will therefore be the preponderant theme in showing that knowledge helps reconcile differing philosophies. Earlier I tried to show that hedonists, religious people and proponents of scientific axiology should overwhelmingly consider gaining knowledge as beneficial for themselves. However, will they also consider knowledge to be beneficial if it was to be gained by other representatives of the same value system? Is it good for a hedonist if his hedonist neighbor builds up knowledge? More interesting, how do we look at knowledge enhancing cognitive powers of those whose values differ? Is it good for a devout Muslim, if his atheistic neighbor grows more knowledgeable? For analytical scrupulousness, for n categories of value systems, we would need to consider n!/(n-2)!=n*(n-1) pair permutations. For that reasons, I will limit the considerations to the three major value systems mentioned above that will leave us with manageable number of six pairs to consider. Of necessity, we can only use prose and very general statements that will not be sufficient to convince those who take a hard line on irreconcilability of value systems:

hedonists vs. hedonists: At the lowest level, their goals are in conflict with each other as every man caters for himself. If we draw a distinction between pleasure and happiness to avoid the pejorative association with the lowly desires, we will delineate the sophisticated form of hedonism: eudaimonism. In more sophisticated hedonism, goals will be easier to reconcile: happiness from serving family, community, nation, humanity, etc. Informed hedonist will use game theory to maximize happiness and goodness available in the system thus maximizing probability of his own happiness (see: Game theory of marriage vows). Knowledge serves reconciliation of hedonistic goals.

world religions against each other: Many believers and scholars claim that there is no contradiction between religion and science. Others attempt to synthesize world religions, sciences and philosophy (see: Theosophy vs. theosophy). Unfortunately, many true believers adamantly reject syncretism. They insist "There is no divinity other than God and Muhammad is his prophet" or "I believe in Jesus Christ, the only son of God" or "Hear, O Israel, the Lord our God, the Lord is One". They claim that these statements cannot be reconciled. However, it does not take long to see that inter-faith communication must look for ways to reconcile these truths. Either Jesus is God or a prophet or a false prophet or a mere mortal or a myth. No Christian doubts which is true. Yet representatives of other faiths will differ on that point. Could truths be relative to the place of birth (which is a major factor determining the denomination)? Religions avoid syncretism to avoid dilution which can threaten their survival in the long run. Would Jews walk this planet if they were syncretic in Babylonian captivity? Religions develop mechanisms that prevent syncretic dilution. This prevention is a key player in religious darwinism. Religious darwinism, a term considered offensive by some people, is a study of the birth, evolution and extinction of religious beliefs (as such it should not to be confused with a religiously promoted darwinism or with the law: "only the righteous survive"). Anti-syncretic mechanisms include strongly memetic commandments and creeds, scriptures "written in the stone", compliance with game theory, obligatory evangelism, gospel missionaries, covert proselytizing, church planting, prohibiting inter-faith marriages or sexual relations, the concept of blasphemy, censorship (Index librorum prohibitorum), severe punishment for renunciation, etc. Religious darwinism which looks at religions as memes or ideaviruses demonstrates that due to immutable characteristics of human social and cultural life, there are multiple common denominators across world's major religions. These characteristics are shaped by game theoretical principles of maximizing psychological welfare gain to the followers. The surviving religions with worldwide appeal are predominantly good from each other's perspective; at least as considered by open-minded religious scholars. This does not prevent Crusades, Hindus and Muslims slaughtering each other; Jews and Palestinians in a headlock of hate, or Franklin Graham declaring Islam a "wicked religion" (let alone Rev. Jerry Falwell's unprintable comments that resulted in riots and loss of life). However, the more enlightened and educated a believer, the more tolerance (s)he will show for other faiths. For example, compare Franklin Graham comments to the ecumenical bridge-building philosophy of his father Billy Graham. Knowledge helps. Scriptures might call for aggressive evangelism and militant opposition to syncretism, but knowledge helps to ease the differences and dilute potential conflict.

philosophers against each other: Followers of scientific axiology under its countless names are probably the most confused and the most confusing group. Willy-nilly, they have to acknowledge humanity's limitless ignorance in the area of purely rational interpretation of the purpose and the value. They are not able to measure, detect or rationally postulate intrinsic value. In those circumstances, they are more likely to join forces with other people to seek enlightenment. This may come for psychological reasons: a lonely philosopher might use community as an anti-dote to depressive awareness that sense and value are so elusive. This may also come for purely rational reasons: together we are more likely to reach the truth. Philosophers will overwhelmingly elect knowledge to be good.

hedonism vs. religion: seemingly these two are irreconcilable. Basically hedonist serves himself and a religious person serves God. However, most hedonists and believers are far from being of a pure breed. Hedonists are often altruistic. Believers often bend the religious dogma to fit their own goals and desires. Knowledge makes hedonists less egoistic. Knowledge makes believers more tolerant. Knowledge helps them stomach one another. It brings them closer. It promotes goodness.

hedonism vs. science: all humans are born hedonists and develop a degree of scientific outlook on life via education (even though at times pitifully scant). Knowledge brings a hedonist to a higher levels of awareness. Even though scientists often seem to be stronger on expertise than on morals, knowledge helps them understand the threats of doing science without looking for its sociological implications. Knowledge also helps the rest of the world understand science and its goals. Communication helps reconcile differences between hedonists and science

religion vs. scientific axiology: religion is a form of scientific axiology from the times where humans knew little of the scientific method. It was the first attempt of predicating on value. Religion has often been accused of stifling science, but its roots are in the learning imperative. The first words the angel Jabril said to prophet Muhammad was "Iqra" (~read). This command contributed to five centuries of Islamic excellence in science. Religious scholars often look for ways of reconciling scriptures with experimental and theoretical research. Beginning with Renaissance, science largely assumed life of its own. With time gone by, it became more and more skeptical of divine claims. However, religion follows science and adopts its teaching to new findings about the universe. What seemed a heresy at first, became a component of religious teaching centuries later. Reconciliation between religion and science is awfully slow. It rarely takes a generation. It often takes centuries. The rift seems to be growing at times of scientific acceleration. Genetic engineering, for example, is univocally condemned by major religions and spiritual philosophies. For a Buddhist or a Jain, it contradicts Ahimsa (not harming), and is interpreted by some as impacting transcendence (potential for spiritual wisdom and liberation). For a monotheist, genetic engineering is plain playing God. For no direct religious reason, an African government can see GM-food aid as an obstacle on their country's way to fastidious European agricultural markets (see: Better dead than GM-fed). Yet positions tend to soften in cases where particular GM applications greatly benefit humanity. For example, where GMOs act as a blessing against poverty and famine. Many religious scholars claim that the rift between the revelation and the reason is long gone. For those who do not agree, it is easy to note that religion calls for love. If love cannot be proven valuable, scientific axiology calls for game theoretical cooperation. Both call for tolerance rather than conflict. Many scientists are deeply religious. Most believers acknowledge the validity of science. Understanding each other via knowledge and communication helps the common good. Knowledge is good again.

Biased knowledge

Knowledge and communication can be biased. Three factors play the most prominent role in hampering human communication and the growth of true knowledge:

  • emotion - anger, envy, hate and other negative emotions will introduce bias in human thinking. Middle East conflict would have long been resolved had it not been marred in hate and religious intransigence on both sides. Imagine Ariel Sharon lovingly sponsoring schools for young Palestinians, and Hamas getting involved in a campaign to enlighten the Israeli on the virtues of Islam. Sounds like not this world? As much as negative emotions lead to blindness, positive emotions can also block our progress towards the truth and reconciliation. Even the greatest scientist can get carried away by the enthusiasm of a discovery. He can be blinded to the shortcomings of his finding. Love can entirely distort our image of loved people. Mothers are hormonally predisposed to see their kids in the best light; not the truest light. They can also easily overestimate the risks to child's safety. Humans are emotional animals and as such are predisposed to distort the truth. No bright mind should spew disregard and try to humiliate those who are less enlightened. That approach can only backfire in the long run (unless it is used to sell books or for self-promotion). Vicious attack on anyone's philosophy will generate adrenaline, anger and result in more backwardness. I wholeheartedly support the evolutionary science but do not think that scorn or hair-splitting helps. In my humble view, Atheist Web or the great minds of Bertrand Russel or Isaac Asimov err in one point: they ridicule and inflame all too often. Adrenaline is a bad advisor. It can spark a raging debate. But it does not build bridges, and it does not open minds. All it can do is to escalate emotion and generate more hot-headed amplification (see the next point)
  • amplification - we all have areas of enhanced interest. If we take part in a debate, we tend to triple our effort to find evidence that favors our view, and flinch at counter-evidence. We scrupulously memorize the pros while the cons slip the backdoor. Intense interest in a given field produces a positive feedback of amplification. The more you know, the more you know you don't know, and the more your interest develops. This is a typical lock-in that produces selective amplification. If you hear a Muslim and a Hindu debate matters of religion, in most cases one knows very little of the beliefs of the other. They may be fluent in their own scriptures or Vedas, but show total ignorance of the other side's religious philosophy. Ask a Christian if Muslims recognize Krishna as a prophet. You will likely get a blank stare. Ask a Muslim or a Hindu and you will still likely get no answer either. Or the answers will be contradictory. If you hear a Jehovah witness talk religion with a Roman Catholic, they will often throw in an offensive concept of false religion even if they recognize same scriptures. In-depth knowledge is often replaced with false stereotypes. Individual interests and bias is not the only source of amplification. We also tend to communicate extensively with members of our own inner communication circle. List servers and user groups on the Internet show how we tend to flock together and passionately amplify each other's knowledge. Moderators frequently filter not-so-nice comments from people with the opposite or unwelcome view. Amplification can easily be remedied with an open mind and readiness to listen and learn
  • genes - some emotions have a genetic background. Genes can strongly affect people's political outlook. Some genetic traits may correlate strongly with racist views, conservatism, leftist outlook, vegetarianism, etc. As such, genes can also interfere with our perception of the truth and with the shape of our system of value. For example, it is well known that we are born with certain preferences as to the choice of a sexual partner. Minor differences may gradually get amplified through environmental factors. One European male teenager may show a strong preference for blondes with blue eyes. Another one may show a taste for exotic Asian or African beauty. Through further amplification, the two may differ strongly on the point of immigration. For one, immigration dilutes the prevalence of blondes with blue eyes, and leads to a blonde genotype extinction. For the other, immigration enhances the impoverished European genetic pool with pleasant repercussions in the field of esthetics and beauty. With time, through amplification, the rift between the two individuals may grow unbridgeable. Similarly, humans show a varying sensitivity to witnessing pain inflicted on animals or other individuals. Empathy is a strongly human characteristic and is to a degree determined genetically (with factors such as the structure of the prefrontal cortex, levels of testosterone, prolactin, serotonin, etc.). Empathetic individuals are often more sensitive to pain and show lower stress tolerance. Some of us can easily stomach pain, while others flinch at the look of a frog killed on the roadside. The empathetic individuals are more likely to represent leftist causes, join animal welfare movements, become vegetarians, oppose death penalty, etc. Those less empathetic will often be better suited as CEOs, surgeons, warriors or world leaders (in politics you cannot escape painful choices and scorn). High-testosterone people will often embrace conservative causes based on the survival of the fittest. Driven to an extreme, empathetic individuals might become environmental terrorists while unempathetic ones could become serial killers. As the political scene in nearly all countries shows, the value gap between the extreme left and the extreme right is very hard to bridge. This gap is potentiated by a number of genetic differences between individuals. Although abhorred by many a nationalist or racist, global inter-breeding is nothing but good news for leveling differences of opinion that might have deep genetic roots. Naturally, there are also inherent and unbridgeable difference between the sexes. However, these pose no threat to the quest for the truth as the survival of the species relies on both genders and biology provides a very special bond between the two. We need both strong high-testosterone leaders as well as more moderate minds that make sure that adrenaline-driven emotion does not cloud the mind. Last but not least, except for pathological cases, knowledge is an excellent and efficient remedy for the bias that might be introduced by our genes

Knowledge and communication are the best tools for reconciling philosophical or political differences. Those who seek reconciliation must avoid the biasing impact of emotion and be aware of knowledge amplification.

Can systems of value be reconciled?

Thomas Hobbes (1588-1679) showed little trust for human nature: "Look at the unleashing of total war, the wholesale debasement and brutalization, the lunatic destructiveness, the piles of bodies -- you who believe men are suited to live rationally and peacefully together with a minimum of restraint, without stern and inflexible control!". Yet he felt compelled to provide a prescriptive analysis in Leviathan thus proving Robert Wright's contention that nonzero thinking is a powerful mechanism towards universal reconciliation. Hobbes rationalized moral rules using a secular argument as the means towards achieving "peaceable, social, and comfortable living" (hedonistic angle).

To show that all systems of value can lead to the best of human behavior and attitude, let's consider an example of a teacher standing in front of her class and thinking "I will do my best to help my students excel":

  • hedonist: "Seeing happy faces of my students is the most gratifying experience"
  • religious person: "Its my God-given mission to make my students excel"
  • pure-reason person: "My students must be top-quality intrinsic value contributors" (whatever the interpretation of what is intrinsically valuable)

Knowledge is the best tool for reconciling differences between systems of value. Knowledge will affect the reasoning of all teachers representing different systems of value. Education, tradition, and experience will make the hedonistic teacher focus on seeing happy faces rather than waiting for the next pay that would put more or better food on his table. Knowledge will affect a religiously inspired teacher too. Instead of focusing on observance, rituals and dogma, he will look for core moral values and taught knowledge per se. He will be armed with tolerance. He might be a creationist but will not make a young proponent of evolution feel worse or ostracized or even think "my teacher is dumb". He or she will not impose his religious beliefs on those who might belong to another denomination. He might initiate an open discussion instead.

Without complete reconciliation, representatives of different value systems can cooperate and present outwardly similar attitudes. With gradual learning and communication, they will be able to come closer to the final reconciliation as to their core values. Ultimate reconciliation on all imaginable ethical choices seems near-to impossible for their complex nature (see the next paragraph). However, human development indicates constant progress towards this elusive goal

Universal intrinsic value does not guarantee universal reconciliation

If we ever come to specifying precisely what makes the intrinsic value, we will lay a foundation for a universal ethical system of value. However, this will not end the problem with differences in moral judgments. As an example, let us consider the following rule of conduct: Do not kill. All major ethical systems come to the non-killing rule one way or another. For that reason, it can be called a nearly universal rule of conduct. However, we all know that the rule is imprecise enough to result in raging ethical debates in many societies. Most humans accept killing animals for food. Many support death penalty or war in Afghanistan. Here are some problems with the non-killing rule:

  • What forms of life are subject to the rule? Does it extend beyond humans? Does it extend beyond conscious life? How far? Depending on the underlying intrinsic value, the line is drawn at a different place. Hedonist might primary adopt non-killing for the fear of being killed himself. Or for the unpleasant feeling evoked in his mind by the death of a human or an animal. For a Hindu, killing cattle or a monkey is a cardinal sin. Dogmatic axiologist may axiomatically assume the definition of life that is subject to protection. Agnostic axiologist may see conscious life as a way towards determining intrinsic value, and see killing a human far greater a crime than killing a conscious non-human primate
  • Is self-killing permissible? Hedonist may accept suicide or euthanasia as a way to escape suffering. In extreme cases, global relief from suffering by global suicide becomes acceptable in a hedonist extreme (see negative utilitarianism). A Muslim may see a suicide bombing as a form of martyrdom in defense of holy places, religious laws, or oppressed population. A dogmatic axiologist may see self-killing as an inalienable right to self-determination. On the other hand, he may also see it as an inexcusable offence. It simply depends on the arbitrary choice of intrinsic value axioms
  • Where does the protected life begin? At formation of sex cells, at conception, at birth, or at reaching self-awareness? National abortion debates show how divisive the issue is
  • Is killing admissible as a form of punishment? Again death penalty debate shows wild differences even among people with seemingly same religious or philosophical convictions. Even if we accept killing for punishment, what kind of crime justifies death penalty? Islamic Sharia court in Nigeria may call for death as a punishment for adultery. Texas law will raise the bar for most outrageous crimes against life. European Union outlawed death penalty altogether. Even if we agree that death is a suitable penalty for a given crime, what form of death is acceptable? Merciful lethal injection, hair raising electric chair, or stoning by village peers?
  • Is killing admissible as a form of saving life? Can we kill one person to save lives of two? If not, how about saving a city? Or a continent? Or the whole mankind? Can value of Saddam Hussein's life be judged negative if he threatens others with weapons of mass destruction?

Even if we universally agree that killing is bad, we can still stand worlds apart as for moral judgments in individual cases. For one person, abortion is the trampling on the sanctity of human life while eating pork or beef is a natural course of nature. For another, killing a defenseless animal is an abominable crime while the act of abortion is seen as discarding a mass of cells devoid of self-awareness or ability to sense pain. Why does a British pork eater revolt against a Filipino eating dog meat? Why killing a dog is barbarous while killing a sad-eyed sheep is not? The bridge between the two can be drawn through meticulous analysis only if there is an agreement on the concept of intrinsic value. Still the analysis may be too complex for agreement to ever be feasible.

The complexity of ethical analysis makes seemingly incompatible conclusions come from individual systems of value. A hedonist might try to apply Bentham's felicific calculus to formalize his statements on value. A scientific axiologist may try to use Hartman Value Profile. Yet ethics is far from being a hard science even if we stand on the assumption that the intrinsic value is known. For starters, how do we quantify intrinsic value?

Let's us analyze an interesting example. Daniel Pouzzner proposed a concept of innovism. Building upon innovism, he structured a universal innovist consitution compliant with his philosophy. In our classification of the systems of value, innovism would fall under dogmatic axiology, where the underlying value axiom elects the intrinsic value in the form of progress, development, evolution, innovation, cooperation, competition, and/or creativity. So defined pluralistic axiomatic intrinsic value would certainly find many followers in the present technically-minded society. However, Pouzzner goes on to derive a complex system of philosophical assertions that will surprise those who might agree with the underlying value axiom. While it might seem world government would be the simplest way towards incorporation all of humanity in an effort to promote innovation and progress, Pouzzner opposes globalization and proposes isolation of non-innovist nations and war where "global good" (e.g. state of the environmental) is threatened. Elsewhere, Pouzzner devoutly promotes self-armament or surprisingly compares Richard Dawkins, author of "The Selfish Gene", to Hitler. Although you might believe that some forms of eugenics could be seen as progressive (e.g. genetic screening of spermatides as a form of preventing genetic diseases), Pouzzner writes: "Dawkins, with his proposal that 'we are in the unique position of being able to use our brains to work out together the kind of society in which we want to live', has simply restated the core premise of positivism - the philosophical stance responsible for the Holocaust". According to Pouzzner, Robert Wright's call to deontological altruisms leads to a terrain already "well-trod by many murderous religions".

For similar reasons, other philosophies with a seemingly related core (human life as intrinsic value, objectivism, etc.) arrive at conclusions that vegetarianism is evil, or altruism is "malevolent", or that public schools are "the worst violations of individual rights in existence", or that America goes on the same path as Nazi Germany.

In other words, even if we agree on the core intrinsic value, we might still derive countless philosophical systems based on the same core. The difference will always rest on the differences in individual knowledge (wherever emotion or genes do not result in an additional bias). Two mathematicians can start with the same set of premises and derive entirely different set of assertions by the choice of derivation as well as through error. The same refers to meta-ethics; particularly that it is far less formalized than the calculus.

Our search for universal ethical system seems like only beginning. Those examples show how far we are from a universal ethical reconciliation. Yet you will easily notice that knowledge is a remedy against the most extreme cases of departure from what we common-sensically or traditionally consider ethical.

Conclusion: knowledge and the sense of life

When staking a claim on what is valuable, we have to be aware of our tremendous ignorance in the area of value and morals. Although it has been nearly two centuries ago, what Pierre-Simon de Laplace said still holds true for axiology and science in general: What we know is not much. What we do not know is immense. That awareness should makes us spare no effort in the search for the truth. If we agree that statistically knowledge is good, we shall see no limit for further exploration.

On the way we may need to grapple with and dismiss skeptical positions such as:

  • What if the truth appears to be bad? We are supposed to determine which choices, if any, are better than others. The evaluation of the reality is irrelevant in that matter. However bad the truth, if some choices are better (more ethical), we should elect them
  • What if we are determined at the quantum level and deprived of free will? If the course of the thought is deterministic, I cannot help but write the above text, and express my beliefs as stated. We have no choice but to act as if free will existed. With today's knowledge, free will debate is irrelevant from the point of view of meta-ethics. Deterministic or not, the quest for new knowledge seems inevitable
  • If we are to be rational to decide the moral, why should we be rational in the first place? Rational means best available by decision of reason. We decide to be rational once we connect action with its consequences. We avoid burning our fingers. In other words, we want to be rational because rationality yields optimum choices. Ultimately and by definition, we want our moral choices to be rational too

Stephen Hawking in "A Brief History of Time" wrote a sentence that probably appeals to representatives of a whole spectrum of value systems: those who believe in science, those who believe in God, as well as those who simply find joy in human achievement. This ecumenical statement of value goes as follows: "If we do discover a complete theory [fundamental theory of nature], it should in time be understandable in broad principle by everyone, not just a few scientists. Then we shall all, philosophers, scientists and just ordinary people, be able to take part in the discussion of the question of why it is that we and the universe exist. If we find the answer to that, it would be the ultimate triumph of human reason, for then we would know the mind of God

Summary

  1. We have no choice but to assume that (1) our senses provide input that can be validated by modeling reality, and (2) two contradictory things cannot be true at the same time
  2. Studying the only-available reality modeled on our sensory input helps us reveal the only-available truth. That truth also includes assertions on the concept of value
  3. As long as intrinsic value cannot be determined by the scientific method, we can use the concept of probabilistic value that can validate our actions. Value of choices is then probabilistically determined by the elusive hope of determining intrinsic value in the future through a radical change of our model of reality
  4. Knowledge carries probabilistic value as a tool of predicating on the truth and value
  5. Mankind's effort to search for the truth carries probabilistic value. This value translates into the support for global progress and development in education, medicine, science, technology, philosophy, etc.
  6. Knowledge helps reconcile philosophical systems: hedonistic, religious, deontological, existential, agnostic, skeptical, etc. Knowledge helps universal ethical reconciliation
  7. The main enemy of the truth is the negative emotion: hate, anger, envy, malice, etc. The greatest friend of the truth is broad, all-encompassing, open-minded education

In short: Knowledge helps us understand each other and look for the universal theory of value


Scientific conquest of forgetful memory

Scientific conquest of the forgetful memory SuperMemo: a finalist of Software for Europe 1992
 Andrzej Horodenski, Computer World, Feb. 17, 1992
Translated and updated: January 1997
This is a translation of the first ever wide-circulation article written about the SuperMemo method. It was written by Andrzej Horodenski, Poland, and appeared in the Polish edition of Computer World on February 17, 1992. This article initiated commercial sales of SuperMemo by arousing the first cautious interest of the public. Translator's annotations are placed in square brackets

Laziness is the mother of progress. How to learn in order to get good results and not to overwork at the same time? This question pervaded the mind of Piotr Wozniak, from Adam Mickiewicz University of Poznan, who in 1982, as a student of molecular biology, commenced his research on mechanisms of memory and forgetting.

The outcome of his least of all lazy work, lasting three years, was a phenomenological model of human memory, which recovered statistical properties of the process of memory formation and forgetting. Conclusions coming from the model provided guidelines making possible to define optimum repetition scheduling that could be used to minimize learning time. Consequently, a set of learning principles was developed and named by their author as the SuperMemo method. By sticking to the principles of SuperMemo one can see an up to 50-fold increase in the speed of learning as compared with traditional methods.

Repetitio mater studiorum est - repetition is the basis of learning. True, says Piotr Wozniak joining the over 2000-year-old discussion on the learning methodology. It is not, however, unimportant in what intervals repetitions take place. The effect of memory formation is the greatest if the inter-repetition interval is as long as it is only possible. In SuperMemo, the repetition occurs at the moment when a defined proportion of the material is likely to be forgotten (10% by default)

The success in learning is determined by proper choice of intervals between repetitions. That is the basic thesis of SuperMemo.

Optimal intervals between repetitions are computed in order to satisfy two opposing criteria:

  • to maximize retention, i.e., the proportion of remembered knowledge
  • to minimize the learning time, i.e., the number of repetitions

In other words, intervals between repetitions should be long for the sake of minimizing the learning time, and short enough to make sure that the learned knowledge is not forgotten.

As it can be demonstrated, the optimized learning process may closely approach the maximum speed with which human brain can form memory traces. This can be done with the retention level determined arbitrarily by the student (usually between 90% and 99%). Thereby, using SuperMemo, the student may learn as fast as his brain makes it possible. Moreover, he or she can choose between fast and superficial as opposed to slow and in-depth learning.

To compute optimum intervals between repetitions, SuperMemo uses a sophisticated algorithm. Intervals are different for different students, for different repetition numbers, and for pieces of knowledge with different difficulty. In other words, intervals are adapted to individual learning capability of the student and the character of the mastered material.

The SuperMemo method may be used in all forms of learning from touch-typing, through playing musical instruments, through textbook learning, to performing well in intelligence tests. Knowledge or skills that are to be mastered should be formulated in the impulse-response form, i.e., usually as pairs of questions and answers. For example, when learning Esperanto:

Question: What suffix denotes a noun?
Answer: -O

Question: school
Answer: lernejo

or when learning biology:

Question: What does DNA stand for?
Answer: deoxyribonucleic acid

Pieces of knowledge, called items, should be well structured, i.e., they should comply with knowledge structuring principles formulated by the SuperMemo method (e.g., minimum information principle, univocality principle, etc.). Partition of knowledge into small pieces makes it possible to determine the difficulty of individual questions. Difficulty, expressed as the so-called A-factor, is determined on the basis of the history of repetitions of the item in question. A-factors are one of the basic elements used to determine the date of the next repetition.

An interesting and important characteristics of SuperMemo is the fact that the learning speed is practically independent of the size of the learned material. This implies, for instance, that the learning time for 100,000 items will be, more or less, 100 times longer than in the case of memorizing 1000 items. In the lifetime perspective, in to neglect the effects of aging, the student will not observe any substantial decrease of his learning power despite accumulation of repetitions from the previously learned material. In a well-structured SuperMemo database, time necessary to learn and retain a typical item is about one minute per lifetime. For retention of 95%, majority of items will be repeated no more than 10 times in the whole life.

Usually, the first repetition takes place in 1-10 days; however, as soon as after 5-6 repetitions, intervals reach the order of months and years. By means of repetition spacing, SuperMemo virtually eliminates the problem of forgetting. Although incidental lapses of memory form an inherent part of the method, all forgotten items are put back into the learning process, and the overall knowledge retention may be kept as high as 99%. It goes without saying that SuperMemo is not inherently a computer product. However, because of the bulk of computation that has to be done after each repetition, the idea of software implementation inevitably springs to mind.

First computer implementation of the method was developed in 1987. In the years 1988-1990, the optimization algorithms of SuperMemo were improved, making it possible to increase the speed of learning yet about twice.

In July 1991, SuperMemo World company was set up with the intention of making the SuperMemo method and software world-wide popular. The present owners of the company are: the author of the method, biologist and computer scientists, Piotr A. Wozniak, computer scientists Krzysztof Biedalak and Tomasz Kuehn, a physicist, Janusz Murakowski, and a mathematician, Marczello Georgiew. At present, SuperMemo World distributes SuperMemo version 2 as shareware, and versions 5 and 6 as commercial products [at the moment of last update to this text, SuperMemo World had SuperMemo 6 released as Public Domain and focused on distribution of low-end SuperMemo 7 for Windows and a hypermedia authoring tool: SuperMemo 98 for Windows].

The latest, sixth implementation of the SuperMemo program, SuperMemo 6 Professional has, for several months, been beta-tested in Poznan scientific circles. Its first success SuperMemo 6 had scored long before its first commercial copy was sold. In November 1991, the program was chosen a Polish finalist of the Software for Europe 1992 Award Competition.

In present implementations, knowledge is represented exclusively in the textual form; however, this is absolutely sufficient to obtain spectacular results in many learning subjects [SuperMemo 98 and later use hypermedia].

Practically, any information that can be represented in the question-answer form may be used in learning aided by SuperMemo. The learning speed is several times greater than when using any other traditional memorization technique.

Work with SuperMemo is straightforward. The student may use existing ready-made collections of items or he may develop his own collection. All operations related to determining dates and order of repetitions are done automatically so that the student may focus his attention on questions asked by the computer, and on assessing the quality of his responses in 0-5 grade point scale. Grades produced by the student are used in repetition spacing. The grade scale is clearly defined and, after all, indulgent self-assessment for the sake of self-satisfaction makes no sense at all.

Inquisitive individuals may use the program to trace statistical parameters of their progress. Statistical menu options used in supervising the learning process include among others:

  • forgetting curve graphs characteristic for a given student and given knowledge
  • distribution of repetitions in time (i.e., number of repetitions assigned to particular days, months and years)
  • distribution of items with respect to their difficulty [A-factor distribution]
  • approximation of optimum intervals which depend on the student, item difficulty, and repetition number
  • parameters of the learning process (total number of items in the database, number of memorized items, number of items scheduled for repetition on the present day, average difficulty of items, average interval between repetitions, average number of repetitions per item, average response time, average daily working time, average daily number of repetitions, total response time in the current learning session, proportion of remembered items, etc.)

Until now, the most popular and spectacular application of SuperMemo appears to be learning English vocabulary. SuperMemo World developed a collection containing 3000 basic words and phrases of contemporary English. The selection of material was based on the word frequency analysis of standard texts. This vocabulary is considered sufficient to use monolingual dictionaries of English. An average student, working 30 minutes a day, will need about 30 days to master the 3000-item database [currently Advanced English is available with 40,000 items].

An important difference between SuperMemo and other methods of speed-learning, e.g., based on mnemonic techniques, is that the once acquired knowledge is constantly maintained in the student's memory.

For a knowledge hungry student with some background in grammar, the 3000 item database may be mastered in just 3-6 days, thus allowing to develop a basic reading capability in less than a week!

SuperMemo World established the SuperMemo Database Bank, a collection of learning material created by users of the program. Most of the existing databases is distributed free (only costs of postage and packaging are charged). Majority of databases was created for the purpose of learning English. Other subjects include foreign languages, medicine, molecular biology, physics, mathematics, general knowledge, computer science, etc.

See also:

  • SuperMemo: Forget about forgetting
  • This article in Portuguese

You can also download SuperMemo from this site


Modern hypermedia systems in education

Modern hypermedia systems encompassing the ability to adapt to the properties of human memory and cognition Dr Piotr Wozniak
Prof. Witold Abramowicz
Feb 28, 1997
This text has first appeared as part of Wozniak, P.A., 1995, Economics of learning (Doctoral Dissertation at the University of Economics in Wroclaw) and has become a theoretical inspiration for developing SuperMemo 8 for Windows and its successors (SuperMemo 98 and later). The current version of the text has been updated by new observations and puts more emphasis on distributed hypermedia systems

In this text we would like to show the need for developing knowledge access systems that would account for the imperfectness of human perception, information processing and memory. The implementation of such systems will result in enormous savings in the process of learning at all three stages of knowledge acquisition by the human mind:

  1. knowledge access (i.e. searching for, selecting and prioritizing information for later review)
  2. learning (i.e. formulating knowledge and transferring it to human memory)
  3. knowledge retention (i.e. retaining knowledge in memory by means of spaced repetition)

In particular, we will try to stress the importance of repetition spacing algorithms, as well as the importance of the application of the newly introduced concept of processing, semantic and ordinal attributes in hypertext documents.

Fusion of the hypertext paradigm with techniques targeted against human forgetfulness

Implementation shortcomings evident in generic hypertext interfaces

Historically, the development of repetition spacing algorithms proceeded from common sense paper-and- pencil applications to increasingly sophisticated computer algorithms that have finally been implemented in commercial products that have gained substantial popularity among students of languages, medicine, and many more.

This development process was almost entirely orientated towards the retention of the acquired knowledge in the student’s memory. Currently, there is a possibility of a similar development process being initiated in reference to retrieval and acquisition of knowledge.

Effective learning is based not only on being able to retain the learned material in one’s memory. Before that, the to-be-learned knowledge must be identified, pre-processed with a view to understanding, classified and selected with respect to its relevance and importance. This process can greatly be enhanced by means of simple techniques, which make an excellent material for computer implementation.

This implementation is more and more urgent with the diminishing role played by printed materials in the wake of an increasing role of World Wide Web and the vast market for CD-ROM title releases across the board of all possible subject domains. The straightforward use of a pencil, that is often instrumental in one’s work with the printed matter, becomes increasingly impossible with more and more multimedia titles appearing on CD-ROM and with a rapid growth of hypermedia available via global computer networks. Some visionaries are even predicting the death of the printed matter as we know it. The gap between the effectiveness of browsing printed vs hypertext documents seems to grow by the minute, though still very little attention is paid to the reader’s or user’s ability to leave the trace of his work in the document. Most of hypertext systems distributed on CD-ROM provide the user only with annotation and bookmark tools, which leave much room for improvement.

Let us shortly present exemplary tools and techniques that can be used in working with printed textbooks, and what inspiration this might provide for the design of future hypermedia documents.

  1. The first problem with books to read is that there are usually too many of them. A good selection of the most applicable material is the first step to effective acquisition of knowledge. This subject, however, we will leave out from the consideration. This is because we would like to entirely focus on the authoring systems for development of hypertext documents, as well as the tools that would enhance such documents, and made them more attractive from the student’s standpoint. The new technologies, most notably CD-ROM, will make the author’s choice easier in this sense, that the vast capacity of the media will leave less stringent constrain on what not to include in the final shape of the document. When we extend it to World Wide Web, the question becomes irrelevant. With appropriate navigation and search tools, the hyperspace might virtually remain unlimited.
  2. After selecting the learning material, the important tool to use is a bookmark. Apart from reference materials like encyclopedias, dictionaries, computer documentation, etc. most of the printed material provides the possibility and often requires a substantial dose of linear progress through the contents. As time slices allocated for reading, often break one’s work in the middle of a linear section, bookmarks are of indispensable value. With the advent of hypertext applications, the average length of a linearly processed text is likely to drop dramatically. However, bookmarks do not only serve as pointers to interrupted reading, but also provide the means of a customizable table of contents, which can be used for quickly accessing sections which are of the greatest interest. Bookmarks have been an early and ubiquitous child of hypertext documents; therefore, we will also not consider them in the reasoning that follows.
  3. After picking a book, and selecting the relevant bookmark, the process of reading or browsing begins. First of all, the same bookmark that was used in accessing a particular chapter or section, may serve as the pointer that helps keeping the sight focused on the processed paragraph. This is particularly useful in richly illustrated texts, or at moments when external interruptions require frequent shifting the sight beyond the reading area. In a hypertext document, the counterpart of a paper bookmark used in reading a textbook, should be a cursor that highlights a single semantic unit that is currently being processed. The importance of such a cursor may go far beyond the sight guidance of a traditional bookmark. Such a cursor will later on be called a semantic focus. It is not difficult to notice that modern textbooks go further and further into making particular semantic units of the text less context dependent. In other words, by picking up a randomly selected sentence from a modern textbook, we are more likely to understand it that it would be possible in the textbooks written in the style from a few decades ago. The general trend is to shift from prose to more precise forms of expressions. This will be most visibly seen through proliferation of illustrations, formulas, insert boxes, enumerations, underlined text, etc. This trend comes from the increasing tendency to convert linear textbooks to pick’n’read reference materials. This makes the job of a hypertext document author much less of a trouble. This will also make semantic units live life of their own, with the benefit for knowledge retrieval and acquisition.
  4. The most important part of a good textbook processing technique is to leave traces of one’s work in the text. After all, let the book itself learn about what the reader’s progress is, and not keep the entire burden in that reference on reader’s memory. First of all, it is useful to prepare a page chart for every carefully studied book. The page chart keeps the record of each page processed, and the current processing status. The processing status may assume at least the three following values:
    • intact - the page has not yet been processed
    • processed - the page has been read at least once and all its semantic units have been reviewed and marked with processing attributes, which, very much like in page charts, indicate the processing status (e.g. irrelevant, important, memorized, etc.)
    • done - the page has been fully processed, and needs no further reference. For example, all its semantic units have been marked as irrelevant, or all its relevant semantic units have been memorized

    In some cases, it may also be worthwhile to separate a few degrees of the attribute processed (or read). After all, the page might have been read once, twice, or several times, with all its semantic units changing the processing attributes during each passage.
    The rationale behind page charts is to have a constant opportunity to control the speed and direction of processing a particular textbook; the greatest advantages being: (1) no need to refer to fully processed pages marked with done, and (2) giving priority to new material (intact) as opposed to the material that has already been, at least partly, processed (read).

  5. As mentioned earlier, all semantic units are marked with processing attributes during the progress of reading. These are:
    • irrelevant - the semantic unit is not worth future reference.
    • relevant - the semantic unit is worth future reference (which may change its attribute to irrelevant, to-be-memorized or memorized).
    • to-be-memorized - the semantic unit seems worth remembering, and should be put to a database with the learned material associated with the currently processed book. The process of actually transferring the unit to a database will take place as soon as processing the book moves to more advanced stages. On occasion, this may happen much earlier or never.
    • memorized - the semantic unit has been transferred to a database with the learned material, memorized and subjected to a repetition spacing algorithm. In other words, it needs no future reference.

    The obvious rationale behind marking semantic units with processing attributes is never to refer to irrelevant or memorized units, to focus the reading attention on relevant units, and to use to- be-memorized units only during the process of selecting new material for memorization.

In a majority of presently available hypertext systems, it is difficult to develop an equivalent of page charts. Such a document still leaves an impression of straying in a sea of information with little chance for managing the access in a rational way. The main problems here are: (1) how to make sure that one does not wade again through once processed material (during the reading process, it is easy to have a pleasant impression of knowing everything beforehand just to discover that some of the formulations evoke a déjà vu effect), (2) how to make sure that no important section is missed (perhaps the increasing drive toward large hypertext documents that cannot be encompassed in any way will eliminate this concern altogether). Sooner or later, developers of hypertext tools will discover that there is much more to reading printed books that what has until now been encapsulated in standard hypertext technologies.

New solutions proposed for hypertext systems

Let us consider a collection of proposed enhancements to generic hypertext systems that would provide solutions to the problems mentioned in the preceding section.

  1. The first of the mentioned problems concerned selection of the material. What generic systems have to offer in that respect is: (1) possibility of choosing a title, (2) collapsible tables of contents, (3) searching tools, and (4) bookmarks. All that still leaves the reader with the entire document to work with.
    The first and the easiest step toward the customized content is editable table of contents. We will discuss the possible add-ons to tables of contents in Point 4 as we address the problem of page charts.
    A much more complicated, however, and probably more desirable approach to customizing documents to particular needs are document filters. Boolean and fuzzy search procedures standardly included in hypertext documents are usually armed with the ability to yield the list of topics collected in the search. Such a list is usually presented in the sorted form using one of the two criteria: (1) semantic order, and (2) number of search hits. Indeed, such a newly generated list of topics can be viewed as a customized table of contents. However, such a table has no attribute of persistence, in other words, it is usually destroyed by repeating the search procedure. Moreover, if the newly generated table of contents was all the reader was interested in, there is, as a rule, no way of hiding the remaining contents of the document from other browsing procedures.
    A document filter might have similar searching abilities as the mentioned standard search procedures; however, the output of the search might have a form of the new document with a new table of contents. Additionally, a keyword system, or better yet, semantic attributes associated with particular topics or even semantic units, might be used in the search. In other words, instead of looking for words or phrases, the search would look for keywords or even semantic content expressed through semantic attributes.
    The ultimate solution with respect to document filters is to let them collect all relevant semantic units and, literally, generate a new document from the collected pieces. Before such a solution might be implemented, quite a great deal of progress in natural language processing will be required. In contrast, as it will be demonstrated in Points 4 and 5, some handy solutions concerned with processing attributes might be just a few steps away.
  2. As mentioned earlier, bookmarks are already a standard fixture in all documents that have anything to do with hypertext capability. Bookmarks may serve as a way of constructing a customized table of contents upon locating the most relevant topics used in one’s work with the document. In the context of document filters, one might only propose that one of the possible outcomes of search should be an editable bookmark table, that would make it possible to employ the results of search long after it actually took place.
  3. The important role of semantic focus will be shown only later when we consider the link between a hypertext document and a database with the learned material generated during the browsing process. At this point we only note that its function can be compared to a selection bar in menus or caret cursor in edit controls or word processor. The position of the semantic focus indicates the currently processed semantic unit. Very much like in the case of cursors or selection bars, the actions undertaken by the user or reader will affect only the selected unit. This actions might be: (1) change the processing attributes of the unit, (2) change semantic attributes of the unit (e.g. to determine the future search outcomes), (3) transfer semantic items associated with the unit to a database with the learned material, and (4) perform an editing action on the unit (delete, print, transfer to another document, etc.).
  4. Page charts are most painfully missing upon moving from printed matter to hyperspace. The division of books to pages seemed quite artificial, but the benefits of charting are definitely worth this little inconvenience.
    In the case of hypertext documents, the concept of a page seized to exist being replaced with the concept of a topic. The best link to the entire semantic structure of topics from the human standpoint comes via table of contents; hence the most obvious implementation target for a counterpart of page charts. A flexible table of contents that would make paper the commodity of the past, should meet the following conditions:
    • collapsibility (this feature, allowing chapters to be expanded to sections or collapsed to the tile level, is increasingly apparent in modern hypertext systems)
    • editability that would make the user choose the sequence of topics, as well as to choose topics that should disappear from view not only at the contents level, but also from the document itself
    • awareness of the readers progress through application of processing attributes The last point seems the least obvious and worth the most attention.

    As in the case of page charts, the reader should have the possibility to mark topics with processing attributes (which are initially set to intact). Marking a topic as irrelevant or done would be equivalent to erasing it from the table of contents or leaving it in an easily distinguishable form, e.g. grayed. Marking a topic as processed might be enhanced by the indicator of the degree of processing, which might also be reflected in the appearance of the topic’s title in the table (e.g. through coloring). Obviously, the process of tagging topics with processing attributes should be available both at the contents level and the topic level.

  5. Finally, individual semantic units should also be markable with processing attributes. Initially, all semantic units would be marked as intact. Upon the first reading, irrelevant items should be marked as irrelevant, and, depending on user’s choice, disappear from the text or appear grayed in their original place. Semantic units of utmost importance, might be immediately transferred to a database with to-be-memorized items. At the very least, this process would allow the user to paste the content of the semantic unit, reedit it and place it in a selected database. However, a much more desirable solution is to associate all semantic units in a hypertext document with ready-made collections of items that might be transferred to or linked with the student's database with a key-stroke (e.g. after optional selection and pre-processing). Items marked as memorized could also, depending on the set-up, become invisible or distinguished by different coloring. The remaining items could be marked with a degree of relevance (or number of reading passes); the highest degree being equivalent to the attribute to-be-memorized. The degree of relevance might contribute to the application of ordinal attributes that might be later used in prioritizing once-accessed items for secondary access. Similarly, to-be-memorized items might also be tagged by ordinal attributes that, in this case, would determine the memorization order. If the processing attributes were applied, the user would be able to quickly skip the parts once identified as irrelevant, as well as to pay less attention to those sections that have already been entirely mastered by means of a module using repetition spacing algorithms. The usual situation is, that at the early stages of processing the document, the intact topics and units are of the highest processing priority. As the work progresses, the once-referred-to units may increasingly get into the focus of attention (e.g. in the order determined by their ordinal attributes). This will, in all likelihood, move their processing status to increasing degrees of relevancy, up to the point where a decision is made to memorize a particular semantic unit. In an optimum situation, a collection of simple techniques should be developed to make sure that the flexible table of contents makes it possible to quantitatively assess the progress of processing the semantic units in a given topic. For example, the topic title in the table could be associated with a bar chart showing the proportion of semantic units in the intact, irrelevant, relevant and memorized categories.

Our experience shows that there is a great potential for an increase in the effectiveness of using hypertext documents in case the proposed tools are provided in both the software shell and in the document in question.

Integrating repetition spacing technology with a hypertext interface

Our hope is that in the future, the student will not ever have to work with a repetition spacing algorithms employed by a dedicated program like SuperMemo. The optimum situation is that the student will obtain access to a hypermedia knowledge base (e.g. within the framework of World Wide Web) with a seamlessly integrated algorithms for optimum spacing of repetitions (e.g. as a plug-in to a Web browser). In other words, the focus should shift from software and its options, to knowledge itself.
Naturally, the development of a hypermedia interface for a knowledge base associated with a database used in learning, will put much greater burden on the authors of a particular learning system. However, the increase in the effectiveness of accessing and learning knowledge will certainly fully compensate the higher development costs.
In the optimum case, all semantic units relevant to learning should be associated with predefined, well-structured items (often in the standard question-answer form). A single semantic unit might generate from one to several individual to-be-memorized items. In other words, developing a seamless hypermedia knowledge base integrated with repetition spacing algorithms would triple or quadruple the authors’ effort and costs.

Further reading:

  • A subset of the aforementioned technological solutions is currently available in SuperMemo 99 for Windows
  • For a pragmatic follow-up to the presented solutions, see: Reading the Internet
  • SuperMemo 2000 goes even further with Incremental reading


Interview: The Decade of SuperMemo

Contents
The Decade of SuperMemo:
Interview with people who brought SuperMemo to life 		Compiled by M. Morawska
Summer 2001 (updated Fall 2002)
Editorial notes placed in square brackets.
On July 5, 2001, SuperMemo World celebrated its 10th anniversary. On that occasion we wanted to look back at the the past decade and see how the coming decade could capitalize on the accumulated experience. The questions for this interview were all identical and were sent via e-mail to all people who played a role in bringing SuperMemo to existence. Not all interviewees met the deadline of three months set for completing this review. Some questions were ignored. Some answers strayed from the subject. Nevertheless, the outcome of this compilation should serve as a rich material for those interested in the world of SuperMemo and its history, as well as those who are interested in the hard life of companies trying to sell software in and from Eastern Europe.

Interview participants: Wozniak (Dr Piotr Wozniak, author of SuperMemo), Murakowski (Dr Janusz Murakowski, co-founder of SuperMemo World and contributor to the SuperMemo method), Gorzelanczyk (Dr Jacek Gorzelanczyk, contributor to the SuperMemo method, author of numerous publications in the area of memory and learning), Biedalak (Krzysztof Biedalak, Msc, co-founder of SuperMemo World, CEO, primary creative force behind most commercial products based on SuperMemo), Georgiew (Marczello Georgiew, Msc, co-founder, long-time marketing director at SuperMemo World), Hejwosz (Michal Hejwosz, founder of SuperMemo Library, author, contributor to software design, student of economics), Sebastian (Sebastian Wesolowski, MSc, programmer, creator of SuperMemo 1.0 for Windows CE and chief programmer of on-line SuperMemo), Wojcieszek (Krzysztof Wojcieszek, MSc, programmer, father of SuperMemo for Amiga, developer of SuperMemo 2.0 for Pocket PC), Bajer (Petr Bajer, MSc, father of SuperMemo for Palm Pilot), Mols (Maarten Mols, MSc, father of SuperMemo Nederlands)

Questions:

  • If SuperMemo works as advertised, why isn’t it as popular as an Internet browser?
  • Are you satisfied with the progress of SuperMemo? Did it meet your expectations?
  • What was the most important moment of the last decade?
  • What is the most important thing for SuperMemo to become more popular?
  • What was the biggest mistake of the authors of SuperMemo?
  • What is the greatest success of SuperMemo?
  • Do you use SuperMemo? In what subjects?
  • How do you see the future of SuperMemo and learning in general?
  • If you were to jump into SuperMemo again, would you do it or would you choose another career?
  • What is the main lesson you have learned?
  • Last word

If SuperMemo works as advertised, why isn’t it as popular as an Internet browser?

Biedalak: Isn't it like you asked "why drinking coffee is more popular than regular exercise?"

Gorzelanczyk: It is the problem of motivation. Few people really enjoy learning. To use SuperMemo, learning must be like your hobby

Bajer: An internet browser doesn't ask you to do your repetitions every day. All SuperMemo does is make your learning more effective. Based on their school experience, most people just don't like learning, no matter how effective it is. They would rather use a tool that would do the learning for them. Such tool won't be developed soon, so only those who are able to work hard will be rewarded with results in learning.

Hejwosz: I would pinpoint the following reasons here:

  1. It is not the software for everyone; it requires lots of self-discipline before it comes to reap the harvest and I am afraid many people are rather driven by the instant gratification,
  2. I do not think people get convinced about the real power of SuperMemo; there are quite a few examples of spectacular success with SuperMemo, but there are many more people who succeeded without it
  3. SuperMemo has lots to do in terms of simplicity and user-friendliness

Sebastian: People generally do not trust revolutionary technologies. They are flooded daily with not-so-honest advertising. Many times an advert will promise you the best things in the world, and when you buy the product, it turns out to be a big disappointment. Besides, laziness is part of human nature.

Wozniak: When setting up SuperMemo World, we thought SuperMemo was a product that would spread like wildfire. This came from little understanding of the differences in psychological profile of people that make up the studying population. It was an erroneous extrapolation from our own perception of SuperMemo to the entire population. It is true that people who are very smart often grasp the concept in minutes and then become awfully enthusiastic. However, they are a tiny minority. Enthusiasts from around the world come to me with various marketing ideas, ready to form partnerships or conquer foreign markets, and I invariably have to begin with "Cool down!". SuperMemo is far harder to sell than it seems at first. We need to realize that people are different and their approach to SuperMemo differs. Inherently, SuperMemo is not viral. To understand its limitations we need to dig into psychology, sociology and mathematics. In memetic science, there is a research field some mathamaticians call "social percolation theory". It describes networks of individuals, their communication means, the spread of information in such networks, and the variables that affect it. Let me use some concepts of that theory to explain my point. SuperMemo does not have the Whoa factor that makes an Internet browser spread. It is therefore inherently aviral, i.e. it does not percolate. It's smoothness factor is low. I heard many voices that if SuperMemo were simpler or if it had a better user interface or if it was translated to Polish or French, or if it came with a plain language documentation its ability to percolate would change. Simplicity will not take away SuperMemo's inherent problem with smoothness. Nobody can sit to SuperMemo and feel the enlightenment or joy of playing with the browser. That is the key! Several variables in a social percolation model stand against SuperMemo. Many top-IQ people and great programmers were given the idea of SuperMemo to their free hands to capitalize on the previous experience. They tried to develop a better wrapper for the idea. A better "viral capsule". In other words "better SuperMemo". I intentionally stay away from similar efforts to make sure I do not pollute their creativity with my own preconceived molds. Those smart people could never come up with widely viral product they hoped for. This is not their fault, the fault is inherent in the concept. Our brain does not have a reward-punishment system for measuring memory or forgetting. Ignorance is rather painless, and knowledge SuperMemo helps you keep in your brain is always taken for granted. Knowledge "feels" as if it was to stay in your brain anyway. It is the "feeling" that matters. It is very hard to build impressive and massive bodies of knowledge because persistence and will power stand on the way for a majority of people. Only when you learn a huge body of material you develop the skills, the awareness, and the deep understanding of what SuperMemo does to your life. Only a very small proportion of people really "feel" SuperMemo and its power. But this "feel" and awareness often takes years. That disqualifies SuperMemo as a viral product. Not only it is not smooth. Its velocity is deplorable. It does not ride on the first experience and instant gratification, it rides on hard-earned wisdom. Those weaknesses are inescapable and will always be there. Naturally, there were cases where a small niche of users was quickly saturated, where SuperMemo conquered a whole class in a school or university, but these cases were always based on individual leadership. Where one or very few very smart people got infected with the idea and were able to make others follow. However, those niches collapse as soon as leaders are gone! SuperMemo keeps on spreading among people for who knowledge is the matter of survival or who simply love learning. Those people begin their adventure with SuperMemo by understanding the core premise: there is no efficient learning without spaced repetition. Today (2001), this translates to: there is no efficient learning without SuperMemo. Without this core conviction, people are not able to persist with SuperMemo, let alone drag others into the circle.

Georgiew: Unfortunately, practice shows that for many, SuperMemo does not work as advertised. This is all related to human psychology. I am sure that computer applications will not replace standard methods of learning for a long time to come. Most people do need motivation for learning and computer is not able to generate this motivation. With SuperMemo, you can learn whenever you want, and whatever you want. However, most students need a rigid schedule to stick to. Only schools and universities force you to follow their curriculum. Both the carrot and the stick. Most people need an authority within the learning system. This simplifies life as for questions such as: Why do I need to learn this and not that? Is this theory true? etc. Furthermore, people like to learn in a group, having contact with others, competing with them, working together, etc. Typically, users regard the computer as a "dummy machine" and subconsciously reject its authority. Without self-discipline, SuperMemo is useless

Are you satisfied with the progress of SuperMemo? Did it meet your expectations?

Wozniak: Yes and no. In 1991, we expected SuperMemo to take the world by storm. We expected piracy to be our main headache. This did not materialize. In that respect you will probably hear unanimous "No. I am not satisfied". However, SuperMemo exceeded my expectations in its ability to grow with new ideas. For example, I did not predict the power of incremental reading and how SuperMemo would be able to inter-link learning with the World Wide Web. Today its power is by far greater than what I expected possible ten years ago. Because I am rather immersed in research, development and learning (as opposed to marketing), I am very happy with the present status quo. I leave the commercial headaches to my colleagues and partners. Overall then, I would say, SuperMemo exceeded my expectations. But then ... I am an inveterate and incurable optimist. I think what you hear from Biedalak or Georgiew will be a better reflection of reality :)

Bajer: Yes, I am. SuperMemo did meet my expectations because I wrote the PalmOS version myself to meet my own expectations :-)

Biedalak: No. But things get better. Is it cause I'm getting older? :)

Murakowski: No. SuperMemo has been a great idea from the start. Its implementation under DOS environment, while crude and rudimentary by today's standards, was relatively functional and easy to use. However, its Windows implementation always failed to live up to expectations. Beginning with first versions, which offered nothing but the DOS functionality in Windows. Subsequent versions required the user to jump through the hoops to get what they wanted [Murakowski is in minority today - he does not use SuperMemo himself]. The current version [SuperMemo 2000] is not much different in this respect. It is almost as if we strived to hide features from the user by using nonstandard keyboard shortcuts and nonstandard GUI.

The problem with SuperMemo is that it claims to save the user time, but it fails to live up to this claim. Here is why. In order to realize this time saving, the knowledge has to be in the form of a SuperMemo collection. So, how do we get it there? One way is for the user to put the knowledge in this form. This takes time. While it is not as big a problem for elements of pure text (at least for people sufficiently skilled in keyboarding) it is an almost insurmountable obstacle if some graphics/math/sound is desired. The user interface is terribly unfriendly. What in other applications takes seconds, requires hours of digging through documentation in the case of SuperMemo. Moreover, if you want to have some structure in your collection, so that your survival English is not mixed up with high energy physics or algebraic topology... use pencil and paper version of SuperMemo for better use of time.

Another way to have the knowledge in the form of a SuperMemo collection is to have it commercially available. The problem here is that there is not enough variety, so it is usually not possible to find a quality collection on a subject of interest. The reason is that apparently there are not enough authors interested in preparing quality collections. Why is that? Again, it is the user interface barrier discouraging potential authors.

Georgiew: No. I wanted to boss a 50 times bigger entity. SuperMemo for Windows went too far into advanced techniques that make it too complex to an average user. I am very happy with the Internet version and its development though. It is the most user-friendly and usable soft we have ever created. From the very beginning, it is 100% user-oriented. That is the key to its present success. I want to place it on big Polish portals, make it an Internet learning standard. Make it pay for itself at some point. I know that our competition regards this market section as unprofitable and they might be right. However, those who come first will win the field. And then ... the winner takes all! We can dominate this important niche soon. I want SuperMemo to become the Internet-based learning standard. Perhaps then I will finally say I am satisfied with the progress.

Sebastian: More or less. But I'm working on it. My new on-line version will be the best :)

Hejwosz: Yes, SuperMemo did and still does meet my expectations. Moreover, it oftentimes blazed the trails in the directions I had never expected it. As for the progress of SuperMemo Library, no. I am sure I will never be fully satisfied. It could always be better. However, my "dissatisfaction" is rather a positive stimulus for harder work. It is not a destructive power. No matter where we are now, there are far brighter prospects for the future.

Mols: Concerning the progress of learning with SuperMemo: yes! It's fabulous. It has brought much more than I expected when I first discovered it in 1996. As for the development of new upgrades: user-friendliness has increased, but a lot of things are still very complex for new users

What was the most important moment of the last decade?

Wozniak: The string of awards for SuperMemo in 1992 that helped us start off with the business, major increase in sales with the introduction of CD-ROMs in 1994, establishing supermemo.com in 1997, SuperMemo Library in 1998, incremental reading in 2000, and support for HTML soon [see: SuperMemo 2002]. If I was to choose one, it would be incremental reading. By far.

Hejwosz: I cannot speak much about the last decade as I am in SuperMemo business since 1997. Since then, I think it is the establishment of SuperMemo Library in March 1998. For the first time, users have an easy access to a wide range of learning material for SuperMemo. At least those who speak English

Georgiew: Developing supermemo.net

Bajer: I have only been with SuperMemo for 3 years so I cannot speak for the full decade. For me it was the move to the handheld computing. This allowed people to save time not only by optimal repetition spacing but also by filling the moments of the day that would otherwise be wasted.

Gorzelanczyk: Publishing the article on the two variables of memory, and major progress in modeling the glutamatergic synapse.

Mols: My own discovery of SuperMemo (after having programmed something similar in the late 80's end early 90's). Secondly: my decision to start SuperMemo Nederland. As for SuperMemo itself, it seems it was very important to make SuperMemo a Windows-application [originally SuperMemo was a DOS program]

Biedalak: When I first wind-surfed hanging on a ballast belt [explanation: a ballast belt is a belt binding the surfer's waist to the boom to help keep the sail in an upright position while gliding in strong wind]. Seriously ... I liked Fall 1994 when Advanced English was selling like hot cakes

What is the most important thing for SuperMemo to become more popular?

Bajer: Help people realize that wisdom and learning really pay.

Sebastian: Simplicity! People must be able to use SuperMemo without ever reading documentation.

Biedalak: SuperMemo must be as intuitive as possible. There is also a problem of user motivation. We need to better understand it and target this area by identifying and addressing existing needs for effective education rather than trying to create them in too broad, i.e. population-wide, environment

Georgiew: It must be easy to use, include the most important options only, be user friendly, provide lots of content, and provide as much free stuff as possible (esp. over the Internet). The other component is beyond our influence: the awareness of the need to invest in training. This awareness is developing ok in the west, but in Poland, for example, only 3% of company's budget might go into training and 20% of that is computer-based training. With time, I am sure though, an attractive niche will develop.

Wozniak: It must improve its smoothness and velocity (see my earlier answers for an explanation). For that it must be as simple as possible, and it must be wrapped in a message that is easy to communicate. supermemo.com will be central in further research in that area (i.e. spreading the message, user feedback, etc.). I have no illusions though: this process will be painfully slow and will take many years.

Murakowski: Make it easy to use! Without sacrificing functionality. Make it as easy as a word processor, or a presentation editor (MS Word, MS PowerPoint). Make it easy, and they will come. Use standard keyboard shortcuts. Use the user interface of the most popular software available on the market. Look to the Microsoft productivity tools (the MS Office suite) for guidance.

Wojcieszek: Work, work, work. Pocket PC version has lots of unfulfilled potential due to my involvement in many projects at once.

Gorzelanczyk: SuperMemo must be easy to use. It should come with ready-made learning material for specific purpose. I found that my students were most successful when they had a clear goal (e.g. exams for medical college) and a material that gave them the promise of solid knowledge (e.g. Biology for Medical Candidates). Last but not least, SuperMemo needs money and publicity.

Hejwosz: I think SuperMemo should be user-friendlier. There should be more learning material for the program too.

Mols: Further increase user-friendliness and delete too complex and rarely used features.

What was the biggest mistake of the authors of SuperMemo?

Biedalak: I would turn things upside down if I had a second chance. Well ... there were many mistakes. Starting from early geographical setting and product shaping. I believe we would do better having started in the US. I think it would be no fun to start it in Poland again. If I am to "fantasize" about what could have given us more chances for success, I would say we should try our strengths on the biggest, most dynamic (and most competitive) market right from the start. As for the product shape, I agree Piotr is a vital driving force behind SuperMemo innovation, but we certainly should have pushed harder for shaping the product in a way that meets the market needs. I would make the product more market-oriented. But this is a very long story.

Georgiew: We failed to saturate the Polish niche and let the multimedia competition fill the gaps. With complex software and miserable support for our own Polish language, the competition ate most of our cake. We could have used it to catapult to western markets at an earlier stage. We set the priorities wrong, and squandered the excellent beginning on the Polish market.

Bajer: The name SuperMemo. Not only does it not express what the product does but it is misleading as well.

Sebastian: Lack of collection exchange standard. Hopefully, the new XML data definition will fill in this gap

Wojcieszek: Perhaps no coordination in the beginning while designing Windows, Pocket PC and Palm Pilot versions? Many users use both a PC version and handheld version.

Murakowski: Never employing an expert on user-friendliness of SuperMemo's interface. Having only one person decide on the direction of software and its development. While team effort has always been bogged down by miscommunication, it is necessary for many people to look over each other's shoulders to root out quirks bound to appear in the program.

Gorzelanczyk: I do not know. I am not the best person to ask. It would better be discussed with Piotr

Wozniak: Wise men say that only fools cannot find errors in their conduct. However, I see the last decade as strongly deterministic. Even with today's knowledge it would be hard to change much in the course of action. I am not kidding here! I always spend lots of time analyzing the past and it all seems to have gone the way it had to. Interestingly, I read that people with high serotonin are far more likely to see things that way. I may be slower to learn from my own mistakes but ... at least I will live longer [Simon Woodroffe claims that people of success are generally bad at spotting their own weaknesses or past mistakes]

Mols: Adding more and more new options to earlier versions. The program has too many options and for 95% of the users it has become too complex. I think I understand 80-90% of the options, but it cost me a lot of study. Of course when using ready-made content you can lock the collection in Learn-Only mode and Basic level. But a lot of people like to make their own collections. Very soon they get lost in the maze of options, buttons, menus and SuperMemo-glossary

What is the greatest success of SuperMemo?

Bajer: SuperMemo saves many people time and helps them achieve their goals.

Georgiew: Software for Europe award and a string of appearances at CeBIT.

Gorzelanczyk: The effective learning method. Getting quick popularity in Poland in 1992-1994.

Murakowski: Going Internet. But then, again, it was an obvious thing to do.

Wozniak: Being an amazing learning tool, and still being able to improve learning efficiency from year to year.

Mols: The fabulous algorithm.

Do you use SuperMemo? In what subjects?

Gorzelanczyk: Yes. English, internal medicine, and materials related to students education (e.g. biology)

Biedalak: Yes. I used SuperMemo intensively for learning business when I studied it academically. Now I mostly brush up my old English collections. I invested too much in my GRE vocabulary knowledge to let it go

Bajer: Yes. I sure do. That's why I wrote the PalmOS version in the first place: to be able to use it myself. I use it for learning English and for just about anything I consider important to keep in my mind.

Hejwosz: Yes, I do. Subjects such as: economics, computer science, mathematics, physics, geography, sociology, social psychology, psychology, history, English, German, etc.

Mols: Yes. 20-25 minutes. 150-200 items per day. I have around 25,000 elements memorized (mostly items). Subjects: English (incl. Advanced English), French, Spanish, Topography, Computer Science, Neuropsychology, Economy, and a personal general collection with all kinds of information I like to remember

Georgiew: No. I approached it over 20 times and always failed to make regular repetitions. Today, as I am studying for an MBA at the University of Economics in Poznan, I started yet another collection to brush up on economics. I have failed again though. Why? I really prefer to go to the university and learn there with my group. Working with a PC at home alone just isn't my way. Well ... with the new Advanced English 2002, I hope to make some real good progress in English vocabulary soon :)

Sebastian: Yes. Learning English from time to time.

Murakowski: No. I liked the DOS version. Windows version irritates me. Life is too busy for struggling with non-standard GUI.

Wozniak: Yes! You won't find a more obsessive user! SuperMemo was born from my compulsive need to remember things. I memorize everything I got time for. I memorize the gym hours because I do not want to hit the locked door (which would cost me more than those few seconds I need for repetition). I memorize all family birth-dates, occupations, stories and connections because I never want anyone to think I failed to remember his or her story. I cram all sorts of knowledge because ... it does not befit an educated man to slip on Roman history or geography of South-East Asia (i.e. the stuff taught in the primary school that most adults have problems with). Most of all though, I learn for a very specific purpose of understanding the brain, memory, learning, the role of sleep, emotion, nutrition, etc. This is my job. I need to understand implications of SuperMemo on many platforms so ... I keep on learning. I take a break only for 7-10 days each year during the summer vacation when I stay away from the computer and try to get a higher-level perspective on life

How do you see the future of SuperMemo and learning in general?

Bajer: Most of the time people spend at school is unproductive and boring. Improved school system combined with SuperMemo could significantly shorten the time people spend on learning, and this could also change people's attitude to learning. People would no longer see learning as pain and waste of time, which would have positive influence on our lives. However, this will take a very long time to achieve.

Mols: It is very important to promote the concept of life-long-learning. The problem is with convincing people to change their attitude towards learning. Most people seem to accept the process of forgetting. They consider it unavoidable, and they don't seem to be troubled by it. They consider daily learning with SuperMemo too much of a burden.

Gorzelanczyk: I can only speak of what I believe is most important for the science behind SuperMemo. Constant improving of the algorithm is an obvious point. However, there should be more attention paid to the concept of two variables of memory. There is a huge potential for new scientific discoveries in the area of molecular biology of memory if this concept is better understood by researchers in the field. I plan to focus on modeling adrenergic and glutamatergic synapses. I was able to attract new talent to my institute and hope to see major progress soon. I would like to take a holistic approach to the glutamate synapse and supervise a solid PhD in this area. New models should take into account alternative splicing of the NMDA receptor. I will also look for new inspiration in areas of schizophrenia, language, and semantic memory. With Dr Wozniak, I would also like to look for correlates between various psychological tests and the SuperMemo learning process.

Georgiew: We will focus on supermemo.net. Internet-based learning will become a standard. We will enter schools where server-based data is a blessing; now any kid at school can delete the learning material from the hard disk! Then we will enter to the B2B market and finally recoup our Internet investment. We will develop more and more content that is particularly suitable for SuperMemo (such as languages, school material, professional training, etc.). We will provide for close integration of all SuperMemos, which now develop without insufficient coordination. The sky is the limit. Ultimately, we will set new standards that will force Microsoft to take training more seriously :)

Murakowski: Not good. In the decade, fortunes have been made and squandered. Wars fought and lost or won. Software tools have risen to prominence and sent to virtual oblivion. SuperMemo has only been struggling, trying to keep the head above the water. It's been a software zombie, kept alive (on life support, should I say) by admirable efforts of a single man.

Wozniak: Future of SuperMemo is bright! It is hard to predict where it will go, but if the next decade is half as good as the past one ... I already die to see the outcome. As for the business side, the Internet will make the software market approach the perfect competition model. In other words, it will never be a bonanza. Profits will be hard to earn, meager and proportional to the power of innovation. All that on condition we are able to wrap innovation in a user-friendly package.

If you were to jump into SuperMemo again, would you do it or would you choose another career?

Wojcieszek: Yes. Absolutely!

Biedalak: Because of the early vital impact on my personality and knowledge, I would surely stay close to SuperMemo.

Hejwosz: I would certainly choose SuperMemo again.

Gorzelanczyk: Learning, memory, nervous systems and computers ... I cannot see anything more fascinating in the world.

Bajer: No hesitation. I would do it again. I like the job.

Georgiew: We entered the worst field for doing business. This area is full of dynamic high-IQ people. It is full of top-quality professionals. It is also rich in investors ready to splash a fortune in order to catch their chance. It is a do or die area. Not a very nice place to be. When we missed the train the first time, we could have looked for a quieter place for doing business. Our profitability has been a disaster most of the time. I would choose this field only for personal fulfillment and growth; however, I would certainly enjoy more freedom and profit elsewhere.

Sebastian: I would choose SuperMemo. It has a potential and there is still lots of work for me to do.

Mols: I would do it again

Wozniak: The world is deterministic. I believe that set in the same position back in time I would do exactly the same thing again and again. My personality drove me to organizing my learning process. It had to end up in doing SuperMemo. It had to end up on the Internet. So many new vistas open today. This must be the most exciting moment of all time. However, if I knew how much blood, sweat and tears the decade would take, I would certainly be surprised. Never mind. The laws of thermodynamics say that life is not supposed to be easy. I love my work.

What is the main lesson you have learned?

Biedalak:

  1. Control all paths crucial for building a consistent vision
  2. Learn broadly, concentrate operationally
  3. Spread competence but count on yourself

Hejwosz: I do not think there is a lesson I would point to as the most important. My whole over 3-year long experience with SuperMemo Library has made me a very different man in comparison to whom I was at the beginning of the road. I have learnt a zillion things; probably too many to ever consider listing them here.

Georgiew: I have spent with Krzysztof [Biedalak] more time than with my wife! We can quarrel, we can be angry with each other, but I know I can always rely on him. Although I wouldn't marry him I could run any business with this guy! :)

Bajer: People are extremely different.

Mols: (1) That I am the director of my own memory. Forget about forgetting. If I want to remember something, I know how to do so. And I do remember most of it.
(2) It's hard to make money on SuperMemo. You really need to put lots of hours.

Wozniak: I like this question! Awfully hard and awfully important! There are many simple maxims we should have learned at school, but only hard lessons of life hammer it to our awareness. This is my pick:

  • Predicting future is awfully hard. In 1987 I had no idea there would be the web or there would be incremental reading. WTC attack was a surprise on the negative side. I also expected cancer and HIV to be fully curable by 2000. Life is like a box of chocolates.
  • Knowledge is power. Yet it is very hard to let young people know how much knowledge can change. This awareness grows through a slow and painful process. Knowledge can change the world for better [see: Goodness of knowledge]
  • Creativity must be nurtured. Initially, my colleagues were reluctant to let me disappear for months away from the company doing "creative stuff". But now "creative vacations" are a norm. Only a mind in peace and focus can live up to its creative potential.
  • Positive emotions are infectious. With love you can change the world. Middle East today [2001] shows that hate can ruin life for whole societies and whole generations.
  • People differ like chalk from cheese. Bill Cosby said "the worst mistake is to try to please everyone" (or words to that effect). We should spawn different SuperMemos to satisfy different tastes. "My brand" of SuperMemo will always please only a very specific and small subset of people. However displeasing that is, I gotta live with this awareness.

Last word: Bottom of the mail comments

Wozniak: Sorry for didactic tone and lengthy answers. Some questions are very important and require scrupulous analysis. With impatience I wait to see the final outcome of this interview project. "We, the guys who spread SuperMemo" [quote from SuperMemo "anthem"] also differ like chalk from cheese :)

Biedalak: Sorry for my short responses. The questions are exactly of the kind that require quite a bit of thinking and "creative" prose. But ... you know ... business is busy :)

Wojcieszek: I am very busy right now. Perhaps some other time I will send some more complete answers.

Murakowski: I am not sure my blasting criticism and stark sincerity are good for business and publishable. Please skip whatever you consider inappropriate for "public view" [all responses where quoted entirely with minimum editorial intervention]

Georgiew: I still hope our dreams are to come true. For that we need to stick together with a coherent vision of the future.

Bajer: Many revolutionary theories and inventions were not widely accepted in the beginning. Fads that spread like wildfire usually do not last long. The fact that SuperMemo fits the first category is promising.


Forget about forgetting

Forget about forgetting J.Kowalski, November 1994, Enter, Poland
Translated and updated: September 1996
This is a translation of a popular scientific article about memory and learning written by J.Kowalski, Poland, for Enter in November 1994. Translator comments are placed in square brackets

Contents:

  • Evolution and memory
  • Evolutionary optimization of forgetting
  • Spacing effect
  • Human memory vs virtual memory in operating systems
  • Retrievability and stability of memory
  • Molecular basis of memory
  • Internals of SuperMemo
  • Theory and practice
  • It might work but it cannot be that good
  • How was SuperMemo developed?
  • Epilog

See also:

  • Scientific conquest of the forgetful memory
  • This article in Portuguese

Increase the speed of learning 50-fold! This is how SuperMemo World advertises its product: SuperMemo. Is it yet another case of product hype or SuperMemo is indeed a case worth serious consideration?

The author of SuperMemo, Piotr Wozniak, PhD, graduate of Adam Mickiewicz University (molecular biology) and the University of Technology in Poznan (computer science), claims that there are very few secrets about why SuperMemo is so effective. When we met in November 1993, Wozniak tried to dispel all my doubts about SuperMemo. It really works, that's a fact, and nobody has to convince me about this. However, is it really the ultimate? Is it really science, or is it just a product born out of the promotional effort of the SuperMemo World's marketing team.

Evolution and memory

The most interesting and common-sense evidence speaking for SuperMemo is the evolution. Wozniak's approach to SuperMemo is deeply evolutionary: It's enough to have some basic understanding of the mechanisms of evolution to understand why memory works the way it does, and why SuperMemo is the ultimate solution to the problem of forgetting.

The nervous system has been the evolutionary invention that introduced central control in, otherwise, homeostatically controlled organisms. It was like introducing a global communist government in a conglomerate of countries and federations, i.e. cells and organs, governed by purely free market of enzymes, free-flowing metabolites and hormones. In its introduction of communism, the evolution was smarter than humans in this sense that the communist practices were introduced not outright, but in proportion to available means. The developing nervous system, in the successive stages of the evolution, took over an increasing control over the organism in tandem with the increasing complexity of its neural structure. The culmination of this process was the human brain. The ultimate creator of our civilization. Not only for the successful introduction of neural communism, the evolution can be viewed as an incredibly smart designer which would not miss an opportunity for improvement. Though its mechanisms are dead slow and purely random, what could not be accomplished by guided progress has been accomplished by the power of 4 billion years that have passed since the appearance of the first living cell. The infallibility of the evolution in the range of what can be accomplished by living matter based on DNA and proteins can be a very useful guidance in understanding neurophysiology and human psychology; including the mechanisms of memory. Optimization of the mechanisms involved in memory has been based on fine-tuning the regulatory properties of metabolical, and to a degree, electrochemical processes occurring in the synapse. It did not need the involvement of new organs, nor even cells. Therefore unlike the invention of flight, which nota bene has been worked out by the evolution more than once, optimization of memory can be compared to tuning up a radio receiver as opposed to constructing it from scratch (as in the case of developing wings and the ability to fly). It is not difficult to notice that the memory mechanisms have been very much conserved in the course of philogenesis. After all, famous American neuroscientist Dr Eric Kandel has spent a few decades studying the primitive nervous system of a mollusc Aplysia caliphornica (just a couple of nerve cells making up the entire system). Kandel's involvement with Aplysia did not prevent him from drawing far-reaching conclusions concerning the mechanisms of memory in humans. Similarly, one of the most important discoveries in the molecular research on memory in the last decade, involvement of the membrane protein kinase C in conditioning, has first been spotted in a marine snail Hermissenda. In other words, evolution did not take long to figure out the optimum properties of memory, which, according to Wozniak, are as widespread in the nervous system as the citric acid cycle in the organism. In the next sections, we will have a look at optimum properties of memory and their relationship with SuperMemo. If indeed evolution is infallible, SuperMemo makes the best use of optimum memory properties.

Evolutionary optimization of forgetting

Let us have a more detailed look why, according to Wozniak, memory and forgetting work the way that makes SuperMemo possible. To think about the brain as about a computer is a very useful metaphor. Everyone who has some basic understanding of computation will know that no computer can solve problems without memory. Memory is needed to keep the record of the computation; however, it can also be used to keep a modifiable program. After all the power of computers rests in their programmability. Human beings, more or less consciously, program their brains using the so-called long-term memory, i.e. memory which lasts for months and years. However, they can also use short-term memory, different in its physiological nature, to keep the record of the computation, or thinking, which leads to the solution, response, reflex, etc. Short- term memory, apart from its short-term functions, also serves as the framework for establishing long-term memories.

One of the first questions the user of a PC asks is how much RAM does a computer have? The same question was asked by the evolution in reference to the brain. Human RAM is enormous in its capacity. Some researchers estimate its size to several gigabits (Wozniak, using a simple mathematical models of learning, has also arrived to the hypothetical life-time limitation on the learning capacity of the brain; see later). However, memory is not unlimited, and a living organism cannot attempt storing all incoming information. A very substantial selection has to be made if the storage capacity is not to overflow in a life-time. It appears that the solution is forgetting. Let the brain filter the incoming messages and store as much as it is only possible in the long-term memory. Then let forgetting do the rest of the job by eliminating pieces of information in the order of least relevance. An important question that had to be answered by the evolution was in what order should pieces of information be forgotten so that to maximize the survival rate. It is obvious, at least for those who understand the concept of probability in an incompletely specified event space, that encountering an average event increases the probability of the same event being encountered again. For example, if you do not know Mr X and you meet him on the street today, the probability that you meet him again tomorrow must be considered greater than from before the first meeting. Naturally, if you meet him again, you have yet more reasons to believe in more meetings in the future. In other words, successive repetitions should have an increasing stimulatory effect on memory. Unfortunately, evolution proceeded mostly in the absence of volitional aspects of the human brain; hence, we do not have the capability to forget at will. We cannot decide to free memory by forgetting Mr X on hearing the news that he has died or moved away to the antipodes.

Spacing effect

The little problem remains of how the brain can prevent events that are not likely to be encountered in the future from being permanently transferred to memory as a result of a great number of repetitions? The answer was found in applying the so-called spacing effect, which says that the longer the interval between repetitions, the better the memory effect. This way a large number of repetitions in short intervals has very little impact on memory. Simply speaking, memory uses the spacing effect and the principle of increasing intervals to most effectively fix relevant information in the brain. Upon encountering an event it is temporarily transferred to long-term memory and forgotten in the matter of days. However, if the event is reencountered, the memory assumes increased probability of the event in the future and increases the retention period. Initially, in the retention period, memory is not sensitive to more encounters of the same event. Only at later stages does memory become sensitive again and a new encounter will act as a repetition that will increase the retention period and make memory temporarily insensitive to further encounters.

If anybody doubts the importance of the spacing effect, Wozniak proposed to consider the following example: Could the reader provide the name of the infamous lady that alleged having slept with the majority of Polish parliamentarians? If the reaction is: Sure, yes, wait a second, I am sure I remember it but ... aha! then this can be taken as an example of spacing effect. Despite the fact that the lady has dominated Polish political life for a short period of time, many of us might find it hard to recall her name. The reason is simple, hundreds of repetitions concerning the name of the lady were cramped in a very short period of time. Because of the spacing effect, memory reacted to the phenomenon more like to a single repetition rather than a volley of memory stimulations. The biological value of such a property of the brain may be explained by the fact that events occurring densely in a short period of time may be unworthy of the precious memory storage. Otherwise, a great number of repetitions in a week could leave a useless memory trace for lifetime. Do we really need to remember the name of the promiscuous lady? We don't ... unless we are members of Polish parliament at breeding age, naturally. Using again the computer metaphor, the problem of choosing the least relevant pieces of knowledge in the process of forgetting is analogous to the problem of paging in virtual memory. In paging, the question is which memory blocks should be discarded to maximize the probability that the next memory reference will concern a block that is already placed in memory. Unlike in operating systems, the LRU algorithm (Least Recently Used) would not work fine for human memory. If LRU were used, first to forget would come the rusty primitives mastered in the primary school. It would be enough to use a calculator for a few months to have all the multiplication table discarded in priority behind the morning breakfast. The grandmother that has passed away a decade ago would serve as another early victim. Definitely, LRU would deprive the brain of flexibility and us ... of humanity.

Human memory vs virtual memory in operating systems

The question arises immediately: If the biological optimization of the memory storage is as efficient as in the case of humans, why do not developers of operating systems assign memory attributes to blocks of memory, and use increasing-intervals combined with the spacing effect in developing, say, the next version of Windows. The key to the answer is in one major difference between the brain and the operating system: memory blocks can be reloaded from the disk in a wink which is not true with forgotten memories. You will not see a student at an exam say to the examiner: Wait a second, I have just forgotten it, and must reload it from my slow external storage. Obviously, a crib, or any kind of external reference can serve as a smart crutch for those who do not wish to burden their mind with the effort of remembering. Sadly, in the dog-eat-dog pace of our civilization, the LRU approach becomes more and more often applied in humans. Cribs, help systems and encyclopedias play a greater role than the memory training. The poor record of American graduates in verbal, analytical and logical tests as compared with Chinese, Koreans, or even students coming from Eastern Europe is a sad side effect of a dynamic capitalist economy promoting the shallow LRU education and a race to early accomplishment at any price. Does this LRU trend bode ill for SuperMemo? No, says Wozniak, individuals and governments have long realized the importance of education targeted at areas of lifelong applicability to a modern man. The pressure of the urgent is considered a negative factor not only in education. Even in business! Get into the office of a modern businessman, arguably the primary candidate for stress-related heart disorders (consequence of LRU thinking and prioritizing), and increasingly often you will find in broad display famous maxims targeted on fighting urgency. To ground the belief in the new trends even deeper, it is worth noticing that businesspeople are indeed one of the major customer groups of SuperMemo World.

Retrievability and stability of memory

We got to the point where the evolutionary interpretation of memory indicates that it works using the principles of increasing intervals and the spacing effect. Is there any proof for this model of memory apart from the evolutionary speculation? In his Doctoral Dissertation, Wozniak discussed widely molecular aspects of memory and has presented a hypothetical model of changes occurring in the synapse in the process of learning. The novel element presented in the thesis was the distinction between the stability and retrievability of memory traces. This could not be used to support the validity of SuperMemo because of the simple fact that it was SuperMemo itself that laid the groundwork for the hypothesis. However, an increasing molecular evidence seems to coincide with the stability-retrievability model providing, at the same time, support for the correctness of assumptions leading to SuperMemo. In plain terms, retrievability is a property of memory which determines the level of efficiency with which synapses can fire in response to the stimulus, and thus elicit the learned action. The lower the retrievability the less you are likely to recall the correct response to a question. On the other hand, stability reflects the history of earlier repetitions, and determines the extent of time in which memory traces can be sustained. The higher the stability of memory, the longer it will take for the retrievability to drop to the zero level, i.e. to the level where memories are permanently lost. According to Wozniak, when we learn something for the first time we experience a slight increase in the stability and retrievability in synapses involved in coding the particular stimulus-response association. In time, retrievability declines rapidly; the phenomenon equivalent to forgetting. At the same time, the stability of memory remains at the approximately same level. However, if we repeat the association before retrievability drops to zero, retrievability regains its initial value, while stability increases to a new level, substantially higher than at primary learning. Before the next repetition takes place, due to increased stability, retrievability decreases at a slower pace, and the inter-repetition interval might be much longer before forgetting takes place. Two other important properties of memory should also be noted: (1) repetitions have no power to increase the stability at times when retrievability is high (spacing effect), (2) upon forgetting, stability declines rapidly.

Molecular basis of memory

As mentioned earlier, the molecular mechanisms thought of underlying the memory have not been used as the basis to develop SuperMemo. Though the cross-inspiration was mutual, it is rather the retrievability-stability model which is likely to contribute more to understanding the molecular aspect of memory than vice versa. The correlates between the model and the findings on molecular memory might not be striking at first. After all, most of research on memory consistently focuses on the concept of the retrievability of a synaptic connection. The concept of stability is absolutely new and no mention of similar phenomena can be found in widely published research. However, both short-term memory, as well as the components of long-term memory: retrievability and stability, fit nicely into the presently investigated models of memory and learning.

Internals of SuperMemo

We have already seen that evolution speaks for SuperMemo, findings in the field of psychology coincide with the method, and that facts of molecular biology and conclusions coming from Wozniak's model seem to go hand in hand. Here is the time to see how the described mechanisms have been put to work in the program itself. In the course of repetitions, SuperMemo plots the forgetting curve for the student and schedules the repetition at the moment where the retention, i.e. proportion of remembered knowledge, drops to a previously defined level. In other words, SuperMemo checks how much you remember after a week and if you remember less than desired it asks you to make repetitions in intervals less than one week long. Otherwise, it checks the retention after a longer period and increases the intervals accordingly. A little kink to this simple picture comes from the fact that items of different difficulty have to be repeated at different intervals, and that the intervals increase as the learning process proceeds. Moreover, the optimum inter-repetition intervals have to be known for an average individual, and these must be used before the program can collect data about the real student. There must be obviously the whole mathematical apparatus involved to put the whole machinery at work. All in all, Wozniak says that there have been at least 30 days in his life when he had an impression that the algorithms used in SuperMemo have significantly been upgraded. Each of the cases seemed to be a major breakthrough. The whole development process was just a long succession of trials and errors, testing, improving, implementing new ideas, etc. Unfortunately, those good days are over. There have not been any breakthrough improvement to the algorithm since 1991. Some comfort may come from the fact that since then the software started developing rapidly providing the user with new options and solutions. Can SuperMemo then be yet better, faster, more effective? Wozniak is pessimistic. Any further fine-tuning of the algorithms, applying artificial intelligence or neural networks would be drown in the noise of interference. After all, we do not learn in isolation from the world. When the program schedules the next repetition in 365 days, and the fact is recalled by chance at an earlier time, SuperMemo has no way of knowing about the accidental recollection and will execute the repetition at the previously planned moment. This is not optimal, but it cannot be remedied by improving the algorithm. Improving SuperMemo now is like fine tuning a radio receiver in a noisy car assembly hall. The guys at SuperMemo World are now less focused on science. In their view, after the scientific invention, the time has come for the social invention of SuperMemo.

[In 1995, one year after writing this article, a new SuperMemo algorithm has been developed that promises to still increase the speed of learning, esp. in the very first weeks of repetitions. In 1996, further improvements made the same algorithm less sensitive to breaks in learning. In late 1997, work started over neural network SuperMemo that ultimately proved a disappointment. In 2002, the algorithm extensions make it possible to execute mid-interval repetitions as an anti-interference mechanism]

Theory and practice

Using a simple mathematical model, according to Wozniak, one can easily predict how the learning process will look like in the long perspective. One of the most striking observations is, that apart from the initial period, the speed of learning does not decrease substantially in time (one would rather expect a rapid decline of the knowledge acquisition rate because of the accumulation of outstanding repetitions). Another interesting fact is that even with SuperMemo, one is not likely to master more than a several million facts and figures corresponding to SuperMemo items in lifetime. The average learning speed of an average student amounts to about 300 items/year/min (i.e. the student can memorize 300 items per year if he or she works one minute per day).

This theoretically predicted speed of learning has been confirmed by Wozniak and Gorzelañczyk more than once in small groups of subjects. A recent poll conducted by SuperMemo World among all registered users in Poland, indicates that the average speed of learning reported by registered users of SuperMemo is also close to 300 items/year/min, though individual differences have been more than substantial (from 50 to 3000 items/year/min), and extreme values had to be rejected for a more reliable picture. Simulation experiments based on Wozniak's model of learning show that a student who stops repetitions after a 5-year-long work with SuperMemo is likely to forget 60% of the learned material in the first year after the cessation! [this figure has later been proven exaggerated] Though for shorter periods of time, this staggering figure has been confirmed in practice. At this point one might be disappointed with the volatility of knowledge gained with SuperMemo, but the above figures also confirm once again that learning without SuperMemo is no learning at all.

It might work but it cannot be that good

If one is convinced of the validity what has been said about SuperMemo until now, will he or she be already convinced that the program is a perfect cure for the ailing memory? Can it really capitalize on the properties of the nervous system and let learning proceed a dozen times faster than in standard circumstances? After all there have been generations of students trying to figure out better methods of learning, and a breakthrough comparable with what SuperMemo claims to be seems highly unlikely even to quite an open-minded observer. Wozniak discounts the low-probability argument as the viable source of skepticism, and says that he has more than once traced down evidence that SuperMemo-like approaches to learning have already been tried before with lesser or greater degree of success. Moreover, it is worth noticing that SuperMemo might not see the light were it not implemented as a computer program which can easily be transferred between individuals. In other words, it could have fallen into oblivion as the previous attempts to put order in the process of learning. One must remember that the skeletal algorithm of SuperMemo has been formulated in 1985, and only 1987 saw its very slow expansion in selected scientific circles in Poznañ. Another turning- point to be kept in view is that SuperMemo World would not have been formed in 1991 were it not for the inspiring meeting of minds between Wozniak and his colleague from the university, Krzysztof Biedalak, currently SuperMemo World's Vice-President. Both top-students at the university, Wozniak intended to study neuroscience in the US, Biedalak wanted to do the same in the field of artificial intelligence. Only by coincidence, they were both thrown into the world of entrepreneurial science. All this shows that despite the fact that the principles of SuperMemo are extremely simple and might have been invented several dozen times independently in several dozen countries of the planet, SuperMemo is not just a run-of-the-mill. The distinctive merit of SuperMemo World was to put the idea in practice, invest a great deal of man-hours in development of software, and focus on marketing the idea to the potential customer. Otherwise, SuperMemo would have for ever remained limited to the small circle of its early enthusiasts

How was SuperMemo developed?

Perhaps, while in the context of fulfilled-vs-unfulfilled inventions, it is interesting to take a short look at the entire story of SuperMemo from its very beginning. It was 1982, when 20-year-old student of molecular biology at Adam Mickiewicz University of Poznan, Piotr Wozniak, became quite frustrated with his inability to retain newly learned knowledge in his brain. This referred to the vast material of biochemistry, physiology, chemistry, and English, which one should master wishing to embark on a successful career in molecular biology. One of the major incentives to tackle the problem of forgetting in a more systematic way was a simple calculation made by Wozniak which showed him that by continuing his work on mastering English using his standard methods, he would need 120 years to acquire all the important vocabulary. This not only prompted Wozniak to work on methods of learning, but also, turned him into a determined advocate of the idea of one language for all people (bearing in mind the time and money spent by the mankind on translation and learning languages). Initially, Wozniak kept increasing piles of notes with facts and figures he would like to remember. It did not take long to discover that forgetting requires frequent repetitions and a systematic approach is needed to manage all the newly collected and memorized knowledge. Using a obvious intuition, Wozniak attempted to measure the retention of knowledge after different inter-repetition intervals, and in 1985 formulated the first outline of SuperMemo, which did not yet require a computer. By 1987, Wozniak, then a sophomore of computer science, was quite amazed with the effectiveness of his method and decided to implement it as a simple computer program. Effectiveness of the program appeared to go far beyond what he had expected. This triggered an exciting scientific exchange between Wozniak and his colleagues at the University of Technology and Adam Mickiewicz University. A dozen of students at his department took on the role of guinea pigs and memorized thousands of items providing a constant flow of data and critical feedback. Dr Gorzelañczyk from Medical Academy was helpful in formulating the molecular model of memory formation and modeling the phenomena occurring in the synapse. Dr Makalowski from the Department of Biopolymer Biochemistry contributed to the analysis of evolutionary aspects of optimization of memory (NB: he was also the one who suggested registering SuperMemo for Software for Europe). Janusz Murakowski, MSc in physics, currently enrolled in a doctoral program at the University of Delaware, helped Wozniak solving mathematical problems related to the model of intermittent learning and simulation of ionic currents during the transmission of action potential in nerve cells. A dozen of forthcoming academic teachers, with Prof. Zbigniew Kierzkowski in forefront, helped Wozniak tailoring his program of study to one goal: combining all aspects of SuperMemo in one cohesive theory that would encompass molecular, evolutionary, behavioral, psychological, and even societal aspects of SuperMemo. Wozniak who claims to have discovered at least several important and never-published properties of memory, intended to solidify his theories by getting a PhD in neuroscience in the US. Many hours of discussions with Krzysztof Biedalak, MSc in computer science, made them both choose another way: try to fulfil the vision of getting with SuperMemo to students around the world.

Epilog

When I asked Wozniak if his models like retrievability-stability model, model of optimum repetition spacing, etc. have been confirmed by other researchers in the field of memory and learning, I did not get an unambiguously affirmative answer. After all, says Wozniak, the outline of his methodology employed in SuperMemo has only been published in a worldwide scientific journal only in 1992 (Acta Neurobiologiae Experimentalis), and all his basic findings build up on the model of optimum repetition spacing. Why did he wait so long with publishing the theory in a respectable journal? According to Wozniak, as early as in 1990, he first attempted to publish the results of his early experiments on repetition spacing in several journals, including the most renowned Memory and Cognition. However, the editors, though expressly praising the novel approach to studying memory, constantly tossed him from journal to journal claiming that his paper did not comply exactly with their target profile. Those involved in psychology complained about the intrusion of convoluted computer algorithms, while those closer to mathematics did not want to see their journals review recent literature on spacing effect in memory. Both these components, and more, however, are central to SuperMemo. A great deal of scepticism has also been generated by the regularity of the findings. Wozniak says: the experimental data looked too good to be true; more like they were cooked for the paper.

All in all, one can either trust Wozniak and try SuperMemo, or wait months or years before its true scientific recognition. In the meantime, the marketing team of SuperMemo World is beaming with optimism: it's enough to ask users of SuperMemo, forty thousands of them in Poland alone, how the method fares in their educational pursuits. The general opinion is more than enthusiastic. SuperMemo simply works and we do not need to prove it to our customers.

In questionnaires received at SuperMemo World, when asked what they like most in the program, users of SuperMemo overwhelmingly indicate its effectiveness. The software may be OK, but what really counts is results in learning. How about dislikes? Users are not pleased with this or that, most often with the fact that, even in Poland, SuperMemo is always released first in English. But there is no particular turn-off that takes precedence. Definitely, nobody questions the fact that with SuperMemo one can learn faster and never to worry about forgetting. Taking this rosy picture into heart, one might wonder why has SuperMemo not yet sold in millions of copies worldwide. Marczello Georgiew, Marketing Director at SuperMemo World proposed to recall the problems Graham Bell experienced when trying to introduce his funny machine for talking over a wire or how pessimistic the predictions of industry futurologists were about the expansion of the air-polluting mechanical horse. Then he adds confidently: It took Wozniak 10 years to turn necessity into invention, give us half this time, and we will turn his invention into a global necessity


Language and technology: translation vs education dilemma

Language and technology: translation vs. education dilemma Dr Piotr Wozniak,
SuperMemo R&D Dept,
SuperMemo World,
Apr 12, 1995
This lecture has been presented at Language and Technology Conference, Infosystem 1995, Poznan, Poland

One of the recently promoted trends within the EEC (and not only) is the vision of the multilingual Europe without linguistic barriers. The vision assumes realistic targets for introducing computer technology and employing educational directives that would make it possible to reduce the mounting costs of language translation in the community within the framework of several years.

A far more attractive proposition, in the author’s view, is the vision of monolingual world (not just multilingual Europe) without any barriers (not just linguistic barriers). The proposed transition from the popular vision backed by the European administration to the more controversial long-term vision for the global community implies a visible difference in the implementation approach.

While multilingual community without linguistic barriers puts the main emphasis on perfecting translation tools based on natural language processing technology (with a degree of help from multilingual education), the monolingual world might require, at least in its initial phase, more emphasis on education of the standard communication language for speakers of other languages. The ultimate solution to the global language problem comes, as suggested by Mario Pei back in the 1950s, from establishing a standard language for international communication and introducing regular schooling in this language. Human and financial resources permitting, this language should be introduced at the earliest possible time in educational systems worldwide.

The author’s main interest is focused on optimization issues in the process of learning; including learning languages. Optimization of the four following areas can shorten the path to solving the language problem via the educational approach:

  1. the status of the receiving system (here: the human mind and body): optimization refers to health and the mental hygiene and currently is not aided much with computer technologies
  2. access to knowledge (apart from standard access tools, the knowledge access system should be aware of the learner’s progress in navigating a knowledge hyperspace)
  3. representation of knowledge (e.g. using mnemonic techniques)
  4. retention of the learned material, which can be best accomplished by the application of repetition spacing algorithms such as SuperMemo

SuperMemo Word has developed a software line under the commercial name of SuperMemo for platforms such as Windows [cf. SuperMemo 98], DOS, Macintosh and Commodore Amiga. SuperMemo software applies optimization techniques that make it possible to apply quasi-optimum repetition spacing in the process of learning. In other words, the fourth of the aforementioned optimization issues is dealt with in order to greatly accelerate the process of acquiring new knowledge by minimizing the time necessary for retention of the previously learned material.

Repetition spacing makes it possible to perpetually retain pieces of information in the learner’s memory by effecting less then ten repetitions of the material in the lifetime.

The future development of the SuperMemo software line will go towards the implementation of the so-called Knowledge Machine that incorporates two other optimization issues in learning: access to knowledge and knowledge representation [cf. SuperMemo 98].

At present, the easiest way to become familiar with the repetition spacing technology for language learning applications is to take a look at SuperMemo 6 Public Domain for DOS available from a number of on-line shareware houses


Memory and Learning: Myths and Truths

Memory and Learning: Myths and Facts Dr Piotr Wozniak
August 2003
Those who plan to improve their learning skills must be alert against a volley on false claims that are ripe in books and materials devoted to accelerated learning. This short and concise list should help you avoid books or websites that do not stick to the basics of science. In addition to memory myths, you will find, at the bottom, a summary of other myths described extensively at other places of this website.

Remember to remain skeptical. Hone your skepticism and treat this list with skepticism too. Consult reputable sources.

Contents:

  • 20 Memory myths
  • 16 Genius and creativity myths
  • 19 Sleep myths
  • 16 SuperMemo myths
  • Skepticism (links to skeptic websites)

Memory myths

  1. Myth: It is possible to produce everlasting memories. Even reputable researchers use the term permastore (see: Prof. Harry Bahrick). It is a widely-held belief that it is possible to learn things well enough to protect them permanently from forgetting. Fact: It is possible to learn things well enough to make it nearly impossible to forget them in lifetime. Every long-term memory, depending on its strength, has an expected lifetime. When the memory strength is very high, the expected lifetime may be longer than our own lease on life. However, if we happened to get extra 200 years to live, no memory built in present life would remain safe without repetition
  2. Myth: We never forget. Some accelerated-learning programs claim that we never forget what we learn. Knowledge simply gets "misplaced" and the key to good memory is to figure out how to dig it out. Fact: All knowledge is subject to gradual decay. Even your own name is vulnerable. It is only a matter of probability. Strong memories are very unlikely to be forgotten. The probability of forgetting one's name is like the probability of getting hit by an asteroid: possible but not considered on a daily basis
  3. Myth: Memory is infinite. Fact: Anyone with basic computational understanding of memory will call this claim absurd, but 50% of Americans still believe the earth was created by God less than 10,000 years ago. We cannot even hope to memorize Encyclopedia Britannica in lifetime. Because information is stored in synapses which are finite, memory storage is naturally finite too. Even worse, storing information long-term is not easy. Most people will find it hard to go beyond 300,000 facts memorized in a lifetime (with SuperMemo, 300,000 items is quite realistic though). For the other extreme see: Memory overload may cause Alzheimer's
  4. Myth: Mnemonics is a panacea to poor memory. Some memory programs focus 100% on mnemonic techniques. They claim that once you represent knowledge in an appropriate way, it can be memorized in a nearly-permanent way. Fact: Mnemonic techniques dramatically reduce the difficulty of retaining things in memory. However, they still do not produce everlasting memories. Repetition is still needed, even though it can be less frequent. If you compare your learning tools to a car, mnemonics is like a tire. You can go on without it, but it makes for a smooth ride
  5. Myth: The more you repeat the better. Many books tell you to review your materials as often as possible (Repetitio mater studiorum est). Fact: Not only frequent repetition is a waste of your precious time, it may also prevent you from effectively forming strong memories. The fastest way to building long-lasting memories is to review your material in a precisely determined moments of time. For long memories with minimum effort use spaced repetition (see SuperMemo)
  6. Myth: You should always use mnemonic techniques. Some enthusiasts of mnemonic techniques claim that you should use them in all situations and for all sorts of knowledge. They claim that learning without mnemonic techniques is always less effective. Fact: Mnemonic techniques also carry some costs. Sometimes it is easier to commit things to memory straight away. The pair of words teacher=instruisto in Esperanto is mnemonic on its own (assuming you know the rules of Esperanto grammar, basic roots and suffixes). Using mnemonic techniques may be an overkill in some circumstances. The rule of thumb is: evoke mnemonic techniques only when you detect a problem with remembering a given thing. For example, you will nearly always want to use a peg-system to memorize phone numbers. Best of all, mnemonic tricks should be a part of your automatically and subconsciously employed learning arsenal. You will develop it over a long run time with massive learning
  7. Myth: We cannot improve memory by training. Infinite memory is a popular optimist's myth. A pessimist's myth is that we cannot improve our memory via training. Even William James in his genius book The Principles of Psychology (1890) wrote with certainty that memory does not change unless for the worse (e.g. as a result of disease). Fact: If considered at a very low synaptic level, memory is indeed quite resilient to improvement. Not only does it seem to change little in the course of life. It is also very similar in its action across the human population. At the very basic level, synapses of a low-IQ individual are as trainable as that of a genius. They are also not much different from those of a mollusk Aplysia or a fly Drosophila. However, there is more to memory and learning than just a single synapse. The main difference between poor students and geniuses is in their skill to represent information for learning. A genius quickly dismembers information and forms simple models that make life easy. Simple models of reality help understand it, process it and remember it. What William James failed to mention is that a week-long course in mnemonic techniques dramatically increases learning skills for many people. Their molecular or synaptic memory may not improve. What improves is their skill to handle knowledge. Consequently, they can remember more and longer. Learning is a self-accelerating and self-amplifying process. As such it often leads to miraculous results.
  8. Myth: Encoding variability theory. Many researchers used to believe that presenting material in longer intervals is effective because of varying contexts in which the same information is presented. Fact: Methodical research indicates that the opposite is true. If you repeat your learning material in the exactly same context, your recall will be easier. Naturally, knowledge acquired in one context may be difficult to recover in another context. For this reason, your learning should focus on producing very precise memory trace that will be universally recoverable in varying contexts. For example, if you want to learn the word informavore, you should not ask How can I call John? He eats knowledge for breakfast. This definition is too context-dependent. Even if it is easy to remember, it may later appear useless. Better ask: How do I call a person who devours information?. Now, even if you always ask the same question in the same context, you are likely to correctly use the word informavore when it is needed. For more on encoding variability and spacing effect see: Spaced repetition in the practice of learning
  9. Myth: Mind maps are always better than pictures. A picture is worth a thousand words. It is true that we remember pictures far better than words. It is true that mind maps are one of the best pictorial representations of knowledge. Some mnemonists claim that all we learn should be in the form of a picture or even a mind map. Fact: It all depends on the material we learn. One of the greatest advantages of text is its compactness and ease at which we can produce it. To memorize your grandma's birthday, you do not really need her picture. A simple verbal mnemonic will be fast to type and should suffice. In word-pair learning, 80% of your material may be textual and still be as good or even better than pictorials. If you ask about the date of the Battle of Trafalgar, you do not need a picture of Napoleon as an illustration. As long as you recall his face at the sound of his name, you have established all links needed to deduce relevant pieces of knowledge. If you add a picture of the actual battle, you will increase the quality and extent of memorized information, but you will need to invest extra minutes into finding the appropriate illustration. Sometimes a simple text formula is all you need
  10. Myth: Review your material on the first day several times. Many authors suggest repeated drills on the day of the first contact with the new learning material. Others propose microspacing (i.e. using spaced repetition for intervals lasting minutes and hours). These are supposed to consolidate the newly learned knowledge. Fact: A single effective repetition on the first day of learning is all you need. Naturally it may happen, you cannot recall a piece of information upon a single exposure. In such cases you may need to repeat the drill. It may also happen that you cannot effectively put together related pieces of information and you need some review to build the big picture. However, in the ideal case, on the day #1 you should (1) understand and (2) execute a single successful active recall (such as answering the question "When did Pangea start breaking up?"). One exposure should then suffice to begin the process of consolidating the memory trace
  11. Myth: Review your material next day after a good night sleep. Many authors believe that sleep consolidates memories and you need to strike iron while it is hot to ensure good recall. In other words, they suggest a good review on the next day after the first exposure. Fact: Although sleep is vital for learning and review is vital for remembering, the optimal timing of the first review is usually closer to 3-7 days. This number comes from calculations that underlie spaced repetition. If we aim to maximize the speed of learning at a steady 95% recall rate, most well-formulated knowledge for a well-trained student will call for the first review in 3-7 days. Some pieces must indeed be reviewed on the next day. Some can wait as long as a month. SuperMemo and other computer programs based on spaced repetition will optimize the length of the first interval before the first review
  12. Myth: Learn new things before sleep. Because of the research showing the importance of sleep in learning, there is a widespread myth claiming that the best time for learning is right before sleep. This is supposed to ensure that newly learned knowledge gets quickly consolidated overnight. Fact: The opposite is true. The best time for learning in a healthy individual is early morning. Many students suffer from DSPS (see: Good sleep for good learning) and simply cannot learn in the morning. They are too drowsy. Their mind seems most clear in the quiet of the late night. They may indeed get better results by learning in the night, but they should rather try to resolve their sleep disorder (e.g. with free running sleep). Late learning may reduce memory interference, i.e. obliteration of the learned material by the new knowledge acquired during the day. However, a far more important factor is the neurohormonal state of the brain in the learning process. In a hormonal sense, the brain is best suited for learning in the morning. It shows highest alertness and the best balance between attention and creativity. The gains in knowledge structure and the speed of processing greatly outweigh all minor advantages of late-night learning
  13. Myth: Long sleep is good for memory. Association of sleep and learning made many believe that the longer we sleep the healthier we are. In addition, long sleep improves memory consolidation. Fact: All we need for effective learning is well-structured sleep at the right time and of the optimum length. Many individuals sleep less than 5 hours and wake up refreshed. Many geniuses sleep little and practice catnaps. Long sleep may correlate with disease. This is why mortality studies show that those who sleep 7 hours live longer than 9-hour-sleepers. The best formula for good sleep: listen to your body. Go to sleep when you are sleepy and sleep as long as you need. When you catch a good rhythm without an alarm clock, your sleep may ultimately last less but produce far better results in learning. It is the natural healthy structure of sleep cycles that makes for good learning (esp. in non-declarative problem solving, creativity, procedural learning, etc.)
  14. Myth: Alpha-waves are best for learning. Zillions of speed-learning programs propose learning in a "relaxed state". Consequently, gazillions of dollars are misinvested by customers seeking instant relief to their educational pains. Fact: It is true that relaxed state is vital for learning. "Relaxed" here means stress-free, distraction-free, and fatigue-free. However, a red light should blink when you hear of fast learning through inducing alpha states. Alpha waves are better known from cropping up when you are about to fall asleep. They are better correlated with lack of visual processing than with the absence of distracting stress. You do not need "alpha-wave machinery" to enter the "relaxed state". You can do far better by investing your time and money in ensuring good peaceful environment for learning, as well as skills related to time-management, conflict-resolution, and stress-management. Neurofeedback devices may play a role in hard to crack stress cases. However, good health, peaceful environment and loving family are your simple bets for the "relaxed state"
  15. Myth: Memory gets worse as we age. Aging universally affects all organs. 50% of 80-year-olds show symptoms of Alzheimer's disease. Hence the overwhelming belief that memory unavoidably gets rusty at an older age. Fact: It is true we lose neurons with age. It is true that the risk of Alzheimer's increases with age. However, a well-trained memory is quite resilient and shows comparatively fewer functional signs of aging than the joints, the heart, the vascular system, etc. Moreover, training increases the scope of your knowledge, and paradoxically, your mental abilities may actually increase well into a very advanced age
  16. Myth: You can boost your learning with memory pills. Countless companies try to market various drugs and supplements with claims of improved memory. Fact: There are no memory pills out there (August 2003). Many drugs and supplements indirectly help your memory by simply making you healthier. Many substances can help the learning process itself (e.g. small doses of caffeine, sugar, etc.), but these should not be central to your concerns. It is like running a marathon. There are foods and drugs that can help you run, but if you are a lousy runner, no magic pill can make finish in less than 3 hours. Do not bank on pharmiracles. A genius memory researcher Prof. Jim Tully believes that his CREB research will ultimately lead to a memory pill. However, his memory pill is not likely to specifically affect desired memories while leaving other memories to inevitable forgetting. As such, each application of the pill will likely produce a side effect of enhanced memory traces for all things learned in the affected period. Neural network researchers know the problem as stability-vs.-plasticity dilemma. Evolution solved this problem in a way that will be hard to change. Admittedly though, combination of a short-lasting memory enhancement with a sharply-focused spaced repetition (as with SuperMemo) could indeed bring further enhancement to learning
  17. Myth: Learning by doing is the best. Everyone must have experienced the value of learning by doing. This form of learning often leads to memories that last for years. No wonder, some educators believe that learning by doing should monopolize educational practice. Fact: Learning by doing is very effective in terms of the quality of produced memories, but it is also very expensive in expenditure of time, material, organization, etc. The experience of a dead frog's leg coming to life upon touching a wire may stay with one for life (perhaps as murderous nightmares resulting from the guilt of killing). However, a single picture or mpeg of the same experiment can be downloaded from the net in seconds and retained for life with spaced repetition at the cost of 60-100 seconds. This is incomparably cheaper than hunting for frogs in a pond. When you learn to program your VCR, you do not try all functions listed in the manual as this could take a lifetime. You skim the highlights and practice only those clicks that are useful for you. We should practise learning by doing only then when it pays. Naturally, in the area of procedural learning (e.g. swimming, touch typing, playing instruments, etc.), learning by doing is the right way to go. That comes from the definition of procedural learning
  18. Myth: It is possible to memorize Encyclopedia Britannica. Anecdotal evidence points to historical and legendary figures able of incredible feats of memory such as learning 56 languages by the age of 17, memorizing 100,000 hadiths, showing photographic memory lasting years, etc. No wonder that it leads to the conviction that it is possible to memorize Britannica word for word. It is supposed to only be the question of the right talent or the right technique. Fact: A healthy, intelligent and non-mutant mind shows a surprisingly constant learning rate. If Britannica is presented as a set of well-formulated questions and answers, it is easy to provide a rough estimate of the total time needed to memorize it. If there are 44 million words in Britannica, we will generate 6-15 million cloze deletions, these will require 50-300 million repetitions by the time of job's end (see spaced repetition theory), and that translates to 25-700 years of work assuming 6 hours of unflagging daily effort. All that assuming that the material is ready-to-memorize. Preparing appropriate questions and answers may take 2-5 times more than the mere memorization. If language fluency is set at 20,000 items (this is what you need to pass TOEFL in flying colors or comfortably read Shakespeare), the lifetime limit on learning languages around 50 might not be impossible (assuming total dawn-to-dusk dedication to the learning task). Naturally, those who claim fluency in 50 languages, are more likely to show an arsenal of closer to 2000 words per language and still impress many
  19. Myth: Learning while sleeping. An untold number of learning programs promises you to save years of life by learning during sleep. Fact: It is possible to store selected memories generated during sleep by: external stimuli, dreams, hypnagogic and hypnopompic hallucinations (i.e. hallucinations experienced while falling asleep and while waking up). However, it is nearly impossible to harness this process into productive learning. The volume of knowledge that can be gained during sleep is negligible. Learning in sleep may be disruptive to sleep itself. Learning while sleeping should not be confused with the natural process of memory consolidation and optimization that occurs during sleep. This process occurs during a complete sensory cut-off, i.e. there are no known methods of influencing its course to the benefit of learning. Learning while sleeping is not only a complete waste of time. It may simply be unhealthy
  20. Myth: High fluency reflects high memory strength. Our daily observations seem to indicate that if we recall things easily, if we show high fluency, we are likely to remember things for long. Fact: Fluency is not related to memory strength! The two-component model of long-term memory shows that fluency is related to the memory variable called retrievability, while the length of the period in which we can retain memories is related to another variable called stability. These two variables are independent. This means that we cannot derive memory stability from the current fluency (retrievability). The misconception comes from the fact that in traditional learning, i.e. learning that is not based on spaced repetition, we tend to remember only memories that are relatively easy to remember. Those memories will usually show high fluency (retrievability). They will also last for long for reasons of importance, repetition, emotional attachment, etc. No wonder that we tend to believe that high fluency is correlated with memory strength. Users of SuperMemo can testify that despite excellent fluency that follows a repetition, the actual length of the interval in which we recall an item will rather depend on the history of previous repetitions, i.e. we remember better those items that have been repeated many times. See also: automaticity vs. probability of forgetting

The list of myths is by no means complete. I included only the most damaging distortions of the truth, i.e. the ones that can affect even a well-informed person. I did not include myths that are an offence to our intelligence. I did not ponder over repressed memories, subliminal learning, psychic learning, or remote viewing (unlike CIA). The list is simply too long.

See also: Memory FAQ

Sleep myths (see: Good sleep for good learning for a more comprehensive list)

  1. Myth: Since we feel rested after sleep, sleep must be for resting. Ask anyone, even a student of medicine: What is the role of sleep? Nearly everyone will tell you: Sleep is for rest. Fact: Sleep is for optimizing the structure of memories. If it was for rest or energy saving, we would cover the saving by consuming just one apple per night. To effectively encode memories, mammals, birds and even reptiles need to turn off the thinking and do some housekeeping in their brains. This is vital for survival. This is why the evolution produced a defense mechanism against skipping sleep. If we do not get sleep, we feel miserable. We are not actually as wasted as we feel, the damage can be quickly repaired by getting a good night sleep. Our health may not suffer as much as our learning and intelligence. Feeling wasted in sleep deprivation is the result of our brain dishing punishment for not sticking to the rules of an intelligent form of life. Let the memory do restructuring in its programmed time
  2. Myth: Sleeping pills will help you sleep better. Fact: Benzodiazepines can help you sleep, but this sleep is of far less quality than naturally induced sleep (the term "sleeping pill" here does not apply to sleep-inducing supplements such as melatonin, minerals, or herbal preparations). Not only are benzodiazepines disruptive to the natural sleep stage sequence. They are also addictive and subject to tachyphylaxis (the more you take the more you need to take). Sleeping pills can be useful in circumstances where sleep is medically vital, and cannot be achieved by other means. Otherwise, avoid sleeping pills whenever possible
  3. Myth: Silence and darkness are vital for sleep. This may be the number one advice for insomniacs: use your sleeping room for sleep only, keep it dark and quiet. Fact: Silence and darkness indeed make it easier to fall asleep. They may also help maintain sleep when it is superficial. However, they are not vital. Moreover, for millions of insomniacs, focusing on peaceful sleeping place obscures the big picture: the most important factor that makes us sleep well, assuming good health, is the adherence to one's natural circadian rhythm! People who go to sleep along their natural rhythm can often sleep well in bright sunshine. They can also show remarkable tolerance to a variety of noises (e.g. loud TV, family chatter, the outside window noise, etc.). This is all possible thanks to the sensory gating that occurs during sleep executed "in phase". Absence of sensory gating in "wrong phase" sleep can easily be demonstrated by lesser changes to AEPs (auditory evoked potentials) registered at various parts of the auditory pathway in the brain. Noises will wake you up if you fail to enter deeper stages of sleep, and this failure nearly always comes from sleeping at the wrong circadian phase (e.g. going to sleep too early). If you suffer from insomnia, focus on understanding your natural sleep rhythm. Peaceful sleeping place is secondary (except in cases of impaired sensory gating as in some elderly). Insomniacs running their daily ritual of perfect darkness, quiet, stresslessness and sheep-counting are like a stranded driver hoping for fair winds instead of looking for the nearest gas station. Even worse, if you keep your place peaceful, you run the risk of falling asleep early enough to be reawakened by the quick elimination of the homeostatic component of sleep. Learn the principles of healthy sleep that will make you sleep in all conditions. Only then focus on making your sleeping place as peaceful as possible. For more see: Good sleep, good learning
  4. Myth: People are of morning or evening type. Fact: This is more of a misnomer than a myth. Evening type people, with chronotherapy, can easily be made to wake up with the sun. What people really differ in is the period of their body clock, as well as the sensitivity to and availability of stimuli that reset that rhythm (e.g. light, activity, stress, etc.). People with an unusually long natural day and low sensitivity to resetting stimuli will tend to work late and wake up late. Hence the tendency to call them "evening type". Those people do not actually prefer evenings, they simply prefer longer working days. The lifestyle affects the body clock as well. A transition from a farmer's lifestyle to a student's lifestyle will result in a slight change to the sleeping rhythm. This is why so many students feel as if they were of the evening type
  5. Myth: Avoid naps. Fact: Naps may indeed worsen insomnia in people suffering from DSPS, esp. if taken too late in the day. Otherwise, naps are highly beneficial to intellectual performance. It is possible to take naps early in the day without affecting one's sleeping rhythm. Those naps must fall before or inside the so-called dead zone where a nap does not produce a phase response (i.e. shift in the circadian rhythm)
  6. Myth: Night shifts are unhealthy. Fact: People working in night shifts are often forced out of work by various ailments such as a heart condition. However, it is not night shifts that are harmful. It is the constant switching of the sleep rhythm from day to night and vice versa. It would be far healthier to let night shift people develop their own regular rhythm in which they would stay awake throughout the night. It is not night wakefulness that is harmful. It is the way we force our body do things it does not want to do
  7. Myth: Going to bed at the same time is good for you. Fact: Many sleep experts recommend going to sleep at the same time every day. Regular rhythm is indeed a form of chronotherapy recommended in many circadian rhythm problems. However, people with severe DSPS may simply find it impossible to go to sleep at the same time everyday. Such forced attempts will only result in a self-feeding cycle of stress and insomnia. In such cases, the struggle with one's own rhythm is simply unhealthy. Unfortunately, people suffering from DSPS are often forced into a "natural" rhythm by their professional and family obligations
  8. Myth: People who sleep less live longer. In 2002, Dr Kripke compared the length of sleep with longevity (1982 data from a cancer risk survey). He figured out that those who sleep 6-7 hours live longer than those who sleep 8 hours and more. No wonder that a message started spreading that those who sleep less live longer. Fact: The best longevity prognosis is ensured by sleeping in compliance with one's natural body rhythm. Those who stick to their own good rhythm often sleep less because their sleep is better structured (and thus more refreshing). "Naturally sleeping" people live longer. Those who sleep against their body call, often need to clock more hours and still do not feel refreshed. Moreover, disease is often correlated with increased demand for sleep. Infectious diseases are renowned for a dramatic change in sleep patterns. When in coma, you are not likely to be adding years to your life. Correlation is not causation
  9. Myth: A nap is a sign of weakness. Fact: A nap is not a sign of weakness, ill-health, laziness or lack of vigor. It is a philogenetic remnant of a biphasic sleeping rhythm. Not all people experience a significant mid-day slump in mental performance. It may be well masked by activity, stress, contact with people, sport, etc. However, if you experience a slump around the 5th to 8th hour of your day, taking a nap can dramatically boost your performance in the second half of the day
  10. Myth: Alarm clock can help you regulate the sleep rhythm. Fact: An alarm clock can help you push your sleep rhythm into the desired framework, but it will rarely help you accomplish a healthy sleep rhythm. The only tried-and-true way to accomplish a healthy sleep and a healthy sleep rhythm is to go to sleep only when you are truly sleepy, and to wake up naturally without external intervention
  11. Myth: Being late for school is bad. Fact: Kids who persistently cannot wake up for school should be left alone. Their fresh mind and health are far more important. 60% of kids under 18 complain of daytime tiredness and 15% fall asleep at school (US, 1998). Parents who regularly punish their kids for being late for school should immediately consult a sleep expert as well as seek help in attenuating the psychological effects of the trauma resulting from the never ending cycle of stress, sleepiness and punishment
  12. Myth: Being late for school is a sign of laziness. Fact: If a young person suffers from DSPS, it may have perpetual problems with getting up for school in time. Those kids are often actually brighter than average and are by no means lazy. However, their optimum circadian time for intellectual work comes after the school or even late into the evening. At school they are drowsy and slow and simply waste their time. If chronotherapy does not help, parents should consider later school hours or even home-schooling
  13. Myth: We can sleep 3 hours per day. Many people enviously read about Tesla's or Edison's sleeping habits and hope they could train themselves to sleep only 3 hours per day having far more time for other activities. Fact: This might work if you plan to party all the time. And if your health is not a consideration. And if your intellectual capacity is not at stake. You can sleep 3 hours and survive. However, if your aspirations go beyond that, you should rather sleep exactly as much as your body wants. That is an intelligent man's optimum. With your improved health and intellectual performance, your lifetime gains will be immense
  14. Myth: We can adapt to polyphasic sleep. Looking at the life of sailors, many people believe they can adopt polyphasic sleep and save many hours per day. In polyphasic sleep, you take only 4-5 short naps during the day totaling less than 4 hours. There are many "systems" differing in the arrangement of naps. There are also many young people ready to suffer the pains to see it work. Although a vast majority will drop out, a small circle of the most stubborn ones will survive a few months and will perpetuate the myth with a detriment to public health. Fact: We are basically biphasic and all attempts to change the inbuilt rhythm will result in loss of health, time, and mental capacity. A simple rule is: when sleepy, go to sleep; while asleep, continue uninterrupted
  15. Myth: Sleep before midnight is more valuable. Fact: Sleep is most valuable if it comes at the time planned by your own body clock mechanism. If you are not sleepy before midnight, forcing yourself can actually ruin your night if you wake up early
  16. Myth: The body will always crave excess sleep as it craves excess food. Some people draw a parallel between our tendency to overeat with sleep. They believe that if we let the body dictate the amount of sleep, it will always ask for more than needed. As a result, they prefer to cut sleep short with an alarm clock to "optimize" the amount of sleep they get. Fact: Unlike storage of fat, there seems to be little evolutionary benefit to extra sleep. Probably, our typical 6-8 hour sleep is just enough to do all "neural housekeeping". People with sleep deficit may indeed tend to sleep obscenely long. However, once they catch up and get into the rhythm, the length of their sleep is actually likely to decrease
  17. Myth: Magnesium, folates, and other supplements can help you sleep better. Fact: Nutrients needed for good health are also good for sleep. However, supplementation is not likely to play a significant role in resolving your sleep problems. Vitamins may help if you are in deficit, but a vast majority of sleep disorders in society come from the lack of respect or understanding of the circadian rhythm. Only wisely administered melatonin is known to have a beneficial effect on the advancement of sleep phase. If you are having problems with sleep, read Good sleep for good life. As for supplements, stick to a standard healthy diet. That should suffice
  18. Myth: It is best to wake up with the sun. Fact: You should wake up at the time when your body decides it got enough of sleep. If this happens to be midday, a curtain over the window will prevent you from being woken up by the sun. At the same time sun may help you reset your body clock and help you wake up earlier. People who wake up naturally with the sun are indeed among the healthiest creatures on the planet. However, if you do not wake up naturally before 4 am, trying to do so with the help of an alarm clock will only add misery to your life
  19. Myth: You cannot change the inherent period length of your body clock. Fact: With various chronotherapeutic tricks it is possible to change the period of the clock slightly. It can be reset or advanced harmlessly by means of melatonin, bright light, exercise, meal timing, etc. It can also be reset in a less healthy way: with an alarm clock. However, significant lifestyle changes may be needed to resolve severe cases of DSPS or ASPS. The therapy may be stressful, and the slightest deviation from the therapeutic regimen may result in the relapse to an undesirable rhythm. Those who employ free-running sleep may take the easiest way out of the period length problem: stick to the period that is the natural outcome of your current lifestyle
See also: Sleep FAQ

Creativity myths (see: Genius and Creativity for a more comprehensive list)

  1. Myth: You must be born with a creative mind! Fact: Some kids indeed show an incredible curiosity and rage to master. However, there are many techniques that can help you multiply your creativity. Creativity is trainable. See Genius and Creativity for some hints
  2. Myth: If you miss childhood, your genius is lost! Fact: Human brain is plastic by definition. In many fields of learning, childhood neglect makes later progress harder; however, training can always produce miracles. Childhood is very important for growth, but if you lost it, you can still catch up in many areas with intense training
  3. Myth: Do not memorize! Fact: This fallacy comes from the fact that many sources fail to delineate the full spectrum of knowledge applicability from dry useless facts to highly abstract reasoning rules. Understanding, thinking, problem solving, creativity, etc. are all based on knowledge. This rule should rather be formulated as: Knowledge selection is critical for success in learning. The correct and non pejorative definition of the word memorize is to: "commit knowledge to memory". Along this definition, you can say: Do memorize! Just make a smart selection of things to learn. See: Smart and dumb learning for a discussion and examples
  4. Myth: Proliferation of geniuses is a threat to humanity. Fact: Most of the good things that surround us are a product of nature, love, or human genius. It is true that the output of genius minds is often used for evil purposes; however, halting genius would be equivalent to halting or reversing the global progress
  5. Myth: If you do something stupid, so are you! Fact: Human brain is an imperfectly programmed machine. It never stops learning and verifying its errors. Its knowledge base is painfully limited. The same brain may be able to disentangle the complexities of the string theory and then slip on simple sums. Notes left by Newton, Leibnitz or Babbage show that they erred on their way to great discovery or meandered in an entirely wrong direction. We measure genius by its top accomplishments, not by the lack of failures
  6. Myth: Geniuses do not forget things! Fact: Genius brains are made of the same substance as average ones. Consequently, their memories are subject to the exactly same laws of forgetting. All knowledge in the human brain declines along a negatively exponential curve. Forgetting is as massive in a genius mind as it is in any other. The best tools against forgetting are (1) good knowledge representation (e.g. mnemonic techniques) and (2) review (based on active recall and spaced repetition). Geniuses may hold an advantage by developing powerful representation skills that make learning much easier. They often develop those skills early and without a conscious effort. However, the science of mnemonics is well developed and you can see a dramatic difference in your knowledge representation skills after a week-long course
  7. Myth: Geniuses sleep little! Fact: When looking at Edison, Tesla, or Churchill it is easy to believe that cutting down on sleep does not seem to pose a problem in creative achievement. Those who try to work creatively in conditions of sleep deprivation will quickly discover though that fresh mind is by far more important than those 2-3 hours one can save by sleeping less. A less visible side effect of sleep deprivation is the effect on memory consolidation and creativity in the long term. Lack of sleep hampers remembering. It also prevents creative associations built during sleep. It is not true that geniuses sleep less. Einstein would work best if he got a solid nine hours of sleep
  8. Myth: Early to ripe, early to rot! Fact: Terman Study contradicts this claim. A majority of precocious kids go on to do great things in life
  9. Myth: You need a degree! Fact: Edison got only 3 months of formal schooling. Lincoln spent less than a year at school. Benjamin Franklin's formal education ended when he was 10. Graham Bell was mostly family trained and self-taught. Steve Wozniak, Steve Jobs, Dean Kamen, and Bill Gates were all college drop-outs. Isaac Newton found school boring and was considered by many a mediocre student. However, there is one thing they all had in common: they loved books and could spend whole days reading and studying
  10. Myth: Genius can be evil! Fact: Evil, by definition, is foolish. One can show genius skills in a narrow field and still be an evil person, but an evil human being does not deserve a title of a genius. True wisdom can reach far beyond a narrow field of specialization. It will inevitably encompass the matters of ethics. This is why all true geniuses are deeply concerned with the future of humanity. See: Goodness of knowledge
  11. Myth: Be unique! This boosts creativity! Fact: The relationship between uniqueness and creativity is reverse. It is true that many creative people are unique or strange in behavior. This comes from their creative way of looking at things and unwillingness to stick to those forms of tradition that defy reason. By no means an effort towards uniqueness will boost creativity. It is true that Einstein smoked a pipe, but it does not mean that you will be more of a genius if you take on smoking a pipe
  12. Myth: TV makes you stupid! Fact: TV or radio can be harmful if you are unable to control what you watch or listen, or if you are unable to optimize the proportion of your time spent on broadcasts. Otherwise, TV is still hard to match in its ability to present to you a pre-selected and emphatically graphic video material for the purposes of education or getting informed. Video education based on the material from reputable channels may be the most efficient form of tutor-less education. Swap MTV for Discovery, and make a good selection. Although you cannot employ incremental video watching yet (cf. incremental reading), a dose of daily VCR viewing will help you stay up to date with the news and brush up your general education
  13. Myth: Curiosity killed the cat! Fact: As long as you stay within the boundaries of politeness, live by a better proverb: Curiosity is your pass to the kingdom of knowledge

  14. Myth: Mozart effect. Listening to Mozart increases intelligence. Fact: Mozart was one of the greatest musical geniuses in history. His music might be used in musicality training and produce far better neural effects than, say, today's pop music. However, Mozart's impact on neural growth cannot be verifiably judged better than that of solving cross-word puzzles, singing, playing soccer or learning chemistry. To a philistine, Mozart may do as much good as a recitation of Goethe's poems to a baboon. Neither is listening to Mozart superior to listening to your favorite pieces of music for the sake of boosting "happy brain messengers". Mozart has been cannibalized by the accelerated learning industry as a simple way towards a quick buck. Few gimmicks are as simple as packaging a Mozart CD with a label "Learn 10 times faster". Mozart Effect powerfully illustrates the myth-making power of money. This power has also spawned other cheap "learning solutions" such as learning while sleeping, learning while relaxing, or memory-boosting supplements. Regrettably, even highly respected and reputable websites, journals or TV program fall prey to these catchy memes. Your vigilance needs to triple in these areas

  15. Myth: We use only 0.1% of our brain power. Some reputable researchers derived the 0.1% figure from a simple calculation involving the number of neurons and the numbers of synapses residing in the human brain. The resulting figure seemed to imply an astounding computational capacity. Fact: The brain is energetically a very expensive organ. Only major improvements in human diet in the course of human evolution made it possible to provide for a substantial gain in the brain mass. If the 0.1% or even the 10% claim was to be true, the unused portions of the brain would quickly fall prey to natural selection resulting in energy-saving shrinkage of the brain. Portions of brain are programmed to execute highly specialized functions, other portions can easily be used to store vast expanses of declarative knowledge. The process of forgetting has been fine tuned to maximize the use of the existing storage in the reproductive lifetime. Nevertheless, it is not likely we ever run out of memory space when using the trick of spaced repetition to maximize the inflow of new information to memory
  16. Myth: Gifted kids become genius adults. Fact: It is the personality and the training that determine the final outcome. Most of gifted kids are lucky to do well; however, giftedness should not be taken for granted

See also: Genius and creativity FAQ

SuperMemo myths

Ever since it was conceived, SuperMemo had to struggle with myths slowing down its popularization. Preventing the reappearance of myths appears to be a never-ending battle. The knowledge about all things SuperMemo has grown to a substantial volume. Not all users can afford reading dozens of articles. Many are prone to arrive to the same wrong conclusions independently of others. Some of these myths are rooted in general myths of memory (as above). Others seem to spring from the common sense thinking about learning. Here are some most damaging myths related to spaced repetition and SuperMemo:

  1. Myth: SuperMemo can only be used for learning languages. SuperMemo gained most popularity by its effectiveness in learning vocabulary of foreign languages. Hence the myth that SuperMemo is a program for learning languages. A related myth is that it is a program that can only be used for cramming facts, while it cannot effectively be used for complex sciences, rules, modeling, problem solving, creativity, etc. Fact: SuperMemo can be used in any form of declarative learning (i.e. learning of things you can find in textbooks as opposed to learning to ride a bike, etc.). Word-pair learning appears to be the simplest application, while learning complex facts and rules of science may require far more skills in formulating the learning material. This is why many users are indeed unsuccessful when trying to learn, for example, astronomy. If you read 20 rules of formulating knowledge you will realize the number of snags that have to be overcome. Those snags contribute to Myth #1 on the limited applicability of SuperMemo
  2. Myth: SuperMemo is a great tool for cramming. Many first-time users hear it by word of mouth that SuperMemo is a great tool for cramming. They are ready to buy the program only for the purpose of an exam coming in a week. Fact: SuperMemo is nearly useless for cramming knowledge that is supposed to last less than a week. For fast cramming to an exam, use traditional review, recall, repeat approach known to crammers for ages. The power of SuperMemo increases in proportion to the expected lifetime of knowledge in your memory. SuperMemo is useful if you need to remember things for a year (e.g. legal code). It is more useful if you learn for a decade (e.g. a programming language). But it is unsurpassed in gathering lifetime knowledge (e.g. anatomy, geography, history, etc.)
  3. Myth: SuperMemo is hard to use. Several thousand FAQs and the 5 MB help file make many think SuperMemo is complex. It may appear like a program dedicated to heavyweight professionals. This makes it seem like a program of little use to mere mortals. Fact: It is true that some users start from the "wrong end" or wrong pre-conceived assumptions. They may indeed get lost or frustrated. However, a well-tested and certified fact is that SuperMemo can be used effectively after a 3 minute introduction! A great part of its power (perhaps a half) can be harnessed by learning just two operations: Add new (adding new questions and answers) and Learn (making repetitions). Naturally, things get gradually more complex when you start adding multimedia, foreign language support, templates, categories, etc. At the other end, incremental reading, a powerful reading and learning technique, may require months of training before bringing quality results. You can easily start using SuperMemo today, and gradually build skills needed to expand its power
  4. Myth: SuperMemo is useless. Some people truly believe that the natural mechanisms of building long-term memories are superior to spaced repetition. Fact: Our brain prefers "easy" over "important". We excel at remembering celebrity trivia. We are dismal at recalling mathematical formulas learned in high school. In addition, those who deny the value of spaced repetition usually fail to appreciate the value of associative memory, or fail to delineate the distinction between cramming facts and learning universal inference rules. There are many traps of ignorance that prevent people from ever trying SuperMemo. See: SuperMemo is Useless and No force in the world can convince me to SuperMemo
  5. Myth: As you add more material to SuperMemo, your repetition loads mount beyond being manageable. No item added to SuperMemo is considered "memorized for good". For that reasons, all items are subject to review sooner or later. This makes many believe that there is an inevitable increase in the cost of repetitions. Fact: It is true that a large number of outstanding repetitions is the primary excuse for SuperMemo drop-outs. However, computer simulations as well as real-life measurements show that, with the constant daily learning time, the acquisition of new knowledge does not visibly slow down in time (except the very first couple of months). In other words, from a long-term perspective, the acquisition of new knowledge is nearly linear. Older items are repeated less and less quickly leaving room for new material. The exponential nature of this "fading" explains why we can continue with a heavy inflow of new material for decades
  6. Myth: SuperMemo repetitions take too much time. Many users struggle with an increasing load of repetitions and may conclude that the effort is not worth the outcome. Fact: Just 3 well-selected items memorized per day may produce a better effect than a hundred crammed facts. This means that even a minute per day will make a world of difference, as long as you pay attention to what you learn. Not all knowledge is worth the effort of 99% retention. High retention should be reserved only for mission-critical facts and rules. Last but not least: knowledge formulating skills may cut the learning time in beginners by more than 90%
  7. Myth: SuperMemo is expensive. At prices approaching $40 for the newest Windows version, SuperMemo may seem too expensive for users in poorer countries of Africa, Asia or even Eastern Europe. Fact: Older versions of SuperMemo for DOS and Windows are free. Its on-line version is still free. Even the newest version of SuperMemo is available free for contributors to SuperMemo Library
  8. Myth: SuperMemo requires a computer. Fact: See: paper and pencil SuperMemo
  9. Myth: We do not need SuperMemo, all we need is to build an index to knowledge sources. With multiple on-line sources of knowledge, some people are tempted to believe that memorizing things is no longer needed. All we supposedly need to learn is how to access and use these external sources of knowledge. Fact: Knowledge stored in human memory is associative in nature. In other words, we are able to suddenly combine two known ideas to produce a new quality: an invention. We cannot (yet) effectively associate ideas that live on the Internet or in an encyclopedia. All creative geniuses need knowledge to form new concepts. The extent of this knowledge will vary, but the creative output does depend on the volume of knowledge, its associative nature, and its abstractness (i.e. its relevance in building models). Lastly, even "index to knowledge" is subject to forgetting and needs to be maintained via repetition or review. See: SuperMemo is Useless
  10. Myth: Many people are successful without using SuperMemo, hence its importance is secondary. Fact: Neither Darwin nor Newton had access to computers, yet computer illiteracy may make today's scientist entirely impotent. Similarly, with a growing importance of knowledge, neglecting the competitive advantage of a wider and stable knowledge will increasingly limit one's chances of successful career in science, engineering, medicine, politics, etc.
  11. Myth: Natural mechanism of selecting important memories is good enough. We do not need a crutch. The evolution produced an effective forgetting mechanism that frees our memory from space-consuming and perhaps irrelevant garbage. This mechanism proved efficient enough to build the amazing human civilization. Consequently, many believe that there cannot be much room for improvement. Fact: The forgetting mechanism was built in abstraction from our wishes and decisions. It only spares memories that are used frequently enough. Now though, we are smart enough to decide on our own which knowledge is vital and which is not. A single peek into a dictionary may often take more time than the lifetime cost of refreshing the same word in SuperMemo. And that is the least spectacular example. Human history is rich in monumental errors coming from ignorance. NASA's confusion of imperial and metric units cost a lost Mars probe. Confusion of comma with a dot in Fortran, cost a Venus probe. Errors in English communication caused many aerial and maritime catastrophes. A piece of knowledge in surgeon's mind may be worth the life of his patient. Forgetting is too precarious to leave mission-critical knowledge in its hands. SuperMemo puts you in command
  12. Myth: Developing photographic memory is a better investment. Fact: A great deal of claims related to photographic memory are vastly exaggerated or plain false. Mnemonic tools are vital for efficient learning, but they are no substitute to SuperMemo. They are complementary. Techniques such as Photoreading use the same catchy photo-scanner concept. Unlike SuperMemo, they are easy to publicize and comprehend. However, SuperMemo's superiority in the arsenal of a student's tools is easily demonstrable with plain facts of science, as well as in the practice of learning. For more see: articles at supermemo.com
  13. Myth: Memorizing multiplication table only deprives one of computing skills. Like kids using calculators, those who memorize the multiplication table with SuperMemo are supposed to be less numerate (i.e. less fluent in their calculation skills). Fact: Memorizing the basic 9x9 multiplication table is the cornerstone of all calculation on paper and in mind. Memorizing the 20x20 multiplication table is also a good way of training basic multiplication skills. It is hardly possible to actually memorize the 20x20 table. Intuitively, most students do it the right way by using the combination of their familiar 9x9 table and their adding skills. For example, 14*16 is remembered as 10*14+6*14=140+6*10+6*4=140+60+24=224. This means that the student uses (1) a simple decomposition, (2) zero-shifting rule, (3) the 9x9 table once (to figure out that 4*6=24) and then (4) addition (to add the resulting three numbers). In contrast to the myth, all students who learned the 20x20 multiplication table report a dramatic increase in their multiplication skills. Alas, there is relatively very little carry over to division skills. These require additional learning material and slightly more complex skills (see: Division Table)
  14. Myth: SuperMemo is so simple that it is not needed (PalmGear user's comment). Fact: Simplicity of an idea usually enhances its usefulness. The underlying idea of SuperMemo (increasing intervals) is indeed very simple. However, doing all computations by hand makes little sense, and not employing spaced repetition is bound to negatively affect learning. Consequently, SuperMemo is necessary for knowledge where retention levels are to reach above 80%. Otherwise, any disorganized system of repetitions becomes very wasteful. Ironically, many users of SuperMemo for Windows complain that the program is too complex (see Myth: SuperMemo is Hard)
  15. Myth: The main learning bottleneck is short-term memory, hence SuperMemo is not needed. Some educators live by the wrong conviction that it is the short-term memory that is the bottleneck of learning. This comes from common daily observations of devastating leak in sensory memory. We retain only a fraction of what we perceive. Fact: The opposite is true. Short-term memory is indeed very leaky. However, we can retain in short-term memory far more than we can retain over the long term. The myth is partly derived from the conviction that long-term memory is virtually limitless. The error comes from noticing the huge long-term storage, while neglecting the difficulty with which we retain knowledge in that storage. An advanced student will quickly learn all mnemonic tricks necessary to retain far more in his or her short-term memory than (s)he is able to convert into a lasting knowledge
  16. Myth: Drilling fluency is more important that drilling for retention. Some students and educators believe that they need to train for quick retrieval which often determines the performance (e.g. as in IQ tests). They believe that clocking the repetition improves the retention. Fact: The myth originates from the research by B.F. Skinner's student Ogden Lindsley in the 1960s, which shows how fluency training can demonstrably enhance learning (e.g. in classroom conditions). Lindsley's fluency research does not translate directly to spaced repetition methodology though due to the problem of spacing effect (see also: Memory myth: Fluency reflects memory strength). The procedure that may enhance recall after a single session is not necessarily optimum for repeated active recall in spaced repetition. A clocked drill is more likely to evoke the spacing effect as retrieval difficulty enhances memory consolidation. Consequently, a timed drill will actually increase the frequency of repetitions and overall repetition workload per item. In SuperMemo terms, the effect is similar to an attempt to reduce the forgetting index below 3%. Assuming maximum attention, slow considerate repetition is likely to leave more durable memory traces than a clocked fluency drill. Fluency training makes sense for knowledge whose retrieval is time-critical. This may refer to procedural learning, training before tests based on fluency, foreign language training, reading fluency, etc. However, for fields where creativity is more important than speed, or where solving the problem is more important than solving it fast, "slow" (i.e. meticulous and considerate) learning is recommended. Independently, in SuperMemo, it is the user who determines the grading criteria in learning. Fluency may, but does not have to be included in self-assessment. In other words, although speedy drills are not recommended, SuperMemo does not prevent the user from employing them

See also: SuperMemo FAQ

Skepticism

Remain skeptical. Read more about the myths listed above. Drop me an e-mail if you disagree. Or if you believe I missed a dangerous myth that should be included.

Some websites devote all their energy to dispel myths that propagate throughout the population. Myths are friends of ignorance. They do damage to individuals and societies. They are also food for ruthless scams that currently breed rich on the net. Here are a couple of links to websites that I would like to praise for their commendable efforts in the struggle against ignorance, superstition, as well as plain deception:

  • Skeptic's Dictionary - Prof. T. Carroll's monumental effort listing the most dangerous, most deceptive, most bizarre, as well as the most amusing beliefs, myths and "theories" such as: astrology, clairvoyance, creationism, dianetics, divination, dowsing, homeopathy, NLP, psychokinesis, reincarnation, Silva method, telepathy, teleportation, UFO, etc.
  • Quackwatch - Dr Stephen Barrett's equally impressive struggle against harmful diets and medical procedures deceptively employed for profit. Dr Barrett discloses companies, individuals, websites, and products that ascribe miraculous properties to acupuncture, chiropractic healing, super-DHEA, Calorad, gingko, herbal weight-loss tea, iridology, macrobiotics, magnetotherapy, super-melatonin, orthomolecular therapy, psychic practices, etc.
  • James Randi Educational Foundation - best known for his Million Dollar Challenge, James Randi tirelessly fights against anything paranormal. Anyone able to demonstrate paranormal, supernatural, or occult phenomena via a scientifically controlled experiment can claim Randi's $1 million reward
  • Skeptic Friends Network
  • Skeptic Planet - skeptic sites search engine. A search for homeopathy yields 500 articles, astrology 900, while creationism 2000 (Aug 3, 2003)
  • Anti-quackery - collection of anti-quackery links
  • CSICOP - Committee for the Scientific Investigation of Claims of the Paranormal
  • BBC Horizon takes on homeopathy - BBC Horizon fails to win James Randi's Million Dollar Challenge with a scientific experiment that failed to prove that homeopathy actually works
  • Talk Origins - a collection of articles contesting intelligent design theories in response to a related Talk Origins Usenet newsgroup with unrestricted discussion forum
  • Truth or Fiction - anti-rumor website
  • Logical Fallacies - definitions and examples of logical fallacies that underlie most myths, rumors, and superstitions
  • More links from Randi's JREF
  • Skeptical Information Links - 532 links to skeptical websites (Aug 3, 2003)

What is not myth?

Sometimes I receive requests for the evaluation of legitimate learning methods. I will only shortly list here the keywords that are worth studying. You will find plenty of information about the above on the net. Legitimate concepts and authors that might be misunderstood at best (or besmeared at worst): mind maps, Mega Memory, mnemonic techniques, peg-list system, loci method, Mind Manager, ThinkFAST, Robert Stickgold, Tony Buzan, Sebastian Leitner, expanded rehearsal, reactivation theory, SAFMEDS, bright-light therapy, chronotherapy, melatonin, neurogenesis in adulthood, brain growth through training, neural compensation (e.g. in brain damage), and physical exercise as a brain booster. See also: Links to interesting memory and learning websites


Can too much learning lead to Alzheimer's?

Can too much learning lead to Alzheimer's? Dr Piotr Wozniak,
May 2002
This article discusses the possibility that the Alzheimer's disease is triggered by memory overload in excessive learning or exposure to information-rich media. In that context, it also discusses the role of the Internet in promoting richer though less rigorous scientific exchange and cross-inspiration

Recently, a user of SuperMemo wrote: I would like to know your comments about the article that claims that intense learning can lead to Alzheimer's: Does longer-term memory storage never become overloaded, and would such overload cause Alzheimer's disease and other dementia? (written by Robin P. Clarke, and published in "Medical Hypotheses").

To people familiar with the subject of senile dementia, the idea may seem absurd at first. After all, there has been quite a number of publications on the preventive impact of education in Alzheimer's. Upon closer scrutiny though, the quoted article includes lots of food for thought. At the same time, it is an excellent illustration of how the web can accelerate the progress of science through inspiration; even if it exposes claims that could not pass the peer-review test, are riddled with errors, false claims, poor judgment, prejudice, bad intentions, or other departures from the purely scientific discourse.

Peer review vs. free speech

For over a century, peer-review science journals documented, disseminated, and perpetuated the word on the mainstream progress of human quest for new knowledge. Until recently, scientific publications were growing exponentially. Respected scientometrist Derek De Solla Price noticed that, as all good things in life, exponential growth cannot go on for ever. Indeed, the growth rate in the number of new publication has declined markedly. But Prof. Price, who died in 1983, could not have possibly predicted the new spontaneous growth of publishing on the web (unless he delved into the starry-eyed visions of Ted Nelson). Freed from the peer-review restrictions, web is now populated by scientific, semi-scientific, popular scientific, and pseudoscientific plethora of new research data, hypotheses, models, claims, and wild guesses. Without rigorous peer review, you never know what you get from the web. However, the Internet is now an unsurpassed source of new inspiration. For decades, peer review has been considered by many as a factor stifling free flow of ideas. Publish or perish principle makes scientists often move like wolves in a pack: few dare to step aside. Few want to struggle with peer review and delay publishing at the risk of perishing. No wonder then that peer review kills far out ideas. Continental drift theory proposed in 1910 by Alfred Wegener had to wait until the 1960s to be reborn as the theory of plate tectonics. Examples of ridicule in scientific community abound. As a result, many geniuses left the ranks of academics and moved to less frustrating activities like ... selling vegetables or free-lance free-thinking. Dr Robert Skoyles wrote "I witnessed many a bright student eager to prosper in the academic treadmill. They became deadwood preoccupied with marriage, mortgages and a pension". Having said the above, Skoyles set up his mouthpiece website jam-packed with interesting thoughts on neuroscience and far beyond. The web frees the genius and provides an open forum for the rebels. Many prominent scientists republish their materials on the net along a much wider volume of half-baked set of propositions, works in progress, word of mouth communications, rough sketches, etc. Others may prefer addressing a wider audience with popular scientific style which, interestingly, may often be a better conveyor of ideas even among his colleagues in the field. After all, many journals impose rigid formats, profile limitations, and other strict rules that enhance formal precision at the cost of the joy of discovery. Metaphoric tools of expression suffer on the way too. The net is full of errors and preposterous proposition; however, it is still a must-read for every mind looking for creative inspiration in any field. The freedom of expression produces a deluge of astrology, psychic "science", wellness advice, hate sites, creationism theories, super-learning, and what not. You will find a million articles on vegetarianism, but you will spend hours trying to sift those written with scientific data in mind, and without a religious or animal-rights bias. Even Google is helpless. Serious-looking articles sport a long list of references from prominent science journals and yet present out-of-this-world claims that have nothing to do with science. That is the side effect of free speech on the net. To the young folks, it may all be awfully confusing. However, to a trained eye, the net is all good news.

TruthRank as a global public review tool

In the wake of the PageRank system employed by Google, it is only a question of time before we see a TruthRank system where linking authors, using a hyperlink variable, testify to the degree of scientific reliability of quoted facts on linked websites. If reliable media link to a questionable material, their own TruthRank drops. Imagine searching Google by the degree of truth! Skeptics did not believe PageRank system would work. It works remarkably well. It made Google a star of search engines. TruthRank is the natural next step in the universal quest for the truth.

The quoted article on memory overload was rejected by Nature (and later Science and Lancet) and as such might be badly hit on the TruthRank side. Yet I will try to show that blocking its publication might have a negative side effect of suppressing the freedom of expression. It provides a new perspective, and new inspiration in reference to the hygiene of learning.

Evidence in favor

Glutamate and nitric oxide have been implicated in memory and nerve damage (e.g. nerve damage in multiple sclerosis). The neurological degeneration begins in the entorhinal cortex and spreads through the hippocampus, which, by its role in learning and by its neural capacity, is arguably most susceptible to memory overload. Several drugs have been developed to protect against neurological damage by glutamate over-excitation. Those drugs can, for example, slow down the damage occurring in the wake of a stroke. They work mainly by blocking NMDA receptors involved in the initial potentiation of synaptic connections in learning. Newer drugs are investigated in order to block nitric oxide synthase (i.e. the enzyme responsible for the production of nitric oxide in the course of synaptic transmission). It is true that the dentate gyrus, the site of neurogenesis discovered by Gage and Gould, is the relay station for sensory data arriving in the hippocampus. This exposes it to lots of glutamate able to produce neural damage. It is true that stress of information overload will potentiate this effect. Neural network models, in particular synaptic runaway in associative networks, provide a neat illustration of how the network might have behaved in conditions of overload. It is conceivable then that excessive learning could overload relay networks, produce synaptic runaway, and result in neurodegenerative damage through excess of excitatory neurotransmitters and other harmful byproducts of synaptic potentiation. It is conceivable that learning could do damage to your brain!

Evidence against

The quoted article includes quite a deal of flawed reasoning. Instead of postulating a hypothesis on the basis of evidence and looking for corroboration, Clarke starts off from confident claims that memory overload is the cause of Alzheimer's and later attempts to look for hypothetical explanations how his hypothesis might actually be implemented at the neural or molecular level. Author's view is vividly biased. The editors of Nature (back in 1995) had similar feelings, and their verdict on the article is understandable.

My main problem with the article is that if Robin P. Clarke was entirely right, you should soon expect an epidemic of Alzheimer's among users of SuperMemo. Considering that SuperMemo is already 15 years old, the epidemic should already be underway. The opposite seems to be true. Anecdotal evidence shows that early users of SuperMemo are today doing great or better as far as their mental capacity is concerned. They predominantly seem to occupy prominent positions in society. Naturally, I am aware that SuperMemo is more appealing for high-IQ individuals and the correlation may have multiple roots. With 100-120 minutes of SuperMemo per day, and a 20-year-long incurable learning addiction, I myself should have been struck with memory overload long ago. Although you can consider my opinions highly biased, I would give my right arm to vouch for learning as one of the best factors that would actually prevent senile dementia. Perhaps the trouble will begin only when users of SuperMemo start hitting the golden age of 80? Perhaps they will collapse into dementia in droves? I curiously look forward to that interesting milestone.

Here is a list of points I find most questionable in Robin P. Clarke's writing:

  1. No overload axiom. Clarke begins with "According to an uncritically accepted axiom, the human brain's capacity for longer-term memory storage is never overloaded". The introduction is strange in that no one with a dose of understanding of computing can doubt that memory capacity must be finite and by far insufficient to store the daily inflow of information. We all agree that there must be mechanisms that prevents memory overload. This mechanism (naturally) is (among others) forgetting
  2. Anti-memory drugs. Clarke postulates that drugs preventing memory formation might prevent Alzheimer's. However, memory deficits are exactly the prime pain of Alzheimer's. If the drugs were to be applied preventively, we would simply trade senile dementia for life-long moderate dementia
  3. Real anti-overload. Memory overload is supposed to lead to a pathology. This is a conclusion derived from the behavior of overloaded neural networks. Nature has already implemented the mechanisms of LTD (long-term depression). We observe the powerful anti-overload mechanisms behaviorally in the form of forgetting and the spacing effect. Among users of SuperMemo, memory overload manifests heavily as memory interference. We tend to obliterate old memories when learning confusingly similar material. There is nothing pathological about such overload. The only painful side effect of forgetting through interference is the need to relearn a given piece of data. New memories by default receive high-priority and overwrite older memories in need of storage. The symptoms of interference are exactly the same as in overloaded artificial neural networks
  4. Abduction. Clarke seems to reverse the deductive and inductive scientific thinking by applying abduction with the said hypothesis as the starting point. It is as if we wanted to prove God's existence by speculating how we could abolish facts of evolution to prove the coherence of the book of genesis. It is not the evidence that is used to construct the model, but the hypothesis that is used as the searchlight for evidence: "So how could an anti-overload mechanism operate? A possibility is that synapses in a state of LTP thereafter transmit a molecular back-signal to inhibit input from the afferent neurons". There is no need for a back-signal to the input. Potentiated synapse is protected from "hyper-potentiation" by the spacing effect. It employs efficient AMPA-based transmission that prevents NMDA activation, and prevents changes in the status of the system independent of what happens on the input. Spacing effect lasts long enough for the overload to be cleared by long-term network optimization mechanisms that operate in sleep. Clarke goes to science fiction extremes in search for a plausible backup for the hypothesis: "Conceivably a bit of data in search of a storage location involves or has the form of a free radical, neutralized on finding a storage space"
  5. TV fallacy. Clarke claims that studying produces fewer memories than watching TV or socializing, and uses an erroneous comparison between the sizes of video and text files. The error is double. On one hand, when considering the memory overload we should focus on memories that get actually imprinted in the brain, not on the input stream which largely gets ignored. Secondly, the brain uses efficient internal representations that may actually reverse the storage needed to preserve visual impressions as compared with textual messages (mnemonic techniques make use of this property of visual circuitry). The analogy of storage needed to keep a text file and a TV program ("100,000 times more bits") is thus erroneous. It takes less to store a simple image metafile illustrating the bifurcation of the aorta than actually describe the same vessel in words with similar accuracy. Last but not least, TV watching is so popular in the overworked population precisely for the reason that it is actually the least demanding on the side of active mental processing. Passive TV does not put much burden on the overloaded EC-hippocampal circuits. Tired TV audiences rarely trade their shows for a newspaper, let alone for SuperMemo! SuperMemo would simply be too tiring. It is true that AD patients watch more TV than controls, but research shows that the difference is made at the cost of AD-preventing activities such as reading or exercise. TV is harmful not on its own but by the virtue of taking time away from more challenging forms of leisure
  6. Education as prevention. Research shows that education prevents Alzheimer. Clarke believes that this may be due to extending the memory capacity in youth. However, middle-age reading is also an efficient preventive factor. If the hypothesis was right, middle-age reading should contribute to memory overload. Moreover, leisure studies show that all middle-age leisure activities help preventing Alzheimer's. Intellectual activities (e.g. puzzles) are a better form of prevention than physical exercise, which in turn is better than passive leisure (e.g. watching TV, listening to music), which in turn is better than unadulterated idleness.
  7. Nigerian case. Comparing Nigerian and US populations can yield revealing answers in the search for etiological factors of AD, but concluding that "much less data input" seems "highly likely" to account for the absence of AD in Yoruba is quite a stretch. Equally well other factors could play a role such as dietary (say, Omega-3 fatty acid intake), occupational (physical activity), environmental (e.g. oxidative stress risk) or survivability of affected individuals (longer lifespan will result in higher AD incidence), etc. If to neglect the mind-information link, extending this abductive reasoning to other population correlates one could claim that obesity, high cholesterol, or high blood pressure come from information overload
  8. Dementia-age link. The fact that dementia increases with age is not particularly striking as this is true of most degenerative diseases
  9. Evidence asked for. Clarke agrees that his theory can be weakened by evidence that "that overload never occurs or else does not manifest as dementia". The evidence for effective anti-overload system is plenty. The mechanisms are well known: forgetting, spacing effect and memory interference
  10. Data errors need not mean pathology: the fact that neural networks produce errors in data on overload by no means indicates this is related to a pathology. Healthy networks will produce errors as soon as the data input surpasses their capacity. Analogy to neural networks is correct but parallels to Alzheimer's are wrong
  11. Evolutionary argument: Clarke believes that evolution developed anti-overload mechanisms but fails to list any fact-based reason for which this mechanisms should go awry. Any balance between forgetting, spacing effect and LTD produces a compromise between storing important pieces of information without ever producing a pathological effect
  12. Anti-overload signal: "Natural selection will favor further mechanisms, which enable local matrixes nearing overload, to signal their lack of spare capacity, thus activating diversion to other locations". This sounds exactly like the job of NREM-REM sleep interplay. Optimizing the storage is the simplest defense against memory interference. Sleep may act as an anti-overload and anti-interference mechanism that does not show the same destructive powers as forgetting. The signal on the "lack of spare capacity" might simply be adenosine-based homeostatic component of the two-component sleep cycle
  13. Animal models: If "the theory obviously predicts that an effective animal model of AD could only be produced by replacing the extremely unstimulating life usual for most laboratory animals with much more data-rich circumstances", why is it that rat funhouse experiments produced animals that are by far more agile, nimble and smart. The more data-rich the environment, the happier the rats
  14. Bias: Clarke consistently points to cases in which old memories are overwritten but still attempts to use these examples as proof of a link between learning and dementia. This sound like a proof at any cost: "Indeed such delusions [resulting from missing pieces of information] are the primary symptom in some cases" to add two sentences later "the fact that such symptoms are not predominant merely indicates that the anti-overload mechanisms usually do not fail".
  15. Alzheimer's is the failure of the memory system: "If a person's old memories fade or are lost as fast as new ones are acquired then that person will not develop overload. Any such mechanism of ongoing fading or loss would greatly reduce any memories spanning a lifetime. But not only does this find no support in experimental studies, but is also decisively refuted by experience from old people many of whom have more numerous memories of eighty-ninety years previously than of more recent times". Omnipresent fading is beautifully illustrated by the universal Ebbinghausian forgetting curve, and the experience of the elderly affected by dementia is not a result of a memory system in action. It is a result of the failure of that system
  16. SuperMemo epidemic. Again: If too much learning leads to Alzheimer, we can expect a massive epidemic of AD among users of SuperMemo. After all, they use the shortest path to stable memories that are supposed to produce the postulated overload. SuperMemo may be the best evidence around against the claim. In its 15th year of existence, it should have already yielded many individuals with memory loads reaching far beyond that of a typical octogenarian. Of what we observe among users of SuperMemo, we could tentatively state that the opposite seems to be true. When reasonably used, SuperMemo can be considered a tool of mental hygiene (for plethora of evidence see supermemo.com)

From chaos to the truth

Some people raised fears that the Internet will make it easier to spread pseudoscience, hatred or pornography. They were right. However, the solution should not be an outright suppression of zany or offensive material. It is true that it is extremely easy to hit a site deriding Islam as a "religion of hate and conflict". But it is equally easy to jump, with a few clicks, to a counter-site with anti-zionist material soaked with no less hate. In that sense, the Internet is less damaging than the printed matter where it is more customary to read lengthy (biased) materials cover to cover. Cover-to-cover implies a more stable imprint. The same refers to pseudoscience. If you use incremental reading to process fringe materials, you always run the risk of picking misguided inspiration. But in the sea of contradiction, the truth is the only survivor in the end. Let's try to reconcile the evidence for and against

Memory overload in learning

However much I have criticized the "memory overload" hypothesis above, one inspiration emerges. Overloading short-term memory circuits can indeed be unhealthy to their neural fabric. If runaway synaptic network model is true, if excess glutamate or nitric oxide are able to damage neurons, if the entorhinal-hippocampal relay is indeed subject to saturation, then running against the principle of mental hygiene could indeed result in the damage to the neural tissue. At the same time, well-paced and well-structured memory training could work as the best way of preventing Alzheimer's. This could work on two fronts: (1) the well-documented trophic effect on the nervous tissue, and (2) the systematic establishment of harmless neocortical long-term memories. Doing harm and good with the same factor (learning) do not need to be contradictory. The same happens to nearly all forms of exercise: you can over-train or apply a wrong training regimen to produce a negative effect.

Evolutionary reservations could be cut short by the observation that human populations (even as recently as in the 19th century) did not use to predominantly live to the ripe age of eighty; therefore, it could be cheaper to retain the present flawed memory overload handling than to perfect the system for the sake of longevity. Beyond active reproductive years, longevity does not translate to an evolutionary advantage. Even genetic predispositions related to APOE4 allele, APP, or presenilin genes would do little harm enough to stay afloat in the population. Especially that they seem to surface only in industrial societies where lipoprotein metabolism malfunction is rampant.

It seems plausible then that abuse of neural networks could lead to Alzheimer's while proper use of the same networks would lead to a long term benefit. In the same way as exercise leads to better health while immoderation in sports can be dangerous. Well-managed touch typing leads to high typing speeds while poorly-managed typing can equally well lead to repetitive strain injury. If there was to be a link between memory overload and AD pathology, using SuperMemo along the minimum information principle could be compared to moderate exercising, while cramming would be a form of running a marathon without preparation.

Whatever is said about the healthy brain may not necessarily apply to the optimum strategy for the treatment of Alzheimer's. On one hand, spaced repetition could help establish memories vital for survival. On the other, all forms of mental rest might also have a therapeutic value.

If we take all the above data into consideration then we could propose a few rules that could ensure your learning adventure does not go in a wrong direction:

  • knowledge representation - few things are as stressful in learning as wrongly formulated material. If it is not comprehensible, if it is hard to remember, if it is complex, it is literally able to give you a headache. See: 20 rules of formulating knowledge for learning
  • circadian rhythm - mental capacity rapidly declines in periods of intense intellectual work. This is particularly true if we learn new things. Sleep might be the chief anti-overload protection mechanism. It helps unload separated neural representations from the hippocampus. It optimizes the long term neocortical overlapping representation. Learning with a fresh mind after a good night sleep will then be recommended. Learning in condition of sleep deprivation or mental fatigue would be considered wrong. See: Good sleep for good learning
  • information overload - rational and methodical approach to information overload is vital. Well-managed incremental reading might be the best way of avoiding information fatigue syndrome. It also works great for resolving equally stressful contradiction (neural interference). See: Devouring knowledge
  • pleasure - the brain has undoubtedly developed mechanisms that excellently resolve the complex optimization issue where vital survival information needs to be coded in a limited space of neural memory. In humans, those mechanisms are particularly sophisticated and provide for an impression that we cannot run out of memory space in lifetime. Apart from lower level mechanisms such as the spacing effect, forgetting, LTD in conditions of interference, etc. we have definitely involved the reward system that acts in the process of learning. For example, in recognizing information overload (too much information), boredom (too little relevance of information), etc. For these reasons, the pleasure of learning can and should be the primary indicator of the adherence to the principles of mental hygiene. If you love learning, probably no damage awaits you in the process. If you get tired, bored or restless, take a break, take a nap, go for vacation, or rethink your learning strategy.

Conclusion: Quality education will not cause memory overload because it produces compact representations (see: 20 rules). However, sloppy education in stressful conditions might go against the mental hygiene and indeed be harmful

Memetics in action

Once a meme virus of memory overload in AD is unleashed on the net it will propagate well in circles that oppose industrial growth, mass media culture, globalization, global transport, public schools, television, etc. It will also spread well among young folks who would just pick any excuse to do less learning. A counter meme of the therapeutic value of learning will propagate well among those involved in promoting learning tools or those who develop learning materials (here goes SuperMemo). When these memes clash, the truth is likely to see the light. The truth here may be analogous to the truth about the value of jogging. It can damage your knees. It can boost your glucocorticoids. Joggers smile less than walkers. Yet well-managed jogging might be the best known cardiovascular exercise.

Ignorance is always a good medium for false memes. Incremental reading loaded with contradiction helps resolve such ambiguities. The net is a wonderful breeding ground to promote psychic powers, astrology, reincarnation, UFO, tarot magic, dianetics, dowsing, neurolinguistic programming, clairvoyance, etc. However, there is no choice but the submission to free speech and competing ideas. The truth will come out in the end for those who care to see it.

P.S. Great sites for skeptics:

  • Skeptic's Dictionary (by Dr Robert T. Carroll)
  • Quackwatch (by Dr Stephen Barrett)


Using SuperMemo without a computer

Using SuperMemo without a computer Biedalak K., Murakowski J., Wozniak P.
(source: SuperMemo 6 User's Guide, 1992)
This text will show you how you can use SuperMemo without a computer, and how you can quickly learn languages, sciences, geography, and all other sorts of textbook knowledge without spending an extra penny!

Be ready, however, that you stand a 99% chance of saying: Why should I spend my time on all those dots, tables and numbers? I know how to learn, and I can see no reason why this approach should help me!

I f you try it for a month, you should understand why you really need SuperMemo! SuperMemo is the only rational way of scheduling repetitions, and the algorithms described below find an excellent compromise between the exactness with which inter-repetition intervals have to be determined, and procedural simplicity needed in the situation when all the calculations have to be performed by hand (i.e. without a computer).

Paper-and-pencil SuperMemo

Before you start learning, you should choose a textbook, script, dictionary or anything that you wish to be the source of your knowledge. Put the textbook in front of you before you continue reading.

Now, to start using SuperMemo, all you need is: two cross-ruled exercise books, a pen and an hour or two to read carefully the presented text. Afterwards, you can see what SuperMemo can do for you.

1. Write the name DATABOOK on the cover of your first exercise book. Open the databook on the first page and copy the page layout presented in Fig. 1.

Question field | Answer field | Repetition scores |  |  |  |  | Repetitions
 |  | 1 | 2 | 3 | 4 | 5 |  | No | Dat | U
 |  |  |  |  |  |  |  | 1 |  |
 |  |  |  |  |  |  |  | 2 |  |
 |  |  |  |  |  |  |  | 3 |  |
 |  |  |  |  |  |  |  | 4 |  |
 |  |  |  |  |  |  |  | 5 |  |
 |  |  |  |  |  |  |  | 6 |  |
 |  |  |  |  |  |  |  | 7 |  |
 |  |  |  |  |  |  |  | 8 |  |
 |  |  |  |  |  |  |  | 9 |  |
 |  |  |  |  |  |  |  | 10 |  |
 |  |  |  |  |  |  |  | 11 |  |
 |  |  |  |  |  |  |  | 12 |  |

Figure 1 Page layout in the SuperMemo databook

2. Check if you agree with the following statement:

If you want to learn something from a book, it is always possible to formulate questions such that answering them will be equivalent to mastering the knowledge presented in the book

If, in principle, you agree with the sentence then skip to Step 3, otherwise consider the following:

A very big question used to learn a book might simply ask:

What is the contents of the book?

Answering such a question in full detail is equivalent to knowing the book, isn't it? Obviously, it is much easier to answer questions that require less voluminous answers. For example:

· If you want to perfectly master a book on physics which starts with the sentence:

The molecular kinetic theory of matter is based on three facts: (1) a substance consists of particles, (2) these particles move at random, and (3) the particles interact

you might start with asking questions: What are the facts that underlie the molecular kinetic theory of matter?, What is the name of the theory that is based on existence, random movement and interaction of particles?, etc. It would not be difficult, and it would not take many questions to ensure that the person able to understandingly provide answers truly knows and understands the content of the first sentence of the book on physics. In the same way, the whole book may be converted to questions and answers

· If you want to learn Esperanto (or any other language) you might start with mastering vocabulary or basic grammar rules, for example:

Question1: | river | Answer1: | rivero
Question2: | riverlike | Answer2: | rivera
Question3: | in a riverlike way | Answer3: | rivere
Question4: | to flow like a river | Answer4: | riveri
Question5: | What suffix indicates a verb? | Answer5: | -i (for example RIVER-I)

· If you want to learn poems your questions might consist of the name of the author and the title of the poem

· If you want to learn anatomy or geography, perhaps your questions and answers will have to include simple pictures

Certainly, each chapter of any book can be split into smaller and smaller pieces in such a way that knowing them will more or less correspond to knowing the book

3. Now, it is time for the most difficult element of the SuperMemo method: formulating questions. Please fill out the first page of your databook with questions and answers concerning the subject matter you want to learn. Use your textbook (script, dictionary, etc.) to find material for formulating the questions. Put questions and answers in successive, separate lines of the first page.

What follows presents an exemplary page of questions about American history. This is how a fragment of your book on American history might look like:

The early 1600s saw the beginning of a great tide of emigration from Europe to North America when the first English immigrants crossed the Atlantic. During their six- to 12-week voyages they lived on meager rations. Many of them died of disease. The colonists' first glimpse of the new land was a vista of dense woods. True, the woods were inhabited by Indians, many of whom were hostile, and the threat of Indian attack would add to the hardships of daily life. But the vast, virgin forest, extending nearly 2,100 kilometers along the eastern seaboard would prove to be a treasure-house. The first permanent English settlement in America was a trading post founded in 1607 at Jamestown, in the Old Dominion of Virginia. This region was soon to develop a flourishing economy from its tobacco crop, which found a ready market in England. By 1620, when women were recruited in England to come to Virginia, marry, and make their homes, great plantations had already risen along the James River, and the population had increased to a thousand settlers. In contrast to the colonization policies of other countries and other periods, the emigration from England was not sponsored by the government but by private groups of individuals whose chief motive was profit. The colony of New Netherlands, founded in 1621 by the Dutch, came under English rule in 1664 and was renamed New York.

And this is how the same knowledge would look in your databook in the question-answer form:

Q1: When did the great tide of emigration from Europe to North America start?
A1: Early 1600s.

Q2: How long did voyages of early travelers last?
A2: Over 6 weeks.

Q3: Why did many early travelers die?
A3: Because of long voyages and meager rations.

Q4: Why did Indians add to the hardships of life of early settlers?
A4: Many of them were hostile.

Q5: What seemed to be the greatest treasure of early settlers?
A5: Virgin forests.

Q6: What was the first permanent English settlement in America?
A6: Jamestown

Q7: When was the Jamestown trading post founded?
A7: 1607

Q8: In what today's state was Jamestown located?
A8: Virginia

Q9: What was the most successful trading commodity of Jamestown?
A9: Tobacco

Q10: What was the population of Jamestown by 1620?
A10: About one thousand.

Q11: What factors discouraged early settlement beyond the coastal plain?
A11: Dense forests and mountains.

Q12: How was the emigration from England sponsored?
A12: By private groups.

Q13: When was the colony of New Netherlands established?
A13: 1621

Q14: When did New Netherlands come under English rule?
A14: 1664

Q15: What was the new name given to New Netherlands?
A15: New York

4. Consider the following declaration: the SuperMemo method guarantees that you can learn the set of questions formulated by you in Step 3 at a close-to-optimum rate. However, the quality of your knowledge will depend on the quality of your questions. Responsibility for formulating questions rests entirely with you!

5. Now, you will learn answers to questions from your first SuperMemo page. Use a sheet of paper to cover the answer field. Try to respond to the first question without looking at the answer. Compare your response with the answer field of the databook page. If you answered correctly then go to the second question, if not, then put a dot in the first field of repetition scores in the line corresponding to the first question-answer pair (the field marked by number 1 in Fig. 1). Decision concerning which answer is correct and which is not is entirely up to you. If you want to learn fast with a lower degree of precision, you can be lenient in judging your performance. On the other hand, if you have high answer accuracy requirements, your learning may be slightly slower. Repeat the same procedure for all remaining questions. Put dots in the first field of repetitions scores for all questions that were not answered correctly. Now, in the same way as previously, try to answer all questions that have a dot in the first field of repetitions scores. Do not repeat questions that are not marked by a dot. In case you again not manage to answer some of the questions, put a second dot in the first field of repetition scores corresponding to these questions. Now, repeat again all questions that had two dots in their repetition scores and add a third dot in case of a repeated failure. Repeat the whole process of answering questions until you manage to answer all questions in a given pass (i.e. questions marked by two dots for the third pass or three dots for the fourth pass, etc.). Now, we can assume that in all likelihood you are able to answer all questions from the first page. The first repetition of the first page has been made

6. Write the following information in the repetition dates field (the first row only):

No - number of the repetition (in this case 1)

Date - today's date

U - number of unknown answers in the first pass of the repetition, i.e. the number of questions that have one or more dots in their first column of the repetition scores field

In subsequent repetitions, you will fill out the remaining rows

7. The next thing to do is to determine when you should repeat the newly learned page of questions in order to comply with the SuperMemo schedule. Write the name SCHEDULE BOOK on the cover of your second exercise book. Open the schedule book on the first page and copy the table from Fig. 2.

Repetition | Interval
1 | 4 days
2 | 7 days
3 | 12 days
4 | 20 days
5 | 1 month
6 | 2 months
7 | 3 months
8 | 5 months
9 | 9 months
10 | 16 months
11 | 2 years
12 | 4 years
13 | 6 years
14 | 11 years
15 | 18 years

Figure 2 Table of repetition intervals

8. Use the table from Fig. 2, to determine the date of the next repetition. For a selected repetition number, the table of repetition intervals shows after how many days, months or years the next repetition should be made. For example, you have just repeated your first page for the first time; therefore, the next repetition should follow after four days (for Repetition equal to 1 the Interval equals 4 days). After repeating the page in four days, the next repetition will follow in 7 days (for Repetition equal to 2 the Interval equals 7 days)

9. Prepare the repetition calendar. Open the schedule book on the second page and write the present month and year at the top. In following lines, at the left margin write numbers of days: 1,2,3,... up to the last day of the month. Go to the third page of the schedule book and repeat the procedure, this time with the next month at the top. This way you can mark more pages if you wish. Use the subsequent months (and years if necessary)

10. As you are to repeat the first page in four days, look into the calendar prepared in Step 9 and find the corresponding date. Write number 1 in the relevant line (see Fig. 3.).

January 1991
1
2
3
4
5
6
7
8 1,
9
...
25
26
27
28
29
30
31

Figure 3 An exemplary first page of the calendar after marking the first page for repetition. Note, that the page no 1 must have been repeated on January 4, 1991 and was scheduled for repetition on January 8

11. You can now prepare more pages of questions and answers and memorize them. All of them will be scheduled for repetition in four days and you will have to repeat them in four days

Your data and schedule exercise books are now ready to assist you in your work with SuperMemo. Before you learn the detailed algorithm of your workouts, let us list the most important principles you should stick to if you want to be truly successful:

  1. Try never to postpone repetitions to the next day. This is an easy way to accumulate a lot of outstanding work, and in consequence, give up working before seeing the results. Moreover, the repetition time-table should be obeyed carefully, as it was computed to suit exactly the requirements of human memory. Every postponement reduces the effectiveness of your work with SuperMemo. Be regular. No pain, no gain
  2. As you should work with SuperMemo every day, it is better to start with 10-15 minute assignments a day, to see if you can economize some time on a regular basis. If you start at a too fast rate, you may be soon overwhelmed by the amount of obligatory work. Don't rush. More haste, less speed
  3. Try to formulate your questions and answers in the simplest possible way. It is easier to learn the same item if it is split to 10 subitems, than to learn it as a single whole. Not only will you have to learn how to work with SuperMemo (which is quite easy as you have noticed), but above all you will have to master the art of splitting questions to smallest possible pieces in order to make learning effective without losing semantic contents. Simple items are the best formula for success with SuperMemo. Small is beautiful

Below, the steps of the paper-and-pencil SuperMemo method are listed. Repeat these steps every day:

1. Open the schedule book on the page corresponding to the today's month and year. Look at the line marked with the today's date. (In case you have failed to make repetitions in previous days, go to the last date on which repetitions were not made)

2. Pick the first uncircled page number from the line corresponding to the today's date (after a repetition, the repeated page is encircled to avoid repeating it for the second time). If there are no (more) pages scheduled for today (i.e., there are no page numbers in the considered line of the schedule book) then go to Step 8

3. Repeat the page chosen in Step 2. Use a sheet of paper to cover the answer field in the databook. Try to respond to the first question without looking at the answer. Compare your response with the answer. If you have answered correctly then go to the second question, if not, then put a dot in the relevant field of repetition scores in the line corresponding to the first question-answer pair (the relevant field of repetition scores is first in the first repetition, second in the second repetition, etc.). Repeat the same procedure for all remaining questions. Put dots in the relevant fields of repetitions scores for all questions that were not answered correctly. Now, in the same way as previously, try to answer all questions that have a dot in the relevant fields of repetitions scores. Do not repeat questions that are not marked by a dot. In case you again did not manage to answer some of the questions, put a second dot in the relevant fields of repetition scores corresponding to these questions. Now, repeat again all questions that had two dots in their repetition scores and add a third dot in case of a repeated failure. Repeat the whole process of answering questions until you manage to answer all questions in a pass (i.e., questions marked by two dots for the third pass or three dots for the fourth pass, etc.).

4. In the field of repetition dates on the just repeated page write the number of the repetition, today's date and the number of items that have not been remembered

For example, if you have just repeated the page for the third time, and today's date is March 6, 1993, then for the number of failures is equal to 2, the field of repetition dates could look as follows:

No | Date | U
1 | Feb 23, 1993 | 23
2 | Feb 27, 1993 | 4
3 | Mar 6, 1993 | 2

5. Using the table of repetition intervals from the first page of the schedule book (see Fig. 2), determine the date of the next repetition of the just repeated page

6. Write down the number of the considered page in the schedule book, on a page and line corresponding to the date of the next repetition

7. Go back to today's date in the schedule book and draw a circle around the number of the just repeated page. Go to Step 2

8. If you do not have any more time allocated for today then stop working with SuperMemo. Otherwise check if you have some pages in the databook that are filled with questions and answers but have not yet been memorized (i.e., fields of repetitions scores and repetitions dates are empty). If you do not have such pages then go to Step 9, otherwise you can learn some of these new pages and put them for the second repetition in four days. In order to do so, repeat the new pages as in Step 3 and write their numbers in the schedule book, on the page and line corresponding to the date of the next repetition coming in four days

9. Create some new pages in the databook. Fill them with questions and answers using the source of your knowledge (e.g. a textbook). When you finish filling out new pages, go to Step 8

Some ways to make your work with paper-and-pencil SuperMemo more effective

Having worked with SuperMemo for some time now, you are certainly aware of its shortcomings. You certainly have some intuitions on what the power of the method is, and why it is not thoroughly used. You must have noticed that repetitions of pages are made in increasing intervals and you suspect that these intervals were computed on the base of the properties of human memory. However, there are more and less capable learners; therefore, the table of repetition intervals should be adapted to a given person and the kind of learned knowledge. Moreover, particular questions may be more or less difficult and require different intervals between repetitions. Below, I list some important ways of circumventing the aforementioned problems.

Using double copies of questions

You can easily observe that if the answer to a question is not remembered in one of the repetitions, it is unlikely to be remembered in following repetitions. This requires that after fourth, fifth or perhaps sixth repetitions you should copy all forgotten questions and answers on a newly created page. Such a page will later take part in routine repetitions as all other pages, i.e., no special repetitions schedule will be used for it. The copied question should not be crossed out from the old page. This way, it will take part in repetitions more often than those that have not yet been forgotten and copied to new pages. The doubled question will not have any special status in future repetitions; therefore, if it is forgotten again, it may be considered for copying again, so that it would appear in the database in triplicate or even in more copies. The modified version of the SuperMemo algorithm would, therefore, look as follows (note that Step 5 deals with making additional copies of questions and answers):

1. Open the schedule book on the page corresponding to the today's month and year. Look at the line marked with the today's date

2. Pick the first uncircled page number from the line corresponding to the today's date. If there are no (more) pages scheduled for today then go to Step 9

3. Repeat the page chosen in Step 2

4. In the field of repetition dates on the just repeated page write the number of the repetition, today's date and the number of items that have not been remembered

5. If the repetition number is greater than four, then copy all forgotten items on a new page which will later be used in standard repetitions

6. Using the table of repetition intervals, determine the date of the next repetition of the just repeated page

7. Write down the number of the considered page in the schedule book on the page and line corresponding to the date of the next repetition

8. Go back to the today's date in the schedule book and draw a circle around the number of the just repeated page. Go to Step 2

9. If you do not have any more time allocated for today then stop working with SuperMemo. Otherwise check if you have some new pages in the databook that could be learned today. If you do not have such pages then go to Step 10, otherwise you can learn some of these new pages and put them for the second repetition tomorrow

10. Create some new pages in the databook. When you finish filling them out, go to Step 9

Spreading pages in the schedule book

As you have certainly noticed, all pages learned on a given day are always repeated together, on the same dates. This may be troublesome. For example, when you learn more pages on weekends you may later on face massive repetitions on days when your time is more limited. A simple remedy to the problem is to disobey the indications of the table of repetition intervals. As you probably guess, for long intervals, the difference of one or two days is not significant. Therefore, if you notice that a repetition should be scheduled on a day that has already been packed with many pages, you can shorten or lengthen the interval by few days. This way you will obtain a more uniform distribution of repetition work

Simplifying particular items

Very often you spot questions that seem to be particularly difficult to answer. Such questions may have to be relearned again and again because of their outstanding reluctance to stick to your memory. As experience shows, in most cases, these questions are ill-formulated. The most important principle you must remember about in formulating items is that they should be as simple as possible. For example, the item:

Q: What is an elephant?

A: A big mammal with thick skin, long trunk, big ears and white tusks

is certainly ill-formulated. Even if you perfectly remember what an elephant is, you will often fail to enumerate one of its features mentioned in the answer. The above item should be split to subitems that are more specific on one hand, and easier to remember on the other:

Q: What is an elephant?

A: A kind of animal

Q: To what group of animals does the elephant belong?

A: Mammals/Vertebrates (both responses are interpreted as correct)

Q: To what group of vertebrates does the elephant belong?

A: Mammals

Q: What is the thickness of the elephant's skin?

A: It is thick

Q: What is the shape of the elephant 'nose'?

A: Long trunk

Q: What is the size of the elephant ears?

A: They are big

Q: What sticks out of the elephants mouth?

A: Tusks

Q: What is the color of the elephant's tusks?

A: White

You might probably believe that it is easier to learn one item than 8 items. Practice shows that nothing could be less true. The above set of questions would be learned much faster, and the acquired knowledge would have a more meaningful place in your memory. It would be more accessible, more coherent and more associative. It is associativeness of knowledge that promotes creativity

Remember: whenever a question seems to be particularly difficult to answer, do not try to cram it. Think intensely how to make it simpler, or whether you really need to remember it. Ill-formulated items are likely to be the main reason for your insufficient progress.

Customized tables of repetition intervals

The table of repetition intervals presented earlier is only a rough estimation of the average learner case. Different schedules should be applied by more and less capable learners, as well as for more and less difficult forms of knowledge. Your ability to formulate well-structured items can also influence the optimum shape of the table. Therefore, it is worth considering whether you should modify your repetition table. If you notice that after a number of repetitions the number of forgotten items rises sharply, you might consider shortening the relevant interval. Similarly, if you notice that your repetitions proceed too smoothly, i.e., they almost always yield a 100% score, then you might think about making intervals longer. To make your individual explorations easier let me only stress that intervals usually increase by the same factor in subsequent repetitions. Note, that first two intervals may not comply with this rule. For example, the table of repetition intervals presented in Fig. 2 used the factor 1.7 to increase subsequent intervals. You can increase this number if repetitions proceed smoothly or decrease it in case of poor scoring. Observe that it is unlikely that you will need a factor lower than 1.4, nor is it possible that your factor will exceed 3. In most cases intervals should increase 1.5-2.0 times after each repetition

More tables of repetition intervals

If you think that your understanding of the principles of SuperMemo is deep enough, you may attempt to construct more than one table of repetition intervals. Each of your tables should have a different interval increase factor (see the previous paragraph) and should be applied to items of varying difficulty. For example, you could start repetitions of items with a table whose factor equals 2.5. Upon forgetting items you could write them off to new pages that would be repeated with a lower factor, e.g., 1.9. By analogy, forgotten items from 1.9-factor pages could be placed on pages with a yet lower interval increase factor (e.g., 1.6), etc. Moreover, you could estimate the difficulty of a given item and place it on a page with a particular factor. Obviously, you will need a lot of experience before you are able to do this


Learn fast and forget about forgetting

Learn fast and forget about forgetting Maciej Bromba Pietras,
Bajtek 1/93, Poland
January 1993
This is a translation of an article about SuperMemo 6 for DOS written by Maciej Pietras for Bajtek, Poland, in January 1993. Bajtek was the first Polish computer journal first published in 1995. Translator's comments are placed in square brackets

Application of computers in education becomes more and more popular. Thanks to computers, learning maths, physics, chemistry or foreign languages becomes more interesting and more effective. Most of educational programs for the young attract the attention with graphics and sound, or try to smuggle education wrapped in elements of a computer game.

Very often the student is supposed to master the knowledge presented by means of a computerized textbook, and then to answer a number of questions related to the learned material. Educational programs based on this system are just a computer substitute for a book and a teacher. SuperMemo resembles none of the approaches used in other educational programs.

NEW QUALITY

SuperMemo introduces a completely new quality in computer education. It is not designed to learn any particular domain or skill. With SuperMemo, one can learn any kind of knowledge that can be represented as text [graphics, sound, and not only]. Standardly, the program is shipped with basic databases to learn English, as well as sample databases including a database with knowledge about SuperMemo itself.

HOW DOES IT WORK?

The program, and the entire idea of the method of learning, was based on the work of Dr Piotr Wozniak, a biologist from Adam Mickiewicz University of Poznan. In 1982, Wozniak embarked on an experimental and theoretical research on memory and learning. After three years, a statistical model of memory formation and forgetting was formulated. SuperMemo, using the model, makes it possible to optimize the spacing of repetitions in the process of learning. The optimization works by computing the optimum timing of repetitions depending on the difficulty of the material, and individual capabilities of the learner. The dates of repetitions are determined by the program.

HOW IS IT POSSIBLE [TO COMPUTE THE OPTIMUM SPACING]?

Computing optimum intervals between repetitions is based on the system of self-assessment. The learner is supposed to verbally or mentally respond to questions displayed on the screen (the response is not keyed into the computer). Upon pressing a key [or clicking the mouse], the correct answer is displayed, and the learner should provide the response grade in the 0-5 grade point scale (5 - excellent response, 4 - good, 3 - pass, 2 - fail, 1 - response hardly recognizable, 0 - blackout). The repetitions are scheduled in such a way that to make sure that the information is statistically on the verge of forgetting.

EFFECTIVENESS

The method of optimally scheduling repetitions in time is, as for now, the best available. Everything we learn will sooner or later be forgotten; therefore, the only way to sustain memories is to make repetitions. SuperMemo employs the natural qualities of human memory. The maximum use of the learner's brain is independent of intelligence, memory characteristics, or the learned material. The best results are obtained if the knowledge is split into smallest possible pieces called items. Another important element is systematic work with the program. By working 30 minutes a day, one can master 3000 new words of a foreign language a month.

WHY IS SUPER-MEMO UNIVERSAL?

The program is shipped with databases for learning English; however, learning languages is only one of many applications of SuperMemo. The learner can develop his own databases on any imaginable topic. A large selection of databases is offered for extra charge. There is also a fast growing collection of shareware databases.

The program is a powerful learning tool. It comprises a great number of options whose description goes far beyond Bajtek's editorial space. The learning process may be controlled and corrected in tiniest detail owing to a great number of statistical functions, and graphs.

MY OWN EXPERIENCE

I decided to see for myself how much I could learn using SuperMemo. I started learning English vocabulary from scratch. Soon the program could differentiate between words I knew well and those I had problems with. Thanks to the optimization applied in SuperMemo, I would repeat only those items that I encountered for the first time. If I remembered all the learned vocabulary scheduled for repetition on a given day, the learning session was very short. As I could not work every day, I made an extensive use of the option Mercy, which helps to spread outstanding repetitions in a defined period of time.

The results of learning were amazing: I remembered words which always eluded my memory, and I continually had to look them up in a pocket dictionary. The authors do not exaggerate claiming that with SuperMemo, learning proceeds 10-50 times faster than with conventional techniques. The only condition for retaining the learned knowledge is systematic work with the program.

SOME TECHNICALITIES

I had no problems with installing the program. The tested version was designed for DOS, but SuperMemo World is close to completing a Windows version [released March 1993]. The files can be easily converted to display Polish diacritical characters in a chosen standard. If I had any problems, I could always rely on a comprehensive, on-line, context- sensitive help. It is important to set the DOS system date, which is used by the program to schedule repetitions.

SUMMARY

SuperMemo is based on a sensational method of learning. Its simplicity and universality make it a perfect learning tool.

  • LIKES
    • sensational learning method
    • comprehensive user's guide
    • user friendliness
    • universal applicability (all possible domains of learning)
  • DISLIKES
    • English interface [Polish version was released March 1993]


Formula for success in learning

Formula for success in learning. The power of knowledge Dr Piotr Wozniak,
September, 1998
This article defines key points needed to build rock-solid knowledge for lifetime. Some points may be obvious to you, some may be new. Those which require further discussion provide links to further materials on this website and on the net. This article is also available in Simplified English: Six steps to excellent memory

If you have found this place in the vast cyberspace of the web, you are probably not the one to convince that knowledge is power, and that solutions to most problems facing humanity could be found if we were armed with more understanding of how the world works. While knowledge is power, information can be overpowering. An increasing proportion of the population suffers from Information Fatigue Syndrome, i.e. from stress related to being overwhelmed with an unmanageable glut of information.

This text introduces you to simple steps toward managing information and toward rock-solid knowledge. No cheap miracles. Just a clear and straight approach based on facts and science. Within the bounds of the possible.

I have been working on the problem of effective learning for 16 years now since, as a student of molecular biology, I first understood how I could greatly change the quality of all my actions were I able to improve the recall of what I studied for exams (and not only).
Now, I would like to share my experience with you for one major reason: I want to see more people enjoy the blessing of empowering knowledge. If we all could learn and understand more, the world would definitely look better for all of us. Although I represent a company that is involved in commercial distribution of software tools and material for enhanced learning, I guarantee that after going through my 20-minute course you will be armed to experience noticeable improvement in your learning ability without spending a penny!

You may find the first three points obvious. Please do not stop reading if this is the case.

This is the shortest path to empowering knowledge:

  1. Nurse your hunger for knowledge - if your motivation for getting knowledge is weak you can stop reading this text. The rest of my advice will not work. Your motivation cannot be shallow (like for passing an exam, showing off at a party, impressing the boss, etc.). You have to find the clear-cut link between knowledge and the value it brings to life. Do you like science programs? Are you interested in how your computer works? Do you surf the net looking for news? If the answer is yes, you are probably on the right track. Can you spend more than 30 minutes on a totally uncreative and non-intellectual activity (e.g. gossip, adult magazines, unadulterated laziness, etc.)? If yes, you may have a motivational problem. The hunger for knowledge grows as you get more educated (the more you know the more you know you don't know). So there is an excellent remedy for poor motivation: learn more and see how it can impact your and others' life. Research shows that strong motivation may actually count more than your IQ. Do not forget about your health! A strong body makes it easier to nurture a well motivated mind

  2. Determine what you really need to know - you must first clearly identify the areas of knowledge that are most likely to positively influence your future. You will not even be able to skim the surface of the world's knowledge resources in your lifetime! The earlier you realize this the faster you will reach the point at which you will see that three well-selected pieces of knowledge may have the power to blast the entire shelf of ill-picked books. You must first see how much time you can spend on learning daily. Only a lucky few can afford to learn new things for more than an hour per day. If this is the case with you, the problem of knowledge selection is yet more burning. Take a long-term perspective. Do not get obsessed with learning just one subject, e.g. English, Excel or Economics! To assume a responsible position in society, you will need strong general knowledge on health, sociology, history, natural sciences, etc. Only those who can grasp the full picture are well positioned to be successful in their efforts

  3. Locate sources of information - unless you are in your student years, going through a collection of thick books may not be the best way to accomplish your goals. Limited time gives preference to an incremental approach. You can study lots of sources in parallel and pick only information of the highest priority. Have you discovered the power of the Internet? Lots of answers can now be found on the net (as this article: short, free, and, hopefully, making an impact). Obviously you should cast your net wide. TV, news magazines and the library are still irreplaceable in many areas. See also: Devouring knowledge and Incremental reading to find out about efficient strategies for collecting, prioritizing and processing knowledge from the web

  4. Formulate knowledge for active recall - this is the first point on the list that will require some convincing. Effective learning must be based on repetition. Otherwise whatever you learn will sooner or later be forgotten. Do not trust theories which tell you that you can develop memories lasting for lifetime! Everything you remember for life is somehow rehearsed by your memory (even if you are not aware of the repetition). The concept of permastore (indelible memory) is true only if you understand it as long-lasting memories that reach beyond your expected lifespan. No acquired memories last for ever; as a result, repetition is necessary to remember.

    An effective repetition must be based on active recall. This means that your brain must generate the answer. You cannot just passively process information. It is not enough to read that George Washington was the first US president. You need a question! For example: Who was the first US president? You will be disappointed to find out that most of the learning material available worldwide still does not comply with active recall! Additionally, whatever is based on active recall may not meet your expectations. Do you like running through exercises at the end of a course book? Probably not. The painful truth is that you will certainly have to formulate most of the knowledge yourself. After all, you will be getting it from various sources: CNN, Internet, Newsweek, encyclopedias, business journals, science journals, etc. These sources are not best suited for learning. They do not comply with the active recall principle. The time you invest in formulating knowledge for active recall will be returned manifold as long as you stick with the remaining principles of the presented formula for success in learning! (esp. Point 2: selecting only material that you need, and Point 5: repeating it in a rational manner). You will yet need lots of time to perfect the skill of adequately formulating knowledge for learning. You will find more details in The 20 rules of formulating knowledge in learning (including Tony Buzan's mind maps, cloze deletion, handling enumerations, etc.)

  5. Use spaced repetition (i.e. repeat the material in properly selected intervals of time) - this point is most likely to enhance your learning skills even if you are a seasoned student! As mentioned earlier, you must repeat the learned material to make sure it really remains in your memory. The most difficult problem to solve is how to properly select the timing of repetitions. This problem has been solved for you and is immediately available as the SuperMemo method of fast learning (the name SuperMemo is derived from super memory and has nothing to do with memos). You can start using SuperMemo in minutes. You have three options, two of which are free:
    • you can read Using SuperMemo without a computer and start using the method today
    • you can download older versions of SuperMemo freeware
    • if you have a credit card, you can order SuperMemo in minutes (Windows, Palm, Pocket PC, etc.)

    Once you learn how to use SuperMemo, you will remain for ever free of worries about being or not being able to remember the knowledge you learn. In newer versions of SuperMemo software, you can even tell the computer what proportion of knowledge you want to retain in memory (between 90-99%)

  6. Do not neglect knowledge management - once you start learning using the previously mentioned principles, you must not forget that your needs change in the same way as the world around you. This fact must find its reflection in learning! Repetitions of the learned material must become a standard fixture in your daily schedule. This time will be spent well if you carefully make sure at each repetition that the material you learn is really worth the time you put in it. It must be up-to-date, useful, and properly formulated. You may be saving 70-90% of your time if you remove or reformulate the hardest 5% of your learning material! The newest version of SuperMemo (see pictures) makes it possible to reschedule, postpone, dismiss, reedit or simply delete all material whose place in the learning process is changing. For more information about effective learning based on active recall and SuperMemo read: Learning Decalog

You may be now skeptical of whether the above procedure is really worth the initial investment of time and adapting your mind to a new approach:

  • Is knowledge really so central to my life?
  • Is this active recall idea really critical? Why should I reformulate whatever I hear or read? Isn't it an awful waste of time?
  • Is the SuperMemo method really a must? Aren't my currently used methods sufficient? Reading a 5-page article, searching for shareware or shelling out a couple of dollars might be barriers many of you will not be ready to pass! Sticking with regular repetitions may be an even steeper obstacle

I have devoted all my academic and professional life to promoting the above approach and I guarantee results to anyone who will have the will to try and the persistence to continue. If you have any doubts, please do not hesitate and write to SuperMemoMail with your questions

Further reading

  • Devouring knowledge - how to maximize the speed of learning
  • Roots of genius and creativity - how to maximize one's creative powers
  • 20 rules of formulating knowledge - some tricks that will help you remember better
  • Forget about forgetting - popular scientific article about the role of repetition in learning
  • Learning Decalogue - ten commandments of effective learning with SuperMemo
  • Incremental reading - how to use SuperMemo to read many articles at the same time and convert them to lasting knowledge
  • Build your vocabulary - an article about using SuperMemo for learning vocabulary

(Six Steps mind map generated in Mind Manager 3.5, imported to SuperMemo 2004, courtesy of John England, TeamLink Australia Pty Ltd)

See also: Recommended websites


SuperMemo as a new tool for programmers

SuperMemo as a new tool increasing the productivity of a programmer. A case study: programming in Object Windows Piotr Wozniak, Informatyka, Vol. 12, 1993, p. 1-4;
corrected and updated: Oct 1, 1998 courtesy of Clark Hamilton, Microsoft
This paper was published by the Polish computer science journal Informatyka. In 1993, its editor-in-chief, Wladyslaw Klepacz, opted for increasing the appeal of this academic publication and experimented with an idea of publishing papers written in English (previously, only abstracts in English and German were included). This was the first English-language article in the history of this respected journal

This paper provides general guidelines for increasing the productivity of a programmer by means of SuperMemo – a new speed-learning technique. The author has been working on a software development project involving programming in Object Windows (an application framework designed by Borland for Turbo Pascal for Windows). Conclusions coming from the author’s assignment are described and illustrated with examples

Numerous studies on productivity in software engineering have shown that programming, which still combines elements of art and science, can be numbered among those few domains of engineering, where individual differences in productivity, often measured in the number of statements per day, vary greatly beyond ordinary expectation. The often-quoted relationship is like 1 to 20 among programmers employed in the same project [1]. This paper presents a way to increase programmer’s productivity by means of simple training techniques that can be introduced at very little cost by software developers or even by individual programmers on their own.

There are two opposites affecting the complexity of problems encountered by an engineer using state-of-the-art technology in development projects:

  • introduction of new concepts and techniques at the receiving-end of new technologies increases the complexity of tasks facing the developer
  • introduction of new tools and techniques at the level of the developer’s workshop makes his attention shift from methodological aspects to conceptual aspects of the considered problem.

The subject of this paper is a new training technique. SuperMemo, which can be employed in offsetting the decrease of a programmer’s productivity observed in association with increasing complexity of the development environment. The attention is focused on programming in Object Windows – an object-oriented application framework designed by Borland for Windows programmers privy to Pascal.

Introduction of Microsoft Windows version 3.0 in 1990 resulted in an increasing interest in graphic interface applications for DOS based personal computers. As the user of the application interface tools such as pull-down menus, icons, dialog boxes, scroll bars, command buttons, etc., the programmer had to face new challenges posed by mastering close to 1000 functions of the Application Programming Interface, as well as no fewer a number of constants, messages, structures, etc. Windows’ Graphic Device Interface, and a number of other improvements at the level of the operating system, increased the productivity at the end-user level, and at the same time, rapidly increased the complexity of the development environment offered to the programmer. This situation led to a popular saying that Windows programs are as good as they are because only the best programmers can complete them.

As a consequence of a greater challenge facing the programmer, a number of application frameworks have been developed in order to counterbalance the growing complexity of programming in Windows. Increasingly, an object-oriented approach has been used in similar situations over the past decade. One of the most popular application frameworks for Pascal programmers is Object Windows, developed as a standard library for Turbo Pascal and Borland Pascal for Windows.

Optimally, development of new programming tools should gradually reduce the complexity of routine programming tasks in software engineering, and clearly separate the conceptual effort of the developer from details of the operating system, programming language and programming techniques.

The optimum situation, however, seems to be ever more elusive as new requirements are imposed on software applications with the availability of new technologies, appearing periodically in all fields of computer or communications technology. Professional programming was, and continues to be, the domain of the few, and success in dealing with complexity has a fundamental bearing on the overall effectiveness in software development projects.

There are four basic sources of information for a programmer working in software development:

  • printed documentation and publications,
  • on-line help systems,
  • peer-level and technical support consultation,
  • programmer’s knowledge acquired in the course of programming studies and programming practice.

There is a natural tendency to embed the printed sources of information, as well as human-to-human exchange of information in increasingly intelligent computer help systems. In other words, a clear split emerges between the two forms of storing knowledge: in a computer and in the human brain -- a phenomenon appearing more and more frequently in all kinds of scientific and engineering tasks.

The three related problems are:

  • how to divide knowledge between computer and natural memory storage,
  • how to represent knowledge in a computer knowledge base, and how to implement effective querying procedures,
  • how to represent knowledge for human training, and how to effectively transfer in to the subject’s brain.

In the presented paper, the first and the third problems are considered.

The obvious advantages of knowledge stored in the human brain are its high level of associativity and relatively short access and query time. Artificial Intelligence systems do not seem to closely approach humans in a number of highly complex intellectual tasks; therefore, there is still a special place for the human brain and intelligence in software development, and a time lost vs. time gained analysis makes the basic criterion in choosing what to store and what not to store in human memory.

In other words, time lost for training, later called time loss (TL) must offset the time lost as a result of using an external reference. Time saved by not having to refer to external sources of knowledge will later be called time gain (TG).

Time loss and time gain, whose relationship determines which elements of knowledge should be mastered in the course of the training, can be computed individually on a one-by-one basis for each of the pieces of information. Those pieces considered in the analysis will later be called items, while the criterion TG>TL will be called the memorization criterion.

Let us consider the time gain side of the memorization criterion. There are three major components here:

  • reference time, i.e. time needed to look up the item in the external source of information, e.g. in a help system,
  • deadline penalty, i.e. extra time penalty coming from not having the item available before a certain deadline,
  • non-association penalty, i.e. extra time penalty coming from not being able to produce associations, which form the basis of creative thinking.

Only the first component of the time gain can easily be estimated and practically employed in determining knowledge that should be transferred into the programmer’s brain in the course of the training. The difficulty with the two other components is the deadline penalty, which is a rare phenomenon in the practice of programming, while losses coming from non-association are very hard to estimate. Inability to form associations, a result of not having simultaneous access to unrelated components of the relevant knowledge, may involve a penalty that greatly surpasses the penalty coming from the need for extra knowledge references (first component of time gain).

The final form of the time gain equation in the practice of programming could be as follows:

TG = RefNo*RefT + NAP (1)

where:

TG – time gain,

RefNo – number of references needed for a given item,

RefT – average references time,

NAP – non-association penalty.

The time loss side of the memorization criterion can be computed with a high degree of accuracy, on condition that a systematic approach to the learning process is assumed.

SuperMemo is a learning technique, in which the spacing of repetitions of knowledge is optimized by means of an algorithm proprietary to SuperMemo World. As it can be demonstrated, SuperMemo produces a repetition spacing that is close to optimum spacing for a selected level of knowledge repetition.

From the optimum spacing of repetitions, and from practical measurements of mean repetition times, the time loss per item can be computed for a selected period of time and a selected level of knowledge repetition.

The accurate formula for time loss could look like this:

TL = RefNo*RefT (2)

where:

TL – time loss in the training period,

RefNo – number of repetitions in the training period,

RefT – average repetition time.

Practice shows that knowledge retention of about 95% provides the best balance in the retention vs. acquisition rate trade-off in learning material useful from the programmer’s standpoint (this level of knowledge retention is also recommended in the majority of practical applications of SuperMemo [4]).

It can also be shown that the knowledge of the highest degree of applicability in the practice of programming has an extraordinarily short lifespan. Unlike in sciences or medicine, the knowledge of a programmer must constantly be turned over, with a large proportion of items losing their applicability in a period of time as short as 1-3 years.

As an illustration of item attrition, a database was developed by the author with a view toward learning Pascal programming, starting with Turbo Pascal 3.0 and ending with Borland Pascal 7.0 for Windows.

Year | Language | BP7 | TPW | TP6 | TP4 | TP3 | Total
1987 | TP3 | - | - | - | - | 800 | 800
1989 | TP4 | - | - | - | 1000 | 600 | 1000
1991 | TP6 | - | - | 1500 | 4000 | 600 | 1500
1992 | TPW | - | 3500 | 1100 | 700 | 400 | 3500
1993 | BP7 | 4000 | 3100 | 1100 | 700 | 40 | 4000

Where:

Year – the year in which database analysis was done,

Language – The Pascal superset in question (Turbo Pascal 3.0, Turbo Pascal 4.0, Turbo Pascal 6.0, Turbo Pascal for Windows 1.0 and Borland Pascal 7.0 for Windows respectively),

BP7, TPW, TP6, TP4 , TP3 – number of items coming from the particular superset in the entire SuperMemo database.

The above figures illustrate (1) a substantial growth in the number of items coming from the increase in the programming system complexity resulting from the introduction of Turbo Pascal 1.0 for Windows, as well as (2) a high attrition rate of items in the database in accompaniment of employing new language elements, tools and techniques to Turbo Pascal.

The average number of repetitions per item is about 5-6 in a well-structured SuperMemo database. As the average repetition time is from 5 to 7 seconds, the time loss per item is about 30-40 seconds in the considered period of time.

From equations (1) and (2) we can easily obtain a simple formula for estimating the memorization criterion:

RefNo*RefT + NAP > RefNo*RepT

Considering that in the period of 2 years RepNo = 6 and RepT = 6 we can reduce the inequality to the following form:

RefNo*RefT + NAP > 36 [seconds] (3)

We will use the above formula for the memorization criterion in the analysis of exemplary items to verify suitability for memorization as opposed to being left for further reference.

In the course of developing a SuperMemo database on programming in Object Windows, the author identified the following six dominant aspects that should be the subject of training by means of SuperMemo:

  • Foundations of computing sciences: algorithms, data structures, computational complexity, probability calculus, operation research, numerical methods, software engineering, statistics, etc.
  • Elements of the operating system and the assembly language (in the considered case: DOS, Windows and the 80*86).
  • Elementary terminology and concepts of the development environment (for example, in Windows: client area, control menu, system key, modal vs. modeless dialog, child vs. popup window, logical vs. device coordinates, interface object vs. interface element, virtual method table, polymorphism, etc.)
  • Programming tools (debugger, profiler, resource workshop, help compiler, etc.)
  • Elements of the language; syntax and use: procedures, functions, variables, constants, objects and their hierarchy, fields, methods, messages, run-time errors (but not compiler errors), etc.
  • Practical tips, observations, and experimental findings not included in the documentation (these should be collected by the programmer in the course of the programming practice). For example, compiler bugs, freaks of the operating system, frequently encountered traps (e.g. using more than five device contexts in the GDI), etc.

Let us consider the memorization criterion for exemplary items used to learn programming in Object Windows, and belonging to the fifth knowledge domain, that of elements of the language. All the examples are taken from the database developed by the author. Letter Q and A are used to mark questions and answers.

Example 1:

Q: What is the name of the pointer to the main window (defined by TApplication)?

A: MainWindow.

In Object Windows, the application instance is defined as an object whose type is TApplication. One of the fields in TApplication is a pointer to the main application window, MainWindow.

The name of the pointer can easily be found in the Borland Pascal on-line help. The reference time (RefT) can be estimated to be no less than 20 seconds assuming the knowledge of the name TApplication, or at least 40 seconds otherwise (486 class computers). The number of references (RefT) depends greatly on the programmer’s needs and his or her programming style. MainWindow is used in the method InitMainWindow, which must be specified for every Object Windows program. If the programmer works on a single project, he is more likely to reference MainWindow as the parent of other windows or dialog boxes. RefNo can be estimated as varying from 0 to 100 for the period of two years. The item in question asks for an identifier, and as such involves a very low non-association penalty (NAP). A conservative substitution to the memorization criterion could therefore look as follows: TefNo*20 > 36, which justifies introducing the analyzed item into a SuperMemo database as soon as the expected number of references is greater than one! It is important to notice, that a large number of reference (above 20) may result in memorization of the item in question without the help in SuperMemo. However memorization criterion does not lose its validity as long as the first reference does not result in a memory engram that can be sustained until the need for the next reference arises.

Example 2:

Q: What are the two stages of MakeWindow?

A: (1) Checking for memory conditions (ValidWindow)

(2) Creating the window (Create).

In Object Windows, MakeWindow is a method of TApplication, which takes a pointer to a window as its parameter, and is responsible for creating the relevant interface element. The knowledge of the stages of the MakeWindow is not needed by the programmer in the coding process therefore RefNo can safely be put to zero. However, because of its educational aspect, and because of the possibility of using the method Create, which is not recommended, the non-association penalty (NAP) can safely be set as greater than 36 seconds to satisfy the memorization criterion.

Example 3:

Q: What is HWindow?

A: Handle to the interface element of a given object

HWindow is used by all objects TWindowsObject and its descendants to store the handle to the corresponding interface element, or to store zero if the interface element has been destroyed or not created at all. Interestingly, this item does not satisfy the memorization criterion. Passive recognition of the identifier HWindow is needed in programming Object Windows; however, because of its frequent use and intuitiveness, the recognition can easily be achieved without extraneous training (i.e. any training different than active use of the identifier in the programming practice). The reason of placing this in the database is different, and comes from the principals of SuperMemo, which demand that multifaceted approach to learning be taken. What the programmer has to remember and what satisfies the memorization criterion is the active recall of the name HWindow. However, adding a symmetrical item which, in a sense, duplicates the memorized piece of knowledge and asks for its passive recognition, has been proved to reduce the overall workload, i.e. the time loss side of the memorization criterion (TL). This happens by reducing the difficulty of the items in question; the fact reflected by a lower number of repetition per item, e.g. 6 repetitions in two years instead of 10 repetitions, and by a shorter repetition time, e.g. 3 seconds instead of 5 seconds (the overall difference here would be as between 2 items * 6 repetitions * 3 seconds = 36 seconds, and 1 item 10 repetitions * 5 seconds = seconds).

Example 4:

Q: What object types define HWindow?

A: TWindowsObject (and all the descendants).

Though again, the estimated reference number (RefNo) is zero, this item has been introduced into the database as result of a combination of the non-association penalty and the multifaceted approach stipulated by SuperMemo.

Example 5:

Q: What are the parameters of GetText in edit controls?

A: (1) Retrieved text and (2) its maximum size.

Edit controls are standard Windows interface objects used in editing null-terminated strings. The method GetText defined by the object type TEdit, a descendant of TWindowsObject in Object Windows, retrieves the text from an edit control, and requires the maximum size of the retrieved text as the second parameter. This item is a typical example of a language item that fully satisfies the memorization criterion. Here, the reference time should rather be called a recompilation penalty time, because the main hitch in using GetText comes from the fact that it returns the size of retrieved text, not the text itself. The mistaken reference of GetText, will easily be discovered at compile time as a type mismatch. The penalty involved could span from 10 to 45 seconds depending on the size of the compiled code. The reference number (RefNo) can range from 10-100, and a conservative substitution to the memorization criterion could look as follows: RefNo * 10 > 36 [seconds], which implies that four recompilations would justify introducing the item into the database.

Example 6:

Q: What are the descendant types of TStatic?

A: TEdit.

Static controls, encapsulated in Object Windows in the object type TStatic, are standard Windows interface objects that define static texts such as edit control labels in a dialog box. The above item is an example of benefits coming from reasonable knowledge structuring in learning highly associative subject domains. From the assertion implied here, and from the understanding of inheritance in object-oriented programming, the programmer can infer a number of properties of objects typed as TEdit. For example, by specifying items needed for understanding the SetText method of TStatic, the programmer does not have to duplicate the same questions for TEdit. Obviously, the multifaceted approach principle could be raised to justify such redundancy; however, some extra components of the memorization criterion would have to be added in order to balance the trade-off between time gain coming from multifacetedness and time loss coming from the extra workload.

Let us have a short look at the overall workload involved in the training based on SuperMemo. In the course of the project, which started 401 days before writing this paper, the analyzed SuperMemo database has grown to comprise 3605 items. After 401 days, the average number of repetition per day was 47, the average number of repetition per item was 4.5, the average repetition time was 7.4 seconds per item, and the average daily workload was 5 minutes and 44 seconds (excluding time needed to extract items from the documentation and to put them into the database). On average, 1 page of documentation produced 3-4 items, which indicates that the database makes up an equivalent of 900 pages of printed reference (Borland Pascal documentation, DOS and Windows manuals, and the WINDOWS programming reference total over 7000 pages altogether).

Basing on the experience gained in the course of compiling the discussed database, the following exemplary 8-hour working schedule could be proposed for a software development project, in which new tools or a new environment are to be employed:

  • Working with the documentation and studying how-to literature with the accompanying extraction of relevant items that should be memorized (about 2 hours). Here, only basic concepts and terminology should sparingly be marked for memorization with SuperMemo.
  • Programming training, perhaps including the development of the code for the ultimate project, with extraction of items useful in programming tasks and in overcoming most typical programming hurdles (about 5 hours). Here only the most frequently used details of the language and the development environment should be considered. Particular emphasis should be on specifying items that solve bottleneck problems that have been encountered in the course of the practice.
  • Development of a SuperMemo database and repetitions of the outstanding items (about 1 hour).

Obviously, the time needed for studying the documentation and the time needed for SuperMemo repetitions can decline rapidly with the advancement of the project, especially in programmers with a good background on the considered language and environment. Similarly, the availability of a customized, ready-made SuperMemo database could cut the third component of the training by up to 70% time.

The figures presented earlier in reference to the effectiveness of using SuperMemo in software development training may sound encouraging; however, it is not easy to convince an effective programmer with a firmly established modus operandi to adopt a new solution, especially if they touch the neglected and under-appreciated field of training.

The major obstacle in popularization of SuperMemo among programmers seems to be the fact that development of a well-structured database that could result in a sharp increase in productivity is not as easy a task as it might seem at first. Therefore, an inexperienced user of SuperMemo software may quickly become disillusioned with the rapid accumulation of repetitions resulting from wrong selection of the material, as well as from formulating items that do not comply with the principles of effective learning as stated in the definition of the SuperMemo method. However, the author is absolutely positive that it is only a question of time before SuperMemo becomes a standard tool used in routine training of a modern programmer.

REFERENCES

[1] Bell D., Morrey I., Pugh J.: Software engineering. Prentice Hall, 1987
[2] Borland Int.: Object Windows. Programming Guide. Borland International, 1992
[3] Petzold Ch.: Programming Windows 3.1. Microsoft Press, 1992
[4] Wozniak P.A.: Optimization of learning. A new approach and computer application, 1990
[5] Wozniak P.A., Biedalak K.: Metoda SuperMemo. Optymalizacja procesu uczenia sie. Informatyka 1992, Vol. 10, s. 1
[6] Wozniak P.A., Gorzelanczyk E. J.: Optimal scheduling of repetitions in paired-associate learning. Acta Neurobiologiae Experimentalis. 1992, Vol. 52, p. 189
[7] Wozniak P.A.: Speed-learning with SuperMemo for Windows. SuperMemo World. 1993
[8] Wozniak P.A., SuperMemo Library, SuperMemo collections for learning Borland Pascal, Delphi, Windows API and Assembler 8086


How to effectively read the Internet?

Reading the Internet Dr Piotr Wozniak
September 1999
This article will tell you how to effectively make use of information on the net, and how to make sure that whatever articles you read, you can remember their key points for as long as it seems important/profitable.

Important: Some techniques described in this 1999 article can be greatly enhanced by the new concept of incremental reading. For a complete picture, it is highly recommended that you also read Devouring knowledge

Wealth of information

If I was to name one thing that would have the greatest impact on the future of this planet, I would point to the World Wide Web. The possibility of searching 800 million pages of information [Nature, June 1999] in seconds or minutes, provides those with access to the Internet with experience that was not known to humans in the whole 40,000 years of human communication prior to WWW! With intelligent queries, you can get answers to questions ranging from cold remedies, GDP figures, impact of coffee on health to specialist articles, news, train schedules, stock picks, auctions, etc. It seems that soon the access to information is to stop being a limiting factor in your quest for more and better knowledge. Just the opposite, you are likely to be served with more valuable information than you will ever be able to process. To make a true use of the blessing of the web you need tools to prioritize, and process knowledge. Secondly, you will need tools to make sure that whatever you process does not volatilize as a result of your failing memory. It is quite likely that soon, for a significant proportion of Internet users, reading on paper will no longer be a viable option as compared with reading the net.

Just five years ago, in my Ph.D. dissertation, I wrote about difficulties in adjusting my reading habits when moving from paper to the electronic form. Now I spend nearly all of my reading time on reading the net! If you sense that you are about to join this ever growing group of electronic readers, or at least, you want to make a good use of knowledge available on the Internet, this article is for you.

Leaders are readers!

Yellow inserts will show that you can greatly improve your reading and learning the Internet if you use SuperMemo for Windows. SuperMemo is an application that pioneered repetition spacing in learning (repetition spacing solves the problem of forgetting by computing optimum inter-repetition intervals in the review process). SuperMemo 99 extended the application of SuperMemo into the area of knowledge access. It provides you with simple tools to: import, prioritize, read, process, dismember and memorize material published on the net. Yellow inserts will show you how to accomplish those steps with SuperMemo. You can skip those inserts if SuperMemo goes beyond your interest

Select your sources

The first relatively easy step to soaking net knowledge is to find the sources of information. Probably you have already located your favorite sites with information that is currently in the focus of your attention. If not, you might start from www.cnn.com or www.google.com and soon your Favorites section will be populated with lots of valuable links to information rich sites

Collect the articles

You can use Open in New Window in your browser to open many articles in a short surfing session. Before you save your articles for detailed reading, it is very important that you quickly go through what you have collected. Articles that are not worth reading are handled quickly by closing their copy of the browser. Articles of less importance can be reviewed quickly without saving. More important articles should be carefully annotated and prioritized. Very often it makes sense to save only a single paragraph of a larger article or several paragraphs of which each would be assigned a different priority

Prioritize your reading

If you have already started reading the Internet, perhaps you have run into a problem of saving lots of pages on your hard disk and never actually having time to read them. Open in New Window makes it very tempting to check what hides behind interestingly titled hyperlinks. You might find yourself opening dozens of pages and then ... with time running out, adding those pages to your hard disk collections that seems to never stop growing. Clearly you need to prioritize those articles to make sure that you at least read those that seem to be most valuable. You cannot ever hope to read everything that seems interesting. Perhaps you have already created priority folders just to find out that even your top priority folder is overpopulated and still requires further prioritizing. Efficient prioritizing is the key to successful reading. You do not ever have to delete what you do not read. It is only important that you start from reading those articles that are likely to generate most value

Importing articles to your reading list

SuperMemo 99 introduced a concept of a reading list. A reading list is a collection of articles imported from the net and prioritized for importance.

If you have found an interesting article on the net, you can add it to your reading list in SuperMemo using the following steps:

  1. Have a short look at the article to be roughly able to assess its contents and value
  2. Select the interesting text or its fragment in your browser (e.g. with Ctrl+A) and press Ctrl+C (this will copy the text to the clipboard)
  3. Switch to SuperMemo (e.g. with Alt+Tab)
  4. Choose Edit : Add a new article (e.g. by pressing Ctrl+Alt+R)
  5. You will see a screen as displayed below. In the example below, an article about anti-cancer diet has been imported from www.cnn.com

Importing articles to your reading list (contd.)
  6. In the field Description, type a short description of the article (this description will be displayed in the reading list browser called the tasklist manager)
  7. Switch to the Value field (e.g. by pressing Tab or Alt+V)
  8. In the field Value, type the value of the article. Imagine that someone is about to charge you for being able to read this text. How much would you be ready to pay? If this is $5, you could type 5 in the Value field. You can use any currency or any other measure of value as long as you consistently stick to the same standard
  9. The Time field will be filled out by SuperMemo and will reflect the length of the article
  10. The Priority field will display Value/Time and will tell you how much value you will generate per minute of your precious time spent on reading the article
  11. You can choose OK now (or just press Enter). SuperMemo will sort all your articles by Priority. You will now always be sure that you can start from the most valuable article and thus maximize the benefits of reading. Please remember that accurate preview and valuation of all articles is critical for your efficiency!

Review your reading list

Be sure that you always read your articles starting with top priority articles. Naturally you can always reevaluate the priority and change the reading order

Sorting the reading list

You can review your reading list by pressing Ctrl+F4 (or F4 in SuperMemo 99). The picture below presents an exemplary reading list. The combo-box top-left makes it possible to select the appropriate reading list if you keep more than one list. To change the value, time or priority, click on the relevant field, input the new value and press Enter. You can sort the list by pressing Ctrl+S or by clicking the button Sort tasks on the toolbar

To select your top priority article for reading choose either of the following methods:

  • Choose Learn : Selected stages : Reading list, e.g. by pressing Ctrl+Shift+F4 (or Ctrl+F4 in SuperMemo 99) on the main menu, or
  • If your tasklist manager is opened (as in the picture below), go to the top row (e.g. by clicking Home or pressing Ctrl+Home) and open the associated article (e.g. by clicking Jump or pressing Ctrl+Shift+Enter)

wpe2.jpg (145700 bytes)

Read and highlight

Once you choose your top priority article, you can proceed with reading. It is highly recommended that you extract the fragments that you believe are most important and schedule them for later review. The great benefit of reading the web, as opposed to reading the books, is that the hypertext nature of the web enforces a very compact and usually self-explaining nature of individual articles. A jump to a randomly selected page in an average book will leave you confused due to the context-dependence of the material. On the other hand, it is less likely the same confusion will trouble you in a random jump to a selected page of an equivalent material placed on the web. Web authors usually put more effort to add contexts to the page (at least in the form of hyperlinks). In other words, it is easier to build quality knowledge by reading single pages of the web than by reading single pages of paper books. We are getting closer to the ideals of incremental life-long learning as opposed to thorough-review learning which for many ends with the end of school years. In the busy days of modern society, few can afford a thorough review of their rusty knowledge in individual fields. It is much easier to fix the gaps incrementally: today an article on the structure of the atom, tomorrow an article on a healthy diet, etc. And all that strictly adjusted to individual's interest and professional priorities.

Let us have a look at an example of a very short, self-containing article, posted in April 1999 on the CNN website. This short article can be read in minutes and can serve as a positive incentive towards adjustments in your diet. Gray inserts will, as of now, be used to follow the processing of this particular article. Please read the article before we proceed with the analysis

Antioxidants may slow aging process, study says April 5, 1999 Web posted at: 9:39 p.m. EDT (0139 GMT) From Correspondent Linda Ciampa BOSTON (CNN) -- Research at Tufts University indicates that a healthy diet fortified with certain fruits and vegetables may slow down and even reverse the aging process. Foods rich in antioxidants -- such as blueberries, strawberries, spinach and broccoli -- have what doctors call high ORAC (Oxygen Radical Absorption Capacity) levels. Middle-aged rats who were fed a high ORAC diet in the USDA- sponsored study experienced less memory loss than those given a normal diet. Some of the older, slower rats became as lively as their younger peers after taking antioxidants. "We prevented both some brain and some behavioral changes that one normally sees in these rats when they hit 15 months of age," said USDA researcher Jim Joseph. Antioxidants are effective in destroying free radicals -- cell-damaging compounds that can help cause cancer and heart disease and speed the aging process. "It's pretty well accepted that aging is due to the production of free radicals. So anything we can do nutritionally to provide additional antioxidants is likely to protect us in the process of aging," Joseph said. That fact already has prompted many to eat a diet rich in antioxidants. "I look at it as sort of a savings account. I'm benefiting today from eating right, but I'm also going to have it in the future," said 30-year-old Cori Alcock. "As I age and grow older, I'll have good health as well."

(source: CNN.com, April 1999)

In the course of reading, you should select the most important sections of the article. The article introduces some facts related to healthy diet and adds a lot of redundant explanations. For your review, you are only likely to need the core message which usually makes up a fraction of the entire text. Please have a look again at the same text with four most critical sections emphasized (numbering is not needed and is used only for your convenience for further reference)

Antioxidants may slow aging process
Research indicates that a healthy (1) diet fortified with certain fruits and vegetables may slow down and even reverse the aging process. (2) Foods rich in antioxidants -- such as blueberries, strawberries, spinach and broccoli -- have high ORAC (Oxygen Radical Absorption Capacity) levels. Middle-aged rats who were fed a high ORAC diet in the USDA- sponsored study experienced less memory loss than those given a normal diet. Some of the older, slower rats became as lively as their younger peers after taking antioxidants. "We prevented both some brain and some behavioral changes that one normally sees in these rats when they hit 15 months of age," said USDA researcher Jim Joseph. (3) Antioxidants are effective in destroying free radicals -- cell-damaging compounds that can help cause cancer and heart disease and speed the aging process. (4) "It's well accepted that aging is due to the production of free radicals. So anything we can do nutritionally to provide additional antioxidants is likely to protect us in the process of aging," Joseph said. That fact already has prompted many to eat a diet rich in antioxidants. "I look at it as sort of a savings account. I'm benefiting today from eating right, but I'm also going to have it in the future," said 30-year-old Cori Alcock
While reading texts imported to SuperMemo, you will start from selecting the important fragment with the mouse (reading list positions are formed by rich text component and you should make sure that you set Tools : Options : Mouse : Edit texts : On click so that you could enter the editing mode with a click of the mouse; this is the default behavior).

Once you select the important text with the mouse, you can proceed with one of the three methods of processing the fragment:

  1. Choose Queue extract (right click over the selected fragment and choose Reading : Queue extract).
    This option will create a new element in SuperMemo. It will use the selected fragment as the contents of the new element and put the new element at the end of the pending queue (i.e. the queue that keeps the unprocessed learning material in line for memorization). Optionally, you could change the ordinal of the queued element (Ctrl+Shift+P) in order to later sort the pending queue (this is highly recommended if your queue grows long enough for processing it to take more than a month or two). Please note that after executing Queue extract, SuperMemo takes you back to your processed text. If you still want to inspect the newly created element, choose Alt+B or the < button on the navigation bar
  2. Choose Remember extract (right click over the selected fragment and choose Reading : Remember extract).
    This will create a new element and introduce it immediately to the learning process. This works like Queue extract but the newly created element enters the learning process immediately (in the same way like all learned items repeated along the spaced repetition algorithm)
  3. Choose Task extract (right click over the selected fragment and choose Reading : Task extract).
    Here the extracted fragment will be used to generate a new reading position. The Time field will be generated in the same way as when importing whole articles, i.e. on the basis of the text length. You will have to assign the title and the importance of the fragment by filling out the fields Description and Value. You will most likely use Task extract for larger paragraphs that require more detailed analysis. You can also use Task extract for breaking larger articles into smaller articles (even without careful reading of the extracted fragments). This is to make sure that you do not get stuck for days with a single article of which some parts may be more important to your knowledge than others and should be prioritized independently

After reading an article, dismiss it with Ctrl+D. This will remove it from the reading list and place it in the archive

In SuperMemo 2000/2004, you can additionally use reading toolbar for operations listed above:

Improve the wording of highlights

Once you extract important fragments from an article (as discussed in the previous paragraph), you will have to reformulate individual fragments to make sure they are fully context independent, free of redundant information, easy to read and formulated in such a way that the beginning of the fragment serves as the introduction to the latter phrases and not vice versa. Please have a look at the example which is the continuation of our work on the healthy diet article. We selected four important fragments and these fragments (presented on the left) were reformulated to become fully-independent pieces of information (on the right). Please note that two fragments have generated more than one reworded fragment and that one fragment was deleted as it appeared to be redundant upon closer analysis.

The original fragment pasted without change from the CNN article | Modified fragment: shorter and easier to read (sometimes split into more than one part)
(1) diet fortified with certain fruits and vegetables may slow down and even reverse the aging process | (a) Diet of fruits and vegetables may reverse aging
(2) Foods rich in antioxidants -- such as blueberries, strawberries, spinach and broccoli -- have high ORAC (Oxygen Radical Absorption Capacity) levels | (b) Examples of foods rich in antioxidants: blueberries, strawberries, spinach and broccoli
 | (c) Foods rich in antioxidants have high levels of Oxygen Radical Absorption Capacity (ORAC)
(3) Antioxidants are effective in destroying free radicals -- cell-damaging compounds that can help cause cancer and heart disease and speed the aging process | (d) Antioxidants destroy free radicals
 | (e) Free radicals are cell-damaging compounds that cause cancer, heart disease and aging
(4) It's well accepted that aging is due to the production of free radicals | After a closer scrutiny, the fragment on the left seems to be redundant when compared with the one listed above. We can delete it from the set
All highlights are scheduled for review

In SuperMemo, you do not have to reformulate fragments immediately after reading them and generating the extracts. Note that all fragments will be scheduled for later review using the following three mechanisms:

  1. Fragments extracted with Task extract will become new tasks and do not even have to be read carefully (let alone reformulated). It is only recommended to add some words of introduction if the extract seems to poorly identify the context from which it was cut out
  2. Fragments extracted with Remember extract will be scheduled for repetition (usually in just a couple of days). Those fragments will be repeated in turn when you choose the option Learn. Reformulation of extracted fragments can be done during the first repetition (esp. if the piece of information is very important, the fragment is lengthy or it misses some important context) or later (esp. if the fragment is of less importance or is clear without rephrasing)
  3. Fragments extracted with Queue extract will be schedule for review at the end of the pending queue. In other words, the review will not take place earlier than before all other pending queue elements are reviewed (memorized, dismissed or reset) with Learn : Selected stages : New material (this stage is called automatically after outstanding repetition if you answer with Yes to Do you want to learn new material?)

Note that all extracts generate elements that are children of the original article. If you have problems with recalling the original context of a fragment, you can always call it back by pressing the parent button in the element window (up-arrow).

Review the material

Repetitio mater studiorum est. Repetition is the mother of all learning.

If you would like to leave a permanent trace of your reading in your memory, you will have to regularly review the material you have generated as a result of your reading. Your review should take place in days after reading and be repeated regularly in gradually increasing intervals. However, you cannot just passively read the extracted material. This will not have a sufficient impact on your ability to recall relevant facts and rules. You will need to put extra effort in reformulating the material. For example, Diet of fruits and vegetables may reverse aging should be converted into active recall material: What is the impact of fruits on aging? What is the impact of vegetables on aging? What exemplary diet can reverse aging? etc.

It is easy to notice that we will experience further proliferation of the material for review at this stage. However, research and experience show that this proliferation will actually reduce the time needed to effectively remember the material in question!

Effective formulation of active recall material may require some experience and the first attempts are often clumsy and inefficient (even if your IQ is far above average). Beginners might start with a simple technique called cloze deletion (yes, the spelling with z is correct). In cloze deletion, you simply replace fragments of your items with three dots. Those empty spaces filled with dots should be replaced at recall with relevant words or phrases. For example: Diet of fruits and vegetables may reverse aging might produce: Diet of ... may reverse aging

Please have a look at the example below where we convert items generated earlier into active recall items based on cloze deletion:

Original item Cloze deletions generated from the item
(a) Diet of fruits and vegetables may reverse aging (1) Diet of ... and vegetables may reverse aging

(2) Diet of fruits and ... may reverse aging

(3) Diet of fruits and vegetables may reverse ...

(b) Examples of foods rich in antioxidants: blueberries, strawberries, spinach and broccoli (4) Examples of ... rich in antioxidants: blueberries, strawberries, spinach and broccoli

(5) Examples of foods rich in ...: blueberries, strawberries, spinach and broccoli

(6) Examples of foods rich in antioxidants: ...

(c) Foods rich in antioxidants have high levels of Oxygen Radical Absorption Capacity (ORAC) (7) ... rich in antioxidants have high levels of Oxygen Radical Absorption Capacity (ORAC)

(8) Foods (rich/poor) in antioxidants have high levels of Oxygen Radical Absorption Capacity (ORAC)

(9) Foods rich in ... have high levels of Oxygen Radical Absorption Capacity (ORAC)

(10) Foods rich in antioxidants have (high/low) levels of Oxygen Radical Absorption Capacity (ORAC)

(11) Foods rich in antioxidants have high ... of Oxygen Radical Absorption Capacity (ORAC)

(12) Foods rich in antioxidants have high levels of ... (ORAC)

(13) Foods rich in antioxidants have high levels of Oxygen Radical Absorption Capacity (...[abbreviation])

(d) Antioxidants destroy free radicals (14) ...[food component] destroy free radicals

(15) Antioxidants (destroy/create) free radicals

(16) Antioxidants destroy ...[harmful compounds]

(e) Free radicals are cell-damaging compounds that cause cancer, heart disease and aging (17) ... are cell-damaging compounds that cause cancer, heart disease and aging

(18) Free radicals are ...-damaging compounds that cause cancer, heart disease and aging

(19) Free radicals are cell-(building/damaging) compounds that cause cancer, heart disease and aging

(20) Free radicals are cell-damaging compounds that cause ...[health problems]

Although we have generated 20 cloze deletions from the original 5 extracts, it is important to stress that reviewing this much of the learning material will ultimately cost you less time and the memory effect will be better! Note that cloze deletions meticulously test your knowledge of all important semantic aspects of the learned article

Producing cloze deletions

SuperMemo will add most strength to your learning at the review stage. SuperMemo can save you hours each month by optimizing the timing of the review of the material (indeed this has been its greatest strength and focus from SuperMemo's very inception in 1987)

At the review stage, SuperMemo will also assists you with generating cloze deletions. Once you have your extracts formulated (as discussed in the section on improved wording), you can select a fragment that is to be replaced with three dots and choose one of cloze deletion options. This will generate a new item with your partly-deleted fragment used as a question (the tested phrase is replaced with three dots) and with the deleted phrase in the answer field

There are two cloze deletion options in SuperMemo:

  1. Queue cloze - this option does the following:
    1. Create a new item (a child of the current item)
    2. Use the extracted fragment as the question of the new item. The phrase selected at Queue cloze is replaced with three dots
    3. Use the selected phrase as the answer of the new item
    4. Put the new item at the end of the pending queue
  2. Remember cloze - this option is similar to Queue cloze but the newly generated item is immediately memorized (i.e. introduced to your repetition schedule) and is not put in the pending queue

Do not neglect knowledge management

After you extract fragments and formulate active recall questions, you should continue to constantly reevaluate the importance of individual pieces of information, their wording, delete less important pieces and move them for later review, etc. Examples of reformulated cloze deletions can be found below. Note that Clozes (4)-(6) and Cloze (20) have been split further to eliminate set enumeration (it is easier to independently associate cancer or aging with free radicals than to list all health problems caused by free radicals)

(4) Examples of ... rich in antioxidants: blueberries, strawberries, spinach and broccoli (5) Examples of foods rich in ...: blueberries, strawberries, spinach and broccoli (6) Examples of foods rich in antioxidants: ... | Are blueberries rich in antioxidants? Are strawberries rich in antioxidants? Is spinach rich in antioxidants? Is broccoli rich in antioxidants?
(12) Foods rich in antioxidants have high levels of ... (ORAC) | What does ORAC stand for?
(17) ... are cell-damaging compounds that cause cancer, heart disease and aging | What is the name of cell-damaging compounds that cause cancer? (cleaned off with antioxidants) What are free radicals?
(20) Free radicals are cell-damaging compounds that cause ...[health problems] | Do free radicals cause cancer? Do free radicals contribute to heart disease? Do free radicals cause aging?
Editing extracts and cloze deletions in SuperMemo is easy. You only have to Alt+click a given text and use standard editing operations (as available in standard text editors).

Once your extracts and cloze deletions enter the learning process, you can take further actions depending on your assessment of the priority. These will mostly be:

  1. Reduce the forgetting index for items of high priority (press Ctrl+Shift+P and modify Forgetting index). This will make sure these items are repeated more often
  2. Manually reduce the inter-repetition interval in items identified as important (choose Ctrl+J and select a new interval or the date of the next repetition). This will shorten the time before the next review
  3. Increase the forgetting index and/or interval for items of less importance. This will reduce the frequency of repetitions
  4. Remove items from the learning process and put them at the end of the pending queue (choose Forget or press Ctrl+R). Additionally you could increase the ordinal to make sure that sorting the pending queue will put the item in question at a later position
  5. Convert the item into a new task (choose Type : Task on the element's pop-up menu). This will postpone the review until the newly created task climbs up to the top of the tasklist
  6. Dismiss the item (e.g. with Ctrl+D) and permanently remove it from further consideration, Dismissed items can be restored for consideration with Remember (Ctrl+M)
Reading algorithm

This is how you can effectively read the Internet using SuperMemo. The presented algorithm proposes rough estimations of time expenditure related to individual slots in a 2-hour daily reading and review assignment:

  1. Collect the material from the net (30 min)
    1. Go to your favorite sites
    2. Use Open in New Window over relevant hyperlinks to open articles in separate browser windows
  2. Review and import the material to SuperMemo (20 min)
    1. Preview the articles. Close those that are not worth your time and quickly read those that are of less importance
    2. Use Select All (Ctrl+A) and Copy (Ctrl+C) in your browser to copy an article to the clipboard (you can close the article at this point)
    3. Use Edit : Add a new article in SuperMemo (e.g. by pressing Ctrl+Alt+R) to import the contents of the clipboard to SuperMemo (as a new reading position)
    4. Assign Description and Value to determine the title and the priority of the article
    5. If there are more articles to import, continue importing (i.e. go to Step 2.2)
  3. Read the material (50 min)
    1. Select the top priority article in SuperMemo by pressing Ctrl+F4
    2. Read the article
    3. Use Queue Extract, Remember Extract and Task Extract to extract smaller fragments of high importance (component pop-up menu). In the first two cases, try to extract fragments that are no more than a sentence or two long. With Task Extract you can break up a larger articles into smaller articles that will be prioritized independently
    4. Dismiss the article after reading (e.g. Ctrl+D). This will remove the articles from the reading list and store it in the archive. Do not delete the article! Remember that all cloze and extract operations create items that are children of the article. Choosing Del would delete all those children along with the article. You could better gradually move the children items to relevant categories (e.g. with Ctrl+Shift+P). When you move the last child, SuperMemo will itself propose to delete the article
    5. If you have got time left, continue reading (i.e. go to Step 3.1)
  4. Review the material (20 min)
    1. Use Learn in SuperMemo to review the material scheduled for today (Ctrl+L)
    2. Use Queue Cloze and Remember Cloze to convert extracts into cloze deletions. Once you convert all important components of an extract into cloze deletions, dismiss the extract with Dismiss (Ctrl+D)
    3. Repeat the material until you see one of these messages: Do you want to learn new material? or No more items. In the latter case, quit SuperMemo
    4. Learn new material until your time is up. Convert extracts to cloze deletions, convert cloze deletions to more meaningful items, forget, dismiss or even delete less important material, etc.

Please carefully note how much time you need for individual stages and try to keep a rational proportion. Adjust the time limits depending on your own needs and observations. Please note that in extreme cases you might follow one of these two dangerous patterns:

  1. import an excessive number of articles (far beyond your processing powers). You will waste time on importing without actually learning much

  2. read and extract much more than you are able to review. If you clog up SuperMemo with excessive repetitions, you will end up with spending lots of time on reviewing less important material without having enough time to acquire new knowledge

Once you master the techniques described above, it is recommended you go a step further and learn about: Incremental reading

Further reading

For more about efficient reading and knowledge management read:

  • Devouring knowledge
  • Incremental reading
  • Flow of knowledge in SuperMemo

Order and download

You can order and download SuperMemo 2000, and start using it in just a few minutes!

Summary

  1. Knowledge is power
  2. Reading is critical for building knowledge
  3. The Internet makes it possible to read incrementally in smaller, self-contained portions (see: Incremental reading)
  4. You can use SuperMemo 99 or SuperMemo 2000 to prioritize your reading and the methodically review of the learned material


SuperMemo as a study aid in mathematics in a classroom

SuperMemo as a study aid in mathematics in a classroom Maarten Mols,
De Berkenschutse school for special education
Heeze, The Netherlands
April 1999

Aim of the study

The aim of the study was to investigate whether the application of SuperMemo at school during one year would produce sufficient results to justify expanding the use of SuperMemo in the following year.

Methods

Subjects: 10 students (of the lower level secondary school, age 12 to 16 years) in special education. Most of the students worked with SuperMemo twice a week about 10 minutes in the math-classroom. Only a few pupils used SuperMemo at home. They worked more frequently with it, but spent less time per day. The collections consisted of questions and answers formulated by the teacher, according to the subject matter of the mathematics book. In the beginning, there were only questions about the first chapter of the book. During the school year all the other chapters were added.

At the end of the school year 1997/1998, the pupils received a test, consisting of 65 questions, randomly chosen from their collection. The computer presented the questions on the screen and the students had to answer orally. The teacher marked the answers.

Results

The collections at the end of the year consisted of 375 items on average. Students had been working with SuperMemo for 7 months on average (some students started school only in January). The average retention score was: 80% (retention reported by SuperMemo was about 90% which could probably be explained by less strict self-grading on the part of students)

Conclusion

Four of every five questions had been answered correctly. The conclusion was clear: next year we will expand the use of SuperMemo in our school for special education. At first we are going to apply it in foreign languages (English, German, and French). Later on we will start using it in other subjects. SuperMemo appears to be an effective supplement to traditional study methods


Polish speed-learning technology

SuperMemo: Polish speed-learning technology. Multimedia software release on CD-ROM Piotr Wozniak , R&D Dept.
SuperMemo World
October 1994
This article was written for Polish Technical Review and published in the issue 5/6, 1994

SuperMemo is a commercial name of the uniquely Polish technology used in optimizing the process of learning. It can be used to maximize the effects of training in all areas that involve memory. This includes applications such as sciences, technology, languages, touch-typing, playing musical instruments, and many more. SuperMemo employs mathematical techniques to compute the optimum intervals that should separate repetitions in the process of learning. Optimization proceeds by tuning the memory model of an average person to the needs of a particular learner and a particular application. For properly designed applications, the algorithm used in computing the optimum intervals, makes it possible to sustain a constant level of knowledge retention of 95% with 6-10 repetition scheduled in the lifetime. This, for example, makes it possible to master a 40 000 item foreign vocabulary database in a period of 4 years, with the daily working time of 40 minutes

An important characteristic of learning by means of SuperMemo, is that the curve of knowledge acquisition is close to linear in the lifetime perspective, as illustrated in Figure 1 (contrary to popular notions frequently presented in the textbooks on psychology of learning):

ol_fig3.gif (8014 bytes)

Figure 1 Learning curve in the period of 43 years for a typical application of SuperMemo for the daily working time of one minute and retention of 95%. The horizontal axis corresponds to time in years, while the vertical axis presents the total number of individual pieces of information acquired by the learner’s brain (pieces of information are here usually in the form of a single question-answer pair). This figure has been produced by means of computer simulation based on memory models employed in SuperMemo

SuperMemo is the world’s only software with the built-in ability to compute a close-to-optimum spacing of repetitions for a given learner, subject and a given individual item of knowledge. The most advanced flash-card memory-aid systems available in the world do not reach far beyond roughly reducing the frequency of repetitions for the well-remembered material. This unique position of SuperMemo in the memory-aid software category has gained it over 15 000 users in 40 countries of the world (1994). The number of users of SuperMemo shareware reaches far beyond this figure. For example, SuperMemo 5 for DOS is available from all the most popular shareware sites throughout the world. It is also distributed along major shareware CD-ROM titles, including the SimTel DOS Archive

SuperMemo would probably never have reached such a substantial audience, had it not been served as an easy-to-use, user-friendly software available on platforms such as DOS, Windows, Macintosh and Amiga. It is worth noting that SuperMemo has received a number of prestigious software awards in Poland and abroad (including a place in the finals of Software for Europe 1992 at CeBIT, Hanover), which are a testimony of its quality from the software engineering standpoint

The use of SuperMemo is unchangingly simple and consists basically of two activities: (1) creating knowledge databases, and (2) repeating the collected knowledge according to instructions given by SuperMemo. The former step may be skipped if the learner wants to master material that has already been collected in a commercial or shareware database available from database developers.

The learning proceeds along the following cycle in which the user: (1) is prompted with a word, phrase or picture that forms the question, (2) answers the question verbally, using a spelling-pad or recording it with a microphone, (3) accepts a grade determined by himself /herself or by the program. The sequence of repetitions is determined solely by SuperMemo.

The most recent release of SuperMemo for Windows on CD-ROM, includes audiovisual databases for learning languages such as English, Spanish and French. It also includes the audio version of Advanced English, the best-selling database for learning English vocabulary and grammar. The database includes 38,000 entries illustrated with 32 000 recordings of native pronunciation.

The newest version of SuperMemo has been enhanced by new options and features such as: vocabulary lexicon and audio phrase lexicon, full-screen item browsers, subset searching and browsing, dedicated modules for spelling drills, pronunciation drills with a microphone, management of intractable items, integrated database toolkit for database developers, and many more (see Figure 2).

It is important to stress that the Windows release of SuperMemo has been developed with an eye to internationalization. All language dependent modules have been separated from the core code. This makes it possible to develop national versions of SuperMemo within weeks.

Figure 2 One of the most popular application of SuperMemo is learning foreign languages (in the picture: German-English)

The future of SuperMemo seems to lie in its integration with the most recent technologies emerging in the fields of hypermedia and knowledge engineering. The primary goal is to seamlessly merge the currently employed mechanisms with hypermedia authoring tools. This will make it possible to eliminate the unnecessary gap between the retrieval and acquisition of knowledge on one hand, and the process of sustaining the traces of acquired memory on the other [compare: SuperMemo 2004]

Independently, no efforts will be spared to move SuperMemo toward open systems with a particular emphasis on multi-platform integration, and object-oriented component programmability of learning modules that determine the scope of SuperMemo’s applicability

About the author:
Piotr Wozniak, 1962, MSc in molecular biology and computer science, President of SuperMemo World, R&D Department, ul. R. Maya 1, 61-371 Poznañ


Good sleep, good learning, good life

Good sleep, good learning, good life Dr Piotr Wozniak,
July 2000
(update)
Foreword

I have for years been interested in sleep research due to my professional involvement in memory and learning. This article attempts to produce a synthesis of what is known about sleep with a view to practical applications, esp. in people who need top-quality sleep for their learning or creative achievements. Neurophysiology of sleep is an explosively growing branch of science. Many theories that are currently contested will soon be forgotten as a result of new findings. Consequently, this text is likely to grow old very quickly. Yet some basic truths about sleep are well-established, and practical conclusions can be drawn with the benefit to human creativity and intellectual accomplishment. In this text, I provide some links to research papers and popular-scientific articles that advocate disparate and contradictory theories. Please consult other sources to be certain you do not to get a one-sided view! This article includes some indications on how to use free running sleep in the treatment of insomnia, hypersomnia, advanced and delayed phase shift syndromes, and some other sleep disorders. If your own experience can contribute to the ideas presented herein, I will gladly hear from you (esp. in the context of learning and creativity)

 The good educator insists on exercise, play, and plentiful sleep: "the great cordial of nature",
 John Locke (1632-1704)

Contents:

  • Sleep deprivation in society
  • Function of sleep
  • Two component model of sleep regulation
  • Free running sleep
  • Alarm clock
  • Physiology of sleep
  • Lark-owl misconception
  • Delayed sleep phase syndrome
  • Insomnia and hypersomnia
  • Napping
  • Learning during sleep
  • Alcohol
  • Caffeine
  • Cigarettes
  • Exercise
  • Myths and facts
  • Summary
  • References
  • Links
  • FAQ

Sleep deprivation in society

Few people realize how important sleep is! The alarm clock is an often-used fixture in an overwhelming majority of homes of the modern world. By using the electric lighting, alarm clocks, sleeping pills, and shift-work, we have wreaked havoc on the process of sleep. Over the last hundred years of the twentieth century, we have intruded upon a delicate and finely regulated process perfected by several hundred million years of evolution. Yet only recently have we truly become aware that this intrusion may belong to the most important preventable factors that are slowing the societal growth in industrial nations! In a couple of years from now, we may look at alarm clocks and "sleep regulation", in the same way as we look today at other "great" human inventions in the league of cigarettes, asbestos materials or radioactive cosmetics

Check this list below and see which applies to you:

  • I often have problems with falling asleep in the right time
  • I often find it painful to get up in the morning due to sleepiness
  • I am often awfully drowsy at school or at work
  • I regularly cut my sleep by 2-3 hours as compared with what my body seems to need
  • I use the alarm clock and truly hate it
  • I drink buckets of coffee or coke
  • I often take 2-4 hour naps in the evening
  • one of the above is a source of regular stress or reduced productivity

The chances are around 90% you could subscribe to one of the above. It is also highly likely you have already learned to accept the status quo, and you do not believe you can do much about it. This article may hint at some remedies; however, the bad news is that for a real solution you would probably need to change your family life, your work, your boss, or some of hard-to-change social rules!

Sleep isn't just a form of rest! Sleep plays a critical physiological function, and is indispensable for your intellectual development! Those who do not respect their sleep are not likely to live to their full mental potential!

Yet modern society has developed well-entrenched rules that keep sleep in utmost disregard. This has been driven to pathological levels in American society. Here are some bad rules that hurt sleep:

  • it is ok to use alarm clock to cut sleep short
  • it is ok to work in shifts
  • it is ok to travel people around the world without much notice of the jet lag problem
  • it is ok to save time by sleeping less and working more
  • it is ok to pull kids out of bed in time for school
  • it is ok to skip nights before important exams, etc.

Cutting down on sleep does not make people die (at least not immediately). It does make them feel miserable but the ease with which we recover by getting just one good night of sleep seems to make sleep look cheap. Even the reports from the Guinness Record attempt at sleeplessness (Randy Gardner's awakathon in 1964 lasted 11 days [1]) trivialized the effects of sleeplessness. Many books on psychiatry and psychology still state that there aren't any significant side effects to prolonged sleeplessness! This is false!

In 1992, when Bill Clinton was running for president, he proudly admitted that he went 48 hours without sleep because he really wanted to become the next president. Former Senator Bob Dole "improved" the record in 1996 presidential campaign: We have been going 78 hours. We've got to go 96. We have been going around the clock for America. Dole's feat was matched by Vice President Albert Gore jr. who kept campaigning for three days before the election of November 7, 2000. After the election, Gore still kept on his feet by going into extra hours of the concede-retract cycle of his cliffhanger contest against Governor George W. Bush of Texas.

The bad example of disrespect for sleep comes from the most important people in the nation!

Yet some dramatic facts related to sleep deprivation slowly come into light. Each year sleep disorders add $16 billion to national health-care costs (e.g. by contributing to high blood pressure and heart disease). That does not include accidents and lost productivity at work! For this, the National Commission on Sleep Disorders estimates that sleep deprivation costs $150 billion a year in higher stress and reduced workplace productivity (US, 1999). 40% of truck accidents are attributable to fatigue and drowsiness, and there is an 800% increase in single vehicle commercial truck accidents between midnight and 8 am. Major industrial disasters have been attributed to sleep deprivation (among these, at least in part, Three Mile Island, Chernobyl, the gas leak at Bhopal, and the Exxon Valdez oil spill).

It has been known since the 1920s that sleep improves recall in learning. However, only recently, research by Dr Robert Stickgold, assistant professor of psychiatry at Massachusetts Mental Health Center, has made international headlines. Dr Stickgold demonstrated a fact that has long been known yet little appreciated: sleep is necessary for learning! Without sleep we reduce the retention of facts we have learned the previous day (and not only). Studying nights before an exam may be sufficient for passing the exam, yet it will leave few useful traces in long-term memory. The exam on its own replaces knowledge as the main purpose of studying!

By cutting down on sleep we learn less, we develop less, we are less bright, we make worse decisions, we accomplish less, we are less productive, we are more prone to errors, and we undermine our true intellectual potential!

A change in sleep patterns can spell a social revolution in learning, health, and productivity on a scale that few imagine! "Judging from history, it would seem that fundamental changes in the way we think about sleep will be required for policy changes that would protect society from sleepy people who make catastrophic errors in industry and transportation" (Merrill Mitler, PhD)

I have studied student personalities among users of SuperMemo for over ten years now. There are a couple of determinants that make a good, efficient and persistent student. Here are some characteristics of a person who is likely to be successful in learning:

  • highly optimistic
  • sleeps well
  • knowledge hungry
  • stress-tolerant
  • energetic but able to slow down at the time of learning

Here are some unfortunate characteristics that do not correlate well with the ability to study effectively (esp. in the context of SuperMemo):

  • depressive
  • problems with sleep (esp. insomnia)
  • high levels of stress
  • overexcited
  • low stress tolerance (smokers, people with a drinking problem, abusers of mood altering substances, etc.)

Sleeping well appears to be one of the most important factors underlying the success in learning!

The physiological function of sleep

For long, the physiological function of sleep has not been clear. In most people's mind, sleep is associated with rest and time for mental regeneration. Restorative, protective and energy-conserving theories of sleep have been quite popular until quite recently when it became apparent that one long-lasting sleep episode with suppression of consciousness does not seem to be the right way for the evolution to tackle depleted resources, toxic wastes or energy conservation (e.g. your muscles do not shut off completely to get rest). The critical function of sleep is dramatically illustrated in experiments in which rats chronically deprived of sleep eventually die (usually within 2.5 weeks). See: Popular scientific review of theories about the role of sleep (New Scientist, 1997) and Is REM involved in memory formation?.

In evolutionary terms, sleep is a very old phenomenon and it clearly must play a role that is critical to survival. Only quite recently it has been proven beyond doubt that the function of sleep is consolidation of memory! Sleep is absolutely necessary for us to learn new things! ([2] not all scientists agree!)

Researchers have long known the particular importance of the hippocampus, a small brain organ, for memory formation. Yet it has always been difficult to find out what is special about the hippocampus that distinguishes it from other areas of the cerebral cortex that also show synaptic plasticity, i.e. the ability to store memories.

Ground-breaking theories of Dr György Buzsáki and his two-stage model of memory trace formation have inspired further research that sheds new light on what is actually happening during sleep [Buzsáki, 1989] (do not confuse this two-stage model with the two-component model of memory or with the two-component model of sleep regulation below). Using his knowledge of neural networks, ingenuous experiments on neuronal firing, and sophisticated mathematical analysis of spatiotemporal firing patterns, Buzsáki provided an good model explaining how the two components of sleep, REM and non-REM sleep, work together to consolidate memories. The hippocampus acts as the central switchboard for the brain that can easily store short-term memory patterns. However, these patterns have to be encoded in the neocortex to provide space for coding new short-term memories. This complex process of rebuilding the neural network of the brain takes place during sleep. Unlike rest or conservation of energy, this highest feat of evolutionary neural mathematics, requires the brain to be shut off entirely from environmental input! This automatic rewiring is the main reason for which we sleep and why there is no conscious processing involved! During sleep, the brain works as hard as during SAT or GRE exams. It rewires its circuits to make sure that all newly gained knowledge is optimally stored for future use. If you have some basic understanding of neurophysiology and neural networks, here is an article that makes an excellent reading about the neural functions of sleep: Slow wave sleep contribution to memory consolidation.

Two component model of sleep regulation

Electric lighting and stress are the two chief culprits that have converted the natural process of sleep into a daily struggle for millions. In the new millennium, we can rarely hope to get a good night sleep without understanding the science and the art of sleep. Currently, the societal understanding of sleep and its functions is as dismal as the understanding of the health risks of cigarettes in the 1920s. A majority of the population inflict pain, misery and mental torture on themselves and their children by trying to regulate their sleep with alarm clocks, irrational shift-work patterns, sleeping pills, alcohol, caffeine, etc.

For a chance to break out from unhealthy sleep habits, you need to understand the two-component model of sleep regulation:

There are two components of sleepiness that drive you to bed:

  • circadian component - sleepiness comes back to us in cycles which are usually about one day long
  • homeostatic component - sleepiness increases with the length of time we stay awake

Only the superposition of these two components determines the optimum time for sleep. Most importantly, you should remember that even strong sleepiness resulting from the homeostatic component may not be sufficient to get good sleep if the timing goes against the sleep-high in the circadian component:

Circadian component - there are around hundred known body functions that oscillate between maximum and minimum values in a day-long cycle. Because these function take about a day's time to complete, the term circadian rhythm was coined by Dr Franz Halberg of Germany in 1959 (in Latin circadian means about a day). The overall tendency to maintain sleep is also subject to such a circadian rhythm. In an average case, the maximum sleepiness comes in the middle of the night, reaches the minimum at awakening, and again increases slightly at siesta time in the afternoon. However, the circadian sleepiness is often shifted in phase as compared with your desired sleep time. Consequently, if your maximum sleepiness comes in the morning, you may find it difficult to fall asleep late in the evening, even if you missed a lot of sleep on the preceding day. In other words, the optimum timing of your sleep should take into consideration your circadian rhythm.

Homeostatic component - homeostasis is the term that refers to maintaining equilibrium or balance in physiological and metabolic functions. If you drink liquids containing lots of calcium, homeostatic mechanisms will make sure that you excrete calcium with urine or deposit it in the bones. This is used to make sure your blood levels of calcium remain the same. Similar mechanisms are used to regulate overall sleepiness and its multiple subcomponents. The longer you stay awake, the more you learn, the more you think, the higher your tendency to fall asleep. On the other hand, caffeine, stress, exercise and other factors may temporarily reduce your sleepiness. The homeostatic mechanism prepares you for sleep after a long day of intellectual work. At the same time it prevents you from falling asleep in emergencies.

Let us now formulate the fundamental theorem of good sleep:

To get high quality night sleep that maximizes your learning effects your sleep onset should meet these two criteria:
  • strong homeostatic sleepiness: this usually means going to sleep not earlier than 15-19 hours after awakening from the previous night sleep
  • ascending circadian sleepiness: this means going to sleep at a time of day when you usually experience a rapid increase in drowsiness. Not earlier and not later! Knowing the timing of your circadian rhythm is critical for good night sleep (see below for more hints)

Additionally, you should be aware that using the circadian component will only work when all its physiological subcomponents run in synch (as it is the case in free running sleep). People with irregular sleep hours and highly stressful lives may simply be unable to locate the point of ascending circadian sleepiness as this point may not exist!

For a visual illustration of circadian and homeostatic components see Fig. 5.

Later in the article, we will convert this theoretical formula into the more practical recommendations. Before that you may want to understand factors that greatly complicate the two-component model presented above.

Most of all, you may be surprised to find out that your internal circadian oscillation is based on a period that is closer to 25 hours than to 24 hours! To be exact, it varies between individuals, seasons, and other daily factors such as stress, timing of sleep, timing of the light period, intensity of light, exercise, and many more. Usually it falls into the range from 24.5 hours to 25.5 hours.

Most of us are able to entrain this 25 circadian rhythm into a 24-hour cycle by using factors that reset the oscillation. These factors include intense morning light, work, exercise, etc. German scientists have named these factors zeitgebers (i.e. factors that give time). As a result of the influence of zeitgebers, in a well-adjusted individual, the cycle can be set back by 30-60 minutes each day. However, the entrainment to the 24-hour cycle may come with difficulty to many individuals due to factors such as:

  • blindness (i.e. the inability to use the main zeitgeber: light)
  • short-sightedness (i.e. reduced sensitivity to light zeitgeber)
  • increased demand for sleep (e.g. as a result of intense learning, highly creative job position, etc.)
  • stress
  • endocrine disorders
  • sleep disorders
  • adolescence

Important! A great deal of sleep disorders can be explained by entrainment failure (i.e. the failure to reset the 25-hour circadian rhythm to the 24-hour daylight cycle). In other words, in the interdependence between sleep disorders and entrainment failure, the cause-effect relationship will often be reversed!

Due to the physiological function of sleep, which is the rewiring of the neural network of the brain at the synapse level, we can naturally expect that the demand for sleep be associated with the amount of learning on the preceding days. This link may also explain a decreased demand for sleep in retirement due to a decrease in intellectual activity. This age-related drop in the demand for sleep is less likely to be observed in highly active individuals. For similar reasons, the entrainment failure can often be found among students during exams. It is not clear how much of this failure can be attributed to stress, or to the desire to do more on a given day, or to the actual increase in the demand for sleep.

To find out more about the circadian component see: Biological Clock Tutorial

Free running sleep

There is a little-publicized formula that acts as a perfect cure for people who experience continual or seasonal problems with sleep entrainment. This formula is free running sleep!

Free running sleep is a sleep that comes naturally at the time when it is internally triggered by the combination of your homeostatic and circadian components. In other words, free running sleep occurs when you go to sleep only then when you are truly sleepy (independent of the relationship of this moment to the actual time of day).

The greatest shortcoming of free running sleep is that it will often result in cycles longer than 24 hours. This eliminates free running sleep from a wider use in society. However, if you would like to try free running sleep, you could hopefully do it on vacation. You may need a vacation that lasts longer than two weeks before you understand your circadian cycle. Even if you cannot afford free running sleep in non-vacation setting, trying it once will greatly increase your knowledge about natural sleep cycles and your own cycle in particular.

Free running sleep algorithm:

  1. Start with a meticulous log in which you will record the hours in which you go to sleep and wake up in the morning. If you take a nap during the day, put it in the log as well (even if the nap takes as little as 1-3 minutes). The log will help you predict the optimum sleeping hours and improve the quality of sleep. With some experience, you will need the log no longer; however, you will need it at the beginning to better understand your rhythms
  2. Go to sleep only then when you are really tired. You should be able to sense that your sleep latency is likely to be less than 10-20 minutes (sleep latency is the time between going to bed and falling asleep). If you do not feel confident you will fall asleep with 10-20 minutes latency, do not go to sleep! If this requires you to stay up until early in the morning, so be it!
  3. Be sure nothing disturbs your sleep! Do not use an alarm clock! If possible, sleep without a bed partner. Keep yourself well isolated from sources of noise and from rapid changes in lighting
  4. Avoid stress during the day. Stress hormones have a powerful impact on the timing of sleep. Stressful situations are also likely to keep you up at the time when you shall be falling asleep
  5. After a couple of days, try to figure out the length of your circadian cycle. If you arrive at a number that is greater than 24 hours, your free running sleep will result in going to sleep later on each successive day. This will ultimately make you sleep during the day at times. This is why you may need a vacation to give free running sleep an honest test
  6. Once you know how much time you spend awake on average, make a daily calculation of the expected hour at which you will go to sleep (we will use the term expected hour later on). This calculation will help you predict the sleep onset. On some days you may feel sleepy before the expected hour. Do not fight sleepiness, go to sleep even if this falls 2-3 hours before your expected time. Similarly, if you do not feel sleepy at the expected hour, stay up, keep busy and go to sleep later, even if this falls 2-4 hours after your expected time
  7. Here is the list of cardinal mistakes to watch for:
    • do not go to sleep before you are sleepy enough - this may result in falling asleep for 10-30 minutes, and then waking up for 2-4 hours. Ultimately you can experience an artificial shift forward in the entire cycle!
    • unless for natural reasons (no sleepiness), do not go to sleep well after the expected hour. This will result in missing the period of maximum circadian sleepiness . Your sleep will be shorter and less refreshing. Your measurements will be less regular and you will find it harder to predict the optimum timing of sleep in following days
    • do not take a nap later than 6-7 hours before the expected hour. Such a nap is likely to affect the expected hour and disrupt your cycle. If you feel sleepy in the evening, you will have to wait for the moment when you believe you will be able to sleep throughout the night
    • try to avoid taking a nap longer than 30-60 minutes. Except for conditions of major physical or mental exhaustion (e.g. heavy exercise, illness, dehydration, etc.), such a nap is a likely result of not sticking to other rules of free running sleep and is also likely to disrupt the cycle

In free running conditions, it should not be difficult to record the actual hours of sleep. In conditions of entrainment failure, you may find it hard to fall asleep, or wake up slowly "in stages". In free running sleep, you should be able to quickly arrive to the point when you fall asleep in less than 10 minutes and wake up immediately (i.e. without a period of fading drowsiness). In other words, you can remember the hour you go to bed, add 10-15 minutes and record it as the hour you fell asleep. As soon as you open your eyes in the morning, you should record the waking hour. Usually you should not have any doubts if you have already awakened for good (as opposed to temporarily), and you should not fall asleep again (as it may be a frequent case in non-free running sleep). Fig. 1 shows an exemplary free running sleep log in a graphic form:

Fig 1. An exemplary 5-months free running sleep cycle graph in conditions of negligible isolation from standard zeitgebers. In the picture, the average time of night sleep is 7 h 5 min, time before the midday nap is 7 h 48 min, the average nap takes 25 minutes and the time before the nap and the night sleep is 9 h 46 min. The whole cycle adds up to 25 hours and 4 minutes. Note that the distance between nap and sleep in the graph is less than 9 h 46 minutes due to the fact that the blue retirement-line refers to the previous day sleep as compared with the red nap-line. Consequently, the nap-to-sleep band is horizontally shortened by 64 minutes, i.e. exactly as much as the daily time-shift in the cycle.
If you have collected your own free-running sleep data, please contact the author (even data from periods as short as one week are of value).

Sleeping against your natural rhythm

If you sleep against your natural rhythm you will often experience tiredness or drowsiness that can be resolved by adjusting your sleeping hours. In healthy individuals, the daytime alertness is primarily determined by:

  1. circadian phase and homeostatic sleepiness
  2. total sleep time the night before
  3. amount of slow-wave sleep sleep the night before (see Physiology of sleep below)
  4. regularity of the sleep-wake schedule

Free-running sleep provides the best way to satisfy all above criteria

Free-running sleep is likely to shift the minimum temperature point from the early morning closer to the beginning of your sleep. You should notice increased sleepiness before going to sleep and reduced sleep inertia upon awakening!

If you cannot free-run your sleep, it is very important to understand the relationship of your homeostatic and circadian sleep drive as compiled in the table below. In the course of the day, you should move in synch between the yellow areas of the table, i.e. from perfect alertness to maximum sleepiness, and then back to perfect alertness. The gray areas illustrate when your sleep falls out of synch:

 | High circadian sleepiness | Low circadian sleepiness
High homeostatic sleepiness | Peak of the night: You are very drowsy and fall into refreshing sleep with latency of less than five minutes | Insomnia: You are tossing and turning in bed. You are very tired but you cannot fall asleep. Your temperature, blood pressure and pulse are raised. Your thoughts are racing Solution: Wait for the arrival of the circadian phase. Delay going to sleep by 3-6 hours
Low homeostatic sleepiness | Hypersomnia: You are drowsy throughout the day despite long sleep hours. Napping does not help. You show minimum energy levels. Your muscles are weak and atonic Solution: Adjust your sleep phase to your circadian (e.g. try to go to sleep 3-6 hours later) | Peak of the day: You are alert, energetic, and full of new ideas

Should we free run our sleep?

As it will be discussed later, free running sleep can be used to solve a number of sleep disorders except those where there is an underlying organic disorder that disrupts the natural sleeping mechanisms.

However, you will often hear two arguments against adopting the use of free running sleep:

  • Argument 1 - free running sleep will often result in a day that is longer than 24 hours. This ultimately leads to sleeping in atypical hours. This seems to go against the natural 24-hour cycle of light and darkness. Less often, the cycle will be less than 24 hours
  • Argument 2 - sleep can be compared to eating. Your body will always try to get more than it actually needs. This will result in spending more time in sleep than necessary. In other words, free running sleep is time-inefficient

Let us consider the validity of these two arguments:

Argument 1 - It is true that free running sleep will often run against the natural cycle of light-and-darkness. However, the departure from the natural rhythm is a direct consequence of electric lighting and modern lifestyle. Our ancestors could expect little but darkness and boredom past sunset. Darkness and boredom are quite efficient in lulling us to sleep. If we stubbornly refuse to use electric lighting beyond a certain hour, we will still find it difficult to run away from the excitement of modern lifestyle. To shut your brain to sleep efficiently in the early evening your would probably need to quit your current job and pick some uninspiring one, give up your intense family life, give up your hobbies and interests, give up the Internet, evening TV, etc. We live more exciting and more stressful lives than our grandparents. Turning the lights off in the early evening would probably only be wasteful. Additionally, shortsightedness, the ailment of the information age, makes us less sensitive to light zeitgebers and artificially prolongs the circadian cycle. There are a number of downsides to free running sleep. The worst shortcoming is a difficulty in establishing an activity cycle that could be well synchronized with the rest of the world. Later in the article we will discuss the positive aspects of free running sleep. Ultimately, everyone needs to balance pros and cons to make the ultimate decision: to free run or not to free run

Argument 2 - It is true that people who try to free run their sleep may find themselves sleeping outrageously long in the beginning. This, however, is not likely to last and may be a body's counter-reaction to prolonged sleep deprivation. Unlike in the case of foods, there does not seem to be any evolutionary advantage to getting extra sleep on days we can afford to sleep longer. In the course of evolution, we have developed a tendency to overeat. This is a protection against periods when food is scarce. Adipose tissue works as a survival kit for bad times. However, considering the function of sleep, the demand for sleep should be somewhat proportional to the amount of new learning received on preceding days. In ancient times, we did not have exam days as opposed to lazy days. Consequently, the link between learning and demand for sleep is quite weak. The body clock will still make us sleep 7-8 hours on nights following the days of total inaction. Secondly, every extra minute of sleep might improve the quality of neural wiring in the brain. Sleep would better be compared to drinking rather than eating. We do not have much capacity to survive without drinking due to our poor water storage ability. Similarly, we cannot sleep in advance in preparation for a double all-nighter before an exam or important deadline

The claim that free running sleep increases the natural need for sleep is false! If you happen to sleep longer in free running sleep, it can only come from the fact that you had been sleep deprived before (i.e. received less sleep than physiologically needed)

On the other extreme of free running sleep debate is the argument for changing the way society works by ... introducing the 28-hour day. To read more about this concept see A New Clock for A New Age. Although a 28-hour day sounds today more like a legislative science fiction, the free running sleep argument actually significantly bolsters the proposition. It is not difficult to imagine that in the newly emerging cyber-society, people will find it easier to adopt 28-hour schedule. Even if the average free running circadian cycle lasts 25 hours, it seems physiologically easier and less damaging to prolong the cycle by three hours than to shorten it by one hour!

Kill the alarm clock!

Few upwardly mobile people in the modern rat-race society can live without an alarm clock. Increasingly, time becomes the most precious commodity in society where achievement is often associated with speed and perfect time-management. However, alarm clocks introduce two harmful side effects: stress and sleep deprivation.

The art of time-management makes it possible to live at high speed with the alarm clock on your side and actually be free from stress. However, the societal damage inflicted by alarm clocks used to regulate sleep is unforgivable. An alarm clock that interrupts your sleep damages your memory, your ability to learn, your mood and temper, your relationships with other people, your ability to focus and your overall intellectual performance!

Dr Robert Stickgold has showed that people who learn a skill during the day, do not show significant improvement until they get a sound 7-8 hours of properly structured sleep. There was a noticeable correlation between the degree of improvement and the quantity of sleep received. Forgetting is so painless that we rarely notice its effects. In a natural way, forgetting will proceed even if you get as much sleep as you need, and it is difficult to point to specific memories lost as a result of not sleeping enough. Moreover, sleep deprivation may leave your memories intact while their storage will be sub-optimum. The difference may be impossible to spot without measurement. We are more likely to notice sleepiness, reduced mental agility or bad mood. Yet societal respect for sleep is dismal (esp. in America and other highly industrialized nations).

Men's Health's Dan Vergano writing for ABC News in "No More Rude Awakenings" suggests a seven-day system for fighting sleepiness: "The secret is to fuel that arousal system so it can beat the pants off the sleep system. By creating the kind of feel-good expectations that trigger hormones to wake the brain, you’ll override the need to sleep and be able to jump out of bed like a man on fire".

The article capitalizes on the fact that stress hormones help keep you alert. However, there is a simple and the only rational remedy for "rude awakenings": get enough sleep! Jumping like a man on fire is not likely to have a positive effect on your creative potential!

You may often notice that waking up with an alarm clock gives you a quick start into a day. You may then come to believe that using the alarm clock might help you keep alert later during the day. This is not the case. The alarm signal simply scares your brain into wakefulness disrupting the carefully planned system for memory consolidation. As a result, you get an immediate injection of adrenaline and your levels of ACTH and cortisol also increase. This is cortisol that peaks at awakening in natural sleeping rhythm that provides you with the fresh-mind impression. With passing time, this cheaply gained alertness will wear thin unless you continue abusing your physiology with more "remedies". You may use more scare tactics for keeping yourself alert, abuse caffeine, or even get a more profound effect with cocaine. Alertness should be achieved via sufficient sleep, not despite the lack of sleep! Apart from your reduced ability to learn new things, all unnatural anti-drowsiness methods will produce a great deal of side effects that can be pretty damaging to your health in the long run.

If your life without an alarm clock may seem like an impossibility, you will probably need to use all methods in the book to be sure you get enough sleep and minimize the damage. However, you can at least start from changing your mindset about the importance of sleep and ensure you do not impose wrong habits on your children. Perhaps the young ones will be lucky enough to work in a flex-time system that will make it possible to get sufficient amount of undisturbed sleep. At least, do not set a bad example! President Bill Clinton was woken up twice by telephone during the night of April 22, 2000 before the infamous I.N.S. raid on the home of Miami relatives of the young Cuban exile Elian Gonzales. In all likelihood, the memories the president had built from his previous day experience were affected! This could influence his performance on the next day and the quality of his decisions! Has anybody thought of a rule: Do not wake up the president? A rule that could only be revoked in national emergency?

Physiology of sleep

This inset has been provided to deepen your understanding of sleep, its dynamics and functions. It requires some basic understanding of biology. You may skip this section without missing on practical aspects of this article. Many aspects of sleep physiology are hotly debated and highly hypothetical. Thus this short compilation may soon appear outdated as new research data sheds light on disputed areas

Human brain looks like the highest achievement of biological evolution. It all started from a simple ability to conduct impulses. Then the genius concept of neural network was developed. The brain of primitive vertebrates started adding new structures as well as new mechanisms for optimizing the jungle of neural connections. Sleep is a relatively old invention used to consolidate memories via predominantly molecular mechanisms. Circadian rhythms are known in plants and in animals independent of the need for sleep. The evolution has, however, conveniently hooked sleep to circadian rhythms to efficiently alternate between the explorative state (i.e. the use of the brain for learning new things) and the consolidation state (i.e. sleep). The circadian cycle has been associated with around a hundred known physiological functions and parameters that change in concert during the day. The most important, and most closely related to sleep are cycles in the level of hormones such as serotonin and melatonin, ACTH and cortisol, acetylcholine, adenosine, and growth hormone. There is a circadian function that we can observe on our own without complex measurements: changes in temperature (see Fig 2):

Fig 2. Temperature changes in the course of the day in degrees centigrade (courtesy of: Prof. Luiz Menna-Barreto, State University of Campinas, Brazil)

At the time when we usually go to sleep, there is a substantial circadian increase in melatonin released from the pineal gland. Melatonin is one of strong contributors to drowsiness. However, it is possible to sleep against the melatonin-serotonin cycle, which clearly indicates it is not the only sleep regulator. At the same time, there is a significant drop in ACTH and cortisol, which are our alertness hormones. Similarly, the levels of serotonin drop and so does the body temperature. At the same time there is a increase in firing in brain sleep inducing organs such as the ventrolateral preoptic nucleus (VLPO), the nucleus of the solitary tract (NTS) and the raphe nucleus. These have an inhibitory impact on the ascending reticular activating system (RAS) which is a group of neural structures that keep our cerebral cortex in the active waking state. It is the NTS via the vagal input that acts on the brain of the baby rocked to sleep by its parent. Before retirement, the basal forebrain, the chief NREM-inducing organ, begins a firing pattern that is characteristic to initial stages of sleep. With the depression in the activity of the RAS, we quickly lose interest in demanding intellectual activities. Soon the only thing we can think of is sleep. Once we rest in an undisturbed place, we drift into the dreamland. Actually, this is only the case in a well regulated sleeping cycle. People who cannot succumb to natural body rhythms will often be unable to follow the above scenario. You are quite likely to belong to this group -- after all, the majority of industrial nations' population suffers from a varying degree of a number of sleep disorders!

In the course of the night, we alternately enter two phases of sleep (see Fig 3):

  • NREM sleep (named for non-Rapid Eye Movement)

  • REM sleep (named for Rapid Eye Movement)

Using EEG measurements, scientists are able to distinguish four phases of NREM sleep, which correspond to progressively deeper sleep. As we close our eyes, it takes 3-15 minutes to enter Stage 1 NREM sleep (in a healthy and well-regulated individual). In this stage we will often experience little jerks associated with the impression of falling. Minor disturbances will wake us up and often we will even deny we were asleep! Once State 1 NREM solidifies, we move towards Stage 2 NREM sleep which is still relatively light. After that we move to Stage 3 and Stage 4 NREM (also called slow-wave sleep or deep sleep). In those last stages, SPW bursts (sharp wave bursts) can be recorded in the central memory switchboard of the brain: the hippocampus. Scientists believe that this may be the critical moment of memory consolidation in which the hippocampus works as the neural trainer for the neocortex in which long-term memories will be stored. During SPW bursts, the experience of the day will optimally be transferred to neocortical networks via neural training. This will be followed by the initiation of gene expression and protein synthesis. Both these processes are needed for modifying long-term synaptic weights (for more details see: Gorzelanczyk, Wozniak, Molecular correlates of the two-component model of long-term memory). Protein synthesis makes up the beginning of memories that will last for months and years (if sustained by repetition, e.g. with SuperMemo). Those long-term memories cannot be formed without entering appropriates stages of the sleep cycle! You cannot learn effectively if your sleep gets cut short in the morning. Or if it gets interrupted during the night. Even if you try to sleep 15 hours per day in short pieces of interrupted sleep, your learning results will be dismal!

Fig 3. NREM-REM cycling through a typical night

After 60-90 minutes of NREM sleep, there is a gradual increase in the activity of cells in the pontine tegmentum which is responsible for triggering REM sleep. A small pontine structure called the pedunculopontine tegmental nucleus (PPN) is highly active at that stage and is considered the internal REM trigger. PPN sends acetylcholinergic signals to the thalamus and the brain behaves as if it woke up internally! Injections of acetylcholine into the pons during an ongoing NREM episode may trigger REM sleep, which illustrates the importance of this neurotransmitter in sleep cycle regulation. During REM sleep, the cortex behaves as if you were awake. You experience dreams that seem to be generated by random impulsation sent from the brainstem to the cortex. The cortex produces best possible and most coherent imagery it can. You experience connected events, real people, realistic scenery all put together in most improbable configurations. Yet you cannot act upon your dreams (except for people with disorder called violent sleeping). Your pontine structures make sure your cerebral output gets cut off from motor nuclei that move your muscles. You often want to act in sleep (e.g. to escape a ferocious dog) yet you remain motionless. You feel as if mired in molasses. Only your eyes move rapidly and the muscles in your middle ear twitch. REM sleep is philogenetically younger than NREM sleep. Fish, amphibians or reptiles do not show typical REM sleep. Yet interestingly REM sleep is present in both mammals and birds. This made some evolutionists hypothesize that REM sleep has been invented twice by the evolution! Clearly, REM sleep plays a role critical for survival of creatures with bird-mammal IQ levels (see: How much do animals sleep)

REM sleep is characterized by intense neural activity, increase in blood circulation and the use of oxygen, as well as an increase in the uptake of amino acids by the brain tissue. The brain in REM sleep is a hard-working brain that has little to do with the notion of energy-conservation and rest in sleep.
During REM sleep, acetylcholine supplies in the PPN get gradually exhausted and this may be the main regulatory factor that drives you back towards NREM sleep. As the activity of the PPN decreased, the activity in the noradrenergic locus ceruleus (LC) increases. LC is considered to be the REM-off switch.

A typical night will see you go five times through NREM-REM cycles with each cycle lasting around 90 minutes and getting slightly shorter as the night progresses (cf. Fig 3). The sleep regulatory system might act as an infinite seesaw were it not for the circadian component. Towards the end of sleep, the circadian component strongly regulated by the suprachiasmatic nucleus (SCN) will produce decline in sleep propensity, and you will wake up from one of your REM episodes. It is the SCN which provides the link between the strongest zeitgeber, the light, and the circadian cycle. SCN generates the rhythm endogenously, but is able to be reset by light. Light impulses from the retina travel to the hypothalamus and SCN to produce a stop signal for the release of melatonin. Instead, another neurohormone is released: serotonin. A high level of serotonin is what you feel as the morning sunshine happiness. It is also serotonin that is boosted by the popular antidepressant: Prozac. Unless you suffer from sleep phase advancement, always make sure the sunshine streams into your sleeping room in the morning to wake you up.

There are many theories on the functions of REM sleep. It has long been known that dreams occur mostly in REM sleep, yet some scientists see dreams and REM sleep as separate though temporally overlapping phenomena. It has been found in a number of experiments that REM sleep is important for learning, yet some scientist question those findings pointing to experimental errors or to the fact that antidepressants do not damage memory even thought they are potent REM suppressants. Some scientists believe REM is needed to reinforce little used synaptic connections, others that REM optimizes the memory storage, other that REM helps the brain recover from slow wave sleep, and yet other believe that REM evolved just to fine-tune bifocal vision or to prevent corneal anoxia (eye movement stirs aqueous humor and provides nourishment for the cornea). Even advocates of the old psychoanalytical interpretation of dreams originated by Sigmund Freud can be sparsely found among scientific community. Some researchers believe learning is possible during REM, others contest it, and yet others insist that REM has nothing to do with memory. On one hand, the percentage of REM sleep decreases with age which might indicate a correlation with the demand for learning. On the other, the percentage of REM during the night increases. Some researchers believe that if REM was to be involved in memory, it should rather begin quickly as we fall asleep.

The best ground for questioning many of these theories is evolutionary! We need to point to the evolutionary value of a particular function REM is postulated to fulfill. For example:

  • reactivation of infrequently used circuits - if activation of infrequently used memories was necessary to prevent forgetting, evolution might have simply employed molecular mechanisms in which once synapses were potentiated, they would spontaneously build up synaptic strength in time without secondary activation. Naturally, this would abolish a valuable evolutionary mechanism of forgetting. Similarly, random REM activation for the purpose of memory fixation would simply be wasteful. Forgetting played a specific evolutionary function and the increase in synaptic strength should only result from a repeated exposure to a specific experience (for example, a repetition in SuperMemo serves exactly this purpose)

  • recovery from slow-wave sleep - if REM was a recovery stage, why should it happen several times during the night. Would it not just better come at the arrival of zeitgebers indicating the end of the sleep period? Or is slow-wave sleep that deadly?

  • corneal anoxia - if REM was to nourish the corneas, would not just waking up do the job (if eyeball movement was the only purpose of REM)?

  • consolidation of memory - if memories get consolidated in REM, what is the purpose of NREM? How can this be that antidepressants do not damage learning even if they are strong REM suppressants? Why does the REM brain behave like a waking brain?

  • restoration theories - why would restoration require cutting off sensory input if the brain is actually as active as in the waking state

Only one group of REM theories provides plausible answer to its evolutionary function among intelligent creatures! These theories originated in the head of one of the greatest scientific geniuses still walking this planet. Born in 1916, Francis H.C. Crick, together with James Watson unraveled the mystery of the DNA double-helix for which they were awarded a Nobel Prize in 1963. In 1983, Crick and his colleague from Salk Institute, Graeme Mitchison argued in Nature [Crick, 1983] that human memory can get overloaded and REM sleep is used to run a garbage collection process on memories. They called this process reverse learning, and originally attributed it only one purpose: forgetting the unnecessary memory ballast. Crick's seminal 1983 article was taken further by many researchers who have ultimately concluded that REM sleep must serve optimization of memories expressed by synaptic weights of the neural network of the brain! If REM sleep was only to be used for forgetting the excess information, Crick's theories would run into the same evolutionary trouble as other theories listed above. After all, spontaneous loss of synaptic information with passing time would be a metabolically much cheaper solution. However, the value of the network optimization goes far beyond forgetting. Rewiring of the network might bring some of the following advantages:

  • converting poorly associative memories into highly associative memories (the origin of the ancient phrase: let me consult my pillow)

  • eliminating knowledge interference; a REM bout should help you avoid confusing two similar concepts

  • extracting common properties of objects and building models (pictorially: instead of holding 100 pictures of someone's face and searching on each encounter, recognize all common model characteristics are execute recognition in milliseconds)

  • optimizing procedural reflexes (some researchers even proposed that REM is mostly targeted on consolidation of procedural skills which seem to suffer most from REM deprivation, while NREM sleep indeed mostly serves consolidation of declarative skills)

  • transferring memories from overloaded circuits (e.g. the hippocampus) to spacious areas of the neocortex

According to Buzsáki, the optimization may be executed with the mediation of the hippocampus that would work in (1) explorative mode during the REM sleep (in which neocortical information is used to train hippocampal circuitry), and (2) in consummatory mode during the NREM sleep (in which the hippocampus is used to train neocortical circuits).

The network optimization hypothesis explains why it is hard to detect rote learning deterioration in REM deprivation. REM defined as above should have less bearing on the output generated by same inputs in reference to low-level associations (such as stimulus pairing). To detect the damage induced by REM deprivation (REMD) more complex tests should be used. Indeed some research by Dr Carlyle Smith has already been able to show the difference in the impact of REMD on paired associate learning (which suffers little damage in REMD) and complex logic tasks which are most affected by REM sleep deprivation [Smith, 1993]. Dr Georgi Buzsáki's two-stage model presents a computational approach to explaining the role of REM in retraining the neocortex through the hippocampal activity: A two-stage computational model training long-term memories in the entorhinal-hippocampal region (to understand this article you will need some rudimentary knowledge of neural nets and the hippocampal anatomy).

In the same way as sleep in general, REM is controlled via homeostatic and circadian components. Slow-wave sleep builds homeostatic REM propensity, and the best REM comes from the combination of slow-wave "exhaustion" and the circadian REM peak which comes in the last hours of sleep. There is also a strong homeostatic link between learning and the demand for REM sleep. The more you learn, the stronger the drive towards REM. There is an increase in both the number of minutes of REM sleep and the density of REM sleep following intensive learning [DeKoninck et al., 1989].

It is not clear if learning affects REM demand directly or via NREM demand; however, it is more than clear that heavy learners should be heavy sleepers!

Sleep deprivation increases both NREM 4 and REM sleep propensity. Short sleepers have less NREM 2, but there is little data on their actual quality and effectiveness of sleep. Thomas Edison or Nicola Tesla on one hand are well-known for sleeping relatively little, while Einstein is a well-known long sleeper (well over nine hours per night). Interestingly, they all belonged to notable nappers. It is true that by getting less sleep you compress the less critical NREM 2 sleep, but there is no evidence this can become your regular habit without hurting the quality of your NREM4-REM combination. With the currently available sleep data the conclusion is: do not try to compress NREM 2 by sleeping less. You are likely to hurt your memory consolidation and optimization!

Further reading: an excellent all-inclusive on-line sleep physiology manual: Sleep Syllabus

Lark-owl misconception

Research shows that 15% of people would classify themselves as "morning type" or lark. Another 20% would call themselves "evening type" or owl. The remaining 65% are indifferent or "mid-range". What is your type? See: Lark-owl test

Few people know that they can easily adapt to a completely different schedule by means of chronotherapy (e.g. by shifting their sleeping hours by 30-45 minutes per day). If you ask a typical owl to go to sleep 30-45 minutes later each day, the owl will initially sleep during the day and soon will find itself going to sleep in the very early evening just to get up before the larks! Surprisingly, even the most committed owl can then comfortably stick to the early waking hours for quite long! There seems to be no natural preference as to the sleeping time of the day!

However, there is a factor that drives people into believing they are of a given sleep-time preference type. This is the length of the circadian cycle and their ability to entrain it to 24 hours. As mentioned earlier, typical circadian period lasts about 25 hours. Those who cycle is particularly long, tend to go to sleep later each day. They push the limit of morning hours up to the point when their compulsory wake-up time results in unbearable sleepiness. In other words, people will long cycles will tend to work during the night and sleep in the morning as long as it is only possible.

Larks and owls do not differ in their preferred timing of sleep in reference to daytime! The difference comes from the length of the circadian cycle and sensitivity to zeitgebers. You can easily make a lark work comfortably late into the night and make an owl get up at 3 am. This can be done by chronotherapy (cycle adjustment)! (consequently, lark-owl test is substantially flawed as it asks for specific time ranges that will only apply to people with normal working schedules!)

A smaller proportion of people, will experience short circadian periods and experience extreme sleepiness in early evening. This is the lark type. Life forces larks to go to sleep slightly later than their natural preference (family, work, light, etc.). This keeps larks in line with time and they will often claim that the quiet of the morning, the singing of birds or the beauty of the sunrise that keeps them getting up early. Yet it is still possible to forcibly push a lark to gradually shift sleeping hours and behave like an owl!

As for "indifferent type", these are people with a steady 24.5-25 hours circadian cycle and healthy sensitivity to zeitgebers, or, rarely, people with a nearly perfect 24 hour clock. Those people tend to sleep in "normal hours" and can also easily be shifted to getting up early or to going to bed late.

Unlike the "indifferent type", owls shifted to a morning schedule will gradually tend to advance to their standard late-night rhythm. Similarly, larks will quickly shift back to getting up with the birds.

Some correlation studies showed that owls (as defined by the timing of melatonin release) exhibit slightly higher IQs than larks.

Delayed Sleep Phase Syndrome

When a tendency to go to sleep later each day is strongly pronounced, it may become a serious problem. People with particularly long circadian cycle or with insufficient sensitivity to zeitgebers are classified as suffering from Delayed Sleep Phase Syndrome (DSPS for short). The term non 24-hour sleep/wake syndrome or hypernychthemeral syndrome is occasionally used to refer to the most severe cases. Research shows that DSPS is very frequent in adolescence [Carskadon, 1995; Dahl & Carskadon, 1995]. Teenagers with DSPS will often find it difficult to adapt to normal school time. They will experience maximum daytime sleepiness at 10 am (in the middle of the school day) and a peak in alertness right after the school. For many teenagers with a natural tendency to go to sleep late, school becomes a torture and a true waste of time! Educators have already taken on this subject; however, students dozing off during classes are still a norm! Sleepy students learn little, and may naturally develop a strong negative feelings for the school in general. This is a problem of colossal proportions! If you are a parent of a teenager who finds it difficult to wake up for school, you will need to act now! Otherwise young man's school years will be a monumentally wasted time! It won't be enough to demand an early hour for going to bed. If you ban the late evening Internet surfing, you will just swap a dose of evening education for an idle tossing and turning in bed. Actually, there is only one simple solution, let the kids get up at their natural time but ... this may not be realistic in most cases. Your sleep therapist may not be able to help either. The whole school system might need to be changed to accommodate the prevalence of DSPS among adolescents. There have been positive results noted in schools that decided to start classes 1-2 hours later. However, long circadian cycles may result in students staying up yet later in the long-run. Researchers suggest schedule stabilization and gradual realignment. Those measures may still be largely ineffective.

For a discussion of this subject see: School Start Time Study. For a popular scientific article see: Sorry, I'm late ... it's my circadian rhythm

Insomnia

50% of Americans have problems with falling asleep! Except for various underlying organic reasons, the overwhelming majority of these are problems resulting from entrainment failure. In other words:

Most of otherwise healthy people who cannot fall asleep in the evening suffer from the combination of two chief factors:

  • going to sleep too early in reference to the natural circadian rhythm

  • suffering from the associated stress: if I do not fall asleep immediately, I will be totally wasted in the morning

If the same people were allowed to sleep as much as they wanted and go to sleep only then when they are really tired (perhaps 2-5 hours later), the problem would likely not exist! Psychophysiological insomnia can often persist for years, and result in untold damage to a person's life. If this is your case, you might benefit by trying to increase the time you stay awake. Naturally this may collide with your work schedule as the net result will often be a sleep-wake cycle lasting longer than 24 hours.

There are tons of lengthy books written about sleep onset insomnia and there are a zillion tricks that people use to be sure they fall asleep "in time". The sad truth is that all those tricks only fight the inevitable: the natural sleep mechanism. They are based on slowing down the brain at the time when it simply does not want to slow down. Yet these tricks rather tend to blow the problem of insomnia out of proportion by adding to the sleeper's stress: so much effort, so many tricks in use, it still does not work ... I probably just have to live with this!

Some typical sleep expert's or grandma's unworkable advice (see example):

  • Count sheep - this is nothing else than trying to slow neural firing in the brain. This will often work but there is an increased risk of waking up after 20-60 minutes of sleep. As a result, the chances for early slumber may be gone for good. The slowdown in firing can come naturally. However, it can only come at the right circadian time which may be 2-5 hours later than you would want

  • Thought dispersion - by trying to "think about nothing" you can indeed increase the chances of falling asleep; however, this may be of value only for a limited length of time before the ascending circadian slope. If you try it early, you will likely hover in superficial sleep with substantial chances of awakening spontaneously. It is the circadian sleepiness that stands for your ability to maintain sleep

  • Cut down on sleep - this has some power to reset the circadian cycle, however, you will feel more tired, your insomniac's stress factor will triple, and most of all ... you will not benefit from the last REM-rich hours of sleep! Cutting down on sleep may be an unavoidable solution among those who experience DSPS and cannot free run their sleep

  • Sleeping pills - pills change the sleep physiology and may affect the quality of sleep. As they often have little impact on modifying your actual circadian cycle, they can quickly become a serious addiction. Additionally, they will affect your short-term memory and reaction time. These are major enemies of a creative individual!

  • Warm bath, quiet room, rituals, cup of milk, etc. - all these work to reduce the stress factor and slow down the brain. However, again that won't work well against the circadian cycle

  • Drink milk, tryptophan is used in the synthesis of serotonin - this is again a method for a mild slow down with negligible effectiveness

  • Do not nap - short naps have little influence on the circadian cycle and not napping may only have a residual homeostatic influence at the cost of evening alertness. It may help slightly but will not solve the problem

Few things can produce so much wasted time in highly effective people as trying to fall asleep at a time when your body does not want to! Do not listen to sleep advice based solely on methods for slowing down in the evening or making you mentally or physically tired! Do not go to bed until your body slows down on its own! Go to bed only then when you are really sleepy!

The real culprit in insomnia is the relationship of working hours to your circadian rhythm! This is magnified manifold by the associated stress factor. For many, insomnia produces an unsolvable vicious circle that just has to be lived with. However, everyone with a chance for a flex-time work system or telecommuting should realize that the greatest benefit of these may come from increased productivity as a result of better sleep that complies with natural body rhythms

A very specific degree of morning misery is needed to reset the clock sufficiently in people with DSPS. In the equilibrium state in which misery is sufficient to keep a regular schedule, the whole night sleep is cut substantially. Daily sleep deficit and daily struggle with tiredness results. In such circumstances, it is best to go to sleep right before the expected sleep hour! This way you can reduce stress, on one hand, and help your homeostatic component on the other (by making yourself tired for sleep).

If you cannot free run your sleep -- make your morning misery as regular as possible to reach the equilibrium state. Once you know the equilibrium, stick to your standard bedtime hour. Morning misery solution should only be used as a last resort!

There is yet a big question of weekends. Many people catch up on lost sleep during weekends. This naturally unbalances the system and results in the Monday Morning Blues. Sleeping it out on weekends, you should weigh up your pros and cons:

  • on one hand you entrain your sleeping cycle to later hours and make it harder to stick to your misery equilibrium

  • on the other, this is your only chance for quality sleep

There is no simple answer to the weekend dilemma! If you want to maximize the effects of sleep on learning, skills and experience, you would need to quantify how much you lose as a result on never actually getting enough sleep (the losses could be dramatic!) and how much you lose as a result of departing from the misery equilibrium on weekends thus tripling sleep disturbances early in the week

The most effective solution for people with persistent insomnia or work-schedule-related sleep deprivation is free running sleep! (see above)

Hypersomnia

Hypersomnia is excessive sleepiness in conditions of getting physiologically sufficient sleep. Hypersomnia may be related to serious health problems. If you suspect hypersomnia, consult your physician! There is a simple home-grown diagnostic method for the cause of your hypersomnia: try to free run your sleep for a week or so. Very often, the phase adjustment will resolve hypersomnia! Quite frequently, sleep initiated too early in reference to the circadian sleepiness will last very long and paradoxically result in the feeling of not being refreshed in the morning. If the circadian low comes in the middle of your day, you may experience overwhelming drowsiness, yet you will not be able to fall asleep for longer than 20-30 minutes and you will still wake up unrefreshed. Even buckets of coffee may not help in such circumstances. If you do not notice a significant improvement in the quality of sleep after 1-2 weeks of free running sleep, you may have a problem that will require a professional consultation. The most frequent cause of poor quality sleep is Obstructive Sleep Apnea (OSA) which affects up to 10% of male population (it is about half less frequent in women). OSA involves a loss of muscle tone in the throat and tongue areas. These structures tend to collapse during sleep and block the flow of air. As a result, the patient will wake up temporarily (often a hundred times in a single night) without completing the natural NREM-REM cycle. Patients with OSA wake up feeling unrefreshed. The simplest way to check for OSA is to ask one's bed partner for signs of interrupted breathing during the night. You can also videotape yourself when sleeping. Most often, OSA affects obese and heavily-snoring males. There are multiple support sites for OSA on the web (including recordings of snoring patients and typical signs of interrupted breathing)

Siesta and catnapping

The natural sleep cycle makes you feel less alert in mid-day. This period can easily be visualized using EEG measurements. In tropical countries this is the time for siesta. The drop in alertness is magnified by a rich meal and a short nap is likely to quickly bring you back to full alertness. However, the industrial nations do not seem ready to adopt a healthy habit of postprandial nap. Just the opposite, when the Mexican parliament debated the law on statutory nap, politicians and comedians north of the border had a good laugh on "lazy Latin Americans". Even the self-improvement guru, Tony Robbins, blunders when providing his advice: replace a nap urge with press-ups. Press ups will improve circulation and raise the level of catecholamines, yet they won't budge the homeostatic sleepiness that can only be cleared effectively with a temporary transition to the sleep state!

There are few theories on the physiological purpose of the mid-day dip in alertness. Most people believe that humans, as all other highly developed tropical animals, have developed a siesta habit as a way of getting around the midday heat. This explanation has also some cultural background as napping is by far less popular in moderate and cold climate. However, the alertness dip can be resolved by a short nap in minutes. This can make us active again long before the mid-day heat is over.

Another explanation is that the alertness dip is an atavistic remainder of the polyphasic sleeping mode that might have characterized human ancestors. Many animals and young babies sleep many times during the day. This would seem quite advantageous considering the natural memory consolidation sequence. However, consolidating sleep into a single night rest period might have offered some evolutionary advantage. Early humans might be less efficient in hunting and gathering activities at nighttime. This is why it might be advantageous to spend that time on memory consolidation while being awake in daylight. However, the circadian control system needed new variables that would enable the consolidation of sleep phases into a single period. Possibly, the consolidation went gradually from polyphasic sleep, through biphasic sleep to monophasic sleep in modern humans. Actually, similar consolidation can be observed as we get older. By the time of adulthood we are more or less monophasic with a clear dip in alertness that may be resolved with a nap. However, giving up the afternoon nap has not been documented as detrimental to learning. In a healthy individual who is not sleep deprived, the nap will usually last from 10 to 30 minutes, which may not be sufficient for any advantage to memory consolidation. There is naturally a substantial alertness boost which by itself my increase your learning performance in the evening. As we near retirement, we again seem to tend to be biphasic. This may be a result of the fact that working people are forced to suppress their biphasic tendency (not much data exists to support this hypothesis). In other words, it is possible that we remain strongly biphasic throughout the lifetime, and the monophasic model has been imposed as an industrial habit.

Here is a short summary of pros and cons of afternoon napping:

Pros:

  • Siesta naps result in a significant increase in alertness that will be highly appreciated by people in creative professions

  • Napping may play a role in memory consolidation (this has not be proved one way or the other)

  • Napping may be a way of combating severe sleep deprivation. Some people even prefer to sleep in two four hour portions throughout their lives! Naturally, avoiding deprivation in the first place is the right approach!

Cons:

  • Late naps may worsen insomnia and as such are often discouraged (see notes on insomnia above)

  • Long naps (above 60 minutes) may result in temporary grogginess typical of awakening from Stage 4 NREM (so called sleep inertia). As a result, non-nappers and sleep-deprived people will often notice a decline in mental performance after a nap

  • Long naps (above 60 minutes) can severely worsen insomnia. This is why so many sleep experts counter-recommend naps

  • Important! All the cons listed above do not exist in people with free running sleep!

  • Napping requires good rest conditions and habits that may be difficult to develop for most people in industrial nations

Notable nappers include Winston Churchill, Napoleon, and J.F. Kennedy. Interestingly, this group also includes a famous long-sleeper, Albert Einstein and a famous short-sleeper Thomas Edison. Even Bill Gates admitted to taking naps under his desk in his creative programming years.

Dr. D.F. Dinges has spent many years investigating the problem of alertness at workplace and has shown substantial benefits, which napping can bring to professions where the alertness may be the difference between life and death. His research showed a substantial alertness boost coming from a nap [Dinges 1989]. He has also noticed relatively little impact of napping on the night-time sleep in regular nappers (see Fig 4):

Fig. 4. Sleep onset times among nappers an non-nappers (percentage)

More and more companies in the US have already decided to make a switch from a coffee break to a napping break with special cubicles designed for nappers. In the future, this trend is likely to become more prominent as caffeine is not a fraction as effective as a nap in combating fatigue. Coffee, doughnuts, press-ups, and other methods taken together will never prove as efficient in mental restoration as a nap. At the same time, our society drifts strongly towards information processing where alertness is the key to productivity. And when the productivity comes into the equation, US companies will definitely avail of the up-to-date research on napping.

Napping advice:

  • Do not use the alarm clock! Contrary to popular belief, well-scheduled nap will not last longer than 20-30 minutes (at least in people with free running sleep)

  • Measure exactly the optimum length of the period between awakening and the nap to maximize the effectiveness of a nap (see Fig. 1). The nap should come at alertness nadir. Napping beginners often miss the right timing!

  • Drink coffee or colas only after the nap (or early in the morning)

  • You can drink alcohol in only very subtle doses, and the best timing is shortly before the nap (see below for more)

  • If you nap for more than 40-50 minutes, you probably need more sleep in the night (check free running sleep section above!)

  • Avoid stress 2-3 hours before your nap. Even things you love can make you excited and make it harder to avail of the benefits of napping

  • Exercise is good. Try to finish your exercise at least 30-60 minutes before the nap

  • Meal before the nap is recommended. Your main meal of the day should actually come right before the nap! This is usually 5-9 hours after awakening

  • Sex before the nap is recommended

  • Stick to your ritual (e.g. stick to your best sequence: exercise, bath, meal, beer, quiet place, nap, music, or similar)

  • If the above advice does not work, you may need a month or so of training. Mental slow-down is critical here! Many people do not discover the benefit of napping until some circumstances put them into the routine (e.g. heart condition diagnosis). Even if you cannot fall asleep, you may still need a nap! It may only be the question of habit or your inability to forget the worries of the day

  • If it all won't make you fall asleep in 10 minutes even after a month of trying, you can probably safely give up napping for good

Learning during sleep

You may have heard of sleep tapes that offer effortless learning during sleep. Your investment in such tapes will not be money well spent. Learning during sleep should be discouraged! It is possible to occasionally recall a fraction of the material presented during sleep (probably only then when it enters your brain during short periods of transition from REM to temporary waking). There is also ample evidence that some circuits in the brain can be conditioned during REM sleep; however, the connection between the senses and the brain in sleep is rather focused on awakening in danger rather than on processing complex information.

Whatever you might gain from your sleep tapes will by far be offset by damage to the quality of sleep. If the learning stimuli do not reach a certain threshold, they will simply be ignored. However, past a certain value they may prevent the progression of NREM sleep toward stages 3 and 4. They can also shorten REM sleep.

Interestingly, memories acquired minutes before falling asleep do not get consolidated! Even a few minutes of sleep leave a short window of waking time with a complete memory erasure. Luckily, we rarely learn mission-critical information shortly before dozing off.

Counter-recommendation for learning during sleep, does not imply that falling asleep with TV or radio turned on should be discouraged. If you would like to get a dose of education yet before falling asleep, be sure your tapes, TV or radio meet these conditions:

  • they turn off automatically no later than in 30 minutes

  • they have no ability to wake you up from a properly timed sleep. If you wake up from initial minutes of sleep you may experience a dramatic shift in the homeostatic component that would delay the sleep onset (awakening may also indicate that you went to sleep too early in reference to your circadian cycle)

  • they do not include highly emotional content, distressing messages, shrill sounds (doorbells, phones, timers and alarm clocks; these have all been designed to produce sounds that tend to most effectively rouse the central nervous system)

Moreover, if you find it difficult to fall asleep due to stresses of the day, subtle news channel may actually help you fall asleep by keeping your mind away from the thoughts that might trigger the release of ACTH, cortisol, catecholamines or other alertness transmitters.

TV, radio or tapes in the morning are OK too, on condition you turn them on manually (i.e. they should not work as an alarm clock substitute). If you wake up slightly ahead of your expected waking time, turn on the news and stay in bed. Test your brain for signs of sleepiness. Occasionally, you may still be able to fall asleep and go through one cycle of sleep that will be beneficial to your intellectual performance. Be sure that this does not become a routine, esp. if you are awakened early due to the pressure in the bladder[3]. Unless your urologist recommends otherwise, you should avoid drinking water and other liquids 2-3 hours before going to sleep

Alcohol

Alcohol is a major enemy of a creative individual! In excess it is highly toxic to the brain! Even small doses can reduce the quality and the total length your REM sleep. Alcohol also suppresses deep sleep, produces sleep fragmentation, and relaxes the upper airway muscles, which worsens snoring and severity of obstructive sleep apnea.

Apart from its negative impact on sleep, alcohol reduces your intellectual performance, and should be avoided at times of highly creative effort!

On the other hand, lots of research indicates that small doses of alcohol may benefit your health. Actually, a drink a day may be the simplest known method of preventing arteriosclerosis, heart attack and cerebrovascular disease. There are reports that moderate beer drinking may reduce the incidence of Alzheimer's. Some physicians recommend daily alcohol in very small quantities (not more than a drink per day).

To a highly creative individual, alcohol poses a major health-vs-brain dilemma. Certainly it should be avoided 3-5 hours before sleep and should be avoided before intellectual work. This would leave place only for very moderate drinking at siesta time (assuming that this is the time you take a break from intellectual effort or take a nap).

If you drink yourself to sleep (e.g. after a stressful day), you should remember that alcohol is quickly metabolized, and will produce an acetaldehyde rebound effect that will greatly increase chances of waking up during the night. This effect keeps alcoholics up at nights, deprives them from REM sleep, and may actually be responsible for delirium tremens (and perhaps even Korsakhof psychosis).

Assuming that a nap taken at siesta time does not play any significant physiological function, and only serves you as a springboard to higher evening alertness, a small drink before a nap may actually appear beneficial by producing the rebound effect at the time when you get up from the nap.

Caffeine

Caffeine is the number one drug used against sleepiness! 90% of Americans use it in some form. It can be found in coffee and coke, as well as in smaller quantities in chocolate and tea. It is addictive and acts via similar channels as amphetamines and cocaine.

As it has a profound effect on the central nervous system by blocking adenosine receptors, caffeine is widely used to tackle drowsiness. However, majority of people little realize that it works well in your struggle with the adenosine-related homeostatic component of sleepiness, while it is quite inefficient in overcoming circadian sleepiness! Moreover, used against the latter, it can actually be harmful!

If you abuse caffeine or use it at the time when your body clock tells you bedtime, you will only experience the symptoms that gave caffeine all that bad rap. These include: heart arrhythmia, irritability, overwhelming tiredness, depression, and a typical coffee abuser's "sickness in the stomach". No wonder the popular belief says that coffee is bad for health and can contribute to a heart disease.

The research on the health effects of caffeine does not seem to confirm its harmfulness. The link between coffee and heart disorders is very weak and may be attributed to caffeine abuse. Recent research has even found that 3-5 cups of coffee per day may maximize your lifespan (the same research was criticized for failing to notice that coffee is more popular in well-to-do households that favor longevity). You can assume that caffeine is harmless in smaller quantities 200-400 mg/day (equivalent of 2-4 cups of coffee). Note that 50% of Americans take more than that. For caffeine to be truly harmless, it must be taken at the right time!

As an arousal drug, caffeine may induce insomnia. This is why it should never be taken later than 6-7 hours before sleep (caffeine half-life is about 6 hours)! Taken too late, caffeine will suppress REM sleep with detriment to memory consolidation. At the same time, when taken regularly early in the day, it may actually produce mild withdrawal effects and promote sleep!

The only time when coffee can be recommended is upon awakening!
Never drink coffee to overcome circadian sleepiness!

You can use coffee to accelerate your transition from sleep to full mental alertness. Current knowledge about caffeine supports the recommendation for a cup of coffee in the morning in otherwise healthy individuals (as black coffee can be harmful to the stomach lining, coffee should rather be drank with milk or with cream).

In regular nappers, the circadian rhythm should yet permit drinking coffee immediately upon waking up from an afternoon nap. For this, the following conditions should be met:

  1. nap is taken at its natural timing (not later!)

  2. the gap between nap time and night sleep is at least 7 hours long

  3. there are no signs of sleep onset insomnia

Drinking coffee at times other than immediately upon awakening should be highly discouraged! Caffeine cannot serve as a weapon against sleep deprivation. Only sufficient night sleep can play that role. Caffeine should also not be used against the circadian sleep component. As argued throughout this article, circadian rhythm should best be left alone to run its course!

Caffeine tends to drive many people into a vicious circle: you drink it, you get a boost in adrenaline, you feel more energetic, you get a boost in dopamine, you feel better, you feel you can stay up late, you sleep less, you are more sleepy on the next day, so you need more caffeine, due to down-regulation you get less boost per cup, you increase the dosage, etc. etc.

Coffee drinkers may occasionally experience migraine-like headaches. These are caused by an increased activity of adenosine receptors on days when the supply of caffeine is less. This results in the dilation of blood vessels in the brain. Vasodilation or activation of purine receptors on sensory neurons produce the headaches. Half a normal dose of caffeine should help. Conclusion: if you want to go straight on coffee, do not go cold turkey. Allow of 3-4 days for your body to gradually fight off the addiction.

A rational approach to caffeine is: use it as a circadian enhancer! Small dose in the morning will shoot your alertness slope up and the regular intake will produce mild addiction that should help you fall asleep in the evening through mild withdrawal effect. This approach should be neutral to your health and positive to your alertness. Never use caffeine to cover up for insufficient sleep!

See also:

  • How caffeine works (at howstuffworks.com)

  • Behind the Buzz (caffeine at student.com)

  • All you want to know about caffeine

  • Caffeine FAQ

Sexuality

Sex before sleep is highly recommended! Sex works as a powerful hypnotic. If you practice sex without procreative intentions, positive influence of sex on sleep may be your number one excuse for sticking faithfully to your conjugal duties. Here is also a recommendation to stick with a single partner. Longevity studies show that healthy stable monogamous sex life is one of powerful life expectancy determinants. On the other hand, sex with your new great love is likely to disrupt sleep. Apart from a healthy dose of endorphins, it will also raise your catecholamines that may fragment sleep cycles. For the same reasons, promiscuous sex may also not play the expected hypnotic role

Cigarettes

If you are a smoker, quit reading this article and jump to: QuitNet.org (do not miss: QuitNet Guide!).

Do you know that only 4% of users of SuperMemo are smokers (source)? Additionally, users who smoke spend much less time on learning with SuperMemo (an average of about 10 minutes per day as compared with the usual average of around 30 minutes). This is more related to the hormonal balance in the brain of a smoker than to smoking itself. Smokers simply do not have patience for SuperMemo and are less likely to be in-depth learners. Yet there are strong indications that those who quit smoking show improvement in their perseverance in repetitions! Yet one more reason to take a quitting step!

If you still cannot live without nicotine, Nicorette chewing gum may be the simplest over-the-counter way to tackle the addiction without the carcinogenic action of cigarettes. Still Nicorette may even be more addictive than cigarettes, and the short half-time of nicotine may result in overnight craving that disrupts sleep! (see: QuitNet.org)

Exercise

Aerobic exercise is a blessing for sleep. The only downside of sports may come if these are overly exhaustive. Dehydration, stress, exhaustion, contusions and the like may reduce the quality of sleep. You must also remember to exercise no later than 30-60 minutes before siesta time and 3-4 hours before the night sleep. Exercise increases the level of catecholamines which makes you more alert and may keep you up at bedtime. Later on, though, it will make your metabolism and body temperature drop below the baseline. This will promote sleep.

Exercise may be used as a strong zeitgeber. If you find it difficult to fall asleep in the evening, try early morning exercise in bright light (esp. sunshine). In ASPS, exercise in the evening may bring some relief too.

Exercise is known to enhance deep sleep and promote the nocturnal release of growth hormone, which has been found to stimulate memory consolidation via its impact on protein synthesis.

Exercise is likely to help you relieve snoring and obstructive sleep apnea (not only by promoting weight loss).

20 minutes of physical effort per day is considered a healthy minimum for everyone who wants to keep fit, sleep well, and show good long-term learning results.

Myths and facts

  1. Myth: Since we feel rested after sleep, sleep must be for resting. Ask anyone, even a student of medicine: What is the role of sleep? Nearly everyone will tell you: Sleep is for rest. Fact: Sleep is for optimizing the structure of memories. If it was for rest or energy saving, we would cover the saving by consuming just one apple per night. To effectively encode memories, mammals, birds and even reptiles need to turn off the thinking and do some housekeeping in their brains. This is vital for survival. This is why the evolution produced a defense mechanisms against skipping sleep. If we do not get sleep, we feel miserable. We are not actually as wasted as we feel, the damage can be quickly repaired by getting a good night sleep. It is our brain dishing punishment for not sticking to the rules of intelligent life-form: let the memory do restructuring in its programmed time

  2. Myth: Sleep before midnight is more valuable. Fact: Sleep is most valuable if it comes at the time planned by your own body clock mechanisms. If you are not sleepy before midnight, forcing yourself can actually ruin your night if you wake up early

  3. Myth: Sleeping pills can help you sleep better. Fact: Sleeping pills can help you sleep, but this sleep is of far less quality than naturally induced sleep. Sleeping pills can be useful in circumstances where sleep is medically vital and cannot be achieved by other means. Otherwise, avoid sleeping pills whenever possible

  4. Myth: Avoid naps. Fact: Naps may indeed worsen insomnia in people suffering from DSPS, esp. if taken too late in the day. Otherwise, naps are highly beneficial to intellectual performance. It is possible to take naps early in the day without affecting one's sleeping rhythm. Those naps must fall before or inside the so-called dead zone where a nap does not produce a phase response (i.e. shift in the circadian rhythm)

  5. Myth: A nap is a sign of weakness. Fact: Nap is not a sign of weakness, ill-health, laziness or lack of vigor. It is a philogenetic remnant of a biphasic sleeping rhythm. Not all people experience a significant mid-day slump in mental performance. It may be well masked by activity, stress, contact with people, sport, etc. However, if you experience a slump around the 5th to 8th hour of your day, taking a nap can dramatically boost your performance in the second half of the day

  6. Myth: People are of morning or evening type. Fact: This is more of a misnomer than a myth. Evening type people can easily be made wake up with the sun by means of chronotherapy. What people really differ in is the period of their body clock and its sensitivity to zeitgebers (e.g. light, activity, stress, etc.). People with an unusually long natural day and low sensitivity to resetting stimuli will tend to work late and wake up late. Hence the tendency to call them "evening type". Those people do not actually prefer evening, they simply prefer longer working days

  7. Myth: Alarm clock can help regulate sleep rhythm. Fact: Alarm clock can help you push your sleeping rhythm into your desired framework, but it will rarely help you accomplish a healthy sleeping rhythm. The only tried-and-true way to accomplish a healthy sleep and a healthy sleep rhythm is to go to sleep only then when you are really sleepy, and wake up naturally without external intervention

  8. Myth: Night shifts are unhealthy. Fact: People working in night shifts are often forced out of work by various ailments such as a heart condition. However, it is not night shifts that are harmful. It is the constant switching of the sleep rhythm from day to night and vice versa. It would be far healthier to let night shift people develop their own regular rhythm in which they would stay awake throughout the night. It is not night wakefulness that is harmful. It is the way we force our body do things it does not want to do

  9. Myth: Being late for school is bad. Fact: Kids who persistently cannot wake up for school should he left alone. Their fresh mind and health are far more important. Parents who regularly punish their kids for being late for school should immediately consult a sleep expert as well as seek help in attenuating the psychological effects of the trauma resulting from the never ending cycle of stress, sleepiness and punishment

  10. Myth: Being late for school is a sign of laziness. Fact: If a young person suffers from DSPS, it may have perpetual problems with getting up for school in time. Those kids are often actually brighter than average and are by no means lazy. However, their optimum circadian time for intellectual work comes after the school or even late into the evening. At school they are drowsy and slow and simply waste their time. If chronotherapy does not help, parents should consider later school hours or even home-schooling

  11. Myth: We can sleep 3 hours per day. Many people enviously read about Tesla's or Edison's sleeping habits and hope they could train themselves to sleep only 3 hours per day having far more time for other activities. Fact: This might work if you plan to party all the time. And if your health is not a consideration. And if your intellectual capacity is not at stake. You can sleep 3 hours and survive. However, if your aspirations go beyond that, you should rather sleep exactly as much as your body wants. That is an intelligent man's optimum. With your improved health and intellectual performance, your lifetime gains will be immense

  12. Myth: We can adapt to polyphasic sleep. Looking at the life of sailors, many people believe they can adopt polyphasic sleep and save many hours per day. In polyphasic sleep you take only 4-5 short naps during the day totaling less than 4 hours. There are many "systems" differing in the arrangement of naps. There are also many young people ready to suffer the pains to see it work. Although a vast majority will drop out, a small circle of the most stubborn ones who survive a few months and will perpetuate the myth with a detriment to public health. Fact: We are basically biphasic and all attempts to change the inbuilt rhythm will result in loss of health, time, and mental capacity. A simple rule is: when sleepy, go to sleep; while asleep, continue uninterrupted

  13. Myth: Going to bed at the same time is good for you. Fact: Many sleep experts recommend going to sleep at the same time every day. Regular rhythm is indeed a form of chronotherapy recommended in many circadian rhythm problems. However, people will severe DSPS may simply find it impossible to go to sleep at the same time everyday. Such forced attempts will only result in a self-feeding cycle of stress and insomnia. In such cases, the struggle with one's own rhythm is simply unhealthy. Unfortunately, people suffering from DSPS are often forced into a "natural" rhythm by their professional and family obligations

  14. Myth: Silence and darkness are vital for sleep. This may be the number one advice for insomniacs: use your sleeping room for sleep only, keep it dark and quiet. Fact: Silence and darkness may indeed make it easier to fall asleep. They may also help maintain sleep when it is superficial. However, they are not vital. The most important factor that makes us sleep well, assuming good health, is the natural circadian rhythm. People who go to sleep along their natural rhythm can often sleep well in bright sunshine. They can also show remarkable tolerance to a variety of noises (e.g. loud TV, family chatter, outside the window noise, etc.). If you suffer from insomnia, focus on understanding your natural sleep rhythm. Peaceful sleeping place is secondary. Insomniacs running their daily ritual of perfect darkness, quiet, stresslessness and ship-counting are like a stranded driver hoping for fair winds instead of looking for the nearest gas station

  15. Myth: People who sleep less live longer. Not so long ago, Dr Kripke compared the length of sleep with longevity. He figured out that those who sleep 6-7 hours live longer than those who sleep 8 hours and more. No wonder that a message started spreading that those who sleep less live longer. Fact: The best longevity prognosis is ensured by sleeping in compliance with one's natural body rhythm. Those who stick to their own good rhythm often sleep less as their sleep is better structured and more refreshing. No wonder they live longer. Those who sleep against their nature, often need to clock more hours and still do not feel refreshed. Moreover, disease if often correlated with increased demand for sleep. When in coma, you are not likely to be adding years to your life

  16. Myth: The body will always crave excess sleep as it craves excess food. Some people draw a parallel between our tendency to overeat with sleep. They believe that if we let the body dictate the amount of sleep, it will always ask for more than needed. As a result, they prefer to cut sleep short with alarm clock to "optimize" the amount of sleep they get. Fact: Unlike storage of fat, there seems to be little evolutionary benefit to extra sleep. Probably, our typical 6-8 hours of sleep are just enough to do all "neural housekeeping". People with sleep deficit may indeed tend to sleep obscenely long. However, once they catch up and get into the rhythm, the length of their sleep is actually likely to decrease

  17. Myth: Magnesium, folates, and other supplements can help you sleep better. Fact: Nutrients needed for good health are also good for sleep. However, supplementation is not likely to play a significant role in resolving your sleep problems. Vitamins may help if you are in deficit, but a vast majority of sleep disorders in the society come from the lack of respect or understanding of the circadian rhythm. If you are having problems with sleep, stick to the rules presented in this article. As for food, stick to a standard healthy diet. That should suffice

  18. Myth: It is best to wake up with the sun. Fact: You should wake up at the time when your body decides it got enough of sleep. If this happens to be midday, a curtain over the window will prevent you from being woken up by the sun. At the same time sun may help you reset your body clock and help you wake up earlier. People who wake up naturally with the sun are indeed among the healthiest creatures on the planet. However, if you do not wake up naturally before 4 am, trying to do so with the help of alarm clock will only add misery to your life

Summary

  • Sleep is important for learning! Sleep deprivation results in intellectual deprivation!

  • Sleep as much as you feel you need (why?)

  • Avoid alarm clocks (why?)

  • Forget about trying to fall asleep at pre-planned time! Let your body decide! (why?)

  • Forget about trying to fall asleep quickly! Let your body decide! (why?)

  • Do not try to make yourself sleepy! It is enough you stay awake and keep on working/learning long enough! (why?)

  • It is much better to eliminate the source of stress rather than to try forgetting stressful situations right before the bedtime!

  • Learn the details of your sleep timing (how many hours you sleep, how many hours before you need to take a nap or go to sleep again, etc.). Use this knowledge to determine optimum time for sleep (why?)

  • Adjust the timing of intellectual work to your circadian cycle (see Fig. 5)

  • Stick with good people! The bad lot will often ruin your slumber

  • Be careful with caffeine. Drink coffee only upon awakening (or after a nap if you take one)

  • Do not go beyond a single drink of alcohol per day. Drink it at siesta time

  • Quit smoking!

  • Use siesta time for a nap if you find it helpful

  • If you cannot fall asleep in 30 minutes, get up! You are not ready for sleep! (why?)

  • If you experience racing thoughts at the time when your body calls for sleep, the best method is: get up and use ... SuperMemo for 30 minutes! Few other activities can be equally taxing to your tired brain (do not expect this to work before your circadian timing though)

  • If you sleep it out and still not feel refreshed, be sure you do not sleep against your circadian. Try free running sleep. Remember that you may need 1-2 weeks to synchronize all bodily functions before this starts working!

  • If you cannot get refreshing sleep even in free-running conditions after at least a month of trying, consult a sleep specialist (see: Sleep Disorders). Remember, however, that a bad night is a factor of life. Few can avoid it. Do not get alarmed even if it happens weekly

Fig.5. Optimizing the timing of brainwork with respect to the circadian cycle. This exemplary graph was generated with the help of SleepChart on the basis of 3-year-long daily measurements of a free-running sleep rhythm. The horizontal axis expresses the number of hours from awakening (note that the free running rhythm period is often longer than 24 hours). Homeostatic sleepiness can roughly be expressed as the ability to initiate sleep. Percent of initiated sleep blocks is painted as a thick blue line (right-side calibrations of the vertical axis). Circadian sleepiness can roughly be expressed as the ability to maintain sleep. Average length of initiated sleep blocks in painted as a thick red line (left-side calibrations of the vertical axis). Adenosine-related homeostatic sleep propensity increases in proportion to mental effort and can be partially cleared by caffeine, stress, etc.. Circadian component correlates (1) negatively with temperature, ACTH, cortisol, and catecholamines, and (2) positively with melatonin and NREM propensity. Optimum timing of brainwork requires both low homeostatic and circadian sleepiness. There are two quality alertness blocks during the day: first after the awakening and second after the siesta. Both are marked yellow in the graph. For best learning and best creative results use these yellow blocks. Caffeine can only be used to enhance alertness early in this optimum window (brown color). Later use will affect sleep (caffeine half-life is about six hours). Optimum timing of exercise is not marked as it may vary depending on the optimum timing of zeitgebers (e.g. early morning for DSPS people and evening for ASPS people). Gray dots are actual sleep block measurements with timing on the horizontal, and the length on the vertical axis.
Important! This data refer solely to free running sleep. If you use an alarm clock to regulate your sleep timing, this measurements may not apply! In addition, timing and the amplitude of changes differ between individuals.

References

  • Akerstedt, T., Torsvall, L., & Gillberg, M. (1989) Shift Work and Napping. In D. F. Dinges & R. J. Broughton (Eds.), Sleep and alertness: Chronobiological, behavioural and medical aspects of napping New York: Raven Press

  • Aschoff, Jurgen (1994) "Naps as Integral Parts of the Wake Time Within the Human Sleep-Wake Cycle." Journal of Biological Rhythms; 9: 145-155

  • Buzsáki G (1989) A twostage model of memory trace formation: a role for "noisy" brain states. Neuroscience 31: 551570

  • Carskadon, M.A. (1995), Early school schedules modify adolescent sleepiness, Sleep research, 24, 92

  • Crick F, Mitchison G. (1983) The function of dream sleep. Nature 304: 111-114

  • Crick F, Mitchison G. (1995) REM sleep and neural nets. Behavioral Brain Research 69: 147-155

  • DeKoninck J., Lorrain D., Christ G., Proulx G., Coulombe D. (1989) Intensive language learning and increases in rapid eye movement sleep: evidence of a performance factor. International Journal of Psychophysiology, 8: 43-47.

  • Dinges, D.F. (1989) Napping Patterns and Effects in Human Adults. In Sleep and Alertness: Chronobiological, Behavioral, and Medical Aspects of Napping, eds., D.F. Dinges and R.J. Broughton. New York: Raven Press, Ltd., pp. 171-204

  • Smith C. (1993) REM sleep and learning: Some recent findings. In: A. Moffitt, M. Kramer and R. Hoffmann (Eds) The Functions of Dreaming. SUNY Press, New York: 341-361

  • Touitou, Y. and E. Haus (1992) Biological Rhythms and Aging. In Biological Rhythms in Clinical and Laboratory Medicine, eds., Y. Touitou and E. Haus. Berlin: Springer-Verlag, pp. 188-207

Footnotes

  1. one of the visitors to this site reported having a string of sleepless nights that lasted five weeks and ended in hospitalization as a result of going cold turkey on Paxil - a popular antidepressant (for more details write to Bruce)

  2. there are reputable researchers who find it difficult to reconcile learning with unconscious states. See Dr Robert Vertes 2000:"there appears to be little evidence to support a role for memory consolidation in sleep" and "A review of REM deprivation studies shows these reports to be equally divided in showing that REMD does, or does not, disrupt learning". See also: Prof. Jerome M. Siegel website

  3. some sources claim that it is only an illusion that bladder pressure wakes us up in adulthood. In reality, only upon waking we start perceiving the pressure (which seems as the pressure had to be the reason for waking up)

Links

  • Illustrated Biological Clock Manual

  • Disrespecting your circadian rhythm can shrivel your brain!

  • Biological Clock Tutorial

  • School Start Time Study

  • Optimization of shift-work scheduling

  • Sleep Syllabus by WebSciences International and Sleep Research Society

  • Caffeine FAQ

  • The Medical Basis of Stress, Depression, Anxiety, Sleep Problems, and Drug Use

  • Sleep and Dreaming by Jerome M. Siegel (opponent of the role of sleep in learning)

  • The REM sleep memory consolidation hypothesis by Jerome M. Siegel (opponent of the role of sleep in learning)

  • Sleep quiz

  • Sleep Disorders at About.com

  • Sleepnet.com

  • Sleep Medicine links

  • Slow wave sleep contribution to memory consolidation

  • Doubts about sleep and learning?

  • A two-stage computational model training long-term memories in the entorhinal-hippocampal region

  • How much do animals sleep?

See also:

  • SleepChart: Formula for healthy sleep

  • FAQ: Good sleep for good learning

  • Roots of creativity and genius


SleepChart: Formula for Healthy Sleep

Formula for healthy sleep Dr Piotr Wozniak,
SuperMemo R&D
Prof. Edward Gorzelanczyk,
Dept. of Neuropsychology and Behavioral Genetics,
University of Bydgoszcz
Summer 2003
After publishing Good sleep, good learning, good life, we have received lots of mail with requests to clarify some of the complexities of sleep theory. Many people have sleep problems and look for simple solutions applicable in their lives. The present article attempts to explain the main reason for which healthy people may not be getting refreshing sleep: sleep phase problems. The article is accompanied by a simple freeware SleepChart application that may help you plan optimum sleep.

The cycle of sleep and waking is regulated by the body clock. Body clock is located in the brain (suprachiasmatic nucleus). The clock has a period of about 24 hours. During a single 24 hour day we have a period of 6-10 hours when we are very sleepy. This is the time when we normally sleep. During the remaining 14-18 hours we are usually awake; however, only a portion of that waking time is suitable for intellectual effort. This period of maximum alertness may last as little as 2-6 hours. We should plan our day in such a way that sleep comes at the time of maximum sleepiness, while activities that demand maximum focus or creativity fall into the hours of maximum alertness. It is very difficult and usually very unhealthy to force our body and our body clock do what we wish. It is far easier to do the opposite: adapt our life to the body clock. This article is intended to help you understand your body clock.

Delayed Sleep Phase Syndrome

Delayed Sleep Phase Syndrome (DSPS) is a sleep disorder in which an individual finds it difficult to fall asleep late in the night, and sleeps well into the afternoon if not awakened. DSPS has only been characterized in 1982, but increasing data indicates that various degrees of DSPS occur with epidemic frequency, esp. among high school and university students. DSPS individuals often like to keep on learning late into the night, go to sleep very late (for example, 4-6 am), and find it very hard to wake up early on a regular basis. For example, regular getting up at 7 am is a pure torture for individuals affected with DSPS. They often fail to keep jobs that require them to perform early in the morning. Very often, they tend to split the day sleep into two components. For example, DSPS students often get a short sleep in the night, wake up early with an alarm clock, go to school where they are semi-conscious and perform poorly, get a solid nap after school and only late in the evening they regain vigor and their full mental powers. DSPS students feel best after midnight when everyone else is asleep and they can focus on learning or other activities (reading, Internet, watching TV, computer games, etc.).

The main factors contributing to DSPS:

  • increased period of the body clock (well above 25 hours)
  • reduced or increased sensitivity to factors that reset or advance body clock (e.g. light, activity, stress, etc.)
  • electric lighting, 24-hour economy and the resulting "want to do more" lifestyle

A normal individual has a body clock running with a period slightly longer than 24 hours. The clock is reset in the morning with activity and bright light. Thus a normal individual easily adjusts to the standard day-night cycle. However, DSPS individuals may have their clocks running periods long enough to find it hard to fit to 24 hours. They also push their clocks ahead by activity late in the evening (the process opposite to the morning reset synchronization). DSPS individuals, when given a chance to sleep when they want, will tend to go to sleep later and later. They will also wake up later and later. DSPS people do not have problems with sleep if they sleep in their favorite hours. Most mild DSPS cases can be remedied by changes in lifestyle, but rarely are those changes painless to individuals affected with the condition.

If this description fits your problem, you may diagnose the degree of your DSPS with SleepChart freeware at the bottom of this article.

Advanced Sleep Phase Syndrome

Advanced Sleep Phase Syndrome (ASPS) is the opposite of DSPS. People suffering from ASPS get very sleepy early in the evening and wake up very early in the night. They circadian clock runs at less than 24 hour period. As they constantly struggle to survive to a reasonable evening hour, they sleep less, awake early and experience increased tiredness during the day. While a typical DSPS person is an adolescent student, a typical ASPS person is a retiree or a middle age low stress tolerance woman. The link between the age and sleep phase disorders may be related to aging itself; however, it may also be a result of lifestyle changes that come with age.

Correlates of sleep phase syndromes

DSPS is more prevalent among adolescents, while ASPS is more frequently observed in aging population. DSPS is also by far more frequent among students, programmers, avid readers, passionate artists, computer game addicts, etc. ASPS seems more likely in individuals whose life is deprived of intense stimulation (esp. in the evening), who meet fewer new challenges, or who are not facing information overload, stress, etc.

Finally, there is a complex relationship between DSPS/ASPS and depression/mania. On one hand, there may be a link between DSPS and manic personalities. Anti-depressants tend to increase the period of the body clock (e.g. clorgyline, imipramine). On the other, paradoxically, DSPS individuals may be more likely to suffer from depression (e.g. when in conditions of insomnia, sleep deprivation, resulting social problems, etc.). Similarly, low-stress tolerance depressed individuals are, more likely to suffer from ASPS. Again, when they are forced to adapt to "normal" life, their symptoms of depression tend to weaken as sleep deprivation here counteracts depression. The cause-effect relationship between sleep phase disorders and mood disorders is complex. Understanding it will contribute substantially to solving the escalating epidemic of sleep phase disorders.

It is not known which are the predominant underlying physiological factors that result in sleep phase disorders. Family clusters show that genes may affect the length of the circadian period. The lifestyle may affect levels of neurotransmitters and these could affect the period of the circadian clock. Conversely, the level of neurotransmitters may select for a specific lifestyle choices. Age may have a direct impact on the clock circuits, it may affect neurotransmitters or it can affect the lifestyle. Last but not least, sleep phase disorders will affect the mood and the levels of neurotransmitters in varying ways depending on whether free running sleep is used to remedy the disorder or wherever the individual attempts to fit a predetermined desirable sleep schedule.

How body regulates sleepiness

There are two main mechanisms that regulate sleepiness. One is the body clock and the other is the "wake-meter". Body clock produces increased sleepiness every 24 hours. The wake-meter increases sleepiness with prolonged wakefulness (i.e. the longer we do not sleep, the sleepier we are). In sleep literature, these two mechanisms are called the circadian and homeostatic regulation of sleep.

Sleep control components:

  • circadian clock - circadian clock produces sleepiness in 24 hour cycles
  • homeostatic control - wake-meter measures the period in which we stay awake and triggers sleepiness after we stay up for long enough

In DSPS or ASPS people, there may exist a combination of several factors that make it harder to get good sleep:

  • Circadian clock runs in periods far different from 24 hours. In DSPS people, the circadian clock may be set to 25-26 hours. In ASPS people, it could be 23 hours
  • Circadian clock is not sensitive to time resetting factors (professionally termed zeitgebers). Normal people reset their clock in the morning by light and activity. In addition, darkness and inactivity in the evening provide further clues for the clock. Normal people with normal lifestyles can easily synchronize their sleep with the day-night cycle
  • Homeostatic wake-meter shows changed sensitivity. Sensitive wake-meter will make people get tired very quickly after awakening. Insensitive wake-meter may make people tend to stay up for long
  • Lifestyle has a dramatic effect on the behavior of the circadian and homeostatic sleep regulation mechanisms. The same individual will show different sleep rhythm depending on such factors as: using artificial lighting, exercise, level of stress, timing of exciting activities, napping, diet, climate, changes in ambient temperature, health status, etc.

Examples of different sleeping rhythms

Freeware SleepChart application that comes with this article (bottom) makes it possible to take a snapshot of sleep that graphically illustrates DSPS and ASPS rhythms.

24 hour cycle. Let us first consider an ideally synchronized 24-hour cycle. In the picture below, an octogenarian female wakes up naturally everyday around 3:00-3:30 am. She sleeps 5.4-5.5 hours per day, wakes up refreshed and is active throughout the day. There is no synchronization with daylight as the waking hour falls into the period of darkness. The cycle is synchronized by evening activities. The subjects keeps in her mind a "must go to sleep" hour estimation that helps synchronize body clock with the time of day. This "psychological imprint" is illustrated by a smooth change in the sleeping rhythm after the end of the daylight saving time on Sunday October 27, 2002 (the graph disregards DST so that the waking hour before the change is set at 2:00-2:30 am).

24 hour cycle and stress. Let us now consider the impact of stress on a well-synchronized sleeping rhythm. In the picture below, a middle-aged self-employed male wakes up naturally everyday around 6:00-6:20. However, on June 3, 2003, a severe family problem throws the rhythm into chaos as evidenced by frequent nocturnal awakenings. The rhythm returned to norm one month later as soon as the family conflict was resolved.

Asynchronous DSPS. People suffering from DSPS find it difficult to synchronize with 24-hour clock. In the picture below, adolescent female with a mild DSPS suffers disintegration of the sleeping rhythm due to the failed efforts to synchronize with "civilized" life. After the vacation period, she begins in early September well-synchronized with the "rest of the world". She wakes up between 6:30 and 10:00. However, her body clock experiences continuous shift of optimum sleeping hours. Soon she wakes up at 12:00 and begins a struggle against the further shift. This results in disintegration of the sleep cycle, short sleep periods (e.g. 4 hours) and frequent bouts of tiredness. The presented software attempts to plot the hours of maximum natural sleepiness (between red and brown lines). Clearly, the greatest disturbance in sleep occurs at the point where the "natural" rhythm departs furthest from the "desired" rhythm. Mild DSPS cases are able to force the body clock to remain more or less in the desired bounds at the cost of constant struggle with sleepiness. In more severe cases, the circadian variables will run a 24 hour cycle and the individual will experience return to "good sleep" when free running variables align again with the "desired" sleep period. In the graph below, October 7 sleep period is almost aligning with the hours of maximum sleepiness resulting in good long refreshing sleep. The average sleep length is 6.8 hours but it changes widely. The average DSPS shift is difficult to determine due to the "struggle" with the natural rhythm; however, if is likely to be above 60 minutes as evidenced at the beginning of the graph.

Synchronous DSPS. A graph below presents a sleep rhythm of a middle-aged self-employed male. A very clear and regular DSPS pattern visible in the graph with a daily phase shift of 64-68 minutes. Although sleeping in "unnatural" hours is certainly less beneficial healthwise than normal sleep, for a DSPS patient, free running sleep rhythm may by far less stressful and disruptive than any attempt to fit to "standard" lifestyle (as shown above). There have been cases in literature that documented people living along such shifting DSPS schedule for decades without major health side effects although some authors claim increased incidence of depression, alcoholism or dependence on sedatives (as a result of attempts to induce sleep). A very reliable determinant of synchronous DSPS is the disruption of the link between the sleep onset hour and sleep duration. As the duration of sleep is determined by the circadian phase, well-synchronized sleep schedule shows little variability in the sleep length (6.6 hours in the graph below). In particular, the sleep length is independent of the sleep onset hour. Wherever the patient makes any attempt to synchronize with daylight or daylight-related activities, the link between sleep length and the onset hour will be reconstituted. Mistakenly, DSPS people are often called "owls" for their tendency to stay up late, while ASPS people are called "larks". The graph below illustrates why this is a misnomer.

SleepChart: A sleep charting and scheduling application

You can download a freeware SleepChart application by clicking the link at the bottom of the article.

All you need to do in the program is to click the beginning and the end of the sleep block in the graph. See the bottom of the display for exact hour points corresponding to the position of the mouse pointer. If you set a wrong block, select it by clicking and press Del.

SleepChart will attempt to approximate the circadian low that correlates with high sleepiness, low temperature, low ACTH, high melatonin, etc. The underlying assumption is that you do not attempt to regulate your sleep. This means that you do not wake up with an alarm clock or do not struggle against the sleepiness in the evening (e.g. in order to delay sleep). Currently there is no option that would let you eliminate artificially-regulated sleep blocks. This means that all attempts to modify your sleep schedule will fool the algorithm and your reading will be inaccurate or plain wrong. It is also very important that you do not attempt to follow the circadian approximation when determining your optimum sleep hours! This can result in a positive feedback of error and disintegration of the sleep cycle. In other words, errors in the graph may be amplified by your attempts to follow the graph. At worst, you could even self-diagnose yourself with DSPS without actually suffering from the disorder! Your only and sole "go to sleep" criterion should be rapidly increasing sleepiness. You may use the graph to approximate the moment in which the readiness for sleep will occur. You can also find it helpful in chronotherapy for ASPS or DSPS to make it easier to schedule your appointments without conflicting with your natural sleep rhythm.

Circadian graph in DSPS

The circadian graph can help you better understand your sleep rhythm with its homeostatic and circadian components. You will need a few months of data before the graph becomes meaningful. In addition, sleep boundary approximation lines are subject to substantial hysteresis. If your lifestyle changes dramatically (e.g. as a result of therapy), you may need a few weeks for the approximation lines to align properly with data. The circadian graph may then be more difficult to interpret. Having separate data sets for such circumstances solves the problem.

Homeostatic: The blue line corresponds with homeostatic sleepiness derived from the number of sleep blocks falling into a given hour of the waking day (i.e. where zero refers to the hour of waking). It roughly expresses your "tiredness of wakefulness". It also expresses your ability to fall asleep. From the graph below you can read that the best chances of falling asleep fall around 18th hour of wakefulness (assuming the graph is created without any artificial form of regulating sleep such as the alarm clock, delaying sleep, etc.). Your own optimum hour is naturally likely to differ (check with SleepChart). For most people the optimum hour falls into the range 16-20. If your graph looks like below and you wake up at 6 am, you can conclude that you can best go to sleep shortly before midnight (so that you could ensure you are in bed when the 18th hour of wakefulness comes up). Some people take naps during the day. Others don't. The graph below is typical of a regular napper with the optimum nap time coming at 7-8 hour of wakefulness. For example, if you get up at 6 and your optimum nap time hits the 8th hour, you should take a break around 14 and look for a secluded place for a few minutes of rest. Naturally, planning your lunch at 13:00 or so would be recommended too. In the graph below, 8.2% of sleep blocks begin in the 18th hour (night sleep), while another 8.1% begin in the 8th hour (nap). Non-nappers will also experience a peak of sleepiness around the 7th hour even though their blue-line graph will not show as prominent a bulge as below.

Circadian: The red line corresponds with circadian sleepiness derived from the average length of sleep blocks started at a given hour of the waking day. The graph indicates that even if you are able to initiate sleep during the day, it will never last long. Only after 14 hours of waking does the length of initiated sleep reach beyond 6 hours. Maximum length of sleep can be achieved at 15th hour; however, this does not indicate this is the optimum hour of going to sleep. If sleep is initiated too early, it may or may not make it possible to catch on the full circadian low. In other words, we can wake up after just a couple of minutes of sleep and make it harder to fall asleep again (due to instantly losing the homeostatic sleepiness). In addition, sleep initiated before the full circadian low does not seem to be of more value that slightly shorter sleep initiated a bit later (e.g. as reflected by the subjective feeling of being refreshed in the morning, or as measured polysomnographically). The blue homeostatic line indicates that the sleep is more likely initiated at 18th hour, while its average length is 6.5 hours. If your graph is generated without attempts to artificially regulate sleep, the second peak in the homeostatic curve may indicate your optimum hour of retirement. The graph indicates that if you delay your sleep by one hour, it will be shortened by 10-30 minutes. It is possible, that even this little shortening will affect your performance during the day. If you advance your sleep by one hour, it may be 10-30 minutes longer but its quality is not likely to increase. In addition, you run the risk of premature awakening (breaks in sleep are ignored in the graph as this makes it easier to determine the circadian low).

Phase shift graph in DSPS

The phase shift graph may be used by people suffering from ASPS and DSPS. This graphs helps you see at what time you are likely to fall asleep for a given waking time. For example, in the graph below, you can see that if your waking time comes at 7 am, your best retirement hour (blue line) comes at 1 am. However, if you happen to wake up naturally at 11 am, you are not likely to be ready for sleep before 5 am the next day. The lighter pink and gray lines indicate the timing of a nap. Again, if you wake up at 7 am, your best napping time might occur between 15:00 and 16:00. Remember! Each individual will have a his or her own unique graph. Moreover, the graph will look differently if it is taken at times of work or at times of summer vacation. It will be affected by stresses at work and at home. It may even change when you move from one house to another, or when you change the climate zone. The graph will slope only for people with sleep phase problems and will accurately reflect your rhythm only if you adhere to free-running sleep. If you use an alarm clock, this graph will be meaningless!

Download: To download SleepChart, a freeware sleep scheduling application for Windows, click here

Note for users of SuperMemo: The algorithm used by SleepChart may be integrated with future versions of SuperMemo to provide an optional research and repetition scheduling tool that will help you optimize the timing of your learning, and better understand your circadian patterns that are vital for optimizing your sleep and learning. Over years, this tool will hopefully reveal intimate links between circadian phase, alertness, recall, memory consolidation, retention and forgetting. Your sleep data can provide invaluable contribution to this lofty long-term goal. Thank you in advance for your submissions.

If this article is unclear or you need more details on particular aspects of optimizing sleep, please write to sleep(AT)supermemo(.)com. Use sleep(AT)supermemo(.)com to send your sleep data for analysis (simply use the mail button in the SleepChart application). If you would like to see the source code of this application published, write to help(AT)supermemo(.)com


SuperMemo in a school for special education

SuperMemo in a school for special education Maarten Mols,
De Berkenschutse school for special education
Heeze, The Netherlands
February 2, 1998
During 1997, De Berkenschutse school for special education in Heeze has started to implement SuperMemo into its educational program. This first evaluation report is meant to give a descriptive overview of the first experiences of teachers and pupils

In our school, majority of children suffer from epilepsy. Others suffer from Attention Deficit Disorder, autism or various learning disabilities. Our special education takes place in small groups: about 10 to 15 pupils in a primary school class and about 5 pupils in a secondary school setting. Every child works on his or her individual subject and level. Differentiation is a very important didactic principle in our school and SuperMemo is supposed to contribute to this goal.
Besides, memory problems are amongst the most frequently mentioned problems of students with epilepsy. We started as a school for children with epilepsy affiliated with The Epilepsy Centre. Over the years, "De Berken- schutse" became a school for children with other disabilities too. Nowadays we have 275 pupils in the age of 3 to 20 years with all kinds of medical, psychological, behavioral or even psychiatric problems. Mentally disabled children are present as well as adolescents that own the capacities for college or university studies.

About 10 pupils (age 11-15 years) started working with SuperMemo in September 1997. About 20 pupils (age 10-12 years) started in November. And another 20 (age 10 -18) started in January. In total, about 50 pupils are working with the software at this moment. Most of the teachers can manage their lessons in a way that the children work 2 or 3 times a week with SuperMemo. Most of the children reach a total workload of about 20 minutes per week. Some work a lot more.

The subjects to which SuperMemo is applied are mainly calculation (primary school), mathematics (secondary school) and English vocabulary (secondary school). Besides we made a first application for two children that are getting dyslexia training.
We have developed a database for primary school pupils concerning temporal judgement. Items like "today is Tuesday, the day after tomorrow is...", "the fourth month of the year is ...", "the day before yesterday is called ...", "three months together are called a ...", "One year contains ... days" and items on clock-reading (illustrated with pictures).

The first qualitative results give hope for continuous use in the future. Pupils are enthusiastic, and so are the teachers. Application of computers in general and SuperMemo in particular adds a pleasant variation to the daily school activities. However, it requires a new way of thinking to build in the use of SuperMemo into the lesson program. Optimally, it should become an automatic habit to start the computer at classroom-entrance. The implementation of this approach mostly depends on the individual teacher's enthusiasm and persistence.

Concerning the children with epilepsy, memory problems are the focus of attention. Not seldom a medial temporal lobe lesion is seen in people with complex partial epilepsy and it is known that the temporal lobe plays an important role in memory. Another phenomenon is related to speed of information processing. So it might be possible that children with epilepsy show larger "time" or "workload" values than other children.

Among the 50 pupils working with SuperMemo at this moment, there are about 20 children with epilepsy, 10 children with autistic problems, a few with ADD(H) and the others have only minor behavioral problems, emotional problems, learning disabilities, etc.
My personal experience with an ADDH-like child is that he usually has lots of trouble with concentrating on his work. Everything in the classroom is very interesting except his book on mathematics. When he sits at the computer, it looks like he is far more able to concentrate. SuperMemo draws his attention, he likes the way of working and he likes the immediate feedback. It works!
Another boy said: "It’s superb! I would be very happy if I could get every subject with SuperMemo instead of listening to teachers and do the paper-and-pencil-jobs".
A few pupils tried to work with SuperMemo at school as well as at home. My first experience is that many of them lack the discipline to work with it daily. "I was very busy last weekend, so I couldn’t learn my outstanding items". But that’s not always true.

We decided to apply SuperMemo in primary school especially for automation of multiplication tables. " 4 x 9 = ... " , " 9 x 8 = ...", etc. Some children get the right answers, but only applying repeated summation (9 + 9 + 9 + 9 = 36). In that case the instruction must be to give the answer quickly or not at all. Or a teacher must sit next to the pupil to control the learning process. That’s not always possible.
For the application towards dyslexia it seems valuable to present a given word only for a few seconds (unlike in standard SuperMemo presentation).

Me an my colleagues conclude that SuperMemo contributes in a very innovating way to special education. It makes individual approach to pupil’s learning difficulties possible. Besides, it’s one of the first broadly applicable software packages that manage in a strong way the memory problems of children with epilepsy and learning disabilities. I hope that future application will continue to reach more and more teachers and will make the quality of our education system rise constantly


Build your vocabulary

Build your vocabulary with SuperMemo Krzysztof Biedalak , Piotr Wozniak
Spotlight, October, 1996, Poland
This article written by co-founders of SuperMemo World appeared in Spotlight in October 1996

Have you ever heard of SuperMemo? If not ... you have got a gap in your knowledge of tools for learning. SuperMemo is a knowledge machine that lets you remember things almost without fail.

As an avid reader of Spotlight, you are probably eager to get a better command of English. That’s where SuperMemo comes in. Here’s how it works. Imagine you have heard a new word - for example: morganatic. If you want to make sure you remember morganatic you will probably have to repeat it a few times. Nothing gets to your memory and stays there for ever without practice. If you do not use the word, or do not repeat it in some way ... it is gone! The question is how often the repetitions should take place. You probably would answer: "if I do not refresh it in a week, the word is no longer there". You are right. Most of us, need a repetition within a week to stand a 90% chance to recall a word or phrase. But is a single repetition all that you need? Nope. So how about the second repetition? Should it come again in a week or can you afford a month-long break? There is no simple answer to the question.

With a personal computer and SuperMemo, you do not have to think about anything but the material you want to learn. You put full focus on the knowledge and zero focus on your private memory management.

It is all as simple as this: (1) turn on the computer, (2) click the SuperMemo icon on the screen, and (3) press the Learn button. Now just answer the questions on your screen and grade yourself (by pressing buttons Pass, Fail, etc.). The grading lets the program know how often to bring particular words back to your memory and tracks the record of how well you have remembered them.

In a month or two, SuperMemo will understand your memory better than you yourself do. This will let it schedule repetitions for you with accuracy that no other force on earth can beat. If you grasp the general idea, you will soon be banging grades and repeating in mind thousands of newly memorized words and phrases. All you have to do is to ask your computer-literate friends how to obtain a copy of the program, and how to set your first steps. All you need to know about SuperMemo can be learned within an hour!!!

We are keen users of SuperMemo ourselves. In 1991 we set up a company called SuperMemo World. The company devotes all its resources to popularizing SuperMemo and developing new versions of the program. Believe it or not, by the end of 1996 we will have distributed 100,000 copies of SuperMemo [1,000,000 by 1999] and the number of freeware copies in use may be several times that! The method that was invented in 1985 and implemented as a computer program in 1987, has stayed virtually unknown until 1992 when the program received a series of awards at some prestigious software competitions in Poland and abroad.

Do you want to get great scores on FCE, TOEFL and GRE tests? Lots of people use SuperMemo for the purpose! We can point to people who have memorized 30,000 words and phrases in a single year! Naturally, those are the sturdiest and most dogged guys around. But the figures produced even by ordinary lazybones are still stunning. There are hundreds of little and big databases available for use with SuperMemo (a database is a collection of questions and answers used in the process of learning). Recently, you can also enhance the learning process by sound, live video, animation and much more. The newest versions of SuperMemo provides you not only with the SuperMemo method, but also with the whole package of modern software tools that you will find useful in the process of learning.

OK, folks. Time to get down to serious business with English. Get yourself a copy of SuperMemo on your desk and ... Right on!

FAQ

Best way to learn English is to use it a lot and combine it with SuperMemo (#5874)
(claudia, Germany, Wed, Jul 18, 2001 5:46 AM)
Question:
What do you think are the best methods for success in learning English?
Answer:
Probably the fastest way to success is to combine heavy use of the language with a memory backup in the form of SuperMemo. As soon as you are out of the basic level, you can start using English intensely in the fields that you need most (e.g. reading, writing, speeches, etc.). For example, if you need conversation skills, choose a couple of friends that can speak English and stop using your native language. Use English. Each time you are lost for words, consult it with your friends or with a dictionary, choose the best word or phrase you needed, and put it to SuperMemo. This effort is bound to be clumsy in the beginning, but with time you will fill out all gaps and you will become a fluent speaker. Remember, scrupulously put all doubts, words, phrases and grammar rules to SuperMemo to be sure you never stumble against a given problem again. See also: www.Antimoon.com. They write at length about learning English and also about employing SuperMemo for the purpose

See also:

  • SuperMemo: the way to build your English vocabulary (from www.antimoon.com)
  • this article in Portuguese


Survey of users of SuperMemo

SuperMemo user survey

February 1999

Most of the presented results have been compiled from data submitted by users of SuperMemo via questionnaires available from this website as well as questionnaires in-built in the newest releases of SuperMemo that allow of automatic submissions via-e-mail

Our 1999 user survey shows remarkable similarities with results obtained in 1994. Seemingly nothing has changed: our average user is about 30 years old, spends 30 minutes per day on repetitions and has about 5000 items memorized in his collection.
Similarly, 50% of users have a university education, only 3% are women (!), students and engineers prevail.
One in two users, when asked what he (or she) likes most in SuperMemo says: the effectiveness of the learning method.

If there has been any major change in the world of SuperMemo since 1994 it could be summarized in one word: the Internet!
In 1994, 88% of users surveyed quoted press as the source of information from which they have learned about SuperMemo. Currently, the press is down to 3% with 79% of users quoting the Internet as the place where they first seen the word: SuperMemo.

Secondly, there has been a remarkable increase in customer satisfaction. Only 16% of users surveyed in 1994 called SuperMemo an excellent piece of software. Now this figure stands at 50%. The satisfaction with the SuperMemo method of learning also increased slightly. 74% of users consider it an excellent aid in learning, up from 69% in 1994.

Contents:

The user
Age
Country
Occupation
Education
Using SuperMemo
Speed of learning (!)
Opinions about the SuperMemo method
Opinions about the SuperMemo program
Opinions about the SuperMemo website
How did you learn about SuperMemo?
What do you like most in SuperMemo?
What do you dislike most in SuperMemo?
Proposed improvements to SuperMemo
SuperMemo Website improvements
SuperMemo Help improvements
How to increase the popularity of SuperMemo?
Versions
Most requested library collections
Winners

The user

Only 2.3% of questionnaires were submitted by women (see Survey 1994)! The proportion of female users is actually much higher but women clearly have been less inclined to send us their feedback.

Of those who responded, nobody was able to point to a competitive product in the area of spaced repetition.
100% stated that articles presented on this website are interesting and understandable.
Also, 100% of users say that the price for SuperMemo is OK (although a significant proportion proposed reducing prices in SuperMemo Library; see Library Survey coming soon).

Age

The number of users below the age of 20 dropped from 27% to under 1%. Still the average age was about 33 with the following age distribution (see Survey 1994):

  • 1% - below 20
  • 18% - 21-25
  • 38% - 26-35
  • 27% - 36-45
  • 14% - above 45

Country

Country statistics were similar to sales statistics except for a higher proportion of respondents from Eastern Europe (esp. our native Poland, Czech Republic, Slovakia, Hungary, Romania and Bulgaria):

  • 27% - US
  • 11% - Poland
  • 8% - UK
  • 6% - Netherlands
  • 5% - Canada
  • 4% - Germany
  • 3% - Czech Republic

Occupation

Traditionally students and computer scientists predominate. Still very few teachers are users of SuperMemo!!! (see Survey 1994)

  • 36% - student
  • 12% - programmer
  • 10% - engineer
  • 7% - physician
  • 4% - scientist

Education (see Survey 1994)

  • 6% - Ph.D.
  • 32% - MSc, MD
  • 19% - BS
  • 2% - BA
  • 3% - MBA
  • 30% - student
  • 0.5% - secondary education

Using SuperMemo

Average use time was 2.14 years, with 31 min/day, and 5375 items memorized (see Survey 1994).

Speed of learning

Not all users provided all components needed to compute the speed of learning: total learning time and the number of items memorized. Additionally, we have eliminated results for less than 3 months of learning and for less than 300 items memorized. Consequently, the obtained data is much less representative than the overall sample and differs significantly from the results obtained in 1994 (see Survey 1994).

The average speed of learning was 163 items/year/minute (243 in 1994). 65% of users reported speeds between 50 to 250 items/year/minute. The lowest speed reported was 25 items/year/minute and referred to a difficult job-oriented material packed with difficult to digest formulas in physics.
The highest speed was 1000 items/year/minute and was reported by Peter Cool from the Netherlands. Peter has memorized 2300 words in over a half a year working only 3 minutes/day; however, he did not count the time when he massively memorized new words (up to one hour per day). He also noted that French vocabulary is relatively easy to learn for Dutch people, esp. that he has attended a course of French 25 years earlier.

The greatest number of items memorized: Gabor S. (USA, Advanced English), 10,000 in one year, 20 min/day (speed: 500 items/year/minute). Gabor's record must be taken with a correction because of the fact that he was familiar with a great deal of vocabulary included in Advanced English. We are waiting for news from record holders from earlier years if they have improved upon their results (NB: at SuperMemo World we have four employees with over 10,000 items memorized; among them, the host of SuperMemo Library, Michal Hejwosz has memorized 12,000 in the last four months!).

There has been no correlation between the age and the speed of learning (0.07), as well as the university degree and the speed of learning (0.18).

A slight negative correlation with the speed of learning was found for (1) the time spent for learning per day (correlation: -0.36; users with speeds below 100 spent 2 more minutes per day) and (2) years of use (correlation: -0.19; users with speeds below 100 spent 4 more months in the learning process). There has also been nearly no correlation between speed of learning and the opinion about the method and the program (-0.2 and -0.1 respectively).

Opinions about the SuperMemo method (see Survey 1994)

  • 74% - Excellent aid in learning
  • 26% - Useful idea
  • 0% - Nothing special
  • 0% - Artificial approach to learning
  • 0% - Waste of time

Opinions about the SuperMemo program (see Survey 1994)

  • 50% - Excellent piece of software
  • 41% - Reliable product
  • 9% - Good software that is not user friendly
  • 0% - Poor quality software
  • 0% - Bag of bugs

Opinions about the SuperMemo website

It was a very pleasant surprise to find out that you like SuperMemo website even more than SuperMemo itself! Here are the opinions:

  • 83% - Enlightening
  • 17% - Interesting
  • 0% - Nothing special
  • 0% - Boring
  • 0% - Exaggerated claims
  • 0% - False information

How did you learn about SuperMemo? (see Survey 1994)

We have investigated the ways you find out about SuperMemo in most detail. Not only user questionnaires and registrations were used but we have also added a special field that can optionally be used while ordering SuperMemo. All these data point to the fact that the Internet is the greatest news for SuperMemo since the first efforts to market the program were undertaken in 1988. The Internet has replaced the press as the main source of information about the program.
We are glad to see that a word-of-mouth still plays an important role with 11% of users discovering SuperMemo via recommendation.

  • 79% - Internet -- of which (if specified):
    • 55% search engines (of which 68% is Yahoo!). Most often used keywords: spaced repetition, memory software, mnemonic, memory, teaching aids, creativity, accelerated learning, superlearning
    • 45% links -- of which:
      • 39% - Tony Buzan's website
      • 17% - Borland/Inprise website
      • 11% - Mind Manager website
      • 9% - Memory page
      • 7% - French language website
      • 5% - Enchanted Mind website
      • 5% - other self-improvement sites
  • 11% - Friend's recommendation
  • 5% - SuperMemo freeware
  • 3% - Newspapers -- of which
    • Poland 30%
    • Czech Republic 20%
    • Netherlands 20%
    • Slovenia 10%
    • Australia 10%
  • 1% - Software fairs -- of which:
    • Comdex 66%
    • CeBIT 33%
  • 1% - Course in learning techniques

What do you like most in SuperMemo? (see Survey 1994)

  • 55% - the method of learning
  • 14% - possibility to add one's own material (esp. images, sound, video, etc.)
  • 10% - interface
  • 4% - user-friendliness
  • 16% - other (improved concentration, programmability, potential, Advanced English, possibility to use Japanese fonts, possibility to integrate mind-maps from Mind Manager, etc.)

Other positive opinions and quotes:

it keeps me coming back to learning all the time,
without it I wouldn't spend so much time learning,
ability to save graphics with a question,
ability to import Q&A from a text file,
ease of use (with a little time investment you can achieve a lot),
very user friendly software,
the fact that you can also learn about how our memory works,
most useful software in my collection!,
the excellent technology of learning,
ease of creating items in basic mode,
Awesome, just what I've been looking for!!!!,
Thank you very much for your great work
With it's new features SuperMemo 98 is a wonderful piece of learning software
This program is exceptional!
This is the time that I finally graduate...

What do you dislike most in SuperMemo? (see Survey 1994)

  • 26% - not intuitive in use (mostly in reference to SuperMemo 8)
  • 9% - interface
  • 8% - bugs (mostly in reference to SuperMemo 8.2 and 8.4)
  • 6% - slow (exclusively in reference to SuperMemo 8)
  • 4% - no possibility to export the material to Access or Excel
  • 34% - other complaints
  • 10% - full satisfaction

Other dislikes and quotes:

Too few collections
Too big files
I don't like the clock and there is no easy way of hiding it
Too many choices when grading the answer (3 would be enough: good, pass, fail)
Inaccuracies in English Grammar and Advanced English
Too many windows
Not sticking to MS standards (e.g. resizing components, property sheet with double-click, etc.)
I do not like help in SuperMemo 8
Too much change from SuperMemo 7 to SuperMemo 8
Too many statistics
Self-grading
Limitation on the size of text (this has been eliminated in SuperMemo 98)
No statistics for a single day of learning
Trouble with importing QA text to the correct node
Lack of a good backup method
Poor printing
Lack of multi-user options
ABC of SuperMemo is too large for lower resolutions
The slow rendering of gif images

Proposed improvements to SuperMemo (see Survey 1994)

  • 9% better printing options
  • 8% better user friendliness (hopefully improved with introducing difficulty levels in SuperMemo 98)
  • 5% remove the limit on the size of texts (implemented in SuperMemo 98)
  • 3% automatic backup
  • 2% verbal report on the learning progress

Other propositions:

Adding mathematical formulas (implemented in SuperMemo 98)
Spell checker
Undo
Better search facilities: incremental search, boolean search, regula expressions
I would like to be able to operate SuperMemo without using a mouse (this is possible )
Record WAV files (this is possible with the sound component's Recorder option)
More standard way to edit components (like in Microsoft software)
Editing translations (it is possible with Shift+click)
Changing fonts throughout the collection (it is possible with Edit font or with global templates)
Combine the SuperMemo algorithm with a browser as GUI
Implement a Linux version (we plan to port SuperMemo 2000 to Linux once Borland's Kylix project is completed in late 2000)(information: luis@supermemo.com)
Easier input of Q&A pairs
Integrating with to-do lists (implemented in SuperMemo 99)
Interfaces with databases created using other software, as Access, Excel
I would like to be able to create the exposition material in HTML (this is possible)
I would like to create learning material via the Intranet
Improve import features
Speed up the gif drawing, it was faster in SuperMemo 8.4 (it is not an issue in SuperMemo 2000)
Possibility of importing text file containing Q&A into template consisting of text as question and sound-component as answer (it is possible)
Supporting further audio formats (e.g. RealAudio) (RealAudio and MP3 are supported in SuperMemo 2000)
Randomly selecting one of several customized sound feedback (currently there are only sounds for success and failure)

SuperMemo Website

SuperMemo website is liked for richness of information (38%), frequent updates (25%), easy navigation, scarcity of images, screenshots, fast loading, freeware and software upgrades. It has been criticized for an excessive number of hyperlinks and information scattered among many pages.

Most requested enhancements:

  • 36% - more library collections (30% of which stressed freeware collections) (library is currently growing at the rate of two new collections per week)
  • 32% - more articles on self-improvement, health, memory, speed-reading, etc.
  • 20% - chat-room, discussion forum, mailing lists, etc.
  • 12% - tips on how to effectively formulate knowledge (already on the site!)
  • 8% - tips&tricks on how to use SuperMemo (see: Hints&Tips and Guide)
  • 7% - more links
  • 5% - Site Map (see: Site Map and File List)

Other opinions and propositions

Provide collections for earlier versions of SuperMemo (library stores a number of collections compatible with SuperMemo 6 and SuperMemo 7)
More collection samples when ordering
Knowledge network of SuperMemo users
Using ScreenCam for demos
Comparison with a program that doesn't use SuperMemo method but just random repetitions
Database of books on memory and related areas
Theoretical and practical papers on fast reading techniques
I really enjoyed Dr. Wozniak's commentary on memory, which sold me onto the program
I would like to see some case studies of people who have accomplished goals using SuperMemo
SuperMemo Press with screenshots
The Dutch flag "hanging" below the bottom of my screen
More links to school/education/(US)K12 sites...
Metatags for learning
Sometimes I can't find what I'm looking for and saw before (e.g. SuperMemo 7 freeware collections)

Most requested improvements to SuperMemo Help

We will successively cover the questioned area according to your priorities:

25% - Contents (terminology: child, sibling, category, hook, root, hierarchy, etc.)
14% - Interpreting statistics
12% - Step by step instructions
10% - Formulating knowledge (see 20 rules of formulating knowledge)
8% - Using components (how to add pictures, sounds, etc.)
5% - Fonts
5% - Forgetting index (see Forgetting index)
3% - Templates (see Templates)
3% - Algorithm in a language for humans
2% - Topic-vs.-item review (see Topics-vs.-items)
2% - Backup
2% - HTML (see HTML)
1% - How to upgrade from SuperMemo 7
1% - Memorizing long texts and speeches
1% - Import options (esp. Q&A)

How to increase the popularity of SuperMemo?

14% - Increase the presence at universities
7% - Better marketing (that's quite obvious but ... not specific enough!)
7% - Banner campaign on the net (until now we scored very poor click-through rates!)
6% - Make it simpler
6% - SuperMemo for PalmPilot, Windows CE or Psion with easy exchange of data with a PC
5% - Testimonials and referrals (e.g. from Tony Buzan, other users, etc.)
4% - Advertise in my country
3% - Ask for links (esp. on creativity sites)
2% - Shareware/Freeware (e.g. release SuperMemo 7 as freeware or even ... make all SuperMemos free and earn on selling collections)
1% - Make SuperMemo Library freeware

Organize easy collection exchange between users
Partnership with other companies (SuperLearning, Accelerated learning, etc.)
Hire a Public Relations consultant
Create a mnemonic collection with a peg system
Get in contact with publishing houses of schoolbooks
More public presentations
Write a book
Don't make SuperMemo a program for all people because you're making simplifications which destroy the idea!
Correct bugs in Advanced English
Try advertising in Microsoft Certified Professional Magazine (www.mcpmag.com).
Easier input of data (e.g. with voice)
Version for PalmPilot might be a breakthrough!
Links on educational sites, and shareware sites
Merge with US encyclopedias (like it has been done with a Polish encyclopedia)
Target collections on specific audiences (e.g. medical students)
Attack universities. You got a goldmine there!

Versions

85% of users did not fill out the version field and we believe these were mostly new users of SuperMemo 8 or SuperMemo 98. Among the remaining 15% the percentage of those who used earlier versions was significant (see Survey 1994):

  • 9% - SuperMemo 2
  • 13% - SuperMemo 5
  • 22% - SuperMemo 6
  • 26% - SuperMemo 7
  • 82% - SuperMemo 8
  • 69% - SuperMemo 98

Most requested library collections: (see Survey 1994)

33% - Computers (Internet, JavaScript, HTML, Windows NT, Programming, Perl. C++, Unix, Latex, OpenGL, etc.)
25% - Languages (English 45%, French 10%, German 9%, Spanish 6%, Japanese, Italian, Russian, Swedish, Polish, Chinese, Greek, etc.)
13% - Medicine
8% - Mnemonic techniques
7% - Career-specific material
3% - Touch typing
11% - Other

Winners of the questionnaire competition

Jorge R. Garcia de Alba, USA
Pawe³ Bura, Poland
Tomas Cermak, Czech Republic
Othello D. Cobal, Phillipines
Leonard Erwin, South Africa
Giuseppe Esposito, Italy
Marius Felecan, Romania
Ed Freeman, UK
Mary Garland, Ireland
Adam Gourley, USA
Edward GK, Hong Kong
Bjørn Hallberg, Norway
Ronald Y. Hanagami, USA
Mark Hooker, Sweden
Miro Hrzasky, Slovakia
Willfrid Janzen, Canada
Jan Krabec, Czech Republic
Peter Lada, Hungary
Fernando Ladeira, Brazil
Sean McAree, UK
Ian Moulster, UK
Mark Nanut, Slovenia
Jens Nielsen, Denmark
Antonio Paterno, Italy
Lu, Ming-Pin, Taiwan
Victor Hitiel Rodriguez Sardina, Japan
Philip Stoyanov, Bulgaria
Jorge Villalobos, Colombia
Cezary Wagner, Poland
Armin von Werner, Germany

See also: Survey 1994 and Survey 1993


Survey of users of SuperMemo (1994)

SuperMemo user survey SuperMemo World, November 1994

Here is the statistical analysis of user responses provided in a poll conducted among registered users of SuperMemo in Poland (data gathered in Fall 1994).

The main conclusions coming from the poll are:

  • users of SuperMemo form a very special group of people. A typical user is a highly educated young male non-smoker who exercises a lot and whose main hobby is his computer
  • users of SuperMemo like the program and use it very systematically; they consider SuperMemo one of their most important applications: SuperMemo is the most often used application giving way only to all word-processor applications combined

Education
Profession
Age
Hobby
Health, exercise, sleep and smoking
Version of SuperMemo
Using SuperMemo
Speed of learning (!!!)
Opinions about SuperMemo
Advanced English
Where from did you learn about SuperMemo first time?
What made you buy SuperMemo?
Your greatest achievement
Likes in SuperMemo
Dislikes in SuperMemo
Options used
Options not used
Improvements
Most requested learning material
Fighting piracy
CD-ROM features
Software used
What would make you buy SuperMemo earlier?
What would make your colleagues buy SuperMemo?
Where would you like to find advertising of new SuperMemo products (in Poland)?
Other: Where are women?

Education (of users taking part in the poll)

  • 3% Ph.D.
  • 45% MSc
  • 27% university students
  • 11% secondary education
  • 14% secondary school students
  • 1% primary school students
  • 0% primary education

Profession

  • 26% engineer (of which about half are computer scientists)
  • 25% university student (of which 33% computer science, 20% sciences, 16% electronics, 15% economics, 7% medicine, etc.)
  • 15% secondary school student
  • 8% businessman (usu. putting himself or herself in the engineer category)
  • 6% scientist
  • 5% teacher
  • 5% technician
  • 3% pensioner
  • 2% lawyer
  • 9% other professions (e.g. military, librarian, policeman, priest, etc.)

Age

The average user is 29 years old. The youngest respondent was 16 years old, the oldest 54. 14% of users are above 40, 27% are less than 20.

Hobby

  • 64% computers
  • 20% sport
  • 18% foreign languages
  • 9% music
  • 8% tourism
  • 8% math
  • 6% photography
  • 5% each of the following: history, philosophy, chemistry, science fiction, politics, business
  • 4% each of the following: books, psychology, physics

Other frequent responses: movies, social sciences, pedagogy, logic, biology, electronics, architecture, astronomy, education, garden, do-it-yourself, Bible, cars, etc.

Smoking, sleep and exercise Only 4% of users of SuperMemo smoke! For comparison, 30% of Americans and 70% of Japanese are smokers (1990)! An average user sleeps 7.5 hours per day. Smokers sleep 1.1 hours less. Those who sleep more than 7.5 hours had memorized 3870 items on average, while those who slept less than 7.5 hours had memorized 4570 items. An average user exercises 27 minutes per day.

Version of SuperMemo

  • 53% of respondents reported using SuperMemo 7 for Windows (an increase from 11% a year ago). Only
  • 8% reported using versions newer than SuperMemo 7.2.
  • 14% used SuperMemo shareware before buying commercial SuperMemo (108 days on average).
  • 12% admitted having used an illegal copy of SuperMemo beforehand (98 days on average). In 1993, the same figure was 6%.

Among learners who obtained both Polish and English version of SuperMemo, 52% used the English version, 48% used Polish version.

Using SuperMemo

An average learner has been using SuperMemo for 11 months, 28 minutes per day, and has memorized 4670 items (equivalent of 182 items/year/minute, i.e. substantially less than the average acquisition rate; see Speed of learning). This data is almost identical with the one obtained a year earlier (10 months, 27 minutes, 4400 items).
87% of users reported breaks in learning (note, however, that the break-handling option Mercy belonged to the group of least used options in SuperMemo).
The longest break was on average 19 days long (excluding innumerous cases, about 1%, in which users reported breaks longer than 6 months).
The average proportion of breaks in learning in the learning process was reported to be 9%.

Speed of learning

The average speed of learning was 243 items/year/minute. The same value after rejecting scores less than 100 and more than 600 was 242 items/year/minute. Those who sleep less than 7.5 hours learn at the speed of 240 items/year/minute. Those who sleep more than 7.5 hours learn at 256 items/year/minute. Apart from the above finding, factors such as smoking, sleep and exercise are poorly correlated with the speed of learning.
Learners 28 years old or younger learn at the speed 264 items/year/minute, while those above 28 years learn at the speed 179 items/year/minute. Remember, however, that in another study it has been shown that good learners learn slower (!), because of their greater self-criticism in providing grades.
At the reported average speed of learning, a 1 hour per day learning sessions make it possible to memorize Basic English (3000 items) in 2.3 months, and Advanced English (40,000 items) in 2.5 years (note, however, that the speed of learning may be much higher in the first few months of working with a given database).
80% of users confirmed that it is possible to learn Basic English in just 30 days working 0.5 hour per day.
78% believe that it is possible to memorize Advanced English in four years working 0.5 hour per day.

The best reported result of memorizing Advanced English comes from Marek Minakowski (Institute of Philosophy, Jagiellonian University, Krakow), who memorized 12,000 items in just four months. Second best was Jaroslaw Ast, (student of dentistry, Medical Academy of Poznan), who memorized 10,000 items in four months. Pawel Dzierwa (Warsaw) who held the best result a year earlier (10,000 items) started his work all over again upon receiving CD-ROM with Audio Advanced English.
Piotr Wozniak (SuperMemo World, the author of the database), memorized the entire Advanced English, but he passed only 10,000 items in his first year. We are waiting for similar reports from other learners.

Opinions about SuperMemo as a method and as software

The users have the following opinions about the SuperMemo method:

  • 69% an excellent aid in learning
  • 30% useful idea
  • 1.5% nothing special
  • 0% artificial approach to learning
  • 0% waste of time

On the grade point scale from 0-worst to 5-best, the method scored 4.67 on average (4.75 a year earlier). Surprisingly, the grade was poorly correlated with the reported speed of learning and with the number of memorized items. It was also poorly correlated with the version of the program and with the student's education.

The following are users’ opinions about SuperMemo as a program:

  • 16% excellent piece of software
  • 63% reliable product
  • 20% useful product that must be improved
  • 0% product full of bugs
  • 0% trash

On the grade point scale from 0-worst to 5-best, the program scored 4.0 on average (4.17 a year earlier). Again surprisingly, the grade was poorly correlated with the version of the program. Additionally, learners who obtained higher learning speeds were slightly more critical about software, while older users tended to provide slightly higher grades. Education had no bearing on the grade.

Opinions about the Advanced English database

  • 40% excellent aid in learning English
  • 15% useful database that needs improvement
  • 9% useful database that contains awkward items and definitions
  • 0% low quality product
  • 36% not used (or no response)

Where from did you learn about SuperMemo first time?

  • 88% press (of which: 50% advertising, 25% press reviews and 25% leaflet insert)
    • 26% PC Kurier
    • 8% Bajtek
    • 6% Enter
    • 5% Computer World
    • 2% Informatyka
  • 14% friend
  • 6% leaflet
  • 5% shop
  • 2% software fair
  • 1% computer market

What made you buy SuperMemo?

  • 58% reviews in press
  • 55% scientific method employed in SuperMemo
  • 53% possibility to create my own databases
  • 39% belief in the effectiveness of SuperMemo
  • 34% awards given to SuperMemo
  • 26% leaflets
  • 23% recommendation of a colleague, shareware, illegal version, demo (10%, 6%, 5%, 2%)
  • 23% one or many adverts (11% one, 11% many)
  • 19% availability of many databases
  • 18% multimedia capability
  • 15% availability of a Windows version
  • 8% software fairs
  • 3% shopkeeper's advice
  • 3% nice box
  • 3% poster
  • 3% buying by accident
  • 0% company's purchase
  • 0% recommendation by a superior

What is your greatest achievement with SuperMemo?

  • 26% memorizing a great deal of items/words/phrases
  • 24% no answer
  • 18% becoming regular in my work
  • 9% quickly memorizing Basic English
  • 8% gaining self-confidence (language ability, memory ability, etc.)
  • 8% passing an important exam (in 60% of cases: language exam)
  • 6% learning a foreign language
  • 5% regular growth of foreign language vocabulary
  • 4% no success
  • 2% satisfaction

Other responses: 500 items memorized in a day, 8-th place in the database competition, excellent grades in language courses, best grades in English in my school, qualifying to the finals of Latin Language Contest, memorizing “drumrum” in German (at last), learning several programming languages, starting to like German, memorizing 10,000 items in a year, etc.

What do you like most in SuperMemo?

  • 49% effectiveness
  • 25% the fact that it enforces regular work
  • 11% ability to create one’s own databases
  • 9% simplicity
  • 6% no need to type in the correct answer
  • 5% self-grading
  • 5% possibility to edit ready-made databases
  • 4% database statistics
  • 4% possibility of adding graphics and sound
  • 3% developing the program along users’ suggestions
  • 2% fast development of SuperMemo software
  • 2% application of a scientific method
  • 2% minimum information principle
  • 2% reliability
  • 1% large number of databases
  • 1% the fact that it inspires creativity

Other responses: satisfaction, "everything", regulated speed of learning, etc. The four most liked features are exactly the same as in a survey presented a year earlier!

What do you dislike most in SuperMemo?

  • 22% I like everything
  • 18% dislikes in reference to SuperMemo 6 for DOS
  • 7% the fact that I have to work systematically
  • 5% no possibility to resize question and answer area (available as of SuperMemo 7.3)
  • 5% incomplete Polish manual (esp. unintelligible description of the options on the Analysis menu)
  • 5% no possibility to change a mistakenly given grade (available in SuperMemo 8)
  • 5% International Phonetic Alphabet is not used in Basic English nor Advanced English (available in SuperMemo 8)
  • 4% upgrades are too expensive
  • 4% Database Toolkit is not integrated with the program (integrated as of SuperMemo 7.4)
  • 3% the need to recover unclosed databases (not relevant in SuperMemo 8)
  • 3% self-grading
  • 3% no way to stop repetitions during a vacation period
  • 3% bugs (in reference to version 7.1 and 7.2 for Windows)
  • 3% program is too big (or too slow)
  • 2% long response time from SuperMemo World (test this e-mail to see if this is still true: SuperMemoMail)
  • 2% typing in items when creating my own database
  • 2% the size of the main window is not remembered (available as of SuperMemo 7.3)
  • 2% poor quality help (in reference to the Polish version)
  • 2% no way to upgrade Advanced English upon getting a new release
  • 2% poorly designed interface (in reference to SuperMemo 7.1 and 7.2)
  • 2% bugs in databases
  • 2% too many parameters displayed on the screen (in SuperMemo 7.5 the number of parameters can be restricted by the user)
  • 1% databases are too expensive
  • 1% grades cannot be fractional
  • 1% no way to type in the correct answer (available as of SuperMemo 7.4)
  • 1% searching only one database at a time

Other responses: it is difficult to edit wave files, strange database format, the need to work on weekends, it is too easy to delete items, renumbering items at Garbage, slow Search, too few databases, no spell checker, imposing an English version on Poles, no autostart program that would show the number of outstanding items each time one starts Windows, exaggerating the increase in the speed of learning (50 times?), AdvEng manual in English, deleted items leave empty places in a databases (until Garbage), etc.

Which options do you use most often (apart from Open, Learn and Add new items)?

  • 34% Search
  • 32% Analysis
  • 23% Burden
  • 17% Edit
  • 17% Garbage (not needed in SuperMemo 8)
  • 13% Monthly burden
  • 13% Interval distribution
  • 11% A-factor distribution
  • 8% Random test
  • 6% I use all options
  • 5% Date

Which options do you never use?

  • 23% Wipe (replaced with intelligent Mercy in SuperMemo 8)
  • 16% Mercy
  • 14% Tools : Analysis : Matrices
  • 14% Random test
  • 8% Help
  • 7% Garbage (not needed in SuperMemo 8)
  • 5% Date
  • 4% Approximate (not needed in SuperMemo 8)
  • 3% Search

Proposed improvements to SuperMemo

  • 13% good manual in Polish (the survey was done in Poland only)
  • 12% possibility of changing once-given grade (available in SuperMemo 8)
  • 4% possibility to type in the correct answer (implemented as Spell-Pad in SuperMemo 7.4)
  • 4% integrated database toolkit (implemented in SuperMemo 7.4)
  • 3% printing a range of items (implemented in SuperMemo 7.5)
  • 3% associating images with answers (available in SuperMemo 8)
  • 3% resizing question and answer window area (implemented in SuperMemo 7.3)
  • 3% possibility to merge databases (included in Database Toolkit in SuperMemo 7.4)
  • 3% transferring items between databases (implemented in SuperMemo 7.4)
  • 3% swapping questions with answers (implemented in SuperMemo 7.4)
  • 3% help in Polish as good as in the English version (the survey was done in Poland only)
  • 3% importing DBF files (possible upon converting DBF files to text files)
  • 3% different font for question and answer fields (implemented in SuperMemo 7.4)
  • 3% automatic database back-up with database compression
  • 3% adding sound to Advanced English (available on SuperMemo 7.4 CD-ROM)
  • 2% associating many items with one bitmap file (implemented in SuperMemo 7.4)
  • 2% multiple fonts in the same item (available in SuperMemo 8)
  • 2% keep the size of the main window in INI files (implemented in SuperMemo 7.4)
  • 2% sharing database files between users (available in SuperMemo 8)
  • 2% providing a name of a database to open as a parameter of the program (implemented in the Windows version)
  • 2% searching only question fields (implemented in SuperMemo 7.3)
  • 2% word-wrapping in the item editor (implemented in SuperMemo 7.2)
  • 2% case-insensitive Search (implemented in SuperMemo 7.4)
  • 2% possibility to change the sequence of items in a database (implemented in SuperMemo 7.4)
  • 2% Random test on difficult items (implemented in SuperMemo 7.4)
  • 1% Random test on memorized items (implemented in SuperMemo 7.4)
  • 1% use International Phonetic Alphabet in transcription (available in SuperMemo 8)

Other interesting propositions included: real learning time measurement, context-sensitive help, verbal description of statistical parameters, colorful dialog boxes, nicer icon, keep a list of databases to open in sequence, weekly calendar with no repetitions on selected days, different keyboard layouts associated with databases, more informative list of available databases (DBANK.TXT), search going through a list of databases, integrated on-line dictionary, screen saver, viewing items falling into a selected E-factor category, removing bugs from databases Basic English and Advanced English, insert graphics into the text of items, possibility to sort items alphabetically, spellchecker, compression of graphic files, memo field for user comments, program for activating SuperMemo upon starting Windows in case the number of outstanding items is greater than zero, etc.

Most requested learning material

  • 7% English (e.g. Advanced English in Polish, Intermediate English, Technical English, etc.)
  • 5% German (e.g. Advanced German, Basic German, etc.)
  • 5% History
  • 5% Russian
  • 3% French
  • 2% Geography
  • 2% Physics
  • 2% Math
  • 2% Chemistry
  • 1% Biology

Other neglected fields: Electronics, Telecommunications, Economics, Esperanto, etc.

What should SuperMemo World do to make illegal users legalize their copy?

  • 25% keep low upgrade prices for legal users
  • 17% reduce the price of SuperMemo
  • 15% competitions, reward draws, newsletters, promotions, surprises, SuperMemo Club, etc.
  • 11% one-time legalization action (legalizing on special conditions)
  • 10% let illegal users register at a lower price (see remarks below)
  • 8% one-time amnesty
  • 5% seasonal decrease of the prices (e.g. before Christmas)
  • 5% let them register in return for a database (NB: this has always been an option for illegal users)
  • 4% constantly develop SuperMemo as software
  • 4% release a CD-ROM with all available databases
  • 3% develop more databases
  • 3% let them buy the manual at reasonable price
  • 3% hunt and punish illegal users (see remarks below)
  • 2% release shareware version (NB: SuperMemo 6 is available in public domain)
  • 2% copy-protection (see remarks below)
  • 1% there is no way to make it happen
  • 1% bundle SuperMemo with other products, computers, etc.

Other opinions: "SuperMemo World did all it could be letting illegal users register in return for a good database!", Include biblical verses indicating sinful nature of piracy, etc.

Remarks: SuperMemo World does not consider allowing registration at a lower price as it does not seem fair to those who paid the full price. Similarly, SuperMemo World does not consider punitive actions against illegal users hoping that they can be attracted by affirmative actions. Finally, copy protection cannot be considered because inconvenience it imposes on legal users.

What would you like to get on SuperMemo CD-ROM?

  • 17% not interested (e.g. because of lack of CD-ROM drive)
  • 10% hypermedia collections
  • 10% many collections (not necessarily multimedia)
  • 8% tools for editing collections
  • 4% dictionaries
  • 3% games
  • 2% I do not know
  • 2% Advanced English Audio (available on Advanced English CD-ROM)
  • 1% English Grammar Audio (available on Multilingual CD-ROM)
  • 1% Basic English Audio (available on Advanced English and Multilingual CD-ROMs)
  • 1% German Audio (available on Multilingual CD-ROM)
  • 1% full manual (available in English on all CD-ROMs)

Others: French Audio (available on Multilingual CD-ROM), Russian Audio (available on Multilingual CD-ROM), English Vocabulary (by M.Cajza), demo, Picture Editor, songs in foreign languages, etc.

Which application software do you use most often?
Note that the survey was conducted in 1994 therefore you will not find many of the currently popular applications on the list! Endemic Polish software is marked with PL.

Most often used application software (among questioned users of SuperMemo);

  • 39% word processors, of which:
    • Word 13%
    • TAG 9% (PL)
    • AmiPro 7%
    • Chiwriter 4%
    • WordPerfect 2%
    • other 4%
  • 37% SuperMemo
  • 16% spreadsheets (mainly Excel, Quattro Pro, 1-2-3)
  • 15% Borland Pascal
  • 11% database systems (mainly FoxPro, Access, dBase)
  • 5% dictionaries (mainly Skalmierski’s dictionary)(PL)
  • 5% C, C++
  • 5% DTP and graphics (mainly Corel, Picture Publisher)
  • 4% educational software (most popular: Media Euro (PL), Pop English (PL), Pop Deutsch (PL), E-Teacher (PL), E-Teacher Deutsch (PL))
  • 3% Auto CAD
  • 3% scientific (Derive, TEX)
  • 2% professional applications related to one’s job
  • 1% assembly languages (mainly MASM)
  • 1% games (Doom)
  • 1% other applications (e.g. antiviral software, PKZIP, Works for Windows, Organizer, Makler (PL), Quicken, ARJ, e-mail software, modem software, etc.)

What would make you buy SuperMemo earlier?

  • 50% getting to know it earlier
  • 19% lower price
  • 10% fewer slogans, more facts (e.g. in advertising)
  • 6% getting SuperMemo shareware
  • 2% recommendation of other users
  • 1% getting samples of databases
  • 1% greater availability in shops

What would make your colleagues buy SuperMemo?

  • 34% lower price
  • 14% more concrete information in press
  • 11% more positive opinions from friends
  • 5% more databases in the offer
  • 5% using shareware
  • 4% more motivation for work on their part
  • 3% access to a computer

Where would you like to find advertising of new SuperMemo products (in Poland)?

  • 47% PC Kurier
  • 41% Enter
  • 14% Gazeta Wyborcza
  • 13% Bajtek
  • 11% PC Magazine
  • 9% PC World
  • 8% Chip
  • 6% Computer World
  • 5% foreign press (Byte, PC World, etc.)
  • 5% Wiedza i Zycie
  • 3% Informatyka
  • 3% Rzeczpospolita
  • 3% daily newspapers

Other statistics

Only 3% of respondents were women!!!

Although 60% of users claimed that SuperMemo for DOS should continually be developed, SuperMemo World gave up the development because of a dramatic drop in user inquiries. We decided to release SuperMemo 6 Public Domain for DOS instead.

Optimum price for SuperMemo on floppy disks in Poland was proposed to be PLN 76 (about $20).

36% of respondents were interested in buying a CD-ROM with all available SuperMemo databases (see SuperMemo MegaMix)

See also: Survey 1999 and Survey 1993


How to break free from the work overload?

How to break free from work overload? Dr Piotr Wozniak ,
October 1999
This article presents the concept of a tasklist and how it can be used in time-management and work-related stress-management "The essence of time management can be captured in one phrase: Organize and execute around priorities", Stephen R. Covey, The 7 Habits of Highly Effective People

Mixed blessings of technology

The pace of the growth of our civilization seems to never leave the exponential phase. The more we invent in the area of life-quality improvement, the more we get overwhelmed with the blessings of technology. The Internet has shaken the experience of communication, yet it added new problems with new acronyms such as Information Fatigue Syndrome (IFS) or Internet Addiction Disorder (IAD). E-mail has revolutionized person-to-person communication on all platforms (business, scientific, personal, etc.), yet many of us just cannot keep up with the regular inflow of dozens of messages even though each e-mail might include an important Thank you, business idea or Long-time-no-see greetings. This article proposes a universal solution to the problem of handling task overload at work and at home

Overstress

One of the pivotal issues in stress management is the management of work overload. 10% of the population in the industrial world suffers from overstress (clinically known as insufficient supply of messengers from the biogenic amine and endorphin system). Overstress basically results from two factors: (1) work overload and (2) change. As for change, even seemingly pleasant change factors add to the stress load: marriage, vacation, fabulous date, new job, etc. Those who are in overstress should look for stability, as opposed to change. One of the best formulas: make your life regular like clockwork! If it becomes boring ... well ... at least it is not going to be stressful and damaging to your health. There is a simple way of telling if stress and change are welcome in your life: as long as they are detectably pleasurable, they are not likely to be harmful!

Excessive workload

After the factors of change, the second important source of overstress comes from excessive workload. Work by itself is not harmful. For those who are perceived as workaholics, heavy workload may even be necessary to retain the balance of neurotransmitters in the brain. The harmful factors related to work are: unmet expectations, rapid change, chaotic multitasking, uncertainty, interruptions, etc. Many hours of a well-defined job in full concentration may do more good to your mental state than pure idleness. At the same time even one hour of chaos can wreak havoc on your ability to focus, rest in the night, communicate with your peers, etc. When you get down to work, you subconsciously define a set of expectations for your working day. If these all go to ruin because of factors beyond your control, you end up with unmet expectations and overstress. Here are some examples of factors that ruin your working day expectations:

  • your boss enters your room and sends you into a new mission without considering your position in the current task
  • your employees come every 20 minutes with new questions and you cannot move ahead
  • your mobile phone rings off the hook
  • there is a pile of unresponded correspondence on your desk or an unmanageable collection of e-mails in your inbox
  • bad news strikes and you have to chart emergency plans
  • you are chasing too many hares at the same time and multitasking becomes a chaos
  • your calendar runs out of free space for new assignments or you spend more time shifting tasks from day to day than actually doing anything

If any of these points sound familiar, you definitely have a good feel of what contributes to your work-related stress

There are simple, popular and often effective solutions to most of the above problems:

  • discuss with your boss the inefficiencies related to constant change and propose the rules. Rules are the key to relationships. This refers to your marriage, business contacts and the relationship with your boss or employees
  • establish the rules when you can and cannot be interrupted by your employees
  • turn on your phone only in designated hours or have your secretary impose a heavy filter on the incoming phone calls (my privately favored solution: give up the phone entirely and use e-mail instead)
  • prioritize your e-mail and correspondence. Try not to succumb to urgency and deadlines. Reconcile yourself to the fact that some e-mail will just have to wait for its turn longer than the sender would have expected
  • accept the possibility of a complete turn-about in your work as a result of uncertainties. Learn to stoically plan anew and reprioritize if change is necessary
  • focus and specialize. Doing too many things at the same time is bound to affect the quality. Learn to delegate jobs to others. You cannot do everything or verify everything. At some point, hands-on management will limit your chances for expansion
  • clearly differentiate between tasks that must land in your calendar (e.g. due to deadlines) and tasks that may be relegated to your prioritized to-do list

Using to-do lists to tackle overstress

To-do lists can help you overcome some of the mentioned problems:

  • with a permission from your boss, set up a to-do list prioritized according to his or her own criteria. If you get a new task, let it flow down the list if its valuation cannot top the tasks at the top of the list. Discuss it sincerely with the boss
  • ask your employees to set up to-do lists and handle their requests via a to-do list (see below)
  • prioritize your e-mail using the to-do list metaphor, etc.

One inherent quality of to-do lists though is their constant tendency to grow longer beyond the limits of manageability. Only those who do not care about time-management do not know the problem of to-do list overgrowth. All the others have their own solution to handling to-do lists (if your original own solution is not listed here, please let us know). Here are some typical examples:

  • psychologists who specialize in stress management propose: cut the bottom of your to-do list or regularly sift through it and eliminate 50% of items
  • one of the greatest Polish experts on molecular mechanisms of memory, Prof. Lech Kaczmarek, surprised me once with his original solution: I do not keep notes and I do not have an appointment calendar. Whatever I forget, it could not have been important enough. Indeed, natural forgetting mechanisms may act as a good way to thin out the to-do list; however, this solution probably isn't suitable for everyone. Its main shortcoming: problems with stress management. Many of you would probably keep worrying than an important appointment, deadline or promise would not be met (with untold consequences)
  • many people use stick-it notes on their desk and try to get rid of them as soon as possible. This approach will not work for people with dozens of ideas and multiple contacts. Ultimately they will do dozens unimportant things just to make sure their desk is clean of the notes. The trick is to keep a record of all ideas but work only on those that are most likely to be profitable (see later)
  • the use of personal information managers (PIMs) is becoming more and more popular. All ideas can be jotted down or scheduled for execution on a given day. However, with passing time, there is an increasing volume of notes, tasks and appointments, and you may waste an increasing proportion of your time on browsing your to-do lists and rescheduling appointments. You do not need to be a procrastinator to find yourself shifting tasks from day to day again and again (dozens and perhaps even hundred times)! Shifting a task may cumulatively take more time than actually executing it in the first place!

Tasklists solve the problem of excessive workload!

The rational approach to handling to-do lists is this:

  • if the value of the task is less than the value of the time needed for its execution, forget the task
  • if executing a task takes less time than writing it down, execute it or forget it
  • otherwise, write down the task
  • whenever possible avoid tasks that require scheduling or tasks that are limited by deadlines. This is often not possible but it usually makes your life and planning much easier. Avoiding deadlines is often a matter of lifestyle, not necessity. Check if you are not getting overly dependent on or even submissive to others. Learn to say no and avoid promises (except: I will put it on my to-do list and do it when its time comes). Check if (unwanted) promises do not make most of your deadlines!
  • if the task must be executed on a given day or at a given hour, or if the task must be executed before a certain deadline, write it down in your personal information manager in the appropriate time slot
  • if the value of the task does not depend on its timing, put it on a prioritized to-do list
  • prioritize your to-do list by using the value/time criterion or its equivalent. Later in this text I will use the term tasklist: A tasklist is a to-do list prioritized using the value/time criterion

The value/time criterion is universal and should generally be applied to maximizing the efficiency of your actions across the board. After all, whatever your hierarchy of value, you definitely want to generate maximum value per unit time. From an investor's perspective you might ask: Why not use the profit criterion, i.e. Revenue - Cost or equivalent?

Imagine then that you have $100 to invest and you got two tasks: one will make you buy a software package at $100 and resell it at $105. Another one will make you buy a battery at $1 and resell it at $2. Using the profit criterion, you would start from buying the software package. After all that gives you $5 as opposed to $1 in case of batteries. However, with your $100 you can buy 100 batteries and end up with $100 profit. In other words, you cannot use profit as the sorting criterion. You would rather use profit/investment criterion which would put batteries (profit/investment=1) well ahead of the software package where: profit/investment = (revenue-cost)/cost = (105-100)/100 = 0.05.

You will immediately notice that apart from the cost of batteries you should also include other costs such as the cost of your precious time! You will also notice that the value/time criterion is another way of expressing value/investment criterion (or profit/investment, etc.). Note that these are all simply different interpretations of the same thing: investment efficiency

Are tasklists a tool of stress-management?

If you use tasklists, you do not have to worry about your to-do lists growing beyond a thousand items! Using a rationally prioritized to-do list is another way of admitting: You cannot do everything what others would want you to do! You cannot do everything what you yourself would want to do! Just do your best!

For many, the tasklist concept will not be appealing because of their simple lack of ability to accurately estimate the following: the value of one's time, the duration of tasks, the value generated by the successful completion of a task, etc. Without accurate valuation, tasklists will turn into quasi-randomly sorted to-do lists. In such cases, application of a tasklist might still be recommended due to the following:

  1. the sorting order will partly reduce the stress related to the need of browsing an unmanageable list of things to do
  2. the ability to assess the value of tasks and their duration develops gradually with time and the benefits coming from the use of a tasklist will grow with every passing day

Those who do apply tasklists experience the following advantages:

  1. end of worry about not doing important things! If they are not done, even if they seem important, they are not done because of a simple impossibility!
  2. end of worry about others asking you why you do not do what they asked you do to! Present your tasklist and your valuations. As an act of courtesy, you can even increase the valuation of a task in question. If this won't push the task to the top, you will just no do it! Period!
  3. easiness of revaluation and reprioritizing. If things change, find a task on a list, change its valuation or timing and sort the list anew

Tasklists are an excellent stress-management tool! If you disagree or simply believe tasklists are a waste of time, drop me a line. I will gladly comment upon your opinion or even add your comments to the bottom of this web page.

What tasklist manager can you use?

Regrettably, I cannot recommend any PIM that would make it possible to sort to-do lists using the value/time criterion. I do not know one! If you do, please let me know [since publishing this article many of you recommended: Above&Beyond, which is said to provide best priority handling]

However, the good news is that ... our speed-learning software SuperMemo makes it easy to prioritize tasklists and sort them using the value/time criteria!
The reason for which tasklists have crept into SuperMemo is that they are a foundation concept for implementing the so-called reading lists. A reading list is a tasklist in which each task is an article to read. SuperMemo 99 for Windows uses reading lists to make it possible for students to easily convert knowledge available in electronic articles into knowledge that can effectively be remembered. Tasklist management is an underlying concept for reading list management, and appears to be a valuable implementation side effect that will help you use SuperMemo for handling your tasklist! In other words, you can now use SuperMemo in time-management and stress-management!

I have used tasklists for nearly a decade, and find the implementation introduced to SuperMemo an excellent boost to the program's functionality. I could only wish similar mechanisms were added to Microsoft's Outlook and other applications of this type. Although I consider MS Outlook 2000 a very good application, the availability of three priority levels on the list of tasks renders this option entirely useless from my perspective!

Add + Forget + Execute

With tasklists in SuperMemo, you never have to worry that you will miss an important idea or that storing the idea in your PIM will excessively burden your attention and waste your precious time (browsing, shifting, etc.). Tasklists help you take the only rational and psychologically sound approach to handling to-do lists: Add, forget and execute.

Add: You can add as many tasks as you wish without adding to your mental burden or chipping away at your time
Forget: Upon adding a task, you can forget about its existence without worrying that it would never come back (if only it is important enough)
Execute: Execute tasks on your tasklist starting with those of the highest priority. You can execute only a single task in a given time slot, keep the remaining thousand tasks untouched on the list, and still be sure that you have done your best!

To simplify your valuations, you might opt for designating the same amount of time to each of your tasklists per day (or at least per week). For example, you should set on spending no more than 90 minutes on e-mail, 70 minutes on your reading list, 40 minutes on your minor tasks tasklist, etc. This will help you find the right proportions between various areas of your activity and adjust them in case long-term results do not meet you expectations in a given field

Tasklist examples

If, for example, you would like to regularly expand your encyclopedic knowledge about facts you encounter in the news, on the net or in conversation with other people, you might create a tasklist that looks as presented below. You might then spend 10-20 minutes of your day with a CD-ROM encyclopedia looking individual entries up and importing them to your reading list. Creating such a tasklist as below would help you avoid rushing through individual entries without sufficient in-depth analysis while still being sure that you start off from most important positions. Task is the name of the entry or concept you want to understand better. Value is the dollar value you put on getting the new knowledge. Time is the time it will take to locate and read the entry in your encyclopedia or on the Internet (or other sources). Priority tells you how much value are you generating per hour of your knowledge hunt:

Task | Value [$] | Time [hours] | Priority [$/hour]
Descartes | 7 | 0.1 | 70
Newton | 13 | 0.2 | 65
History of computers | 30 | 0.5 | 60
Saddam Hussein | 12 | 0.2 | 60
Tahiti | 6 | 0.1 | 60
Prophet Muhammad | 5.9 | 0.1 | 59
Logical positivists | 5.7 | 0.1 | 57
History of education | 85 | 1.5 | 56.66
B. F. Skinner | 11 | 0.2 | 55
PLO | 10 | 0.2 | 50
Franciscans | 5 | 0.1 | 50
Mikhail Gorbachev | 10 | 0.2 | 50
Quantum Mechanics | 30 | 0.7 | 42.86
Reign of Terror | 8 | 0.2 | 40
spina bifida | 3.9 | 0.1 | 39
Orthodox Christianity | 3.6 | 0.1 | 36
Tschaikovsky | 3.5 | 0.1 | 35
Idi Amin | 3.4 | 0.1 | 34

If you would like to rationalize your spending, you might create a shopping list based on the expected daily savings in your time. Item is the item to buy. Savings is your expected daily time you would save as a result of purchasing the item. For example, if you subscribe to Scientific Discoveries channel you might end up spending 20 minutes per day on watching Science News and get back 28 minutes through your enhanced knowledge, which would result in a net gain of 8 minutes (those estimations might be highly subjective but ... they provide a rational underpinnings of your shopping list). Price is the price of a given product. Priority tells you how many minutes per day you would actually save per dollar of your spending.

Item | Savings [min] | Price [$] | Priority [min/$]
SuperMemo 99 | 10 | 29.5 | 0.339
Scientific Discoveries channel | 8 | 38 | 0.211
Subscription to PC World | 5 | 40 | 0.125
Electric shaver | 2.5 | 43 | 0.058
CD-ROM Dictionary | 5 | 99 | 0.051
Water filter | 15 | 325 | 0.046
WinCE computer | 21 | 500 | 0.042
Electric balance | 1.5 | 39 | 0.038
New in-line skates | 1.2 | 200 | 0.006

If you are shopping for your favorite music compact discs at CDNow.com, you could rank the music and see how much value you get per dollar:

Artist and Title | Song rankings value [$] | Price [$] | Value/Price [$/$]
Zapp - Zapp | 44 | 16 | 2,75
Bar-Kays - Money talks | 38 | 14 | 2.714
Tower Of Power - We Came To Play | 32 | 15 | 2.133
The Birth of Cool Funk | 19 | 9 | 2.111
LTD - Togetherness | 25 | 14 | 1.786
Fatback - Fattest of Fatback | 21 | 12 | 1.75
Brass Construction - Get up to get down | 22 | 13 | 1.692
Graham Central Station - Ain't no bout-a-doubt it | 22 | 13 | 1.692
Was not Was - Dad, I'm in jail | 31 | 19 | 1.632

Most of all, you will want to create tasklists for scheduling your daily tasks, tasks for your employees, tasks that make up your projects, etc.

For example, the implementation list for SuperMemo is over 2000 tasks long. Most of the ideas come from users of SuperMemo but only a small proportion can actually be put into effect due to the limitations of the implementation cycle in terms of resources, time, deadlines, etc. The implementation cycle begins with selecting key features of the new version (e.g. reading lists in SuperMemo 99). Once these are designed and skeletally implemented, further implementation proceeds strictly along the implementation tasklist. Gradually, the 2000-long list of items is being shortened by adding new features to SuperMemo or by moving tasks to the next release (which is a separate tasklist). Once SuperMemo enters beta-testing, all features that are not labeled as bugs are moved to the next version's tasklist. Finally, once all bugs are processed, the current version's tasklist becomes empty, and a new version of SuperMemo is ready for release. The tasklist for the next version includes all new beta-tester and customer propositions as well as the long list of tasks inherited from and not implemented in the previous version.

An important example of a tasklist is a tasklist with tasks for your employee (each employee should have his or her own tasklist in your collection). The value of the task can naturally be measured in dollars (or other currency). Selecting the time field is more tricky though. If you value your time highly, you might tend to record only your own time needed to explain the task and supervise its execution or inspect the results. However, this will give preference to highly valued tasks that need little of your attention but may otherwise be long-drawn and wasteful. This will tend to act as a way of getting rid of an employee by giving him or her arduous jobs that may last for hours or days. It will cost you little except for being wasteful in terms of the employee's time. Naturally, you cannot use the time of your employee as the time attribute of the task because the expenditure of your time is unlikely to be negligible. The only rational solution is to combine the times you and your employee will need to execute the task. Obviously you will want to multiply your time by an appropriate value to express the likely case of your caring more about your own time than about the time of your employee. A 10-fold difference in valuation would not be surprising. It is the privilege of a boss to feel important. A more convenient solution would be to convert your time to dollars and your employee's time to dollars and simply add the two dollar numbers.

The number of applications of tasklists is endless. You can list things to find on the net, gardening chores, your wife's requests for things to fix in the house, letters to write, books to buy, and many more. You can even keep your own pop-charts as a tasklist (ignoring the time field). Once you develop the ability to quickly evaluate your time and the value of things in your life, you may find tasklists indispensable. With tasklists you will always live in comfort of doing things optimally: at work and privately at home

If you have an interesting example of a tasklist, please let me know

You can use SuperMemo 99 for Windows to keep a number of tasklists. For more information see: Tasklist Manager

This is how tasklists look in SuperMemo 99:

Prioritized reading list

To find out more about the science of stress management see: The Medical Basis of Stress, Depression, Anxiety, Sleep Problems, and Drug Use

Questions and answers

(Prof. Chris Houser, Japan, March 16, 2000)
Question:
It seems to me that the greatest difficulty in the presented approach is in assigning values. For example, in case of SuperMemo features, you could value each feature as the number of email messages requesting the feature. This is comfortingly exact. But it's wildly inaccurate! I believe that Time Management authors have recognized this difficulty of pinning down exact numbers, and so recommend the A B C prioritization scheme
Answer:
The process of assigning values becomes quick and intuitive with a dose of training. If it is not accurate, it is still more accurate than the A B C scheme. For example, in choosing the value of a given feature in SuperMemo, many criteria will be taken into account with the overall intent to maximize the benefit to the user. Very often, new features are introduced without customer requests (e.g. tasklists!). Others, despite significant customer pressure, will not be included (e.g. many repetition rescheduling options have been proposed and rejected due to their potentially harmful effects on the results in learning). An average man in the street often takes similar multicriterial decisions without much effort. For example, if you would like to take a week vacation on Hawaii, you will quickly make an overall valuation of benefits and reject offers that seem too pricey. Valuating tasks, with some training, is equally automatic and straightforward

(Stefan Schenderlein, Germany, Dec 21, 1999)
Question:
SuperMemo tasklists order articles according to priority. The most practical approach I know is to distinguish between urgency and importance. Sometimes this is called the Eisenhower Principle. Stephen R. Covey has improved this method in his books "The 7 Habits of Highly Effective People" and "First Things First". To understand it, you can take a pencil and draw a vertical axis called importance. Then another called urgency. Now draw another two lines to distinguish between high and low in both directions. You will get four quadrants. Each has a specific meaning. (compare: www.franklincovey.com). The so-called quadrant B (highly important, less urgent) is of strategic importance. A (highly important, highly urgent) is vital. C are mostly routine tasks and are seen as less important but urgent. D can be forgotten. This is implemented in the Franklin Planner Software. Would it not be more practicable to apply similar principles in handling SuperMemo tasklists?
Answer:
Indeed the quadrant approach is very simple and convincing. However, we would like to promote the approach used in SuperMemo for two reasons:

  1. we believe that learning should always be based on importance. Indeed, SuperMemo by definition defies urgency as it emphasizes long-term learning. The truth is that pen and pencil will often work better than SuperMemo as a cramming tool for an urgent exam
  2. SuperMemo encapsulates the urgency as the function of importance in time! This should help understand the true meaning of urgency and eliminate it from the learning process (and not only)

SuperMemo introduces deadline functions to make tasklists adapt the sorting order to the changes of importance in time. For example, if you need to read an article before a meeting or exam that takes place on January 30, the priority assigned to reading this article will reach its maximum on January 29. If you pick the day on which the priority reaches 50% of its maximum value, you will be able to see how this article gradually climbs up the tasklist from day to day as the deadline approaches (there is no guarantee it would reach the top though). This deadline function illustrates how urgency influences importance.
There are also other changes in importance possible, for example, if a task makes sense only after a given date, you can use the Post-Date function. On the other hand, if the value of a task gradually decreases in time, you can use Decline function, etc.
Deadline functions can help you keep your tasks sorted without paying much attention to deadlines, value decline, urgency, etc. and without compromising their impact at the same time


Theoretical aspects of learning

Theoretical aspects of spaced repetition in learning Piotr Wozniak,
1990-2000
This text was derived from P.A.Wozniak, Optimization of learning : Simulation of the learning process conducted along the SuperMemo schedule (1990) and has been updated with revised figures (original text included additional figures related to the forgetting rate which has been significantly overestimated due to an error in the implementation of the simulation model)

This article should help you plan your learning and better understand your lifetime capacity for learning new things. Most of the figures and formulas have been theoretically derived. However, over the last ten years, these theoretical constructs have been confirmed many times by exact measurements taken during an actual learning process

A simple simulation model makes it possible to predict the outcome of a long-term learning process based on spaced repetition. Probability of forgetting at each repetition is determined by the forgetting index. By using a Spaced Repetition Algorithm and a real distribution of element difficulty (A-Factor Distribution), it is possible to predict the course of learning over many years by means of computer simulation (note that you can run a similar simulation of your own learning process based on your own real learning data in SuperMemo 98 and later with Tools : Statistics : Simulation)

The simulation model takes the following assumptions:

  1. Learning proceeds along a standard repetition spacing algorithm (e.g. Algorithm SM-11)
  2. A bell-shaped distribution of A-factors is taken from a generic knowledge system created with SuperMemo
  3. The matrix of optimal factors is taken from a generic knowledge system and does not change in the course of the learning process
  4. At repetitions, a specified portion of items, determined by the forgetting index, is taken as forgotten and reenters the process without a change to their A-factors

The above assumptions eliminate the following problems that might otherwise be encountered while trying to estimate the results of a long-term learning process:

  1. The variability of individual mnemonic skills can be entirely encompassed by the distribution of A-factors (Point 2). After all, the same knowledge system used by a skilled student will show a greater proportion of higher A-factors
  2. The variability of the difficulty of the studied material, which again, can entirely be reflected by the distribution of A-factors (Point 2)
  3. The variability of the mnemonic capability of the brain as a result of training, which is discounted by using a constant distribution of A-factors (Point 2)
  4. The variability of the mnemonic capability of the brain with aging, which can be discounted by using a constant value of the matrix of optimal factors (Point 3). A significant loss of memory with aging can be observed only as a result of a pathological process or because of lack of training (Restak 1984). Otherwise, the mnemonic capability of the brain is likely to increase with age as a result of training!

For simplicity of the description, in the following paragraphs I will use the term generic material, meaning a learning material with a typical distribution of A-factors. It is important to notice that the term reflects also the mnemonic capability of the student. This comes from the fact that good students tend to exhibit a greater proportion of high A-factors in their collections.

Here is the short summary of conclusions that could be drawn from simulation experiments based on the discussed model:

  • The learning curve obtained by using the model, except for the very initial period, is almost linear (see Figure 1)

Figure 1 Learning curve for a generic material, forgetting index equal to 10%, and daily working time of 1 minute

  • In a long-term process, for the forgetting index equal to 10%, the average rate of learning for generic material can be approximated to 200-300 items/year/min, i.e. one minute of learning per day results in acquisition of 200-300 items per year. Users of SuperMemo usually report the average rate of learning from 50-2000 items/year/min
  • For a generic material, the number of items memorized in consecutive years when working one minute per day can be approximated with the following equation:

NewItems=aar*(3*e- 0.3*year+1)+1)

where:

NewItems - items memorized in consecutive years when working one minute per day,

year - ordinal number of the year,

aar - asymptotic acquisition rate, i.e. the minimum learning rate reached after many years of repetitions (usually about 200 items/year/min)

  • Eliminating 10% of the most difficult items in a generic material may produce an increase in the speed of learning of up to 300%. The lower the forgetting index, the greater the increase.
  • In a long-term process, for the forgetting index equal to 10%, and for a fixed daily working time, the average time spent on memorizing new items is only 5% of the total time spent on repetitions. This value is almost independent of the size of the learning material
  • The maximum lifetime capacity of the human brain to acquire new knowledge by means of learning procedures based on the discussed model can be estimated as no more than several million items.
  • For a generic material and the forgetting index of about 10%, the function of time required daily for repetitions per item can roughly be approximated using the formula:

time = 1/500 * year-1.5 + 1/30000

where:

time - average daily time spent for repetitions per item in a given year (in minutes),

year - year of the process.

  • As the time necessary for repetitions of a single item is almost independent of the total size of the learned material, the above formula may be used to approximate the workload for learning material of any size.
    For example, the total workload for a 3000-element collection in the first year will be 3000/500*1+3000/30000=6.1 (min/day).

Figure 2 Workload, in minutes per day, in a generic 3000-item learning material, for the forgetting index equal to 10%

  • The relationship between the forgetting index and knowledge retention can accurately be expressed using the following formula:

Retention = -FI/ln(1-FI)

where:

Retention - overall knowledge retention expressed as a fraction (0..1),

FI - forgetting index expressed as a fraction (forgetting index equals 1 minus knowledge retention at repetitions).

The above formula can be derived from the formula for the exponential decay of memory traces (R=e-d*t where R - retention, d - decay constant, t - time)

  • The greatest overall increase in the optimal interval can be observed for the forgetting index of about 20%. The overall increase takes into the consideration the fact that for forgotten items, the optimal interval decreases. Therefore, for the forgetting index greater than 20%, the positive effect of long intervals on memory resulting from the spacing effect is offset by the increasing number of forgotten items.
  • The greatest overall knowledge acquisition rate is obtained for the forgetting index of about 20-30% (see Figure 3). This results from the trade-off between reducing the repetition workload and increasing the relearning workload as the forgetting index progresses upward. In other words, high values of the forgetting index result in longer intervals, but the gain is offset by an additional workload coming from a greater number of forgotten items that have to be relearned.

Figure 3 Dependence of the knowledge acquisition rate on the forgetting index

  • When the forgetting index drops below 5%, the repetition workload increases rapidly (see Figure 3). The recommended value of the forgetting index used in the practice of learning is 6-14%.

Figure 4 Trade-off between the knowledge retention (forgetting index) and the workload (number of repetitions of an average item in 10,000 days)

  • As compared with equally spaced repetition schedules, for the forgetting index equal to 10%, in the period of 50 years, the discussed model produces an about 50-fold increase in the speed of knowledge acquisition (i.e. speed of learning)
  • In a long-term learning process, 50% of repetitions are devoted to 2.5% of short-interval learning material (actual learning process measurements). This number can vary greatly in practice and in ill-structured learning material, even a smaller proportion of items can take most of the learning time. A user of SuperMemo can use SuperMemo's statistical tools to verify this number on his/her own. The actual figures will strongly depend on the intensity of memorizing new material. The following example is taken from a 10-year-long learning process:
Length of interval | Percent of elements | Percent of workload
1-60 days | 5% | 63%
61-300 days | 13% | 23%
301-1000 days | 19% | 7%
over 1000 days | 63% | 7%
  • The following table illustrates the proportion of time spent on repetitions of material characterized by a different number of memory lapses (actual learning process measurements):
Number of lapses | Percent of elements | Percent of workload
0 | 62% | 42%
1

16%

16%
2 | 9% | 15%
3 | 5% | 9%
4 | 3% | 6%
5 and more | 5% | 12%
  • The following figure shows an actual recovery of the measured forgetting index after a one-time use of the rescheduling algorithm (Tools : Mercy) spanning a rescheduling period of about 20 days. The average requested forgetting index was equal to 10%. The measured forgetting index was reset at the time of rescheduling and surpassed 13% shortly after resuming repetition. The measured forgetting index returned to the level of 11% only after 7 months of repetitions


History of the universe
We do not forget about our place in the universe. We hope that SuperMemo will help people learn and manage information. We would like to continue to develop new technologies for interfacing the human brain with the world of information, esp. World Wide Web

The summary of the fascinating history of the universe:

  1. Universe: Scientists are not sure but their 1999 calculations indicate that the universe begun about 12 billion years ago in a sudden explosion of matter in a hardly comprehensible cosmic event known as the Big Bang
  2. Solar System: As universe expanded and formed clusters of matter called galaxies, our galaxy, the Milky Way, was formed with 100 billion stars of which one is the sun
  3. Earth: Around 4.5 billion years ago, a huge lump of matter orbiting the sun formed the Earth
  4. Life: Nobody knows for sure how but the lucky combination of physical and chemical factors gave origin to organic matter from which the first forms of cellular life were created around 3.5 billion years ago
  5. Homo sapiens: Through an incredibly effective change-and-pick process called the evolution (first described by Charles Darwin in his On the Origin of Species, 1859), cellular life evolved into more and more complex species that ultimately arrived at the most intelligently earthly creature: Homo sapiens (paleontologists point that the line of human ancestors became sufficiently developed around 200,000 years ago to deserve this unique name)
  6. Communication: Paleontological evidence indicates that Homo sapiens became able of oral communication around 40,000 years ago (some theories put it at much earlier date)
  7. Writing: First written records have been dated back to 5000 years ago
  8. Print: In 1455, Johann Gutenberg, a German goldsmith, printed the Gutenberg Bible and originated the accelerated dissemination of knowledge in the form of a printed word
  9. Computers: In 1946, J. Presper Eckert and and John W. Mauchly constructed what is considered the first digital electronic computer (the Moore School of Electrical Engineering of the University of Pennsylvania)
  10. Internet: In 1969, four major computers at universities in the southwestern US have been connected under a contract let by the Advanced Research Projects Agency (ARPA). This network has ultimately evolved in what is today called the Internet
  11. Web: In 1989, Tim Berners-Lee proposed a new hypertext protocol for information distribution. This protocol became the World Wide Web in 1991
  12. Knowledge Machine (2000-2020): Computer technology will provide humans with better interface to worldwide resources of information. This interface will account for the imperfections in human perception such as the Information Fatigue Syndrome, irritability, forgetfulness, the tendency to get bored, etc. This will help the human race climb a step higher in its ability to harness information and make use of it
  13. Eternal Quest (2020 and beyond): computers will compete with humans in an increasing number of activities. Both humans and artificial intelligence will form a harmonious tandem in unraveling the mysteries of the universe. Some questions that will be tackled in 21st century and beyond: What is the future of the universe: Heat Death, Big Crunch or a pulsating cycle? What happened before the Big Bang (if anything)? Can we communicate with other artificial forms of life elsewhere in the universe? and most of all: Is there an absolute hierarchy of value; independent of opinions, prejudices, religious background and ideology? If yes, Quo vadis Homo sapiens?

See also:

  • Creativity Timeline


SuperMemo is useless!
SuperMemo is often seen as a program for cramming foreign language vocabulary without wider perspectives in fields requiring creativity, problems solving, artistry, etc. Quite a few people involved in selling or developing SuperMemo courseware and software do not belong to the circle of users (including SuperMemo World's employees). This articles looks for the reasons

If you believe SuperMemo is useless (at least beyond learning vocabulary), you are not alone. Please have a look at the following e-mail. It was received at SuperMemo World on January 25, 2000 and seems quite representative. Many people share similar opinions about SuperMemo:

  1. Your program is useless. In today's world, information is so abundant and can be accessed so readily that it is hardly necessary to lumber one's memory with it. Tell me: What's the difference between persons A and B? Person A can recall thousands of facts in 5 seconds. Person B can look up those facts in 30 seconds. Clearly, person B is more effective, because he/she hasn't invested 30 minutes every day in appending the facts and then repeating them.
  2. Your program is useless. You claim it makes one memorize 95 percent of the stored knowledge. That means one doesn't remember 1 item in 20! Given the time cost of using your program, and the psychological barriers one has to overcome (e.g. forcing oneself to do repetitions every day), the effectiveness you offer is not worth it.
  3. Your program is useless. Being successful is not about knowing all the answers. Rather, it's about the ability to ask the right questions. Your program has nothing to do with that.
  4. Your program is useless. People lead highly successful lives without it, because the brain is impressively good at remembering knowledge which is important to us or knowledge we use frequently - in short, knowledge we really need. SuperMemo may be good for memorizing a bunch of useless trivia to show off in front of other people.

Do you share similar convictions?

Please note:

  • this text has been pasted literally from a customer's e-mail without abbreviations warts and all
  • it was written by a person with a remarkably high IQ (150 falls right above Einstein -- although still below Sharon Stone)
  • it was written by a soon-to-be graduate of a prestigious university
  • it was not written by a prejudiced bystander. It was written by a long-term user of SuperMemo 6 for DOS!
  • later we will refer to the above e-mail as "SuperMemo is useless" e-mail and refer to its author as SuperMemo Critic

SuperMemo World 's opinion: "SuperMemo is useless" e-mail bolsters the Socratic maxim: All troubles come from ignorance. The usefulness of SuperMemo is so obvious that one might argue, we should not spent time contesting this e-mail. However, there are many people who would share the convictions of SuperMemo Critic and our mission is and must be to work on changing similar misconceptions!

This article is intended to point out errors in "SuperMemo is useless" and as such also demonstrate that the greatest barrier on the way towards the widespread use of SuperMemo is the difficulty in overcoming prejudicial convictions of which many are deeply entrenched in tradition of many cultures. If you disagree, please feel free to voice your opinions on SuperMemo Forum.

We have pulled our brains and the official SuperMemo World's rejoinder below is divided into the following sections:

  • common sense reasoning against the presented four accusations (for those who like examples and popular scientific approach)
  • falsification of the accusations using a more scientific approach (for those who do not mind some more hermetic language)
  • comments to the above text gathered in a quick user poll
    • opinions in favor of SuperMemo
    • opinions against SuperMemo
    • afterword from SuperMemo Critic (comments added after completing this article)
  • two articles : For and Against, written by users of SuperMemo

Common sense refutation

Let us first contest individual points of "SuperMemo is useless" e-mail using common sense examples. Later, using more strict reasoning, we will point out well-known concepts of science that falsify all four quoted points

The main thesis of this article:

Had the author of "SuperMemo is useless" known some facts and rules of science, he would have never come up with the idea that SuperMemo is useless

Point 1 - Memorization is not needed

Is it true that we do not need memorization? With constant improvement in access to knowledge, we can obtain answers to important questions with ever increasing easiness

False!

  • If this were true, we could travel around the world without learning languages. After all, finding out words in a dictionary takes mere seconds
  • If this were true, students of medicine would not need to cram details of human anatomy and physiology. Instead they would learn to use state-of-the-art expert systems with all answers built in. If you asked: What's up doc? You will hear: I have no idea but wait ... I will check it out on my computer
  • If this were true, all exams such as SAT, GRE, TEOFL, FCE, GCSE, USMLE, etc. would be a great waste of human time and resources. Students should rather come to exams with their link to the web and figure out answers ad hoc. Or they would just read out relevant paragraphs from a textbook
  • If this were true, nobody should poke fun at George Bush Jr. for his lack of knowledge of the heads of state of Chechnya, Taiwan or Pakistan. After all, he can find those names in seconds on his palmtop. If using external storage was permissible, nobody should blame George W. for mixing up Slovakia with Slovenia, or refer to Kosovars as Kosovarians, East Timorese as East Timorians, or Greeks as Grecians (NB: the word Grecians is considered correct too)
  • If this were true, you could be a rocket scientist at NASA tomorrow! After all, rocket scientists follow well-know rules written in well-know manuals organized in a very well-know manner. If you need to plot the trajectory for Galileo to beam images of Europa back to Earth ... no problem ... take the Advanced Calculus textbook, figure it out, and send your billion dollar mission on course
  • Last but not least: Two ideas do not come together to produce a great invention unless they sit in the same head. They either have to be called up at the same time or one has to come unexpectedly from the outside:
    • Archimedes stepped into a bath and immediately associated the fact with all he knew about weight and buoyancy. Thousands of Greeks at his time failed to make the link. This was not solely because of their less lively minds. It was mostly because of their lack of understanding of hydrostatics
    • Isaac Newton was hit by an apple and made an immediate use of his knowledge of physics and mathematics to enhance his three famous laws of motion published in Principia by the laws of gravity
    • James Watt is rumored to have watched a kettle boil to combine this inspiration with his knowledge of engineering to improve upon a Newcomen's steam engine. This association changed the industry upside down in the course of the hundred years that followed

    Ironically, SuperMemo can help you be creative not only by combining various pieces of knowledge in your mind. It can help you generate new ideas while making repetitions! Genius associations do not come from the mere existence of two pieces of knowledge in your brain. Those two pieces of knowledge have to light up at the same time. Only this way can your brain make a connection. Strangely, a repetition related to genetically modified tomato can light up memories related to tomato juice, cucumbers, genetic disorders, take-home dinner, flu or even the silent Mars Polar Lander. If your collection combines knowledge pertaining to different subject domains, the stream of new ideas and unexpected associations coming to your mind may surprise you!

    The advantage of keeping knowledge in your head as compared to keeping it in external sources can metaphorically be compared to the advantage of going from primary through secondary to university education as opposed to getting a week-long course on digging info from external sources. All great minds choose the former

Point 2 - Remembering 95% of knowledge still leaves 5% forgotten which is not worth the cost of repetitions

Is it true that SuperMemo makes us pay too much for knowledge?

False!

  1. SuperMemo gives you a choice to determine how much you are ready for pay for knowledge and how much knowledge you want to keep in your mind. If 95% is too little, you can increase the forgetting index. If 95% cost you too much work, you can decrease the forgetting index. You can decrease it so much that you will hit the level of maximum speed of knowledge per time cost! If SuperMemo were dumb enough, it would even let you decrease it further so that your retention would drop down to the level you normally reach in learning without SuperMemo!
  2. The complaint on the loss of precious 5% of knowledge stands in contrast with Point 1 from which we might conclude that 5% is not a big deal if it can be accessed in 30 seconds from external sources
  3. It is enough to ask any user of SuperMemo who has passed TOEFL or GRE: Were hours of repetitions worth the resulting knowledge? All those who have previously invested weeks and months or even years into language courses will not hesitate to testify in favor
  4. One of the greatest benefits of SuperMemo in learning is that building new knowledge often requires a solid foundation. With a good foundation, new concepts easily slot in an make a harmonious entirety. Contradictions and discrepancies are easily located. The time invested in a good foundation will pay back manifold in the course of passing years

Point 3 - Success is based on posing right questions; not on knowing the answers

Is it true that SuperMemo requires cramming instead of reasoning?

False!

  1. The question-vs-answer dilemma is not defined well-enough to be of philosophical challenge here! After all: why ask the question if the answer is known. If we knew how to proceed with cold fusion, why ask the question How?
  2. Memorizing the answer as opposed to understanding the ability to derive it cannot be rejected outright either. It is obvious that it is better to learn to multiply rather than memorize the product of all possible combination of numbers. Yet few students are encouraged to derive formulas for finding the solutions to quadratic equations each time they encounter such an equation. It is simpler to memorize the formula than to derive it in need. It is only a matter of balancing the cost and the benefit. The derivation may be useful to mathematicians as a testing ground. An ordinary engineer will rather recall the formula or even use a computer program
  3. The ability to ask right questions is also based on knowledge which has to be learned. A primary school student will usually not be able to ask right questions about the origins of the universe as the concept of the universe may be hard to grasp without understanding the earth, the Solar System, the galaxies, distances measured in light years, time measured in millions of lengths of human life and zillions of lengths of a lunch break
  4. Without relevant knowledge, you might never ask the question in the first place! If you have no knowledge about greenhouse gases and environmental degradation, why ask questions about the greenhouse effect?

Point 4a - Memory has an excellent ability to retain important information

Is it true that our brain is extremely effective in remembering knowledge that is important?

False!

  1. If this were true you would not tremble before an exam and confusingly run through the notes to be sure that at the zero hour you won't suffer from a proverbial blackout. At the same time, you could easily recall details of a Schwarzeneger movie seen last evening (or even weeks before the exam). Clearly, Arnie beats the ups and downs of the Ottoman empire -- however important you think the latter is
  2. If this were true you would never have problems with recalling the date of your mother-in-law's birthday -- a piece of data often critical to your marital harmony
  3. If this were true, you should instantly forget the Olympic champions in football in Atlanta 1996 or Munich 1972. After all this might be a classic case of unimportant knowledge. Yet few Africans would forget how Nigeria beat Argentina 4:3 in 1996. Similarly, few Poles would forget the most memorable moment in the history of their football - Olympic championship in Munich

The truth is that we excellently remember only things that are both easy to remember and repeated frequently enough. The brain does not have an internal measure of importance! It ruthlessly deletes your career-critical knowledge with same ease as it ravages the traces of last year's golf scores or contributing names listed at the end of a boring soap opera.
SuperMemo provides you with the ultimate pigeonhole for mission critical data. What is in -- stays in your memory. What is out -- is free to go

Point 4b - SuperMemo is useless! People have lived successfully for ages without SuperMemo

Is it true that Albert Einstein, Ivan Pavlov, Norbert Wiener, or Adam Smith were successful enough to never have benefited from spaced repetition in learning (i.e. SuperMemo)?

False!

  1. By analogy one could claim: The Internet is useless! People have lived successful lives before the net. All that thanks to their remarkable skills of verbal communication!
  2. Einstein might have failed to step from special to general theory of relativity had he been armed with extra knowledge in physics or mathematics that would make his brain stick to the beaten tract. Equally well, this additional knowledge might have helped him arrive at grand unified theory. All pieces of knowledge in our mind determine its ultimate response to questions posed. However, the stronger your mindware, the greater the probability of generating educated results

Refutation based of facts of science

The short version of the SuperMemo Critic's thesis is: SuperMemo is useless. By using external references and posing the right questions we can be successful at problem solving using the traditional methods (i.e. without spaced repetition in learning)

Our goal is to refute this thesis

Ironically, all external sources of knowledge so readily available to the author of the above thesis in the era of electronic communication, have not helped him to accurately answer the well-posed question: Is SuperMemo useful?

Had the author of the thesis kept five relatively simple facts of science in his memory, he would not have arrived to his wrong conclusions. Of these five facts, three belong to well-established body of science and two to the less-well-known body of knowledge related to repetition spacing. Any one of these should suffice to refute the thesis:

  1. associative memory (in computing sciences known as content-addressable memory) is superior to standard random access memories that are usually found in our desktop PCs. Human brain is based on neural networks that belong to the associative memory category
  2. evolution of the human brain has essentially been completed before language skills and abstract thinking have developed. The differences between the brains of early Homo sapiens from 200,000 years ago and present humans are in the context of this discussion insignificant
  3. problem solving in artificial intelligence can be used to mimic those mental faculties of a human being that we associate with intelligence and creativity. There are many approaches to problem solving such as deduction, induction, abduction, reasoning by analogy or probabilistic methods, neural networks approach, searching in state space, and more. And even though some of these can generate false conclusions or uncertain responses, they can all be expressed by means of deductive methods such as those used in theorem proving in mathematics. Deduction proceeds from axioms or premises towards true formulas or assertions through logical derivation using valid inference rules. The better the selection of assertions and the selection of inference rules, the broader the reasoning capacity of an expert system or human brain. Rich inferential knowledge stored in our memory makes us fast in thinking, creative, intelligent, efficient in problem solving, etc. Yet we need factual knowledge as the raw processing material for derivation. Even the creative vein and inspiration can be expressed in terms of derivation and backtracking well formalized in logic programming. No magic fluids or reflections of the soul are involved here. Just a plain network of firing neurons recovering the encoded patterns of facts and rules. See also: Roots of creativity and genius
  4. forgetting index in spaced repetition can be used to optimize the trade-off between the knowledge acquisition rate and knowledge retention
  5. lifetime minimum cost of remembering a single well-formulated piece of knowledge can easily be estimated to fall into the range from 30 seconds to 5 minutes (minimum cost is the cost that is achieved using the optimally spaced repetition schedule). This estimation can be used in cost-benefit analysis in deciding which mission-critical pieces of knowledge should be subject to learning based on spaced repetition

Here is how the above facts influence our reasoning in reference to SuperMemo:

  1. Associative memory - understanding associative memory alone should decisively demonstrate the error in the belief that we could use external memory as a crutch in reasoning. No two facts or rules stored in two different books will come together to produce a new quality. This can only happen inside human mind. In the future, artificial intelligence systems should also be able to do the same, and only these will ultimately stand a chance to prove SuperMemo useless (perhaps making human brain of little use at the same time). All innovation in the history of science and technology is based on association. Forgetful memory can be helped with external sources of knowledge and each major scientific breakthrough is based on a series of smaller steps, many of which will be based on hours of search, trial-and-error and experimentation. However, none of those little steps happens outside of the human mind. Hence the brain armed with extensive knowledge is more likely to come up with a selected association than a brain trained solely in scanning external references
  2. Maladapted brain - the evolution of the brain proceeds too slowly to have helped us adapt its structures to abstract thinking. What was excellent for survival 200,000 years ago does not suffice to process modern abstract knowledge. Simple computational tasks such as multiplication or division proceed in a shamefully inefficient way in the human mind. After all, early humans did not need to multiply. At the same time, no state-of-the-art computer can compete with the visual cortex in pattern recognition and processing! Recognizing the enemy or prey was critical not only for Homo sapiens but also for birds, reptiles, fish or even insects. The only measure of the importance of knowledge our brain synapses have at hand is the pattern of repetition. Forgetting is needed to optimize knowledge storage; hence we have to forget less important things. However, modern life has changed the hierarchy of value and importance in the area of knowledge. The link between importance and repetition has been severed. A flashy lingerie billboard we see every morning is not likely to be more important than dozens of volatile facts pertaining to our professional life. Regrettably, there is no circuit in our brain that would let us consciously etch important memories: This is important! I must not forget it! All we can do is to use the trick of reverberation or mnemonic techniques which ... still will usually not last long unless we apply spaced repetition (i.e. SuperMemo)
  3. Derivation-vs-solution - we cannot blindly assume that it is better to derive answers to problems than to simply memorize the answers. It is always a matter of cost-vs-benefit. In problems with multiple instances, we will tend to learn the derivation. For example, it is easier to learn how to derive the third power of X than to memorize all useful pairs: argument-result. On the other hand, most of people memorize the multiplication table at the time when they could still derive the result from bit-operations on binary numbers. Memorizing some 40 or so combinations seems more practicable, esp. that derivation always takes time and we make use of the multiplication table thousands of times in a lifetime. Here memorization saves hours and days in the lifetime perspective. Brain armed with rich factual and inferential knowledge will associate the most remote ideas and derive the most unexpected conclusions. Through a conscious control over this rich reasoning process, we have built the present civilization
  4. Forgetting index - traditional learning (i.e. learning that is not based on spaced repetition) can easily be compared to learning with a very high forgetting index (depending on the field, extent of time, etc. this number might easily reach beyond 90%). This fact shows that there is no sharp transition between retention in SuperMemo learning and retention in non-SuperMemo learning. Consequently, the only question which might be asked is What is the optimum forgetting index in learning? Is it closer to the one used in SuperMemo (10% by default) or closer to traditional learning (say 90%). The answer to this question will depend on a given student's priorities and on a given piece of information! This is why SuperMemo provides an individual forgetting index to all elements in a SuperMemo collection. Mission-critical pieces can be remembered at a high repetition cost with recall probability of 99%. Fringe knowledge can be stored with retention 90%. NB: all users who tried to compare learning with forgetting index equal 20% with the default 10% know from their own experience how frustrating the repetitions in the former case can be. This is a reflection of traditional learning in a mild case! Only those who truly experienced SuperMemo can testify to this
  5. Cost of knowledge - each piece of knowledge stored in SuperMemo contributes to the overall time expenditure. Using well-formulated knowledge, we can safely assume that a single element will be repeated from 8-20 times in a lifetime. If a single repetition time is assumed to fall into the range from 3 seconds to 15 seconds, we could conclude that the expected lifetime cost of a single item ranges from 24 seconds to 5 minutes. SuperMemo 99 adds a new statistical measure called Cost. It measures the total time cost of a single memorized element. In a well-managed long-term learning process, this cost is usually detected at 2-3 minutes/item in a 10-year bracket. This is then more than the theoretical prediction due to the fact that each collection contains a small subset of so-called leeches which dramatically increase the average cost/item (note that leeches can easily be detected and removed from the learning process).
    The only rational criterion for deciding if a piece of knowledge should be memorized by means of SuperMemo is to judge the benefits of having the given piece constantly available in memory. If the benefits do not seem to add up to more than 10 minutes, the student might simply not add an item to SuperMemo. An exemplary cost-benefit discussion of individual items can be found here: SuperMemo as a new tool increasing the productivity of a programmer

Conclusions

In 1979, Dan Bricklin and Bob Frankston introduced the first killer app: VisiCalc. The precursor of Lotus's 1-2-3, Borland's Quattro Pro and the current leader: Microsoft's Excel. The program gained a relatively high recognition at its time due to the innovative and easy-to-grasp concept popularly called a spreadsheet. Now VisiCalc is all but forgotten; however, it has for long remained a beacon of hope for would-be software developers looking for the next killer app.

When SuperMemo World was founded in 1991, it quickly attracted strong support from many who expected it to become the next great killer application. Although it has ultimately reached the magic figure of the estimated one million users worldwide, it is far from being a typical killer app. The reasons behind it are well illustrated in SuperMemo is useless e-mail. When Dan Brickling spoke about VisiCalc, he mentioned a factor of success that is missing in SuperMemo: instant gratification. In his words: Any product that pays for itself in two weeks is a surefire winner. This is not the case with SuperMemo. SuperMemo does not pay for itself even in a month.

When 21-year-old Mark Andreessen and his pal Eric Bina wrote their Mosaic and let it spread free over the Internet in 1993, they set a new standard for a highly useful, easy-to-use and a fast spreading software application. The example of Mosaic remains a reference point to software developers who would like to see their applications approach its record-breaking levels of popularity.

What sets Mosaic, VisiCalc, MS Word, and computer games apart from SuperMemo? We are all convinced that cultural barriers and educational tradition are the greatest inhibitors of SuperMemo's further expansion. Program's complexity also discourages many in the beginning. It is not the marketing outlays that make a difference here. Simple and well-designed applications quickly raise to million-user figures in the present Internet-based software culture with widespread freeware, shareware, GNU and open source paths to success. SuperMemo freeware has always been out there on the net, yet it never approached a fraction of popularity of such handy tools as WinZip or AceReader. For ages, we all have been taught at school: Don't just memorize it! Reason it out! This is why there is so much disdain for repetitive learning. Time and again, we see reviews of SuperMemo in the press or on the net that miss the critical point: spaced repetition! Time and again, we hear from users that they tried the program years ago and did not like it the first time. Why do I have to grade myself? Why does the program not ask me to spell the answer using the keyboard? Clearly, SuperMemo ain't Mosaic.

Yet, we take the obstacles in good part. The mission is: make the technology more popular. Make people understand it. This is why you can bet SuperMemo 2010 will offer qualities that we cannot even imagine today.

In the past we have seen major blows given to technology as a result of prejudice or ignorance. Florence issued an edict in 1299 forbidding bankers to use Arabic numerals. The city council of Danzig ordered the inventor of ribbon loom to be drowned in 1579. The print was threatened as well: book in the hands of masses can topple the king. Brisk mind did not prevent Napoleon to temporarily abolish the decision to adopt the metric system in France (ironically, the US has ratified the Metric Convention as early as in 1875). Did we not hear in the past that cars promote immorality, or radio will ruin the family life by eliminating conversation? Or that the web will bring a global infobabble?

It took a century to make a full use of the steam engine. It took years to make a good use of a telephone. Things went faster with electrification and automobiles. Radio and TV were widespread within a generation. Education is the key to such accommodations. Hence the positive feedback: we need more education, demand for education is conducive to SuperMemo, SuperMemo helps education, the more we know the more we know we do not know, and the self-propagating circle of demand closes.

There is little acceptance today for the genetically modified food, which is likely to revolutionize food science. Some people question the benefits of vaccination, which was the main contributor to the dramatically increased life expectancy in the 20th century. Some even are wary of the Internet seen as a source of pornography and hatemongering.

E-mail with the subject: SuperMemo is useless is for us a good occasion to ponder over the future of spaced repetition in learning. A small step towards the universal acceptance of the technology.

USER COMMENTS

We have sent a few dozen e-mails to the most active and vocal supporters of SuperMemo. This is why the comments below are in unanimous disagreement with SuperMemo Critic. Yet we realize the sample is not representative and will post other interesting comments as soon as we receive them

We have shortened some texts, softened the language, removed personal data and placed our short comments in square brackets

Opinions favorable for SuperMemo (see unfavorable opinions)

User, student of law

The difference between Person A and B is simple. Person A has knowledge. Person B does not have it. Person A as a researcher or physician will know all the basics (or more, depending on the patience in memorizing items). Person B, as soon as his job gets complicated, will spend all his time searching books

One should also remember that time is a friend of a user of SuperMemo! The more you use the program, the less time you need for repetitions of the same material

The argument about 95% is ridiculous. What can I say? A propos, if I am not mistaken, I read that Piotr Wozniak claims that retention of 100% would be unbearable [this rather refers to the words of Russian psychologist Luria who described a famous case study of a patient who could not forget and lived a confused life]

Perfect memory of 50,000 answers in SuperMemo will let you ask 10,000 new questions. The greater the clearing the greater the perimeter (nota bene, this item I know from Advanced English). Why ask questions if we cannot answer? If you do not need better knowledge for the good of science or to get rich or for self-satisfaction, drop the program and do not waste other people's time

It is true that people were successful before SuperMemo. But they can be yet more successful with SuperMemo! I have the following plan: when I graduate, I will look for a well-paid job for a lawyer in consulting companies (they pay big money!). My GPA is rather average but I am ready to take on any candidate for good morning! They are looking for someone who is good now, not in the future. Most students does not have a clue of what they crammed 1-2 years ago! In my junior year, I have 10,000 items in law, and I can beat anyone. Who do you think the employers would prefer? The one with good GPA or the one who can sing law?

If you cram knowledge with SuperMemo during university studies, you can later get back your time. You can even spend it for fun and pleasures. Knowledge is your security

Distributor of SuperMemo

Why waste time with this? There are many reasons that this is nonsense ... as long as you do not learn the wrong stuff. But for learning vocabulary, basic facts you need for your exams or your job, they can be learnt very well with SuperMemo. And if you do not have the basic command of the area in question (language, scientific area, etc) then you will not be able to look the missing detail up, because there will be no missing detail. There will be no basis for asking the question.....

I think you better forget this silly letter and carry on with more serious stuff

User, student of law

I think, true value of SuperMemo is hard work - per aspera ad astra. Sometimes we don't have enough time to look up those facts in 30 seconds. We have only 5 seconds to make a right choice. I once wondered: "Does SuperMemo increase the capacity of human brain?" I think it does.

If we are doing something and we have 95 true answers - I don't need more. I want to have such effects. If you can't ask the right questions it is better to know right answers than knowing nothing.

Of course, I agree with the last sentence. "SuperMemo may be good for memorizing a bunch of useless trivia to show off in front of other people". It may be - but it needn't be

User, student of economics

I think some knowledge gained with SuperMemo is necessary to make the search for information possible. Without this knowledge, all information about the present world would be some incomprehensible code. We need some basis for judgment!

For me, keeping knowledge in my head is a source of satisfaction. I just do not want to waste time on searches. I like to have it "handy". Neither Person A nor B are ideal. I would like to be Person C who keeps all necessary and solid basics in memory and is also able to efficiently search for necessary information from outside. Life is not black and white and those two persons are not taken from reality

And please show me a program that is more effective than SuperMemo! 95% is not a failure but a success. 19 questions remembered in 20 is a good result to me

The problem of knowing answers or asking the right questions is strange. We need both the ability to ask questions and to produce accurate answers. This point compares chalk to cheese

I will also not comment on "successful lives without SuperMemo". It would be a scholastic discussion of a blind with a deaf about sound and pictures in movies. The reasoning error should be obvious to every reasonable person

User, mathematician

This all reminds me a statement What for to learn anything at the time when it all gets outdated before we start our job? For many, the best method of studying is: cram for the exam, pass the exam and forget. The point on posing right questions is interesting. However, SuperMemo should help ask the right question, shouldn't it?

User, programmer

Some kind of knowledge may be so chaotic, and change so much that the only way to manage it would be using a forgetting index of 50% (what would be the same thing as not using SuperMemo). [actually, reducing the forgetting index for hard material may make thinks worse by destroying the semantic fabric of the learned material -- one of advantages of SuperMemo is to help you retain a coherent picture of the entire material in your memory!] However, whenever things get so hard, you can focus on a single part of the knowledge and use a divide and conquer approach. This is how science develops nowadays. Nobody can try to master Physics, Art, Astronomy, Chemistry, Math, etc. like Leonardo da Vinci

The matter of knowledge access is: who said it would be 30 seconds? If you have forgotten that trigonometric calculus formula, would it really take 30 seconds to retrieve it? If you forget that special computer language statement (that you have found only in one magazine...) would you really retrieve that in 30 seconds? Also, with a very big sum of 30 seconds operations you can really lose hours of productivity. There is a Delphi case of study at supermemo.com that shows that

About knowing all the answers: If you know really nothing about Quantum Physics, what is your chance of coming up with a really useful idea in this area?

I believe SuperMemo is the most powerful non-invasive tool for developing declarative memory (invasive tools are not yet there either). The very use of it shows us some facts that shock us, like how unreliable our memory is, or how much work is necessary to maintain knowledge, specially nowadays, that we have computers with much better memory abilities widely available for comparison. But it is not really a problem of SuperMemo but from our nature itself, and SuperMemo is yet the best tool for overcoming this problem. What SuperMemo doesn't do is to prepare collection for us, select the knowledge, choose what is important... It is all up to us. The task of preparing a collection, of judging what is important and what is not is also enormous... Perhaps we may even feel that it is not worth... (I remember how many times I terribly wanted to have one collection with the matter I wanted but it was not available). I believe this feeling about a new technology is very natural. For instance, we humans always wanted to fly like birds. Now, we can take one airplane and "fly", much faster and longer than any bird. However, we still get the feeling about wanting to "fly like a bird", with grace, security and individually

User, programmer

I find this type of article motivational for keeping on with my methods. […] I attribute much of my success to SuperMemo. The amount charged for the program is laughable given the benefit's I've gained. It's lucky for me that you don't charge a percentage of my pay increases! See: How I got a job at #1 software company?

User, student of computer science

Interesting letter!

Information could be accessed in 30 sec, but it could not be found in 30 sec. For some information, I have been surfing for 1-2 days (maybe even weeks).

About 95% retention: It reminds me how a pessimist and an optimist look at a half-empty glass of water

SuperMemo helps in "keeping facts remembered". Program that helps in deciding what is useful and what is not useful, does not exists, and I think it will not be found

P.S. This letter looks to me like joke

Opinions unfavorable for SuperMemo (see favorable opinions)

See: Witold Szafraniec, Poland - No force in the world can convince me to SuperMemo!

(Jason Roos, USA, Mar 27, 2001)
Question:
When I need to memorize a bunch information, I make flashcards. My gut is usually a good indicator of when I need to go through them again. It's surprising to me there seems to be so much scientific study behind SuperMemo. (full text below)
Answer:
 If you try SuperMemo for some time, you will notice that it is quite liberating to let the computer do the guessing for you. If you later go into thousands of memorized elements, your gut will fail you at some point. After all, it is not easy to guess which of your 100,000 items is closest to being forgotten.

Jason Roos: When I need to memorize a bunch information, I make flashcards:

  1. I write a question on one side and an answer on the other
  2. I gather all the cards up, and go through them one at a time
  3. Those cards I get wrong, I set aside in a "don't know yet" pile. Those I get right, I set aside in a "know it" pile
  4. After I've passed through the stack once, I pick up the "don't know yet" pile and repeat this sorting process until they've all been memorized

My gut is usually a good indicator of when I need to go through them again. If I feel confident, I know I'm ready to take the test. Intervals are not that accurately determinable, and 4 days for the first one, in my experience, is waaaay too long [in SuperMemo, the first interval will depend on the user and the learning material]. I need to pass through them every 30 minutes to an hour for at least a day, before they're reasonably secure in my head. Of course, it all depends on the type of material and how many days I slept in class.
This method [SuperMemo] is hardly unique-- that's how many people study. And the effect is identical to your unnecessarily complex and rather tedious, I think, worksheets and software. It's surprising to me there seems to be so much scientific study behind it. I find it fairly simple and obvious

SuperMemo Critic himself!

We have submitted this article to SuperMemo Critic and were surprised with his comments:

Negating something is a fundamental way of verifying it. These four arguments are about the best I can do for now in the way of negating SuperMemo. If you can pulverize them, your program will have withstood the challenge. If somebody then uses these arguments, you will be prepared to fend them off. Your article can forestall the enemy's move in that direction.

Finally, if I write "Your program is useless", it has nothing to do with emotions, nor does it mean that I really think so. I am simply inviting you to refute the argument, for our mutual benefit. I just have an assertive way of discussing things. Pay no attention. [...] These are not my views. They are arguments I invented but I don't agree with fully. No reasonably intelligent person can.

User contributions

AGAINST SUPERMEMO
  • Witold Szafraniec, Poland - No force in the world can convince me to SuperMemo!
FOR SUPERMEMO
  • Luis Gustavo Neves da Silva, Brazil - It's more than just memorizing
  • Satisfied Customer, USA - How I got a job at #1 software company
  • Peadar Willy de Bhuinn, Ireland - Homeschooling with SuperMemo


SuperMemo in Warsaw Voice: A remedy for the forgetful

A remedy for the forgetful Wojciech Gryciuk, Warsaw Voice,
April 9, 1995, p. A5-A6
Warsaw Voice is the most popular English-language weekly in Poland. Wojciech Gryciuk wrote a number of articles about SuperMemo for Computer World, Poland. This was his free-lance contribution to Warsaw Voice in Spring 1995

A question-and-answer-format teaching program made in Poland proves popular worldwide

There are several educational programs used to accelerate the learning process. The best-known are the American MegaMemory and the Bulgarian SuperLearning. Also popular is SuperMemo, developed by a Polish company, SuperMemo World, and used in more than 50 countries. The program has received several Polish and foreign awards. At the CeBIT ’95 fair, the authors presented the most recent version on CD-ROM: SuperMemo 7.5 for Windows

What is SuperMemo?

The method applied in SuperMemo can be used for improving any form of teaching. The computer requires the input of the knowledge to be acquired, presented a set of questions and answers. The learning method is based on a highly efficient use of breaks between repetitions and applies algorithms, describing when and which fragments should be repeated.

Compared to traditional teaching methods, SuperMemo speeds up the learning process from 10 to 50 times. Once a piece of information is acquired, it remains in the student’s memory thanks to a series of properly sequences repetitions. Users can set their own pace of work. They can increase the learning rate, sacrificing the memory stability, or increase the memory level (up to 99 percent at a slower rate of learning).

How do you use it?

The simplest way is to operate ready-to-use database offered together with the package. During the session, after activating the program, you should open the desired database and choose Learn mode. At the top of the screen , a series of questions will appear. You should answer them with the keyboard, because after pressing any key, answers will appear at the bottom of the screen. You should compare your answer with the one on the screen and grade yourself between 0-5. At the end of the session, the program repeats all the questions, which received a 3 grade, until you improve to grade 4 or 5. The program analyzes the grades and sets best interval time before the repetition, according to the pre-calculated forgetting rate. The session is made up of repetitions and new information.

Operating the program is so easy that at the beginning it seems impossible for it to be so effective. However, after a month, progress can be observed.

Though simple, the program is based on extensive theoretical data. Its author, Poznan scientist, Dr Piotr Wozniak, wrote his Master’s Thesis on SuperMemo at the University of Technology in Poznan. After minor adjustments, the menu structure, opinions and program parameters were adopted from the DOS version which was a result of five years’ work on improving the program and the technique for calculating optimal intervals between repetitions. The most recent version’s graphics and sound enhance knowledge acquisition thanks to picture and phonetic presentation of questions and answers

Database

SuperMemo’s success depends on the quality and number of databases accessible. SuperMemo World offers several dozen databases, a major part of which were created by package users and foreign partners. The most successful packages include audiovisual databases for assisting learners of foreign languages (mainly English, but also German, French, Spanish and Russian). Other areas presented in the database include: medicine, sciences, economics, politics, social sciences, geography, history, arts, road traffic regulations and many more. The largest databases contain tens of thousands of units. These include Advanced English (under preparation for the American market; 38.000 units, database) and English Vocabulary (34.000 units, database).

To promote the program, each year, the company organizes a competition for users to create the best database. The best ones are later offered together with the package.

The CD-ROM with SuperMemo 7.5 contains application programs as well as several examples of audiovisual, audio and text databases. The remainder can be purchased from dealers

Who is it for?

An effective use of SuperMemo is not easy and requires much effort and patience. After learning the basics, users react differently, depending on their intelligence and education level, especially their knowledge of sciences. Many learners are disappointed with the high number of mechanical repetitions. Among them are usually people with no higher education or a background in arts, not sciences.

Only 60 percent of users keep working with the program for longer than a month. This is because it’s impossible to succeed with SuperMemo without personal commitment. Also, after many repetitions, some learners come to the false conclusion that they already know the material, so they stop repeating. Even after devoting only 20 minutes every day to the program, in a year you can acquire 10.000 units - but is not lifelong knowledge. After a year’s break, you lose 60 percent of it.

A bit of history

The author of the method, Piotr Wozniak, 33, is a scientist from Poznan. After he started his studies at the Biology Department, he was surprised to discover that despite good scores on his examinations, he would forget half of the learned facts after just two weeks. So he began to study learning theory. In 1985, he started developing his own theory, which he called SuperMemo 0.0. He also began studies in information science, and in 1987 produced the first computer version of SuperMemo 1.0.

SuperMemo became the subject of Wozniak’s Master’s Thesis, which he wrote in English. The work included elements of other sciences: behavioral science, biochemistry and sociology. It also convinced him that SuperMemo has great prospects

After completing his studies in 1991, Wozniak established the SuperMemo World company, aimed at promoting the SuperMemo idea. Since then, the program has received many awards of distinction, including one at the CeBIT’92 fair.

However, an unknown product can’t easily be sold. The first package was sold by the company in 1992. In 1993, sales were still less than 2.000 units. The boom same in 1994, when the company sold 20.000 units, including 2.000 on CD-ROM.

To a great extent, this was due to an agreement with JTT, the second-largest computer equipment distributor in Poland. JTT adds the package to the computers it sells

The relatively small sales level at the beginning of the company’s existence was due to black market. According to estimated data, there were 100.000 illegal copies of the program, which makes it the third most popular copied software in Poland after DOS and Microsoft Word

Piotr Wozniak thinks that these 100,000 people constitute a huge sales potential now that SuperMemo has been available with extensive databases on CD-ROM. I hope that anyone who gets hold of SuperMemo will want to have the most recent legal version so that they can use the program more effectively, he says

The program is on sale outside of Poland as well. The first contracts with Western companies (Germany, Great Britain, Finland, Sweden, Slovenia, and Australia) were signed after the program made it into the finals of the Software for Europe competition at the CeBIT ’92 fair. However, so far, the partners are focusing on promotion only

In April 1994, the company opened a branch office in the United States, offering an American version of the program on CD-ROM. So far, promotion costs in the West are beyond the company’s capabilities, but a campaign in the United States was possible thanks to the financial support of a Polish-American foundation. The foundation helped out as a reward for winning a competition for best promotion of Polish products

Currently registered users come from 57 countries-the result of a marketing strategy which distributes older versions of the program (SuperMemo 6.0 for DOS at present) as shareware through bulletin boards (BBS) and the Internet

The most recent 7.5 version is now available in English, Czech and Polish. The company is planning to sell SuperMemo on two CD-ROMs. One of them will be devoted to teaching English; the other one will contain the remaining databases. In the long run, SuperMemo World would like to develop a virtual-reality version of the program


SuperMemo: Beat a native speaker in English

The vocabulary of an educated American

 Z.Zwierzchowski,
Rzeczpospolita, Magazine,
Oct 1996, p. 32, Poland
translation: M.Morawska, Apr 1999

Learning always requires some effort. There are no wonderful means for getting knowledge easily and certainly there won’t ever be a simple method for that. Regularity, hard work, and time devoted to learning cannot easily be substituted for anything else. To remember information and cement knowledge in memory, it is necessary to make repetitions. Experts from SuperMemo World (Polish company from Poznan) translated this obvious truth into a computer program. The program makes it possible to learn faster, for example foreign languages, and effectively retain knowledge in memory. This program, SuperMemo, is constantly being developed and improved, it is already well known in our country.
SuperMemo became more visible on Polish software market after its first successes abroad. Among other things, in 1992, SuperMemo got an award in Hanover at the most popular European computer fair called CeBIT. Computer science experts in Poland started meticulous tests of the program and its claims on memory improvement. The verdict was clear-cut: this program really makes it possible to learn faster.

What does SuperMemo give you? It makes it possible to learn as fast as your individual intellectual capabilities permit. You can this way spend minimum time on repetitions and on learning. The measure of SuperMemo’s effectiveness is the possibility to learn 3000 foreign words in a month spending 30 minutes per day as well as to master the vocabulary of an educated American in four years spending on learning 45 minutes per day (source).

People who have tried SuperMemo confirm that with the help of this program you can really learn much faster than by using conventional methods. Obviously, learning with SuperMemo requires lots of effort too (no cheap miracles!); however, the optimization method brings tangible results that can easily be quantified.

SuperMemo calculates the dates of future repetitions of individual portions of knowledge depending on how the user copes with remembering the material. A given repetition is scheduled on the day, on which information can already be "on the verge of forgetting". Since the birth of SuperMemo, the program has constantly been improved and many new versions were released. The most recent one comes also on CD-ROM. Simultaneously, new learning material collections were created, and among them Advanced English with thirty eight thousand words – one of the first English sound dictionaries in our country.

SuperMemo collections can be used to learn various subjects such as: foreign languages (also trade and technical vocabulary), traffic regulations, mythology, world painting masterpieces, medicine, biochemistry, biology, etc. Last year in autumn new software codenamed Genius was developed [Genius was a precursor of SuperMemo 8], which is not limited to optimization of memorization but extends the use of the SuperMemo method to new areas. It’s designed for creating multimedia knowledge bases, self-education, courseware development, and hypermedia presentations.

The most visible difference between Genius and the old line of SuperMemo is operating on data which are collected in the form of multimedia elements, connected with each other by means of hyperlinks. Knowledge systems of Genius can be composed of text, sound, graphics, animation, and video (in the most popular formats of computer files).

In contrast to most popular multimedia solutions, encyclopedias, and help systems such as Microsoft Help, Microsoft Viewer, or Encarta – knowledge systems in Genius are dynamic in structure (i.e. they do not have to be compiled and can be edited interactively). Genius can be extended by adding user designed programmed objects.

In practice, this makes it possible to use the system, for example, to learn touch-typing, play musical instruments, train creative capacity, etc. Naturally, the possibility of more efficient learning has not been monopolized by the company from Poznan. There are more and more companies coming with increasingly interesting multimedia offer.
For example Lexland from Knurowo offers technical lexicon with 11500 entries and 450 colorful illustrations; Publishing house Verbum CD from Radom publishes an encyclopedia with 38000 entries to which one can add his own records. More and more popular are also products of Young Digital Poland company from Gdansk, which develops multimedia programs for learning languages for children and for adults. Among new products of Young Digital is EuroPlus+ Business English for people who are interested in learning English for business applications


SuperMemo Freeware

We are aware of the fact that many people around the world would like to use SuperMemo but simply cannot afford the state-of-the-art version of the program.

It has always been our firm tradition to release old commercial versions as freeware. This policy not only makes SuperMemo available to anyone who has a regular access to a computer but has also been certifiably responsible for the promotion of the trademark as well as the idea of spaced repetition. A proportion of registered users of SuperMemo (probably around 5-10%) have also started with a freeware version in the past.

You can also obtain the newest version of SuperMemo for Windows by contributing your own learning material to SuperMemo Library. For more information, write to library@super-memory.com

If you cannot afford SuperMemo or your computer does not meet minimum requirements for the newest version or you simply would like to taste the technology before spending your money, you have the following options:

  1. SuperMemo on paper: If you do not have a computer or if you do not like to spend your time in front of the monitor, read: Using SuperMemo without a computer (1985)
  2. DOS version: If your computer cannot run Windows or is a non-DOS machine with DOS emulation (e.g. in Linux), try SuperMemo 6 for DOS (1991). This version will experience problems when run in MS DOS Prompt window in newer versions of Windows (e.g. Windows NT 4.0). To download SuperMemo 6 for DOS, go to www.shareware.com, type SuperMemo in the search box in the DOS section, select SUPRMEM6.ZIP and choose one of the 70 sites that is closest to your country. See also: http://www.simtel.net/pub/dl/45054.html
  3. Windows version: If your computer runs Windows 3.1, try SuperMemo 7 for Windows (1993)
  4. On-line SuperMemo: Currently, supermemo.net service is free for all users

We are sorry to inform that we are unable to provide technical support for these versions. Please use the attached documentation. These are all very well tried and tested versions that have been supported in the commercial field for long enough to make sure you will easily steer away from problem as long as you stick to database backup and safety rules published with each version


SuperMemo: Revolution in the pocket with XML data exchange

SuperMemo XML: Revolution in the pocket June 2004
(updated Sep 2004)
In summer 1991, Tim Berners-Lee uploaded his world wide web protocols software to the Internet. Along the sacred Internet tradition he professed: share-and-enjoy. Few people could predict the scope of the on-line revolution initiated by the three simple acronyms: http, html and url.
Many people ask today: What's the big deal with XML? Experts believe XML can change the world of computing. The concept is so simple that you would be justified to disbelieve. There is a a plenty of material on the web to help you ponder the future of XML. In the presented short text, we will only try to guess what XML could and should do to SuperMemo

SuperMemos want to talk to each other

In 2001, the authors of various versions of SuperMemo started compiling their ideas on a universal data exchange format for swapping learning materials between various SuperMemos. For difference of opinions, the process started at a snail's pace. As XML data exchange format was already making headlines, XML was chosen as the preferred way of SuperMemos talking to each other. Today, the only SuperMemos that implements a rudimentary core of the XML idea are SuperMemo for Pocket PC (ver. 3.x), and SuperMemo 2004 for Windows. Authors of other versions declare to follow with their XML implementations soon.

Four basic ways of SuperMemo

Although the first XML implementation is very basic, it is sufficient to provide a basic communication channel between different SuperMemos. Currently, the ways you can use SuperMemo may roughly be divided into four modes:

  • Power SuperMemo. With incremental reading provided by SuperMemo for Windows, you are most likely to crank up your learning to maximum efficiency and power. For the power to show, however, you must be ready to deal with the complexities, terminology, convoluted theory, and crammed user interface. These obstacles are enough to curse the day you opted for power instead of simplicity
  • Pocket SuperMemo. With Pocket PC or Palm Pilot, you can take SuperMemo on the road and literally use every second of your spare time to build long-lasting memories. However, you cannot convert web knowledge to memories (as in incremental reading). Your learning arsenal is limited to the most fundamental tools
  • On-line SuperMemo: with supermemo.net, SuperMemo has been freed from the dependence on the operating system, device, and location. With on-line SuperMemo, sharing is a breeze. You can drop in to an Internet Cafe and run your load of repetitions. You can connect at home, at work or on the road. Naturally, the bandwidth can turn online SuperMemo into an antithesis of speed-learning. The accompanying toolkit is not impressive either
  • Multimedia SuperMemo: only Multimedia SuperMemo encapsulates the power of hypermedia into a simple 3-clicks interface. All you need is a CD-ROM drive and a click on the Learn button. However, Multimedia SuperMemo is a poor cousin when it comes to self-directed learning. It actually branched off from SuperMemo 98, and this is where its powers stopped as compared with the main Windows line

Users would naturally like to see power combined with simplicity, portability and compatibility. Sadly, the delivery date for that dream SuperMemo floats ahead in indefinite future. In practise, there is still far more divergence and specialist adaptation. The ultimate merger of specialist SuperMemos into a super-power learning tool is yet to begin. The limitations of technology, resources and vision seem to always put the issues of convergence at the back burner. More clones and implementations arrive on a regular basis. It cannot then be excluded that evolutionary speciation is the true destiny of SuperMemo

New working modes enabled by XML

Long before the convergence of SuperMemo begins, new ways of working with SuperMemo will become possible with XML data exchange. A power-user of SuperMemo for Windows will, for example, be able to export his repetitions due for the nearest two weeks and upload these to on-line SuperMemo. At that point, he will be able to abandon his PC and go for a long nature trek with no electronics in his knapsack. All he will need to do to refresh his knowledge is occasional trips to local Internet Cafes.

Similarly, outstanding repetitions can be imported to SuperMemo running on a handheld device. Outstanding items can then be processed at any time in nearly all conceivable situations, in which pulling out a wallet-sized device is possible. Although, it is still unlikely you would want to use SuperMemo while swimming or driving a car, it is already quite convenient to rush off a few repetitions in a line, in the toilet, on the train, or during a walk. Once a portion of the learning material has been processed on a pocket device, it can be re-exported as XML data and imported back to a stationary SuperMemo.

Enhancing incremental reading with the power of XML

SuperMemo for Pocket PC was the first SuperMemo to implement XML data exchange. SuperMemo 2004 for Windows followed 3 months later. Let us now see how incremental reading can be made more efficient by employing XML in these two releases of SuperMemo.

Incremental reading is currently the most efficient way of converting knowledge coming from electronic sources of information into knowledge durably stored in human memory. However, currently only users of SuperMemo for Windows can enjoy the power of incremental reading. This comes from the fact that, at the moment, only PCs can provide the resources needed for the space-and-power-hungry full-swing incremental reading process. Apart from being bound to Windows-based PCs, the size of incrementally created collections makes them hardly portable (e.g. via LANs or CDRs). Until now, users of incremental reading where bound to their stationary PCs. At best, they could use powerful notebook computers as long as these were provided with Internet access or at least access to the necessary sources of electronic learning materials.

With SuperMemo for Pocket PC (ver. 3.x), users of incremental reading gain a historic opportunity of making their learning process portable without a noticeable sacrifice to learning efficiency.

Here is a short technical outline of steps that make incremental reading portable with SuperMemo 2004 and SuperMemo for Pocket PC:

  1. Proceed with a standard incremental reading process in SuperMemo 2004
  2. Before transferring the learning material to Pocket PC, select the subset of material that is to be drilled on the pocket device
  3. Using subset operations, select the outstanding material in the subset, or the material due for a limited period of time (e.g. a week)
  4. In SuperMemo 2004, open the browser with the selected subset of elements and choose Tools : Export as XML on the local menu available with a right-click
  5. Transfer the XML file exported from SuperMemo 2004 to your Pocket PC (e.g. using ActiveSync)
  6. In SuperMemo for Pocket PC choose File : Import : Import XML and select the file transferred from the PC
  7. Take your Pocket PC on the road. Choose Learn whenever you got a minute to spare. The whole process of opening up the device, starting SuperMemo, executing a single repetition and closing the device takes approximately 25 seconds. If you got 2 minutes of time to fill up, you can easily execute 5-20 repetitions. You can speed this all up if you attach SuperMemo to one of the Pocket PC buttons (Start : Settings : Buttons)
  8. In the meantime, you can continue the incremental reading process in SuperMemo for Windows. However, if you do not plan to synchronize often, you could protect items from being repeated in both SuperMemos by diluting the subset that was transferred to Pocket PC. For example, after exporting XML, use Learning : Dilute on the exported browser subset and make sure that all item repetitions are shifted beyond the date of the next synchronization (e.g. in 1-2 weeks). Nevertheless, SuperMemo shall have little problem with resolving duplicated repetition cases at synchronization
  9. After some time, export your learning data from SuperMemo for Pocket PC to an XML file (File : Export : Export XML). You can proceed with the export after a few repetitions or after a few weeks. Most likely you would want to return the XML file back to SuperMemo 2004 after 1-2 weeks after you have processed the bulk of repetitions and before the subset dispersed with Dilute brings duplicated repetitions into the process on SuperMemo 2004 (the export process per se does not deactivate or postpone repetitions)
  10. Move the exported XML file back to your PC
  11. Import the XML file back to SuperMemo 2004 with File : Tools : Import : Learning process : XML File. The learning process will be updated, duplicated repetition cases resolved, modified texts changed (if you choose so), etc.
  12. You may continue incremental reading or export another subset of items for repetition on Pocket PC by going back to the beginning of this algorithm

Important: Not all learning material generated with incremental reading can be processed on Pocket PC. For that you will need to exclude it from your export subset or dismiss it when executing repetitions on the pocket device. For example, topics, items with pictures, items with sound, spelling exercises, multiple choice tests, etc. will still need to be excluded. However, this may actually add extra efficiency to your repetitions as you will be able to focus on using your pocket device for quick one-key repetitions (e.g. cloze deletions only). In other words, you will be able to separate keyboard-intense incremental reading from speedy click-click work on Pocket PC. You can delve into the most fascinating new reading material on your PC, and leave the drudgery of repetitions to Pocket PC. You can allocate your best creative and most attentive time to your PC, while rushing off repetitions on PPC in all conceivable circumstances. You could thus have more fun learning at home, and maximize the use of spare time everywhere else.

Conclusions

The path traversed by SuperMemo is convoluted enough to avoid far-going predictions reaching beyond 2-3 years ahead. However, the arrival of XML data exchange will certainly have a major impact on the way we interact with SuperMemo. The die is cast. The revolution has begun. It all begun in the pocket.

To be continued


Early versions of SuperMemo

Early implementations of SuperMemo (1987-1989)

SuperMemo 1.0 (December 1987)

SuperMemo 1.0 was a simple question-and-answer program with options for adding new items and memorizing them in the same sequence as they were added to the database:

  1. First software implementation (Turbo Pascal 3.0 for DOS)
  2. Applying the optimization algorithm to individual items grouped by E-Factor difficulty category (SuperMemo on paper would group items in pages)

SuperMemo 2.0 (July 1988)

SuperMemo 2.0 had the look of SuperMemo 1.0 and added some new options without changing the optimization method. The program was recompiled with Turbo Pascal 4.0. In June 1991, SuperMemo 2 was released as public domain software and circled the globe over the academic Internet. You can still run this program in Windows. The entire file is just 59 KB

SuperMemo 3.0 (October 1988)

The whole program was written again from scratch to apply the then popular DOS standards of windows, pull-down menus and other elements of user-friendly interface.

Most interesting enhancements:

  1. Databases were given separate names (previously each database, made up of 6 files, had to be kept in a separate directory)
  2. Item editor could be activated during repetitions (earlier, learning had to be interrupted to edit items)
  3. Burden parameter became a popular indicator of student's progress
  4. An option for changing the system date appeared useful

SuperMemo 4.0 (February 1989)

SuperMemo 4.0 was only a minor improvement over SuperMemo 3.0 in terms of its functionality, but it has, for the first time, used a variable function of optimal intervals that would adapt to the student's performance:

  1. Improved optimization method: function of optimal intervals modified to adjust it to the student profile and to given learning material
  2. Option for displaying optimal intervals
  3. Option for displaying the number of repetition cases used in computing optimal intervals
  4. Option for displaying distribution of intervals in the database
  5. Fast search written in assembly language (1000 items per second on the 8086 computer with a RAM-disk)

SuperMemo 5.0 (October 1989)

1989 has seen two turning points in the development of the SuperMemo method. The old repetition spacing algorithm from the earliest versions of SuperMemo gave way to the function of optimal intervals based on the matrix of optimal intervals (SuperMemo 4.0) that was promptly replaced with the matrix of optimal factors (SuperMemo 5.0). In terms of functionality, SuperMemo 5.0 did not go far beyond SuperMemo 3.0 developed just a year earlier. However, its new approach to computing the optimum repetition spacing has provided a foundation for Algorithm SM-6 (1991) and yet sturdier Algorithm SM-8 (1995).
In March 1993, SuperMemo 5 has entered public domain and has since gained substantial popularity among freeware users around the globe. New features of SuperMemo 5:

  1. Advanced optimization technique based on computing optimal factors rather than optimal intervals
  2. Option for displaying optimal factors
  3. Option for displaying the approximate values of optimal intervals
  4. Option for printing items
  5. Option for resetting memorized items (i.e. removing them from the learning process)
  6. Date of the next repetition displayed in the item window


SuperMemo 6

Contents
SuperMemo 6

In 1991, SuperMemo 6.0 for DOS was released. It was written from scratch in Turbo Pascal 6. Apart from introducing major changes to the repetition spacing algorithm, it was the first SuperMemo designed with a view to commercial distribution. It was also the first commercial SuperMemo that has sold over 10,000 copies. The idea of plotting forgetting curves for all optimal factors has added greatly to the theoretical validity of the SuperMemo algorithm that could now be verifiably shown to produce the optimum repetition spacing for a given level of knowledge retention. Future improvements to the algorithm could therefore only accelerate the convergence of the starting memory model to the optimum model. SuperMemo 6, as the finalist of Software for Europe Competition 1992, has brought SuperMemo to public attention allowing it to break the image of an intricate software product for a hermetic group of technically-minded people. Instead SuperMemo 6 became one of the best-selling pieces of software in Poland in the early 1990s. In January 1995, SuperMemo 6 entered public domain and is since available from multiple shareware sites and shareware CD-ROMs around the world. Even with the advent of SuperMemo 8 in 1997, many users remained faithful to the old good DOS version

Major new features introduced to SuperMemo 6 for DOS (1991-1993):

  1. New optimization technique based on sketching forgetting curves for particular difficulty categories and repetition numbers
  2. User-defined forgetting index can be used to control the speed of learning
  3. Repetition calendar with the possibility of editing items scheduled for a given day
  4. Monthly and annual repetition calendars
  5. New process parameters: Average repetition, Average lapses, Average interval, Average E-factor, Requested and measured forgetting index, Retention, Mean repetition time, Workload, etc.
  6. Extending the item editor by commands such as Paste, Cut, Delete Word, Delete-EOL, Copy Block, Move Block, Delete Block, Word Right/Left, Replace String, Swap Lines, etc.
  7. Option Find extended by Replace
  8. Option Duplicate Item in the browsing mode
  9. Maximum number of items in a database increased from 10,000 to 60,000
  10. Option Schedule item in the browsing mode (used to memorize selected intact items)
  11. Option Mercy used to evenly distribute outstanding items (e.g. after a vacation break)
  12. Option Wipe is used to reduce the number of repetitions by elongating intervals of short-interval items (replaced with multicriterial Mercy in SuperMemo 8)
  13. Option Reset-Wipe is used to reduce the number of repetitions by resetting short-interval items (replaced with multicriterial Mercy in SuperMemo 8)
  14. REPSTR.EXE utility for font and substring conversion
  15. Possibility of redefining keyboard codes with KBD files
  16. Font Designer freeware included in the package

Major releases:

  • SuperMemo 6.0 (May 1991)
  • SuperMemo 6.1 (January 1992) - adapted to a wider range of graphic controllers
  • SuperMemo 6.2 (March 1992) - removing copy protection
  • SuperMemo 6.3 (April 1992) - option Memorize added in the browsing mode
  • SuperMemo 6.4 (June 1992) - option Mercy for rescheduling repetitions
  • SuperMemo 6.5 (October 1992) - option Wipe for resetting short-interval items (this option was abused heavily and was not transferred to the Windows version)
  • SuperMemo 6.6 (January 1993) - recompiled with Borland Pascal 7.0
  • SuperMemo 6.7 (May 1993) - customizable keyboard codes, Font Designer freeware
  • SuperMemo 6.7 PD (January 1995) - released to Public Domain (see: http://www.simtel.net/pub/dl/45054.html)

If you would like to download SuperMemo freeware see here

Important! SuperMemo 6 may no longer work correctly in MS DOS Prompt on newer Windows platforms (esp. the NT line). You can still use it in DOS. If you prefer Windows, you can upgrade to Windows freeware


SuperMemo 7

Contents
SuperMemo 7 for Windows

SuperMemo 7.0 for Windows (January 1993)

SuperMemo 7.0 was one of the few Windows applications available in Poland at its time (early 1993). Although initially, it found it difficult to compete with SuperMemo 6, by 1995 it became the most popular SuperMemo ever (over 30,000 copies sold by the end of 1996). In 1993, it became one of the first Polish applications using sound and bitmapped graphics. In mid-1994, it was also the first Polish Windows software released on CD-ROM. The number of awards given to SuperMemo 7.0 is too long to be listed here. In 1994 and 1995, SuperMemo 7 was voted the most popular Polish software by readers of PC World Komputer. It was also one of the most eagerly copied pieces of software on illegal software market ahead of the entire Microsoft suite:

  1. The whole program was written anew from scratch in Borland Pascal 7.0 for Windows using Object Windows Library application framework
  2. New database file managing options: Delete database, Rename database, Copy database, Move database, Cut drills (removing items scheduled for Final Drill)
  3. Possibility of using several database editing windows at the same time; plus independent Learn, Search and Random Test windows with all operations of the editing mode available. This allows, for example, to browse, search, edit or expand the database during learning
  4. Possibility of opening a number of independent Append windows at the same time (e.g. to add or duplicate items at Learn or at Search)
  5. Possibility of transferring items and text blocks between all sorts of item windows (via Clipboard)
  6. Possibility of duplicating items in the Append window
  7. Forgetting curves available from all options displaying optimization matrices (R-Factors, O-Factors, optimal intervals, and Cases)
  8. Possibility of working with a few databases at the same time using separate instances of the program

In the following 28 months, the following major versions of SuperMemo have been released: AudioVisual SuperMemo 7.2, SuperMemo 7.3, SuperMemo 7.4 for CD-ROM applications, and SuperMemo 7.5 Programmable that terminated SuperMemo 7 line

SuperMemo 7.2 (June 1993)

SuperMemo 7.2 was commercially the most successful step in the development of SuperMemo 7 line. By adding the possibility of attaching sound and graphics to items, SuperMemo 7.2 has become one of the first Polish multimedia applications:

  1. Adding Image menu in editing windows (creating up to 60,000 graphic images associated with items)
  2. Adding Audio menu in editing windows (recording and playing up to 60,000 sound files associated with items)
  3. Configuration AutoSave
  4. Remembering location and sizes of working windows in the program configuration
  5. Parameter Future Reps estimating the number of repetitions of a given item in the nearest 30 years
  6. Possibility of using any of the Windows fonts in any color in SuperMemo items (option Font)
  7. Adding case insensitive item search
  8. Adding an option for defining text, sound and graphic editors in Options
  9. Adding a configuration file for each database with parameters such as desktop, font, color, search string, etc.
  10. Enhancing SuperMemo Toolkit by operations on bitmap and sound files

SuperMemo 7.3 (February 1994)

SuperMemo 7.3 was probably the greatest functional leap in the development of SuperMemo 7 line, however, it went nearly unnoticed by users of SuperMemo and was soon swept into oblivion by CD-ROM releases of SuperMemo 7.4.

  1. Adding full-screen item browsers (e.g. for all items, for intact items, for memorized items, for outstanding items, for intractable items, etc.)
  2. Possibility of searching for all items containing a given substring, and reviewing these items in the search browser (the search browser sequence is preserved between sessions)
  3. Possibility of changing the order of items in the database (by means of the general browser)
  4. Possibility of editing the intact queue (by means of the intact browser)
  5. Option Item : Transfer in editing windows (used to quickly transfer the current item to another database)
  6. RESCUE.EXE integrated with the program as File : Recover
  7. Introducing the concept of a leech (item which slows down the learning process). Possibility of extracting leeches using the criteria of E-factor, number of lapses, and the interval. Possibility of browsing leeches and randomly reviewing leeches.
  8. Possibility of using filter files with database-to-text conversion tool TO_TEXT.EXE that allows defining (1) items that should be included/excluded in/from the output, (2) strings that should be replaced, (3) comment that should be cut, (4) ordinal number delimiters, (5) definitions of ordinals used in sorting databases, etc.
  9. Possibility of quickly opening one of the 5 recently used databases from the pick list on the File menu
  10. Automatically opening the last used database at running SuperMemo
  11. Resizable question-and-answer field in editing windows
  12. Possibility of fast switching between appending and editing modes (e.g. to edit recently appended items)
  13. Possibility of independently passing one of the three stages of learning: outstanding, memorizing and final drill
  14. Random test on item subsets: intact items, memorized items, intractable items, outstanding items, etc.
  15. Possibility of alternative viewing items scheduled for a particular day in the item browser (in Analysis:Burden)
  16. Possibility of viewing items scheduled for a particular month by clicking entries in the Monthly Burden
  17. Possibility of arbitrarily choosing the first interval when memorizing an item
  18. True Type support in printing
  19. 256-color bitmap support

SuperMemo 7.4 (September 1994)

SuperMemo 7.4 was the first version of SuperMemo released on CD-ROM. Boosted by the best-selling audiodatabase Advanced English, it sold 5000 copies in the late 1994 alone.

  1. Integrated Toolkit (including tools such as: Recover, Reset, Transfer, Sort, Export text, Import text, Export SM6, Import audiovisual files, Cross-section, SetUp, etc.)
  2. Child browsers (e.g. Child : Search makes it possible to selected from the browser all items containing a given substring; Child : Leech extracts all difficult items, etc.)
  3. Lexicon and Audio Lexicon make it possible to instantly access words and audio phrases stored in the database (the lexicon may be built for a custom-made database with Build Lexicon using a user-defined filter file)
  4. Mercy into the future (e.g. in order to pass all repetitions scheduled for a vacation period before the vacation)
  5. Possibility of spelling drills with the Spell-Pad
  6. Fuzzy search (e.g. in order to find 'bureaucracy' without remembering the exact spelling)
  7. Multiple user menu that makes it possible to define a number of users with separate database directories and database password protection
  8. Possibility of using different fonts in questions and in answers (e.g. Latin alphabet in questions and Cyrillic in answers)
  9. Four modes of accessing audiovisual files (e.g. in order to repeat audiovisual items whose bitmaps and sound files come from a database stored on CD-ROM, in a colleague's directory, etc.). Possibility of editing audiovisual links in a database with BMP and WAV files stored on CD-ROM.
  10. Smart Reset makes it possible to selectively reset the elements of the learning process (e.g. forgetting index, optimization matrices, entire database, etc.)
  11. Synchronous Browser's Edit window in browsers makes it easier to browse multiline items, and items illustrated with bitmaps
  12. Possibility of defining user's keyboard (by defining KBD files that will assign selected character codes to Alt-key combinations in the item editor)
  13. Possibility of comparing one's vocal responses with original audio records in the database
  14. 3-D graphs with optimization matrices

SuperMemo 7.5 Programmable (March 1995)

SuperMemo 7.5 was the last step in the development of SuperMemo 7 line and is now available with all SuperMemo 7 products. The greatly hyped programmability of SuperMemo 7.5 has not caught wider attention and did not bring the expected rush towards developing new-class databases (this was probably due to intricate DLL interface and little interest in non-standard SuperMemo applications). With the full-blown switch towards hypermedia, SuperMemo World terminated the development of SuperMemo 7 in early 1995. This move has greatly disappointed many faithful users of SuperMemo who would then have to wait nearly two years for hypermedia SuperMemo 8. However, this allowed SuperMemo World to dedicate all resources to the new development line:

  1. Database programmability, i.e. the ability to execute DLL database modules (to open the way to using SuperMemo in procedural learning, problem solving, playing musical instruments, creativity training, etc.)
  2. Adding Touch-typing programmed database to every package
  3. Tools menu in the browser makes it possible to perform database operations on the contents of the browser
  4. Operations Print All, Delete All, Memorize All and Reset All in the browser
  5. Subset operations on the contents of the browser (Open, Save, Add, Subtract, and Intersect)
  6. Adding Phonetic Lexicon to Advanced English distributed on CD-ROM. Phonetic Lexicon makes it possible to search for English words by using their phonetic transcription
  7. Option of selecting individual items in the browser, and creating a child browser with selected items
  8. Option Previous in editing windows provides access to up to fifty recently reviewed items
  9. Adding final drill browser and history browser (for up to fifty recently used items)
  10. Option Item : Drill in editing windows makes it possible to add an item to the final drill queue
  11. Option Move : Randomize in the browser makes it possible to scramble the browser's content (e.g. to randomly reshuffle the final drill queue, etc.)
  12. Options Edit : Replace and Search : Replace all in the browser
  13. Option Browser : Random test makes it possible to run a random test on items kept in the browser
  14. Sound importing options in the browser
  15. Show answer, Next and Cancel buttons in learning windows
  16. Two menu variants: (1) simple (default) and (2) professional

sm7.gif (34067 bytes)

In 1999, SuperMemo 7 for Windows joined the previous releases for DOS by becoming freeware. It has reached Top 100 Downloads at Software Blast! in just seven months ultimately climbing up to 23rd position in software overall.

Some locations from which you can download SuperMemo 7 today:

  • http://www.totalshareware.com/asp/detail_view.asp?application=20372
  • ftp://ftp.simtel.net/pub/simtelnet/win3/edu/suprmem7.zip
  • ftp://ftp.iif.hu/pub/simtelnet/win3/edu/suprmem7.zip


SuperMemo 8

In May 1997, SuperMemo World released SuperMemo 8.0. Users of SuperMemo 7 for Windows have long been asking for the new release of SuperMemo. Many complained about the lack of SuperMemo functionality in the Genius product line, others thought SuperMemo 7 should not be discontinued. Both shall be fully satisfied with SuperMemo 8 that has now been over three years in development. SuperMemo 8 will combine the functionality of SuperMemo 7 with the new hypermedia capabilities of the Genius line. Import from other versions of SuperMemo will also be possible (most notably SuperMemo 6 for DOS, SuperMemo 1.02 for Mac and SuperMemo 3 for Amiga).

The work over SuperMemo 8 started in Fall 1994. The program was supposed to combine all suggestions of users of SuperMemo, journalists, scientists and merge it in one coherent entity based on theoretical grounds delineated in the doctoral dissertation Economics of learning by the author of the SuperMemo method, Dr Piotr Wozniak. The project was planned to be completed within three years. As early as in September 1995, SuperMemo World released SuperMemo 8 Pre-Release 1 CD-ROM codenamed Genius Pre-Release. It included concepts that were entirely new to SuperMemo: knowledge hierarchy, hypermedia, mind maps, and more. This product was presented to the hands of 500 beta-testers who have collectively shaped the development of SuperMemo 8 pre-release line over the next 16 months. In January 1996, the SuperMemo 8 Pre-Release 2, codenamed Genius 1.0 was released as the hypermedia shell for the Video English course of English. Although it attracted lots of criticism from diehard users of SuperMemo, this title sold 2000 CD-ROMs in the first month and provided further feedback from users of earlier versions of SuperMemo, as well as from people who had never heard the name SuperMemo before. In September 1996, the SuperMemo 8 Pre-Release 3, codenamed Genius 2.0 was released as the shell for the Cross Country course of English and scored excellent reviews from the press and from the users. The three Pre-Releases have totaled about 10,000 users providing a solid basis for making sure that SuperMemo 8.0 does not miss functionality and simplicity to which users of SuperMemo 7 have been accustomed. And all that along the new hypermedia capabilities, CD-ROM title authoring, courseware authoring, automatic student testing, and more.

The main steps in the development of SuperMemo 8.0 in the years 1994-1997:

  • SuperMemo 8 Pre-Release 1, September 1995. Released on CD-ROM for beta-testing purposes only. Included: hypermedia capabilities, knowledge hierarchy, scripting, programmability, new repetition spacing algorithm, and more
  • SuperMemo 8 Pre-Release 2 , January 1996. Released as a shell for Video English (functionally comparable with Pre-Release 1)
  • SuperMemo 8 Pre-Release 3 , September 1996. Released as a shell for Cross Country
  • SuperMemo 8 , released in May 1997
SuperMemo 8 Pre-Release 2 (codenamed Genius 1.0) (January 1996)
  1. The whole program was written anew from scratch in Borland's Delphi 1.0 using Delphi's Visual Component Library, Plug-In components from Access Softek, and speech compression technology from Vimas International
  2. Greatly improved repetition spacing algorithm with: (1) possibility of using different forgetting indices for different items, (2) replacing E-factors with A-factors (absolute E-Factors) that define absolute difficulty of items (E-factors defined relative difficulty of items within a given database), (3) on the fly approximation of the matrix of optimal factors (no need for smoothing, no need for periodic approximation of the matrix with Miscellaneous : Approximation), (4) faster approximation of A-factors by keeping the record of A-factor vs. Grade and Grade vs. Forgetting index relationships
  3. Hierarchical knowledge structure
  4. True hypermedia: combination of text, graphics, sound, video, animation, hypertext, executables, scripting, and many more
  5. Mnemonic hypertext connects mnemonic topics via a network of hyperlinks
  6. Navigation tools modeled on standard multimedia viewing, presentation and help systems
  7. Hierarchical structure and knowledge system hyperlinks can be rebuilt on the fly using drag-and-drop tools (no recompilation necessary)
  8. Programmability via DLL components and interpreted program scripts using commands such as SHOW, PLAY, WAIT, etc.
  9. Dynamically updated database lexicon used in word search
  10. Multimedia object registries for storing images, sound, video, etc. Supporting formats: BMP, GIF, WAV, and AVI.
  11. Template registries make it possible to quickly create items and topics designed according to a selected style
  12. Exchanging topics and topic components via Topic ClipBox and Component ClipBox
  13. On-line hints make it easy to understand the function of particular menu items and speed-buttons
  14. Number of items virtually limited by the memory of the computer (theoretically: up to 10 million items with 8 million hypermedia objects)
SuperMemo 8 Pre-Release 3 (codenamed Genius 2.0) (September 1996)
  1. Possibility to hide the SuperMemo shell behind the knowledge system
  2. ReadOnly and LearnOnly modes
  3. Interactive translation of knowledge system to other languages
  4. Simple translation of the program's interface to other languages
  5. New script commands: HIDEPROGRAM, SHOWPROGRAM, FONT, WAITGRADE, DRAGMATCH, HITTEST, etc.
  6. Support for new file formats: JPEG, MIDI and RIFF
  7. Possibility of using knowledge systems directly from CD-ROM
  8. Component ClipBox and Hyperlink ClipBox
  9. Operations on a selected group of components: alignment, sizing, linking registry items, setting font, etc.
  10. Default appending mechanisms (Default Append Node, Default Append Template, etc.)
  11. SM7-CDROM file access mode makes it possible to use the program in association with audiovisual databases released on SuperMemo 7 CD-ROMs (Advanced English, Multilingual, MegaMix, etc.)
  12. Full record of repetitions (optional)
  13. Saving templates with all associated registry objects
  14. Customized sound feedback at grading
  15. Topics are kept in the pending queue, presented before introducing their child items and dismissed after the first presentation
  16. Linear export from the lexicon makes it possible to easily create lexical databases associated with language courses These databases can also be imported back to SuperMemo 7
  17. Possibility of changing the forgetting index of the entire hierarchy node
  18. Possibility of resetting, committing, dismissing or undismissing nodes in the hierarchy
SuperMemo 8.0 (May 1997)
  1. Indexing optimization matrices with repetition categories rather than with repetition numbers. This eliminates the problem of using exceedingly long intervals in cases of long breaks in learning. This problems has haunted SuperMemo since the introduction of the matrix of optimal factors in 1989
  2. Transferring hierarchy nodes between different knowledge systems
  3. Exporting and importing hierarchy nodes as text
  4. Possibility of keeping a collection of append nodes with different append templates
  5. Operations Reset, Commit and Dismiss are available in the course of repetitions
  6. Possibility of duplicating elements in a single operation
  7. Automatic change of the append node on surpassing the limit of children
  8. Introducing editable translation and phonetic transcription registries
  9. Making phonetic transcription available in the lexicon registry
  10. Making translation available in the text registry
  11. Random review in browsers, registries and in the element window
  12. Two-way history list with Back and Forward buttons
  13. Introducing child browsers, browser subsets and browser selections
  14. Possibility of working with other hypermedia tools like dictionaries, encyclopedias, etc. via a standard communication interface (first implemented in Polish PWN Encyclopedia developed by Vulcan, Poland)
  15. Reset moves pending items to the end of the pending queue
  16. Adding substring searching options to Contents, Registries and Browsers
  17. Search and Replace in registries
  18. Instant translation and instant phonetic transcription on mouse move
  19. Providing children and descendant count in the hierarchy
  20. Optional synchronization of Contents selection with the contents of the element window and/or Item Data window
  21. New statistics parameters: Burden, Average Repetitions, Average Lapses, Average Interval, Average A-Factor, Average Last Repetition Date, Average Next Repetition Date
  22. Using custom editors for editing sound and images
  23. Automatic student testing (this option did not prove popular and was not upgraded to SuperMemo 98)
  24. Outdated final drill queue is deleted upon confirmation
  25. Element filter for selecting items or topics with specified properties such as number of repetitions, length of interval, etc.
  26. Activating the debugging version of SuperMemo in Options
  27. Option for testing repetition cycle at design time
  28. Extract section in sound components
  29. Making all pop-up menus available from toolbars in Contents, Browsers, Registries and in the element window (earlier available only with right-click)
  30. Circular setting individual components in editing mode with Tab
  31. Adding hierarchy toolbar
  32. Transplanting children among hierarchy nodes
  33. External multimedia files can be associated with components (e.g. to compile knowledge systems based on multimedia CD-ROMs)
  34. Possibility of resetting optimization matrices and the measurements of the actual forgetting index
  35. Option for counting items and topics in particular nodes of the hierarchy
  36. Using universal file browser with multiple-format preview, file search, path locator, file housekeeping, etc.
  37. Adding repetition meters to the status bar
  38. Releasing SM8OPT.DLL with all optimization procedures of Algorithm SM-8 used in SuperMemo
  39. Context-sensitive help (you can download SM8.HLP from this site).
  40. Tip of the Day on start-up

Here, you can download SuperMemo 8


SuperMemo 9

SuperMemo 9 (SuperMemo 98 and SuperMemo 99)

SuperMemo 9 is the continuation of SuperMemo 8 on the 32-bit platform. It is the first SuperMemo that has entered the era of e-commerce and reached the most remote corners of the globe. It greatly extends the functionality of SuperMemo 8 and adds lots of speed as well as stability. It is also the highest ranked SuperMemo in terms of user satisfaction in the entire history of SuperMemo software.

Work over SuperMemo 9 started in Fall 1997. The program was extensively rewritten in Delphi 3.0 and later recompiled with Delphi 4.0. SuperMemo 9 has witnessed the expansion of the customer base to the magic barrier of one million.

The main steps in the development of SuperMemo 9 in the years 1997-1999:

  • SuperMemo 98 , September 1998
  • SuperMemo 99 , October 1999
SuperMemo 98 (September 1998)
  1. 32-bit application (written in Delphi 3.0)
  2. Increased speed (e.g. rendering elements 400%, search 200%, review in contents 100%, review in browsers 100%, recovery 80%, and more)
  3. Long filenames
  4. Unlimited length of texts
  5. Unlimited number of elements in the browser
  6. RTF support
  7. HTML support (including hyperlinks to other elements, registry text and images, external HTML files and files available from the Internet)
  8. JavaScript support (in HTML components)
  9. OLE support (e.g. to include files from MS Word, Corel, MS Equation, MindMan, etc.)
  10. Support for WMF, transparent and stretched GIFs and JPGs and more
  11. Transparent texts and images
  12. Background images in the element window
  13. Three levels of complexity: beginner, basic, and professional (to make SuperMemo easier at the entry level)
  14. Selectable interface font
  15. In-built simulation of the learning process
  16. New browser operations: sorting by columns, remember, forget, dismiss, final drill, etc.
  17. Automatic final drill scrambling
  18. Question of the Day
  19. Support via the Internet directly from the program
  20. HTML help
  21. One-step upgrade of files created with SuperMemo 8.4 (simply open the kno file)
  22. Possibility of installing a plug-in repetition spacing algorithm developed by a third party (e.g. neural network SuperMemo)

You can download SuperMemo 98 from this site!

SuperMemo 99 (October 1999)
  1. Recompiled with Delphi 4.0
  2. Introducing the concept of a reading list (SuperMemo can now be used to import electronic texts from the Internet and help the user in prioritizing the material, splitting it into manageable portions, converting it into selections and items or separate reading tasks)
  3. Introducing the concept of a tasklist (although tasklists are an underlying concept for reading list management, they can also be used in to-do list management)
  4. Tasklist manager for managing reading lists and tasklists
  5. Reading list management options for text and rich text components (queue extract, remember extract, task extract, queue cloze, remember cloze, etc.)
  6. Learning in a single branch that can be resumed between sessions
  7. Category registry for better management of a large number of categories
  8. Templates can be edited in the template registry
  9. Extended and orthogonal contents and browser operations
  10. Extended statistics (e.g. lifetime repetition time in days, average repetition time, daily working time in minutes, and many more)
  11. Midnight date shift delay for those who make repetitions after midnight
  12. New user interface based on four levels of difficulty: Beginner, Basic, Middle and Professional
  13. Layout management
  14. Manual inter-repetition interval adjustment
  15. Intelligent folder management (no more children overflow dialog box)
  16. Merge with template works on compatible types (e.g. HTML, RTF or text)
  17. Repetition ceiling to limit the inflow of new material
  18. Branch rescheduling
  19. One-step upgrade of files created with SuperMemo 98 or SuperMemo 8 (as well as import from SuperMemo 6 for DOS and SuperMemo 7 for Windows)


SuperMemo 10

SuperMemo 10 (SuperMemo 2000)

SuperMemo 9 has branched in two directions:

  • Multimedia SuperMemo developed jointly by SuperMemo World and Vulcan Media (focus on multimedia and CD-ROM publishing)
  • SuperMemo 2000 for Windows (focus on self-learning and self-improvement)

SuperMemo 2000 is the first release of SuperMemo that supports genuine incremental reading. It has been developed for students and professionals who need to read or review a great deal of electronic articles (e.g. from the web) and for those for who knowledge is a matter of survival in their field of study or professional activity.

Work over SuperMemo 2000 started in Fall 1999. The program was recompiled with Delphi 5.0 and enhanced by some 1400 new features, improvements and bug fixes with a total of over 20,000 new lines of code.

SuperMemo 2000

  1. Incremental reading dramatically increases the speed of acquiring new information by reading literally thousands of articles at the same time! Support for incremental reading includes: read-points, reading list templates, persistent formatting, text highlight, text ignore, e-mail extract (e.g. to send fragments of your article to a colleague), reference hyperlink (to quickly jump to the source article), URL topics (to keep source articles on the web), reading toolbar (for one-click reading commands), etc.
  2. Tools : Plan can be used to dynamically control the optimum proportions between activities in the student's schedule
  3. E-mail tasklist can be used to apply reading options to most interesting pieces of e-mail
  4. Export to HTML with File : Tools : View as HTML that can reuse any HTML source as your export template
  5. Real Audio, MP3, Mpeg, Animated GIFs, GIF/JPG compression, etc.
  6. Leech management to quickly eliminate poorly formulated material from the learning process
  7. Complete HTML import from Internet Explorer (with images, scripts and other files saved as Web Page complete)
  8. Postpone and Dilute to reduce the load of repetitions in a selected branch or subset. Most importantly, Postpone can be a blessing in handling article overload in incremental reading or e-mail overflow in e-mail tasklist
  9. Subset learning in the browser on any subset of material (e.g. generated with search, branch view, subset operations, etc.)
  10. Branch searching with Find and [Browser] : Child : Branch to search for any string in a selected branch
  11. Global templates to change the look of all elements by editing a single element
  12. Scaleable components that resize with the element window (e.g. scaleable rich text for reading topic template)
  13. Searching long texts, HTML source and rich text in a single component
  14. Maximum length of articles increased from 64K to 500K
  15. Regroup folders that works like Arrange folders but preserves reading extracts hierarchy
  16. Schedule Extract and Schedule Cloze to determine the first review interval on text extracts and cloze deletions
  17. Optional randomization of the repetition sequence (on a given day)
  18. One-key RTF editing in the default editor (e.g. to use MS Word to quickly rework imported articles)
  19. Improved layout management (toolbars, registries, Contents, browsers, etc.)
  20. Icon and color feedback in statistics and in browsers for easy differentiation between element types (e.g. item, topic, etc.), their status (e.g. memorized, dismissed, etc.) and difficulty (the difficulty is shown in the difficulty field by shades of red)
  21. New browser options: randomize browser, repetitions graph, new child browsers (e.g. branch, topics, tasks, etc.)
  22. New task manager options: tasklist integrity verification, export to browser, export to HTML with priority values or valuation details
  23. Converting RTF texts to plain texts to save disk space
  24. Export Q&A with rich text and HTML components as question and answer fields
  25. Filters can be used optionally with Export Q&A
  26. Separate combo boxes for the default category, default reading list and the default tasklist
  27. Tasklists merging
  28. Export/Import for repetition history
  29. Forgetting index and U-Factor in repetition history
  30. Recompiled with Delphi 5.0, 1460 individual corrections, fixes and improvements, 20,952 lines of new source code


On-Line SuperMemo

Your first online SuperMemo: supermemo.net
With the rapid growth of the world wide web, it became obvious long ago that SuperMemo will capitalize on the power of on-line technologies. It also became only a question of time for a pure on-line variety of SuperMemo to emerge. Begun in 1999 as the 3GEMS Project, originally with mobile phones in mind, supermemo.net adds to the range of your options on how to use SuperMemo. The arrival of XML learning data exchange format for SuperMemo will only add to its power

What is supermemo.net?

Supermemo.net is an online mutation of SuperMemo. It frees SuperMemo from the dependence on the operating system, device, location, etc. You can sign up today free and see supermemo.net for yourself. You will discover the wide variety of subjects that you can already learn with supermemo.net

Features

Supermemo.net can be used for many different forms of learning, such as individual and group learning, self-learning and supervised learning. Users can develop advanced, multi-unit courses as well as simple tests. Supermemo.net can be used by corporations, schools, universities, and by individuals. Because of its modular structure, supermemo.net can be customized to any needs.

  • Core module: this is the central part of the system, containing all the essential mechanisms to support interaction, presentation, and learning. The core module includes course editing and sharing functionality (used by coaches in supervised learning), and support for the analysis of individual and group progress statistics
  • Advanced user module: this module allows individual users to create and edit supermemo.net courses. Each user can develop their own knowledge base containing the information that they consider important to their career, their education, or their personal life
  • Communication module: this module supports the exchange of information between the users of a course. Discussion groups and chat-rooms encourage users to form virtual communities of people interested in mastering a particular subject
  • Mobile learning module: thanks to this module, supermemo.net can be used by people who are always on the move, often without permanent access to the Internet. Offering a wide range of access options, such as e-mail, WAP- or i-mode-enabled mobile phones, or laptop computers, supermemo.net can be used conveniently and cost-effectively
  • Administration module: this module makes it possible to accomplish various technical tasks, such as managing user access privileges, configuring the learning environment, or collecting statistics which can be used to improve the system.

Benefits

Supermemo.net can be used for group learning as well as individual learning. The two forms of education can be applied concurrently: users can use supermemo.net as their personal learning tool at the same time as they participate in a group training program.

Supermemo.net offers the following functionality to companies and institutions:

  • simple ways to develop comprehensive multimedia courses
  • workgroups and knowledge sharing
  • advanced analysis of the learning process
  • ability to carry out product training, complement traditional forms of training (such as hybrid training, pre-assessment training, and follow-up training), complement corporate knowledge distribution systems, implement academic or corporate knowledge bases, conduct remote examinations and tests

Individual users can take advantage of the following features:

  • wide selection of free and paid courses
  • ability to build personal knowledge bases and learn from them using the SuperMemo method
  • mobile learning, including learning via e-mail
  • personalized learning process adjusted to individual aptitude and initial knowledge


ABC Guide to SuperMemo 2002

Introduction to SuperMemo 2002 Colm de Bhuinn (born 1989)
Caoimhe de Bhuinn (born 1992)
Ireland, Summer 2002
e-mail
This article was submitted by 13-year-old Colm and 10-year-old Caoimhe from Ireland. It is intended to illustrate that using SuperMemo 2002 isn't as difficult as it seems. As long as the initial obstacles and frustrations are overcome, the adventure with knowledge can begin The most effective kind of education is that a child should play amongst lovely things - Plato

Table of Contents:

  1. Introduction

  2. First Steps

  3. ABC Collection

  4. Incremental Reading

  5. Contents Window

  6. Templates

Introduction

SuperMemo is an authoring software that will help you remember by repeatedly quizzing you on the material that you collect for learning. In authoring software, you are the author. The SuperMemo method of learning may be new to you so we would like to help you get started.

On the first appearance, SuperMemo may look intimidating, the interface unfriendly, creating the impression that it would take too long to learn. Let us assure you, SuperMemo is not difficult to learn. SuperMemo is, yes, a different approach to learning and therefore you will have to bear this in mind. SuperMemo is an established and integral part of our daily learning, it has helped us immeasurably. We can learn more material in a shorter time. But please allow time to develop the skills that are pertinent to you. Our learning collections consist of material that we have authored ourselves and material from the SuperMemo Library.

This article is intended for the beginner bearing in mind that you may also perhaps be new to computing. It is obviously beyond the scope of this page to give a detailed discussion but we trust it will be of some benefit to you. Dr. Len Budney is another SuperMemo user who has written several articles relating to his experiences using SuperMemo.

First Steps

Unpacking:

In Windows Explorer, select C: or the appropriate letter name for your hard drive. On the main toolbar select File : New : Folder. Name this folder SuperMemo. You can now download the SuperMemo exe file directly into this folder (e.g. sm2002zip.exe), or if you have the file already downloaded, copy it into this folder for unpacking.

To unpack sm2002zip.exe file, double click the file with the left mouse button or on the right click pop-up menu select Open. If you have WinZip or a similar program, from the right click pop-up menu select

WinZip > Extract to here.

After extracting, the folders in the SuperMemo directory are bin and systems. If you download the Help for SuperMemo 2002 (5.4MB), put it also in the bin folder. The systems folder is where your collections with learning material are stored.

Please note: Nowhere else on your system are there any SuperMemo files. All files and folders related to SuperMemo are stored in the SuperMemo directory.

Unlock Password:

If you have received your password via e-mail you can now unlock the program. If you have not yet received your password you can obtain it from the SuperMemo company (write to SuperMemo World).

You can install your password by going to the main menu File : Installation : Input password (Shift+Ctrl+I)

Level:

There are four levels of functionality in SuperMemo: Beginner, Basic, Middle and Professional. For several reasons we suggest you set up SuperMemo in the professional level:

  • You will not need to read "This function is only available in professional level".
  • You will have an opportunity to doodle, explore and see SuperMemo at its fullest.
  • We started in professional level and it proved to be a much more enlightening experience in the long run.
  • We believe that you have the facility and confidence to succeed.

By default, SuperMemo starts in the beginner level. To see the different levels go to the main menu and select File : Level or using the keyboard, cycle through the different levels with Ctrl+Alt+F12.

Layout:

Layout is really about the resolution of your monitor and your very own preferences. You can experiment to find a layout that suits you best. But bear in mind, that you can change your layout any time. Here is the layout that we currently use. We have been using this layout for a long time now:

Let us begin to set this layout assuming that you are in the professional level. The first thing to do is to dock the toolbars window. On the main menu select: Window : Dock (Ctrl+Alt+F11). It is possible to dock individual toolbars from the main menu (Windows : Toolbars).

You will notice with our layout that the toolbars are not entirely visible (to save screen space). To bring the toolbars to the front click on an empty area on the main toolbar. To hide them click on the element window. You can include individual toolbars as part of your layout. Simply drag them to your chosen location and save the layout (Ctrl+Shift+F5). An example of this would be the Read toolbar for incremental reading.

The status bar will dock at the bottom of the element window as in the layout figure above. From the main menu you can choose Window : Status bar to show and hide the status bar. The status bar provides you with information on the status of your collection and repetitions as in the following example:

The first two numbers on the left tell you that 4145 is the number of the learnt elements (i.e. pieces of knowledge) whilst 5734 is the total number of elements to learn in the collection. Therefore, the difference between the two numbers is the amount of the material yet to be learnt (so called pending material).

The next numbers provide you with the data about your today's repetitions. 11 is the number of outstanding repetitions (i.e. repetitions remaining for today). The final number (94) is the total number of repetitions for today. In other words, you still have 11 repetitions of the original 94.

Use the resize handles if necessary to size your chosen layout to fit the screen. When you are satisfied with your choice of layout you can save it as follows: Window : Layout : Save as default (Shift+Ctrl+F5). Enter a title for your layout and click OK. If your layout goes AWOL, you can bring it back by simply pressing Ctrl+F5. Or from the main menu: Window : Layout : Layout manager : Apply.

ABC Collection

SuperMemo 2002 comes with a collection called ABC.kno. This collection will give you a basic understanding of the workings of SuperMemo. All you have to do is click Learn on the bottom of the element window to begin.

Elements in SuperMemo can be of two basic types: topics or items.

An example of a topic would be an article or article extract in incremental reading. Topics do not require any grading, merely click on the button Next repetition or press Enter on the keyboard.

An item is where you quiz yourself with specific questions and answers on the relevant subject matter. You can use multimedia to author these items, images, sounds, video et cetera. One of the fastest means to create items is to use so called Cloze deletion.

With items, you must grade yourself using the grading buttons:

You can do so as follows:

Bright indicates that the question was answered excellently without hesitation. Good: you answered the question correctly. Pass is when you remember the answer with effort. You use Fail when you fail to answer correctly. A completely wrong or no answer is graded with a Bad or even Null. With the passage of practice and time, you will formulate your own interpretation of these grading buttons. All the questions graded Pass, Fail, Bad, and Null enter the final drill (i.e. final memory refreshing before the end of learning).

After you learn the ABC.kno collection, you have the choice to continue authoring your own material in this collection, or you may prefer to start a completely new collection. To create a new collection go to the main menu and choose File : New collection. In the File name field type the name of the new collection and click on the Open button or simply press Enter. The name of the collection can be a specific subject, e.g. Science, English or even your own name, e.g. Colm or Caoimhe.

Authoring your own collections will require a little practice so we suggest you read Learning Decalog. Another article worth reading at this particular time would be 20 rules of formulating knowledge.

Incremental Reading

Incremental reading is a major new technology that allows you to read a vast amount of material in your limited time. Before we discovered incremental reading, a text book and a pen were very important. We had to highlight important passages to remember or even write out whole sentences and phrases. We are sure that you know this scenario only too well!

With incremental reading you can electronically do all this and more! Articles can be imported using many methods, for example, with a scanner. But for the quickest method and for the widest choice of material there is nothing to beat the Internet. With SuperMemo 2002 you can import whole web pages, images can stay on a remote server saving you disk space and time. They can also proliferate and illustrate all elements that you create from a single article. You can extract words, phrases, paragraphs et cetera to allow for deeper scrutiny of the material. Then you secure the extracts by formulating cloze deletions (sentences with gaps to fill). Cloze deletions are very easy to remember with SuperMemo.

Incremental reading is now the main thrust of our studies. One point to bear in mind -- be patient, and you will be well rewarded. Learning is equivalent to a marathon, time and effort is required. No child was born with a doctorate or Nobel prize in her hand!

Contents Window

Opening the contents window is equivalent to opening a book on the table of contents. The difference here is that you are the author, you arrange the table of contents. Placing your knowledge i.e. items, topics and tasks into their respective branches and categories (i.e. branches of elements group by their appearance and priority).

A category is the equivalent to a subject area of learning, science, languages, sport, whatever. So, if you only want to study law in SuperMemo, one category will suffice. But if you learn more, you could create separate categories: Law, Computer Science, English et cetera. After a period of time, SuperMemo will become your very own large e-book of knowledge.

To access the contents window click Contents on the element toolbar, or press the keyboard shortcut Alt+C. A sample view of a knowledge tree within the contents window:

The tree starts with the root: "Welcome to SuperMemo". To briefly explain this, the branches, "How does SuperMemo work?" and "Repetitions" are children of the parent root and also siblings. "How does SuperMemo work?" does not have any children. The branch "Repetitions" has children who in turn have children and so it can go on for many levels.

This is the meaning of the icons in the knowledge tree:

Pending topic
Pending topic - A topic that has not yet entered the learning process (e.g. article that we want to read later)
Learnt topic
Learnt topic - A topic that is in the learning (e.g. article that we are reading)
Dismissed topic
Dismissed topic - A topic which has been dismissed (removed, taken out) from the learning (e.g. article that has been read and completely processed)
Pending item
Pending item - An item that is not in the learning (e.g. question that we have not learnt yet)
Learnt item
Learnt item - An item that is in the learning process (e.g. question that we already memorized)
Dismissed item
Dismissed item - An item which has been dismissed from the learning (e.g. question which we do not want to remember but want to keep it in the archive)

Templates

Templates is a subject that appears to cause a lot of confusion among users of SuperMemo (see here), this need not be the case. To view the template registry go to the main menu Search : Templates. Within the template registry are predefined templates that come as part of your SuperMemo. For example, in SuperMemo 2002 the default template is HTML. Therefore, if you imported this article as a web page into your learning (e.g. with Ctrl+Alt+N), the HTML topic template would be the default template.

You can of course create your own templates to suit your own particular tastes. To create your own templates, you will have to use components (e.g. pictures, sounds) within an empty element window. To do this, use Edit : Add components or undock the Compose toolbar from the toolbars window. You can save your desired template from the element menu (right mouse click, pop-up menu): Template : Save template.

To see that playing with templates and multimedia objects is fun, see this free collection: Spanish Alphabet for Kids.

It is helpful to assign your template to a category. This will ensure that every time you press Ctrl+Shift+A your category template will be used. This is not intended to imply that when you assign a template to a category that you must rigidly stick with this template for every child in the category. It is still possible to assign individual elements to have individual templates.

The registries is where all objects (templates, texts, sounds, images, videos et cetera) are stored. This is to say, a sound file will be in the sound registry, an image file will be in the image registry and so on. The registries can be viewed from the main menu Search. It is therefore to the registry you will go when you wish to use a particular object, if it is already stored in the registry. This can be done by using the component menu (right mouse click over a component) Links : Registry member. This way, for example, you can reuse the same picture in many elements.

You can learn more about SuperMemo by reading this file. You can also simply start working with the program. However, please remember to periodically backup your collection!

Acknowledgements

We would like to thank our father for the assistance and encouragement he has given us in authoring this page. He provides the stimulus and nourishment to a world full of colorful learning. Learning that we both love and cherish.


Case study: SuperMemo in homeschooling

Case study: Homeschooling Peadar Willy de Bhuinn,
June 2001, Ireland
This article has been submitted as a case study on homeschooling by Peadar Willy de Bhuinn from Ireland. It is intended to provide an inspiration for parents. It presents a use of SuperMemo in homeschooling "All are but parts of one stupendous whole". Alexander Pope, (1688-1744)

Content:

  • Introduction
  • Reading
  • Classical Music
  • Home Learning
  • SuperMemo

Introduction:

This article is but a momentary snapshot of work in progress. A process that will tomorrow, with new ideas and knowledge move to a new level. An approach seeking freshness, sprinkled with humour and colour. I have an innate knowing, - ‘the best has yet to come’.

The roles of parent and home-educator have with the passage of time become so intrinsically inseparable. I do not have any previous teaching or child care experience. Nor do I have a university education, having vacated the environs of formal education at the age of fourteen. I am, however, fortunate to have prolonged and varied opportunities for own-child-watching. A parent in touch with the children for most of the day. I have two children, my eleven-year-old son and my eight-year-old daughter.

It is I feel important to note that living on a low income as we do, puts constraints on our accessibility to materials, courses and comforts that would otherwise enhance quality learning. This frugal living has its frustrations, but none the less it does not dampen our resolve or commitment. In tests, the children score regularly in the nineties, exude in confidence, they are happy and above all they have the joys of childhood.

Fortunately, SuperMemo is affordable, excellent value when one considers its total potential in learning/remembering. I shall in the course of this article demonstrate that with careful thought, sacrifice, commitment and SuperMemo, one can, against the odds, - achieve.

Reading:

In Sweden … the church Law of 1686 had made reading competence mandatory for marriage and participation in church ceremonies, such as the Last Supper. The parish priest examined all adults regularly, usually once a year, with regard to literacy and mastery of the scriptures.

The literacy campaign was launched almost entirely without resort to formal schooling. In the last analysis the parents had the responsibility of seeing that the children learned to read, and the parents were controlled by the clergy. The overall majority had achieved literacy in reading long before provisions for elementary schooling were made compulsory by legislation. Still some 25-30 years later about one-fifth to one-third of all children were taught at home, and children who entered elementary school were expected to have acquired some basic reading skills at home. Almost universal competence in reading can be achieved, given adequate motivation, in a pre-industrial society without formal schooling. [1]

Our children have been exposed to books since the moment they were born. Mother's role was paramount, particularly at the beginning whilst nurturing the infants. The mother infant bonding. It was her deliberate intention that the children be exposed to books from the very outset. This reading having an intimate contact with their brains, the seed of their creative and imaginative free spirit. Today they are both voracious readers.

When their hands were strong enough and more so when they were able to sit in a chair, they had books to handle and explore. They visited (and still do) the public library every week from a very young age. Their graduation to solo reading was effortless; this no doubt would have had a memory component, having heard the stories repeated so many times. Another beneficial aid was the repeated listening to nursery rhymes, songs and music on cassette tapes.

Their reading material varies greatly from food labelling, flyers, magazines, newspapers, books, articles from CD-ROM encyclopaedias and the net. Articles from encyclopaedias and the net are imported into SuperMemo. The subject matter has no boundaries, literally everything. There is no requirement for a reading schedule.

I would have no doubt that voraciousness in the child can be reproduced (concurring with [1] above). The responsibility for this would be initially with the parent. From infancy the parent must read in an animated style, many times the same stories, whilst at the same time seeking out new material. In my experience the absence of television, computer and video games was a major contributor to their voraciousness.

Interestingly, according to new research children are losing the ability to play properly because they are being given too many toys and games, The studies show that children - especially those under five - are often overwhelmed and actually play less than those with fewer toys. It may even harm their development. Most exclude books from this rule because of research linking reading with improved academic performance and self-esteem. "The more books the better." There is some disquiet that playing on computers and electronic games can restrict children's development because they take away the need for creativity and imagination - and these are the essence of childhood.[2]

Classical Music:

Classical music has been the centre point from which our lives revolve since our son commenced studying the violin at the age of four-and-a-half. At the age of five he gave his first public performance. In his most recent assessment report he was described as playing with “lots of expressiveness and style, a strong powerful sound and having a very good feel for the instrument and music”.

At the age of about seven he made the serious decision to pursue a career as a solo violinist. He possesses a rage to master, very committed, disciplined and determined to fulfill this ambition. I would not be cognizant as to how and why at this young age he made such a choice, it is difficult to analyze. There is no musical background in the family; in fact our first intimate contact with classical music was from this period. And we live in a region where the culture is predominated by traditional and folk music. One significant factor I would say is that we as parents have always been fully supportive of our children's ambitions and dreams. I would like to think that we provide an environment that allows the child to explore and play without any restraints. Trying new approaches, exposing the children to different ideas and people – placing them upon the shoulders of giants (metaphorically speaking). I believe, personally, that every child possesses the facility to be a success in their own individual chosen field of interest. But like every man, woman or child, they require support and affirmation.

What children need from parents - and parents from themselves are: unconditional love; acceptance; physical holding; nurturing; praise of effort; affirmation of uniqueness; listening; time; challenge; positive talk; kindness; support; humour, positive firmness; advice on request; compassion; belief in; emotional responsiveness; emotional expression; encouragement; fairness and apology when wrong.[3]

Coached at home, our daughter, at the age of six won an honours certificate from the London College of Music for recorder. Scoring ninety-seven percent, the highest score for her group. She was competing with children up to the age of ten. Our son in his recent examinations (May 2001) won a scholarship with distinction for violin and passed his musicianship examination with distinction.

The exposure to classical music has stimulated their intellects and opened the doors to many other areas of interest. An appreciation and love for geography, art, languages, travel, architecture and broadcasting as an example.

In May 2001 my son was one of five finalists in a young classical music radio presenter competition. He was the youngest of the five, and he won second overall; the overall winner being sixteen years old. The producer of the programme credited him as being highly confident and very intelligent.

As well as co-presenting live to the nation and live on the web he will, as part of his prize be presenting a live concert with The Concert Orchestra at the National Concert Hall, Dublin.

Home Learning:

In Ireland one is fortunate to have the right to home-educate ones children enshrined in the constitution. Article 42 states:

  1. The State acknowledges that the primary and natural educator of the child is the family and guarantees to respect the inalienable right and duty of parents to provide, according to their means, for the religious and moral, intellectual, physical and social education of their children.
  2. Parents shall be free to provide this education in their homes or in private schools or in schools recognized or established by the State.

However, legislation underpinning compulsory attendance at school is in the school Attendance act of 1926, with minor amendments added. This act provides for the education and compulsory attendance at school of all children aged 6-15 years old. Simply stated, the constitution supersedes all acts and regulations regarding school attendance. However, the state reserves the right to check to ensure that this education is adequate with what they deem appropriate.

Constitution or not, one must bear in mind that the role of a home-educator can be at times a lonely role. Nobody to confer with, nobody to delegate to, nobody asking the simple question – “How are you getting on?”. Society relegates and stigmatises, so much external negativity and ignorance to contend with. This is no doubt compounded by our socio-economic status. Luckily, there are some sources of inspiration and the following quote was one for me when I read it. "I want to see more people enjoy the blessing of empowering knowledge. If we all could learn and understand more, the world would definitely look better for all of us". [4] If only one could come into contact with more people of a similar disposition!

The first days of home-education were, upon reflection, the embryo of a process that ignited a passion for life-long learning. An innocent start, pencil and paper, individualized curricular subjects, write the answers into the book for correction schooling. We even had the wooden desk from the era of Charles Dickens. Today, we are vibrant, projects based, computer assisted learning.

We have discovered that through the medium of the project, many areas of interest can be encompassed and even discovered. The project also provides a vehicle for creative problem solving, dealing with the problems as they naturally occur. I personally have a dislike for fictitious problem solving, i.e. those problems that one can purchase on CD, books or obtain from the net. Finding real answers to their everyday real questions provides them with the fuel for their real needs. If the child is free to make choices and he is encouraged to pursue his own interests, he is able to bring his present knowledge to bear on the job in hand. We do not set deadlines for the completion of a project. The emphasis is deliberately on process as this is where the real learning lies. Quality cannot be pawned out to time.

Here is the algorithm for a typical project.

  • A project theme is selected.
  • Materials relevant to the selected theme are sourced.
  • The materials are placed on a large table. Books, printed web pages, objects, tools, markers, paints etc. Texts are not confined solely to children’s material, we also use adult texts. We explore the material analyzing and selecting the knowledge required. Not all the information is used; it is the choice of the child.
  • Whilst exploring he keeps drafts in an A3 size book. A graphic representation of the knowledge he wishes to retain. (not mind maps)
  • As the project progresses individual branches fan out into many other areas of interest.
  • Objects and tools are used to demonstrate concepts, - using the hands.

A project is complete when we feel that enough knowledge on the topic for that particular moment has been acquired. Upon conclusion, the sum total of knowledge in the form of his drafts in the A3 book are weaved and threaded into one artful picture. This picture upon completion is signed, dated, put into a glass frame and hung on the wall for passive review. One of these works was, for a period, on public display at the European Commission Representation office in Dublin.

Time is also allocated for areas of interest that would not necessarily be covered by the project, or at least in enough detail. Examples of this would be computer programming, musicianship and languages. Expansion of the child’s world is also enhanced by visits to museums, galleries, concerts, lectures etc. One such visitation that still nests strongly in their memory was to the University. Strolling through the cobble stoned courtyards; kicking and playing among the felled autumn leaves. Purchasing pencils with the University name emblazoned upon them. The bottom line is – expose, expose, and… expose. Through exposure the child will formulate ideas, anchor real interests. The parents role is then to provide the child with the materials, love and support whilst at the same time not interfering with his thought processes.

Schedule:

A daily schedule is essential to the survival and smooth running of the home-learning ethos. Whilst the learning and guidance are informal the activities must take place in a planned environment so arranged that the child is free to advance the learning along the path indicated by his own interests and learning-style.

We calculate all activities out of the child’s full waking day, which we assume to be thirteen hours. For convenience, we sub-divide the activities within the waking day into four succinct groups: Meals, Lessons, Violin Practise and Play.

A sample schedule as with Tools : Plan in SuperMemo. An alarmed timer is set for each schedule. As there is a limit on the attention span, momentary breaks are encouraged in activities that require the full one-hour schedule.

The benefits for the child we have noted thus far are:

  1. An appreciation of the value of time.
  2. The child at the end of any particular week can see the progress in learning enhanced (productivity).
  3. learning a skill for adulthood.

SuperMemo:

In search of quality educational software on the internet I had the very good fortune to discover SuperMemo in January 2000. My initial attitude after studying the basics was very positive. I sensed that SuperMemo could be very beneficial for the kids and myself. And this has proved to be so. Statistically, I should have quit after one-month [5] but I persevered. And I am glad that I did as I can honestly testify that SuperMemo is by far the best learning/remembering software that I have discovered to date. In my own and the kid's opinion it's usefulness is beyond doubt.

SuperMemo is now well established as part of the children's daily routine, more popular than brushing their teeth! We do not use SuperMemo for the isolated one or two subjects, all the learning is put in. For my son's musicianship material, we created a sound file of a metronome beat, set up a collection so that he can review clapping rhythms and singing solfa. We do all the authoring in a ‘Master Collection’, and as required transfer the branches into each individuals collection.

Simplicity in the formulation and presentation of the material has been the key to the exclamations; “I love to do my repetitions”. It has taken me one year of persistent reformulating, using many different templates, to have found a formula that is sympathetic to their learning requirements.

My son takes an active interest in authoring his own material. His latest project, ‘Rain’, originates from an article imported from a CD-ROM encyclopedia. This has initiated a new approach for the future, incorporating facets of the project as described above. As with all authoring, the processing of articles is done in the 'Master Collection’.

The processing algorithm for the rain article was as follows.

  • Import the article.
  • Break the article down into sub-groups: 1, Introduction 2, Measuring rainfall 3, Rainfall distribution 4, What causes rain?
  • Process individual sub-groups, breaking down texts into paragraphs and from paragraphs into individual sentences. Highlighting individual words or phrases.
  • Create a tasklist of areas of interest to be further explored.
  • For active recall; question and answer pairs are created.

This is how it looks in the contents window:

The article broke down into the four sub-groups. Two videos as an introduction to the learning. Also in the picture is the undocked Read toolbar.

A reading topic from the collection:

The thumbnail image is the category Logo, in this instance - Reading. The text's subject matter and source are also (always) included. The subject being 'Rain' and the 'IBM World Book' being the source.

An item from the collection - a question and answer pair:

The thumbnail image in the top left of the element is the subject Logo and the second image is for pleasantry.

The Tasklist at the time of writing:

No value or priority has yet been assigned to any task, this will be done when the list is complete. A second article ‘Acid Rain’ is currently being processed. Tasks of interest from this article will be added, to conclude the tasklist.

Multiple choice tests, point and click tests, spellpad, etc. all add to the pleasure children extract from their repetitions. These are self-grading and not too difficult or time consuming to set up. A lot of educational software possess these facilities but there is no mechanism within for a programmed course of revision. My experience has been that after a period of time these CD’s are consigned to dust gathering. Whereas, place the material in a repetition cycle, (SuperMemo) and they love it.

Recently I observed the children using French and Spanish vocabulary in their play. Their only course to this material was SuperMemo. Interestingly, they foresee a role for SuperMemo or its equivalent in their adult learning lives. The SuperMemo philosophy has been established.

References

  • [1] The School in question, Thorsten, Husén, 1979
  • [2] Children play less the more toys they get, The Sunday Times (Print edition) Feb. 25 2001
  • [3] A Different Kind of Discipline, Dr Tony Humphreys consultant clinical psychologist
  • [4] Formula for success in learning. The power of knowledge, Dr Piotr Wozniak, September, 1998


How I got a job at #1 software company

How I got a job at #1 software company User of SuperMemo
Feb 4, 2000
The text below has been received at SuperMemo World in response to our survey upon publishing SuperMemo is Useless. The text has been published with the permission of the author on conditions of anonymity

Dear SuperMemo,

I'm on day 656 as a SuperMemo user!

Thanks for soliciting my opinions on the interesting article SuperMemo is Useless. I find this type of article motivational for keeping on with my methods.

Here is my story for you to consider on how I've made use of SuperMemo. Maybe my experience will be helpful for someone who is considering the large investment of time that using SuperMemo does require. My history:

  • 1981 - 1994 Served as a military officer in the radio/radar field.
  • 1994 I'm caught by the downsizing of the military.
  • 1994 - 1995 Using my Japanese language training from the military as a starting point, I attended a university program of technical Japanese translation in my attempt to become a translator. I became a bit desperate to get a leg up on the learning process and found Ostrander's book Superlearning 2000. I eagerly studied it and recorded learning tapes set to 60 beat-per-second Baroque music. This technique seemed to work somewhat but I became overwhelmed with how to manage large quantities of material and had to give it up.
  • 1995 - Running out of money and finding translation work to be sparse with my skill level, I took a job at a software firm doing telephone technical support that occasionally used my Japanese translation skills (5% of the time). I'm earning a salary about half of my military pay. The job was a huge struggle due to my lack of computer knowledge.
  • 1996 - Unhappy with the pay and difficult work I schemed to improve my lot. I continued to search for a better way. I read "success" books by the likes of Denis Waitley, Brian Tracy, etc. I also read a number of memory training books such as those by Harry Lorayne. I discovered Tony Buzan's Mind-Mapping techniques.
  • 1997 - I observed that those getting recognition and promotions in my field were earning Microsoft certifications. I struggled through a huge training guide to Windows 95 and passed the certification exam. I decided to try applying mind-mapping techniques to earn additional certifications. I set the goal of being certified as a Systems Engineer (6 exams) and doggedly worked building a stack of mind maps of one large training book after another. Building the maps was the easy part -- reviewing them was sporadic and I found myself cramming the mind-maps before the exams. I got the certification after having failed only one exam which I passed later.
  • 1998 - I received a promotion and decided that I could get into a field I really found interesting--software development--because I felt I could teach myself anything I needed to know now. I started mind-mapping a beginning programming book. A friend told me about SuperMemo. I stopped using mind-maps. I pursued Microsoft certification as a developer. Now I didn't have to worry about scheduling reviews of mind maps.
  • 1999 - Using SuperMemo I built a knowledge-base made up of the training books for three software developer exams. Without any last-minute cramming I passed all three on the first try. Now certified as a developer (but admittedly short on practical experience). I continued my SuperMemo repetitions.

I applied for a programmer's position (temporary agency) and was hired. I still had little practical experience but continued to use SuperMemo. For example, I selected 2- or 3- key points per page of the book Bug Proofing Visual Basic by Rod Stephens. The cover flap says You'll get the kind of advice and information that usually only comes from years and years of hard-won experience! This knowledge was extremely valuable to be able to recall when needed. (This is the best application of SuperMemo I've found yet--I'll have to find more books like this!) I found that I could be successful at this job, even with the "short-cuts" I took. I continued to add to my knowledge-base from books, magazines, and the Internet.

  • 2000 - Am offered a full-time position as a software developer at the #1 software company.

-- What else can I say? I attribute much of my success to SuperMemo. The amount charged for the program is laughable given the benefit's I've gained. It's lucky for me that you don't charge a percentage of my pay increases!

Piotr, keep up the good work!

Sincerely, A Satisfied SuperMemo Customer


SuperMemo

SuperMemo under Linux: FAQ Robert Osowiecki, Poland
January 2001
This text is a translation of SuperMemo in Linux FAQ (in Polish) posted by Robert Osowiecki from Poland under the terms of Public GNU licence. You can freely expand and distribute this text further as long as you live up to Public GNU licence ver. 2 or later

Q: Does SuperMemo work under Linux?
A: At this moment, there is no dedicated version for Linux (see below). However, you can run SuperMemo for Windows using WINE. This is what you need to do:

  1. Get SuperMemo. If you do not have this excellent program, go to SuperMemo Website. You can also download freeware from Simtelnet or one of its mirrors (for example in Poland: ftp://ftp.icm.edu.pl/pub/simtelnet/win3/edu/suprmem7.zip). See also: SuperMemo Freeware
  2. Install WINE. Many Linux distributions include Wine emulator with the installation disk. If you have some experience, you can get the newest source from the Wine project site: http://www.winehq.com/. I recommend the latter solution. The newer your Wine, the faster and more efficient SuperMemo is
  3. Copy and unpack SuperMemo in your home directory (or any other directory with the writing privilege). Warning! In the Wine configuration file, wine.conf, you should not use the option Filesystem=unix! You should choose win95 or msdos
  4. Run SuperMemo, learn and forget about forgetting

Q: Does SuperMemo work ok under Wine?
A: Yes. I have tested it under many versions of Linux, various distributions and various releases of Wine. Currently, I use SuperMemo 7.5 Public Domain and Wine release 20001026. Before that, I had used the Polish version of SuperMemo 7.2 with earlier releases of Wine

Q: What if I cannot install Wine?
A: You got a problem! Don't bank on me. Please have a look at the documentation of your Linux distribution, Wine's docs, WINE-HOWTO, user groups on Usenet or ask hacker friends. You can, however, send me a description of your problem. If I somehow manage to solve it, I will produce a newer version of this FAQ

Q: Hooray! Things go excellent!
A: Congratulations. Please drop me a line which version of SuperMemo and Wine you are using. If you manage to solve problems that could help others, please write about it. The more e-mail I get, the richer this FAQ might be. My e-mail address is: Robert Osowiecki - magic.robson@rassun.art.pl

Q: Will there be a dedicated version of SuperMemo for Linux?
A: SuperMemo for Linux is expected as a port of SuperMemo 2000 under Kylix. For details write to: luis@supermemo.com


SuperMemo: It is more than just memorizing

It's more than just memorizing Luis Gustavo Neves da Silva ,
February 2000, Brazil
Luis Gustavo Neves da Sliva is a 27-year-old Brazilian programmer and self-professed knowledge junkie. He has joined the ranks of users of SuperMemo only in 1999. Perhaps due to his long-lasting interest in neurosciences, he has become an instant convert. Yet he quickly noticed that others are not so easily drawn to spaced repetition. This articles has been submitted in response to our SuperMemo is Useless survey. In the text, Luis Gustavo Neves da Silva suggests that better understanding of differences between data, information, knowledge and wisdom could help promote spaced repetition and a more rational approach to learning

When I learned how to use SuperMemo, one of my first reactions was to show it to everybody around. I was very enthusiastic about the program and its underlying principles. However, I was very disappointed to find out how many people would say: "This is a cramming tool", "This is just memorizing", "This has nothing to do with reasoning or intelligence". It was very difficult to find enthusiasts of the same mind.

This made me think about the reasons behind those strange objections people seem to nurse against memorization. Why "just memorizing" is considered derogatory? I realized that this is related to the fact that we are living in post-industrial age. We focus so much on creativity and individualism that we are strongly against mass-produced knowledge and uniformity. As a result, we developed a kind of prejudice against memory, which is identified - in the computer era - as a machine skill.

I believe that in our culture we have even developed a sort of fear of memory as a human weakness that would allow us to be manipulated, and even dehumanized. Just take a look at our pop culture. How many movie protagonists' memories are being erased, changed or manipulated.

We send our children to school and they have to learn a lot of facts. But there isn't any systematic approach to scheduling the review of the material. At schools, on one hand memory is somehow considered as an inexhaustible human resource. Teachers seems to see no limit in piling up new material in front of the kids and if someone's memory fails ... its all his or her own fault or negligence. On the other hand, there is a uniform stand against cramming or memorizing! Year after year the authors of entrance exams justify their motives: "We developed the tests so that they emphasize "reasoning" and not "memorization". It is interesting to analyze those tests and see how many facts someone should know to solve a single math problem, or to choose the right solution to a History question among so many other interfering options in a multiple choice test.

When asked to explain the reason for believing that memorizing is harmful, the supporters of "reasoning" would come up with a confusing and conflicting mix of words such as memorizing, data, information, knowledge and even wisdom. Looking up these words in a dictionary, you will find a lot of circular references, each word being related to or defined by the use of the others.

Instead of providing you with the definition of those very different words, I will use a common sense example that should help me illustrate my point: Imagine you are flying an airplane and suddenly notice that for a strange reason the pilot, copilot, and everyone else have disappeared! You are alone on the plane and don't have any idea about how to control it. Looking around you would find a lot of books and manuals about flying, airplanes and airports, and a lot of maps and charts of meteorological conditions. You find a lot of data, but in this situation, the data is of no use for you. You don't have time enough to read it all! Probably, all the information you need to know to continue the flight and land is there but there is no way to learn it all in this emergency situation full of stress. Neither SuperMemo nor any other magic learning or mnemonic technique will help you in this situation! However, if you find the radio and you are able to make a good use of it ... you're very lucky! One experienced pilot in the control tower may be enough to help you. He will give you the instructions that you should carefully follow in order to land safely. He will give you the relevant information you need. But why can the experienced pilot select only the relevant information from data, and help you? This is because he has the knowledge. How did he acquired this knowledge? He has studied, he has read books, and he has practiced. He has transferred the most important facts and rules to his memory. He memorized the most useful information. He can draw conclusions and make a good use of his knowledge. He has also learned the ways to quickly select and retrieve the less critical information from data. Knowledge is superior to information and data as it was transferred via memorization to the long-term memory. SuperMemo was created exactly for the purpose of committing information to long-term memory! SuperMemo is supposed to help you build up knowledge!

Additionally, the newest version of SuperMemo helps you transfer information from electronic sources to your learning collection material and later to your memory. It helps you easily prepare items from the most important articles and ideas.

And what about creativity?

Let's consider an example. A first-time pilot, if he wants to survive, he should follow carefully the instructions. There is no space for creativity at all! The experienced pilot on an airplane, can create new maneuvers, and try new styles or approaches. Only those who have a well-established body of knowledge can be productively creative. Knowledge is power!

If you are stuck on an airplane without a pilot, the only thing you got to do is to cool down, keep your hands firmly on the controls, and follow the instructions. You will sure need a lot of wisdom in order to not despair and not fail! Wisdom is also necessary to use SuperMemo. You need to be regular, to select the right material for your collections, to keep doing the repetitions and adjusting the formulation of the most difficult items. The results of your work with SuperMemo will be wonderful -- the best possible indeed! But SuperMemo is not a free lunch! It requires some effort and commitment.

It is far more than just memorizing.


No force in the world can convince me to SuperMemo!

No force in the world can convince me to SuperMemo! Witold Szafraniec, Poland,
February 2000,
Translation from Polish:
Monika Morawska
Disclaimer: This article does not represent the views of SuperMemo World. It presents a frequently encountered set of misconceptions in reference to spaced repetition and learning. However, it is representative of the views of a quite large proportion of people and as such forms a valuable case study on the social acceptance of SuperMemo.

The article was submitted to SuperMemo World in the context of SuperMemo is Useless

The author, Witold Szafraniec, holds a masters degree in agricultural sciences and is an owner of a family farm in central Poland. Computers are Szafraniec's favorite pastime. He is an avid user of spreadsheets and database programs. He is also a fluent DBase programmer. His strong background in literature, humanities, Latin and Greek dates back to his years in secondary school in the 1960s. At that time many schools stressed the importance of classical education. He became familiar with SuperMemo in the early 1990s and has since remained one of the most vocal critics of the method. This article is a true reflection of Szafraniec's beliefs and is not an example of a devil's advocate approach. It excellently illustrates the obstacles SuperMemo will need to overcome for wider social acceptance. Our comments and source footnotes have been placed at the bottom in yellow inserts. and hyperlinked throughout the text via numbers in square brackets

During my recent visit to Piwniczna over Poprad, I had some time to attempt a critical assessment of the SuperMemo method. Unfortunately, I am not sure if I do not have to wage a war against a shadow. Having read the book about SuperMemo (published by SuperMemo World), I have found lots of gibberish that did not really let me truly understand what this sensational method of fast learning is really all about. This makes me wonder if the gibberish wasn't by any chance intentional (to obscure the weaknesses of the technology).[1]

For the sake of this discussion, I will assume that the basic goal of this method is to provide a student with a tool to assist the brain in better or more effective remembering of facts or information. Everything that I write in this text is a consequence of this assumption.

I will begin with the conclusion. Firstly, I believe that the abilities of the human brain are limited, and no method of this real world can possibly increase the storage capacity of the brain. Secondly, mnemonic techniques (e.g. "cram and plough in daytime relentlessly to see seven hills pile up ...") have been known for ages and I can't see the reason why we should not continue to develop them. Thirdly, the whole idea of SuperMemo calls for bringing up the issue of the so-called erudite trap.

To explain the third point: an honest and hard-working erudite with a wish to reliably and completely explore a problem will at times arrive at an illusion that he has hit upon some original idea, which will enrich the treasure house of human wisdom. However, upon a closer scrutiny, a short search of the historic resources of the mankind will usually reveal that the same idea had much earlier been discovered by someone else. The idea then appears to be more or less an unintentional plagiarism. Ben Akiba used to say: All has occurred before! [2]

In human history, the mankind has come up with at least several breakthrough inventions which superbly improved our access to information. It seem obvious that these milestones were in turn: (1) the development of speech, (2) writing, (3) printed matter, and finally (4) the development of computer technologies. Please note that none of these sensational inventions went in the direction of increasing the storage capacity of the human brain.

SuperMemo method would then be the first invention that has succeeded in aggrandizement of memory. An accomplishment that defies belief! [3]

My remarks that follow are based on a review (by Krzysztof Szymborski) of a book entitled The New Renaissance : Computers and the Next Level of Civilization written by Douglas Robertson.

Before humans could master the language, information resources accessible to each of our ancestors were limited in principle to the volume capacity of the human brain. That, according to Robertson, would be about 10 million bits. The development of language resulted in this that we did no longer need to search for information in our heads and we could, for example, ask a friend or any other language-capable individual. According to Robertson, this improvement has increased the resources of accessible information more or less a hundred times in an average person's case.

Hand-written texts increased, in Robertson's opinion, the reserves of accessible information by another two orders of magnitude. Dissemination of the printed word in the form of mass-produced books, newspapers, manuals, etc., allowed, according to Robertson, to increase the quantity of publicly accessible information by another million times. The question of how much more information is available to us thanks to the invention of computers boggles the mind. Robertson arrived at a stunning number of 10^25 bits. Most of us (eggheads, managers and plain bread eaters) suffer from the overwhelming information fatigue syndrome. The methods that help us remember more (i.e. create SuperMemory or help us Forget about Forgetting) are precisely in opposition to that what we would expect from the world flooded with information! Our brain uses a signal transmission mechanisms that are a million times slower than those of modern computers. This is still the brain with the processor and memory available at times of Adam and Eve. To absorb new information and learn, we depend on the help of short-term memory with an astonishingly small capacity. This is a biological fact and any attempts at "increasing" this capacity remind an ancient effort of constructing the perpetuum mobile. Collecting and memorizing facts (as in SuperMemo), independent of how fast and efficient (e.g. 40 000 English words in a month), is not yet a sufficient condition of wisdom. Knowledge is rather hidden in relationships between facts. These relationships determine the sense and importance of information. A sensible perception of the reality is not possible without a general hierarchy of value (outlook) that creates an order in the chaos of information flowing in from the outside world. An outlook or hierarchy of values can help us effectively select information and eliminate the excess of facts. Nowadays, with the help of the Internet we have created a sort of a gigantic external human memory. It should be enough to create in our memory some sort of an index to this wealth of information. Instead of remembering something that is written somewhere in generally accessible (public) memory, it is enough to index it in an efficient way in human memory. Creating in memory a database from the wealth of sources is unquestionably foolish and stupid. Our brain will never be a better library of knowledge than, for example, the Internet. Even if the Robertson's or Kurzweil's predictions in reference to the evolution of the human brain come true. We should strive at a situation in which our brain becomes an index to the outside information. An index of relationships between facts and ideas. Once we want to analyze these facts, we will still need to consult the sources. The more we attempt to forget about forgetting, the less memory we have at hand in our heads for "index files". Consequently, we will suffer from more and more information smog as envisaged in David Shenk's Data Smog. Knowledge of literary classics (e.g., biblical scapegoat or La Fontaine's The Fox and the Grapes, etc.), an ordered system of values (i.e. outlook), a conviction that All has occurred before! and the awareness that we are just mere mortals should all contribute superbly to the building of the basis for an efficient and functional index to knowledge!

No force on this planet will ever convince me about the usefulness of SuperMemo. I have tried SuperMemo for some time to learn some vocabulary of English. It might work for vocabulary but ... what's the point of extending the claims into the realm of sciences, literature and arts?

I would like to wish the entire team at SuperMemo World lots of self-criticism and humility in investigating the magic powers of the human mind

SuperMemo World's comments

Unlike the text discussed in SuperMemo is Useless, this article interestingly acknowledges the need to build an index to knowledge in human memory. However, the text fails to observe that the index is a structure that also requires memory. In the light of the omnipresent forgetfulness, the index will equally well need to be preserved with frequent use or with spaced repetition (i.e. SuperMemo)

In simple words, we need SuperMemo to quickly and efficiently build the index to knowledge

In more precise terms, the author's index to knowledge is nothing else than knowledge. Author's terminology seems to emphasize that knowledge stored in human memory should make a microscopic, yet properly selected subset of the entire knowledge available in human accessible resources (e.g. the Internet, Library of Congress, etc.).

Let us consider a simple example. A mere mortal will usually be aware that doughnuts are foods that should better be avoided by people who fear a heart disease. The fact "Doughnuts ain't good for heart" contributes to an average man's knowledge about health. This fact probably does not need SuperMemo. After all, most of us will refresh the knowledge about doughnuts and the heart each time we see a tasty doughnut. The Doughnut Fact contributes also to our index to knowledge. It is enough to jump to AltaVista and type +doughnut +heart to make a good use of this particular entry in our index. The search will help us recover more knowledge about the relationship between doughnuts and the heart

If we want to enhance our ability to think and conclude about doughnuts and the heart, we might try to remember the following:

  1. Fact 1: Doughnuts are high in trans fatty acids
  2. Rule 1: Trans fatty acids in foods tend to lower HDLs (high-density lipoproteins)
  3. Rule 2: Lower blood HDLs are a major risk factor in cardiovascular disorders (e.g. arteriosclerosis)

There is an advantage to knowing the above facts and rules: upon finding out that French fries are high in trans fatty acids, we will be able to use Rule 1 and Rule 2 to derive a new fact: French fries ain't good for heart. The awareness of the above rules will increase our reasoning ability. In the terminology of knowledge engineering, we will be able to derive new facts and rules from the existing set of facts and rules. In plain language, we will know more than we have actually learned. We will be able to conclude more. We will become more intelligent (if intelligence was defined as the inferential ability of the human mind). See also: Roots of creativity and genius

Yet there is a downside to remembering the trans fat rules. They are not as plain as the Doughnut Fact, and they may not effectively be refreshed upon a sight of a doughnut. Consequently, we may simply forget the link between doughnuts, trans fat, and the heart. This is where SuperMemo comes to play a role. Naturally, it will not increase the memory capacity. It will only help you refresh the trans fat rules. It will minimize the number of reviews in lifetime. In other words, it will only help you keep the trans fat rules in your forgetful memory. Using Mr Szafraniec's terminology we could say that SuperMemo makes sure that your index to knowledge remains intact in your mind

As for Kurzweil's predictions ... one of them is that we shall be able to plug in the World Wide Web to our brains by 2019. This still does not ensure our memory of WWW is associative (i.e. we can make instant searches and association). Until we can artificially expand human associative memory ... SuperMemo still has a role to play

Witold Szafraniec's article illustrates how a minor confusion in terminology can result in drawing seriously flawed conclusions. For a concise discussion of the confusion between terms such as data, information, facts, rules and knowledge and how this confusion affects our perception of the learning process, see: It's more than just memorizing by Luis Gustavo Neves da Silva

If the knowledge of literary classics shall be the basis of our knowledge index, we should start from the basic premise and the guiding light:

Let ignorance talk as it will, learning has its value (La Fontaine, The Use of Knowledge. Book viii. Fable 19)
FOOTNOTES

Comments

  1. SuperMemo gibberish - the author refers to the description of the SuperMemo algorithm. This description is supposed to help those with some background in mathematics to roughly understand the algorithm. There isn't much to hide as for the general principles on which SuperMemo is based. Please refer to:
    1. How SuperMemo works (principles of SuperMemo in three points)
    2. General principles of SuperMemo (SuperMemo explained in a popular scientific language)
  2. All has occurred before! - while we can find the same themes throughout the ages of human thought and the same mechanisms ruling the history, All has occurred before! cannot be taken in an overly dogmatic manner. Chinese might have invented the print long before Gutenberg. Similarly, Ted Nelson's Xanadu might have preceded World Wide Web by more than a decade. Yet there was no Internet before 1969, no print among Neanderthals and there weren't two Napoleons.
    As for SuperMemo ... it has indeed been invented many times over by a number of individuals. We might have documented over twenty cases of people writing to SuperMemo World: I was just working over something similar when I discovered SuperMemo on the net! There are a few pieces of software that do similar things as SuperMemo and have been written independently; often starting with different premises
  3. Increasing the size of memory - SuperMemo has never claimed to increase the size of human memory. SuperMemo minimizes the number of repetitions needed to retain knowledge in memory. Those familiar with neurosciences will certainly know that recent findings have pointed out clearly that the number of neurons, and the number of neuronal connections in the brain increases with training even in adulthood. In this sense, all forms of learning do increase the size of memory. So does SuperMemo. We do not attempt to quantify such an increase though. It might indeed be negligible. This is irrelevant to the value of SuperMemo

Sources

  1. German novelist Karl Ferdinand Gutzkow (1811-78) in his Uriel Acosta included the famous Das Neue ist nur droben! Hier war alles schon einmal da - schon alles dagewesen! (All has occurred before!). This phrase attributed to Ben Akiba was often quoted by some historians to illustrate the cyclical nature of history
  2. Perpetuum mobile - an illusory forever-moving machine. In the past, scores of inventors attempted at constructing one before it was discovered that such machines must infringe upon one of the laws of thermodynamics
  3. "cram and plough in daytime relentlessly to see seven hills pile up ..." is a rough translation of a Polish mnemonic verse for memorizing the pi constant
  4. The New Renaissance : Computers and the Next Level of Civilization by Douglas S. Robertson. Price: $17.50. Hardcover - 224 pages (September 1998). Oxford University Press (Trade); ISBN: 0195121899. Amazon.com Sales Rank: 3,452 - an excellent book with accurate predictions related to the future of technology coming from a mind of an excellent writer with a strong background in mathematics. The book shows how computers should be considered the next great revolution after the language, writing and print
  5. Ray Kurzweil (short bio) is a Boston-based author of The Age of Spiritual Machine (Amazon.com) and The Age of Intelligent Machines for which he won the Association of American Publishers' Award (as the Most Outstanding Computer Science Book of 1990). Kurzweil was awarded the Dickson Prize, Carnegie Mellon's top prize in science (1994). He is also the MIT's Inventor of the Year (1988). In his books, Kurzweil eloquently shows how the evolution will move from biological to the computing platform and will lead to inventing machines that will extend, surpass and ultimately replace the human brain.
    Ray Kurzweil is also a prolific inventor. In the 1970s, he developed an OCR engine and a speech synthesizer. His Kurzweil Reading Machine scanned texts and read them aloud for vision-impaired people. He licensed his OCR technology to Xerox. In the 1980s, he designed the Kurzweil K250 digital synthesizer, which made it possible to sample acoustic sounds and play them via a keyboard. Finally, in the 1990s, his Voice Xpress Plus, was one of the first usable speech recognition PC packages. See: Technology Interview with Ray Kurzweil (!) and Learning in the Age of Knowledge
  6. David Shenk's Data Smog : Surviving the Information Glut discusses the excess of useless information and proliferation of disorganized knowledge that results in phenomena such as: information fatigue syndrome and, as the author calls it, culturally-induced Attention Deficit Disorder. Shenk's book points that information glut can lead to social fragmentation, the breakdown of democracy, the spread of demagoguery, and ... the decline of educational standards. The book also lists the possible solutions. Ironically, we cannot but hesitate if Witold Szafraniec's article does not contribute to Data Smog! Should we publish it or should we rather focus on writing about SuperMemo in plain and precise language. Does it make sense to struggle with articles peppered with references that may obscure the message (as well illustrated in this explanatory section). Or does it serve the purpose of well-rounded education?


How I mastered English

Contents
How I mastered English
Part I. Building enthusiasm 		Michal Ryszard Wojcik ,
Poland, March 2000
Michal Ryszard Wojcik is a 20-year-old student of mathematics in Poland. He has been using SuperMemo since the age of 13 and believes his approach to learning English with SuperMemo has been very effective and worth recommending to others

I listen to two kinds of advice:

  1. advice that is given together with a proof of its advisability
  2. advice from someone who is successful in the realm in which he gives the advice

So, if somebody is successful that is reason enough for me to listen to their advice.

I am not going to prove anything. I am going to depict myself as a person who has mastered English and then I will describe how I did that and I will enumerate the mistakes that people make when learning English.

If you are an English learner who has not yet found a satisfying way to learn, you are doubtlessly going to benefit from reading this article.

I can read and understand any book in English. I can write articles in English so that everybody can have a good time reading them.
I can understand the lyrics of most English songs and I'm not any worse at it than the natives themselves. I can participate in any kind of English conversation, irrespective of the topic or the kind of person I'm talking with. I can fully express my personality in English and discuss even the most abstruse parts of philosophy. In fact, I could live my life fully using only English from now on.

You surely want to know what is the most important factor that determines a learner's success. First of all, you need to get a kick out of learning. You need to love the process of learning. You need to be a dedicated book-worm!

Many people are excited at the idea of already knowing English. They want to have learned English. They are passionate about the final state of unquestionable expertise. That is okay. It is very encouraging and empowering to have a compelling vision in mind. However, that is not enough. You also need to be excited at the idea of striving to reach that goal. You need to be drawn toward the process of learning.

If you are one of the persons who want to know English and who don't want to learn English, you are fated to be dissatisfied. You are going to be dissatisfied either because you will not know English or because you will suffer as you learn. After all, doing something you don't want to be doing is suffering, isn't it? And anyway, you will not learn much unless you are passionate about learning in itself.

I am a learning freak. I can spend hours leafing through dictionaries, looking up words and phrases, reading English and appending items to my SuperMemo collections.

So the first thing that you can get wrong is the lack of enthusiasm. This can get you down and prevent you from reaching the final state that you desire so. The only way to English mastery leads through years of enthusiastic learning.

Being crazy about doing something and doing it every day is not a bad idea and it can eventually land you in the state of English mastery. I'll help you build up your enthusiasm by presenting my beliefs and attitudes concerning English. The only thing you need to do is let some of my enthusiasm rub off onto you.

Knowing English makes me mentally richer. Knowing English enhances my expressibility. Knowing English adds to my overall mental capacity. There are so many neat words in English that I lack in my native language [Polish]. My mental lexicon is considerably enlarged through English. There are many cute grammar tricks and subtleties that I lack in my native language. My mental grammar
is enriched through English.

Now, with each day as you learn, you will feel your mental lexicon growing. You will be thrilled by the grammar that you learn. You will find that building English sentences is lots of fun. All the fun is yours for the taking. You can take some of it every day.

Another thing you can get wrong is the failure to see the beauty and the fun in English grammar and vocabulary. So many people complain about English instead of simply enjoying it to the fullest. English is fun, remember! Step on the right path and start deriving real pleasure from learning English!

Knowing English enables me to understand the songs I listen to. I listen to a lot of English music and I am delighted to be able to understand it. My perception of music is so much richer now that I know English. Listening to English music fills half of my time. And the simple fact that I enjoy the English music for what it is - English words and grammar sung melodiously - makes my days very pleasant to live. You can take it from me.

You can easily experience the satisfaction of knowing English words and grammar on a daily basis. Just listen to all the English music that's around you. You can take delight in singling out a word from a song. It can give you a kick to truly understand that a song is about love, rather than only guess that it is the case.

Knowing English gives me access to literature. Almost all of the world's greatest works have been translated into English. Not all of them have been translated into my native language. And of course knowing English gives me access to English literature, the reading of which I cherish so. I have read many exciting scientific books in English that have not been translated into my native language. That gave me an advantage over those people whose knowledge is confined to that which is expressed in Polish. Knowing English allows me to personally correspond with the world's leading scientists. Those who do not know English have little access to what's going on in the scientific world. They are severely limited in their ability to impact the world. Knowing English, I can write an article and it is readily available for many people around the world. If I was confined to my native language only, my scope of influence would be scarce. I can disseminate my ideas across the world due to my knowledge of English.

Now what about you? Are you interested in books? Or perhaps you are interested in science? Would you like to share some of your most precious ideas with all the people of the world? I tell you: English is the way to go. It can give you books, science and put you in touch with people.

I can understand most of what's on the Internet. I have a powerful feeling of freedom. I can roam the net and understand it. All the information and the fun that the Internet offers is mine, I can take it. Without English I would be illiterate, I would be blind.

Would you like to be an Internet maven? Roaming free, understanding everything, contributing to exciting discussions by writing your own stuff? Imagine that nobody needs to translate your thoughts. You just give them to the world as pure as they are in your mind!

(to be continued)


College: Learning for exams with SuperMemo

Case study: Studying Law with SuperMemo Mariusz Zmuda,
Poland, June 2001
Mariusz Zmuda is a 23-year-old student of the last year of law school at the Adam Mickiewicz University in Poland. He wrote this article in response to a request for help from a new American user of SuperMemo studying law and wondering how effective SuperMemo could be in his field. This text has been reviewed from linguistic standpoint courtesy of Trish Maguder Ward and Monika Morawska

Learning at the university

This article will show you how you can excel at your university with some help from SuperMemo. Even though I am student of law my tips are relevant to all students. I do not subscribe to the CPD idea of "cram, pass or dump" (i.e. cram for exams and forget as soon as you pass). It seems to me that the main problem of students around the world is that they are required to learn more material that it is physically possible. Somehow, this simple fact cannot be understood by our teachers. Over the last couple of years I met many lecturers and almost everyone told students: "You may study many different subjects at school, but remember: the most important subject of all is ... (here comes the lecturer's specialty) ... because ... (here comes a few dozen reasons)", etc. etc. Has not anybody ever measured how much time there is in a day, how much is needed to learn a given book, and how many books we got in each given year? You as a student will have to go through this paranoia. You got to learn to live with it! SuperMemo will partly solve this problem, and your life will be easier; however, you will never truly measure up to your teachers' requirements. They really got no clue what is possible!

Time limitations and your majors

The problem of excess learning material is huge in global terms. SuperMemo may maximize the speed of learning, but it does not solve the problem of the teachers' perceptions. You will be bogged down by tons of books and notes to comply with your teacher's demands. You will have to spend days cramming things that are not only too much but often useless and boring. A year after exams, naturally, you will not remember a fraction of all this memory-mangled material. Pure waste of time and human resources. No wonder you searched the net for something like SuperMemo. However, SuperMemo is not a panacea. Not only will you not jump over the impossible, but you will also have to learn some tricks to make your work effective. Many users of SuperMemo never discover incremental reading (one of SuperMemo techniques). Those who discover it, often give up due to lack of proper skills. I am an example too. It took me long time to recognize the value of this technique. Today, SuperMemo with incremental reading can do twice as the old question-answer SuperMemo

Prioritize your knowledge

It does not take long to realize that even SuperMemo cannot resolve the problem of the excess of the learning material. Conclusion: You need to prioritize! I had to prioritize my study notes in my law collections (i.e. SuperMemo databases that store learning material). To be honest, I would want to put all my books into SuperMemo, but this is obviously impossible. Luckily for me, my girlfriend Magda studies the same law program with me. Helping each other cuts down some of the tedious jobs in half. However, even with doubled output, we could not introduce enough material to SuperMemo.

The next skill we needed to develop was time-management. Our observation was that, strangely, most of our lecturers would test us in knowledge of the last few pages of lecture books. This helped in targeting the material we needed to study. Besides, we chose the material that we could use even in a distant future: civil law. Civil law makes the largest part of our collections (ca 4,500 items).

Finally we decided to learn code paragraphs and some excerpts from notes and textbooks using question, answer, cloze deletions (i.e. elements based on filling the missing gaps), and simple enumerations. (see below).

Example of an enumeration [see Footnote Enumerations]:

Question: Roman law was based on the following rules: ...

Answer: - bonum - aequitas - humanitas

Today, I have separated my learning material into two collections: The first collection includes the courses that will soon end with an exam. The other collection includes only the material for exams that I have already passed. This greatly improves optimization of my work. On one hand I can cram some less useful stuff for exam. On the other, I can weed old material from things that seem useless. For my exams this June [2001], I used incremental reading for the first time.

Searching for materials and the problem of obsolescence

The greatest problem in learning law is that your study material may quickly become outdated. Law is like a living body that is always in the process of change. Luckily, I was in a good situation because the Polish parliament approved wide reforms of the law, including the new constitution, new penal codes, new commercial codes, etc. So that at the university I have already learnt the new laws (imagine if I started earlier!). Also, the Internet helps me find codes and save invaluable hours. This way, I did not have to write down things by myself. I could import them to SuperMemo directly from the net. Of course, you can memorize only facts and rules that never change, for example, definitions from the law of succession, etc. It is entirely up to you.

If you are a student of natural sciences, the question of obsolescence is certainly less painful. You can use the Internet to find your materials and commit them to memory almost without change and without worrying that it all will do more damage than good in three years. With things memorized with SuperMemo, you may be tempted not to bother to consult the most recent changes in the law. This way, instead of being a wiser lawyer, you might become an annoyingly "over-smart" lawyer with many out-of-date facts clogging your memory.

I found some materials ready for learning on SuperMemo MegaMix (both in Polish and in English). Naturally, I study many things apart from the law. This made me think that sometimes it is better to search for someone who could have already developed a relevant learning material than to bother by myself [see Footnote Writing One's Own Material]. An example of a web page with free collections is http://akson.sgh.waw.pl/sm/bazy.htm (unfortunately this is all written in Polish).

Incremental reading

Try to use incremental reading with SuperMemo 2000. It helps you collect and organize articles or texts that you are interested in. For texts from your textbooks use a scanner and OCR software. Import your articles to SM2000. Use incremental reading to read and review articles and excerpts. SuperMemo will automatically determine optimum intervals for material review.

Incremental reading is the method that falls between the SuperMemo method and traditional learning. Nothing special you say? If you are hungry for knowledge, it will speed up absorbing it. It is like sex: just try it, and you will never stop.

Remember! I made lots of mistakes during my first four years of learning with SuperMemo. By reading about my mistakes, I hope you will avoid your own.

These are my Top Ten Hints to combine your college learning with SuperMemo:

  1. Choose majors which can be really useful in your future career or life. Let your collections reflect your priorities
  2. Introduce to SuperMemo as many items from your majors as you can. Do it before exams. If you say "I will complete my collection in this field later". You will certainly never do it
  3. Estimate the daily time you are able to spend with SuperMemo (e.g. 2-6 hours), and the number of items that you are able to memorize each day. Do not exaggerate! If you strictly observe your limits, your knowledge will swell greatly over months and years
  4. Don't stop learning with SuperMemo before exams! I must admit that sometimes I didn't stick to this rule (7-10 days before exams, I gave up to resume SuperMemo learning upon passing exams). SuperMemo 2000 lets you read your university textbooks with incremental reading which makes it easier to reduce the loads in critical time
  5. Find a friend or friends with who you can add new items to SuperMemo and then exchange them. It will save you lots of time
  6. Set a low forgetting index before exams. I set the forgetting index to 3%, and then, after passing exams, I change it to 8-12%. Don't say "I must remember everything". It will result in over-scheduling and ... you will stop learning older collections or branches when new exams increase the pressure. I made such mistakes in the past, and now I am a bit wiser [Footnote Use incremental reading]
  7. Learn leech management. Leeches can damage your learning process and discourage you from learning with SuperMemo!
  8. Learn how to formulate your learning material. See: 20 rules of formulating knowledge
  9. Use mnemonic methods to memorize leeches. For example: "Which are the richest countries in Europe?". If these were "Austria, Sweden, Slovakia" (which is naturally not true), you could just remember the initials. It will stay with you for long. Check it out. It is easy. You will effectively remember such a spicy acronym. Using SuperMemo with mnemonic methods will greatly ease the pain of leeches. Remember: leeches are inevitable
  10. Do not learn when you are sleepy. This is a total waste of time. Try free running sleep

My Decalogue is slightly different from the one at supermemo.com. Compare: Learning Decalogue

After writing this article, I received an e-mail from Mariano from Spain. I think it can complement this text:

Hi! I am a lawyer who lives in Mallorca Island, Spain. I have discovered SuperMemo recently, and I would appreciate to know about your experience as a law student with this program. I think it is nice, but I am worried about the idea that it helps only to recognize the items while asked, but it does not help if you must write a two hours essay about the family regulation of the Civil Code, for instance. Is it really useful? If yes, is it enough to be used as your only learning tool? How can you link all the small items in order to write an exam which is supposed to last for several hours? Thanks for sharing your experience with me.

Mariano

My response:

Hi Mariano!

I am in my fourth year of law. Law studies last 5 years in Poland. I've been using SuperMemo since 1997. Initially to learn history and then to learn my law majors. Today, SuperMemo is not just an idea of making items (simple question and answers), it was extended with the idea of incremental reading (SM2000).

How to learn Civil Code?

The old way of learning with SM was to introduce simple legal rules from books e.g.:

  • Question (Q): "What is the name of this group: parents, grandparents etc?"
  • Answer: (A) "Ascendants"

Say, you must write a two hour essay about the family regulations of the Civil Code. I always start learning a given major by introducing material to SuperMemo. When I was in the first year, I would put to SuperMemo just items like the one above. 1-2 weeks before exams, I was was only reading books.

A real revolution came with incremental reading (you may find more on SuperMemo site). Incremental reading saves my time and lets me introduce articles and whole pages of books (e.g. with a scanner and OCR). The greatest ideas are those that are the simplest. Now you can add article or pieces of a book and read them in SuperMemo (e.g. an article on the institution of marriage in Spain). Then if you find interesting pieces, you click an icon on the toolbar, and SuperMemo schedules this small piece of material on a given day (you can choose this day or let SuperMemo pick it). If you consider this piece important, you can make a cloze deletion (sentence with a part deleted where you have to fill the gap).

Let's say, that from a bigger piece of text (e.g. from an on-line law magazine) you extracted a piece:

"The social group that includes parents, grandparents, etc. is called the ascendants"

Now you select the word "ascendants" and SuperMemo creates a cloze deletion item:

  • Question: The social group that includes parents, grandparents, etc. is called the [...]
  • Answer: ascendants

It greatly speeds up gaining new knowledge. And the problem of losing context is gone.

If have other questions, please write

Regards

Mariusz Zmuda

Footnotes

(some of Mariusz Zmuda recommendations differ slightly from what is officially promoted via supermemo.com)

  1. Enumerations belong to the category of intractable material. They are difficult to remember. If possible, avoid enumerations or use tricks described in: 20 rules of formulating knowledge for learning
  2. Writing one's own learning material is highly recommended. Your own material will take longer to prepare but will often produce much better structure of memories and, paradoxically, result in saved time. Naturally, there are well-defined bodies of knowledge that will not differ from one person to another and are already available (e.g. from SuperMemo Library)
  3. Use incremental reading: It seems more efficient to use incremental reading to reduce workload rather than play with the forgetting index


Earth moves away from the Sun: The Earth is moving away from ... (SuperMemo collection)

Earth moves away from the Sun: The Earth is moving away from ...
(5 elements)

Contents:
Root - Next - Previous - Parent - Next sibling
  • Earth moves away from the Sun
    • The Earth is moving away from the Sun. The Sun is constantly losing mass because of the ...
      • This page: The Earth is moving away from the Sun. The Sun is losing mass because of the solar wind
        1. The Sun is [gaining/losing] mass because of the solar wind (see below)
        2. The Sun is losing [...] because of the solar wind (see below)
        3. [...] is losing mass because of the solar wind (see below)
        4. The Sun is losing mass because of the [...] wind (see below)
        5. The Sun is losing mass because of the solar [...] (see below)
Subject: Topic #3: The Earth is moving away from the Sun. The Sun is losing mass because of the solar wind
The Earth is moving away from the Sun. The Sun is losing mass because of the solar wind

Item #16: The Sun is [gaining/losing] mass because of the solar wind

The Sun is [gaining/losing] mass because of the solar wind
losing

Item #17: The Sun is losing [...] because of the solar wind (top)

The Sun is losing [...] because of the solar wind
mass

Item #18: [...] is losing mass because of the solar wind (top)

[...] is losing mass because of the solar wind
The Sun

Item #19: The Sun is losing mass because of the [...] wind (top)

The Sun is losing mass because of the [...] wind
solar

Item #20: The Sun is losing mass because of the solar [...] (top)

The Sun is losing mass because of the solar [...]
wind

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:28 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: The Earth is moving very ... (SuperMemo collection)

Earth moves away from the Sun: The Earth is moving very ...
(3 elements)

Contents:
Root - Next - Previous - Parent - Previous sibling
  • Earth moves away from the Sun
    • This page: The Earth is moving very slowly away from the Sun
      1. The Earth [is / is not] moving away from the Sun (see below)
      2. The Earth is moving [slowly/fast] away from the Sun (see below)
      3. The Earth is moving very slowly [towards / away from] the Sun (see below)
Subject: Topic #4: The Earth is moving very slowly away from the Sun
The Earth is moving very slowly away from the Sun

Item #12: The Earth [is / is not] moving away from the Sun

The Earth [is / is not] moving away from the Sun
is

Item #13: The Earth is moving [slowly/fast] away from the Sun (top)

The Earth is moving [slowly/fast] away from the Sun
(very) slowly

Item #14: The Earth is moving very slowly [towards / away from] the Sun (top)

The Earth is moving very slowly [towards / away from] the Sun
away from

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:28 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: The Earth is moving away from ... (SuperMemo collection)

Earth moves away from the Sun: The Earth is moving away from ...
(12 elements)

Contents:
Root - Next - Previous - Parent - Next sibling - Previous sibling
  • Earth moves away from the Sun
    • This page: The Earth is moving away from the Sun. The Sun is constantly losing mass because of the ...
      1. The Earth is moving away from the Sun. The Sun is losing mass because of the solar wind (5 elements)
      2. As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves ... (5 elements)
Subject: Topic #5: The Earth is moving away from the Sun. The Sun is constantly losing mass because of the ...
The Earth is moving away from the Sun. The Sun is constantly losing mass because of the solar wind. As the mass of the Sun decreases its pull on the Earth decreases and
so the Earth moves slightly further away

Topic #3: The Earth is moving away from the Sun. The Sun is losing mass because of the solar wind (5 elements)

The Earth is moving away from the Sun. The Sun is losing mass because of the solar wind

Topic #15: As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves ... (5 elements) (top)

As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves slightly further away

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:28 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: The Earth is moving away from ... (SuperMemo collection)

Earth moves away from the Sun: The Earth is moving away from ...
(8 elements)

Contents:
Root - Next - Previous - Parent - Next sibling - Previous sibling
  • Earth moves away from the Sun
    • This page: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ...
      1. The Earth is moving away from the Sun for two reasons: (1) the [...] is losing mass, (2) ... (see below)
      2. The Earth is moving away from the Sun for two reasons: (1) the Sun is losing [...], (2) ... (see below)
      3. The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (see below)
      4. The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (see below)
      5. The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (see below)
      6. The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (see below)
      7. The Earth is moving away from the Sun for two reasons: (1) [...], (2) the tidal forces ... (see below)
      8. The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (see below)
Subject: Topic #6: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ...
The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the tidal forces slow the Earth's rotation

Item #27: The Earth is moving away from the Sun for two reasons: (1) the [...] is losing mass, (2) ...

The Earth is moving away from the Sun for two reasons: (1) the [...] is losing mass, (2) the tidal forces slow the Earth's rotation
Sun

Item #28: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing [...], (2) ... (top)

The Earth is moving away from the Sun for two reasons: (1) the Sun is losing [...], (2) the tidal forces slow the Earth's rotation
mass

Item #29: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (top)

The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the [...] forces slow the Earth's rotation
tidal

Item #30: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (top)

The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the tidal forces [...] the Earth's rotation
slow

Item #31: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (top)

The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the tidal forces slow the [...]'s rotation
Earth

Item #26: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (top)

The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the tidal forces slow the Earth's [...]
rotation

Item #32: The Earth is moving away from the Sun for two reasons: (1) [...], (2) the tidal forces ... (top)

The Earth is moving away from the Sun for two reasons: (1) [...], (2) the tidal forces slow the Earth's rotation
the Sun is losing mass

Item #33: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (top)

The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) [...]
the tidal forces (which slow the Earth's rotation)

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:27 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: the Moon pulls on the Earth ... (SuperMemo collection)

Earth moves away from the Sun: the Moon pulls on the Earth ...
(5 elements)

Contents:
Root - Next - Previous - Parent - Next sibling - Previous sibling
  • Earth moves away from the Sun
    • This page: the Moon pulls on the Earth creating tides and slowing the Earth’s rotation very ...
      1. the Moon pulls on the Earth creating [...] (see below)
      2. the Moon pulls on the Earth creating tides and [slowing/accelerating] the Earth’s rotation (see below)
      3. the Moon creates tides slowing the Earth’s [...] very slightly (see below)
      4. the Moon slows the Earth’s rotation [slightly/significantly] (see below)
      5. the Moon slows the Earth’s rotation, making the day [shorter/longer] (see below)
Subject: Topic #8: the Moon pulls on the Earth creating tides and slowing the Earth’s rotation very ...
the Moon pulls on the Earth creating tides and slowing the Earth’s rotation very slightly, making the day longer

Item #53: the Moon pulls on the Earth creating [...]

the Moon pulls on the Earth creating [...]
tides

Item #54: the Moon pulls on the Earth creating tides and [slowing/accelerating] the Earth’s rotation (top)

the Moon pulls on the Earth creating tides and [slowing/accelerating] the Earth’s rotation
slowing

Item #55: the Moon creates tides slowing the Earth’s [...] very slightly (top)

the Moon creates tides slowing the Earth’s [...] very slightly
rotation

Item #56: the Moon slows the Earth’s rotation [slightly/significantly] (top)

the Moon slows the Earth’s rotation [slightly/significantly]
(very) slightly

Item #57: the Moon slows the Earth’s rotation, making the day [shorter/longer] (top)

the Moon slows the Earth’s rotation, making the day [shorter/longer]
longer

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:27 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: The Moon creates tides and is ... (SuperMemo collection)

Earth moves away from the Sun: The Moon creates tides and is ...
(12 elements)

Contents:
Root - Next - Previous - Parent - Next sibling
  • Earth moves away from the Sun
    • This page: The Moon creates tides and is speeded up. If something travels faster it must move ...
      1. the Moon pulls on the Earth creating tides and slowing the Earth’s rotation. As a ... (3 elements)
      2. If a satellite travels faster it must move outwards to remain in an orbit (2 elements)
      3. The Moon drifts away from us at a rate of 3.8 centimetres per year (4 elements)
Subject: Topic #9: The Moon creates tides and is speeded up. If something travels faster it must move ...
The Moon creates tides and is speeded up. If something travels faster it must move outwards to remain in an orbit and so the Moon slowly drifts away from us at a rate of 3.8 centimetres per year

Topic #34: the Moon pulls on the Earth creating tides and slowing the Earth’s rotation. As a ... (3 elements)

the Moon pulls on the Earth creating tides and slowing the Earth’s rotation. As a reaction, the Moon is speeded up

Topic #35: If a satellite travels faster it must move outwards to remain in an orbit (2 elements) (top)

If a satellite travels faster it must move outwards to remain in an orbit

Topic #36: The Moon drifts away from us at a rate of 3.8 centimetres per year (4 elements) (top)

The Moon drifts away from us at a rate of 3.8 centimetres per year

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:27 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: The same situation happens ... (SuperMemo collection)

Earth moves away from the Sun: The same situation happens ...
(7 elements)

Contents:
Root - Next - Previous - Parent - Next sibling - Previous sibling
  • Earth moves away from the Sun
    • This page: The same situation happens with the Sun but the Earth’s influence on the Sun is much ...
      1. The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (6 elements)
Subject: Topic #10: The same situation happens with the Sun but the Earth’s influence on the Sun is much ...

The same situation happens with the Sun but the Earth’s influence on the Sun is much smaller than the Moon’s influence on the Earth

->

The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon because despite its larger mass, the Sun is much further away.

Topic #46: The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (6 elements)

The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon because despite its larger mass, the Sun is much further away

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:27 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: As the mass of the Sun ... (SuperMemo collection)

Earth moves away from the Sun: As the mass of the Sun ...
(5 elements)

Contents:
Root - Next - Previous - Parent - Previous sibling
  • Earth moves away from the Sun
    • The Earth is moving away from the Sun. The Sun is constantly losing mass because of the ...
      • This page: As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves ...
        1. As the mass of the Sun [increases/decreases] its pull on the Earth decreases and so the ... (see below)
        2. As the mass of the Sun decreases its pull on the Earth [increases/decreases] and so the ... (see below)
        3. As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves ... (see below)
        4. As the [...] of the Sun decreases its pull on the Earth decreases (see below)
        5. As the mass of [...] decreases, the Earth moves slightly further away from the Sun (see below)
Subject: Topic #15: As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves ...
As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves slightly further away

Item #21: As the mass of the Sun [increases/decreases] its pull on the Earth decreases and so the ...

As the mass of the Sun [increases/decreases] its pull on the Earth decreases and so the Earth moves away
decreases

Item #22: As the mass of the Sun decreases its pull on the Earth [increases/decreases] and so the ... (top)

As the mass of the Sun decreases its pull on the Earth [increases/decreases] and so the Earth moves away
decreases

Item #23: As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves ... (top)

As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves [...]
(slightly) away

Item #24: As the [...] of the Sun decreases its pull on the Earth decreases (top)

As the [...] of the Sun decreases its pull on the Earth decreases
mass

Item #25: As the mass of [...] decreases, the Earth moves slightly further away from the Sun (top)

As the mass of [...] decreases, the Earth moves slightly further away from the Sun
the Sun

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:28 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: the Moon pulls on the Earth ... (SuperMemo collection)

Earth moves away from the Sun: the Moon pulls on the Earth ...
(3 elements)

Contents:
Root - Next - Previous - Parent - Next sibling
  • Earth moves away from the Sun
    • The Moon creates tides and is speeded up. If something travels faster it must move ...
      • This page: the Moon pulls on the Earth creating tides and slowing the Earth’s rotation. As a ...
        1. the Moon creates tides slowing the Earth’s rotation. As a reaction, the [Earth/Moon] is ... (see below)
        2. the Moon pulls on the Earth slowing its rotation. As a reaction, the Moon is [slowed down ... (see below)
        3. The Moon slows the Earth’s rotation. As a [...](Newtonian principle), the Moon is speeded ... (see below)
Subject: Topic #34: the Moon pulls on the Earth creating tides and slowing the Earth’s rotation. As a ...
the Moon pulls on the Earth creating tides and slowing the Earth’s rotation. As a reaction, the Moon is speeded up

Item #38: the Moon creates tides slowing the Earth’s rotation. As a reaction, the [Earth/Moon] is ...

the Moon creates tides slowing the Earth’s rotation. As a reaction, the [Earth/Moon] is speeded up
Moon

Item #39: the Moon pulls on the Earth slowing its rotation. As a reaction, the Moon is [slowed down ... (top)

the Moon pulls on the Earth slowing its rotation. As a reaction, the Moon is [slowed down / speeded up]
speeded up

Item #37: The Moon slows the Earth’s rotation. As a [...](Newtonian principle), the Moon is speeded ... (top)

The Moon slows the Earth’s rotation. As a [...](Newtonian principle), the Moon is speeded up
reaction

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:27 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: If a satellite travels faster ... (SuperMemo collection)

Earth moves away from the Sun: If a satellite travels faster ...
(2 elements)

Contents:
Root - Next - Previous - Parent - Next sibling - Previous sibling
  • Earth moves away from the Sun
    • The Moon creates tides and is speeded up. If something travels faster it must move ...
      • This page: If a satellite travels faster it must move outwards to remain in an orbit
        1. If a satellite travels [slower/faster] it must move outwards to remain in an orbit (see below)
        2. If a satellite travels faster it must move [closer/further] to remain in an orbit (see below)
Subject: Topic #35: If a satellite travels faster it must move outwards to remain in an orbit
If a satellite travels faster it must move outwards to remain in an orbit

Item #40: If a satellite travels [slower/faster] it must move outwards to remain in an orbit

If a satellite travels [slower/faster] it must move outwards to remain in an orbit
faster (lesser centrifugal force can match less gravity)

Item #41: If a satellite travels faster it must move [closer/further] to remain in an orbit (top)

If a satellite travels faster it must move [closer/further] to remain in an orbit
further (outwards)

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:27 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: The Moon drifts away from us ... (SuperMemo collection)

Earth moves away from the Sun: The Moon drifts away from us ...
(4 elements)

Contents:
Root - Next - Previous - Parent - Previous sibling
  • Earth moves away from the Sun
    • The Moon creates tides and is speeded up. If something travels faster it must move ...
      • This page: The Moon drifts away from us at a rate of 3.8 centimetres per year
        1. The [...](satellite) slowly drifts away from us at a rate of 3.8 centimetres per year (see below)
        2. The Moon [drifts closer / drifts away] at a rate of 3.8 centimetres per year (see below)
        3. The Moon drifts away from us at a rate of [...] per year (see below)
        4. The Moon drifts away from us at a rate of 3.8 centimetres per [...] (see below)
Subject: Topic #36: The Moon drifts away from us at a rate of 3.8 centimetres per year
The Moon drifts away from us at a rate of 3.8 centimetres per year

Item #42: The [...](satellite) slowly drifts away from us at a rate of 3.8 centimetres per year

The [...](satellite) slowly drifts away from us at a rate of 3.8 centimetres per year
Moon

Item #43: The Moon [drifts closer / drifts away] at a rate of 3.8 centimetres per year (top)

The Moon [drifts closer / drifts away] at a rate of 3.8 centimetres per year
drifts away

Item #44: The Moon drifts away from us at a rate of [...] per year (top)

The Moon drifts away from us at a rate of [...] per year
4 cm (exactly: 3.8 cm)

Item #45: The Moon drifts away from us at a rate of 3.8 centimetres per [...] (top)

The Moon drifts away from us at a rate of 3.8 centimetres per [...]
year

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:27 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Earth moves away from the Sun: The Sun creates tidal waves ... (SuperMemo collection)

Earth moves away from the Sun: The Sun creates tidal waves ...
(6 elements)

Contents:
Root - Next - Previous - Parent
  • Earth moves away from the Sun
    • The same situation happens with the Sun but the Earth’s influence on the Sun is much ...
      • This page: The Sun creates tidal waves on Earth but these are only half as strong as the tides ...
        1. The Sun [creates / does not create] tidal waves on Earth (see below)
        2. The Sun creates tidal waves on Earth but these are only [...] as strong as the tides ... (see below)
        3. The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (see below)
        4. The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (see below)
        5. The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (see below)
        6. The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (see below)
Subject: Topic #46: The Sun creates tidal waves on Earth but these are only half as strong as the tides ...
The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon because despite its larger mass, the Sun is much further away

Item #47: The Sun [creates / does not create] tidal waves on Earth

The Sun [creates / does not create] tidal waves on Earth
creates

Item #48: The Sun creates tidal waves on Earth but these are only [...] as strong as the tides ... (top)

The Sun creates tidal waves on Earth but these are only [...] as strong as the tides caused by the Moon
half

Item #49: The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (top)

The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the [...]
Moon

Item #50: The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (top)

The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon [despite / because of] the Sun's larger mass
despite

Item #51: The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (top)

The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon because despite its larger mass, the Sun is [closer / further away](than the Moon)
(much) further away

Item #52: The Sun creates tidal waves on Earth but these are only half as strong as the tides ... (top)

The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon because despite its larger mass, the [Sun/Moon] is much further away
Sun

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:27 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Q: The Earth[is / is not] moving away from the Sun
A: is

Q: The Earth is moving[slowly/fast] away from the Sun
A: (very) slowly

Q: The Earth is moving very slowly[towards / away from] the Sun
A: away from

Q: The Sun is[gaining/losing] mass because of the solar wind
A: losing

Q: The Sun is losing[...] because of the solar wind
A: mass

Q: [...] is losing mass because of the solar wind
A: The Sun

Q: The Sun is losing mass because of the[...] wind
A: solar

Q: The Sun is losing mass because of the solar [...]
A: wind

Q: As the mass of the Sun[increases/decreases] its pull on the Earth decreases and so the Earth moves away
A: decreases

Q: As the mass of the Sun decreases its pull on the Earth[increases/decreases] and so the Earth moves away
A: decreases

Q: As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves [...]
A: (slightly) away

Q: As the[...] of the Sun decreases its pull on the Earth decreases
A: mass

Q: As the mass of[...] decreases, the Earth moves slightly further away from the Sun
A: the Sun

Q: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the tidal forces slow the Earth's [...]
A: rotation

Q: The Earth is moving away from the Sun for two reasons: (1) the[...] is losing mass, (2) the tidal forces slow the Earth's rotation
A: Sun

Q: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing [...], (2) the tidal forces slow the Earth's rotation
A: mass

Q: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the[...] forces slow the Earth's rotation
A: tidal

Q: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the tidal forces[...] the Earth's rotation
A: slow

Q: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the tidal forces slow the [...]'s rotation
A: Earth

Q: The Earth is moving away from the Sun for two reasons: (1) [...], (2) the tidal forces slow the Earth's rotation
A: the Sun is losing mass

Q: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) [...]
A: the tidal forces (which slow the Earth's rotation)

Q: The Moon slows the Earths rotation. As a [...](Newtonian principle), the Moon is speeded up
A: reaction

Q: the Moon creates tides slowing the Earths rotation. As a reaction, the[Earth/Moon] is speeded up
A: Moon

Q: the Moon pulls on the Earth slowingits rotation. As a reaction, the Moon is [slowed down / speeded up]
A: speeded up

Q: If a satellite travels[slower/faster] it must move outwards to remain in an orbit
A: faster (lesser centrifugal force can match less gravity)

Q: If a satellite travels faster it must move[closer/further] to remain in an orbit
A: further (outwards)

Q: The[...](satellite) slowly drifts away from us at a rate of 3.8 centimetres per year
A: Moon

Q: The Moon[drifts closer / drifts away] at a rate of 3.8 centimetres per year
A: drifts away

Q: The Moon drifts away from us at a rate of[...] per year
A: 4 cm (exactly: 3.8 cm)

Q: The Moon drifts away from us at a rate of 3.8 centimetres per [...]
A: year

Q: The Sun[creates / does not create] tidal waves on Earth
A: creates

Q: The Sun creates tidal waves on Earth but these are only[...] as strong as the tides caused by the Moon
A: half

Q: The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the[...]
A: Moon

Q: The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon [despite / because of]the Sun'slarger mass
A: despite

Q: The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon because despite its larger mass, the Sun is[closer / further away](than the Moon)
A: (much) further away

Q: The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon because despite its larger mass, the[Sun/Moon] is much further away
A: Sun

Q: the Moon pulls on the Earth creating[...]
A: tides

Q: the Moon pulls on the Earth creating tides and[slowing/accelerating] the Earths rotation
A: slowing

Q: the Mooncreates tides slowing the Earths[...] very slightly
A: rotation

Q: the Moon slows the Earths rotation [slightly/significantly]
A: (very) slightly

Q: the Moonslows the Earths rotation, making the day [shorter/longer]
A: longer


Earth moves away from the Sun: Earth moves away from the Sun (SuperMemo collection)

Earth moves away from the Sun (SuperMemo collection)
(53 elements)

Contents:
Root - Next
  • This page: Earth moves away from the Sun
    1. The Moon creates tides and is speeded up. If something travels faster it must move ... (12 elements)
    2. the Moon pulls on the Earth creating tides and slowing the Earth’s rotation very ... (5 elements)
    3. The same situation happens with the Sun but the Earth’s influence on the Sun is much ... (7 elements)
    4. The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (8 elements)
    5. The Earth is moving away from the Sun. The Sun is constantly losing mass because of the ... (12 elements)
    6. The Earth is moving very slowly away from the Sun (3 elements)
Subject: Topic #1: Earth moves away from the Sun
The Earth is moving very very slowly away from the Sun. This happens for two
reasons. The first is that the Sun is constantly losing mass because of the solar
wind. As the mass of the Sun decreases its pull on the Earth decreases and
so the Earth moves slightly further away.
The second reason is to do with tidal forces. In exactly the same way that
the Moon is slowly moving away from the Earth, the Earth is very slowly
moving away from the Sun. In the Earth-Moon case the Moon pulls on the Earth
creating tides and slowing the Earth’s rotation very slightly, making the
day longer. This action has a reaction - the Moons orbit is speeded up. If
something travels faster it must move outwards to remain in an orbit and so
the Moon slowly drifts away from us at a rate of 3.8 centimetres per year.
The same situation happens with the Sun but the Earth’s influence on the Sun
is much smaller than the Moon’s influence on the Earth. The result is the
Earth’s tiny tiny drift away from the Sun

Topic #9: The Moon creates tides and is speeded up. If something travels faster it must move ... (12 elements)

The Moon creates tides and is speeded up. If something travels faster it must move outwards to remain in an orbit and so the Moon slowly drifts away from us at a rate of 3.8 centimetres per year

Topic #8: the Moon pulls on the Earth creating tides and slowing the Earth’s rotation very ... (5 elements) (top)

the Moon pulls on the Earth creating tides and slowing the Earth’s rotation very slightly, making the day longer

Topic #10: The same situation happens with the Sun but the Earth’s influence on the Sun is much ... (7 elements) (top)

The same situation happens with the Sun but the Earth’s influence on the Sun is much smaller than the Moon’s influence on the Earth

->

The Sun creates tidal waves on Earth but these are only half as strong as the tides caused by the Moon because despite its larger mass, the Sun is much further away.

Topic #6: The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) ... (8 elements) (top)

The Earth is moving away from the Sun for two reasons: (1) the Sun is losing mass, (2) the tidal forces slow the Earth's rotation

Topic #5: The Earth is moving away from the Sun. The Sun is constantly losing mass because of the ... (12 elements) (top)

The Earth is moving away from the Sun. The Sun is constantly losing mass because of the solar wind. As the mass of the Sun decreases its pull on the Earth decreases and
so the Earth moves slightly further away

Topic #4: The Earth is moving very slowly away from the Sun (3 elements) (top)

The Earth is moving very slowly away from the Sun

About using this material:

The best way to learn this material is to use SuperMemo software.
SuperMemo is the world's leader in accelerated learning technologies (see: SuperMemo Website)

No download URL currently available

Contact data:

www.supermemo.com
date: 20-Jun-03 7:05:28 PM
Page generated with:
SuperMemo 2003
Build: 11.50 Alpha of June 14, 2003


Two components of long-term memory

Acta Neurobiologiae Experimentalis, 1995, Vol. 55, p. 301-305

Dr Piotr A. Wozniak, SuperMemo R&D, SuperMemo World, ul.R.Maya 1, 61-371 Poznan, Poland
Dr Edward J. Gorzelanczyk, Department of Health Sciences, Medical Academy of Poznan, ul. Dabrowskiego 79, 60-529 Poznan, Poland
Dr Janusz A. Murakowski, Department of Physics and Astronomy, University of Delaware, Newark, DE 19716, USA

Abstract

The existence of two independent components of long-term memory has been demonstrated by the authors. The evidence has been derived from the authors' findings related to the optimum spacing of repetitions in paired-associate learning. The two components are sufficient to explain the optimum spacing of repetitions as well as the spacing effect. Although the molecular counterparts of the two components of memory are not known, the authors provide a collection of guidelines that might facilitate identification of such counterparts

Keywords: memory, learning, paired-associate learning, spaced repetition, synapse, long-term potentiation

It has been found in earlier research that the optimum spacing of repetitions in paired-associate learning, understood as the spacing which takes a minimum number of repetitions to indefinitely maintain a constant level of knowledge retention (e.g. 95%), can roughly be expressed using the following formulae (Wozniak and Gorzelanczyk 1994).

(1) I1=C1

(2) Ii=Ii-1*C2

where:

  • Ii - inter-repetition interval after the i-th repetition
  • C1 - length of the first interval (dependent on the chosen knowledge retention, and usually equal to several days)
  • C2 - constant that denotes the increase of inter-repetition intervals in subsequent repetitions (dependent on the chosen knowledge retention, and the difficulty of the remembered item)

The above formulae have been found for human subjects using computer optimization procedures employed to supervise the process of self-paced learning of word-pairs using the active recall drop-out technique.

The length of an optimum inter-repetition interval computed using Eqns. (1) and (2) is determined by the following factors:

  • interval must be short enough to prevent forgetting
  • interval must be long enough to prevent the negative impact of the spacing effect (Hintzman 1974, Glenberg 1977).

The evolutionary value of forgetting and the spacing effect may be to optimize the use of limited memory storage for preserving the most relevant and useful engrams. Forgetting probably serves as a garbage collection mechanism that is used to remove the least relevant memory traces and to prevent storage overflow. On the other hand, the spacing effect might prevent conserving memories that are relevant only in a limited period of time. Without the spacing effect, a large number of repetitions in a very short period of time might increase the optimum inter-repetition interval to an excessive value, far beyond the period in which the learned association is important for the conditioned individual.

Because of a deeply-rooted evolutionary significance of the increasing interval paradigm in consolidating long-term memories, the authors postulate the universal applicability of their findings on optimum spacing of repetition to a wide range of learning tasks in mammals, and probably beyond.

The molecular correlates underlying the regular nature of the optimum spacing of repetitions have not yet been identified.

The majority of publications on mechanisms of memory introduce the ill-defined term strength of memory, which at the molecular level is used synonymously with the term synaptic potentiation. Strength of memory is usually understood as the parameter of the memory system whose value, which determines the ease of recall, increases with repetitive actions accompanying learning.

It has been widely assumed that the study of long-term potentiation (LTP) in CA1 cells of the hippocampus may shed light on at least some mechanisms underlying consolidation of memory in humans (Aronica et al. 1991, Bliss and Collingridge 1993). This area of study has recently abounded in identifying molecular factors correlated with strength of memory or synaptic potentiation in the wake of conditioning. At different points in time, these include: activation of glutamate NMDA receptors (Bliss and Lynch 1988), elevation of cytosolic calcium (Lisman and Goldring 1988), activation of metabotropic glutamate receptor (Bashir et al. 1993), activation of phospholipase C, increased levels of diacylglycerol (DAG) and inositol triphosphate (IP3) (Nahizaka 1989), increased levels of nitric oxide (NO) (Bruchwyler et al. 1993), increased levels of arachidonic acid (AA) (Bliss and Collingridge 1993), increased levels of pre- and postsynaptic cAMP and cGMP (Mork and Geisler 1989; Wood et al. 1990), increased activity of membrane-bound protein kinase C (Alkon 1989, Olds et al. 1989; Spieler et al. 1993), etc. Also, after a longer period of time, the following changes can be observed: synthesis of some transcription factors (Kaczmarek 1993), gene expression (Matthies 1989), increased number of various glutamate receptors (Lynch 1984), etc.

As it will be shown below, however, the widely investigated strength of memory (or synaptic potentiation) does not suffice to account for the regular pattern of optimum repetition spacing.

Consider the following illustrative example, if (1) the probability of recalling a piece of information from memory is 97% at a given point in time following the first repetition, and (2) the same probability is equal to 97% at another moment after the second repetition, then (3) the state of memory in these two moments of time must be different. On one hand, there must be a mechanism that determines that the probability of recall is 97% and not otherwise. On the other, the memory system after the point in time following the first repetition will manifest a much faster decline in the recall probability than in the moment following the second repetition (note, that optimum inter-repetition intervals increase with each successive repetition). In other words, though the recall probability is 97% in both cases, the stability of memories is higher in the latter case. The conclusion is that more than one independent memory process must underlie the regularities implied by Eqns. (1) and (2).

Let us have a slightly more formal look at the above observation.

1. We want to determine the set of (molecular) variables involved in storing memory traces that will suffice to account for the optimum spacing of repetitions. Let us, initially, assume two correlates of these variables in learning that is subject to optimum spacing as expressed by Eqns. (1) and (2):

r - time which remains from the present moment until the end of the current optimum interval (optimum interval is the interval at the end of which the retention drops to the previously defined level, e.g. 95%)

s - length of the current optimum interval.

2. Just at the onset of the i-th repetition, r=0, while si>si-1>0 (si denotes s right at the onset of the i-th repetition). This indicates that there is no function g1 such that s=g1(r), i.e. s cannot be a function of r only.

3. During the inter-repetition interval, r(t1)<>r(t2) if t1<>t2 (t denotes time and r(t) denotes r at the moment t). On the other hand, s(t1)=s(t2) (s(t) denotes s at the moment t). This shows that there is no function g2 such that r=g2(s), or we would have: r(t1)=g2(s(t1))=g2(s(t2))=r(t2), which leads to a contradiction. r cannot be a function of s only.

4. In Steps 2 and 3 we have shown that r and s are
  independent, as there are no functions g1 and g2 such that s=g1(r)
  or r=g2(s). This obviously does not mean that there exists no
  parameter x and functions ys and yr such that s=ys(x) and r=yr(x).

5. It can be shown that r and s suffice to compute the optimum spacing of repetitions (cf. Eqns. (1) and (2)). Let us first assume that the two following functions fr and fs are known in the system involved in memory storage: ri=fr(si) and si=fs(si-1). In our case, these functions have a trivial form fr: ri=si and fs: si=si-1*C2 (where C2 is the constant from Eqn. (2)). In such a case, the variables r and s are sufficient to represent memory at any moment t in optimum spacing of repetitions. Here is a repetition spacing algorithm which shows this to be true:

  1. assume that the variables ri and si describe the state of memory after the i-th repetition
  2. let there elapse ri time
  3. let there be a repetition
  4. let the function fs be used to compute the new value of si+1 from si
  5. let the function fr be used to compute the new value of ri+1 from si+1
  6. i:=i+1
  7. goto 2

The above reasoning shows that variables r and s form a sufficient set of independent variables needed to compute the optimum spacing of repetitions. Obviously, using a set of transformation functions of the form r’’=Tr(r’) and s’’=Ts(s’), one can conceive an infinite family of variable pairs r-s that could describe the status of the memory system. A difficult choice remains to choose such a pair r-s that will most conveniently correspond with molecular phenomena occurring at the level of the synapse.

The following terminology and interpretation is proposed by the authors in a memory system involving the existence of the r-s pair of variables: the variable R, retrievability, determines the probability with which a given memory trace can be invoked at a given moment, while the variable S, stability of memory, determines the rate of decline of retrievability as a result of forgetting, and consequently the length of inter-repetition intervals in the optimum spacing of repetitions.

Assuming the negatively exponential decrease of retrievability, and the interpretation of stability as an inverse of the retrievability decay constant, we might conveniently represent the relationship between R and S using the following formula (t denotes time):

(3) R=e-t/S

The transformation functions from the pair r-s used in Steps 1-5 of the reasoning, to the proposed interpretation R-S will look as follows (assuming the definition of the optimum inter-repetition interval as the interval that produces retention of knowledge K=0.95):

(4) S=-s/ln(K)

(5) R=e-(s-r) /S

The relationship between the stability after the i-th repetition (Si) and the constants C1 and C2 determining the optimum spacing of repetitions as defined by Eqns. (1) and (2) can therefore be written as:

(6) Si=-(C1*C2i-1)/ln(K)

and finally, retrievability in the optimum spacing of repetitions can be expressed as:

(7) Ri(t)=exp(t*ln(K)/(C1*C2i-1))

where:

  • i - number of the repetition in question
  • t - time since the i-th repetition
  • Ri(t) - retrievability after the time t passing since the i-th repetition in optimum spacing of repetitions
  • C1 and C2 - constants from Eqns. (1) and (2)
  • K - retention of knowledge equal to 0.95 (it is important to notice that the relationship expressed by Eqn. (7) may not be true for retention higher than 0.95 due to spacing effect resulting from shorter intervals)

For the proposed interpretation of variables R and S, they should exhibit the following set of properties in accordance with the known properties of memory:

  1. R should be related to the probability of recalling a given memory engram; forgetting should be understood as the decrease in R
  2. R should reach a high value as early as after the first repetition, and decline rapidly in the matter of days (the average optimum inter-repetition interval for retention 95% equals several days)
  3. S determines the rate of decline of R (the higher the stability of memories, the slower the decrease of retrievability)
  4. with each repetition, as S gets higher, R declines at a slower rate (stability of memory increases with successive repetitions)
  5. S should assume a high value only after a larger number of repetitions (stability of memories is positively correlated with the amount of training)
  6. S should not change (significantly) during the inter-repetition interval
  7. if the value of R is high, repetitions do not affect S significantly (spacing effect)
  8. R and S increase only as a result of an effective repetition (i.e. repetition that takes place after a sufficiently long interval)
  9. As S increases, its further increase becomes easier

As shown above, if high levels of retrievability prevent the increase in stability, the two presented components of long-term memory suffice to account not only for the optimum spacing of repetition, but for the spacing effect as well.

The above properties of R and S can be used in the search for their molecular counterparts. Most importantly, retrievability should be correlated with changes that are immediately observable in the wake of learning (properties 1 and 2). This suggests that it might perhaps be correlated with some of the molecular phenomena associated with LTP (as listed earlier).

The existence of the second component of long-term memory, stability, has not been reported prior to the presented paper. The probable reason is that stability might manifest itself only after a number of training sessions, while a vast majority of molecular research has been done on memory processes spanning from minutes to days at the very most.

The most striking property of stability is its long-term sustainability (properties 4, 5, 6, and 8). This might perhaps indicate a potential involvement of gene expression and protein synthesis (Crick 1984).

Though little is known regarding which molecular factors might indeed correspond to the presented two-component model of long-term memory, extending the hypothesis of universal applicability of the increasing interval paradigm in optimum repetition spacing, the authors postulate that the existence of retrievability and stability of memories is likely to appear in a wide range of learning tasks across a broad spectrum of taxonomic categories in the living world.

REFERENCES

  • Alberini C.M. Ghirardi M., Metz R., Kandel E. R. (1994) C/EBP is an immediate-early gene required for the consolidation of long-term facilitation in Aplysia. Cell. 25: 76: 1099-114
  • Alkon D. L. (1989) Memory storage and neural systems. Sci. Am. 7: 42-50.
  • Aronica E., Frey U., Wagner M., Schroeder H., Krug M., Ruthtich H., Catania M. V., Nicoletti E., Reymann K. G..(1991) Enhanced sensitivity of "metabotropic" glutamate receptors after induction of long-term potentiation in rat hippocampus. J. Neurochem. 57: 376-383.
  • Bashir Z.I., Bortolotto Z.A., Davies C.H., Berretta N., Irving A.J., Seal A.J., Henley J.M, Jane D.E, Watkins J.C., Collingridge G.L. (1993) Induction of LTP in the hippocampus needs synaptic activation of glutamate metabotropic receptors. Nature 363: 347-350.
  • Bliss T. V. P, Lynch M. A.(1988) Long term potentiation of synaptic transmission in the hippocampus: Properties and mechanisms. (Eds. Landfield P. W. and Deadwwyler S. A). In: Neurology and neurobiology Allan R. Liss Inc., New York. 35: 3-72.
  • Bliss T.V.P., Collingridge G.L. (1993) A synaptic model of memory: long-term potentiation in the hippocampus. Nature 361: 31-39.
  • Bruchwyler J., Chleide E., Liégeois J. F., Carrer F. (1993) Nitric oxide: a new messenger in the brain. Neur. Behav. Rev. 17: 273-384.
  • Crick F. (1984) Memory and molecular turnover. Nature 312: 101.
  • Glenberg, A.M. (1977) Influences of the retrieval processes on the spacing effect in free recall. J. Exp. Psychol.: Hum. Learn. and Mem. 3: 282-294.
  • Hintzman D. L. (1974) Theories in cognitive psychology. The Loyola Symposium p. 77-99.
  • Kaczmarek L. (1993) Glutamate receptor-driven gene expression in learning. Acta Neurobiol. Exp. 53: 187-196.
  • Lisman J. E., Goldring M. A., (1988) Feasibility of long term storage of graded information by the calcium/calmodulin-dependent protein kinase molecules of the postsynaptic density. Proc. Natl. Acad. Sci. 85::5320-5324
  • Lynch G. (1984) Hypothetical model of the cellular basis of long-term potentiation. Science 224: 1057-1063
  • Matthis H. (1989) Neurobiological aspects of learning and memory. Ann. Rev. Psychol. 40: 381-404.
  • Mork A., Geisler A. (1989) The effects of lithium in vitro and ex vivo on adenylate cyclase in brain are excreted by distinct mechanisms. Neuropharmacology 28: 307-311.
  • Nahizaka Y.(1989) The role of protein kinase C in cell surface signal transduction and tumor promotion. JAMA 262: 1826-1833.
  • Qu M., Lu Z., Zilles K. (1994) Aging of nucleolar organizer region in rat basal forebrain neurons related to learning and memory. Anat. Anz. 176:39-43
  • Olds J. L., Anderson M. L., McPhie D. L., Staten D., Alkon D. L. Imaging of memory-specific changes in the distribution of PKC in the hippocampus. Science 245: 866-869
  • Spieler K., Schoch P., Martin J. R., Haefely W. (1993) Environmental stimulation promotes changes in the distribution of phorbol ester receptors. Pharmacol. Biochem. Behav. 46: 553-600.
  • Wood P. L., Emmett M. R., Rao T. S., Cler J., Mick S., Iynger S. (1990) Inhibition of nitric oxide synthetase blocks N-methyl-D-aspartate-, quisqualate-, kainate-, and pentylometetrazole-dependent increases in cerebellar cyclic GMP in vivo. J. Neurochem. 53: 979-981.
  • Wozniak P. A., Gorzelanczyk E. J. (1994) Optimization of repetition spacing in the practice of learning. Acta Neurobiol. Exp. 54: 59-69


Advanced English 2002

Introduction

Advanced English is a question-answer material designed for learners of English vocabulary and grammar. We are sure that, in combination with SuperMemo, it is the world's best and fastest avenue towards excellent command of English. It makes it possible to surpass the linguistic knowledge of native speakers!

You can now download the entire Advanced English 2002 (including the illustrating audio material). You can also upgrade your Advanced English 97 CD-ROM. If you still do not have SuperMemo 2002, you can order and download it all as Advanced English 2002 Power Pack (for registered users: upgrade).

History

Advanced English is a proprietary material developed at SuperMemo World specifically with the view to using SuperMemo. The system has first been released in eight parts in 1992 as a text only version for SuperMemo 6. In 1993, it was re-released in once piece comprising 35,000 items and designed for use with SuperMemo 7. In 1994, an improved version illustrated with 25,000 audio recordings was released on CD-ROM.

Between 1994 and 1997, Advanced English has continually been improved with newly emerging language constructs and adapted for use with SuperMemo 8. It was then released as Advanced English 97 with 27,000 partly updated recordings.

Between 1997 and 2002, Advanced English kept on growing and improving. The material now includes 41 thousands questions and answers.

In 2003, new Advanced English recordings are scheduled to be released. The whole set of 84,000 texts will be illustrated with sounds recorded by a native speaker to replace the 27,000 sound collection recorded by Meg Newcomer.

Features

  1. 41,000 items of updated lexicographic material with newly popularized, newly emerging, or newly recognized phrases such as: dot-com, Easy.com Easy.go, ethnic cleansing, cybersociology, evolutionary psychology, gaydar, screenager, foot-and-mouth disease, gamma testing, suicide bomber, Democratic Republic of Congo, etc. For comparison, new phrases introduced in 1997 version included: network computer, website, HTML, CDR, DVD, Prozac, taxol, Ecstasy, rowbike, mad cow disease, and more
  2. access to individual items by: (1) lexical category, (2) substring search, (3) alphabetical, (4) priority of the item in the learning process, (5) item difficulty, and more
  3. system entirely editable and extensible including texts, translations, sounds, comments, phonetic transcription, and more
  4. categorization of the material into a knowledge tree with main categories: (1) General English, (2) Sciences and Technology, (3) Economics, Law and Political Sciences and (4) Culture and History. For example, excitatory synapse can be found by category in Advanced English : Sciences, Technology and Medicine : Medical Sciences : Physiology : excitatory synapse.
  5. phonetic transcription comprising 72,000 items presented using IPA notation (the transcription registry is extendable and editable).
  6. instant phonetic transcription on mouse move (the program replaces English texts with IPA phonetic transcription).
  7. audio material comprising 27,000 American pronunciation recordings (1997 material has been digitally processed to improve quality and reduce size)
  8. integrated sections for testing pronunciation, spelling and comprehension
  9. integrated English Grammar
  10. browsing items belonging to a given category, random test on categories, random learning, item filters, item range and subset operations, categories, item path, learning advanced in time, postponed learning

Coverage

Apart from including over 15,000 items on general English, Advanced English puts a strong emphasis on science, technology, medicine, business and economics. It practically covers all areas and language aspects that should be known to a well-educated modern individual. Here are the main categories of Advanced English including the statistics expressed in SuperMemo items (for details see the picture at the bottom of this document):

  • general English: over 15,000 items
  • medical sciences 2700
  • idioms and proverbs 2100
  • technology 1400
  • business and economics 1200
  • slang and colloquial English 900
  • zoology 900
  • computer science 800
  • sports 700
  • mathematics 600
  • grammar 500
  • chemistry 400
  • humorous English 400
  • foods 400
  • derogatory English 400
  • military technology 400
  • botany 400
  • phrasal verbs 400
  • religion 400
  • geography 400
  • political sciences 300
  • agriculture 300
  • music 300
  • other categories such as: geology, British English, loanwords, telecommunications, physics, architecture, useful phrases, metrics units and numbers, irregular verbs, plural forms, euphemisms, abbreviations, antonyms, literature, history, and more

Order

  • SuperMemo 2002 + Advanced English 2002 (SuperMemo 2002, Advanced English 2002, audio material)
  • SuperMemo 2002 +Advanced English 2002 Upgrade (for users of other SuperMemos)
  • Advanced English 2002 Text-Only Upgrade (text-only that can be used to upgrade Advanced English 97)

Further reading

Archive:

  • Advanced English Help
  • Build your vocabulary with SuperMemo (Wozniak, Biedalak, Spotlight 1996)
  • Advanced English 97

Advanced English 2002 Contents:


Advanced English 97 CD-ROM

Advanced English CD-ROM with SuperMemo 8

Introduction

Advanced English is a question-answer material designed for learners of English vocabulary and grammar. In combination with SuperMemo, it is probably world's best and fastest avenue towards excellent command of English surpassing the linguistic knowledge of native speakers. You can now order Advanced English with SuperMemo on two CD-ROMs directly from SuperMemo World

History

Advanced English is a proprietary material developed at SuperMemo World specifically with the view to using SuperMemo. The system has first been released in eight parts in 1992 as a text only version for SuperMemo 6. In 1993, it was re-released in once piece comprising 35,000 items and designed for use with SuperMemo 7. In 1994, an improved version illustrated with 25,000 audio recordings was released on CD-ROM.

Over the last three years, Advanced English has continually been improved with newly emerging language constructs and adapted for use with SuperMemo 8. All users of earlier versions should highly appreciate the new release even if they have already memorized a substantial proportion of the 1994 release.

Features

  1. 40,000 items of updated lexicographic material with newly popular phrases such as: network computer, website, HTML, CDR, DVD, Prozac, taxol, Ecstasy, rowbike, mad cow disease, and many more.
  2. access to individual items by: (1) lexical category, (2) substring search, (3) alphabetical, (4) priority of the item in the learning process, (5) item difficulty, and many more.
  3. system entirely editable and extensible including texts, translations, sounds, comments, phonetic transcription, and many more.
  4. categorization of the material into a knowledge tree with main categories: (1) General English, (2) Sciences and Technology, (3) Economics, Law and Political Sciences and (4) Culture and History. For example, excitatory synapse can be found by category in Advanced English : Sciences, Technology and Medicine : Medical Sciences : Physiology : excitatory synapse.
  5. phonetic transcription comprising 72,000 items presented using IPA notation (the transcription registry is extendable and editable).
  6. instant phonetic transcription on mouse move (the program replaces English texts with IPA phonetic transcription).
  7. updated audio material comprising 27,000 recordings of which over 5,000 are completely new (American pronunciation). All sounds are sorted in editable sound registry by name.
  8. separate sections of the system for testing pronunciation, spelling and comprehension.
  9. additional supporting systems such as English Grammar, etc.
  10. all new exciting features of SuperMemo 8 such as: browsing items belonging to a given category, random test on categories, random learning, item filters, item range and subset operations, append nodes, item ordinal numbers, item path, etc. including all features of earlier versions of SuperMemo 7
  11. pleasant graphic and musical setting that parts with the monotonous SuperMemo 7
  12. additionally, users in Poland will obtain translation of the system to Polish with new options such as: editable translation registry, instant translation on mouse move, etc.

Coverage

Apart from including over 20,000 items on general English, Advanced English puts a strong emphasis on science, technology, medicine, business and economics. It practically covers all areas and language aspects that should be known to a well-educated modern individual. Here are the main categories of Advanced English including the statistics expressed in SuperMemo items:

  • general English: over 20000 items
  • medical sciences 2500
  • idioms and proverbs 2000
  • technology 1300
  • business and economics 1200
  • zoology 900
  • slang 800
  • computer science 700
  • sports 600
  • grammar 500
  • colloquial English 500
  • chemistry 400
  • humorous English 400
  • foods 400
  • derogatory English 400
  • mathematics 400
  • military technology 400
  • botany 400
  • phrasal verbs 400
  • religion 400
  • geography 400
  • political sciences 300
  • agriculture 300
  • music 300
  • other categories such as: geology, British English, loanwords, telecommunications, physics, architecture, useful phrases, metrics units and numbers, irregular verbs, plural forms, euphemisms, abbreviations, antonyms, literature, history, and more

Order Advanced English 97

Further reading

Archive: Advanced English Help

Build your vocabulary with SuperMemo (Wozniak, Biedalak, Spotlight 1996)


Translating Advanced English

These are detailed instructions for translating Advanced English 97 to a given language. Similar methods can be used to translate any learning material developed with SuperMemo, not only for CD-ROM publishing

Creating translation registry

To translate part (or all) Advanced English 97 to a selected language start with creating the translation registry:

  1. Install Advanced English 97 (choose English as the default interface)
  2. Click Advanced English icon and get yourself acquainted with the system
  3. Choose File : SuperMemo to activate SuperMemo 8 (if the menu is not available, press Ctrl+Alt+F12)
  4. Choose Tools : Options : Language
  5. At System translation type the name of the language (as this will be used for storing translation registry files, your name should use not more than 8 characters)
  6. Close the Options dialog by choosing OK.
  7. Translate the system using either interactive translation (simpler and more reliable) or using text files (easier in teams and does not require knowledge of SuperMemo 8). See for detail below.

Interactive translation (single translator)

To proceed with interactive translation of Advanced English 97 do the following (recommended for an individual translator):

  1. Make sure that no repetitions have been done in your newly installed Advanced English (pending queue will be used to proceed in the optimum translation sequence).
  2. Make sure the translation registry for your language has been created (i.e that you passed all steps from the previous paragraph).
  3. Press Ctrl+Home in Advanced English to get to the first page.
  4. Right-click the button Next and choose Next pending element (this way you will be moving along the pending queue why pressing PgUp and PgDn).
  5. Use PgUp and PgDn to move between pages (or Ctrl+G to jump to a specific page; note that page numbers are not related to the order in the pending queue).
  6. On each page, locate all text components and use Shift+click to open translation dialog box for each.
  7. Type in the translation in the lower pane (the original stays unchanged in the upper pane).
  8. See useful tips below for more information.

Team translation

To proceed with translation in text files (recommended for team translation):

  1. Make sure the translation registry for your language has been created (i.e that you passed all steps from the paragraph devoted to creating the translation registry).
  2. Decide which branches of the Contents should be translated by individual translators.
  3. Create subset files for each branch. For this purpose click the branch in the Contents window, right-click and choose Save as subset from pop-up menu.
  4. Export individual branches as text files with File : Export : Translation. Choose: (1) Sorting : By occurrence, (2) Output texts : Not translated, (3) Output elements : Subset. Use Browse to select the subset files created in the previous step. Leave Do not output duplicated entries unchecked and Output context checked.
  5. In exported text files replace ??? strings with appropriate translations (do not change anything else in the file).
  6. As soon as individual translated files are becoming available, import them with File : Import : Translation.
  7. Note that the same strings translated differently by different authors will be merged. This is not an error-proof procedure and you will have to manually resolve the import conflicts. Import : Translation will generate a report with all merged entries listed. The fastest way to resolve merged strings is:
    • copy the original string from the import report file to the clipboard
    • using Search : Text, paste the string in the search input box
    • correct the translation directly in the text registry as it appears on the screen

Useful tips:

  1. If PgUp or PgDn cannot be used (e.g. in spelling exercises), use Ctrl+PgUp and Ctrl+PgDn.
  2. Do not change the original text in English! If you find a mistake, report it to SuperMemo World. Otherwise, your translation will not be importable to mother system at SuperMemo World.
  3. You can easily review, search for and change translations by using Search : <Language> translation. The same can be accomplished with Search : Text with this difference that search and sorting will concern only the original texts.
  4. The percent of translations in the system can be viewed in the caption of the translation registry (Search : <Language> translation).
  5. When working in a team, try to minimize the differences in translating individual entries by frequently exporting and importing back partly translated files. This will also reduce the duplicated effort of translators working on different branches
  6. To see untranslated entries in text registry, you can choose Select untranslated on the pop-up menu. Untranslated members will be displayed as a registry subset.

If you still have questions write to SuperMemoMail for help


Introduction to Advanced English

Your fastest way to excellence in English!
If you want to get a perfect command of English, Advanced English is the best tool for you!!!

This is why:

  1. It uses the incredible speed-learning method SuperMemo
  2. It contains very rich material that will be enough to beat native speakers (at least in your knowledge of vocabulary)
  3. The material is build in a way that is easy to remember

Capitalize on ten years of research and development of SuperMemo and Advanced English! This great effort culminated in the present product: Advanced English

Choose one:

  • Order Advanced English on-line

  • Find out more about Advanced English

  • Read: Build your vocabulary with SuperMemo


SuperMemo Plug-ins

Repetition scheduling plug-in specification for the future releases of SuperMemo for Windows Dr P.A.Wozniak
Mar 27, 1998
Last updated: July 6, 1998

SuperMemo 8 uses Algorithm SM-8 for scheduling repetitions in the course of learning.
Work is underway on an experimental research project that is to verify the applicability of neural networks in repetition spacing.
Similarly, there is a potential for investigating other algorithmic approaches by interesting parties in the research community. Responding to an ages-old postulate coming from various research quarters, SuperMemo World decided to release the following specification of repetition scheduling component plug-in that is to be implemented in future versions of SuperMemo yet in 1998.
Using this specification, it shall be possible to write 32-bit DLL libraries that would implement all conceivable algorithms for scheduling repetitions in learning, and use it with SuperMemo 8 as a standard application shell.
SuperMemo 8 is a culmination of 10 year software development of a CASI tool based on repetition spacing (CASI: computer aided self-instruction). By releasing the present specification we open a way for other researchers to tap to this 10-year-old experience without the need to rely on our repetition spacing solution.

This is how to write to the presented specification:

  1. Implement the algorithm in a single 32-bit Windows DLL with Pascal calling conventions (i.e. reading arguments from left to right, passing parameters via stack, with automatic stack cleaning upon return and uppercase identifiers).
  2. DLL will be installed into a directory determined by SuperMemo 8 (standardly ALG, e.g. c:\sm8\alg\<name>.dll)
  3. DLL should store its global data files in a single directory with the same name as the library itself and created by the DLL in the same directory in which the DLL had been installed (e.g. c:\sm8\alg\<name>\<data files>.*)
  4. DLL should store its local data files (i.e. files pertaining to a given knowledge system) in the ALG\<name> subdirectory of the knowledge system. For example if the plug-in DLL is named sm2.dll and the knowledge system is called mysys then global files might be located in c:\sm8\alg\sm2\ directory while local files in c:\sm8\systems\mysys\alg\sm2\
  5. SuperMemo 8 installs the DLL with the command Tools : Options : SuperMemo : Plug-In Algorithm : Install and effectively supplants the default Algorithm SM-8 (uninstallation with Tools : Options : SuperMemo : Plug-In Algorithm : Restore default)
  6. Upon installing, the DLL's procedure Install(path:PChar) is be called (if defined). The path argument here indicates the directory in which the DLL is being installed (e.g. 'c:\sm8\alg' in the example mentioned above)
  7. Optionally, the DLL can define procedure Description(var text:PChar) that makes it possible to shortly describe the plug-in. The description is used in Tools : Options : SuperMemo : Plug-In Algorithm to identify the currently installed plug-in.
  8. Upon opening a new knowledge system a procedure Initialize is called with PChar parameter pointing to the path to the knowledge system files: Initialize(path:PChar). For example, if the system is c:\sm8\systems\mysys.kno then the value of PChar is 'c:\sm8\systems\mysys'.
  9. Upon repetition the procedure Repetition is be called:
    Repetition(ElementNumber:integer;Grade:0..5;var NewInterval:integer;commit:boolean)
    where:
    • ElementNumber - number of the element that has just been rehearsed
    • integer - 32-bit unsigned integer
    • Grade - integer denoting the grade the repeated element scored in the current repetition
    • NewInterval - new interval in days to be used by the element (next repetition date is the current date plus NewInterval). Note that SuperMemo sets this value on input like it would otherwise be set by Algorithm SM-8! You can use this property for comparing your algorithm with the original SuperMemo algorithm.
    • commit - indication if the repetition data should be committed or if the Cancel Grade option could yet be invoked
    • boolean - 16-bit boolean variable (0 - false, 1 - true)
  10. The procedure Repetition is obligatory and is called twice in the course of a single repetition:
    • first with commit set to false after executing the repetition and generating a grade (e.g. with pressing Bright, Pass, etc.)
    • second with commit set to true at the moment of committing the repetition (e.g. with Next Repetition, Stop, quitting the program, etc.)
  11. The program feeds the DLL with the number of the repetition and the grade upon calling Repetition and in return obtains the new interval that indicates the date of the next repetition of the current element
  12. Upon resetting the knowledge system, the procedure ResetAlgorithm is be called to delete the data related to the learning process. Note that this procedure is also called at the moment of installing the plug-in!
  13. Upon closing the current knowledge system, the procedure Finalize is be called
  14. Optionally the DLL can provide the procedure Statistics for presenting algorithm-specific statistics and parameters available with Tools : Statistics : Plug-in. The traditional statistics dialog box available from Tools : Statistics : Algorithm still provides access to all parameters that would otherwise be set by Algorithm SM-8 assuming the newly generated intervals were taken from the plug-in process!

Important! Algorithm SM-8 continues running in the background upon installing the plug-in. This way, the user is always able to return to standard repetitions with Tools : Options : SuperMemo : Plug-In Algorithm : Restore default with little detriment to the learning process!

More about the repetition scheduling plug-in:

  1. For an exemplary source code see: SuperMemo 2 Plug-In Source Code (including an exemplary DLL).
  2. To learn more about neural network plug-in see Neural Network SuperMemo.


SuperMemo Algorithm

Algorithm used in SuperMemo 8 for Windows Dr P.A.Wozniak,
Sep 10, 1995

Below you will find a general outline of the sixth major formulation of the repetition spacing algorithm used in SuperMemo. It is referred to as Algorithm SM-8 since it was first implemented in SuperMemo 8. Although the increase in complexity of Algorithm SM-8 as compared with its predecessor, Algorithm SM-6, is incomparably greater than the expected benefit for the user, there is a substantial theoretical and practical evidence that the increase in the speed of learning resulting from the upgrade may fall into the range from 30 to 50%.

Historic note: earlier releases of the algorithm

Although the presented algorithm may seem complex, you should find it easier and more natural once you understand the evolution of individual concepts such as E-Factor, matrix of optimum intervals, optimum factors, and forgetting curves.

  • 1985 - Paper-and-pencil version of SuperMemo is formulated (Algorithm SM-0). Repetitions of whole pages of material proceed along a fixed table of intervals. See also: Using SuperMemo without a computer
  • 1987 - First computer implementation makes it possible to divide material into individual items. Items are classified into difficulty categories by means of E-Factor. Each difficulty category has its own optimum spacing of repetitions (Algorithm SM-2)
  • 1989 - SuperMemo 4 was able to modify the function of optimum intervals depending on the student's performance (Algorithm SM-4)
  • 1989 - SuperMemo 5 replaced the matrix of optimum intervals with the matrix of optimal factors (an optimum factor is the ratio between successive intervals). This approach accelerated the modification of the function of optimum intervals (Algorithm SM-5)
  • 1991 - SuperMemo 6 derived optimal factors from forgetting curves plotted for each entry of the matrix of optimum factors. This could dramatically speed up the convergence of the function of optimum intervals to its ultimate value (Algorithm SM-6)
  • 1995 - SuperMemo 8 Pre-Release 1 capitalized on data collected by users of SuperMemo 6 and SuperMemo 7 and added a number of improvements that strengthened the theoretical validity of the function of optimum intervals and made it possibility to accelerate its modification, esp. in early stages of learning (Algorithm SM-8). New concepts include:
    • replacing E-factors with absolute difficulty factors: A-Factors
    • fast approximation of A-Factors from the FirstGrade-vs.-A-Factor correlation graph and ForgettingIndex-Grade graph
    • real-time adjustment of the matrix of optimal factors based on introducing D-Factors and power approximation of the decline of optimum factors

Algorithm SM-8

SuperMemo computes optimum inter-repetition interval by storing the recall record of individual items. This record is used to estimate the current strength of a given memory and the difficulty of the underlying item. This difficulty expresses complexity of memories and the effort needed to produce unambiguous and stable memory traces. SuperMemo takes the requested recall rate as the optimization criterion (e.g. 95%), and computes the intervals that satisfy this criterion. The function of optimum intervals is represented in a matrix form (OF matrix) and is subject to modification based on the results of the learning process.

This is a more detailed description of the Algorithm SM-8:

  1. Inter-repetition intervals are computed using the following formula:

    I(1)=OF[1,L+1]
    I(n)=I(n-1)*OF[n,AF]

    where:

    • OF - matrix of optimal factors, which is modified in the course of repetitions
    • OF[1,L+1] - value of the OF matrix entry taken from the first row and the L+1 column
    • OF[n,AF] - value of the OF matrix entry that corresponds with the n-th repetition, and with item difficulty AF
    • L - number of times a given item has been forgotten (from "memory Lapses")
    • AF - number that reflects absolute difficulty of a given item (from "Absolute difficulty Factor")
    • I(n) - n-th inter-repetition interval for a givent item
  2. The matrix of optimal factors OF used in Point 1 has been derived from the mathematical model of forgetting and from similar matrices built on data collected in years of repetitions in collections created by a number of users. Its initial setting corresponds with values found for a less-than-average student. During repetitions, upon collecting more and more data about the student’s memory, the matrix is gradually modified to make it approach closely the actual student’s memory properties. After years of repetitions, new data can be fed back to generate more accurate initial matrix OF. In SuperMemo 2000, this matrix can be viewed in 3D with Tools : Statistics : Analysis : 3-D Graphs : O-Factor Matrix
  3. The absolute item difficulty factor (A-Factor), denoted AF in Point 1, expresses the difficulty of an item (the higher it is, the easier the item). It is worth noting that AF=OF[2,AF]. In other words, AF denotes the optimum interval increase factor after the second repetition. This is also equivalent with the highest interval increase factor for a given item. Unlike E-Factors in Algorithm SM-6 employed in SuperMemo 6 and SuperMemo 7, A-Factors express absolute item difficulty and do not depend on the difficulty of other items in the same collection of study material
  4. Optimum values of the entries of the OF matrix are derived through a sequence of approximation procedures from the RF matrix which is defined in the same way as the OF matrix (see Point 1), with the exception that its values are taken from the real learning process of the actual student. Initially, matrices OF and RF are identical; however, entries of the RF matrix are modified with each repetition, and a new value of the OF matrix is computed from the RF matrix by using approximation procedures. This effectively produces the OF matrix as a smoothed up form of the RF matrix. In simple terms, the RF matrix at any given moment corresponds to its best-fit value derived from the learning process; however, each entry is considered a best-fit entry on it’s own, i.e. in abstraction from the values of other RF entries. At the same time, the OF matrix is considered a best-fit as a whole. In other words, the RF matrix is computed entry by entry during repetitions, while the OF matrix is a smoothed copy of the RF matrix
  5. Individual entries of the RF matrix are computed from forgetting curves approximated for each entry individually. Each forgetting curve corresponds with a different value of the repetition number and a different value of A-Factor (or memory lapses in the case of the first repetition). The value of the RF matrix entry corresponds to the moment in time where the forgetting curve passes the knowledge retention point derived from the requested forgetting index. For example, for the first repetition of a new item, if the forgetting index equals 10%, and after four days the knowledge retention indicated by the forgetting curve drops below 90% value, the value of RF[1,1] is taken as four. This means that all items entering the learning process will be repeated after four days (assuming that the matrices OF and RF do not differ at the first row of the first column). This satisfies the main premise of SuperMemo, that the repetition should take place at the moment when the forgetting probability equals 100% minus the forgetting index stated as percentage. In SuperMemo 2000, forgetting curves can be viewed with Tools : Statistics : Analysis : Curves:
  6. The OF matrix is derived from the RF matrix by: (1) fixed-point power approximation of the R-Factor decline along the RF matrix columns (the fixed point corresponds to second repetition at which the approximation curve passes through the A-Factor value), (2) for all columns, computing D-Factor which expresses the decay constant of the power approximation, (3) linear regression of D-Factor change across the RF matrix columns and (4) deriving the entire OF matrix from the slope and intercept of the straight line that makes up the best fit in the D-Factor graph. The exact formulas used in this final step go beyond the scope of this illustration.
    Note that the first row of the OF matrix is computed in a different way. It corresponds to the best-fit exponential curve obtained from the first row of the RF matrix.
    All the above steps are passed after each repetition. In other words, the theoretically optimum value of the OF matrix is updated as soon as new forgetting curve data is collected, i.e. at the moment, during the repetition, when the student, by providing a grade, states the correct recall or wrong recall (i.e. forgetting) (in Algorithm SM-6, a separate procedure Approximate had to be used to find the best-fit OF matrix, and the OF matrix used at repetitions might differ substantially from its best-fit value)
  7. The initial value of A-Factor is derived from the first grade obtained by the item, and the correlation graph of the first grade and A-Factor (G-AF graph). This graph is updated after each repetition in which a new A-Factor value is estimated and correlated with the item’s first grade. Subsequent approximations of the real A-Factor value are done after each repetition by using grades, OF matrix, and a correlation graph that shows the correspondence of the grade with the expected forgetting index (FI-G graph). The grade used to compute the initial A-Factor is normalized, i.e. adjusted for the difference between the actually used interval and the optimum interval for the forgetting index equal 10%
  8. The FI-G graph is updated after each repetition by using the expected forgetting index and grade values. The expected forgetting index can easily be derived from the interval used between repetitions and the optimum interval computed from the OF matrix. The higher the value of the expected forgetting index, the lower the grade. From the grade and the FI-G graph (see FI-G graph in Analysis), we can compute the estimated forgetting index which corresponds to the post-repetition estimation of the forgetting probability of the just-repeated item at the hypothetical pre-repetition stage. Because of the stochastic nature of forgetting and recall, the same item might or might not be recalled depending on the current overall cognitive status of the brain; even if the strength and retrievability of memories of all contributing synapses is/was identical! This way we can speak about the pre-repetition recall probability of an item that has just been recalled (or not). This probability is expressed by the estimated forgetting index
  9. From (1) the estimated forgetting index, (2) length of the interval and (3) the OF matrix, we can easily compute the most accurate value of A-Factor. Note that A-Factor serves as an index to the OF matrix, while the estimated forgetting index allows one to find the column of the OF matrix for which the optimum interval corresponds with the actually used interval corrected for the deviation of the estimated forgetting index from the requested forgetting index

To sum it up. Repetitions result in computing a set of parameters characterizing the memory of the student: RF matrix, G-AF graph and FI-G graph. They are also used to compute A-Factors of individual items that characterize the difficulty of the learned material. The RF matrix is smoothed up to produce the OF matrix, which in turn is used in computing the optimum inter-repetition interval for items of different difficulty (A-Factor) and different number of repetitions (or memory lapses in the case of the first repetition). Initially, all student’s memory parameters are taken as for a less-than-average student, while all A-Factors are assumed to be equal

Optimization solutions used in Algorithm SM-8 have been perfected over 10 years of using the SuperMemo method with computer-based algorithms (first implementation: December 1987). This makes sure that the convergence of the starting memory parameters with the actual parameters of the student proceeds in a very short time. Similarly, the introduction of A-Factors and the use of the G-AF graph greatly enhanced the speed of estimating individual item difficulty. The adopted solutions are the result of constant research into new algorithmic variants. The postulated employment of neural networks in repetition spacing is not likely to compete with the presented algebraic solution. Although it has been claimed that Algorithm SM-6 is not likely to ever be substantially improved (because of the substantial interference of daily casual involuntary repetitions with the highly tuned repetition spacing), the initial results obtained with Algorithm SM-8 are very encouraging and indicate that there is a detectable gain at the moment of introducing new material to memory, i.e. at the moment of the highest workload. After that, the performance of Algorithms SM-6 and SM-8 is comparable. The gain comes from faster convergence of memory parameters used by the program with actual memory parameters of the student. The increase in the speed of the convergence was achieved by employing actual approximation data obtained from students who used SuperMemo 6 and/or SuperMemo 7

Algorithm SM-8 is constantly being perfected in successive releases of SuperMemo, esp. to account for newly collected repetition data, convergence data, input parameters, etc.

If you would like your own software to use the Algorithm SM-8, read about SM8OPT.DLL

If you would like to use SuperMemo, but you would like to use a different repetition spacing algorithm, you might want to find out about repetition scheduling plug-in options

Frequently Asked Questions

(Steven Trezise, USA, Apr 20, 1999)
Question:
In my collection, I have items for which I have done between 1 and 8 repetitions. However, when I look at the Cases matrix, there are no entries beyond repetition 3
Answer:
The algorithm used by SuperMemo updates all optimization matrices using repetition categories, not the actual repetition number (you can view the optimization matrices with Tools : Statistics : Analysis : Matrices). A repetition category is an expected number of repetitions needed to reach the currently used interval. Once the matrices change, the estimation of repetition category may change too. If, for example, you score well in repetitions and your intervals become longer, it will take fewer repetitions to get to a given interval. In such a case, you might be at 8-th repetition while your repetition category will be 3. All matrices such as OF matrix, RF matrix, etc. will be updated in the third row (not in the 8-th row)

(Zoran Maximovic, Serbia, Sep 25, 2000)
Question:
In approximation graphs in Tools : Statistics : Analysis, some of the curves "jump out" of the graph area. What is wrong?
Answer:

This was a harmless bug in the algorithm in SuperMemo 98/99. The assumption is that intervals cannot grow beyond the value of A-Factor. For that reason, the maximum R-Factor should equal the relevant A-Factor. However, in plotting the forgetting curves, higher values of U-Factors are used as repetitions may be delayed (e.g. with Mercy, user procrastination, etc.). The algorithm puts a cap on the maximum R-Factor value (along the theoretical assumption that R-Factors cannot be greater than corresponding A-Factors). However, the implementation used the maximum U-Factor value as the cap (the one used in plotting the forgetting curve). Consequently, R-Factors could grow larger than A-Factors and the curve would "jump out" of the graph, which displays the correct cap.
This bug should have little effect on the learning process. The higher cap does not invalidate the correctness of R-Factors. It just does not prevent very long intervals in case of very good repetition results.

This bug has been fixed in SuperMemo 2000

(Dr. Prateek Mishra, India, Oct 5, 2000)
Question:
I noticed that A-Factor may decrease even if the grade is Bright. Is this correct?
Answer:
Usually, the better the grade the greater the increase in A-Factor. However, the new value of A-Factor for Repetition>1 is computed by trying to find this column in OF matrix which provides the best fit for the estimated value of the optimal interval for the just executed repetition. In other words, the algorithm checks how well the item fared after a given interval, make a guess as to the optimal interval for similar situations in the future, and then, using the same information makes a guess as to the true difficulty of the just repeated item. If your item was considered "A-Factor(i) difficult" on Day(i) and the values in the OF matrix increased substantially before the Day(i+1) on which the next repetition takes place, A-Factor(j+1) may appear lower than A-Factor(i) even if you scored Bright (which reflects the fact that the used interval could even be longer). Simply, the relative valuation of difficulty will have changed during the inter-repetition interval. It is worth to note that each time you worry about the accuracy of the SuperMemo algorithm, you should simply look at the measured forgetting index in the statistics (Measured FI). This value should equal to your requested forgetting index. Usually it is slightly higher due to minor inaccuracies of the algorithm. However, the main contributor to an overly high measured forgetting index is delay in making repetitions (the picture illustrates slow 7-months-long recovery of the measured forgetting index from a one-time use of Tools : Mercy in SuperMemo)

To better understand the relationship between the new value of A-Factor and the estimated forgetting index, see this function taken from SuperMemo 2000 source code (simplified for clarity; valid only for Repetition>1):

function GetNewAFactorFromEstimatedFI(IOD:PItemOptimizationData):real;
var col:byte;
OptimumInterval,OFactor:real;
begin
with IOD^ do begin
OptimumInterval:=(UsedInterval*ln(0.9)/ln(1-EstimatedFI/100));
{Optimum
interval computed from EstimatedFI and adjusted to FI=10%}
OFactor:=OptimumInterval/UsedInterval*UFactor;
for col:=20
downto 1 do {scan columns of the OF
matrix}
if OFactor>EstimatedOFactor(col,RepetitionsCategory) then
break;
end;
Result:=AFactorFromOFColumn(col); {new
value of A-Factor}
end;

Forgetting curve for ill-formulated items is flattened
(anonymous, Wednesday, July 25, 2001 2:54 PM)
Question:
I had a 5-months break in using SuperMemo. I resumed my repetitions and noticed that I still remembered many items. Initially, SuperMemo asked me to repeat difficult items (e.g. enumerations). To my surprise, I remembered many of these items. SuperMemo required a 15 days interval, while I made my repetitions after 150 days and still succeeded. I no longer believe in the optimality of the SuperMemo algorithm. Probably it is 10 times worse than optimal
Answer:
Your results are in full compliance with theoretical expectations. It is no surprise that SuperMemo initially tossed the most difficult items at you, and it is no surprise that you showed remarkable recall on these items. Those items clearly belong to those that have not been formulated in compliance with representation rules (e.g. enumerations are notoriously difficult). If you imagine memories as sets of apples (you can see an apple as a single synapse in the brain), good memories are like small collections of well-polished apples. Bad memories (e.g. enumerations, complex items, ambiguous items, etc.) are like large collections of apples of which few are spoilt. Naturally, spoilt apples rot fast and make recall difficult. After just 15 days, all spoilt apples might have been rotten. During the remaining 150 days, the remaining apples rot very slowly. Hence the typical departure of wrongly formulated items from the shape of the classical forgetting curve. For bad items, the curve is flattened (as an expected superposition of several Ebbinghausian curves). SuperMemo blindly obeys your recall criteria. If it takes 15 days to ensure 98% recall, SuperMemo will take no consideration of the fact that at 150 days you may still show 95% recall. This is why SuperMemo 2000 includes leech management. It makes it easy to identify bad items and use auto-postpone or auto-forget options. Auto-postpone will do exactly what you expect, i.e. delay bad items with little impact on overall retention. Auto-forget will help you rebuild memories from scratch. Occasionally, the newly established memory representation will click and your recall will improve. Naturally, the best method against bad items is the use of appropriate representation (see: 20 rules of formulating knowledge for learning). Interestingly, SuperMemo can never predict the moment of forgetting of a single item. Forgetting is a stochastic process and can only operate on averages. A frequently propagated fallacy about SuperMemo is that it predicts the exact moment of forgetting: this is not true, and this is not possible. What SuperMemo does is a search for intervals at which items of given difficulty are likely to show a given probability of forgetting (e.g. 5%). If you look for a numerical measure of the algorithm's inaccuracy, instead of comparing intervals you should rather compare retention levels as the retention is the optimization criterion here. Even for a pure negatively exponential forgetting curve, a 10-fold deviation in interval estimation will result in R2=exp(10*ln(R1)) difference in retention. This is equivalent to a drop from 98% to 81%. For a flattened forgetting curve typical of badly-formulated items, this drop may be as little as 98%->95%

Flatter forgetting curve does not increase optimum interval
(Tomasz P. Szynalski, Saturday, August 04, 2001 5:53 AM)
Question:
If the forgetting curve is flatter for difficult items, I will remember them for a longer time, right? Does that suggest that ill-formulated items are remembered better?
Answer:
No. Flattened forgetting curve will increase retention measurements in intervals that are a multiple of the optimum interval as compared with the typical negatively exponential curve for well-structured material. However, the optimum intervals for ill-formulated items will expectedly be shorter as can be observed on the first interval graph in Tools : Statistics : Analysis : Graphs : First Interval. The smoothness of this graph depends on the number of repetitions recorded. In the picture below, over 90,000 repetitions have been recorded


SuperMemo Algorithm

Repetition spacing algorithm used in SuperMemo 2002 Dr P.A. Wozniak,
April 2, 2002

Below you will find a general outline of the seventh major formulation of the repetition spacing algorithm used in SuperMemo. It is referred to as Algorithm SM-11 since it was first implemented in SuperMemo 11.0 (SuperMemo 2002). Although the increase in complexity of Algorithm SM-11 as compared with its predecessors (e.g. Algorithm SM-6) is incomparably greater than the expected benefit for the user, there is a substantial theoretical and practical evidence that the increase in the speed of learning resulting from the upgrade may fall into the range from 30 to 50%. In addition, Algorithm SM-11 eliminates problems with repetition delay and repetition advancement evident in Algorithm SM-8.

Historic note: earlier releases of the algorithm

Although the presented algorithm may seem complex, you should find it easier to follow its steps once you understand the evolution of individual concepts such as E-Factor, matrix of optimum intervals, optimum factors, forgetting curves, or mid-interval repetition:

  • 1985 - Paper-and-pencil version of SuperMemo is formulated (Algorithm SM-0). Repetitions of whole pages of material proceed along a fixed table of intervals. See also: Using SuperMemo without a computer
  • 1987 - First computer implementation makes it possible to divide material into individual items. Items are classified into difficulty categories by means of E-Factor. Each difficulty category has its own optimum spacing of repetitions (Algorithm SM-2)
  • 1989 - SuperMemo 4 was able to modify the function of optimum intervals depending on the student's performance (Algorithm SM-4)
  • 1989 - SuperMemo 5 replaced the matrix of optimum intervals with the matrix of optimal factors (an optimum factor is the ratio between successive intervals). This approach accelerated the modification of the function of optimum intervals (Algorithm SM-5)
  • 1991 - SuperMemo 6 derived optimal factors from forgetting curves plotted for each entry of the matrix of optimum factors. This could dramatically speed up the convergence of the function of optimum intervals to its ultimate value (Algorithm SM-6)
  • 1995 - SuperMemo 8 capitalized on data collected by users of SuperMemo 6 and SuperMemo 7 and added a number of improvements that strengthened the theoretical validity of the function of optimum intervals and made it possibility to accelerate its modification, esp. in early stages of learning (Algorithm SM-8). New concepts:
    • replacing E-factors with absolute difficulty factors: A-Factors
    • fast approximation of A-Factors from the FirstGrade-vs.-A-Factor correlation graph and ForgettingIndex-Grade graph
    • real-time adjustment of the matrix of optimal factors based on the power approximation of the decline of optimum factors
  • 2002 - SuperMemo 2002 introduced the first SuperMemo algorithm that is entirely resistant to interference from delay or advancement of repetitions. This makes it possible to safely delay repetitions (Postpone) or advance repetitions (Review):
    • accounting for delayed repetitions by introducing the concept of repetition categories
    • accounting for advanced repetitions by introducing O-Factor decrements derived from the concept of the spacing effect

Algorithm SM-11

SuperMemo computes optimum inter-repetition interval by storing the recall record of individual items. This record is used to estimate the current strength of a given memory trace, and the difficulty of the underlying piece of knowledge (item). The item difficulty expresses the complexity of memories, and reflects the effort needed to produce unambiguous and stable memory traces. SuperMemo takes the requested recall rate as the optimization criterion (e.g. 95%), and computes the intervals that satisfy this criterion. The function of optimum intervals is represented in a matrix form (OF matrix) and is subject to modification based on the results of the learning process.

Important! Algorithm SM-11 is used only to compute the intervals between repetitions of items. Topics are reviewed at intervals computed with an entirely different algorithm (not described here).

This is a more detailed description of the Algorithm SM-11:

  1. Optimum interval: Inter-repetition intervals are computed using the following formula:

    I(1)=OF[1,L+1]
    I(n)=I(n-1)*OF[n,AF]

    where:

    • OF - matrix of optimal factors, which is modified in the course of repetitions
    • OF[1,L+1] - value of the OF matrix entry taken from the first row and the L+1 column
    • OF[n,AF] - value of the OF matrix entry that corresponds with the n-th repetition, and with item difficulty AF
    • L - number of times a given item has been forgotten (from "memory Lapses")
    • AF - number that reflects absolute difficulty of a given item (from "Absolute difficulty Factor")
    • I(n) - n-th inter-repetition interval for a givent item
  2. Advanced repetitions: Because of possible advancement in executing repetitions (e.g. forced review before an exam), the actual optimum factor (OF) used to compute the optimum interval is decremented by dOF using formulas that account for the spacing effect in learning:

    dOF=dOFmax*a/(thalf+a)
    dOFmax=(OF-1)*(OI+thalf-1)/(OI-1)

    where:

    • dOF - decrement to OF resulting from the spacing effect
    • a - advancement of the repetition in days as compared with the optimum schedule (note that there is no change to OF if a=0, i.e. the repetition takes time at optimum time)
    • dOFmax - asymptotic limit on dOF for infinite a (note that for a=OI-1 the decrement will be OF-1 which corresponds to no increase in inter-repetition interval)
    • thalf - advancement at which there is half the expected increase to synaptic strength as a result of a repetition (presently this value corresponds roughly to 60% of the length of the optimum interval for well-structured material)
    • OF - optimum factor (i.e. OF[n,AF] for the n-th interval and a given value of AF)
    • OI - optimum interval (as derived from the matrix OF)
  3. Delayed repetitions: Because of possible delays in executing repetitions, matrix OF is not actually indexed with repetitions but with repetition categories. For example if the 5-th repetition is delayed, OF matrix is used to compute the repetition category, i.e. the theoretical value of the repetition number that corresponds with the interval used before the repetition. The repetition category may, for example, assume the value 5.3 and we will arrive at I(5)=I(4)*OF[5.3,AF] where OF[5.3,AF] has a intermediate value derived from OF[5,AF] and OF[6,AF]
  4. Matrix of optimum intervals: SuperMemo does not store the matrix of optimum intervals as in some earlier versions. Instead it keeps a matrix of optimal factors that can be converted to the matrix of optimum intervals (as in the formula from Point 1). The matrix of optimal factors OF used in Point 1 has been derived from the mathematical model of forgetting and from similar matrices built on data collected in years of repetitions in collections created by a number of users. Its initial setting corresponds with values found for a less-than-average student. During repetitions, upon collecting more and more data about the student’s memory, the matrix is gradually modified to make it approach closely the actual student’s memory properties. After years of repetitions, new data can be fed back to generate more accurate initial matrix OF. In SuperMemo 2002, this matrix can be viewed in 3D with Tools : Statistics : Analysis : 3-D Graphs : O-Factor Matrix
  5. Item difficulty: The absolute item difficulty factor (A-Factor), denoted AF in Point 1, expresses the difficulty of an item (the higher it is, the easier the item). It is worth noting that AF=OF[2,AF]. In other words, AF denotes the optimum interval increase factor after the second repetition. This is also equivalent with the highest interval increase factor for a given item. Unlike E-Factors in Algorithm SM-6 employed in SuperMemo 6 and SuperMemo 7, A-Factors express absolute item difficulty and do not depend on the difficulty of other items in the same collection of study material (see FAQs for explanation)
  6. Deriving OF matrix from RF matrix: Optimum values of the entries of the OF matrix are derived through a sequence of approximation procedures from the RF matrix which is defined in the same way as the OF matrix (see Point 1), with the exception that its values are taken from the real learning process of the student for who the optimization is run. Initially, matrices OF and RF are identical; however, entries of the RF matrix are modified with each repetition, and a new value of the OF matrix is computed from the RF matrix by using approximation procedures. This effectively produces the OF matrix as a smoothed up form of the RF matrix. In simple terms, the RF matrix at any given moment corresponds to its best-fit value derived from the learning process; however, each entry is considered a best-fit entry on it’s own, i.e. in abstraction from the values of other RF entries. At the same time, the OF matrix is considered a best-fit as a whole. In other words, the RF matrix is computed entry by entry during repetitions, while the OF matrix is a smoothed copy of the RF matrix
  7. Forgetting curves: Individual entries of the RF matrix are computed from forgetting curves approximated for each entry individually. Each forgetting curve corresponds with a different value of the repetition number and a different value of A-Factor (or memory lapses in the case of the first repetition). The value of the RF matrix entry corresponds to the moment in time where the forgetting curve passes the knowledge retention point derived from the requested forgetting index. For example, for the first repetition of a new item, if the forgetting index equals 10%, and after four days the knowledge retention indicated by the forgetting curve drops below 90% value, the value of RF[1,1] is taken as four. This means that all items entering the learning process will be repeated after four days (assuming that the matrices OF and RF do not differ at the first row of the first column). This satisfies the main premise of SuperMemo, that the repetition should take place at the moment when the forgetting probability equals 100% minus the forgetting index stated as percentage. In SuperMemo 2002, forgetting curves can be viewed with Tools : Statistics : Analysis : Curves (or in 3-D with Tools : Statistics : Analysis : 3-D Curves):
  8. Deriving OF matrix from the forgetting curves: The OF matrix is derived from the RF matrix by: (1) fixed-point power approximation of the R-Factor decline along the RF matrix columns (the fixed point corresponds to second repetition at which the approximation curve passes through the A-Factor value), (2) for all columns, computing D-Factor which expresses the decay constant of the power approximation, (3) linear regression of D-Factor change across the RF matrix columns and (4) deriving the entire OF matrix from the slope and intercept of the straight line that makes up the best fit in the D-Factor graph. The exact formulas used in this final step go beyond the scope of this illustration.
    Note that the first row of the OF matrix is computed in a different way. It corresponds to the best-fit exponential curve obtained from the first row of the RF matrix.
    All the above steps are passed after each repetition. In other words, the theoretically optimum value of the OF matrix is updated as soon as new forgetting curve data is collected, i.e. at the moment, during the repetition, when the student, by providing a grade, states the correct recall or wrong recall (i.e. forgetting) (in Algorithm SM-6, a separate procedure Approximate had to be used to find the best-fit OF matrix, and the OF matrix used at repetitions might differ substantially from its best-fit value)
  9. Item difficulty: The initial value of A-Factor is derived from the first grade obtained by the item, and the correlation graph of the first grade and A-Factor (G-AF graph). This graph is updated after each repetition in which a new A-Factor value is estimated and correlated with the item’s first grade. Subsequent approximations of the real A-Factor value are done after each repetition by using grades, OF matrix, and a correlation graph that shows the correspondence of the grade with the expected forgetting index (FI-G graph). The grade used to compute the initial A-Factor is normalized, i.e. adjusted for the difference between the actually used interval and the optimum interval for the forgetting index equal 10%
  10. Grades vs. the expected forgetting index correlation: The FI-G graph is updated after each repetition by using the expected forgetting index and grade values. The expected forgetting index can easily be derived from the interval used between repetitions and the optimum interval computed from the OF matrix. The higher the value of the expected forgetting index, the lower the grade. From the grade and the FI-G graph (see FI-G graph in Analysis), we can compute the estimated forgetting index which corresponds to the post-repetition estimation of the forgetting probability of the just-repeated item at the hypothetical pre-repetition stage. Because of the stochastic nature of forgetting and recall, the same item might or might not be recalled depending on the current overall cognitive status of the brain; even if the strength and retrievability of memories of all contributing synapses is/was identical! This way we can speak about the pre-repetition recall probability of an item that has just been recalled (or not). This probability is expressed by the estimated forgetting index
  11. Computing A-Factors: From (1) the estimated forgetting index, (2) length of the interval and (3) the OF matrix, we can easily compute the most accurate value of A-Factor. Note that A-Factor serves as an index to the OF matrix, while the estimated forgetting index allows one to find the column of the OF matrix for which the optimum interval corresponds with the actually used interval corrected for the deviation of the estimated forgetting index from the requested forgetting index

To sum it up. Repetitions result in computing a set of parameters characterizing the memory of the student: RF matrix, G-AF graph, and FI-G graph. They are also used to compute A-Factors of individual items that characterize the difficulty of the learned material. The RF matrix is smoothed up to produce the OF matrix, which in turn is used in computing the optimum inter-repetition interval for items of different difficulty (A-Factor) and different number of repetitions (or memory lapses in the case of the first repetition). Initially, all student’s memory parameters are taken as for a less-than-average student, while all A-Factors are assumed to be equal.

Optimization solutions used in Algorithm SM-11 have been perfected over 15 years of using the SuperMemo method with computer-based algorithms (first implementation: December 1987). This makes sure that the convergence of the starting memory parameters with the actual parameters of the student proceeds in a very short time. In addition, Algorithm SM-11 includes mechanisms that make it insensitive to interference from the deviation from the optimum repetition timing (e.g. delayed or advanced repetitions). The introduction of A-Factors and the use of the G-AF graph greatly enhanced the speed of estimating item difficulty. The adopted solutions are the result of constant research into new algorithmic variants. The postulated employment of neural networks in repetition spacing is not likely to compete with the presented algebraic solution.

Algorithm SM-11 is constantly being perfected in successive releases of SuperMemo, esp. to account for newly collected repetition data, convergence data, input parameters, etc.

Frequently Asked Questions

(Steven Trezise, USA, Apr 20, 1999)
Question:
In my collection, I have items for which I have done between 1 and 8 repetitions. However, when I look at the Cases matrix, there are no entries beyond repetition 3
Answer:
The algorithm used by SuperMemo updates all optimization matrices using repetition categories, not the actual repetition number (you can view the optimization matrices with Tools : Statistics : Analysis : Matrices). A repetition category is an expected number of repetitions needed to reach the currently used interval. Once the matrices change, the estimation of repetition category may change too. If, for example, you score well in repetitions and your intervals become longer, it will take fewer repetitions to get to a given interval. In such a case, you might be at 8-th repetition while your repetition category will be 3. All matrices such as OF matrix, RF matrix, etc. will be updated in the third row (not in the 8-th row)

(Dr. Prateek Mishra, India, Oct 5, 2000)
Question:
I noticed that A-Factor may decrease even if the grade is Bright. Is this correct?
Answer:
Usually, the better the grade the greater the increase in A-Factor. However, the new value of A-Factor for Repetition>1 is computed by trying to find this column in OF matrix which provides the best fit for the estimated value of the optimal interval for the just executed repetition. In other words, the algorithm checks how well the item fared after a given interval, make a guess as to the optimal interval for similar situations in the future, and then, using the same information makes a guess as to the true difficulty of the just repeated item. If your item was considered "A-Factor(i) difficult" on Day(i) and the values in the OF matrix increased substantially before the Day(i+1) on which the next repetition takes place, A-Factor(j+1) may appear lower than A-Factor(i) even if you scored Bright (which reflects the fact that the used interval could even be longer). Simply, the relative valuation of difficulty will have changed during the inter-repetition interval. It is worth to note that each time you worry about the accuracy of the SuperMemo algorithm, you should simply look at the measured forgetting index in the statistics (Measured FI). This value should equal to your requested forgetting index. Usually it is slightly higher due to minor inaccuracies of the algorithm. However, the main contributor to an overly high measured forgetting index is delay in making repetitions (the picture illustrates slow 7-months-long recovery of the measured forgetting index from a one-time use of Tools : Mercy in SuperMemo)

To better understand the relationship between the new value of A-Factor and the estimated forgetting index, see this function taken from SuperMemo source code (simplified for clarity; valid only for Repetition>1):

function GetNewAFactorFromEstimatedFI(IOD:PItemOptimizationData):real;
var col:byte;
OptimumInterval,OFactor:real;
begin
with IOD^ do begin
OptimumInterval:=(UsedInterval*ln(0.9)/ln(1-EstimatedFI/100));
{Optimum
interval computed from EstimatedFI and adjusted to FI=10%}
OFactor:=OptimumInterval/UsedInterval*UFactor;
for col:=20
downto 1 do {scan columns of the OF
matrix}
if OFactor>EstimatedOFactor(col,RepetitionsCategory) then
break;
end;
Result:=AFactorFromOFColumn(col); {new
value of A-Factor}
end;

RF stands for "retention factor" (#12775)
(Malcolm Macgregor, Saturday, September 21, 2002 12:32 AM)
Question:
What does RF stand for?
Answer:
RF stands for "retention factor". In the ideal world, RF is the same of OF. However, in the real world, RFs reflect the noise of the stochastic nature of forgetting. In other worlds, when the sample of measured repetitions is small, RF may deviate from OF. RFs are computed from forgetting curves plotted in the course of repetitions. For a large number of repetitions, when the forgetting curve starts resembling an negatively exponential curve, RFs will approach OFs in value. However, as this approximation process may take months or years, the matrix of OF is derived by smoothing the matrix of RF. Some entries of the RF matrix are never filled out with real data values. For example, we never get to the 10th repetition of very easy material. We simply die before the chance to collect data occurs. This is why the RF matrix is composed of entries based on "intense research", "rough approximation" as well as "educated guess". The formulas to compute the OF matrix try to do the best fit of the theoretical OF matrix to this miscellany of RF data

Forgetting curve for ill-formulated items is flattened
(anonymous, Wednesday, July 25, 2001 2:54 PM)
Question:
I had a 5-months break in using SuperMemo. I resumed my repetitions and noticed that I still remembered many items. Initially, SuperMemo asked me to repeat difficult items (e.g. enumerations). To my surprise, I remembered many of these items. SuperMemo required a 15 days interval, while I made my repetitions after 150 days and still succeeded. I no longer believe in the optimality of the SuperMemo algorithm. Probably it is 10 times worse than optimal
Answer:
Your results are in full compliance with theoretical expectations. It is no surprise that SuperMemo initially tossed the most difficult items at you, and it is no surprise that you showed remarkable recall on these items. Those items clearly belong to those that have not been formulated in compliance with representation rules (e.g. enumerations are notoriously difficult). If you imagine memories as sets of apples (you can see an apple as a single synapse in the brain), good memories are like small collections of well-polished apples. Bad memories (e.g. enumerations, complex items, ambiguous items, etc.) are like large collections of apples of which few are spoilt. Naturally, spoilt apples rot fast and make recall difficult. After just 15 days, all spoilt apples might have been rotten. During the remaining 150 days, the remaining apples rot very slowly. Hence the typical departure of wrongly formulated items from the shape of the classical forgetting curve. For bad items, the curve is flattened (as an expected superposition of several Ebbinghausian curves). SuperMemo blindly obeys your recall criteria. If it takes 15 days to ensure 98% recall, SuperMemo will take no consideration of the fact that at 150 days you may still show 95% recall. This is why SuperMemo 2000 includes leech management. It makes it easy to identify bad items and use auto-postpone or auto-forget options. Auto-postpone will do exactly what you expect, i.e. delay bad items with little impact on overall retention. Auto-forget will help you rebuild memories from scratch. Occasionally, the newly established memory representation will click and your recall will improve. Naturally, the best method against bad items is the use of appropriate representation (see: 20 rules of formulating knowledge for learning). Interestingly, SuperMemo can never predict the moment of forgetting of a single item. Forgetting is a stochastic process and can only operate on averages. A frequently propagated fallacy about SuperMemo is that it predicts the exact moment of forgetting: this is not true, and this is not possible. What SuperMemo does is a search for intervals at which items of given difficulty are likely to show a given probability of forgetting (e.g. 5%). If you look for a numerical measure of the algorithm's inaccuracy, instead of comparing intervals you should rather compare retention levels as the retention is the optimization criterion here. Even for a pure negatively exponential forgetting curve, a 10-fold deviation in interval estimation will result in R2=exp(10*ln(R1)) difference in retention. This is equivalent to a drop from 98% to 81%. For a flattened forgetting curve typical of badly-formulated items, this drop may be as little as 98%->95%

Flatter forgetting curve does not increase optimum interval
(Tomasz P. Szynalski, Saturday, August 04, 2001 5:53 AM)
Question:
If the forgetting curve is flatter for difficult items, I will remember them for a longer time, right? Does that suggest that ill-formulated items are remembered better?
Answer:
No. Flattened forgetting curve will increase retention measurements in intervals that are a multiple of the optimum interval as compared with the typical negatively exponential curve for well-structured material. However, the optimum intervals for ill-formulated items will expectedly be shorter as can be observed on the first interval graph in Tools : Statistics : Analysis : Graphs : First Interval. The smoothness of this graph depends on the number of repetitions recorded. In the picture below, over 90,000 repetitions have been recorded

E-Factors and A-Factors (#12775)
(Malcolm Macgregor, Saturday, September 21, 2002 12:32 AM)
Question:
You say "Unlike E-Factors... A-Factors express absolute item difficulty and do not depend on the difficulty of other items in the same collection". From my reading on E-factors they seem to express the easiness in learning one item and I cannot see how they depend explicitly on the difficulty of other items
Answer:
Originally, E-Factors were defined in the same way as O-Factors (i.e. the ratio of successive intervals). As such, they were an "objective" measure of item difficulty (the higher the E-Factor, the easier the item). However, starting with SuperMemo 4.0, E-Factors were used to index the matrix of O-Factors. They were still used to reflect item difficulty. They were still used to compute O-Factors. However, they could differ from O-Factors. In addition, difficulty of material in a given collection would shape the relationship between O-Factors and E-Factors. For example, in an easy collection, the starting-point O-Factor (i.e. first repetition of the assumed starting difficulty) would be relatively high. As performance in repetitions determines E-Factors, items of the same difficulty in an easy collection would naturally have a lower E-Factor than the exactly same items in a difficult collection. This all changed in SuperMemo 8 where A-Factors where introduced. A-Factors are "bound" to the second row of the O-Factor matrix. This makes them an absolute measure of item difficulty. Their value does not depend on the content of the collection. For example, you know that if A-Factor is 1.5, the third repetition will take place in an interval that is 50% longer than the first interval


Awards granted to SuperMemo
 | Product of the Year 1997, PC Kurier, Poland, 1997
 | Nominated to : Product of the Decade (1990-2000), PC Kurier, Poland, 1999
 | Real Mobility Award from Mobility for SuperMemo for Windows CE Czech Republic, January 2000
 | Readers Choice 1994, PC World Komputer 1994, Poland
 | Readers Choice 1995, PC World Komputer 1995, Poland
 | Gold medal at Infosystem 1994, Poznañ, Poland
 | First Degree Award at Softarg 1992, Katowice, Poland
 | Finalist of Software for Europe, CeBit 1992, Hanover, Germany
 | Best Product by Cena/Vykon, 1994, Czech Republic
 | Best Language Product for Children for Deutsch Kompakt SuperMemo CD-ROM Komputer Swiat, July 2000, Poland
 | Hot Download Pick for SuperMemo CE 2.0 by Pocket PC Magazine, Feb 2001, USA
 | Five cows for SuperMemo for Windows CE from www.tucows.com, May 2000, USA
Educational Hot Site from visitors of Starting Point | Educational Hot Site for SuperMemo Web Site from Starting Point, February 1997

Other awards:

  • Special Award of Polish Computer Science Society, Softarg 1992, Katowice, Poland
  • Distinguished in Product of the Year Competition, PC Kurier, 1992, Poland
  • Best Software for Commodore Amiga, Amiga Magazine, September 1993, Poland
  • Distinguished at Softarg 1993, Katowice, Poland
  • Distinguished in Product of the Year Competition, PC Kurier, 1993, Poland
  • Product of the Year 1993, Amiga Magazine, Poland
  • Special award of the Fair President, Softarg 1994, Katowice, Poland
  • Award for Outstanding Record of Achievement, INFO.BAT, 1994, Poland
  • Distinguished at Softarg 1996, Katowice, Poland

Other rewarding facts:

  • SuperMemo was the first Polish software ever reviewed in Byte International, December 1993
  • SuperMemo was the first Polish software ever reviewed in Chip, Germany, February 1995
  • SuperMemo was the first Polish software ever advertised in Byte, 1993
  • SuperMemo was the first Polish Windows software released on CD-ROM, 1994
  • SuperMemo World was the first Polish company to display its products at Comdex, Las Vegas, 1995
  • SuperMemo World was the most frequent Polish exhibitor at CeBIT, Hanover, Germany (five consecutive appearances 1992-1996)
  • Cross Country received Enter Recommendation in a test of nine software products for learning English, Enter Vol.1, p.36, January 1997
  • SuperMemo World was the first company in Eastern Europe to open an on-line shop at Yahoo Stores in July 1998 and reached Top Service customer ratings [image] by May 2000
  • SuperMemo 98 is featured among case studies of most successful Delphi applications at Inprise Corporation website (the only application from Poland honored this way (by 1998)
  • Tax Advisor's Tests CD-ROM with SuperMemo 8 is officially used for training at Arthur Andersen, 1998
  • Nominated as Product of the Year 1998 by Chip Magazine, Poland
  • 1,000,000 CD-ROMs with SuperMemo released by the company's eighth anniversary (July 5, 1999)
  • SuperMemo 7 for Windows topped best downloads at Language Learning Software at Software Blast! in just five months in 1999 (ahead of Babylon Translator and AceReader). It also climbed to the 27-th position among overall downloads
  • Mentioned in SuperMemo in New York Times (New York Times, October 3, 1999, Business section, page 4, Abby Ellin: Can 'Neurobics' Do for the Brain What Aerobics Do for Lungs?)
  • SuperMemo for Palm Pilot was a featured product at www.palmgear.com and www.handspring.com and reached top 10 monthly downloads within 24 hours since the release (March 2000)
  • Polish Orthography SuperMemo CD-ROM was listed among recommended educational tools by the Polish Ministry of Education

See also: History of SuperMemo


SuperMemo Support

Home News Shopping FAQ Library Download Help Support
Contents : Support
Contact information

Please use the following e-mail addresses to contact us. All @ addresses refer to supermemo.com.
If you do not receive a timely response, please read FAQs below!

We apologize for not using direct mail links; however, spam harvesters keep on bombarding previously listed addresses by irrelevant mail that ultimately increases the rate at which legitimate customer mail is being filtered out!

  • SuperMemo software - if you do not know how to use particular options or features of SuperMemo do the following:
    1. check out SuperMemo help file (if you have installed one)
    2. check the most up-to-date help at this site
    3. review SuperMemo support file: Questions about SuperMemo (FAQ)
    4. use full-text search
    5. if you still cannot find the answer, write to help@ (some harder cases may take longer to resolve; however, you should always receive an acknowledgement that your case has been opened)
  • Placing an order - if you do not know which product is best for you, if you do not exactly understand the ordering procedure, or you are not sure if on-line transactions are really secure, please do the following:
    1. review our support file: Questions about ordering SuperMemo products
    2. send an e-mail to moni@
  • Bugs in SuperMemo - if you believe you have found a bug in SuperMemo, write to bug@ (see also check beta-testing documentation for bug lists: SuperMemo 8.2, SuperMemo 8.4, SuperMemo 98, SuperMemo 99, SuperMemo 2000 and SuperMemo 2002)
  • Feature requests - if you would like to see a new feature implemented in SuperMemo send your remarks or ideas to help@
  • Bugs in help files - if you find bugs in the on-line help file, send them to help@
  • Website improvement - if you would like to see new sections on this website, overview articles, enhancement to help or FAQ files, write to help@
  • Bugs in learning material - if you find bugs in the learning material downloaded from SuperMemo Library please write to addresses listed here: Library Contacts
  • Learning and memory - if you have questions about memory, sleep, creativity or the algorithm used in SuperMemo, please write to Dr Wozniak
  • Formulating knowledge - if you have difficulty effectively formulating knowledge for SuperMemo or if your forgetting index is high, check FAQ: Formulating knowledge. If you need advice in this subject, write to Dr Wozniak
  • Learning material exchange - if you would like to exchange your own collections with other users, write to Library Contacts
  • User community - if you would like to get in touch with other users of SuperMemo, visit SuperMemo Forum
  • Other platforms:
    • Palm Pilot: palmos@
    • Pocket PC: pocket@
    • Linux: lnx@ (open source) and luis@ (Kylix port)
    • On-line and mobile: smnet@
    • Multimedia SuperMemo: smnet@

FAQ

We never spam our customers!
We process most of e-mail messages within a business day
What if you do not get a response to your inquiry
E-mail inquiry not responded to
Reasons for delay in receiving a response
Timing of composite responses may vary
Why are you ignoring me?
Support over the phone

We process most of e-mail messages within a business day
(Kenjin1998, UK, Sun, Jun 24, 2001 18:53)
Question:
I have been waiting quite long for your reply to my order inquiry
Answer:
We try to respond to all inquiries within a business day. If we are unable to respond to difficult technical questions, we notify you that a case has been opened. Occasionally e-mail gets lost, misrouted or cut off by spam filters. In addition, our responses often come back due to various delivery problems. If you do not receive any feedback within 2-3 days, please simply write again and make sure your return address is specified correctly

What if you do not get a response to your inquiry?
(Desmond Sin, Tuesday, October 30, 2001 8:45 PM )
Question:
Some time ago I sent an e-mail to xxx @ supermemo.com enquiring when a version fully adapted to Windows 2000 will be available. This is the sort of routine enquiry that I usually get a prompt reply. Yet, I have yet to hear anything from you. If I can't get a prompt reply to such a simple question, how can you expect me or anyone else for that matter to have any confidence in your products/services?
Anwer:

  1. The most likely explanation for the lack of response is that e-mail has not reached us. This happens quite often. We estimate that one in 200-400 messages does not arrive at all (estimation based on forked forward arrival statistics, i.e. cases where the same message arrives at one forward but does not arrive at another). Other messages may occasionally get lost in flood of spam, or be forwarded to a wrong person. If you do not receive a reply to a basic inquiry within a business day, please always resend your message
  2. SuperMemo 2002 has been optimized for Windows 2000. This is the platform where you will get the best performance

Why are you ignoring me?
(Simon Jacques, Tajikistan, Wednesday, January 22, 2003 1:52 AM)
Question:
I have sent 3 e-mails to you. Two to sales and one to support. I offered to fax my credit card charges to you as proof that you charged me too much. Each time I received a message back saying that I had sent the email to an address that is no longer used because of spamming. This is not true. I believe your company is ignoring me because it does not want to deal with this problem. You were very helpful before I bought your product!
Answer:

  1. All complaints are treated with highest attention. While customers who ask about products are gently directed to web pages which answer their questions, customers with complaints are dealt with immediately until the successful resolution of their complaint. In other words, the actual priorities are just the opposite. Having paid for the product you deserve this additional attention and support
  2. Current e-mail addresses are listed at this page (above). If you receive a message about removed accounts, all you need to do is to resend your message to an existing account. Rarely, messages do get lost. In such cases resending them or sending to more than one account resolves the issue
  3. This response will be posted on public FAQ pages at supermemo.com to reduce chances anyone else comes to similar conclusions. The message archive indicates that you have raised 45 independent problems of which only 4 have not been responded to (some messages might be classified as "suggestions" and considered as requiring no response).
  4. Your overcharge question will be dealt in an independent message (there have only been 3-4 wrong charge cases due to clerical errors over the last five years and all have been resolved promptly)

We never spam our customers!
(Jiri, Czech Republic, Sat, Jun 23, 2001 16:33)
Question:
Why don't I receive any updates or newsletters from SuperMemo World?
Answer:
The policy is to inform customers about most important developments via the News section. We reserve the use of the customer e-mail database for only the most important events such as a discovery of a dangerous bug or other events that might require immediate attention

Support over the phone
(Tim Elston, Thu, Jun 27, 2002 1:51)
Question:
Do you offer telephone support? I’m willing to pay extra
Answer:
All support is free. We do not provide support over phone in English for the following reasons:

  1. language problems (we operate from Poland)
  2. time-zone and working hours problems
  3. cost: we have a very small technical team - problems need to be sorted and escalated by technical difficulty
  4. dispersion: different versions are developed and supported in different countries. Individual questions are routed across the globe

Last but not least, support via e-mail makes it possible to automatically build rich FAQ documentation. All issues resolved benefit many users. Incidentally, SuperMemo FAQs are built with SuperMemo using incremental reading tools for processing mail

(G.E., Hungary, Feb 5, 2001)
Question:
Two years ago I wrote to SuperMemo with request for information about "Money in the link". Until today I have not received any response ...
Answer:
 We do respond to all e-mail relevant to SuperMemo! Occasionally some pieces are lost in the flood of spam. Spammers scan websites to collect e-mail addresses and ultimately all support addresses we publish on the net get heavily spammed. At other times, a message gets forwarded a few times until someone in the chain mistakenly classifies it as handled. Rarely, messages get lost due to forward errors and other mishaps. If you do not receive a response within 3-4 days, please resend your request! All messages tagged "I have written previously" receive highest priority.
Important! Make sure your return address is correct. When we cannot deliver registration data upon an order, we resort to web searches and even to calling the customer whose address is wrong. However, we never go to that length on lower-priority support traffic

Reasons for delay in receiving a response
(Lisa Yim , Friday, March 21, 2003 4:22 PM)
Question:
I've e-mailed SuperMemo with several questions over the week and have never gotten a response.
Answer:
Please consider the following factors:

  • response time is usually 1-2 business days (you need to consider time zones, weekends and local holidays)
  • some accounts may have longer response time (e.g. bug reports may take longer to research)
  • some accounts are one-way only (e.g. registrations are processed but not responded to)
  • occasionally mail gets lots on the way or is lost due to spam filtering

If you do not get a response within two business days, resend your question. If you still get no response see if your return address is correct or inquire at your ISP (e.g. about temporary mail queue flush out problems, forking forwards, etc.). If you are sure your mail account works ok, see e-mail contacts page (above) and resend your mail to 2-3 accounts at once with a forward request. In your particular case, only one mail arrived at shop(AT)supermemo(.)com with a request for download instructions. These have been sent on the next day

Timing of composite responses may vary
(anatoliy.lipatov, Austria, Wednesday, August 21, 2002 1:28 PM)
Question:
Thank you for you reply. Unfortunately, it contains answers not all and not to the most important questions. Actually, I sent my questions to another address more than a week ago, and got no response at all
Answer:
Occasionally mail gets lost and you will get no response at all. In such cases, please resend your mail. We do respond to all pieces as long as these are related to SuperMemo. You will often receive partial responses as your individual questions are routed to the person responsible for a given subject. Thus your questions about payment, technical issues, learning material, or study techniques will arrive in separate pieces of mail at varying times. Difficult questions that may require additional research take longest

E-mail inquiry not responded to
(Harald Müller, Wednesday, February 27, 2002 7:28 PM)
Question:
I sent an inquiry about payment methods and received no response in two weeks
Answer:
If your inquiry has not been answered, please accept an apology. Some pieces of mail do get lost. In retrospect, it is often difficult to track if the reason was a human error or if there was a delivery error. In similar circumstances, please do not hesitate to resend. We strive at 100% 2-3 days response turnover for standard inquiries. Some complex support questions may take longer. In such circumstances, we at least send a reassurance that the problem is being worked on


SuperMemo Website Contents

Contents
SuperMemo Website Contents
Important!
  1. You can download the entire contents of SuperMemo Website in one file
  2. The complete list of all files (including the archive) can be found here
  3. You can search the entire site as well as all SuperMemo sites here
  1. Articles
    • Optimization of learning
    • Economics of learning
    • User submissions
  2. Publications
  3. SuperMemo
    • SuperMemo 2004
  4. Products
    • Shopping
  5. Download
  6. Support
  7. Technical articles
    • Algorithm
    • Beta-testing
  8. Company
  9. Resellers
  10. SuperMemo Website
    • File list
    • Search
  11. Web
Articles
  • Devouring knowledge - how to maximize the speed of acquiring new knowledge available to you in electronic form
  • Roots of Genius and Creativity - analysis of what makes genius and how to achieve it
  • Formula for success in learning - rock-solid knowledge for life -- this is possible and this is very rewarding!
  • 20 rules of formulating knowledge in learning - to effectively formulate knowledge for active recall learning, you need to understand the difference between well-structured and ill-structured knowledge. The former is easy to remember and enjoyable, the latter is a scourge of learning!
  • Good sleep, good learning, good life - all-inclusive article about quality sleep for creative people
  • SleepChart: Formula for healthy sleep - simple formula for solving sleep phase problems pestering a large number of creative people (also: freeware sleep charting application for optimizing sleep)
  • Forget about forgetting - evolutionary, molecular and mathematical background of SuperMemo
  • SuperMemo Decalog - 10 commandments that should be obeyed to ensure success with SuperMemo
  • Myths of memory and learning - list of most damaging myths that may entrap an unaware student
  • Goodness of knowledge - why we promote SuperMemo having no second thoughts
  • Can too much learning lead to Alzheimer's? - discussion of the "memory overload hypothesis"
  • Reading the Internet - this article will tell you how to effectively read, and remember articles you can find on the net
  • Scientific conquest of forgetful memory - this article published by Computer World in 1992 shortly describes the origins of SuperMemo and its principles
  • Build your vocabulary - how to use SuperMemo to build vocabulary of foreign languages
  • Interview with the author of SuperMemo - 1994 interview with Dr Wozniak packed with little known or funny pieces from the history of SuperMemo
  • SuperMemo is useless! - user criticism of SuperMemo and SuperMemo World's rejoinder
  • Flow of knowledge in SuperMemo - how SuperMemo 99 helps you accelerate the process of introducing new knowledge into your collection
  • The brain cell trainer - one of the first independent reviews of the SuperMemo method (Computer World, 1992)
  • Break free from work overload - introducing to tasklists and their implementation in SuperMemo
  • A remedy for the forgetful - description of SuperMemo in plain language (Warsaw Voice)
  • SuperMemo as a new tool increasing the productivity of a programmer - case study of using SuperMemo in software development (including the cost-benefit criterion of knowledge selection)
  • Using templates and categories - step-by-step guide to templates and categories (Konrad Hejwosz)
  • Perfection reached - introduction to SuperMemo as published in German Chip in 1995
  • Learn fast and forget about forgetting - a review of SuperMemo 6 for DOS published in the oldest Polish computer journal: Bajtek (1993)
  • Vocabulary of a native American - what a man in the street should know about SuperMemo (Rzeczpospolita)
  • Using SuperMemo without a computer - description of the original pen&pencil SuperMemo method from the mid 1980s (i.e. before the first computer implementation)
  • SuperMemo in a school for special education - experience gathered when using SuperMemo in a Dutch school for children with various disabilities
  • Inprise Case Study: SuperMemo implementation in Delphi - review of SuperMemo as a successful product developed in Delphi (as published by Borland/Inprise)
  • History of the Universe - short history of the universe and the important role to play for the Knowledge Machine
  • Polish speed-learning technology - short technical description of the first SuperMemo 7 multimedia CD-ROMs
  • Yet easier ... Easy English - press review of the first cheap large-circulation multimedia partwork course for learning English in Poland: Multimedia Easy English (powered by SuperMemo 98)
  • Economics of learning
    • Table of contents - table of contents of the doctoral dissertation that laid the theoretical ground for SuperMemo 98 and its successors
    • Repetition spacing: research background - introduction to theoretical aspects of spacing effect and repetition spacing (cognitive psychology approach)
    • SuperMemo 6: Algorithm
    • Knowledge structuring and representation - how to formulate material for learning based on active recall
    • Analysis of learning data in a group of students
    • Molecular mechanisms of memory
    • Modern hypermedia systems - how fusion of hypermedia systems used in education with repetition spacing algorithms will change the future of hypermedia
    • Knowledge Machine
  • Optimization of learning
    • Table of contents - table of contents of the master's thesis that was the first ever publication about SuperMemo
    • Introduction
    • First experiments: SuperMemo on paper
    • SuperMemo 2: Algorithm
    • SuperMemo 4: Algorithm
    • SuperMemo 5: Algorithm
    • Simulation of the learning process
    • Molecular basis of neuronal plasticity
    • Acknowledgments
  • User submissions
    • How I got a job at #1 software company - in this user testimonial, you will find out how SuperMemo helped learning programming and ultimately contributed to landing a coveted job as a software developer
    • It is more than just memorizing - Luis Gustavo Neves da Silva from Brazil explains why rote learning has received so much bad press and how understanding differences between data, information and knowledge could help
    • SuperMemo is useless! - user criticism of SuperMemo and SuperMemo World's rejoinder
    • ABC of SuperMemo 2002 - 10-year-old and 13-year-old explain SuperMemo 2002
    • No force in the world can convince me to SuperMemo! - Witold Szafraniec argues against the sense of using SuperMemo
    • Homeschooling - case study - Peadar Willy de Bhuinn presents an exemplary application of SuperMemo in homeschooling
    • Studying law with SuperMemo
Publications
  • Do intelligent students learn faster? - this article shows no correlation between student's IQ and a number of parameters of the learning process
  • Two components of long-term memory - first ever text describing the existence of two components of long-term memory: retrievability and stability. This pioneering paper demonstrates the theoretical ground and implications of repetition spacing
  • Hypothetical correlates of the two components of long-term memory
  • Language and technology: translation vs. education dilemma
  • Publication list - the list of most important publications in reference to SuperMemo
  • Neuronal Mechanisms of Memory - book review
  • eSuperMemo - Java SuperMemo for the web
SuperMemo
  • Introduction
  • General principles - how SuperMemo works
  • History - history of SuperMemo
  • Awards - most important awards granted to SuperMemo in the years 1991-1998
  • User opinions - selected opinions of users and journalists collected in the early years of SuperMemo
  • It really works - five fastest arguments for SuperMemo
  • Which SuperMemo is right for you?
  • SuperMemo 7 help
  • SuperMemo 8 - detailed description of technologies used in SuperMemo 8
  • SuperMemo 8 help
  • SuperMemo 8 development - how was SuperMemo 8 developed
  • SuperMemo 98 - detailed description of technologies used in SuperMemo 98
  • SuperMemo 98 help
  • SuperMemo 99 - detailed description of technologies used in SuperMemo 99
  • SuperMemo 99 Help
  • SuperMemo 99 FAQ
  • SuperMemo 2000 Help
  • SuperMemo 2000 FAQ
  • Screen design guidelines: lessons learned with SuperMemo 98
  • Mobile learning with SuperMemo
  • Your first on-line SuperMemo: supermemo.net
  • Revolution in the pocket
  • References

SuperMemo 2004

  • SuperMemo 2004 Help
  • What's new in SuperMemo 2004
  • SuperMemo 2004 FAQ
  • ABC Guide
Products
  • SuperMemo 8
  • SuperMemo 98
  • SuperMemo 99
  • SuperMemo 2000
  • SuperMemo 2002 - What's new
  • Advanced English 2002
  • CD-ROM: Advanced English (Introduction) - introduction to best-selling multimedia CD-ROMs for learning English
  • CD-ROM: Advanced English - detailed description of Advanced English CD-ROMs
  • CD-ROM: MegaMix 99 - SuperMemo CD-ROM with 1.3 GB of collections written by users of SuperMemo
  • CD-ROM: Deine Chancen in Deutsch
  • Shopping
    • SuperMemo 2002
    • SuperMemo 2000
    • SuperMemo 99
    • SuperMemo 98
    • SuperMemo 8.4
    • Library
Download
  • Installing downloadable SuperMemo
  • Download - what you can download from this website
  • Help for SuperMemo and SuperMemo Website in one file
  • International interfaces for SuperMemo
  • SuperMemo Library
  • Freeware
Resellers
  • Money in a link - link to SuperMemo Store at www.super-memo.com and receive 33% of generated sales
  • Make money with SuperMemo - six low-investment options
  • Sell SuperMemo from your own website - you can become a reseller of SuperMemo in your country in 3 days
  • Release your own SuperMemo CD-ROM - you will be surprised with the license fee
  • Franchising Agreement - agreement on franchising sales of SuperMemo from associate websites
  • E-distribution Agreement - agreement on reselling SuperMemo from associate websites
  • Translating Advanced English - instructions for translating Advanced English to a selected language
Technical articles
  • History of SuperMemo software development (1987-1998)
  • Neural network SuperMemo - how neural networks can be used in future SuperMemo
  • Implementing neural network SuperMemo - how neural network SuperMemo will be trained
  • Programmable component DLL specification - specification for writing DLLs that can be used with programmable components in SuperMemo 8
  • SuperMemo plug-in specification - specification for writing DLLs that can replace the repetition spacing algorithm used in SuperMemo
  • SuperMemo 2 plug-in: source code
  • Algorithm
    • Algorithm SM-11 - algorithm used by SuperMemo 2002 in computing intervals between repetitions
    • Algorithm SM-8 - algorithm used by SuperMemo 8
    • Algorithm SM-8 in a DLL - implement your own SuperMemo
    • Algorithm SM-8 graphical analysis
Support
  • How to get in touch
  • Support information
  • User survey 1994
  • User survey 1999
  • FAQs
  • Millennium bug in SuperMemo
Company
  • SuperMemo World - information about the company behind SuperMemo
  • Privacy statement - your privacy is important to us
  • Who is who - who works for the cause of SuperMemo
  • History - most important facts from the history of SuperMemo and SuperMemo World
  • News - news from the world of SuperMemo. Bookmark this page to know what is happening on this website and in product development
  • Decade of SuperMemo - open letter to the jury of the Product of the Decade competition
  • Interview: The Decade of SuperMemo - interview with fathers of SuperMemo compiled on the 10th anniversary of SuperMemo World
  • Piotr Wozniak - biodata
  • Krzysztof Biedalak - biodata
Website
  • SuperMemo Website summary
  • Search SuperMemo Website - find pages using words or keywords
  • Website questionnaire - send your feedback that will be used to improve this website
  • Quiz of the month
  • Site statistics
  • File list - list of the most important files on SuperMemo Website
Web
  • Other websites related to memory and learning
  • Devoted users of SuperMemo
Beta-testing
  • SuperMemo 8.2 - information about bugs fixed and new features introduced in the course of beta-testing SuperMemo 8.2
  • SuperMemo 8.4 - information about bugs fixed and new features introduced in the course of beta-testing SuperMemo 8.4
  • SuperMemo 98 - information about bugs fixed and new features introduced in the course of beta-testing SuperMemo 98
  • SuperMemo 99 - information about bugs fixed and new features introduced in the course of beta-testing SuperMemo 99
  • SuperMemo 2000 - information about bugs fixed and new features introduced in the course of beta-testing SuperMemo 2000
  • SuperMemo 2002 - information about bugs fixed and new features introduced in the course of beta-testing SuperMemo 2002


SuperMemo Downloads

Home News Shopping FAQ Library Download Help Support
Contents : Download
SuperMemo Downloads

FREE! You can get the newest SuperMemo free if your learning material gets published in SuperMemo Library. For more information write to Library. You can write the learning material using your favorite version of SuperMemo (download using the links below) or using any word processor (Q&A format).

SuperMemo products available for download:

  1. SuperMemo 2002 (for Windows XP, Windows 98, NT 4.0, Windows 2000) - You can download a free trial version of SuperMemo 2002 (1.3MB)(see also: SuperMemo 2002 - New Features)
  2. SuperMemo 2000 (for Windows 98, NT 4.0, Windows 2000) - You can download a free trial version of SuperMemo 2000 (1.3MB)(see also: SuperMemo 2000 - New Features)
  3. SuperMemo 98 (for Windows 95, 98, NT 4.0) - You can download a trial version of 32-bit SuperMemo: SuperMemo 98 (1.0MB)(see also: SuperMemo 98 - Features)
  4. SuperMemo 8.4 (for Windows 3.1 and higher) - You can download a trial version of 16-bit SuperMemo 8 (1997)(1.0MB). This product has been chosen the Product of the Year 1997 by the editors of PC Kurier in Poland ahead of Internet Explorer 4.0PL!
  5. SuperMemo 2004 - we regret to inform that due to persistent hacking, patch and crack releases, crack tutorials, and even overt password listing on publicly available websites, SuperMemo 2004 has been removed from this site and is now available for download only via secure Yahoo Store sites upon receiving a credit card payment for the program (order). We would like to apologize to all legitimate visitors for this inconvenience. We do provide many options for users who cannot afford to pay for SuperMemo (write to us for details)! To see SuperMemo in action, please download SuperMemo 2002 above (for differences with SuperMemo 2000 see: What's New in SuperMemo 2004). To download SuperMemo 2004, please go to SuperMemo Store
  6. SuperMemo Website and Help for SuperMemo - You can download the entire SuperMemo Website in a single file. This file is also used by SuperMemo as a help file
  7. Help for SuperMemo 8 - To download the help file for SuperMemo 8 in Windows Help format (HLP) click SM8HLP.ZIP (150 KB). This help is also available in HTML format
  8. SuperMemo Library - You can visit SuperMemo Library to download some freeware learning material for SuperMemo (no less than 20% of the material in the library is free)
  9. SuperMemo Freeware Language Interfaces - A couple of national language interfaces for SuperMemo for Windows can be downloaded from Interface Download Page
  10. SuperMemo 6/7 import filter for SuperMemo 8/98/99/2000/2002/2004 - if you want to import files from SuperMemo 7 to newer SuperMemo, use File : (Tools :) Import : SuperMemo 6 or 7. Before that you have to put the file sm7imprt.exe in your SuperMemo's bin subfolder. You can download sm7imprt.exe file here: sm7imprt.zip (120 KB). Important! If your SuperMemo is older than Feb 28, 2000, please read: Millennium Bug. Do not run sm7imprt.exe on its own (this program has no effect as a standalone)
  11. SuperMemo for Pocket PC - demos, updates, collections, etc.
  12. SuperMemo for Palm Pilot - demo, library, etc.
  13. SuperMemo Freeware - if you cannot afford SuperMemo, download one of older versions released as freeware
  14. SuperMemo Algorithm in a DLL - If you are a software developer, you might want to know that you can download from this site a DLL with procedures encapsulating the complete SuperMemo algorithm for spacing repetitions (the same algorithm that is used in SuperMemo for Window). You will need to obtain a technology license from SuperMemo World before putting this DLL to commercial use. For more see: Implementing the SuperMemo method with SM8OPT.DLL
  15. SuperMemo Knowledge System Interface DLL - If you are familiar with programming DLLs and want to develop programmed components for SuperMemo 8, go to Writing DLLs for SuperMemo 8 to download a KSI.DLL that will let your DLL communicate with SuperMemo 8


Economics of learning Piotr Wozniak, December 1994
Economics of Learning, the doctoral dissertation by Dr Piotr Wozniak, has laid a theoretical foundation for developing SuperMemo 8 for Windows (and its successors). The full text of the dissertation can be found on SuperMemo CD-ROM titles (e.g. Advanced English 97, Cross Country, Video English or MegaMix 99). Below only the most important or influential texts are presented (often hyperlinked to newer or more detailed texts). Small italicized hyperlinks in parentheses suggest and alternative more up-to-date reading

University of Economics in Wroclaw
Department of Management and Computer Science

Piotr A. Wozniak

Economics of learning

New aspects in designing modern computer aided self-instruction systems

Ph.D. Dissertation

Supervisor:
Prof. Witold Abramowicz

Wroclaw 1995

Contents

  1. Introduction
    • 1.1.1. Education and technology
    • 1.1.2. Novel solutions in demand on social, institutional, regional and national platforms
    • 1.1.3. The thesis
    • 1.1.4. The goals in the perspective of time
    • 1.1.5. The genesis of the dissertation
    • 1.1.6. The structure of the dissertation
  2. Spacing of repetitions in the practice of learning
    • 2.1. Research background
      • 2.1.1. Optimum spacing of repetitions
      • 2.1.2. Spacing effect
      • 2.1.3. Involuntary habituation
    • 2.2. Development of the algorithm for optimally spacing repetitions (see: Optimization of learning)
      • 2.2.1. First computer applications of repetition spacing algorithms
      • 2.2.2. Modifying the function of optimal intervals on the basis of the student’s characteristics
    • 2.3. New algorithmic elements (algorithm used in SuperMemo 6)
      • 2.3.1. Introducing the concept of the forgetting index
      • 2.3.2. Algorithm SM-6 (see: Algorithm SM-11)
    • 2.4. Approximation of the forgetting curve
    • 2.5. Simulation of the long-term learning process
    • 2.6. Long-term savings resulting from the application of repetition spacing
  3. Exemplary implementation of algorithms for spacing repetitions in a self-instruction system (see: SuperMemo 99)
  4. Analysis of data collected from a group of students using a repetition spacing algorithm
    • 4.1. Method
    • 4.2. Results
    • 4.2.1. General learning parameters
    • 4.2.2. Forgetting curves
    • 4.2.3. Matrices of retention factors
    • 4.2.4. Matrices of optimal factors
    • 4.2.5. Distribution of intervals
    • 4.2.6. Distribution of E-factors
    • 4.2.7. Results of the analysis in the light of the economics of learning
  5. Molecular interpretation of mechanisms of memory underlying the optimum spacing of repetitions
    • 5.1. Interpretation of differences in item difficulty
    • 5.2. Two components of long-term memory
    • 5.3. Molecular memory
      • 5.3.1. Advances in molecular research of memory
      • 5.3.2. General observation in reference to memory and learning
      • 5.3.3. Hippocampus as the focus of research on long-term potentiation
      • 5.3.4. The role of acetylcholine in establishing memories
      • 5.3.5. Short-term potentiation
      • 5.3.6. Long-term potentiation of synaptic transmission in the hippocampus
      • 5.3.7. NMDA receptor as the central factor in establishing LTP
      • 5.3.8. Non-NMDA glutamate receptor
      • 5.3.9. Retrograde messengers in synaptic transmission
      • 5.3.10. Role of calcium
      • 5.3.11. Protein kinase C
      • 5.3.12. Other kinases involved in establishing LTP
      • 5.3.13. New evidence on the role of cAMP in memory and learning
      • 5.3.14. Calpain
      • 5.3.15. Metabotropic glutamate receptor
      • 5.3.16. Gene expression and memory
      • 5.3.17. Protein synthesis and memory
      • 5.3.18. Protein G
      • 5.3.19. Potassium channels
    • 5.4. Molecular correlates of the two components of memory
  6. Knowledge structuring and representation in learning economics using self-instruction systems based on the active recall principle (for a popular scientific version of this text see: 20 rules of formulating knowledge in learning)
    • 6.1. Knowledge independent elements of the optimization of self- instruction
    • 6.2. Knowledge representation issue in learning
    • 6.3. Components of effective knowledge representation in active recall systems
    • 6.4. Sequencing items in the stepwise process of acquiring associative knowledge
    • 6.5. Techniques for minimizing the complexity of synaptic patterns as a key to keeping E-factors high
    • 6.5.1. Comprehension
    • 6.5.2. Minimum information principle
    • 6.5.3. Narrowing by example
    • 6.5.4. Metaphoric approach
    • 6.5.5. Vivid approach
    • 6.5.6. Graphic approach
    • 6.5.7. Enumeration techniques
    • 6.5.8. Deletion and graphic deletion
    • 6.5.9. Dismembering complex concepts
    • 6.5.10. Mnemonic techniques
    • 6.5.11. Item univocality and inter-item interference
    • 6.6. Planned redundancy as a way to cross-strengthening synaptic patterns
      • 6.6.1. Passive and active approach
      • 6.6.2. Support for derivation, reasoning and intelligence
      • 6.6.3. Optional reasoning clues, mnemonic clues, context and examples
    • 6.7. Complexity of wording vs. comprehension
    • 6.8. Additional functionality encapsulated in items
    • 6.9. Summary of knowledge representation issues in learning
  7. Modern hypermedia systems encompassing the ability to adapt to the properties of human memory and cognition
    • 7.1. Fusion of the hypertext paradigm with techniques targeted against human forgetfulness
      • 7.1.1. Implementation shortcomings evident hypertext interfaces
      • 7.1.2. New solutions proposed for hypertext systems
      • 7.1.3. Integration of repetition spacing technology hypertext interface
    • 7.2. Hypermedia systems that account for human perception and memory
      • 7.2.1. Knowledge Machine
      • 7.2.2. Technological and economic feasibility of global hyperspace
      • 7.2.3. Infosociety or global infobabble
      • 7.2.4. Processing attributes and repetition spacing tools incorporated in the hyperspace
      • 7.2.5. Global impact of the Knowledge Machine
  8. Conclusions
  9. Acknowledgments
  10. Glossary (see Glossary 1999)
  11. References
  12. Further reading
  13. Index


Super Memory

Super Memory: Forget about forgetting

This website is devoted to improving memory, self-growth, creativity and speed-learning software SuperMemo

This page moved to:
www.supermemo.com/index.htm


Download SuperMemo Website

Download SuperMemo Help and Website

You can download SuperMemo help and portions of supermemo.com website in a single file (Compiled HTML). You can view this file without installing SuperMemo. The file smhelp.chm is provided with a full-text search index.

Important! First time you view this file, the index search tab may be sized narrow to the left. You may need to resize it by dragging it to the right (be sure you click the Show button if displayed).

Benefits and advantages of locally installed help:

Benefits:

  • quick access to individual pages (e.g. much faster full-text index search)
  • no need to be connected to the Internet

Disadvantages:

  • you will not benefit from regular updates to help files that result from the analysis of user problems and inquiries

To determine where SuperMemo looks for help files, press Ctrl+Alt+O (for Options), choose SuperMemo tab, and select the option under Help system (e.g. choose Internet help to always use on-line help or Microsoft Help to always use the CHM file installed locally on your hard disk)

Choose one:

  1. Help for SuperMemo 2004+Website: Download help for SuperMemo 2004 and the entire website: smhelp.chm (5.6 MB) (last updated: Sep 11, 2004)
  2. Help for SuperMemo 2002+Website: Download help for SuperMemo 2002 and the entire website: smhelp.chm (5.5 MB) (last updated: Oct 17, 2002)
  3. Help for SuperMemo 2000+Website: Download help for SuperMemo 2000 and the entire website: help2000.chm (3.7 MB) (last updated: Mar 30, 2001)
  4. Help for SuperMemo 98+Website: Download help for SuperMemo 98 and the entire website: help98zip.exe (2.5 MB) (last updated: May 18, 1999)

Important:

  1. To use the file without SuperMemo, simply double-click smhelp.chm.
  2. To install the help file for context help in SuperMemo, place the file smhelp.chm in the folder bin in your SuperMemo folder (if the downloaded file has the extension exe, place it in SuperMemo folder and run it).
  3. Chm files can be viewed on most newer Windows installations. To view chm files on older installations, you may need Internet Explorer 4.0. The CHM format has been announced as the future format for all Microsoft help files.

If you do not want SuperMemo to use the Internet help after the chm file becomes outdated, use Tools : Options : SuperMemo : Help system : Microsoft Help (CHM) (otherwise leave the default setting, i.e. Tools : Options : SuperMemo : Help system : Optimize).

With smhelp.chm you can view the website off-line. You will need an Internet connection only to (1) explore external links (e.g. on the Links or References pages), or (2) download files (e.g. SuperMemo or learning material). Inquiry e-mail messages can also be composed off-line using smhelp.chm

The website part of the chm file does not include the following:

  • binary files available via FTP
  • archive files related to earlier versions of SuperMemo (these obscure index searches generating too many hits of which only fraction are useful)

If you are a computer novice, read Installing components of SuperMemo from the Internet

FAQ (Frequently Asked Questions)

SuperMemo Help includes full text search option
SuperMemo Help can be used off-line
 You can use F1 to access help
Compiled HTML is the new official Microsoft standard for delivering help documentation
SuperMemo Help CHM file is compressed but not an executable
You can use SuperMemo help without Internet Explorer
WinHelp vs. CHM Help

SuperMemo Help includes full text search option
(Marjolein Hoekstra, The Netherlands, Nov 10, 1999)
Question:
I installed smhelp.chm file but I cannot access full-text search index. Can you help?
Answer:
These could be caused by two reasons:

  1. The search tab is hidden. It is enough to click Show on the toolbar
  2. The search tab is minimized in width. Try to grab the sizer on the left side of the window and pull it right to expose the search tab

(Robert Whitinger, USA, Mar 4, 1999)
Question:
I installed smhelp.chm file in the bin folder but SuperMemo still attempts to connect me with the Internet help!
Answer:
Please make sure that you choose Tools : Options : SuperMemo : Help system : Microsoft Help (CHM). If you choose Optimize instead of Microsoft Help, SuperMemo will always check the date of your chm file, and if it becomes outdated, it will attempt to connect you with the newer version of the same help page on the Internet

You can use F1 to access help
(Garry Gross, Sat, Sep 01, 2001 10:45 AM)
Question:
Why I should not be able to just hit F1 to get help after installing SuperMemo?
Answer:
F1 will work. However, this way you will access the on-line help. This is a recommended way of using the documentation due to daily updates and corrections. Only if you want to use off-line help, you need to download the help file (compiled HTML format). This file is not included with SuperMemo for the following reasons:

  • it would increase the size of the download six-fold
  • it requires Internet Explorer installed (unlike earlier versions of SuperMemo)
  • on-line help is more up-to-date

Compiled HTML is the new official Microsoft standard for delivering help documentation
(Pim Grol, Netherlands, Tuesday, October 15, 2002 9:12 PM)
Question:
I will suggest that you use the Windows standards in the next versions for Help instruction, instead of all kind of HTML documents
Answer:
Microsoft has officially sanctioned compiled HTML help as the new standard: "Microsoft® HTML Help is the standard help system for the Windows platform": http://msdn.microsoft.com/library/default.asp?url=/library/en-us/htmlhelp/html/vsconhh1start.asp

WinHelp vs. CHM Help
(E.B.F., Tuesday, April 30, 2002 10:13 AM)
Question:
I'd happily pay $5 more for a normal Windows searchable help file instead of the Byzantine downloadable help
Answer:
The new compiled HTML help file format is the invention of Microsoft. To make the application compliant with the new standards, the developer is encouraged to adopt the new format. SuperMemo tries to adopt standards early if feasible and if it does not limit user's learning. Upon closer inspection you will see that CHM format is superior. It is searchable. It improves documentation by the fact that it makes it possible to keep the same source file for the web and for the help. It is downloadable via FTP to minimize download problems. This way the core SuperMemo file is 1.3MB instead of 5MB, which reduces user complaints manifold

You can use SuperMemo help without Internet Explorer
(John Daniel, USA, Dec 22, 1999)
Question:
Is it necessary to install Internet Explorer to use your help files off-line?
Answer:
No. You can also use plain HTML help files. For this purpose you would need to do two things:

  1. copy the contents of www.supermemo.com/help/ folder to <SuperMemo folder>/help/help folder on your hard disk. For example, if your SuperMemo is located at d:\sm9\sm99.exe, you would copy www.supermemo.com/help/index.htm to d:\sm9\help\help\index.htm, www.supermemo.com/help/addnew.htm to d:\sm9\help\help\addnew.htm, etc.
  2. select Tools : Options : SuperMemo : Help system : HTML Help

You could also copy other folders from www.supermemo.com and place them in <SuperMemo folder>/help/ to retain access to some auxiliary articles such as Six steps to excellent memory, Reading the Internet, etc.

Important! Do not copy the help folder file by file (e.g. using your browser). Use any FTP software, log in as anonymous (e.g. provide your e-mail address as password), and copy all files at once!

SuperMemo Help CHM file is compressed but not an executable
(Piotr W., Poland, Wednesday, July 17, 2002 3:44 PM)
Question:
I have downloaded smhelp.chm.exe but it fails to extract itself: the error message is: "Program too big to fit in memory"
Answer:
You should not have re named the file to provide it with the EXE extension! You should have leaft the original CHM extension. You can view this file in SuperMemo or in Windows (Internet Explorer libraries will automatically handle your request). All you need to do now is to rename the extension from chm.exe back to chm


History of SuperMemo
  • 1885 - Forgetting curve: German psychologist Hermann Ebbinghaus, the pioneer of experimental study of memory, publishes his Contribution to Experimental Psychology. He used himself as his sole experimental subject. His work might be considered the first step to SuperMemo (formulated exactly 100 years later). Ebbinghaus'es work was very influential (English translation 1913) yet for years it was not followed by similar research of major significance! His negatively exponential forgetting curve makes an important part of SuperMemo as of 1991
  • 1932 - Psychology of study: Prof. C. A. Mace hints on the efficient learning methods in his book "The psychology of study". He mentions "active rehearsal" and "repetitive revisions" that should be spaced in gradually increasing intervals, roughly "intervals of one day, two days, four days, eight days, and so on". This proposition is later taken on by other authors (including Tony Buzan), but does not permeate to the practice of study until implemented in computer applications half a century later
  • 1972 - Expanded rehearsal: German psychologist Sebastian Leitner publishes "So lernt man lernen" in which he describes his Leitner cardbox. The Leitner cardfile technique can be considered a precursor of spaced repetition. Although the timing of repetition in Leitner box is only loosely related to retention levels and is highly affected by the intensity of learning, the technique points to the benefits of expanding rehearsal in which successive repetitions occur in increasing intervals. Expanded rehearsal appears ineffective in cases when it produces intervals substantially different than those that result in the desired level of knowledge retention; however, it appeared very popular in dozens of flashcard programs. Most appreciably, the Leitner technique does not include the stress factor associated with strictly timed repetition used in SuperMemo!
  • 1982 - Active recall: Piotr Wozniak, a student of molecular biology at the University of Adam Mickiewicz in Poznan, Poland, becomes frustrated with his learning progress. He embarks on a self-study course which will ultimately lead to the development of SuperMemo. He begins with an obvious conclusion that active recall serves memory far better than passive review. As a result, Wozniak starts writing down all his mission-critical knowledge on paper in the flashcard form
  • 1984 - Minimum information: Wozniak concludes that learning is much faster if knowledge is split into a large number of simple questions and answers reviewed independently. This conclusion was later formulated as the minimum information principle, which is now considered part of the definition of the SuperMemo method
  • 1985 - Spaced repetition: Unaware of the work of German psychologists, yet using methods first applied by Ebbinghaus a century before, Wozniak runs two simple experiments on his own memory and finds out how optimum review intervals increase between repetitions in learning. He formulates his first repetition spacing algorithm that will later be known as SuperMemo. His learning with the new method begins on August 25, 1985. For a detailed description of the first algorithm see: Using SuperMemo without a computer
  • 1987 - Piotr Wozniak, now a student of computer science, writes the first computer program for spaced repetition. In 16 evenings, he writes a very simple SuperMemo 1.0 for MS DOS in Borland's Turbo Pascal 3. The first computer algorithm introduced the concept of E-factor (i.e. the number that makes it possible to differentiate between items of different difficulty). Wozniak begins repetitions with SuperMemo 1.0 using his human biology learning material on December 13, 1987. See picture
  • 1988 - SuperMemo gradually gains popularity at the Adam Mickiewicz University of Poznan, and the University of Technology in Poznan, Poland
    • SuperMemo 2.0 is written during summer vacation (Turbo Pascal 4.0)
    • Tomasz Kuehn from University of Technology in Poznan writes SuperMemo for Atari ST (Pascal)
    • Przemyslaw Glowacki from University of Technology in Poznan writes SuperMemo for Atari XL (Basic)
    • SuperMemo 3,0 is completed by October 1988. It uses an up-to-date interface with pull-down menus
  • 1989 - first attempts are made to make SuperMemo available commercially
    • Tomasz Kuehn makes the first attempt to commercially sell SuperMemo. His advertisement in Polish computer journal Komputer (currently PC World Komputer) sold 10 copies of SuperMemo 2
    • SuperMemo 4.0 is completed in February with the learning algorithm based on computing the matrix of optimum intervals
    • SuperMemo 5.0 in October makes another step ahead in improving the learning method. It uses an algorithm based on computing the matrix of optimal factors
  • 1990 - Under the supervision of Prof. Kierzkowski, the Head of the Computer Science Department, Wozniak writes his Master's Thesis: Optimization of learning. A new approach and computer application. This 200-pages dissertation was entirely devoted to the theoretical aspects of SuperMemo, described the evolution of the learning algorithm, included the model of intermittent learning and presented the author's optimistic vision of future applications
  • 1991 - SuperMemo enters the commercial arena:
    • July 5, a commercial company, SuperMemo World, is formed by Piotr Wozniak and his fellow graduate Krzysztof Biedalak. The real capital: one 286 personal computer
    • SuperMemo 2 is released as freeware
    • SuperMemo 6.0 is completed with the learning algorithm based on the approximation of forgetting curves
    • September, Janusz Murakowski joins SuperMemo World
    • November, SuperMemo 6 unexpectedly becomes a finalist of the Software for Europe 1992 Award Competition

    SuperMemo as the finalist of Software for Europe

  • 1992
    • January, Marczello Georgiew and Tomasz Kuehn join SuperMemo World
    • February, Andrzej Horodenski from Computer World initiates commercial sales of SuperMemo 6 by writing the first ever article about the SuperMemo method and software
    • March, SuperMemo World displays its products at CeBIT '92
    • September, SuperMemo 6 receives the first degree award at Softarg '92, Katowice, Poland
    • September, SuperMemo 6 receives a special award of the Polish Computer Science Society
    • December, SuperMemo World turns its first quarterly profit
    • December, SuperMemo 6 is awarded in the Product of the Year 1992 competition organized by PC Kurier, Poland
  • 1993
    • January, after months of programming effort, SuperMemo 7.0 is released, one of few Windows software products in Poland at that time
    • March, SuperMemo 5 is released as freeware

    • March, German Chancellor Helmut Kohl comes to the stand of SuperMemo World during CeBIT '93

    Helmut Kohl inspecting SuperMemo
    In the picture: Krzysztof Biedalak explains the principles of SuperMemo to Chancellor Kohl

    • May, SuperMemo 7.2 AudioVisual for Windows is released. This is the first SuperMemo able to display graphics and play sounds
    • August, SuperMemo 1.0 for Amiga is released
    • September, SuperMemo tops the chart of best Polish software applications for Amiga (Amiga Magazine)
    • September, SuperMemo 7 is awarded at Softarg, Katowice, Poland
    • December, SuperMemo becomes the first Polish software ever reviewed in Byte International
    • December, SuperMemo 7 is awarded in Product of the Year 1993, PC Kurier, Poland
  • 1994
    • January, SuperMemo is voted 4-th most popular Polish software by readers of Polish PC World (behind anti-virus and word- processing products)
    • March, SuperMemo for Amiga is voted the Product of the Year 1993 among Polish software for Amiga by readers of Amiga Magazine
    • March, SuperMemo World displays SuperMemo 7.3 at CeBIT '94
    • March, SuperMemo is awarded for the best value/price ratio by the CENA/VYKON journal, Czech Republic
    • May, SuperMemo 7 is awarded a prestigious Gold Medal at Infosystem Computer Fair in Poznan
    • July, 10,000-th copy of SuperMemo has been sold
    • August, SuperMemo USA, Inc. publishes SuperMemo 7.4 on CD-ROM, including the audio release of Advanced English best-seller. This title becomes the first Polish Windows software title on CD-ROM ever
    • September, SuperMemo World is granted the special award of the fair's president at Softarg and receives a free display at Softarg 1995
    • September, SuperMemo World signs its first OEM bundling deal with JTT, second largest computer-maker in Poland
    • October, SuperMemo World publishes the European release of SuperMemo on CD-ROM
    • October, SuperMemo 7.2 tops the ranking of best-selling software sold on illegal software market, ahead of Microsoft Word 6.0 and Microsoft Works 3.0 (PC World Komputer, Vol. 11, 1994)
    • December, SuperMemo for Windows receives the Reader's Choice distinction from PC World Komputer (Vol. 12, 1994) by being voted second most popular Polish software in Poland and the most popular Polish Windows software in Poland
    • December, Wozniak completes his Economics of learning. This doctoral dissertation was entirely devoted to the SuperMemo method and outlined the theoretical basis for the future versions of SuperMemo for Windows (i.e. SuperMemo 8 and successors). It also included a prelude to: Incremental reading
  • 1995
    • January, SuperMemo 6 is released as freeware
    • February, SuperMemo receives a positive review in the most prestigious European computer journal: German Chip
    • March, releasing SuperMemo 1.0 for Macintosh (this version was later discontinued due to poor profitability)
    • March, SuperMemo Worlds displays its Multilingual SuperMemo 7.5 CD-ROM at CeBIT'95
    • April, Polish Prime Minister Waldemar Pawlak buys a copy of SuperMemo for personal use (he refused a free gift)
    • April, SuperMemo User Survey reveals that users of SuperMemo consider the program their single most important application!
    • April, SuperMemo World signs a comprehensive OEM deal with Optimus, the greatest computer-maker in Poland
    • May, 30,000-th copy of SuperMemo has been sold
    • September, five hundred beta-testers get their hands on a Pre-Release CD-ROM with the first hypermedia SuperMemo codenamed Genius - precursor of SuperMemo 8.0.
    • November, SuperMemo World is the first Polish company ever to display its products at Comdex in Las Vegas (in the picture: Marczello Georgiew)

  • 1996
    • January, SuperMemo is voted the best Polish application by readers of PC World, Komputer
    • January, first SuperMemo hypermedia CD-ROM title is released: Video English (with Genius 1.0, early precursor of SuperMemo 8)
    • June, SuperMemo Corporation is incorporated in the US with a goal of making it the first company of Polish origin on NASDAQ. The company came close to securing substantial venture capital but ultimately ... closed
    • September, Cross Country hypermedia best-seller CD-ROM is released (with Genius 2.0, precursor of SuperMemo 8)
    • September, precursor of SuperMemo 8, Genius 2.0, receives its first award as the hypermedia authoring tool at Softarg, Poland
    • October, 60,000 readers of Chip in Poland receive a CD-ROM with the full version of the hypermedia authoring SuperMemo (Genius 2.0). Free!
    • November, first Polish multimedia encyclopedia CD-ROM is released together with SuperMemo as an integrated tool for learning selected encyclopedic material
  • 1997
    • January, SuperMemo World, Polish veteran of CeBIT and the first Polish company present at Comdex makes a strategic conversion towards the Internet away from major software fairs. SuperMemo Website at www.supermemo.com will become SuperMemo World's best marketing tool ever
    • January, Polish PWN Encyclopedia with SuperMemo is voted the best Polish software product by readers of PC Kurier
    • February, The Internet welcomes SuperMemo. This website becomes operational
    • February, SuperMemo 8 enters beta-testing. For the first time, beta-testing is run exclusively over the Internet with a dramatic impact on bug-spotting and reliability
    • May, over 100 international over-Internet beta-testers submit their final reports. This SuperMemo 8 beta-testing program alone brought more valuable data than all programs before
    • May 12, SuperMemo World releases Deine Chancen in Deutsch with SuperMemo 8 (first commercial CD-ROM with hypermedia SuperMemo)
    • June 12, for the first time ever SuperMemo can be downloaded from the web
    • Oct 22, 80,000 readers of Chip in Poland receive a CD-ROM with SuperMemo 8.0 (Free!) and a demo of Advanced English 97
    • November 6, SuperMemo Research is formed with the purpose of investigating Internet applications of SuperMemo and fostering international scientific, business, and educational contacts
    • November 10, Advanced English 97 with SuperMemo 8 is released
  • 1998
    • January 14, SuperMemo 8 is chosen the Product of the Year 1997 by journalists of a respected Polish journal PC Kurier (ahead of MS Internet Explorer 4.0PL)

    Product of the Year for SuperMemo

    • January 31, SuperMemo 8.4 ends the 16-bit line of SuperMemo for Windows (available for download from this website)
    • March 20, SuperMemo Library hosted by Michal Hejwosz and Piotr Maksimczyk is inaugurated at this website
    • May 25, SuperMemo World signs a licensing and distribution contract with Vulcan Media. By September 1998, the two companies will jointly develop the largest network of sales representatives in Poland covering virtually all software resellers in the country. Additionally, SuperMemo technology will become integrated with all new educational titles released by Vulcan Media (including the Multimedia Encyclopedia best-seller)
    • August 1, SuperMemo World as the first company in Eastern Europe opens an e-commerce store at Yahoo Stores
    • September 28 - SuperMemo 98 is released
    • November 27 - SuperMemo 98 is featured among most successful Delphi application at Inprise Corp. website
    • December 1 - SuperMemo appears on DVD as part of the best-selling Polish Multimedia Encyclopedia (PWN, 1999 Edition). This title has sold 45,000 copies in two years
  • 1999
    • April 26, 300,000 copies of Easy English #1 CD-ROM have been released in Poland. This is the largest run of SuperMemo ever
    • May 10, SuperMemo MegaMix 99 is released with 319 SuperMemo collections written by users of SuperMemo (this collection took four years to compile!)
    • July 5, on the eighth anniversary of SuperMemo World, 1,000,000th CD-ROM with SuperMemo has been released
    • September, SuperMemo for Windows CE is released
    • October 4, SuperMemo 99 introduces a new concept: the reading list. Reading lists extend the application of SuperMemo to the area of knowledge acquisition, selection, prioritization, and formulation. SuperMemo 99 helps the user to read articles imported from the web and should further increase the gap between electronic and printed matter
    • November 23, in its probably greatest success ever, SuperMemo has been nominated to the title of the Product of the Decade by PC Kurier, Poland (among three other contenders)

    Product of the Decade nomination for SuperMemo

2000
  • January, SuperMemo for Windows CE receives Real Mobility Award
  • March, SuperMemo for Palm Pilot is released
  • July, SuperMemo World s.c. and Internet Investment Fund, Poland, sign an agreement on the development of a system for Mobile learning with SuperMemo
  • November, SuperMemo 2000 introduces the concept of incremental reading that makes it possible to read hundreds of articles at the same time. This is probably the single most important development in the history of SuperMemo since the implementation of spaced repetition
  • December, Polish Orthography SuperMemo CD-ROM is listed among recommended educational tools by the Polish Ministry of Education

2001

  • April, SuperMemo goes Internet

2002

  • May, SuperMemo 2002 adopts HTML as the default data format in incremental reading

2004

  • May, SuperMemo for Pocket PC becomes the first SuperMemo to adopt the new XML data exchange format

See also:

  • History of SuperMemo software development
  • Awards granted to SuperMemo
  • Interview with the author of SuperMemo (1994)
  • Decade of SuperMemo
  • The Decade interview (2001)
  • (if you know Polish) Algorytm wkuwania A few notes on the first steps of SuperMemo at University of Technology in Poznan in 1987 collected by Andrzej P. Urbanski - teacher of computer science of Piotr Wozniak, Krzysztof Biedalak and Tomasz Kuehn who all set up SuperMemo World in 1991


Super Memory

Super Memory: This page moved to http:/www.supermemo.com
Site Summary | News
Articles: Six steps to excellent memory Reading the Internet 20 rules of formulating knowledge in learning 10 rules of using SuperMemo Scientific conquest of forgetful memory How does memory work? Brain cell developer Build your vocabulary Break free from work overload | Shopping FAQ Student Library
This page moved to http:/www.supermemo.com

Visitor count:


Do intelligent students learn faster?

Investigating the correlation between the intelligence and the performance in repetitive learning tasks E.J.Gorzelanczyk, P.A.Wozniak, H.Chrzastowska,
3rd Congress of the European Federation of Neurological Societies, Sevilla, 1998
Do intelligent students learn faster?

The article presented below seems to indicate that your IQ does not really matter much in learning with SuperMemo!
It has been shown earlier that the learning process in SuperMemo correlates strongly with your learning results. Strangely, good students showed lower retention as measured by SuperMemo! This can easily be explained by the fact that SuperMemo is based on self-grading. Critical students provide lower grades and thus reduce their retention measurements. However, their high self-criticism pays off when it comes to exams that verify the learned knowledge. The fact that little correlation has been found between the same learning parameters and the IQ and its components, indicate that the motivational factor may really play a much higher role in learning that it is popularly perceived.

The conclusions for you, the user of SuperMemo:

  • Never say: "I am too stupid to learn it". If you cannot understand something, you probably miss some facts needed to complete the picture or perhaps the book you are studying is just badly written. Do not blame yourself! If you really try and you cannot, it probably is not your fault
  • Never say: "I have too bad memory to really learn it". The experience of thousands of students of SuperMemo is that on average we differ very little as far as basic memory properties are concerned! Some students can really better structure the material to learn and thus learn really fast but with SuperMemo ... you will be forced to develop better mnemonic techniques (ways to structure the material in your memory). Otherwise the intractable material will make your repetitions a living hell. With time, you will see that your speed of learning does not differ much from the speed of other students.
  • What really counts most in learning is motivation! If you really want to learn something, the only true limitation is time and the availability of a well-written (or well-structured) learning material. With SuperMemo, your memory no longer is a factor!

The authors have been investigating the applications of repetition spacing algorithms in learning (note that SuperMemo algorithm is a repetition spacing algorithm). As significant variations in the speed of learning have been observed among the tested students, the question has been raised about the possibility of finding a correlation between the components of intelligence and personality and various measures of the learning process in a group of students.

In the presented study, thirteen different measures of the learning process have been juxtaposed against fourteen components of intelligence as measured by the Wechsler test for Polish population. Thirty students participated in the test. Their IQ has been measured and they all have been subject to a learning process based on repetition spacing lasting twelve months.

Earlier studies have shown that such a learning process, when based on self-grading, often shows surprising negative correlation between the measured knowledge retention and final knowledge tests . Better students, i.e. those who fared well in the final test, have consistently showed lowered retention measurements throughout the learning process. In self-grading procedure, it appears that more critical students provide lower grades at repetitions and consequently show lower retention as measured by SuperMemo (i.e. not necessarily lower retention in general); however, their self-criticism and increased repetition workload make them fare better in verification tests.

In the presented study, the authors have been looking for correlates between the parameters of the learning process and various components of intelligence. No significant correlates have been found. This seems to indicate remote relationship between the overall intelligence and the learning process that is probably most visibly affected by motivational factors. Additionally, memory-related components of intelligence do not play a visibly more significant role in learning than other components. This indicates that the basic memory properties of individuals are much less varied in a population than other factors affecting learning such as motivation or persistence.

Description of the measures of the learning process:

Last | The date of the latest scheduled repetition after 12 months of learning
1.3s | The number of items causing significant difficulties in learning
Burden | The measure of the average number of repetitions per day
Grade | The average grade given in repetitions (0..5 scale)
Lapses | The number of times an average item has been forgotten
Cases | The total number of repetitions made in the entire learning period
Retention | The average retention throughout the learning process
Day/Rep | The average interval between repetitions of an average item
Interval | The average interval between repetitions at the moment of completing the process of repetitions
Factor | The average difficulty of items as measured at repetitions
Rep | The average number of repetitions afforded an average item in the learning period
Workload | The average time spent on repetitions per day
Time | The average time spent for a single repetition

Learning-Intelligence correlation coefficients (absolute values).

All rows and columns have been sorted for the highest averages (best correlates at the top-left).

Highest correlation has been found for the following pairs:

  • picture ordering vs. latest repetition
  • dictionary test vs. the number of most intractable items
  • similarities test vs. average number of repetitions per day

No absolute value of any single correlation coefficient has passed the 0.5 barrier. Most notably, the correlation between the overall IQ and the retention was nearly zero!

test/parameter | Last | 1.3s | Burden | Grade | Lapses | Cases | Retention | Day/Rep | Interval | Factor | Rep | Workload | Time | Average | Maximum
similarities | 0.251435 | 0.115108 | 0.186151 | 0.357474 | 0.192339 | 0.044872 | 0.217379 | 0.446996 | 0.33504 | 0.02327 | 0.126113 | 0.096549 | 0.292984 | 0.219493 | 0.446996
dictionary | 0.19587 | 0.447874 | 0.085428 | 0.201719 | 0.274271 | 0.3069 | 0.261952 | 0.245754 | 0.109595 | 0.360766 | 0.129229 | 0.010174 | 0.041797 | 0.196172 | 0.447874
ordering pictures | 0.459928 | 0.007164 | 0.280348 | 0.355465 | 0.104795 | 0.0405 | 0.101342 | 0.325604 | 0.232347 | 0.172744 | 0.098151 | 0.19341 | 0.152299 | 0.191012 | 0.459928
understanding | 0.158112 | 0.32479 | 0.1063 | 0.219757 | 0.237604 | 0.255267 | 0.205431 | 0.0492 | 0.10988 | 0.219496 | 0.179659 | 0.148656 | 0.083561 | 0.1575 | 0.32479
math | 0.158216 | 0.220544 | 0.003081 | 0.067041 | 0.293845 | 0.280389 | 0.172424 | 0.093783 | 0.138667 | 0.139241 | 0.064291 | 0.112015 | 0.189514 | 0.150478 | 0.293845
repeating digits | 0.118939 | 0.03909 | 0.260202 | 0.08776 | 0.098316 | 0.034617 | 0.255651 | 0.050837 | 0.252497 | 0.11774 | 0.0698 | 0.296262 | 0.119755 | 0.134654 | 0.296262
knowledge | 0.303862 | 0.243793 | 0.080728 | 0.048178 | 0.143129 | 0.203255 | 0.161296 | 0.182687 | 0.119038 | 0.046969 | 0.076874 | 0.039605 | 0.12319 | 0.132473 | 0.303862
missing pictures | 0.246656 | 0.087238 | 0.285121 | 0.239839 | 0.053011 | 0.02366 | 0.01551 | 0.209288 | 0.159637 | 0.026145 | 0.133331 | 0.210475 | 0.01678 | 0.131344 | 0.285121
non-verbal scale | 0.287654 | 0.126439 | 0.2887 | 0.242132 | 0.079844 | 0.056562 | 0.008464 | 0.03229 | 0.072185 | 0.058815 | 0.127781 | 0.206032 | 0.047984 | 0.118959 | 0.2887
verbal scale | 0.068362 | 0.263983 | 0.14222 | 0.089241 | 0.145248 | 0.10665 | 0.267287 | 0.006614 | 0.0153 | 0.198578 | 0.032647 | 0.063951 | 0.18209 | 0.118753 | 0.267287
IQ | 0.042247 | 0.125142 | 0.171178 | 0.065187 | 0.158327 | 0.147416 | 0.025154 | 0.065028 | 0.029696 | 0.156907 | 0.123413 | 0.201409 | 0.230099 | 0.11278 | 0.230099
digit symbols | 0.005454 | 0.198295 | 0.003 | 0.06796 | 0.014984 | 0.176467 | 0.088343 | 0.154987 | 0.188677 | 0.118531 | 0.343025 | 0.00761 | 0.016567 | 0.10832 | 0.343025
bricks | 0.212143 | 0.000299 | 0.106088 | 0.040137 | 0.04751 | 0.139224 | 0.066777 | 0.000828 | 0.003613 | 0.105972 | 0.16183 | 0.010296 | 0.099978 | 0.09095 | 0.331007
puzzles | 0.007805 | 0.051645 | 0.17159 | 0.065381 | 0.103362 | 0.114531 | 0.052283 | 0.013961 | 0.054225 | 0.041374 | 0.110118 | 0.164811 | 0.056728 | 0.076434 | 0.17159
Average coefficient | 0.179763 | 0.160815 | 0.15501 | 0.153376 | 0.139042 | 0.137879 | 0.135664 | 0.134133 | 0.130028 | 0.127611 | 0.126876 | 0.125804 | 0.118095 |  | 0.320742
Maximum correlation | 0.459928 | 0.447874 | 0.2887 | 0.357474 | 0.293845 | 0.3069 | 0.267287 | 0.446996 | 0.33504 | 0.360766 | 0.343025 | 0.296262 | 0.292984 | 0.219493 | 0.459928

For more on the same subject see: Analysis of data collected from a group of students using an algorithm for spaced repetition


Money in a link

You can link to SuperMemo Store and receive 33% of sales revenue generated by your link!

Requirements:

  • your own website

Investment:

  • 10 minutes of your time

Algorithm

  1. Write to SuperMemoMail with the address of your website (short description and traffic figures are optional but welcome)
  2. Within one business day you will receive two URLs at http://www.super-memo.com:
    1. Linking URL: you will use this on your website to link to SuperMemo Store
    2. Analysis URL: you will use this to monitor traffic, sales and your earnings at SuperMemo Store
  3. Link to SuperMemo Store by using Linking URL

Remarks:

  • You will receive quarterly payments as long as these exceed $50
  • We cannot consider requests from the following countries at the moment: Poland, Czech Republic, Slovak Republic, and the Netherlands

Important!

Note that you will be linking to SuperMemo Store at www.super-memo.com, which is different than this site (www.supermemo.com). It is important that you provide the customer with sufficient information to be ready to buy from SuperMemo Store. Otherwise, the customers will drift to www.supermemo.com before making a purchase (e.g. to get more information), and will not be included in the statistics!

Once you receive the linking URL, replace index.html with pages you would like to link to (e.g. sup84dow.html , aden97.html, etc.). This should greatly reduce the drift to www.supermemo.com

Questions about Money in a link:

Question:
I signed up for Money in the link (see: http://www.integratedcommerce.com ) and would like to know to what extent I can reuse the material available from your website?
Answer:
You can freely reuse the material from our site as long as:

  1. You do not modify texts copyrighted by individual authors (e.g. Forget about forgetting ). The authors are always listed in the header. If no one is listed, you can modify the text
  2. You do not exaggerate the claims about what can be accomplished with SuperMemo

We are always happy to spread the word about our technologies and are also happy if individual webmasters add their own wording or flavor. This way we can also learn how to effectively convey the message!

Prices in Yahoo Store are subject to change without notice (#6886)
Question:
According to the Tracked Link Report, I receive a different Merchandise Credit on different days. Why is it so if the credit base is constant (33%)
Answer:
Once prices change, so will your credit. Some items are subject to quite price fluctuations (esp. library material)


Sites related to memory and learning

Other sites related to memory and learning
  1. Brain and Mind - dozens of popular scientific articles about the brain, memory and learning. It also includes materials related to: sleep and sleep disorders, circadian rhythm, stress, amnesia, Alzheimer's, alcohol and drug abuse, new discoveries in neurosciences, brain anatomy and physiology, artificial intelligence, consciousness, physiology of pleasure (e.g. reward deficiency syndrome), societal impact of psychology, and more. Some articles are not-so-good translations from Portuguese, others have not been spell-checked and some describe untested or discredited theories. However, this site is overwhelmingly recommendable
  2. Flashcard software review - SuperMemo is included in the winner's gallery but, surprisingly, its repetition algorithm is described as "rigid", while lack of Leitner cardfile system is considered a negative! The opposite is true, Leitner system may serve user's mental comfort, but it will not meet the retention criteria that are the strongest point of SuperMemo. The review makes a meticulous cross-comparison of all well-known flashcard applications using a set of well-defined predetermined criteria (see: requirements). Note that SuperMemo meets nearly all the listed criteria for determining a "good flashcard application". See also the review winner: VTrain
  3. Mind Tools - everything for the better mind including excellent articles on the psychology of learning, problem solving, creativity, time-management, stress-management, memory training (Total Recall), and links to other mind tool sites
  4. Mind Media - website for personal exploration and self-improvement including:
    • Mind Media Guide to the Web (including a link to SuperMemo Web Site)
    • software for learning and creativity (DOS, Windows, Mac)
  5. Memletics.com - integrated manual of accelerated learning by Sean Whiteley available as a paper book or on-line (free excerpts)
  6. Learn English effectively with Antimoon.com - Articles on how to learn English effectively, based on the experiences of two successful learners (both users of SuperMemo). Includes a description of the Antimoon Method of learning English, stories of people who succeeded in mastering English, free downloadable recordings, and a thriving discussion forum
  7. Self-Growth - a huge collection of self-improvement and creativity material
  8. Brain Connection - high quality materials on education, learning, memory, and neuroscience (see Learning and Memory section)
  9. World Wide Brain Club eGroup - Yahoo eGroup whose topics include "Speed/Range reading, Memory techniques, Mnemonics, Number Rhyme SEM cubed Roman Room technique, Dominic O'Brien technique, Mind Maps, The Mind Map Organic Study Technique (MMOST)". Members of the group also post comments about SuperMemo. The group is open for subscription via e-mail and includes a searchable archive
  10. Memory Key - good memory hints and review of recent memory research
  11. Brain.com - a huge collection of material related to learning, memory and aging (e.g. principles of neurobics)
  12. The Memory Page - Page dedicated to improving memory. Excellent articles by Kevin Jay North on mnemonic techniques. Comments on MegaMemory, and various mnemonic systems
  13. Mind Manager - world's best mind-mapping software for Windows. The program allows of exporting mind maps as graphics, text, HTML, and as such can excellently complement SuperMemo in the learning process. Mind Manager mind maps can also be imported to SuperMemo via OLE (see an example)
  14. The Medical Basis of Stress, Depression, Anxiety, Sleep Problems, and Drug Use - an excellent popular-scientific text about the physiology of neurotransmitters and their effect on our daily lives
  15. Creativity Web - Rich resource materials for those who are interested in enhancing their creative thinking including the review of software for creative thinking (Windows, DOS and Mac), links to the official Edward de Bono site, biographies of creative geniuses: Albert Einstein, Buckminster Fuller, Carl Jung, etc.
  16. Tony Buzan Centres (see: Tony Buzan's biography)
  17. Learning at Integrated Commerce - Supercharge your brain and get it Y2K compliant: links to Total Recall, ThinkFAST, SuperLearning and brain growth through enriched environment
  18. http://www.ntu.ac.uk/soc/bscpsych/memory/site.htm - lots of interesting articles and links related to memory and learning edited by Hugh Miller, a psychology lecturer at the Department of Social Sciences of The Nottingham Trent University: students who already had knowledge of formal mnemonics still did not use them more than other students and so difficulty in using them provided an alternative explanation. Of the students who did use formal mnemonics, verbal was the most commonly used and images the least. The study also found that general memory strategies, which can also be considered to be 'normal memory functions' because no special training is need, such as short-term recognition and mental rehearsal, were the most commonly used memory aids at all levels of education. This was the most common strategy because of the minimal cognitive effort involved but it may not necessarily be the best to maximise chances of recall in an exam (excerpt from: How should you revise to maximise your chances of recall in an exam?)
  19. World Wide Brain Club - manual for the brain
  20. Enchanted Mind - focus on creativity (train your brain to improve the number of neural pathways), scientific articles, puzzles and tests, links to other sites (including SuperMemo), and ... lots of humor
  21. How to Study - a huge compilation of valuable links to sites with hints and tips for students in areas such as: effective learning, mnemonic techniques, stress-management, test-taking strategy, speed-reading, note-taking, etc.

  22. Memory Improvement - compilation of interesting notes and links related to learning. This site also mentions SuperMemo; however, it is presented in a slightly distorted manner. Users of SuperMemo are aware that it does not "take time to keep records of the material" (in incremental reading you only use the mouse to point the computer to what is important while all the learning process proceeds automatically). Neither does SuperMemo require to "know things indefinitely" (the user determines the retention level for a given period of time for portions of material)

  23. Jensen Learning Center - brain research, the truth about brain-based learning and a learning quiz
  24. www.gocreate.com - resources for a creative mind including Creativity Timeline and links to other sources
  25. http://www.neurobics.com/exercise.html - a site that introduces and explains the concept of neurobics, i.e. multisensory stimulation targeted at activating growth in the nervous tissue of the brain: When you change to writing left handed, the large network of connections, circuits, and brain areas involved in writing with your left hand--which are normally rarely used-- are now activated on the right side of your brain. Suddenly your brain is confronted with an engaging task that's interesting, challenging , fun and potentially frustrating. Making multi-sensory associations, and doing something novel that is important or engaging to you --these are the key conditions for a genuine Neurobic exercise
  26. http://www.demon.co.uk/sharpsw/total.html - Total Recall. Software similar to SuperMemo: you enter the questions/answers or terms/definitions into the program. To memorize the material you can select from a variety of activities including Flashcards, True/False, Multiple Choice or Written Response. See also: http://www.zoft.com
  27. http://www.rocketreader.com/rocket.html - speed-reading software (testimonials: "I purchased Rocket Reader for my son when he was 11 years old, in the fifth grade. His achievement reading scores rose from the 70th percentile to the 87th percentile")
  28. Language Warehouse - Hints and tips on learning a foreign language (see also: http://www.tlwh.com/links.html)
  29. IQ test in 15 minutes!
  30. Education at Buyer's Index - A collection of e-commerce sites with educational products (including SuperMemo Store)
  31. Amazing Brain - Within the brain and spinal cord there are ten thousand distinct varieties of neurons, trillions of supportive cells, a few more trillion synaptic connections, a hundred known chemical regulating agents, miles of minuscule blood vessels, axons ranging from a few microns to well over a foot and a half in length, and untold mysteries of how—almost flawlessly—all these components work together. This is the amazing brain. The beauty of the brain lies in its incredible complexity. The neuroscience challenge is to transform the mind boggling appreciation of the central nervous system's complexity into manageable proportions. This site has been designed as the starting point to studying the amazing brain
  32. Unforgettable software - mnemonic aid for memorizing numbers. See also: Memorizer 010


SuperMemo MegaMix

SuperMemo MegaMix 1999
If you have questions about MegaMix write to: SuperMemoMail
See also: MegaMix FAQ

Introduction

SuperMemo MegaMix contains 1.3 GB of learning material written by users of SuperMemo. This is a selection of best collections developed in the years 1992-1999. Apart from SuperMemo 98, it includes among others all but one winners of SuperMemo Best Database Competition, Advanced English 98 (text-only version upgradeable to the multimedia version), Medical Biology, Eurodictionary by Dr L.Rozanski, English Grammar, demonstration of Cross Country and Video English SuperMemo CD-ROM titles, all language material from SuperMemo Multilingual CD-ROM, all collections from SuperMemo Library (as for March 1999), SuperMemo Library Digest, courseware development examples, ABC of SuperMemo, and many more.

Features

  1. SuperMemo 98 with 15 national interfaces and help system in CHM and HTML formats
  2. 1.3 GB of learning material, over 600,000 elements, 319 collections
  3. MegaMix Setup that will help you install more learning material classified in a tree structure divided by language sections
  4. Advanced English 98 best-seller (text-only) with 43,000 items, significantly reviewed and expanded, upgradeable to the multimedia version
  5. English phonetic transcription with 72,000 items presented using IPA notation (the transcription registry is extendable and editable)
  6. Medical Biology , 8000 items
  7. English Grammar, 3000 items
  8. All language learning material from SuperMemo Multilingual CD-ROM
  9. Entire SuperMemo Library (version from March 1999)
  10. SuperMemo Library Digest
  11. Demonstration of SuperMemo CD-ROM titles: Video English, Cross Country and Advanced English 97
  12. Eurodictionary by Dr L.Rozanski (nearly 60 collections for learning vocabulary of English, German, French, Italian, Hungarian, Czech, Slovak and Polish)
  13. ABC of SuperMemo (short course on SuperMemo delivered by SuperMemo itself)
  14. Selected scientific and popular scientific publications (see titles marked with a red hash at List of Publications)
  15. Content of this website (state of March 1999)

For the full list of collections see: MegaMix Collection List

Order MegaMix 99

Installer Bug in MegaMix 99

We regret to inform that in a limited number of cases, you can experience installation problems. Please read more: MegaMix Installer Bug


SuperMemo News

Home News Shopping FAQ Library Download Help Support
Contents : Company
News from the world of SuperMemo

  • Sep 7, 2004 - Users of SuperMemo 2004 may experience nonsensical display of some short Asian texts in plain text components upon upgrade from SuperMemo 2002. This is a documented bug in the present release of SuperMemo 2004. A patch and a technical article will be published as early as possible. This bug does not lead to loss of data. You will be able to use your collections in SuperMemo 2004 without further action. Once the patch is available, we will only kindly ask you to re-run the installer and choose the Update option. Learning Asian languages with HTML and Unicode is not affected

  • Sep 4, 2004 - Enthusiast of incremental reading can now upgrade to the newest incremental reading machine: SuperMemo 2004 for Windows (upgrade at $15). SuperMemo 2004 adds a number of improvements that make incremental reading smoother than ever (see: What's new in SuperMemo 2004?). In addition, it is a second SuperMemo line to join the XML Club (see: Revolution in the pocket). This means, that for the first time ever, users of incremental reading can drill their items in all conditions where they can squeeze in with a Pocket PC device

  • Jun 11, 2004 - Users of SuperMemo for Pocket PC can now upgrade to version 3.0. New features in SuperMemo for Pocket PC include:

    • HTML formatting

    • first core implementation for inter-platform learning XML data exchange

    • the limit on the length of questions and answers has been eliminated

    • a database can now hold up to 30,000 items

    • different fonts in questions and answers can be saved in the database configuration file

    • two modes of character encoding: compressed Unicode (for compatibility) and UTF-8

    • global swap of questions with answers

    For more information see:

    • Download a trial version of SuperMemo for Pocket PC

    • Revolution in the pocket (how XML will impact data exchange between SuperMemos)

    • How to register, upgrade, update, or unlock SuperMemo for Pocket PC

    SuperMemo for Pocket PC 3.0 presenting the use of HTML:

    SuperMemo for Pocket PC 3.0 presenting material imported from SuperMemo for Windows via XML data exchange:

  • Apr 6, 2004 - Due to rampant spam and proliferating mail viruses we were forced to proceed with a new series of mail address changes. Most significantly, the address wired in SuperMemo for Windows, support@supermemo.com had to be cancelled as the number of pieces of spam reached 1000 per day. More and more legitimate mail had been overlooked. The address installed in that place is help(AT)supermemo(.)com. We apologize for this highly inconvenient change. For the list of current addresses see: Contact. In addition, all addresses at SuperMemo Library have been changed. See: Library Contact

  • Mar 12, 2004 - A new user community has been proposed by Matthias Hamann. The community includes the section for SuperMemo collection exchange: http://www.supermemo.edu.tf/

  • Mar 1, 2004 - Every year there are more SuperMemos to choose from. Until now, all SuperMemos communicated using a primitive question-and-answer data exchange format dating back to SuperMemo for DOS (1988). The format would not even transfer the learning process! This is all about to change with the arrival of a SuperMemo XML data exchange specification. The concept is far from complete, but rudimentary implementation of its core functionality has already begun on several platforms with SuperMemo for Windows, SuperMemo CE and SuperMemo Library in forefront. SuperMemo for Palm Pilot and on-line SuperMemo are to follow soon after. The data format is also suitable for SuperMemo-less presentation (e.g. on the net). See also exemplary XML and XSL files viewable in Internet Explorer 6.0. To comment on the concept, contribute to its final shape or to proceed with your own implementation have a peek at: SuperMemo XML Alpha

  • Jan 24, 2004 - Electric lighting, TV, computer games, the Internet and the 24-hour economy resulted in an epidemic of sleep disorders in industrial societies. The amount of caffeine consumed and all-nighters pulled at college campuses translate into untold losses to learning and creativity. Instead of the New Renaissance or New Enlightenment, we seem to be heading more towards a New Rat Race with grumpy citizens, sleepy students, road rage, family violence, substance abuse and the like. One of the major causes of the unfulfilled promise of new cyber-society comes from the clash of the technology with human biology. We have not yet learned how to adapt our bodies shaped by thousands of years of life in primordial conditions to the new lifestyle determined by our ambitious goals and societal pressures. If only we could all sleep well, love what we do, love each other, and smile more, we would have made a major step on a way towards a higher level of human growth and development. In continuation of Good sleep, good learning, good life, we would like to present to you SleepChart, a freeware software application for optimizing sleep and diagnosing sleep phase disorders. In the article Formula for Healthy Sleep, we try to demonstrate that by tracking two variables underlying the sleep rhythm, we can come closer to understanding when we need to go to bed so as to maximize the benefits of sleep for learning and creativity

  • Sep 24, 2003 - A few new upgrades and add-ons for users of SuperMemo:

    • SuperMemo for Pocket PC ver. 2.5: compatible with Pocket PC 2003, including large window mode (without statistics), and replacing Convert Tables with Q&A export/import directly via Unicode. This upgrade is free for all users of previous versions of SuperMemo for Pocket PC. Please reorder (no charges on repeat Pocket PC purchase) or write to shop(AT)supermemo.com to request a copy

    • Tools : Plan timer for SuperMemo 2002 makes it possible to time your activity with SuperMemo schedule manager even if SuperMemo is not running. If you would like to have this feature integrated in future versions of SuperMemo for Windows, write to support(AT)supermemo.com

    • Knowledge Harvester - conveniently automates copy/paste operations when reading texts and preparing simple Q&A collections for various SuperMemo platforms (please visit and support http://www.banaban.net)

  • Sep 23, 2003 - We regret to inform that Video English and Cross Country CD-ROMs will no longer be available. Due to the expiry of the original licensing agreement and the depletion of the current stock, we are unable to continue sales. Please write to library(AT)super-memory.com to learn about the currently available alternatives. Also, Multilingual SuperMemo CD-ROM has been terminated due to the lack of customer interest. MegaMix 99 CD-ROM provides an up-to-date super-set of this old title (with SuperMemo 7 replaced by SuperMemo 98)

  • Aug 25, 2003 - Visitors to supermemo.com often ask for an evaluation of various learning methods such as Photoreading, mind maps, NLP, Mega Memory, Silva Method, speed-reading, Precision Teaching, or binaural beats. It is impossible to give all methods a fair treatment. However, to help you separate diamonds from the chaff, you may wish to read: 20 Myths of Memory and Learning

  • Aug 22, 2003 - Due to the sobig.f attack some of mail received in these days at various SuperMemo-related addresses might have been overlooked. If you do not receive a response within 3-4 days, please resend your inquiry

  • Jul 24, 2003 - Due to a spam explosion on July 4-7, 2003, it is possible that some messages arriving to support AT supermemo.com on that day might have been lost. If you have not received a response to your queries, please resend them. We apologize for this inconvenience.

  • Apr 14, 2003 - Several e-mail accounts at supermemo.com have been deleted due to heavy spam. Please see contacts for the up-to-date list. Most importantly order@ has been replaced with shop@. Mail sent to non-existent accounts will be deleted on arrival.

  • Mar 13, 2003 - Two new freeware collections in SuperMemo Library illustrate two different and important angles of learning with SuperMemo:

    • Phonetic system for memorizing numbers - Greg Reppas shows you how to memorize numbers. You may need a major investment in understanding and perfecting the method, but once you master a solid mnemonic technique, remembering numbers will always be easy

    • Learning English with movies - if you like movies, this collection might be the most entertaining part of SuperMemo Library. You can extend it easily with material from your favorite movies

  • Feb 20, 2003 - User surveys indicate that templates and categories give users of SuperMemo 2002 most headaches. The following article addresses this problem in a no-frills manner: Working with Templates and Categories

  • Jan 22, 2003 - We would like to hear from users of SuperMemo for Windows if they prefer SuperMemo delivered as a plain zip file, as a self-extracting zip file, or along a standard Windows installer. Users with advanced computer skills prefer zip files; however, SuperMemo seems to attract more and more users who are not very fluent with files and folders. This beta-testing program illustrates a no-hassle setup alternative (all registered users can join this testing program). See the installation flow-chart. Please send your feedback to smsetup@super-memory.com

  • Jan 1, 2003 - In case you are still in doubt: you can improve your memory skills by training

  • Dec 31, 2002 - Do you party tonight? SuperMemo Library provides an alternative: start 2003 on a good foot with a dose of learning. A dozen new collections include lots of fun learning material. Here are some examples:

    Bones of the skull

    International Phonetic Alphabet

    Polish voivodship capitals: in the picture below: Poznan, the birthplace of SuperMemo

  • Dec 2, 2002 - Dr Len Budney, a US user of SuperMemo, set up SuperMemo Wiki. You can contribute to building user community encyclopedia about memory, learning and creativity. You can easily add your own articles (see example), or improve upon the work of others (see example). Just go to any page and click Edit at the bottom. It should take you no more than 5 min. to register and 20 min. to learn how to add your own material.

  • Dec 1, 2002 - If you hate Microsoft, and if you are angry with their pushing Internet Explorer on you, consider the good side. Without Internet Explorer there would be no HTML-based incremental reading in SuperMemo. Microsoft integrated HTML parsing and rendering with many of their products. This could have been part of their browser war, but it is also a logical step in the operating system development. HTML is so universal, that an operating system without HTML processing would lag behind today's user demands.

    SuperMemo employs mshtml.dll library that makes it possible to do HTML editing. SuperMemo can now render HTML in exactly the same way as it is done by Internet Explorer. mshtml.dll might be one of the buggiest components in Windows; however, for SuperMemo is has still been a blessing. If you are interested in the subject here are some links:

    • MSHTML Editor in Delphi - SuperMemo collection we used to learn about WebBrowser control during the implementation

    • MSHTML Editor in questions and answer - text version of the same material importable to your SuperMemo

    • SuperMemo source code - which reveals SuperMemo inner implementation, as well as the pains due to bug workarounds (see also: fast HTML search&replace in SuperMemo)

    • Microsoft's MSHTML Reference

  • Nov 14, 2002 - Incremental reading is the most important enhancement to SuperMemo since its inception in 1987. Yet few people know what incremental reading is. Yet fewer are able to successfully employ it in their daily learning practice. Incremental reading can shortly be described as reading&repetition. You just take an article and keep on reading it (in the same way as you read it in your web browser). However, while reading, you tell SuperMemo, which portions of text are important. All you need for that is: select&click. SuperMemo will present those portions to you at later time for further analysis. That's the essence of incremental reading!

    When you read important fragments, SuperMemo helps you convert them to question-and-answer material with a single click. For example, you read that Neolithic diet increased the rate of infectious diseases. With a single click you convert that to a question: Neolithic diet [...] the rate of infectious diseases. It is the job of SuperMemo to handle the flow of articles, their fragments and questions. Every day, you get your dose of reading and repetition. SuperMemo tries to maximize the retention of your new knowledge (i.e. make sure you remember what you learn). That's all.

    Some articles are suitable for incremental reading (e.g. encyclopedic material), others are not (e.g. fiction). To help you inspect the incremental reading process in action, we have prepared for you this collection: JavaScript Tutorial. This tutorial is based on excellent materials available from http://www.w3schools.com. This material is ideal for incremental reading: concise and meaty. Except for cosmetic edits, the whole collection was made by paste&extract. No typing needed!

    Go to Contents in the JavaScript collection and see how individual portions of text imported from w3schools get portioned and converted to question-and-answer material. If you are interested in JavaScript, click Learn and see the outcome of the incremental reading process (around 500 elements have already been generated in the collection). Note that the deeper you go into the course, the less processed the material is. That is the norm in incremental reading. This is work in progress and the progress is incremental. Every day you go deeper, focus on more detail, and learn more. To complete the course, go to w3schools, import more pages and process them using the incremental reading technique. For technical details see: Incremental reading. For a longer article about the role of incremental reading in learning see: Devouring knowledge. You can also consult Incremental reading FAQ.

  • Nov 9, 2002 - Do you think SuperMemo is complex? Let two Irish teenagers explain how they incorporated SuperMemo into their daily learning routine: Introduction to SuperMemo 2002. You can also see an exemplary free collection developed by the same authors, which illustrates that learning is fun: Spanish Alphabet for Kids

  • Nov 4, 2002 - In the world of global communications, excellent English is no longer a trump card. It is a live or die factor. Demand for English courses is soaring. That's why Advanced English flagship sails on; by far the most popular collection in SuperMemo Library.

Advanced English is likely the fastest way towards beating native speakers (as well as your ESL friends) in mastering English. This can be measured objectively by GRE, FCE or TOEFL scores! In addition, Advanced English is the best introduction to the world of SuperMemo. You can get the feel of the program while building a solid knowledge of English vocabulary and grammar. Today, you can finally download the entire Advanced English material from the net. It includes 41,000 elements and 27,000 sound recordings. If you still do not have SuperMemo, you can go straight for the Advanced English 2002 Power Pack, which includes: SuperMemo 2002 (2MB), Advanced English 2002 collection (10 MB) and Audio material (230 MB). In addition you can opt for a whole suit of discounts, upgrades and cross-sale options for existing users. For details see: Advanced English 2002.

If you are lost in technicalities and/or available options, write to library@super-memory.com to receive meticulous and enthusiastic support.

  • Nov 1, 2002 - In a rare departure from the learning-oriented subjects, we would like you to delve into the matters of ethics. In these days where evil takes more and more sophisticated form, we would like you to consider this arguable thesis: Knowledge is Good!

  • Oct 19, 2002 - Mail Server Crash! If you have not received response to mail sent to SuperMemo World in recent days, please resend! Due to an unexpected surge in spam (80,000 messages within a single day), the mail server at supermemo.com crashed and all mail has been lost. We apologize for this inconvenience. On this occasion, please note that we always respond to mail relevant to SuperMemo within 1-2 business days. Rarely e-mail gets lots. If you do not receive any response within 3-4 days, please always write again. Frequent problems related to mail delivery:

    • Users who do not receive a response once, wrongly assume we are unresponsive and give up

    • Users keep on sending mail with a wrong return address and we are unable to respond

    • Users use faulty mail accounts and all mail bounces back

    • Rarely, legitimate mail is mistakenly filtered as spam or not delivered at all

    • Mail is sent to addresses that have been eliminated due to spam and redirected to devnull(AT)supermemo(.)com. This mail is deleted upon arrival

    In most urgent cases, where we cannot contact you by mail, we will resort to using the phone (if available on the record). If that fails, paper mail is used as a last resort.

  • Oct 7, 2002 - Users in North America can now get improved performance with supermemo.net located in the US

  • Aug 1, 2002 - www.antimoon.com is an interesting site for enthusiasts of English. It provides hints and tips for learning foreign vocabulary. It also discusses optimum strategies for using SuperMemo. Two interesting articles:

    • "Me and SuperMemo" by T. Szynalski is an encouraging story of how young talent gets hooked on SuperMemo. The author probably gives SuperMemo more credit than deserved. It is the passion for learning, which emanates throughout the article, that is the first and foremost pre-condition of great knowledge. Luckily, it is the passionate student who is also more likely to appreciate the value of SuperMemo

    • "Sentence items" describes a formulation strategy for learning vocabulary in real-life contexts. This strategy does not entirely comply with the minimum information principle central to SuperMemo. The authors probably again underestimate the power of passion. Passionate students who formulate their own "sentence items" are bound to be successful. However, those who reuse similar material might find it much harder to accommodate. The problem will be compounded with lesser motivated students. In contrast, Advanced English material has been formulated with strict adherence to the minimum information principle. All students should try all suggested approaches to find the optimum strategy matching their own level of passion for the language

  • July 3, 2002 - With 3000 ideas on the implementation tasklist for future development on the Windows platform alone, you may think your feedback will easily get ignored. The reverse is true, the future directions are largely driven by the user community. Send your ideas via e-mail. None gets ignored. Here are some links worth your attention:

    • feedback questionnaire

    • user community for free exchange of ideas

    • user-made mind map with new ideas for future SuperMemo

    • history of SuperMemo software development

  • June 1, 2002 - The newest SuperMemo for Windows makes it easy to harvest knowledge directly from the Internet:

    • What's new in SuperMemo 2002

    • SuperMemo 2002 in pictures

    • Order SuperMemo 2002. If you own an earlier version, you can upgrade (60% discount)

Fig: SuperMemo 2002 makes it easy to import directly from the web

Main advantages of SuperMemo 2002:

  • incremental reading in HTML (WYSIWYG import from the Internet)

  • wholesale import of web pages from Internet Explorer

  • pre-exam review (based on the concept of a mid-interval repetition)

  • AND/OR/NOT search

  • daily learning graphs showing user's progress

  • wizards for categories, tasklists and material rescheduling

Main disadvantages:

  • SuperMemo 2002 requires Internet Explorer 6.0 installed

  • SuperMemo 2002 requires newest Windows (2000/XP recommended). See: Minimum requirements

  • Learning material upgrade is irreversible

  • SuperMemo 2002 will attempt to inactivate older version of SuperMemo that run on your computer (to make sure you do not attempt to open new material with older versions)

  • May 28, 2002 - Could using SuperMemo result in damage to your memory? See: Can too much learning lead to Alzheimer's?

  • May 25, 2002 - Users of SuperMemo 2000 can download a free update that eliminates four most painful bugs found in earlier releases. Most important bugs removed from Build 10.10:

    • Regroup in folders bug that could delete some non-empty elements

    • problems with OLE in elements with Scaled on

    • incomplete Trim Shortcuts

    • wrong average forgetting index statistic

  • Apr 28, 2002 - There has been a debate raging for ten years whether users of SuperMemo will ultimately prefer to develop their own learning material or prefer to use a ready-made material. One extreme view is that users do not have time to formulate their own learning material. They want a ready-made package. SuperMemo's competitors on the education market prevalently (but not exclusively) adopted the ready-made paradigm with excellent results. SuperMemo was initially stuck with do-it-yourself option that is certifiably better for long-term recall. By 1995, it became obvious that ready-made material option requires the highest quality content. With high quality content, more and more users started buying SuperMemo as part of a package for learning a specific subject (e.g. English, Traffic Regulations, etc.). In 2000, the balance again seemed to swing towards do-it-yourself. Incremental reading encouraged many to create their own collections. Incremental reading replaces typing with the import of ready-made pages selected by the user (e.g. from the web). These pages are processed with a few clicks into questions and answers. Perhaps this helps explain why SuperMemo Library covers only a small proportion of registered users. In the new quiz above we would like to know how we could increase the popularity of SuperMemo Library, and the use of ready-made material available therefrom. Please cast your vote or let us know directly: SuperMemoMail

  • Apr 16, 2002 - Dr Len Budney is a US user of SuperMemo. His website includes a couple of well-written stories that look at SuperMemo from user's perspective. In a vivid and simple language, Budney's website explains incremental reading as well as tasklists. The article entitled "My Experience Using SuperMemo " illustrates how the new economy will reward science-oriented minds equipped with good background in math and logic. The article also illustrates how SuperMemo helps you cope with the weaknesses of forgetful memory. Budney writes: "SuperMemo is not magic. If I had relaxed my discipline [...], I would almost certainly have failed [...]"

  • Apr 15, 2002 - The new Polish SuperMemo Website includes a few CD-ROM products based on the new Multimedia SuperMemo with screenshots illustrating the "new look": Spanish, French, Orthography, Tax Advisor Course, and First Certificate in English. The latter CD-ROM has been chosen the 3rd best multimedia CD-ROM product in Poland in the year 2001 (Chip Magazine). In the picture below: "Español para ti" in Multimedia SuperMemo:

  • Mar 12, 2002 - If you have problems accessing pages devoted to SuperMemo CE today, please come back later. Those pages are located on a lower performance server and might be overloaded due to the appearance of an article about SuperMemo CE in the Pocket PC Magazine. In the meantime you could visit alternative pages:
    • SuperMemo CE Help
    • Order SuperMemo CE
    • Pocket PC Magazine Article
    • Mirror site: SuperMemo CE

    We sincerely apologize for this technical glitch.

  • Feb 18, 2002 - "People Who Sleep Less Live Longer" screamed news headlines around the world last week. The reason: a new large-scale study by researchers from the University of California at San Diego who found that people averaging 8 or more hours of sleep per night were 15% more likely to die within the 6-year period of the study than those who slept seven hours (Archives of General Psychiatry). The study makes a valuable contribution to our knowledge of sleep habits but conclusions amplified by mass media are not only wrong. They are dangerous! If you decide to cut down your sleep today to live longer, you will certainly achieve the effect opposite to the one desired. It is your body (actually the brain) which knows best how much sleep you need. This might be five or it might be nine hours. We differ a lot in that respect. There are no noteworthy benefits of cutting down your sleep with an alarm clock, and the dangers are well documented. The erroneous conclusion media draw from Dr Daniel Kripke team study comes from a typical cause-effect relationship confusion. It is not that long sleep is detrimental. It is more that poor health may increase the demand for sleep. Driven to extremes, comatose and bed-ridden patients will bias similar statistics. People with poor quality apneic sleep are more likely to linger in bed and report long nights. On the opposite side of this spectrum are people with healthy and sound sleep habits that often feel refreshed with as little as five hours of sleep, and wake up naturally before the alarm time. In addition to having adverse health effects, sleep deprivation is a major cause of traffic accident and causes immeasurable damage to nations' creative potential. Even the alertness test is not likely to testify to your sleep's quality. This comes from the fact that stress hormones often mask sleep deprivation. You will achieve best health by getting as much sleep as your body calls for in conditions that eliminate stress, stimulants, anti-depressants, sleeping pills and the like. Once more, the mass media amplifier is likely to produce confusion and negative ripples that will keep on reverberating for years to come. Hopefully, that won't be the case with users of SuperMemo and accidental visitors to this website who read: Good sleep for good learning. Here are some of the last week's headlines:
    • Study Links 8 Hours' Sleep to Shorter Life Span (Washington Post)
    • Are Snoozers Loosers? (CBS News)
    • People Who Sleep Less May Live Longer (MSNBC)
    • People Who Sleep Less Live Longer (Yahoo News)
    • Oversleepers may die early (Nature)
  • Jan 14, 2002 - Although we would like to think of users of SuperMemo as the cream of the crop of intellectual elite, they represent many walks of life and countless personality profiles. This is a constantly growing community, which increasingly reflects a typical cross-section of modern society. However, it seems still possible to plot a typical path a user traverses from her first encounter with SuperMemo to the point when she joins a die-hard group (which, naturally, not always is the case). The first impressions of SuperMemo are usually positive as many users come to supermemo.com from a friend's recommendation. With a dose of studying the concept, SuperMemo gains more points. However, the first impressions delivered by software itself are not so positive. The program seems complex and unintuitive (esp. SuperMemo for Windows). Usually there is a clash between what users expect and what SuperMemo really is. Many start from building complex mind maps, playing with fonts and colors, or building extensive knowledge tree. Here SuperMemo stubbornly refuses to adjust to user's concept of what the efficient learning process is. Documentation is not of much help as it is also molded towards SuperMemo-centric worldview. Luckily, with passing weeks and months, users gradually discover workarounds to their problems. They learn tricks of the learning trade. The learning becomes first enjoyable and then addictive. We spare no effort to reduce the first-contact stress barrier. New releases always strive at covering up for insufficiencies and disappointments of the previous ones; in terms of simplicity, functionality and documentation. Before you see more of this effort, help us by taking part in the quizlet above: What annoys you most about SuperMemo? (top)

More news from the years 1997-2001


Optimization of Learning

Optimization of learning Piotr Wozniak, 1990
Optimization of Learning, the Master's Thesis defended at the University of Technology in Poznan, summarizes the early work over SuperMemo, development of first versions of SuperMemo for DOS, and includes a couple of words from the author on the future of spaced repetition in education

The original and full text of the dissertation can be found on SuperMemo CD-ROMs (e.g. Cross Country, Video English, Deine Chancen, MegaMix, or Advanced English). Below only the table of contents is presented for providing a general insight into the subject matter. Hyperlinks indicate related texts available from this site that are based on but not always the same as the original. In particular:

  • Summary has been corrected and updated with new terminology
  • Simulation of the learning process has been updated and the overestimated forgetting rate figures have been removed
  • Using SuperMemo without a computer describes the same method but the text is taken from SuperMemo 6 User's Guide (Biedalak K., Murakowski J., Wozniak P.)
  • Two variables of memory and References are linked to up-to-date texts

University of Technology in Poznan
Computer Science Center

specialization: Programming Techniques and Information Systems
individual specialization: Application of Computers in Human Biology

Piotr A. Wozniak

Optimization of learning

A new approach and computer application

Master's Thesis

Supervisor:
Prof. Zbigniew Kierzkowski

Poznan 1990

Contents

1. Introduction

Readers guide

2. General principles of the SuperMemo method (for an up-to-date text see: General principles of SuperMemo)

3. Account of research leading to the formulation of the SuperMemo method

3.1. Approximate function of optimal intervals

  • Experiment on the influence of various repetition spacing patterns on the effect of repetitions on knowledge retention (Jan 31, 1985 - Aug 2, 1986)
  • Experiment intended to approximate the length of optimal inter-repetition intervals (Feb 25, 1985 - Aug 24, 1985)
  • Algorithm SM-0 used in repetition without a computer

3.2. Application of a computer to improve the results obtained in working with the SuperMemo method (Algorithm SM-2 used in the computer-based variant of the SuperMemo method and involving the calculation of easiness factors for particular items)

3.3. Further improvement of SuperMemo method: modification of the function of optimal intervals

3.4. Further improvement of SuperMemo: introduction of the matrix of optimal factors

3.5. Random dispersal of optimal intervals

3.6. Improving the predetermined matrix of optimal factors

3.7 Propagation of changes across the matrix of optimal factors

3.8 Evaluation of the Algorithm SM-5

3.9. Forgetting rate in case of the cessation of repetitions

3.10. Interim summary: SuperMemo development steps

4. Description of an exemplary software implementation of the SuperMemo method (for an up-to-date text see SuperMemo 99)

5. Simulation of the learning process conducted along the SuperMemo schedule (text updated in 1998)

5.1. Measurement of workloads related to the maintenance of a constant-sized database
5.2. Measurement of the progress of a student who works the same amount of time everyday
5.3. Measurement of the forgetting rate after ceasing repetitions

6. Strategic prerequisites of effective work with SuperMemo (for an up-to-date text see: SuperMemo Decalog)

7. Using SuperMemo without a computer (for an up-to-date text see: SuperMemo without a computer)

8. SuperMemo in the eyes of users (opinions collected from the first 20 students who used SuperMemo)(for an up-to-date text see: User Survey)

9. Application of SuperMemo in procedural learning

9.1 SuperMemo-based touch typing training
9.2. Drum training based on the SuperMemo method

10. Physiology and biochemistry of memory in the light of the SuperMemo method

10.1. Location and character of memory
10.2. Procedural and declarative learning (original title: Stochastic and deterministic learning)
10.2.1. Hypothetical model of procedural learning (original title: Hypothetical model of stochastic learning)
10.2.3. Hypothetical model of declarative learning (original title: Hypothetical model of deterministic learning)
10.3. Molecular basis of neuronal plasticity
10.4. Molecular model of memory comprising elements of the SuperMemo theory

  • 10.4.1. Biological interpretation of E-Factors
  • 10.4.2. Two variables of memory: strength and retrievability
  • 10.4.3. Molecular changes in synapses that correspond to variables of memory

11.Model of intermittent learning

11.1. Formulation of the problem of intermittent learning
11.2. Solution to the problem of intermittent learning
11.3. Interpretation of the forgetting curve
11.4. Verification of the model of intermittent learning.

12. A vision of modern education based on SuperMemo

  • Universal nature of the process of time-optimal learning
  • Most difficult application areas
  • Creative thinking
  • Précis
  • Further research
  • Interim summary

Epilogue

Glossary (for updated terminology see: Glossary 2000)

Summary (text updated and corrected in 1997)

References
Suggestions for further reading

Acknowledgments


User comments about SuperMemo
All customer names and e-mail references have been published with customer's explicit permission. We never publish customer data without a written permission nor do we make data available to other companies or institutions. See Privacy Policy

Apart from recent comments (below), see also archive and cross-platform sections:

  • User comments (compiled: November 1999)
  • SuperMemo for Palm Pilot user comments (compiled: May 2000)
  • Journalists and reviewers (1992-1994)
  • Users in Poland (1992-1996)
  • Other comments (1991-1994)
  • Guestbook (unedited user comments)

USER COMMENTS (compiled: November 1999)

Doug Dicharry [ ddic@email.msn.com], USA, Apr 4, 1999 - Your program is WONDERFUL. It is just what I have been looking for, and I feel very fortunate to have come across it on an Internet search on "memory." Thanks to you and your staff for all the hard work. I look forward to hearing about new developments with SuperMemo

Marc R. [Mrstuik22@aol.com], USA, Mar 18, 1999 - SuperMemo has been an absolute God-send. I can't tell you how much I utilize and rely on this program. I can't begin to adequately express my gratitude. Thank you! [...] I recommend this program to all my students. As a matter of fact I recommend this program to anyone who will listen [...] I think this program is nothing short of miraculous and I am eternally grateful

Jake White [jfwhite@mindspring.com], USA, May 13, 1997 - I recently discovered your product, SuperMemo. What an incredible program! [...] I have found Super Memo to be a quantum leap over other flashcard programs available (and I have tried/bought a lot of them). I [...] applaud you for creating a program which contributes so mightily to the good of all of us

Clark Hamilton [ chamilt@christcom.net], contractor at Microsoft, USA, Jul 29, 1999 - I was learning most of the complex programming topics by reading and committing information to memory using SuperMemo [...] Thanks for a great tool that has served me well by greatly accelerating my career advancement

Jim Ivy [Jim_Ivy@Dell.com], USA, Nov 1, 1999 - I really like the automatic cloze creation in your new version. It should save me a significant amount of time [...] I keep telling everyone about SuperMemo - if I did not own a computer, I would buy one just to use SuperMemo!! [...] Each day as soon as I boot my system, SuperMemo is there to drill and refresh me on the things I need to know to grow and progress in my job [...] SuperMemo is the most effective learning tool that I have found [...] Thank you for the difference you have made

Mark Forster [MarkF1000@aol.com], UK, Apr 26, 1998 - Thanks for a really great product... I love SuperMemo!

Nihat Ozer [Ozern@aol.com], USA, Mar 24, 1999 - Last year, I used SuperMemo. previous version, I do not remember which one, God, it was excellent, I memorized 100 words in just half an hour. It was such a cool thing. Congratulations for developing such an "awesome" thing for us students

Sheila OShea, SOS Tutoring Sheila OShea, SOS Tutoring [YObuck285@aol.com], USA, Jul 15, 1999 - I have a student who has working memory problems and related anxiety (these two have a forward and backward cause and effect relationship). He has started using SuperMemo and has become confident about his learning for the first time... It was exciting for me to see him conquer his fears! Thanks for that!!

Sean Mcaree [K966513@kingston.ac.uk], UK, Mar 19, 1999 - Thanks for the excellent service you provide [...] I am spreading the word about SuperMemo 98 and my friends are interested in its application as a study tool. [...] Many thanks again. SuperMemo 98 is a winner!

KWOK SUI WO PAUL [swtrade@ctimail.com], Hong Kong, China, Mar 3, 1999 - After using the software a week, I like to show my deep appreciation on its performance and especially, I can input Chinese character for my own database, that means, Chinese people can use this software directly for practice. I believe, if this software can be introducted into China, it would be a huge market!!! Keep me informed if there is any further improvement

Grzegorz D., Poland, May 1, 1999 - SuperMemo is the best software in the world!

SAID H. Y., Switzerland, Feb 18, 1999 - I have been using SuperMemo for the last several months and really I have felt big difference especially when it comes to self-confidence. Before the era of SuperMemo, I was almost always afraid whether I will loose or forget my knowledge or not. Now it's over

Carl Johnson [DZineBasic@aol.com], USA, Jul 5, 1999 - I used SuperMemo during my C++ programming class at Front Range Community College. Yes, I received an A in the class and consider "SuperMemo" to be a valuable tool towards my degree in Computer Science

Ian Stewart Cairns [ian_stewart.cairns@virgin.net], Virgin Net, USA, May 18, 1999 - You really are the most helpful people (it's a refreshing sight for a jaded cynic like me)... I look forward to the next release of SM98 with relish. Keep up the excellent work!

Edward D. K., programmer, USA, May 14, 1999 - I was writing a program to do what SuperMemo does when I found it on the WEB. WOW Great software

David K. H., Peking University, Beijing, China, Aug 9, 1999 - It is absolutely fantastic to be able to have the computer keep track of what needs review and what doesn't. I have tried regular flash-cards and have always met with less than dazzling success

Arun S., USA, May 15, 1999 - I was more than delighted to see a complete professional software in the market and also which validated my guess that this is a revolutionary approach to learning. Keep up the good work

Jerzy C., Wprost, Poland, Jul 25, 1999 - I am a happy user of SuperMemo 8. This program is a revelation. I have used versions 7.0 before and struggled with two languages at the university [Original text: Jestem juz szczesliwym posiadaczem SM8. Program ten to dla mnie objawienie - posiadalem wczesniej wersje 7.0 - przewalczylem z nia 2 jezyki na studiach]

Bogdan Jerzy Kowalewski [danko@wa.onet.pl], Poland, Apr 26, 1999 - Today morning I bought the first issue of Easy English in a newsstand. Congratulations! This is a great event on the language learning market. Your company has set up a new standard in this field [Original text: Dzisiaj rano dostalem w kiosku Pierwszy Nr Multimedialnego Easy English. Gratuluje, to jest moim zdaniem wielkie wydarzenie na rynku wydawnictw lingwistycznych. Wyznaczyli Panstwo nowy standard w tej dziedzinie]

Marcin Mazurek, Multinet, Poland, Apr 23, 1999 - I have learned a lot [with SuperMemo]. It saved me from failing the French class :) [Original text: sporo sie dzieki niemu nauczylem:) uratowal mnie przed 2 z francuskiego:)]

Jiri, Czech Republic, Mar 13, 1999 - I use SuperMemo everyday and must say that my knowledge of English has been substantially improved thanks to the program. I don't want to make it sound bad but I do admit that the item from Culture/Grammar "SuperMemo is addictive like a drug" holds for me 100%

Marjolein Hoekstra [mhoekstr@euronet.nl], the Netherlands, May 12, 1999 - I am very impressed with SuperMemo and everything related to it [...] Keep up the good work

Zoran Maksimovic [zmaksim@InfoSky.Net], Serbia, Feb 9, 1999 - I've received Advanced English today (08.02.1999.). My first impresion is "Excellent"

Othello D. C., Philippines, Apr 17, 1998 - Your software is really, really, really great

Antonio P., Italy, Mar 10, 1998 - This program is exceptional!

Vidar Garlie [vgarlie@c2i.net], Norway, Sep 9, 1999, I just want to say that I am very pleased with the program

Christian Østensen [aaobco@concentric.net], USA, Sep 22, 1999 - I'm very satisfied with SuperMemo and the service you're giving

Troy S., USA, Sep 29, 1998 - I found myself learning alot more of how SuperMemo works and I want to Thank you for that. I believe learning tools like yours is the future in Computer applications today

Jerry M., USA, May 26, 1999 - I'm happily using SuperMemo 98 however my credit card account was never charged for this software which I bought in December 1998. Let me know if you need me to do more [the customer qualified for a free upgrade which was noticed when processing his order]

Journalists and reviewers (1992-1994)

  • IT REALLY WORKS. After a month, half an hour a day, my head was packed with a whole spectrum of words and phrases, which I would never suspect myself of being able to memorize. Andrzej Horodenski, Computer World, Poland, June 8, 1992, in the article "SuperMemo - a brain cell developer"
  • For a few months, I have experimented with vocabulary of one of artificial languages (...) and the success of my work [with SuperMemo] is evident. Both the vocabulary and time used go beyond all standards (...). It really works! Pawel Wimmer, Enter, Poland, Oct. 1992, in the article "Praising SuperMemo"
  • After a month of learning [with Advanced English] (...) newly acquired knowledge started showing up in communication with English speakers. (...) SuperMemo at worst is 90% effective [in knowledge retention]. It's hard to believe, but this is a fact. Tomas Baranek, Cena/Vykon, Czech Republic, Mar 1994, in the article "SuperMemo 7.0 - everybody can do it"
  • The use of SuperMemo is so simple that it seems impossible it could really work. You change your opinion after a month when you feel the results. Wojciech Gryciuk, Computer World, Poland, Sep. 27, 1993, in the article "SuperMemo 7 for Windows"
  • The authors do not exaggerate claiming that SuperMemo accelerates the speed of learning from 10 to 50 times as compared with conventional methods, Maciej Br0mba Pietras, Bajtek, Poland, Jan 1993, in the article "SuperMemo: Learn fast and forget about forgetting"
  • I installed the program on a computer in the editorial office, and, from time to time, rushed my brain cells. The results, despite my irregularity, were sensational, Adam Chabinski, Chip, Poland, July 1994, in the article "SuperMemo 7.2 for Windows"
  • On the market we have a program that accelerates learning from 10 to 50 times. The authors do not lie. SuperMemo is a true sensation (...) After a half-year work with the program I have no doubt: it really works. Piotr Plociennik, Gazeta Wyborcza, Poland, Oct. 18, 1993, in the article "Fast learning"
  • The material which I had tried to master in pain for a longer time the traditional way, I learned thanks to SuperMemo (and a dose of persistence) in a much shorter period of time, and what is also important, with pleasure. One thing is sure, I am a faithful advocate of SuperMemo (more and more), and can recommend it to everybody. Dorota Partycka, Swiat PC-tow, Poland, July 1993, in the article "SuperMemo 6"
  • SuperMemo for Amiga is a very good piece of software worth recommending to everybody who wants to learn fast and effectively ... The algorithm is based on one of the best methods of learning. Marek Pampuch, Magazyn Amiga, Poland, Sep 1993, in the article "SuperMemo"

Users in Poland (1992-1996)

  • SuperMemo is the best program for learning (...) I cannot imagine a computer without SuperMemo. Henryk Szumielski, Elblag, Poland, Sep 4, 1996
  • "In June I have noticed a review of a computer program SuperMemo. (...) I bought this program and used it to learn English. After a month I can say that this program is excellent, and can be used to learn any subject, not only foreign languages." Bogdan Kowalewski, Warszawa, Poland, Aug. 15, 1992, in a letter to the president of ESKK school of languages
  • "This program is splendid. Wholehearted congratulations. With impatience I wait for upgrades, esp. SuperMemo for Windows." Janusz Dyczek, Krakow, Poland, July 1, 1992
  • "I will use SuperMemo till the last day of my life, and I will try to convince everybody that SuperMemo can change his life", Maciej Butrymowicz, Primo Loco, Poland, Nov 5, 1992
  • "Congratulations on creating the genius and sensational SuperMemo. I am aware that after many awards your masterpiece has collected, I can only join the common voice of praise and admiration" Ryszard Maczynski, Warszawa, 1994
  • "Thank you very much for SuperMemo. This program not only makes learning easy; it gives me an extra incentive for work", Maria Janiak, Aleksandrow, Poland, Oct. 30, 1992
  • "SuperMemo gives me more than all my courses of English taken together", Artur Nowak, Bedzin, Poland, Dec. 3, 1993
  • "I love this program! This is my best program I've got! Thank you", Piotr Wierzejewski, Poznan, Poland, Aug. 17, 1993
  • "My interest in your program comes from the fact that my colleague (...) worked on examination material with SuperMemo. I was extremely surprised to discover that he passed the exam in English top in our school!", Krzysztof Binkowski, Olsztyn, Poland, Aug. 6, 1994
  • "I have received my TOEFL score and it is 617!!! It wouldn't have happened without your brilliant idea. Thanks a bunch", Przemyslaw Szaruga, Lodz, Poland, Feb 10, 1994
  • "Cramming for exams, I dreamt about software that would test only the material I had problems with ... SuperMemo made my dream come true", Bogdan Kandybowicz, Gdansk-Oliwa, Poland, Sep 1, 1994
  • "Being 50 years old, for the first time in my life, I became truly systematic with my work [in repetitions with SuperMemo]", Stanislaw Jachimek, Ruda Slaska, Poland, Aug. 1993
  • "Reading press reviews of SuperMemo, one might think they are exaggerated. However, it is not so. It really works. At last, my computer is used to its best capability. Congratulations.", Pawel Lukasiewicz, Bydgoszcz, Poland, Oct. 1995
  • "This year I passed my final exams. No exaggeration, I passed it thanks to you [SuperMemo World]. (...) The system [SuperMemo 7] appeared to be a stroke of genius. Thanks to SuperMemo, I gained lots of time others wasted on unnecessary repetitions (...). I got A and was released from further examinations. (...) I am not boasting. I just state the facts and the praise goes to the method [SuperMemo] and to your program! ", Lukasz Lubbe, Gniezno, Poland, July 20, 1996

Other comments (1991-1994)

  • I would like to congratulate you [Dr.Gorzelanczyk] and Piotr Wozniak on the success of your findings, which are now available as SuperMemo. Margaret Jean Intons-Peterson, Editor, Memory & Cognition, USA, Feb. 12, 1992, in a letter to Dr Gorzelanczyk, Medical Academy of Poznan
  • Congratulations! Your software is among the finalists in the SOFTWARE FOR EUROPE Awards Competition. Our jury has decided that your software is among the finest programs in your home country. Ralph Peter Rauchfuss, IDG Communications Verlag AG, Germany, Nov 14, 1991, in a letter to SuperMemo World
  • One of the sensations of CeBIT'92 was Polish educational software SuperMemo, in which the excellent idea was backed up by firm skills in software engineering. Andrzej Horodenski, Poznanski Magazyn Targowy, Poland, May 1993, in the article "Europe ... not so much Eastern"
  • Among the winners [of the Gold Medal at Infosystem'94], probably the best known Polish computer export product - SuperMemo (...) based on the modern method of learning (...). The authors of the program, which was created several years ago, continue improving the product, Gazeta Poznanska, May 20, 1993, in the article "Gold at Infosystem"
  • A domain on which technology can have a significant impact is education. It is one of the few fields, in which Polish programmers have contributed their share. I have in mind the authors of SuperMemo. Janusz Kotarski, Computer World, Poland, Jan 25, 1993, in the article "Quo Vadis informatica?"
  • The package of Poznan programmers [SuperMemo] is one of our export specialties and is becoming a world success. Pawel Wimmer, PC Kurier, Poland, Sep 30, 1993, in the article "SUPER SuperMemo"
  • SuperMemo (...) is a philosophy, maybe even a religion, in which the subject of worship is the unlimited knowledge. Jacek Grabowski, PC Kurier, Poland, Aug. 20, 1992, in an article "Forget about forgetting"
  • I am very pleased with your product SuperMemo, which I have been using for some months now to learn Japanese. It is indeed possible to learn up to 3000 words per month. Which I admit was very surprising, Danny Browne, Future Fine Arts Ltd, Scotland, Aug. 23, 1994
  • The idea [of SuperMemo] is fabulous, Winter Laite, Albuquerque, USA, Aug. 7, 1993
  • Great product, Hamish MacEwan, Information Technology & Systems, New Zealand, July 20, 1993


Six steps to excellent memory

Super Memory: Forget about forgetting

This website is devoted to improving memory, self-growth, creativity and speed-learning software SuperMemo

This page moved to:
www.supermemo.com/articles/power.htm


Principles of spaced repetition

General principles of SuperMemo

  • Deutsch

  • Serbian
The problem of forgetting

Have you noticed that soon after learning a new study material you remember very little of it? The less you have a chance to rehearse what you have learned, the greater the speed with which the newly acquired knowledge evaporates from your memory. It has long been known that repetitio est mater studiorum (Latin: repetition is the mother of learning). In other words, the best way to remember is to make repetitions of the learned material. However, you might find it quite frustrating when you have to repeat old subjects while your teachers or supervisors still want you to know more and more new material. When are you supposed to find time for both? Usually, you find a solution in-between. You spend most of your time learning new things, forgetting what you have learned earlier, and rehearsing only material that is needed for current exams or other emergencies. The net result is disastrous! Most of your time goes to waste as you forget most of the learned knowledge. Naturally, you gain general understanding of the studied material, but understanding is also based on memory traces and is equally volatile. It is only a question of time when you irreversibly lose most of your investment in learning. Is the above presented situation inevitable? The pressures of the day do not really let you rehearse what you have learned earlier. The educational systems throughout the world are organized in a way that penalizes those who do not master the new material. You are pushed into a nonsensical situation. You are truly forced to waste your time and ... waste your life. SuperMemo makes it possible to reduce the time necessary for repetition several times, and it shall solve some of your learning problems.

And if you are under no pressure to learn new things ... so much the better. SuperMemo will help you organize your memory. Even if you decide to spend only 3 minutes per day on learning!

Most of all, you shall try to experiment with ... The three most important things I learned today! Store your newly acquired wisdom in SuperMemo and see it change your life!

SuperMemo solves the problem of forgetting

Once you learn a fact, you need to refresh your memory shortly before forgetting takes place. However, it may be very difficult to predict the moment of forgetting. Some facts are forgotten faster, other can stay in your memory for years. Luckily, there are some regularities in the process of forgetting that can help you optimize the timing of repetitions. Once you learn a collection of new pieces of knowledge, let us call these pieces items, you can observe a slow but regular decline in the proportion of items you remember. If you employ the computer to plot the forgetting curve, you can easily predict when a given proportion of items will be forgotten. If you decide to constantly remember at least 90% of the material, you might try to schedule your repetitions at the point when you still remember 90% of what you have learned. It is known that you will still remember most of the material after a much longer period of time. However, there is no better way! The process of forgetting is random in nature, and you cannot easily say which item will last longer and which will be forgotten sooner. The picture becomes more complicated if you realize that different items have different difficulty and require different inter-repetition intervals. Moreover, items that have already been repeated once or twice, need much less refreshing than those that have just been learned.

Are you getting lost? Do not despair. There has been a lot of effort put into finding out the regularities in the process of learning. As a result, effective algorithms have been developed that are able to quickly determine the best possible interval for an item independent of its difficulty and the number of earlier repetitions. Those algorithms have been implemented as a computer program known as SuperMemo (available for Windows, Palm, Pocket PC, etc.). SuperMemo can supervise your repetitions without much involvement on your part. SuperMemo is not painless, because it does not allow you to learn with no effort at all. However, it can be shown in strictly scientific terms that SuperMemo helps you increase the speed of learning many times over. Indeed, it makes it possible to closely approach the maximum natural capacity of the human brain to store and retain information1. In theory, over a period of an average lifetime, SuperMemo makes it possible to learn 10-50 times faster than conventional methods, and makes it possible to reach knowledge retention of 95% or more (source)! SuperMemo minimizes the effects of forgetting and the overall time needed for learning. This is done by scheduling repetitions in carefully determined intervals of time called optimum intervals2. These optimum intervals are calculated on the basis of two contradictory criteria:

  1. Intervals should be as long as possible to obtain the minimum frequency of repetitions, and to make the best use of the so-called spacing effect3, which says that longer inter-repetition intervals, up to a certain limit, produce stronger memories
  2. Intervals should be short enough to ensure that the knowledge is still remembered

In practice, these two criteria translate into the following one:

Intervals should be as long as it is necessary for a selected small proportion of knowledge be forgotten. This proportion (called the forgetting index) can vary from 3% (for slower and very exact learning) to 20% (for faster learning characterized by a low retention of knowledge)

If the forgetting index drops below 3%, the knowledge acquisition rate becomes unacceptably low. On the other hand, the acquisition rate peaks at the forgetting index of about 20%. Above that value, both the retention and acquisition rate decrease. Note, that one can compare traditional learning, in which repetitions are arbitrarily set in time, to optimized learning with the forgetting index well above 50%. Such learning is not only slow, but above all, the retention of knowledge may be unacceptably low. In consequence, instead of remembering things which are important, you only remember things which are easy to remember or those that receive per-chance repetition while reviewing other parts of the material. As optimum intervals differ for different pieces of knowledge, SuperMemo requires that the learned material be split into smallest possible pieces called items. If items were to be repeated collectively, e.g., as chapters of a textbook in traditional learning, the overall optimal intervals would have to be as short as the optimal intervals for the most difficult subitem in the set. This would make learning even less effective than learning by means of classical methods! Splitting knowledge into small pieces makes it possible for SuperMemo to determine optimum intervals for each item independently. Simplicity of items is perhaps even more important for cytophysiological reasons. Simple items make it possible for the right neuronal synapses to be fully stimulated at the right time. Complex items result in trains of diversified nervous impulses that result in unpredictably intricate memory patterns at the cellular level. This makes optimization of learning difficult or not possible at all. Using optimum intervals and the simplicity of items are a formula for high speed and high retention in learning. However, the speed of learning is not the most important element of education. It is the quality of knowledge that counts most. SuperMemo allows you to learn very fast, but it is still your responsibility to properly choose the learning material prepared by yourself or by a third party

Summary
  1. The key to effective learning is in minimizing the number of repetitions necessary to retain knowledge in memory
  2. SuperMemo minimizes the learning time by approximating optimum intervals (i.e. intervals that should separate individual repetitions)
  3. Knowledge memorized with SuperMemo must be split into smallest possible pieces called items
  4. When using SuperMemo, you must not forget that the quality of learning will depend on the selection of the material, and the way it is split into individual items

See also:

  • Six steps to excellent memory (a short article explaining the role of SuperMemo in learning)
  • 20 rules of formulating knowledge in learning
  • SuperMemo Learning Decalog
  • Devouring knowledge (article that shows that SuperMemo also implements tools that help you select, prioritize and represent knowledge, e.g. by importing it from the Internet)
  • Incremental reading (new reading technique introduced in SuperMemo 2000)
  • Forget about forgetting (a popular scientific article about memory and the principles of SuperMemo)
  • Long-term learning process with SuperMemo (some figures describing the results of long-term application of SuperMemo)
  • Scientific conquest of forgetful memory (first ever article about SuperMemo published in 1992)
  • Build your vocabulary with SuperMemo (simple article about how SuperMemo helps you remember vocabulary)
  • Interview with the author of SuperMemo (1994)
  • Algorithm used in SuperMemo (description of the algorithm used in SuperMemo to compute the optimum spacing of repetition)

Footnotes:

(1) Retaining information

The speed of learning depends on the way you represent knowledge (i.e. the way in which you formulate the studied material). Optimization of repetitions is a separate problem and the statement SuperMemo will let you learn at the highest possible speed, should be understood as SuperMemo will let you learn at the highest speed for the given material, your mental characteristics and your general conditions for learning. Knowledge representation is so important that the difference in time used for repetitions may easily reach 1:100 ratio!!! The simplest rules of knowledge representation: keep it simple, make it interesting, and use mnemonic techniques (i.e. use pictorial representation, vivid examples, metaphors, comparisons, mind maps, etc.). For more see: 20 rules of formulating knowledge in learning

(2) Optimal interval

One of the earliest attempts at determining the optimal intervals has been described in: Wozniak, P.A., Gorzelanczyk, E.J., 1994, Optimization of repetition spacing in the practice of learning. Acta Neurobiologiae Experimentalis, Vol. 54, p. 59-62

(3) Spacing effect

Spacing effect consist in more effective memory consolidation in distributed presentation of stimuli as opposed to massed presentation. For pioneering insights into spacing effect see: Hintzman D.L. (1974) Theoretical implications of the spacing effect. In: Theories in cognitive psychology: The Loyola Symposium (Ed.R.L. Solso), p. 77-99


Publications about SuperMemo

Publications in reference to SuperMemo
Important! Publications available from this site are hyperlinked. Publications available from MegaMix 99 CD-ROM are marked with (#). For the remaining publications, see the appropriate source.

Please note that apart from commercial CD-ROMs, and this website, SuperMemo World does not take part in disseminating reprints or soft copies of publications listed below

Publications by the authors of SuperMemo

  1. Abramowicz , W., Wozniak, P.A., 1997, Enhancing hypertext documents by processing attributes and repetition spacing. Systemy hipertekstu w ekonomii, Wydawnictwo Naukowe Akademii Ekonomicznej, Poznan, Poland
  2. Abramowicz , W., Wozniak, P.A., 1997, The educational technology of repetition spacing in information systems development, in: Wojkowski et al. Systems development Methods for the Next Century, Plenum Press,New York, 1997, 341-344.
  3. Biedalak , K. 1991, SuperMemo 5 User's Guide. SuperMemo World
  4. Biedalak K., Wozniak, P.A, 1996, Build your Vocabulary with SuperMemo. Spotlight, Vol 10, p. 4
  5. Gorzelañczyk , E.J., Wozniak, P.A. 1990, A model of the presynaptic terminal of the adrenergic synapse. Proceedings of 10th International Biophysics Congress, Vancouver, Canada, p. 404
  6. Gorzelañczyk, E.J., Wozniak, P.A. 1991, Hypothetical model of processes involved in the release of norepinephrine in the adrenergic synapse. BioSystems, Vol. 25, pp. 275-281
  7. Gorzelañczyk, E.J., Wozniak, P.A. 1994, A mathematical model of processes involved in long-term potentiation. Abstracts of the 30-th Congress of Polish Biochemical Society, Szczecin, Poland (in Polish)
  8. Gorzelañczyk, E.J., Wozniak, P.A., Schneider Z., 1995, Looking for objects and parameters of the model of molecular processes underlying declarative memory. Proceedings of Cybernetical Modeling of Biological Processes, Cracow 1995 (in Polish)
  9. Gorzelañczyk, E.J., Wozniak, P.A., Schneider Z., 1995, Theoretical basis of the SuperMemo algorithm. Proceedings of the I-st International Congress on Education in Nursing, Gniezno, 1995 (in Polish)
  10. Gorzelañczyk, E.J., Wozniak, P.A., Schneider Z., 1995, A hypothetical model of molecular processes involved in formation of declarative memory. Abstracts of the 31-th Congress of Polish Biochemical Society, Warsaw, Poland (in Polish)
  11. Gorzelañczyk, E.J., Wozniak, P.A., 1995, A molecular explanation of two independent components of long-term memory: hypothesis. First Congress of the European Federation of Neurological Societies, Marseille, France
  12. Gorzelañczyk, E.J., Wozniak, P.A., 1995, A molecular explanation of two independent components of long-term memory: hypothesis. Eur. J. Neurol., 1995, 2 suppl. 1, 34
  13. Gorzelañczyk, E.J., Wozniak, P.A., Schneider Z., 1996, A proposition on the functions of objects in a synapse taking place in the process of forming long-term memory on the basis of experimentally determined variables of memory. Abstracts of the 32-th Congress of Polish Biochemical Society, Warsaw, Cracow (in Polish)
  14. Gorzelañczyk, E.J., Wozniak, P.A., Schneider Z., 1996, Assisting declarative memory with the repetition spacing method. Abstracts of the 27-th Congress of Polish Neurological Society, Warsaw, Katowice (in Polish)
  15. Gorzelañczyk, E.J., Wozniak, P.A., 1996, A new approach to studying molecular memory based on understanding the optimum repetition spacing in learning. Second Congress of the European Federation of Neurological Societies, Rome, Italy
  16. Gorzelañczyk, E.J., Wozniak, P.A., 1996, A new approach to studying molecular memory based on understanding the optimum repetition spacing in learning. Eur. J. Neurol. 1996, 3, suppl. 5, 22
  17. Gorzelañczyk, E.J., Wozniak, P.A, Dyk D., Talarska D., 1998, Spaced repetition in medical sciences (Mozliwosci zastosowania algorytmu optymalizujacego odstepy miedzy powtorkami w naukach medycznych). Postepy w Naukach o Zdrowiu, Poland (in Polish)
  18. Gorzelañczyk, E.J., Wozniak, P.A., Chrzastowska, H., 1998, Investigating the correlations between the intelligence and the performance in repetitive learning tasks. 3rd Congress of the European Federation of Neurological Societies, Sevilla, Spain, September 1998
  19. Gorzelañczyk, E.J., 1999, Two-component model of long-term memory derived from repetition spacing algorithms. Assistant Professorship Dissertation. Medical Academy of Poznan, Poland (in Polish)( #)
  20. Gorzelañczyk, E.J., Wozniak P.A., Lenart-Jankowska D., 1999, A hypothetical model of processes involved in the long-term memory formation in the synapse. 4th Congress of the European Federation of Neurological Societies, Lisboa, Portugal
  21. Gorzelañczyk, E.J., Wozniak P.A., 1999, Application of repetition spacing in neurological studies, Ninth Meeting of the European Neurological Society, June 5-9, Milan, Italy
  22. Gorzelañczyk E. J., Wozniak P.A., Nowakowski P., 1999, Application of spaced repetition in psycholinguistics. Investigationes Linguisticae, 6, 85-95 (in Polish)
  23. Gorzelañczyk E. J., Nowakowski P., 1999, Memory, consciousness and the biological roots of the language. Investigationes Linguisticae, 7, 161-172 (in Polish)
  24. Gorzelañczyk E. J., Wozniak P.A., 2000, Hypothetical molecular correlates of the two components of long-term memory. Modelowanie Cybernetyczne Systemów Biologicznych, 2000, 197-202 (in Polish)
  25. Gorzelañczyk E. J., 2000, Memory, consciousness, language [Pamiec, swiadomosc, jezyk], Assistant Professorship Dissertation (in Polish)
  26. Gorzelañczyk E. J., Wozniak P.A., Kobelski M., 2001, Strategies for adapting hypermedia systems to human memory and cognition (submitted to Miscellanea informatologica)
  27. Gorzelanczyk E. J., 2001, Bridging lexical learning with neural functions and long-term memory models, Scripta Neophilologica Posnaniensis 3, 37-56 (in Polish)
  28. Strykowski W., Media and Education; eMP2, 1998 (pp.219-231); Gorzelanczyk E.J, Wozniak P.A., Repetition sequencing method in optimization of multimedia teaching (in Polish)
  29. Szepieniec, A., Wozniak, P.A., 1996, Integrating SuperMemo with the Internet, SuperMemo Corp.
  30. Wharton, Ch., Wozniak, P.A., 1994, SuperMemo. CALICO Journal. Vol. 12, No 1, p.66-70
  31. Wozniak , P.A., 1990, Optimization of learning. Master's Thesis. University of Technology in Poznan ( #)
  32. Wozniak, P.A., 1991, SuperMemo 6 for DOS. SuperMemo World
  33. Wozniak, P.A., Biedalak, K., 1992, Optymalizacja uczenia sie metoda SuperMemo [Optimization of learning with the SuperMemo method]. In: Contemporary Applications of Computer Science. Polish Information Processing Society, p. 93-102 (in Polish)
  34. Wozniak, P.A., Biedalak, K., 1992, The SuperMemo method - optimization of learning. Informatyka, Vol. 10, p. 1 (in Polish)
  35. Wozniak, P.A., Gorzelañczyk, E.J., 1992, Optimal scheduling of repetitions in paired-associate learning. Acta Neurobiologiae Experimentalis, Vol. 52, p. 189
  36. Wozniak, P.A., 1993, A new method of fast learning and its software implementation. Polish Technical Review, Vol. 1, p. 8
  37. Wozniak, P.A., 1993, SuperMemo as a new tool increasing productivity of a programmer. Proceedings of the V-th International School of Polish Information Processing Society, Szczyrk 1993
  38. Wozniak, P.A., 1993, SuperMemo as a new tool increasing productivity of a programmer. Informatyka, Vol. 12, p. 1-11
  39. Wozniak, P.A., 1994, Speed-learning with SuperMemo 7 for Windows. SuperMemo World ( #)
  40. Wozniak, P.A., Gorzelañczyk, E.J., 1994, Optimization of repetition spacing in the practice of learning. Acta Neurobiologiae Experimentalis, Vol. 54, p. 59-62 ( #)
  41. Wozniak, P.A., 1994, SuperMemo: Polish speed-learning technology. Multimedia release on CD-ROM. Polish Technical Review. 5-6, p. 30-31
  42. Wozniak, P.A., 1995, Language and technology: translation vs. education dilemma. Proceedings of the Language and Technology Conference, Infosystem 1995, Poznan, Poland
  43. Wozniak P.A, Gorzelañczyk, E.J., Murakowski J., 1995, Two components of long-term memory. Acta Neurobiologiae Experimentalis, Vol. 55, p. 301-305 ( #)
  44. Wozniak, P.A., 1995, Selling and marketing Polish software applications. Case study: SuperMemo. Proceedings of the V-th Forum of Information Technologies, Mragowo, 1995
  45. Wozniak, P.A., 1995, Economics of learning. Doctoral Dissertation. University of Economics in Wroclaw ( #)
  46. Wozniak, P.A., Abramowicz, W., 1997, The educational technology of repetition spacing in Information Systems Development, Sixth International Conference on Information Systems Development, Boise, Idaho, USA
  47. Wozniak, P.A., Gorzelañczyk, E.J., 1998, Applications of repetition spacing in neurological studies. The 8-th Meeting of the European Neurological Society, Nice, France.
  48. Wozniak, P.A., Gorzelañczyk, E.J., 1998, Hypothetical molecular correlates of the two-component model of long-term memory. The 7-th International Symposium of the Polish Network of Molecular and Cellular Biology UNESCO/PAS. June 9-10, 1998
  49. Wozniak, P.A., 1999, Exploring e-commerce for innovative products. Case in point: SuperMemo. Scientific Sessions of Business Information Systems 1999, Poznan, Poland
  50. Wozniak P.A., Gorzelañczyk E.J., 2000, Modern hypermedia systems encompassing the ability to adapt to the properties of human memory and cognition. Gottodidactica 2000, 53-62

Publications in popular press

Important! Apart from commercial CD-ROMs, SuperMemo 8 Help files, and this Web site, SuperMemo World does not take part in disseminating reprints or soft copies of publications listed below.

  1. Allen A., Top Technology, The Polish Gazette, Oct 1995, UK
  2. Baranek T., SuperMemo 7.0 - kdo chce, ten umi [SuperMemo - who wants, he can]. Cena/Vykon, Mar 1994, Czech Republic
  3. Bergfors J., SuperMemo. Polskt program passar plugghast [Polish cramware]. MikroDatorn, Mar 1993, Sweden
  4. Bergfors J. Plugga och lar, nu utan besvar [Learn fast and forget about forgetting]. MikroDatorn, Jun 1993, Sweden
  5. Byte International, Speed-learning software, Dec 1993, p. IS-48, USA
  6. Byte International, Learning Tool on CD, Jun 1995, p. IS-40 24, USA
  7. Chabinski A., Repetitio est mater studiorum, SuperMemo version 7.2, Chip, Jul 1994, p.54-55, Poland
  8. Chabinski A., Advanced English z SuperMemo 8, Chip, Mar 1998, Poland
  9. Chip, SuperMemo 6 a 7, Feb 1994, p. 173, Czech Republic
  10. Chip, Nowe dziecko SuperMemo World [A new child of SuperMemo World], Dec 1995, Poland
  11. Dramczyk B., SuperMemo version 2.0, Powtorka z powtarzania [Repetition on repetitions]. Commodore&Amiga, Sep 1994, p. 16-17, Poland
  12. Dramczyk B., SuperMemo 3.0, jak skutecznie zapamietac [How to remember effectively]. Bajtek, May 1996, p. 17-19, Poland
  13. Drazek T., Przedluzamy pamiec [Strengthening memory]. PC World Komputer, Jul-Aug 1994, p.95, Poland
  14. Dudaško T., Výtecné, ale neznámé (SuperMemo). Computer, Vol. 5, 1998, Czech Republic
  15. Dziekanska E., Learn and have fun. Chip, Dec 1996, Poland
  16. Easy PC - SuperMemory [Superpamiec], Easy PC, Feb 1999, p. 648
  17. Enter, Piotr Wozniak's Genius [Genius Piotra Wozniaka], Nov 1995, Poland
  18. Grabowski J., Forget about forgetting [Zapomnieæ o zapominaniu]. PC Kurier, Aug 20, 1992, Poland
  19. Gradisnik J., SuperMemo 7.2 - Repetitio mater studiorum est. WIN.INI, Vol 6, p.26-28, 1994, Slovenia
  20. Gryciuk W., SuperMemo 7 for Windows, Computerworld, Sep 27, 1993, Poland
  21. Gryciuk W., Gold medal for SuperMemo at Infosystem [SuperMemo - zloty medal na Infosystemie], Computerworld, May 30, 1994, p.6, Poland
  22. Gryciuk W., SuperMemo. A remedy for the forgetful. Warsaw Voice, April 9, 1995, p. A5-A6, Poland
  23. Hajny F., SuperMemo: zázrak na vtloukání do hlavy?, PC Magazine 10/94, Czech Republic
  24. Hausner M., A little bit super ... [Neco super ...], PC World, Jul 1994, p.45-46, Czech Republic
  25. Horodeñski A., Scientific conquest of forgetful memory [Cud niepamieci naukowo okielznany]. Computerworld, Feb 17, 1992, Poland
  26. Horodeñski A., SuperMemo: the brain cell trainer [SuperMemo - trener szarych komórek]. Computerworld, Jun 8, 1992, Poland
  27. Humlicek P., Repetitio mater studiorum est, Computer, Jan 1995, p.4-5, Czech Republic
  28. Jablonski W., Pierwsze kroki Geniusza [The first steps of Genius], Bajtek, Mar 1996, Poland
  29. Janca J., Nenasytní studenti si mohou snadno vytváret jakékoliv vlastní databáze, Multimedia 9/10, 1995, Czech Republic
  30. Janca J., SuperMemo (CHIP CD 3/97), Jun 1997, p.98-99, Czech Republic
  31. Jemielniak D., Gdybym mowil jezykami... [If I spoke languages], Enter, Jan 1997, p.38-48, Poland
  32. Jemielniak D., Super SuperMemo!, PC Kurier, Feb 12, 1998, Poland
  33. Inprise Corp., Case Study: SuperMemo 98, Inprise Corporate Website, Nov 1998, USA
  34. Korec P., Brana nejen jazykum otverena [A gate for languages is open]. PC World, Jul 1994, p.44-45, Czech Republic
  35. Kowalski J., SuperMemo (1). Forget about forgetting [Zapomnij o zapominaniu ]. Enter, Oct 1994, p.88-90, Poland
  36. Kowalski J., SuperMemo (2). Forget about forgetting [Zapomnij o zapominaniu ]. Enter, Nov 1994, Poland
  37. Kuvaja S., Panttayspaketti kielten opiskeluun. Mikrobitti, 6-7, 1996, Finland
  38. Liszewski P., SuperMemo CD-ROM. PC World Komputer, Apr 1995, Poland
  39. MicroPC, Memory devil with the help of a micro, Jun 1994, Finland
  40. Mlodzki J., From an idea to an industry. Interview with Piotr Wozniak, the author of SuperMemo [Od pomyslu do przemyslu. Rozmowa z panem Piotrem Wozniakiem, tworca metody SuperMemo], Bajtek, Jul 1994, p.18-19, Poland
  41. Pampuch M., SuperMemo. Amiga, Sep 1993, Poland
  42. Partycka D., SuperMemo 6. Swiat PC-tów, Jul 1993, Poland
  43. Pietras Br0mba M., Learn fast and forget about forgetting [SuperMemo czyli ucz sie szybko i zapomnij o zapominaniu]. Bajtek, Jan 1993, Poland
  44. Pietra¶ Br0mba M., SuperMemo 7.2PL dla Windows, Bajtek, Sep 1994, p.16, Poland
  45. Pietrzak R., Geniusz pamieci [Genius of memory], Dziennik Pomorski, Feb 20, p.10, Poland
  46. PC Kurier, Genius 1.0 - A new product from SuperMemo World, Aug 17, 1995, Poland
  47. PC Kurier, Yet easier ... Easy English, June 24, 1999, p. 29
  48. PC Magazine Po Polsku, Genius - A new product from SuperMemo World, Sep 1995, Poland
  49. PC World, SuperMemo 8.3: Anglictina pro zacátecníky i pokrocilé, 8/1998, Czech Republic
  50. P³óciennik P., Szybka nauka [Fast learning]. Gazeta Wyborcza, Oct 18, 1993, Poland
  51. Reisch E., Perfection reached. SuperMemo for Windows [Das Klassenziel Erreicht, SuperMemo fur Windows]. Chip, Feb 1995, p.82-84, Germany
  52. Rekunen V., SuperMemo Europack Pro, Tietokone, Maaliskuu 1995, p. 79, Finland
  53. Schibel J., Rozširte svou pamet, Cena/Vykon 17/94, Czech Republic
  54. Spruit K., SuperMemo for Windows. Computer Totaal, Mar 1995, p.119, Holland
  55. Stanuch S.,M., Knowledge in the pocket. SuperMemo comeback. Gazeta Wyborcza, Mar 27, 2000, Poland
  56. Szewczyk T., Genius 1.0, Computer World, Sep 11, 1995, Poland
  57. Tietokone, SuperMemo Europack Pro, Toukokuu 1995, p. 67, Finland
  58. Topol P., Kilka slow o SuperMemo [A few words about SuperMemo]. Edukacja Medialna, Vol. 2, Dec 1996, p. 56-58, Poland
  59. Wimmer P., Praising SuperMemo [Pochwa³a SuperMemo]. Enter, Oct 1992, Poland
  60. Wimmer P., Super SuperMemo. PC Kurier, Sep 30, 1993, Poland
  61. Wimmer P., SuperMemo kontra Sclerosis Mentis. PC Kurier, Dec 8, 1994, Poland
  62. Wimmer P., Genius loci. PC Kurier, Nov 7, 1996, Poland
  63. Wimmer P. Powrot do przyszlosci - SuperMemo 8 [Back to the future - SuperMemo 8]. PC Kurier, Sep 25, 1997, p. 108-109, Poland
  64. Wprost, Virtual teacher [Wirtualny korepetytor]. Wprost, Sep 23, 2001, p. 58, Poland
  65. Wprost, Knowledge in installments [Wiedza w odcinkach]. Wprost, Jun 3, 2001, Poland
  66. Wrobel M. Line wine - SuperMemo 8 [Jak wino ... - SuperMemo 8]. Chip, Nov 1997, p. 113, Poland
  67. Wysocki P., SuperMemo is back. Bankrut 60, 1997, p. 18, Poland
  68. Zwierzchowski Z., No miracles - just efficiency. The development of SuperMemo, Rzeczpospolita, Sep 12, 1994, Poland
  69. Zwierzchowski Z., The heir is called Genius, Rzeczpospolita, Aug 24, 1995, Poland
  70. Zwierzchowski Z., The vocabulary of an educated American, Rzeczpospolita, Magazine, Oct 1996, p. 32, Poland

Other publications, dissertations and articles

  1. Ast J. 1998, Human-Computer Interaction in SuperMemo. Master's Thesis. A.Mickiewicz University of Poznan, Poland
  2. Bartosik T., 1994, Optimizing the effective learning process in SuperMemo. Master's Thesis. A.Mickiewicz University of Poznan, Poland (in Polish)( #)
  3. Kalazna A., 1998, First Aid - a collection for SuperMemo. Master's Thesis. Medical Academy of Poznan, Poland (in Polish)( #)
  4. Kobelski M., Gorzelañczyk E. J., 1999, Organizacja bazy danych dla algorytmu optymalizujacego odstepy miedzy powtórkami, Dokumenty elektroniczne, 1999, (rocznik), 91-98, (red.), Górny M., Nowak P., SORUS, Poznan
  5. Mols M., 1997, SuperMemo in a school for special education, De Berkenschutse school for special education, Heeze, The Netherlands
  6. Mols M., 1999, SuperMemo as a study aid in mathematics in a classroom, De Berkenschutse school for special education, Heeze, The Netherlands
  7. Kierzek F., 1999, Screen design guidelines: lessons learned with SuperMemo 98. Engineering Thesis. University of Technology in Poznan, Poland

If you have read or written an article that is missing from this list, please let us know. URLs welcome


Make our website better

SuperMemo Website Questionnaire
Please answer the following questions that will be useful in improving this website. Those who send us fully completed questionnaires will take part in monthly reward draws for SuperMemo CD-ROMs, SuperMemo Library collections and more

About you

1. Name
2. Country
3. E-mail
4. Occupation
5. Educational background (degree, major):
6. Age:

About SuperMemo Website

7. How did you find out about this website?
8. What additional material would you like to see on the site? What sections should be expanded?
9. What do you like most about our website?
10. What you dislike most about our website?
11. Is our site informative and educational? Choose best description:

Enlightening

Interesting

Nothing special

Boring

Exaggerated claims

False information
12. Is language we use easy to understand?
Yes
No

13. If not, what is your native language?
14. Do you think SuperMemo Library is being developed in the right direction? Please comment:

About your knowledge of SuperMemo

15. Are you a user of SuperMemo?
Yes, I am a user of SuperMemo

16. If yes, what made you order?

17. Would you like to contribute your material to SuperMemo Library? What subject?
No, I am not a user of SuperMemo

18. Do you plan to order in the future?

19. If not, do you think you can learn effectively without optimally determining the intervals between repetitions?
20. Would lower prices for SuperMemo encourage you to order?
Yes, lower prices might make me order

21. If so, what price for SuperMemo 98 would be acceptable for you?
No, your prices are OK
22. Would lower prices for SuperMemo Library material encourage you to order?

Yes

No

Promotion

23. How could we better promote our website?
24. Do you know a product that could compete with SuperMemo?
25. What other quality websites related to education do you recommend for the Links section?
26. Comments, suggestions and requests
Would you like to get SuperMemo 98 in return for writing material for SuperMemo Library?
Do you want to subscribe to our newsletter (usually 3-6 short e-mails per year)


SuperMemo Quizlet

SuperMemo Quiz
Disclaimer: SuperMemo Quizlet cannot be used as a valid research tool as it comprises a small voter sample and is open to repeated vote casting by the same visitor. Please refer to SuperMemo Survey 1999 and Survey 1994 for more accurate user statistics
Results of earlier polls:
  1. Most visitors of this website are users of SuperMemo
  2. SuperMemo is one of our user's favorite applications
  3. Morning is best for making repetitions
  4. The best break from learning is to unwind or take a nap
  5. Stress, lack of sleep and poor self-discipline are the chief enemies of genius
  6. Simple and portable SuperMemo has a future
  7. Complexity of SuperMemo hurts its popularity
  8. Reading lists and tasklist in SuperMemo 99 are a step in the right direction
  9. "SuperMemo is Useless" made a good reading
  10. On-line SuperMemo will have to wait for more broadband popularity

See also: Visitor comments (please leave here your comments to the present quiz and suggestions for future quizzes)

Quizlet results

Most of visitors to this website are users of SuperMemo. An overwhelming proportion of those are happy users of SuperMemo J (see the Disclaimer at the top of this page)

What is your relationship with SuperMemo? (146 respondents)

  1. 53%, I am a happy user of SuperMemo
  2. 16%, I came to your website looking for software to enhance learning
  3. 14%, I am a random visitor to your website
  4. 10%, I intend to buy SuperMemo
  5. 3%, I heard about SuperMemo
  6. 3%, SuperMemo does not work!

SuperMemo is one of our users' most important applications. We intentionally did not put SuperMemo to face web browsers in this quizlet competition. Our research indicates that most of our users outside Poland have found out about SuperMemo using their web browser! The results below are naturally biased by the fact that over 50% of visitors to this website are happy users of SuperMemo (see the Disclaimer at the top of this page)

Which software application is most important for you? (132 respondents)

  1. 69%, SuperMemo
  2. 23%, Word processors (MS Word, Word Perfect, etc.)
  3. 4%, Games
  4. 3%, Anti-virus software
  5. 0%, Corel Draw
  6. 1%, None of the above

Best time for making repetitions with SuperMemo is morning. Many users of SuperMemo are convinced that a particular time of day is best for good results of learning with SuperMemo. It has been confirmed a number of times that most prefer to make repetitions early in the morning (before work or before school). Although, memories consolidated before sleep are said to be most durable, morning repetitions seem to greatly compensate this fact by a better focus and attention. For users with a large number of repetitions per day, a fatigue factor can be combated effectively by splitting repetitions in portions of 50 spread throughout the day

What time is best for making repetitions with SuperMemo? (60 respondents)

  1. 59%, First thing in the morning (this is also the option we recommend)
  2. 16%, Last thing before sleep
  3. 10%, Before lunch or dinner
  4. 8%, Several small portions during the day (also recommended if you have many repetitions)
  5. 3%, After lunch or dinner

SuperMemo should be simpler and portable. Despite our constant effort to add new functionality to SuperMemo for Windows line, most of the respondents asked for a simpler SuperMemo for portable computers such as PalmPilot or Windows CE handhelds and palmtops. In the meantime, SuperMemo for Windows CE and SuperMemo for PalmPilot have been released and scored their first successes. These should entirely satisfy portability and simplicity criteria! On the other hand, SuperMemo 99 has become yet more complex with tasklists and reading lists; however, it added a middle level of complexity to simplify the transition from the basic to professional level.
16% of respondents expect more material to learn from SuperMemo Library while only 15% would like to use SuperMemo on-line on the Internet

What should SuperMemo World (our company) focus on in the future? (127 respondents)

  1. 24%, Make SuperMemo portable (e.g. PalmPilot, Windows CE)
  2. 23%, Make SuperMemo simpler
  3. 16%, Develop SuperMemo Library more intensely
  4. 15%, Develop web-based SuperMemo
  5. 14%, Provide speech recognition support
  6. 7%, Focus on promoting SuperMemo (as is)

Reading lists and tasklist in SuperMemo 99 are a step in the right direction. In early months of SuperMemo 99, we were not sure if reading lists in SuperMemo would really take off. SuperMemo has long been know for being overly complex. Many features of the professional level SuperMemo are rarely used by an average user. However, user feedback clearly indicates that many of you believe that the reading lists are the greatest breakthrough in SuperMemo since leaping into the area of hypermedia in 1995. Actually, with SuperMemo 2000, reading options in SuperMemo may become a predominant way of learning with the program!

What do you think of tasklists and reading lists in SuperMemo 99? (84 respondents)

  1. 39%, I plan to use reading lists in SuperMemo
  2. 30%, I plan to use both reading lists and tasklists
  3. 11%, I do not see the reason for introducing tasklists to SuperMemo
  4. 11%, I do not understand questions in this quiz
  5. 5%, I do not plan to upgrade to SuperMemo 99
  6. 5%, I am not a user of SuperMemo

The articles SuperMemo is useless! and No force in the world can convince me to SuperMemo! made a good reading. We quoted some of criticism directed against SuperMemo, and provided a spicy rejoinder. Expectedly, most of our visitors, disagreed with the criticism (those who do not believe in SuperMemo simply do not come to this site). Yet the articles were overwhelmingly considered "enjoyable"

What do you think about "SuperMemo is Useless" articles? (110 respondents)

  1. 71%, Excellent reading
  2. 16%, Waste of time! Data smog!
  3. 8%, I did not read these articles
  4. 3%, I did not understand these articles
  5. 3%, The articles tell the truth!

Most visitors to this site relax, watch TV or take a walk when they get tired of learning. Various forms of relaxation predominate among nearly half of those taking part in the poll. A hypothesis says that the process of learning overloads the neural networks of the brain (esp. the hippocampus). To prevent erasing old memories for the sake of storing new one's, the brain fights against new learning by making us tired or drowsy. The best method for rewiring the neural connections is sleep (there is plenty of evidence that indicates that in sleep, memories move away from the hippocampus to the neocortex). However, sleep is possible only at certain times of the wake-sleep cycle (in accordance with one's individual circadian rhythm; see: Good sleep, good learning). No wonder, napping ranked second on the poll list (it is worth noting that the mere fact that we are able to recharge the batteries by simply taking a break from learning seems to show that the learning overload can also be diffused during waking).
Some people claim they do not get tired of learning. If the overload hypothesis is correct, adrenaline-based learning of an exciting subject will never be as effective as learning in bursts even though enthusiasm is one of best prescriptions for excellent learning results!
Drinking coffee or caffeine beverages may not be a good idea for efficient learning. Caffeine can be helpful in dispelling sleep inertia upon arising. However, it is a poor substitute for mental rest and sleep. Caffeine is a stimulant and should help overcome tiredness; however, it may produce restlessness and difficulty with focused attention. It will also mask the overload effect which may ultimately be harmful for learning. Exercise may combine some of the effects of caffeine with the effects of relaxation; however, it requires effort. Probably this is why it ranked lower.
Lastly, a short-lasting boost in blood glucose upon consuming a sugar-rich meal is likely to help glucose-powered learning; however, the release of insulin will quickly bring glucose in the blood back to the physiological level. No wonder, snacks are not popular in overcoming learning-related tiredness.
Our recommendation: if you get tired of learning, do not slog it out! Take a break. If this is your sleep time, go to sleep. If this is your siesta time, take a nap. Otherwise, relaxation or moderate exercise should help you recharge batteries. If this does not help, you can call it quits for today! Further effort may be counterproductive!

What do you do when you get tired of learning? (161 respondents)

  1. 43%, Relax, watch TV or take a walk
  2. 20%, Take a nap
  3. 13%, Drink a cup of coffee or coke
  4. 12%, Exercise
  5. 11%, I never get tired of brain jobs
  6. 1%, Eat a bar of candy or a snack

Favorite platforms for SuperMemo are still Windows and palmtop devices. We have declared more than once that in the future, SuperMemo will live on the net. However, in mid-2001, participants of our quiz indicated that MS Windows is still their favorite learning platform.

How would you like to learn in the future? (422 respondents)

  1. 29%, using SuperMemo for Windows
  2. 27%, using SuperMemo on palmtop devices such as Palm, Handspring, Pocket PC, Psion, etc.
  3. 26%, using SuperMemo for Linux
  4. 12%, in a browser over the Internet (On-line SuperMemo)
  5. 5%, with my mobile phone
  6. 2%, on other platforms

Stress, lack of sleep and poor self-discipline are the chief enemies of genius. In the modern "rate race" society, stress is a factor of life. Few can escape it. Although moderate stress adds spice to life, overstress is highly destructive. It affects health, personal relationships, and creativity. For starters, it is one of the causes of insomnia and depression. Stress and insomnia are a powerful combination that affect self-discipline of a major part of population in developing countries! No wonder so many respondents believe that self-discipline is the number one ingredient missing in their quest for genius brain powers.

What would increase your brain powers most? (476 respondents)

  1. 26%, better self-discipline
  2. 21%, eliminating stress
  3. 18%, getting more sleep
  4. 17%, learning better
  5. 9%, better health
  6. 9%, learning more

Complexity of SuperMemo militates against its popularity. If SuperMemo is to be popular, it must attempt to be simple and user-friendly. It cannot add functionality at the cost of simplicity. Its complexity is not remedied by extensive documentation. Inherently complex software is inherently difficult to document and explain.

What annoys you most about SuperMemo (243 respondents)

  1. 36% simple things are made complex
  2. 23%, documentation is chaos
  3. 8%, bugs, bugs, bugs
  4. 7%, Martian terminology
  5. 1%, it does not work


Search SuperMemo Website

Advanced Search

Google: Search SuperMemo articles on the web

Example: "prohibited access" will return all articles discussing prohibited registry access (do not forget to include the quotations marks!)


SuperMemo algorithm in a DLL

Implementing SuperMemo with sm8opt.dll Dr Piotr Wozniak
Dec. 17, 1996
Last updated: Sep 21, 2000

SM8OPT.DLL is a library designed for software developers intending to implement the SuperMemo method in their software. Licensing conditions for using SM8OPT.DLL will differ depending on the target application. In particular, no license fee is required for projects whose sole purpose is research on repetition spacing or on the Algorithm-SM8 used by SM8OPT.DLL. Nevertheless, written permission from SuperMemo World must be obtained beforehand in all cases.

SM8OPT.DLL can be called from any application as any standard Windows DLL library. The job of the developer is to:

  • store data pertaining to the learning process (a record less than 20KB in size, later called OptimizationRecord)
  • store data pertaining to individual items of knowledge (a record of about 20 bytes per item, later called ItemOptimizationData)
  • execute repetitions on days determined by the date stored at ItemOptimizationData.NextRepetition
  • call SM8OPT.DLL at the moment of repetition to obtain new values of OptimizationRecord and ItemOptimizationData

Here is the detailed algorithm for using SM8OPT.DLL. When calling individual procedures use pascal calling convention:

  1. Call GetOptimizationRecordSize to obtain the size of OptimizationRecord.
  2. Allocate a memory block of the size determined in Step 1. This block will be used to keep OptimizationRecord throughout the learning session.
  3. In the first session, call CreateNewOptimizationRecord(OptRec) where OptRec is an untyped pointer to the memory block allocated in Step 2. This will initialize the value of OptimizationRecord. In all following sessions, load OptimizationRecord from a file created in Step 12 (NB: in SuperMemo, the optimization record is stored in knowledge system info subdirectory as a file: sm8opt.dat).
  4. After creating or loading OptimizationRecord in Step 3, call InitializeOptimizationRecord(OptRec) that will create all temporary variables used by the repetition spacing algorithm. You do not need to access memory pointed to by OptRec. Only sm8opt.dll will manipulate individual fields
  5. By analogy, for each item call GetItemOptimizationDataSize, allocate memory for ItemOptimizationData, and call CreateNewItemOptimizationData(IOD) where IOD is a pointer to the allocated memory block. Alternatively, reload ItemOptimizationData from a file.
  6. Having OptimizationRecord and ItemOptimizationData available in memory (pointers OptRec and IOD), repeat the procedure of executing individual repetitions presented in Steps 7 through 12.
  7. Using ItemOptimizationData.NextRepetition field (IOD^.NextRepetition) determine the date of the next repetition for each individual item (see later for more on interpretation of NextRepetition value).
  8. On the date of repetition call GetRepetitionData(IOD) with IOD pointing to ItemOptimizationData. This will set the new value of ItemOptimizationData with the field NextRepetition pointing to the day on which the next repetition will take place (see later for more on interpretation of NextRepetition value).
  9. Before calling GetRepetitionData, set two fields of ItemOptimizationData: Grade - the grade provided in the course of the repetition, and Today - current date relative to the first day of the learning process (see later for more).
  10. GetRepetitionData can be called several times in succession (e.g. for grade-undo purposes). Note that returned values may differ slightly due to the stochastic nature of determining the next interval to be used.
  11. Call CommitOptimizationRecord(IOD) after each repetition (e.g. at the moment of choosing the Next Repetition button). CommitOptimizationRecord updates all temporary variables of the repetition spacing algorithm, updates OptimizationRecord (untyped pointer to this record was provided in Step 4 with InitializeOptimizationRecord and does not have to be specified again) and does some simple conversions on the ItemOptimizationData record (e.g. Repetitions:=NewRepetitions, AFactor:=NewAFactor, etc.).
  12. Save ItemOptimizationData to a file (the new value of all fields was determined in Step 8 by calling GetRepetitionData). You need to make the following substitutions here:
    • OldInterval:=NewInterval
    • Repetitions:=NewRepetitions
    • Lapses:=NewLapses
    • AFactor:=NewAFactor (just copy the string of six bytes)
    • UFactor:=NewUFactor
  13. Upon completing the series of repetitions, save the OptimizationRecord to a file. Call FreeOptimizationRecord and deallocate the memory blocks allocated in Step 2 and Step 5.

Here is the definition of ItemOptimizationData record (please note that it uses the alignment to 32-bit boundaries and should originally return the size of 132 bytes):

TItemOptimizationData=record

Today:word; {relative to the first day of the learning
  process. On the first day, Today=1}{2
  bytes}
Grade:byte; {grade from 0 to 5, where 5 is the best grade}{1 byte}
FirstGrade:byte; {the first grade obtained by the item during its second repetition; i.e.
  the repetition after the first interval}
LastRepetition,NextRepetition:integer; {relative to the first day of the process}{4 bytes}
OldInterval,UsedInterval,OptimumInterval,NewInterval:integer;
Repetitions,NewRepetitions:byte;
Lapses,NewLapses:byte;
RequestedFI:byte;
Ordinal:real; {use six byte arrays instead of floating types here; see below}{6 bytes}
AFactor,NewAFactor:real; {use six byte arrays here and below}
UFactor,NewUFactor:real;
OldRF,NewRF,OldOF,NewOF:real;
Cases:word;
EstimatedFI,ExpectedFI:real;
NormalizedGrade,NGMin,NGMax:real;
RepetitionsCategory:real;
Reserved:integer;
end;

Important! Floating point number (the real type) are represented here as in Object Pascal and use six bytes. Use six byte arrays in place of real numbers to ensure the size item optimization data structure is correct. If the size of TItemOptimizationData record is incorrect, you will not be able to correctly read data written to it by sm8opt.dll

The only fields that are indeed needed by the developer are: Today, Grade and NextRepetition. Other fields can be used for diagnostic or information purposes. Today and NextRepetition are counted relative to the first day of the process. On the first day of learning, Today=1, and the repetition takes place on the date on which NextRepetition=Today. Note that LastRepetition and NextRepetition values may be negative in cases where items have been transferred from another system that was created before the initialization of the system in use.

As some of the fields of ItemOptimizationData are computed anew, only a subset of TItemOptimizationData has to be stored in a file. Developers that would want to save disk space may note that only the following fields have to be stored: FirstGrade, LastRepetition, OldInterval, Repetitions, Lapses, RequestedFI, Ordinal, AFactor, and UFactor. Most notably, NextRepetition does not have to be stored as it can be derived from NextRepetition=LastRepetition+OldInterval. The new value of LastRepetition equals Today. The definition of TOptimizationRecord is not presented here as it is quite meaningless without understanding the details of the repetition spacing algorithm: Algorithm-SM8. If you want to interpret the contents of this record, you can best copy it in place of sm8opt.dat in the info subdirectory and use Tools : Statistics : Analysis in SuperMemo to view the graphs.

The use of GetOptimizationRecordSize and GetItemOptimizationDataSize is obligatory as in future releases of SM8OPT.DLL, the size of the optimization data may change. Obviously, there will be no change to the present structure apart from adding new fields taking part in enhanced optimization. For example, the RepetitionCategory has been introduced in December 1996 in a new release of Algorithm SM8 in which interval categories instead of repetition numbers are used to index the matrix of optimal factors. This prevents fooling the algorithm in cases the actual repetition takes place long after the scheduled optimum date.

Here is the list of all procedures published in SM8OPT.DLL. Make sure you use pascal calling convention:

  • procedure CreateNewOptimizationRecord(OptimizationRecord:pointer)
  • function GetOptimizationRecordSize:word
  • procedure InitializeOptimizationRecord(OptimizationRecord:pointer)
  • procedure FreeOptimizationRecord
  • function GetItemOptimizationDataSize:word
  • procedure CreateNewItemOptimizationData(IOD:PItemOptimizationData)
  • procedure GetRepetitionData(IOD:PItemOptimizationData)
  • procedure CommitOptimizationRecord(IOD:PItemOptimizationData)

You can download encrypted SM8OPT.DLL from this site (32-bit version only). To do this:

  1. Download 32-bit version SM8OPT.ZIP (120,000 bytes)
  2. Write to help(AT)supermemo(.)com to obtain license conditions

Optional

In case you want to interpret Object Pascal real numbers for debugging purposes, you can use the following function:

function GetInt1000FromReal(RealNumber:pointer):integer;

GetInt1000FromReal is defined in sm8opt.dll, takes a pointer to the six-byte array storing the real number and returns a 32-bit integer equal in value to RealNumber^*1000

In Object Pascal, a 6-byte (48-bit) Real number is divided into three fields:

  1. s - sign, the most significant bit
  2. f - mantissa, the remaining 39 bits of the first five bytes
  3. e - exponent, the sixth byte

The value v of the number is determined by the following:

if 0 < e <= 255, then v = (-1)s * 2(e-129) * (1.f)
if e = 0, then v = 0

Frequently Asked Questions

(Rollie Tyler, USA, Sep 9, 1998)
Question:
I am trying to implement SuperMemo algorithm with your sm8opt.dll library. Why don't you describe the contents of TOptimizationRecord? How am I supposed to use a typed pointer to a structure that is not defined?
Answer:
Contents of TOptimizationRecord is very difficult to interpret. It contains multidimensional arrays and various parameters needed internally by the algorithm. All calls to sm8opt.dll require only an untyped pointer which points to a memory block which you treat like a meaningless string of bytes.
If you want to interpret the contents of this record, save it as a file and put it in place of sm8opt.dat in the info subdirectory. Then you can use Tools : Statistics : Analysis in SuperMemo to interpret its contents (note that the graphs on the Distributions tab are independent of sm8opt.dat and will not change as a result of the substitution)

(Yuan, China, Jun 5, 2000)
Question:
I wrote a wrapper module that calls sm8opt.dll; however, I keep on getting short intervals that do not differ much between items that get good grades and bad grades
Answer:
The most likely reason is that you failed to update and save TItemOptimizationData. Remember that you need to assign NewInterval to OldInterval, etc.

(Kevin, USA, Sep 20, 2000)
Question:
The solution for interpreting real numbers is quite clumsy. Will this be changed in the future?
Answer:
The function for inspecting real numbers was added only for those who are curious of the content of TItemOptimizationData. Your program does not need to use any of these numbers. Changing data types would affect compatibility of sm8opt.dat records in various versions of SuperMemo which can all exchange data by simply copying the file. This compatibility is very important for further research on improving the algorithm used in SuperMemo

Effect of recompiling SuperMemo DLL with newer Delphi (#15716)
(Mark G. Patterson, Saturday, January 25, 2003 6:43 PM)
Question:
As the current version of Delphi has moved away from old real data types, is it possible for you to recompile Algorithm SM-8 DLL with the current version of Delphi?
Answer:
It is vital to retain the size of individual fields of data for easy exchange between all versions of SuperMemo. For that reason the compiler directives in the code are set to ensure the same unaligned data size independent of the actual compiler. In other words, the size of data and its interpretation does not change between Delphi 1.0 and Delphi 7.0

You need to correctly initialize TItemOptimizationData (#11862)
(Kubiak, Konrad (GE77), Germany, Monday, July 15, 2002 10:06 AM)
Question:
I am trying to use sm8opt.dll in my software. I get the following error: "A-Factor is 0.000 in Opt.AF2Categ"
Answer:
This error indicates that the A-Factor field in TItemOptimizationData is set to zero. Most likely you have not initialized this field correctly or the field is misaligned. Please note that TItemOptimizationData uses the alignment to 32-bit boundaries and should originally return the size of 132 bytes

(Kevin, USA, Sep 20, 2000)
Question:
I would like to use your DLL in Visual Basic. Can you provide it as an ActiveX control?
Answer:
There is no ActiveX version at the moment. However, with a dose of extra effort, you should be able to call sm8opt.dll from Visual Basic as well


SuperMemo 98: Forget about forgetting

Super Memory: Forget about forgetting

This website is devoted to improving memory, self-growth, creativity and speed-learning software SuperMemo

This page moved to:
www.supermemo.com/archive/1998/sm98.htm

See: info about SuperMemo 99


SuperMemo 99: Forget about forgetting

Super Memory: Forget about forgetting

This website is devoted to improving memory, self-growth, creativity and speed-learning software SuperMemo

This page moved to:
www.supermemo.com/archive/1999/sm99.htm

See: info about SuperMemo 2000


Introduction to fast learning with SuperMemo

What is SuperMemo?
The three most important facts about SuperMemo:
  1. SuperMemo is a learning method that makes it possible to learn fast and retain memories for years
  2. SuperMemo is available as an easy computer program for Windows, Windows CE, and Palm Pilot. It can also be used in a web browser, in DOS, in Linux, on Mac, on Amiga, and even without a computer
  3. SuperMemo is based on the science of long-term memory

This is how SuperMemo works:

  1. Collect learning material

         SuperMemo helps you create collections of facts that you would like to remember. You can use ready-made collections available from various sources. You can also convert web articles into learning material

  2. Test your memory

         SuperMemo tests your knowledge of individual facts and collects information about your memory

  3. Make smart repetitions

         By understanding your memory, SuperMemo finds the optimum timing for review of the learned material. Each fact stored in your collection will have a unique pattern of review and repetition

  4. Save time

    With minimum number of repetitions scheduled for you by SuperMemo, you waste no time on repeating material you know well. You will be amazed with what speed and volume of learning you can reach. All that without a decrease in recall

What next?

  • read General principles of SuperMemo
  • Five fastest arguments for SuperMemo
  • SuperMemo for Windows in pictures
  • How repetitions are executed (extract from SuperMemo Help)
  • Order and download SuperMemo in five minutes
  • Which version is for me?
  • read Six steps to excellent memory
  • ABC of using SuperMemo for Windows
  • read Devouring knowledge (how to quickly read thousands of articles imported to SuperMemo from the Internet)
  • read Forget about forgetting (principles of SuperMemo in popular scientific terms)


Sources of information about SuperMemo

Major sources of information about SuperMemo

Learn more about SuperMemo from the following sources:

  1. Publications in reference to SuperMemo
  2. Entire SuperMemo Website in a single file
  3. Popular scientific articles about SuperMemo:
    • Scientific conquest of forgetful memory (first ever article about SuperMemo from 1992)
    • Forget about forgetting (most comprehensive popular scientific article about the roots and the psychophysiological background of SuperMemo)
    • Learn fast and forget about forgetting (review of SuperMemo 6 for DOS)
    • Build your vocabulary with SuperMemo (an article written by cofounders of SuperMemo World about using SuperMemo for learning English vocabulary)
    • From an idea to an industry (interview with the author of SuperMemo)
  4. History of SuperMemo
  5. 15-years of SuperMemo software development (1987-2002)
  6. SuperMemo User Survey: 1994 and 1999
  7. Links to other websites related to memory and learning


History of SuperMemo software development

Development of SuperMemo (1985-2002)

SuperMemo isn't just a piece of software for managing repetitions of the learned material. Over years it acquired a great deal of additional functionality that made it the indisputably best self-learning tool in the world. New solutions have constantly been added, improved or removed until the program has assumed the current shape as available in SuperMemo 2000 for Windows (see: Screenshot Tour).

Here is the timeline of most important developments in the history of SuperMemo software development:

  • 1985 - first algorithm for spaced repetition is formulated
  • 1987 - first computer application (SuperMemo 1.0 for DOS)
  • 1989 - first algorithm based on the variable function of optimum intervals (SuperMemo 4.0 for DOS)
  • 1991 - application of the forgetting curve sketching for faster learning (SuperMemo 6.0 for DOS)
  • 1993 - possibility of employing sounds and images in representing knowledge (SuperMemo 7.2 for Windows)
  • 1995 - knowledge tree and hypermedia (SuperMemo 8 for Windows; codenamed Genius 1.0)
  • 1999 - adding reading lists (SuperMemo 99)
  • 2000 - adding incremental reading (SuperMemo 2000)
  • 2002 - HTML-based incremental reading (SuperMemo 2002)

SuperMemo on paper (1985)

The first SuperMemo algorithm formulated in May 1985 did not require the use of a computer! The table of inter-repetition intervals was used to compute intervals between repetitions of whole pages of questions and answer. For details see: Using SuperMemo without a computer

Non-commercial releases of SuperMemo for DOS (1987-1989)

First computer implementation of SuperMemo was written in December 1987 by the author of the method: Piotr Wozniak. It was written on the DOS platform in Borland's Turbo Pascal 3.0 and included only a few simple functions: adding question-answer pairs and making repetitions. These are the version written by the author of SuperMemo before its entry into the commercial arena in 1991:

  • SuperMemo 1 (Dec 1987) - first ever computer implementation of SuperMemo distributed free among students of computer science at the University of Technology in Poznan
  • SuperMemo 2 (Jul 1988) - same program with minor improvements and bug fixes, recompiled in Turbo Pascal 4.0. Most importantly: in 1991 it became the first freeware release of SuperMemo that circled the globe via the academic Internet
  • SuperMemo 3 (Oct 1988) - first SuperMemo with a professional look (for 1988 standards), written from scratch and implementing pull-down menus that were gaining substantial popularity among DOS users at that time. User was given a possibility to create a number of collections with different names
  • SuperMemo 4 (Feb 1989) - first SuperMemo with a variable function of optimal intervals and with a fast search function written in assembly language (the only way towards speed back in 1989)
  • SuperMemo 5 (Oct 1989) - new approach to computing optimum intervals based on the matrix of optimum factors (O-factors). Important improvements: option for resetting memorized items (Forget in SuperMemo 99) and displaying the date of the next repetition in the item window. In 1993, SuperMemo 5 has entered public domain and has since gained substantial popularity among freeware users around the globe (overshadowed later by SuperMemo 6 for DOS)

For details see: Early versions of non-commercial SuperMemo

SuperMemo 6.0 (May 1991 - May 1993)

SuperMemo 6.0 for DOS was written from scratch in Turbo Pascal 6 and it was the first SuperMemo written within a framework of a commercial company under the supervision of the author of the method and founder of SuperMemo World: Piotr Wozniak. It was the first SuperMemo that has sold over 10,000 copies (earlier attempts to sell SuperMemo 2 and SuperMemo 5 were largely unsuccessful). The idea of plotting forgetting curves for all optimal factors has added greatly to the theoretical validity of the SuperMemo algorithm that could now be verifiably shown to produce the optimum repetition spacing for a given level of knowledge retention. Future improvements to the algorithm could therefore only accelerate the convergence of the starting memory model to the optimum model. SuperMemo 6, as the finalist of Software for Europe Competition 1992, has brought SuperMemo to public attention allowing it to break the image of an intricate software product for a hermetic group of technically-minded people. Instead SuperMemo 6 became one of the best-selling pieces of software in Poland in the early 1990s. In January 1995, SuperMemo 6 entered public domain and is since available from multiple shareware sites and shareware CD-ROMs around the world. Even with the advent of SuperMemo 8 in 1997, many users remained faithful to the old good DOS version. These were the most important improvements introduced by SuperMemo 6:

  1. New optimization technique based on sketching forgetting curves for particular difficulty categories and repetition numbers
  2. User-defined forgetting index can be used to control the speed of learning
  3. Repetition calendar with the possibility of editing items scheduled for a given day
  4. Monthly and annual repetition calendars
  5. New process parameters: Average repetition, Average lapses, Average interval, Average E-factor, Requested and measured forgetting index, Retention, Mean repetition time, Workload, etc.
  6. Option Find extended by Replace
  7. Option Duplicate Item in the browsing mode
  8. Maximum number of items in a database increased from 10,000 to 60,000
  9. Option Schedule item in the browsing mode (used to memorize selected intact items)(in SuperMemo 99: Remember)
  10. Option Mercy used to evenly distribute outstanding items (e.g. after a vacation break)
  11. Possibility of redefining keyboard codes with KBD files
  12. Font Designer freeware included in the package

For more details see: SuperMemo 6 for DOS (versions 6.0 through 6.7)

SuperMemo 7.0 for Windows (January 1993 - March 1995)

SuperMemo 7.0 was one of the few Windows applications available in Poland at its time (early 1993). Although initially, it found it difficult to compete with SuperMemo 6, by 1995 it became the most popular SuperMemo ever (over 30,000 copies sold by the end of 1996). In 1993, it became one of the first Polish applications using sound and bitmapped graphics. In mid-1994, it was also the first Polish Windows software released on CD-ROM. The number of awards given to SuperMemo 7.0 is too long to be listed here. In 1994 and 1995, SuperMemo 7 was voted the most popular Polish software by readers of PC World Komputer. It was also one of the most eagerly copied pieces of software on illegal software market ahead of the entire Microsoft suite:

  1. The whole program was written anew from scratch in Borland Pascal 7.0 for Windows using Object Windows Library application framework
  2. New database file managing options: Delete database, Rename database, Copy database, Move database, Cut drills (removing items scheduled for Final Drill)
  3. Possibility of working with a few databases at the same time using separate instances of the program
  4. Adding Image menu in editing windows (creating up to 60,000 graphic images associated with items)
  5. Adding Audio menu in editing windows (recording and playing up to 60,000 sound files associated with items)
  6. Parameter Future Reps estimating the number of repetitions of a given item in the nearest 30 years
  7. Adding full-screen item browsers (e.g. for all items, for intact items, for memorized items, for outstanding items, for intractable items, etc.)
  8. Introducing the concept of a leech (item which slows down the learning process). Possibility of extracting leeches using the criteria of E-factor, number of lapses, and the interval. Possibility of browsing leeches and randomly reviewing leeches.
  9. Possibility of quickly opening one of the 5 recently used databases from the pick list on the File menu
  10. Automatically opening the last used database at running SuperMemo
  11. Possibility of arbitrarily choosing the first interval when memorizing an item
  12. Integrated Toolkit (including tools such as: Recover, Reset, Transfer, Sort, Export text, Import text, Export SM6, Import audiovisual files, Cross-section, SetUp, etc.)
  13. Lexicon and Audio Lexicon make it possible to instantly access words and audio phrases stored in the database (the lexicon may be built for a custom-made database with Build Lexicon using a user-defined filter file)
  14. Mercy into the future (e.g. in order to pass all repetitions scheduled for a vacation period before the vacation)
  15. Possibility of spelling drills with the Spell-Pad
  16. Adding Phonetic Lexicon to Advanced English distributed on CD-ROM. Phonetic Lexicon makes it possible to search for English words by using their phonetic transcription
  17. Option Previous (Back) in editing windows provides access to up to fifty recently reviewed items
  18. Option Move : Randomize in the browser makes it possible to scramble the browser's content (e.g. to randomly reshuffle the final drill queue, etc.)
  19. Option Browser : Random test makes it possible to run a random test on items kept in the browser
  20. Two menu variants: (1) simple (default) and (2) professional

For more details see: SuperMemo 7 for Windows (versions 7.0 through 7.5)

SuperMemo 8.0 for Windows (May 1997)

In the years 1995-1997, SuperMemo World worked over a new hypermedia paradigm for SuperMemo, initially released as a separate line codenamed Genius. Most importantly, Genius departed from question-and-answer limitation of earlier versions of SuperMemo. In Genius all items/elements could be freely composed of various components such as text, sounds, pictures, etc. Secondly, Genius introduced knowledge hierarchy that made it possible to organize knowledge into a knowledge tree (contents window). Genius was originally released only as a hypermedia shell for CD-ROM titles such as Video English, Cross Country, etc. For long, Genius could not gain hearts of die-hard users of SuperMemo 7. Only in May 1997, the decision was taken to release Genius as an independent self-learning tool: SuperMemo 8. This was the first SuperMemo that was beta-tested around the world over the Internet and the first that was simultaneously released as a CD-ROM title (Deine Chancen) and a stand-alone application. It was also first commercial SuperMemo available for download from the Internet (June 1997). Successors of SuperMemo 8 will have always been first released as stand-alone applications over the Internet before the CD-ROM releases could be developed for traditional distribution channels.

Here is the main new functionality introduced in SuperMemo 8:

  1. The whole program was written anew from scratch in Borland's Delphi 1.0 using Delphi's Visual Component Library
  2. Greatly improved repetition spacing algorithm with: (1) possibility of using different forgetting indices for different items, (2) replacing E-factors with A-factors (absolute E-Factors) that define absolute difficulty of items (E-factors defined relative difficulty of items within a given database), (3) on the fly approximation of the matrix of optimal factors (no need for smoothing, no need for periodic approximation of the matrix with Miscellaneous : Approximation), (4) faster approximation of A-factors by keeping the record of A-factor vs. Grade and Grade vs. Forgetting index relationships
  3. Hierarchical knowledge structure
  4. True hypermedia: combination of text, graphics, sound, video, animation, hypertext, executables, scripting, and many more
  5. Navigation tools modeled on standard multimedia viewing, presentation and help systems
  6. Multimedia object registries for storing images, sound, video, etc. Supporting formats: BMP, GIF, WAV, and AVI.
  7. Template registries make it possible to quickly create items and topics designed according to a selected style
  8. On-line hints make it easy to understand the function of particular menu items and speed-buttons
  9. Number of items virtually limited by the memory of the computer (theoretically: up to 10 million items with 8 million hypermedia objects)
  10. ReadOnly and LearnOnly modes
  11. Interactive translation of knowledge system to other languages
  12. Simple translation of the program's interface to other languages
  13. Programmability via scripts and programmed components
  14. Possibility of changing the forgetting index of the entire hierarchy node
  15. Editable translation and phonetic transcription registries
  16. Random review in browsers, registries and in the element window
  17. Two-way history list with Back and Forward buttons
  18. Search and Replace in registries
  19. Instant translation and instant phonetic transcription on mouse move
  20. Option for testing repetition cycle at design time
  21. External multimedia files can be associated with components (e.g. to compile knowledge systems based on non-SuperMemo multimedia CD-ROMs)
  22. Releasing SM8OPT.DLL with all optimization procedures of Algorithm SM-8 used in SuperMemo
  23. Context-sensitive help (you can download SM8.HLP from this site).
  24. Tip of the Day on start-up

For more details see: SuperMemo 8 for Windows

SuperMemo 9 for Windows (1998-1999)

Most criticism voiced about SuperMemo 8 concerned its limitations introduced by the 16-bit nature of this application. Increasing popularity of Windows 95 made it possible to give up the 16-bit platform and remove many painful limitations of SuperMemo 8. Some of these included lack of: long filenames, texts longer than 256 characters, transparent texts and images, etc. SuperMemo 98 was developed in 32-bit Delphi 3.02 from Borland (later Inprise). 32-bit technologies also made it possible to dramatically speed up the application and its hypermedia functionality. SuperMemo 98 became the first stand-alone SuperMemo since 1995 that boasted a very high customer satisfaction. Indeed in recent surveys, the satisfaction ratings of SuperMemo 98 indicate that it is the most popular stand-alone SuperMemo ever! The dip in popularity of SuperMemo that occurred after 1995 was mostly blamed on increased complexity of the program upon introducing the knowledge tree and hypermedia paradigm. Only SuperMemo 98 was able to resolve this by introduction of new tools for managing complexity, including the three levels of difficulty

SuperMemo 99 released on October 4, 1999 may become one of the greatest breakthroughs in the history of SuperMemo ever. It extends the application of SuperMemo to the knowledge acquisition and selection step (SuperMemo 1.0 dealt only with knowledge retention, SuperMemo 8 dealt with knowledge representation while SuperMemo 99 deals with knowledge acquisition, representation and retention!). Although beta-testing of SuperMemo 99 did not indicate much user enthusiasm for the new solutions, the recognition of the reading list technologies may take more time and refinement of the used tools and techniques. For a detailed description of the reading list concept see: Reading the Internet

Here are the most important improvements brought forth in SuperMemo 98 and SuperMemo 99:

  1. 32-bit application (written in Delphi 3.0 and 4.0 respectively)
  2. Increased speed
  3. Long filenames
  4. Unlimited length of texts
  5. Introducing the concept of a reading list (SuperMemo can now be used to import electronic texts from the Internet and help the user in prioritizing the material, splitting it into manageable portions, converting it into selections and items or separate reading tasks)
  6. Introducing the concept of a tasklist (although tasklists are an underlying concept for reading list management, they can also be used in to-do list management)
  7. Tasklist manager for managing reading lists and tasklists
  8. Reading list management options for text and rich text components (queue extract, remember extract, task extract, queue cloze, remember cloze, etc.)
  9. Unlimited number of elements in the browser
  10. RTF support
  11. HTML support (including hyperlinks to other elements, registry text and images, external HTML files and files available from the Internet)
  12. OLE support (e.g. to include files from MS Word, Corel, MS Equation, Mind Manager, etc.)
  13. Transparent texts and images
  14. In-built simulation of the learning process
  15. New browser operations: sorting by columns, remember, forget, dismiss, final drill, etc.
  16. Question of the Day
  17. Learning in a single branch that can be resumed between sessions and branch rescheduling
  18. Midnight date shift delay for those who make repetitions after midnight
  19. New user interface based on four levels of difficulty: Beginner, Basic, Middle and Professional
  20. Manual inter-repetition interval adjustment
  21. Repetition ceiling to limit the inflow of new material
  22. One-step upgrade of files created with SuperMemo 8 (as well as import from SuperMemo 6 for DOS and SuperMemo 7 for Windows)

For more details see: SuperMemo 9 for Windows

SuperMemo 10 for Windows (2000)

The tenth major release of SuperMemo on DOS/Windows platform implemented support for incremental reading. As such, it can be considered the first SuperMemo that genuinely extended the optimization process from repetitions spacing and knowledge representation towards acquisition of knowledge from electronic sources. World Wide Web can now be considered the knowledge universe from which a student can direct the stream of knowledge towards the review process and ultimately into his or her memory. See: SuperMemo 2000

SuperMemo 11 for Windows (2002)

See: SuperMemo 2002


SuperMemo really helps you learn faster!

SuperMemo really works!

These are our five fastest arguments to help convince you that SuperMemo is a real McCoy:

  • Opinions - Before you start with SuperMemo, please review the opinions of users and journalists about SuperMemo. You will understand that SuperMemo is not just a method based on blue-sky scientific research. It really works! (to better understand users of SuperMemo see: User Survey). For unbiased sources see Guestbook or Forum
  • Press - If you still have doubts, read popular scientific articles about SuperMemo:
    • Scientific conquest of forgetful memory
    • Forget about forgetting
    • Learn fast and forget about forgetting

  • Awards - If you review the awards granted to SuperMemo, you will be sure that its quality has been appreciated as a software product, too

  • Field test - You are now probably ready to commit a couple of minutes to download a working version of SuperMemo for a trial test. You can also start from reading the functional description of the program: SuperMemo Help On-Line

  • Users - You can get in touch with users of SuperMemo to collect opinions. This Yahoo eGroup devoted to SuperMemo is independent of SuperMemo World. The page with Devoted users has been discontinued due to over-spamming

If you would rather listen to the devil's advocate, read: SuperMemo is Useless!!! or No force in the world can convince me to SuperMemo!!!. In addition, there are troubling questions asked from an entirely new angle: Can SuperMemo lead to Alzheimer's?


SuperMemo Website Summary: Most important things to know

Website summary

Focus on fast learning and self-improvement

This website contains information about fast learning, memory, self-improvement, time-management, and more. The site was built around a new learning technology developed in Poland in the years 1982-2000 and commercially known as SuperMemo

SuperMemo: a speed-learning technology

SuperMemo is available as software for Windows, Pocket PC, Palm Pilot, on-line, etc. It increases the speed of learning, and ensures a high level of knowledge retention. The most important things to know:

  • SuperMemo accelerates learning by optimizing the timing of review (i.e. by computing optimum intervals between repetitions). See: Introduction to SuperMemo
  • SuperMemo makes it easy to keep 95% of the learned material in memory. It practically eliminates the problem of forgetting!
  • SuperMemo has received many awards, was positively reviewed in popular press in a number of countries, and is highly praised by its users (in 1999 their number has passed one million mark)
  • Apart from spaced repetition, SuperMemo uses a number of technologies that assist you in building rock-solid knowledge related to your professional field or personal life
  • SuperMemo is based on scientific research on memory and learning (see: References). SuperMemo software line has been in constant development since 1987 (see: History of SuperMemo and History of SuperMemo Software)
  • in the beginner mode, you can learn to use SuperMemo in 3 minutes (see: ABC of SuperMemo)

We believe that SuperMemo can change your life (esp. if you are a person with strong self-improvement inclinations). Please read Six steps to excellent memory to find out why

If you would like to order SuperMemo, you can go to SuperMemo Store. Our company adheres to strict privacy rules and you do not have to worry that after placing an order your name will crop up on third party mailing lists. We use a secure server hosted by reputable Yahoo! Stores

If you would like to read some press articles about SuperMemo, this is what we recommend to begin with:

  1. Forget about forgetting explains SuperMemo in terms of psychophysiology, evolution and discusses its scientific validity
  2. Scientific conquest of forgetful memory shortly describes the origins of SuperMemo (as viewed from the 1992 perspective)

Learning material

Once you become a regular user of SuperMemo, you may want to know that we have created SuperMemo Library -- the largest collection of learning material for SuperMemo on the web

User support

Our company treats user support very seriously! See how to contact us. You can also review our numerous FAQs
Once you begin learning with SuperMemo, we will assist you with articles that provide an in-depth discussion of various aspects of learning with SuperMemo. For example:

  1. 10 rules of effective learning with SuperMemo
  2. 20 rules of formulating knowledge for SuperMemo
  3. Devouring knowledge with SuperMemo 2000

What next?

To locate individual articles on this site:

  • use Search
  • see the Table of Contents
  • see the full File List (this list does not include SuperMemo Library files nor does it include files in languages other than English)


International interfaces for SuperMemo

This page lists freeware language interfaces for SuperMemo for Windows.

Important! These interfaces work only at the Beginner and Basic levels. Some may require specific languages settings in MS Windows to show correctly.

Using Tools : Options : Language : Localization table in SuperMemo, you can prepare a localized interface for the beginner and the basic level. The whole translation can be done in 5 minutes, as the entire interface of SuperMemo consists of only 50 strings

If you have created an interface not available on this list, you can send it in an e-mail attachment and it will be added to the list. All interfaces for SuperMemo are freeware!

Note that SuperMemo 8.4 introduces 7 new strings that are not included in 8.2 interfaces. SuperMemo 98 introduces further changes. SuperMemo 99 and SuperMemo 2000 require 50 strings

Currently available interfaces for SuperMemo:

  • Trimmed English Interface to eliminate problems with keyboard shortcuts in Internet Explorer 6.0 control (Konrad Hejwosz)
  • (99) Arabic (submitted by Waheed Al-Sayer, Kuwait)
  • (98) Chinese (submitted by Todd Cornell, China)
  • (98) Czech (submitted by Vaclav Losik, Czech Republic)
  • (00) Dutch (submitted by Maarten Mols, Holland)
  • (00) Danish (submitted by Mark Zebitz, Denmark)
  • (98) English (this is the default interface and you do not have to download it)
  • (98) Finnish (submitted by Jari Ruokolainen, Finland; upgraded by Lassi Kaleva, Finland)
  • (8.2) French (submitted by Christophe Majkowski, France)
  • (98) German (submitted by Volker Goretzki; upgraded by Manfred Kremer, Germany)
  • (98) Italian (submitted by Victor Sardina, Japan)
  • (98) Japanese (submitted by Victor Sardina, Japan)
  • (8.2) Norwegian (submitted by Hans Olaf Melberg, Norway)
  • (98) Polish (written by Michal Hejwosz, SuperMemo Library)
  • (99) Portuguese (submitted by Luis Gustavo Neves da Silva, Brazil)
  • (98) Serbian (submitted by Zoran Maximovic, Yugoslavia)
  • (8.2) Slovak (submitted by Peter Srank, Slovakia)
  • (8.4) Spanish (submitted by Chemi Pena, Spain)

To change the interface in SuperMemo to one of the above do the following:

  1. Download an interface from the list above (only 1000 bytes!)
  2. Copy the interface file to the subdirectory translat in the SuperMemo directory (the filename is <language name>.tra)
  3. Choose the interface's name in Tools : Options : Language : Localization language

An alternative approach is to:

  1. Download an interface from the list above (only 1000 bytes!)
  2. Choose Tools : Options : Language : Localization table
  3. Type the language name in the Localization language field (you do not have to use the name of the downloaded file)
  4. Choose Import in Localization table and select the downloaded interface file (the filename is <interface name>.tra)

Important! Localization affects only SuperMemo in Beginner and Basic mode


Users of SuperMemo

Devoted users of SuperMemo

We apologize that this page had to be discontinued. Due to spam harvesters, "devoted users" would be bombarded with spam rather than genuine inquires. For this reasons, all e-mail addresses had to be removed. Please join independent SuperMemo Community to get in touch with users of SuperMemo.

Click the name below to send an e-mail to a devoted and experienced user of SuperMemo:

  • Edward Jacek Gorzelanczyk, MD, PhD - respected neuroscientist, coauthor of a number of publications with Dr Wozniak in the field of memory and cognition, author of books for students of medicine and biology (books accompanied by SuperMemo databases), contributor to the SuperMemo method, 12-year-long experience in using SuperMemo, 9-year-long experience in teaching with the use of SuperMemo, owner of a publishing house MedSystem
  • Bodek Kowalewski, MSc - one of the first registered users of SuperMemo, author of databases for learning languages (frequently scoring high in the Annual Database Competition), dedicated user and fan of SuperMemo, hard working beta-tester of Easy English
  • Andrzej Lapa - winner of Database Competition 1994, author of various SuperMemo collections for learning medicine and Japanese, student of medicine, and a devoted user of SuperMemo for many years
  • Michal Hejwosz - spiritual father of SuperMemo Library. Keen user of Advanced English (13,000 items memorized in the first three months of learning!). Determined to challenge ... the Guiness Record on the greatest vocabulary in English
  • Piotr Maksimczyk - host of SuperMemo Library, meticulous webmaster, programmer, user of SuperMemo, enthusiast of tasklists, author of learning material for SuperMemo (in Polish and English)
  • Bruno Vernier, BSc in Math - Canadian educator looking for potential contributors to a non-commercial project of developing SuperMemo for Linux. His vision: to promote free computer-based education; freely sharing between learners and teachers; free from proprietary and financial barriers to the free flow of education, and creative educational ideas
  • Adam Sikorski, MSc - father of SuperMemo 1.0 for MacIntosh
  • Janusz Murakowski, MSc - one of the contributors to the SuperMemo method, graduated from a doctoral program in physics at the University of Delaware, currently professor at the same university
  • Krzysztof Kowalczyk, MSc - excellent beta-tester, initiator of the idea of Multiplatform SuperMemo in Java, graduated from the French Graduate School of Telecommunications Engineering (ENST de Bretagne, Cesson-Sevigne Cedex, France), currently employed at Microsoft, USA
  • Pawel Wimmer, MSc - respected computer journalist best know for his philosophizing articles for PC Kurier and Enter, animal lover and Esperantist, remarkably merited for the cause of SuperMemo by his series of in-depth essays on SuperMemo, user of SuperMemo as of version 2.0!
  • Marek J Minakowski, PhD in philosophy - Jagiellonian University, Krakow, author of the winning database in 1995 Database Competition: Greek. Holder of the Best Achievement with SuperMemo record: 25,000 items in Advanced English memorized in four months (1994), 33,000 items memorized (Spring 2000), currently an editor of business section of Polish mega-portal www.onet.pl
  • Mariusz Zmuda - senior student of law at the Adam Mickiewicz University in Poznan, addicted to SuperMemo, over 20,000 items memorized (Fall 2000), SuperMemo beta-tester, co-author (with Magdalena Kowalik) of the soon-to-be published History collection (in Polish). Selected hobbies: learning with SuperMemo, reading articles related to SuperMemo, stock exchange, psychology, sociopsychology, economics, music, reading, Internet, and exchanging e-mails with broadminded people
  • Magdalena Kowalik - student of law hoping to become an advocate fighting for human rights. Addicted to SuperMemo (20,000 items in Advanced English, Fall 2000). Recently fascinated with incremental reading. Her principles: keep smiling and think about others! Goal in life: contribute to building a better world. Currently contemplating her Master's Thesis in reference to women in politics. Co-author (with Mariusz Zmuda) of the soon-to-be published History collection (in Polish)
  • Robert Drózd - student of marketing at Warsaw School of Economics (SGH), prolific bug-finder and critic of SuperMemo. Author of selected databases used by students at SGH. Enthusiast of incremental reading
  • Michal Bobrowski - SuperMemo Don Quixote from Warsaw School of Economics (SGH), the coordinator of "SuperMemo at Warsaw School of Economics Project". Addicted to SuperMemo. Loves traveling. Loves trying extreme sports (this year: winter canoeing)

If you have interesting experience with SuperMemo that you would like to share with other users or if you would like to spread the news about your own SuperMemo databases, send an e-mail to SuperMemo World. If justified, your e-mail address and some of your data will be placed on this page


Welcome to accelerated learning with SuperMemo

Contents : SuperMemo : Welcome
This page moved here

What is SuperMemo?

  1. SuperMemo makes it possible to learn fast and retain memories for years
  2. SuperMemo is based on a breakthrough in scientific research on memory and learning
  3. SuperMemo is available as a computer program for Windows

SuperMemo 8 chosen
 Product of the Year 1997

Introduction:

  • General idea behind SuperMemo
  • SuperMemo really works!

New SuperMemo:

  • Order SuperMemo
  • Order learning material for SuperMemo

Learn English:

with SuperMemo 8 (2xCD-ROM)

Learn 40,000 words and phrases of English at SuperMemo speed!


SuperMemo: Which version is best for me?

Which SuperMemo?

Versions of SuperMemo:

Product Advantages Disadvantages Platform Price
SuperMemo 2004
  • most powerful SuperMemo ever
  • incremental reading
  • can use all collections from SuperMemo Library
  • requires Internet Explorer 6.0
  • runs only in newest Windows
  • requires Pentium (or equivalent)
  • Windows 2000
  • Windows XP
  • Windows NT 4.0
  • Windows 98
 $39
SuperMemo 2002
  • powerful
  • incremental reading
  • poor Unicode support
  • no XML exchange with other SuperMemos
  • requires Internet Explorer 6.0
  • runs only in newest Windows
  • requires Pentium (or equivalent)
  • Windows 2000
  • Windows XP
  • Windows NT 4.0
  • Windows 98
 $29
SuperMemo 2000
  • powerful
  • incremental reading
  • does not support HTML in incremental reading
  • requires Pentium (or equivalent)
  • runs only in Windows
  • Windows NT 4.0
  • Windows 98
  • Windows 20001
  • Windows 952
  • Windows ME3
 $19
SuperMemo 98
(1998)
  • reliability
  • rich multimedia functions
  • no incremental reading
  • no reading lists
 as above $12
SuperMemo 8 (1997)
  • still runs in Windows 3.1
  • cheapest of SuperMemo 8-9-10 line
  • no incremental reading
  • slow
  • no HTML
  • no long filenames
  • 16-bit application
 Windows 3.1 or later $6
SuperMemo 7 (1995)
  • the only free version for Windows
  • fast
  • reliable
  • rather simple
  • no incremental reading
  • no HTML
  • only one picture and one sound file per item
 Windows 3.1 or later free
($4 registration entitles you to upgrades to the next Windows release)
SuperMemo 6 (1992)
  • runs in DOS
  • no incremental reading
  • no mouse support
  • no sound
  • no pictures
  • cannot run in Windows NT in MS DOS Prompt
DOS,
16-bit Windows DOS Prompt 		free
SuperMemo for Pocket PC (1999)
  • portability
  • simplicity
  • highly acclaimed
  • supports SuperMemo XML data exchange
  • no incremental reading
  • currently without pictures
  • currently without sound
 Windows CE, Pocket PC, SH3, MIPS, ARM, and more $19
SuperMemo for Palm Pilot
(2000)
  • highest customer satisfaction ratings
  • portability
  • simplicity
  • reliability
  • no incremental reading
  • currently without pictures
  • currently without sound
 Palm OS $16
Multimedia SuperMemo (2000)
  • most user-friendly interface (see: examples)
  • simplicity
  • no incremental reading
  • self-learning functionality comparable with SuperMemo 98
  • not available stand-alone
 Windows 95 or later,
Windows NT 4.0 or later 		CD-ROM only
On-line SuperMemo (2001)
  • learn anywhere in the world
  • repetitions can be made in a web browser or on a mobile phone
  • no installation
  • ready-made collections
  • learning via e-mail
  • requires access to the Internet
  • slow
  • no incremental reading
  • your data is stored on the supermemo.net server
 any free on a large subset of material; subscription fee per access or per course
SuperMemo for Linux (open source)
  • native Linux application
  • in design
 Linux N/A
SuperMemo for Linux (Kylix)
  • native Linux application
  • common code-base with SuperMemo 2000
  • in development stalemate due to porting problems via Kylix
 Linux N/A
SuperMemo on paper (1985)
  • requires no computer
  • slower learning
  • cumbersome record keeping
 N/A free

Versions not recommended: SuperMemo 2 for DOS (freeware), SuperMemo 5 for DOS (freeware). Use SuperMemo 6 for DOS (freeware) or SuperMemo 7 for Windows (freeware) instead

Versions cancelled: SuperMemo 3.0 for Amiga and SuperMemo 1.0 for Mac have been discontinued and are no longer available. See also: Prospects for a Mac version

Versions that have never been: SuperMemo for Psion (1996)(ditched in development), SuperMemo for Atari ST (1988)(lost), SuperMemo for Atari XL (1988)(lost), eSuperMemo (1999)(student project; not completed), SuperMemo 3 and 4 for DOS (never released commercially), SuperMemo 7 for DOS (ditched in development). SuperMemo for Linux (Kylix) may not see the light due to porting problems (based on SuperMemo 2000)

SuperMemo 1.0 wanted: It is possible that no archive copies of SuperMemo 1.0 for DOS survived. This was the first SuperMemo ever. If you still have a copy, please write

Best SuperMemo: Top Five (Sep 2004):

  1. SuperMemo 2004 for Windows - most powerful SuperMemo to-date

  2. SuperMemo 3.1 for Pocket PC - pocket SuperMemo supporting SuperMemo XML data exchange

  3. SuperMemo 1.1 for Palm Pilot - cute SuperMemo on Palm Pilot
  4. On-Line SuperMemo - runs in your web browser (anytime, anywhere)
  5. SuperMemo 7 for Windows - free, small, fast and easy to use

Footnotes:

  1. Windows 2000: SuperMemo 2000 working with Windows 2000 shows minor incompatibilities in rich text component processing that make the import of articles from the Internet somewhat cumbersome. A dedicated version for Windows 2000 is available free to all registered users of SuperMemo 2000
  2. Windows 95: SuperMemo for Windows may not work correctly in older installations of Windows 95. You may need to install the newest service packs. Installing Internet Explorer 6.0 is necessary
  3. Windows ME: SuperMemo for Windows shows performance problems in Windows ME. These, among others, result from a different file caching in Windows ME as well as a memory leak bug documented in WinME. Before you decide to order, please download a working-model version (identical problems show up in SuperMemo 98 through SuperMemo 2004). See also: FAQ: There are no plans for a dedicated version for Windows ME

FAQ

There are no plans for a dedicated version for Windows ME
 Prospects for SuperMemo for Mac are not good

see also: FAQ: Before you buy

There are no plans for a dedicated version for Windows ME
(Walter Cook, Saturday, July 21, 2001 7:20 PM)
Question:
Will you have a version of SuperMemo 2000 for Windows ME out soon or have you developed a workaround solution for it?
Answer:
Currently a dedicated version for Windows ME is not planned. There is a likelihood of improved performance with new component library coming with the release of Delphi 6 (compiler used to develop SuperMemo for Windows). Another hope comes from Microsoft patches that could resolve incompatibility and memory leak problems (see: Memory leak bug in Windows ME). Otherwise, the only solution for now is to try a demo of SuperMemo for Windows and decide if performance problems disqualify the product

Prospects for SuperMemo for Mac are not good
(Sneha Desai, Non-Profit Organisation, Fri, Jul 05, 2002 4:04)
Question:
Is there a Mac version of SuperMemo planned?
Answer:
Due to little customer interest, the Mac version was terminated back in 1995. Currently, no company is formally committed to develop an alternative. The main limitation is the difficulty to predict if the development investment would pay back


Mobile learning with SuperMemo

Mobile Learning with SuperMemo Marek Hyla
tel: +48 12 292 05 50
Development Manager
Research & Development
Internet Investment Fund
Press Release, for Immediate Release, for further information, please contact: Justyna Durmaj, PR Manager +48 22 816 7215, +48 606 990 104

Internet Investment Fund, the first leading incubator and investment fund promoting the development of internet technologies of the new economy, signed an agreement on cooperation with SuperMemo World s.c. from Poznan (Poland), the owner of the SuperMemo technology. The technology provides computer support for fast memorization that makes it possible to speed the process of learning up to 50 times. The result of the cooperation will be a system for mobile learning: 3GEMS (working name).

The first version of the product, operating on WAP platform has been announced for late September 2000 together with the complementing Internet module. Further development of the platform has been planned until the end of 2001; it assumes implementation of state-of-the-art technologies of data transmission and presentation (BlueTooth, 3rd generation mobile telephony, etc.) Partners are planning to invest approximately US$ 0.5 million.

Until the end of the year 2002 IIF plans to gain another million users of SuperMemo on the WAP platform

Corporate Information

The Internet Investment Fund (IIF) is a company established in 1999 to promote the development of high-technology companies employing the market tendency towards the new Internet-related model throughout Poland. Within its holding structure, the IIF develops Internet-based technologies, providing each of the companies with seed money, business and marketing assistance, strategic research, analysis of competition, technological and infrastructure support, as well as the placement in the structures of national and international cooperation. The goals of the IIF are production and export of state-of-the-art technologies from Poland, and launching vertical Internet services. The IIF perceives the Central and Eastern Europe as the market for providing Internet services, whereas its sales of solutions and technology are aimed at the global market. The IIF unites the choicest Polish business and engineering human resources supported by the excellent Advisory Board representing the most influential and modern trends in Polish enterprise. The distinctive feature of the companies operating within the structures of the IIF is the “an Internet Investment Fund Company” hallmark

Feedback and comments: smnet(AT)supermemo(.)com

This project ultimately led to the development of supermemo.net

The company logo, the names: billbird, billbird.com, billbird.pl, freebird technologies, and incubird are trademarks of Internet Investment Fund Sp. z o. o.


Krzysztof Biedalak

Krzysztof Biedalak, RESUME

Cebit 1993, Hannover, with Chancellor Kohl
Comdex 1995, Las Vegas, tasting the city

Personal data

  • Born May 21, 1966
  • Married with two children: Agnieszka (1992), Marcin (1994)

Education

  • Graduate of the London Study Centre in English (1990)
  • Graduate with honors of the University of Technology in Poznan (1991), Master of Science in Computer Science
  • Completed training in Modern Business Practices For Entrepreneurs in the Florida Institute of Technology in Melbourne, Florida (1994)
  • Completed a course on Building Skills for U.S.-Polish Business Expansion organized by American University in Washington (1996)
  • Completed post-graduate Management Studies with specialization in Finance and Marketing in 1997

Work experience

  • In 1991, together with Piotr Wozniak founded SuperMemo World
  • Between 1991 and 1997 SuperMemo World’s Vice President and Managing Director; responsible for finances and international marketing, courseware design, licensing, and ... receiving heads of state :)
  • Since January 1998, CEO and member of SuperMemo World’s Supervisory Board responsible for strategy and Financial Director at Vulcan Media, an associated PWN company

Other

  • Devoted user of SuperMemo (English, Business, Finance and Marketing)
  • 660 score in TOEFL (99 percentile)
  • 630 score in GMAT (87 percentile)

Hobbies

  • skiing
  • windsurfing
  • inline skating
  • family


Decade of SuperMemo

The decade of SuperMemo Krzysztof Biedalak
December 16, 1999
This open letter was sent by Krzysztof Biedalak to the jury of the Product of the Decade competition organized by PC Kurier, Poland, in December 1999 upon the nomination of SuperMemo to the title among three other Polish software products

Dear Members of the Jury,

I would like to thank you again for your appreciation of our technology and product SuperMemo in your nomination to the title of the Product of the Decade. In this letter I would like to summarize the strengths of SuperMemo technology in the decade's perspective hoping to emphasize our conviction that the name SuperMemo will not sound hollow ten years from now:

  1. SuperMemo has pioneered a number of learning technologies such as:
    • repetitions spacing (1987): computing optimum intervals between repetitions (the repetition spacing algorithm itself is customizable as of 1998)
    • forgetting index in repetition spacing (1991): possibility to select the probability of recall in learning
    • mnemonic hypermedia (1995): the extension of mind maps to the hypertext paradigm that still remains to be fully explored
    • processing attributes (1995-1999): attributes such as memorized, pending, dismissed, task, extract, etc. that help the user determine the flow of information in the learning process
    • reading lists (1999): tools for prioritizing and processing articles in electronic form ; including cloze deletion processing tools
  2. SuperMemo has integrated all these technologies in one tool (SuperMemo 99 ) with a large number of specialist options that make it, in our opinion, by far the most powerful self-learning tool available on the market worldwide. There are a few rudimentary competitors to SuperMemo in the repetition spacing area (e.g. British Total Recall or Russian ByHeart) but none has integrated a fraction of learning technologies available in SuperMemo
  3. Popularity of SuperMemo is increasing rapidly. In 1999 two important milestones have been passed: one millionth SuperMemo CD-ROM has been released and the overall sales of SuperMemo to end users have passed $2 million mark. SuperMemo World has grown regularly since its first profitable year (1992) by 50-100% per annum on its own bootstraps, i.e. without injections of venture capital from Poland or abroad. Among companies releasing their own content with SuperMemo are well-known publishers such as: Prentice Hall, Macmillan, PWN Scientific Publishers, Amercom Ltd., Vulcan Media, Wydawnictwa Szkolne i Pegagogiczne, Grupa Image, and more
  4. Thanks to the Internet, SuperMemo is currently being sold to over 100 countries in the world. For example: Brunei Darussalam, Malaysia, Andorra, Monaco, Iran, Saudi Arabia (no ISPs yet in 1998), Kuwait, Guatemala, Colombia, etc.
  5. The Internet appears to be the strongest weapon in our marketing efforts ever and we hope the next decade will dramatically overshadow our present accomplishments. The sales of SuperMemo products via the Internet increased from 0.5% of direct SuperMemo World's sales in 1997, to 10% in 1998, to 18% in 1999, and make up the fastest growing component of our activity. Although, still about 50% of these sales reach the USA, and another 40% Western Europe, the proportion of less developed countries is increasing
  6. SuperMemo has received multiple awards including PC Kurier's Product of the Year 1997, Gold Medals at Infosystem and Softarg, finalist of Software for Europe, Reader's Choice from PC World Komputer (twice), etc.
  7. SuperMemo is still the only software from Poland reviewed in Byte (twice in 1993 and 1995), German Chip (1995) and recently listed by the New York Times among neurobics sites (along with Mind Manager and ThinkFast)(1999)
  8. Mutations of SuperMemo have been developed for a number of platforms:
    • commercial: Windows, DOS, Windows CE, and PalmPilot
    • former commercial: Amiga and Mac
    • former freeware: Atari XL and Atari ST
    • research versions: Java (two independent projects at SuperMemo World, and at the University of Technology in Poznan)
    • custom versions developed by partners of SuperMemo World (e.g. school tests released by Vulcan Media and PWN)

    Currently, SuperMemo World is in talks with Cleverlearn.com in reference to developing the ultimate learning on-line tool based on SuperMemo technologies

  9. Many prominent politicians, parliamentarians and scientist in Poland and abroad belong to the family of users of SuperMemo. Those include twice Polish Prime Minister Waldemar Pawlak and his three children. SuperMemo has also reached Microsoft, Symantec, Amazon.com, Lernout & Hauspie, IMF, Arthur Andersen, Ernst & Young, and the US Army
  10. We run a number of research projects that would show the future ways towards conquering academic and school environments (e.g. site license for the prestigious SGH School of Economics in Warsaw provides all students of this university with free access to SuperMemo and a growing collection of freeware learning material written specifically for school's purposes)

Thanking you again for your attention and the very obliging nomination, I remain sincerely yours

Krzysztof Biedalak , CEO
SuperMemo World


SuperMemo CD-ROMs at Digital River

Contents
SuperMemo CD-ROMs at Digital River
Product name | Advanced English with SuperMemo | Educational MegaMix with SuperMemo
Product description | Educational multimedia CD-ROMs with material for learning English at medium-advanced and advanced levels using the SuperMemo method of fast learning | Collection of learning tests based on the SuperMemo method of fast learning. The collection includes languages, sciences, geography, history, medicine and more
Sales pitch | There is no faster method of learning English vocabulary than Advanced English! Advanced English is based on the breakthrough learning method: SuperMemo. It makes it possible to memorize 10,000 words and phrases in a couple of months! | SuperMemo is a new breakthrough learning technology that is bound to change the way we learn! With this megamix collection of 300 courses created by users of SuperMemo, you can explore the SuperMemo technology in the field of your interest: business, medicine, sciences, languages or what not
Product detail | Advanced English with SuperMemo | Educational MegaMix with SuperMemo
Product keywords | SuperMemo, memory, learning, speed-learning, mnemonic techniques, super-memory, vocabulary, CASI, CALL, languages, English, multimedia, hypermedia, CD-ROM, education | SuperMemo, memory, learning, speed-learning, mnemonic techniques, super-memory, CASI, CD-ROM, education, languages, sciences, medicine, business, economics, e-commerce, history, geography, English, French, German, Spanish, Japanese
Price | $59 | $59
Categories | Education : Language Education : College Education : Test prep | Education : General Education : College Education : Test prep
 | Advanced English with SuperMemo | Educational MegaMix with SuperMemo
What is SuperMemo? | SuperMemo is an educational application that makes it possible to greatly accelerate learning. It has earned a number of awards and was enthusiastically received by users and the press
What can you learn with this product? | English vocabulary, grammar, spelling and pronunciation | Sciences, medicine, business, economics, e-commerce, history, geography, English, French, German, Spanish, Japanese and more
What technologies are features in SuperMemo? | SuperMemo 8 | SuperMemo 98
What are the minimum requirements? | 486 computer (Pentium recommended), 8 MB recommended, 50 MB hard disk space, sound board, SVGA 800x600 | 486 computer (Pentium recommended), 4 MB memory (8 MB recommended), 6 MB hard disk space, SVGA 800x600 recommended, see also: special requirements of SuperMemo 98


Privacy statement

SuperMemo World takes seriously the issue of safeguarding your privacy online. We never share information about you with a third party! We always make it easy to indefinitely obliterate your records from our database!

If you want to know more how we make sure you never regret getting in touch with us, please read the following paragraphs:

Privacy

When you place an order for SuperMemo products, we collect the following information:

  • your name and address
  • your e-mail address
  • your phone number
  • your credit card number and the expiry date

You can always obliterate your record from our archive by simply sending an e-mail with remove in the subject line or in the first line of the message body. You can use any valid SuperMemo e-mail address!

This is how the collected information is used:

  • your name and credit card number are used to collect payment for the product(s)
  • your e-mail address is used to:
    • (optionally) notify you that the order has been placed
    • send you basic instructions needed to start using SuperMemo
    • send information about new important releases of SuperMemo, usually not more often than once in 4-5 months. You can always be indefinitely removed from our database by responding with remove to any message you receive from us
  • your phone number and/or address are used only in those extremely rare cases when we are unable to get in touch with you after charging your credit card

Security

Your credit card is handled by secure servers at Yahoo. It is deleted from the servers within 14 days. Your credit card is not stored in electronic form beyond that period neither at Yahoo nor at SuperMemo World

Quality service

SuperMemo Website is officially registered as a Public Eye Certified Safe Shopping Site. By agreeing to open our customer satisfaction records to the public, we provide the most compelling, and certifiable proof that we are a reliable company where Internet consumers can shop safely. All Public Eye certified merchants are covered by Credit Card Fraud Protection Program aimed at reducing the risk for on-line consumers. For details see Public Eye (search for SuperMemo)

Money back guarantee

We provide you with an industry's unique guarantee: we guarantee that SuperMemo will ensure the requested level of knowledge retention (95% by default) as long as you comply with the daily repetition regime and comply with simple principles of formulating knowledge. If your retention levels at repetitions fall below 90% you can immediately make use of our money back guarantee

FAQ

We send e-mail to customers only in most urgent issues

We send e-mail to customers only in most urgent issues
(Jiri, Czech Republic, Sat, Jun 23, 2001 16:33)
Question:
Why don't I receive any updates or newsletters from SuperMemo World?
Answer:
The policy is to inform customers about most important developments via the News section. We reserve the use of the customer e-mail database for only the most important events such as a discovery of a dangerous bug or other events that might require immediate attention


SuperMemo Corporation

SuperMemo Corp. was a Silicon Valley company located in Los Gatos, California (home of Steve Wozniak).

Its two areas of activity were:

  • seeking venture capital to finance development of new versions of SuperMemo integrated with World Wide Web
  • licensing SuperMemo technology to software developers around the world

SuperMemo Corp. was a brainchild of Dr A.Szepieniec. It was incorporated in 1996 and came close to securing a several million dollar venture capital investment later that year. However, after several rounds of unsuccessful negotiations, Dr Szepieniec had to abandon his ambition of making SuperMemo Corp. the first company of Polish origin on Nasdaq.

See also: Where do we want to go? (theoretical foundation of on-line SuperMemo as envisaged by Dr Szepieniec and Dr Wozniak)


SuperMemo World

SuperMemo World is a software company founded on July 5, 1991 by Krzysztof Biedalak and Piotr Wozniak in Poznan, Poland. It devotes all its resources to the promotion of the SuperMemo method of fast learning. Its product SuperMemo is the most successful single application ever developed in Poland. SuperMemo software line has collected numerous awards at software competitions in Poland and abroad and has twice topped the ranking of most popular Polish software by PC World Komputer (1994 and 1995). SuperMemo 8 has been chosen the Product of the Year 1997 in Poland (PC Kurier), and SuperMemo technology was nominated to the title of the Product of the Decade by the same journal. Since its first profitable year, 1992, SuperMemo World's revenue has been increasing regularly by 50-100% per annum and one millionth SuperMemo CD-ROM was manufactured on the company's eighth anniversary in July 1999. Overall sales of SuperMemo and SuperMemo-based products to end users by SuperMemo World and its partners in Poland and abroad have surpassed $2 million in 1999

For more about SuperMemo World, see History of SuperMemo, Decade of SuperMemo (1990-2000), and Who is who at SuperMemo World

Best ways of contact: Contact, support, help

Your privacy is important to us: Privacy policy

Official websites
www.supermemo.com
www.supermemo.net
www.supermemo.pl
www.supermemo.cz
www.supermemo.de
www.supermemo.nl
www.super-memo.com
 www.super-memo.de
www.super-memory.com

SuperMemo Store:
www.super-memo.com
http://store.yahoo.com/supermemo

E-mail
Contact addresses

SuperMemo Library
sml(AT)super-memory(.)com

SuperMemo for Palm Pilot
palmos(AT)supermemo(.)com

SuperMemo CE
pocket(AT)supermemo(.)com

On-line SuperMemo
smnet(AT)supermemo(.)net

SuperMemo for Linux
lnx(AT)supermemo(.)com (open source)
luis(AT)supermemo(.)com (Kylix port)

Phone and fax

(for support in English
please use e-mail: Contact addresses)

Tel: +48 61 8736260 (8-16 CET)
Tel/fax: +48 61 8741881 (8-16 CET)
Tel: +48 61 8741880
Tel: +48 61 8741882

Address

SuperMemo World
ul. R. Maya 1
61-371 Poznañ
Poland


SuperMemo Team

Who is who at SuperMemo World
SuperMemo World is a small company with the core of twelve full-time employees. It thrives on close cooperation with a number of companies and well-tried free-lance contractors. Outsourcing and multiple partnerships make it possible to undertake a number of large specialty projects as well as to continue tangible presence in an increasing number of countries in Europe, North and South America and Asia with one million SuperMemo CD-ROMs manufactured by July 1999. In Poland, SuperMemo World works closely with pwn.pl (previously: Vulcan Media Ltd) and AmerCom Ltd, which makes it possible to undertake projects requiring large project groups and substantial resources. One of the largest teams assembled at SuperMemo World for a single project was the Advanced English 1997 team (see the picture below) that comprised nearly fifty individuals of which half were language experts and translators:

In the picture:

  • Dr Piotr Wozniak (center), b. 1962, MSc in molecular biology and computer science, author of the SuperMemo method, co-founder of SuperMemo World, chief programmer of SuperMemo for Windows, primary force behind incremental reading, author of a number of articles available from this website, father of Advanced English, manic user of SuperMemo
  • Krzysztof Biedalak (center row, second from the left), b. 1966, CEO, MSc in computer science, co-founder of SuperMemo World, former financial director, marketing strategist, the one who makes sure that all independent and free-minded pieces of the company stick together, in close relationship with Vulcan Media Ltd. and AmerCom Ltd.
  • Marczello Georgiew (center row, second from the right), b. 1966, MSc in mathematics, marketing director, architect and supervisor of the network of sales representatives for Poland run jointly with Vulcan Media, perennial advocate of simplified SuperMemo "for people"
  • Marek Hyla (absent from the picture), former CEO, b. 1969, BSc in management, co-founder of Twin Spark Soft, co-author of SuperMemo 3.0 for Amiga, initiator of SuperMemo for Windows CE, primary instigator of on-line SuperMemo (originally at: IIF as 3GEMS), joined SuperMemo World in May 2001, was unanimously elected a new CEO on October 12, 2001 but went on to other projects a year later
  • Michal Hejwosz (bottom, second from the left), b. 1979, father of SuperMemo Library, learning material developer, undying and unflagging enthusiast of SuperMemo, webmaster, father and supervisor of the MegaMix project, one of record holders in the speed of learning with SuperMemo (12,000 items in three months)
  • Monika Morawska (bottom, right), b. 1977, Internet sales, accounting, franchising and e-distribution. All orders from SuperMemo Store go through her unerring hands
  • Agata Moellenbrock (center, left), MSc, sales director, the virtual boss of the day-to-day company operations (on maternity leave since summer 2000)
  • Oliwier "Olie" Ptak (top-right) - Delphi programming whiz-kid, graphics applications magician, always late for work but ... always on time with his projects, currently working as a developer in Germany
  • Grzegorz "Nandi" Malewski (center-right) - structured and object-oriented thinker, scrupulous and nearly bug-free programmer
  • Jaroslaw "Gerry" Ast, MSc (top, second from the left) - free-lance contributor to a number of projects, editor-in-chief of Easy English, author of "Human-Computer Interaction in SuperMemo 8", chief supervisor of the Multimedia Easy English project in association with AmerCom Ltd, young father of Bartek
  • Tomek Soltysik (bottom, third from the left) - tireless SuperMemo learning material developer
  • Przemyslaw Slopien, MSc (top, third from the left) - translator, enthusiast of SuperMemo for English learning applications, currently a translator at the BZWBK Bank
  • Margaret Newcomer, MSc (bottom, fourth from the left) - native voice of Advanced English, veteran of English Language Teaching, currently traveling around Europe with teaching assignments
  • Andrzej Lapa (bottom, left) - free-lance contributor to a number of projects, programmer, author of learning material (including the award-winning Japanese), user of SuperMemo since its inception, currently recovering from a nearly-tragic asthma attack

Not in the picture:

  • Piotr Maksimczyk, b. 1979, SuperMemo Library, learning material developer, meticulous webmaster and programmer, chief contributor to MegaMix 99
  • Sebastian Wesolowski, formerly Twin Spark Soft, co-author of SuperMemo CE, main developer of on-line SuperMemo, joined SuperMemo World in 2001, contributor to Multimedia SuperMemo, vital contributor to the XML data exchange format
  • Robert Wieczorek - SuperMemo learning material developer, full-time provider of user support for Poland via phone and e-mail, part-time programmer and graphic artist
  • Tomasz "Nico" Florczak - SuperMemo learning material developer, courseware designer, ruthless bug-spotter
  • Slawek "luka" Lukasik - Easy English chief developer, full-time provider of user support for Poland via phone, endless source of ideas for improving SuperMemo
  • Norbert Konieczny - production and sales

Independent contractors, contributors and partners:

  • Krzysztof Wojcieszek, Twin Spark Soft, author of award-winning SuperMemo 3.0 for Amiga, co-author of SuperMemo CE, sole contributor to SuperMemo for Pocket PC ver. 3.0, 15 years of solid experience in programming
  • Petr Bajer, MapleTop Software, father of SuperMemo for PalmPilot
  • Zoran Maximovic, support and programming
  • Dr Janusz Murakowski, Ph.D. in physics, Research Assistant Professor, Department of Electrical and Computer Engineering at the University of Delaware, one of early founders and co-owners of SuperMemo World, contributor to theoretical foundations of SuperMemo (e.g. Two components of long-term memory)
  • Prof. Edward Gorzelanczyk, Ph.D. in neuroscience, contributor to the SuperMemo method, co-author of all scientific articles about the method and memory, currently head of the Neuroscience Department at University of Bydgoszcz
  • Alejandro Aguilar Sierra, Mexico, initiator of open source SuperMemo for Linux
  • Luis Neves and Alexandre Pinheiro, Brazil, initiators of porting SuperMemo 2000 to Linux (the Kylix project)
  • Tomasz Kuehn, MSc in computer science, one of the early founders and co-owners of SuperMemo World, author of SuperMemo for Atari ST (1988), currently CEO of Axe Prim, Poland
  • Andrzej Sikorski, SOS, father of now moribund SuperMemo 1.0 for Mac, currently his company SOS is involved in Macintosh hardware distribution
  • Przemyslaw Glowacki, MSc, author of now moribund SuperMemo for Atari XL (1989), currently a supervisor of the programming team responsible for the customer information system at the BZWBK Bank, Poland, confirmed bachelor ... recently married
  • Roman Sniegowski - graphic design of nearly all SuperMemo leaflets, advertising, boxes, CD-ROM labels, etc.
  • Tomasz Szynalski, Michal Wojcik - translators (see: Polish website), creators of Antimoon.com

See also: SuperMemo Library Contributor's Pantheon (including pictures) and Users of SuperMemo


Piotr Wozniak

Piotr A. Wozniak, BIODATA Piotr Wozniak
e-mail: woz AT supermemo-com (see: Apology)

Born: March 1962, Milanowek near Warsaw, Poland

Primary schools: (1969-1976): 8, 36, 72 and 30 in Poznan

Secondary school: (1976-1980): 9-th general education school, specialization: chemistry, biology and English

University education:

  • Adam Mickiewicz University in Poznan (1980-1985), MS degree in molecular biology
  • University of Technology in Poznan (1985-1990), MS degree in computer science (individual specialization: applications of computer science in human biology). Master's Thesis: Optimization of learning. A new approach and computer application

Doctoral degree:

  • University of Economics in Wroclaw, 1995. Dissertation Thesis: Economics of learning. New aspects in designing modern computer aided self-instruction systems

Spacing of repetitions

  • the author of repetition spacing algorithm commercially known as the SuperMemo method (1982-1998)
  • cofounder of SuperMemo World, July 1991
  • President and Head of R&D at SuperMemo World (1991-1997)
  • President of SuperMemo Research, an independent R&D Dept at SuperMemo World (1997-present)
  • author of the first software implementations of SuperMemo: 1987-1990
  • chief programmer of SuperMemo software for DOS and Windows platforms at SuperMemo World (1991-present)

Publications

  • Since 1998 writing primarily for supermemo.com (see: Contents)
  • See also: Selected publications in reference to memory and learning (before 1998)

Hobbies

  • incremental reading
  • in-line skating
  • marathon
  • learning with SuperMemo
  • black funk

Apology

I apologize for refusing invitations to conferences. I travel rarely and only to vacation destinations. Otherwise I am entirely stationary. I attended my last conference here in Poznan in April 1999, and the last business meeting in Poznan in Summer 1999. I had my last business teleconference in Fall 1999. Today, I strongly prefer e-mail communication when I can apply incremental e-mail processing (see also: incremental reading). Freedom from meetings and deadlines makes it easier to use tasklists, proportional schedule, and adjust the timing of mental effort to my body clock.

Please do not see my refusal to attend important business meetings even in my home town of Poznan as unkind or a sign of not attaching sufficient importance to an issue in question.

For exactly same reasons as above, I do not have a mobile phone; not even for private purposes. If I do not make it available, it is not of ill will. It is solely the question of time management. If I happen not to answer mail personally for a longer time, it comes from the fact that I frequently take "creative vacations" that usually last around two months. In those periods, I intensely focus on one vital problem and work cut off from major distractions. I believe this attitude will be increasingly prevalent in creative professions. It is not dictated by lack of concern for others. It is dictated by efficiency! I apologize to anyone who feels offended.


Comparing learning parameters in a group of students

Analysis of data collected from a group of students using a algorithm for spaced repetition Piotr Wozniak,
1994
This text was taken from P.A.Wozniak, Economics of learning, Doctoral Dissertation, University of Economics, Wroclaw, 1995 and adapted for publishing as an independent article on the Web. (P.A.Wozniak, Aug 21, 1998)

For a similar study on the relationship between the IQ and the learning process see: Investigating the correlation between the intelligence and the performance in repetitive learning tasks

Working together with Dr. Gorzelañczyk from Medical Academy of Poznañ, I have subjected a number of high school students to a long-term learning process with the use of a uniform database, uniform working conditions, equal learning process duration and Algorithm SM-6 for spaced repetition based on approximating forgetting curves and making use of the concept of the forgetting index. The experiment is now in its third year [this text was written in 1994, the experiment continues in 1998], and data from over 30 students have been collected providing a unique opportunity to compare all learning parameters taken from students’ computer record files.

Similar, though much less uniform experiment, and on a smaller scale, has been conducted four years ago with the use of Algorithm SM-5 based on the direct modification of optimal factor matrices (Wozniak et al. 1994). The cumulative data from this earlier experiment has been used to determine the initial values of the entries in the optimal factor matrix used in Algorithm SM-6.

Method

Subjects. The subjects were 32 volunteers, high school students, aged 18-20.

Material. 2500-item list of questions and answers related to biology material required at entrance examinations for Medical Academy in Poland (in Polish). For example:

  • Question: Which blood group makes up a universal donor?
  • Answer: 0

Procedure. All subjects used Algorithm SM-6 for spacing repetitions and implemented in SuperMemo for Windows. The working time was 2-3 times a week from 20 to 50 minutes in a single session. The entire list of questions and answers was memorized within 2-3 months in a self-paced manner. Later, repetitions of the memorized knowledge continued for 6-7 months. All parameters of the learning process, including the parameters of the algorithmic procedure have been collected in computer files. Statistical analysis tools have been used to interpret the data as specified in each particular presented case.

Remarks. Not all subjects fully complied with requirements set before the experiments in reference to: (1) number of memorized items, (2) regularity of learning sessions, and (3) length of the post-memorization period. Consequently, only 20 data records have been selected for final analysis.

Results

General learning parameters

Before I step toward the statistical comparison of subjects’ learning process, I would like to present some interesting observations that have been made in reference to the possible causes of the differences between particular students. As Dr. Gorzelañczyk was personally involved in supervision of the learning process as well as in tutoring of the subjects on relevant topics, I asked him to grade each of the subjects with respect to general intelligence and attitude towards learning. Naturally, such grading is always greatly biased by subjective judgment of the supervisor; nevertheless, I considered it an important source of possible conclusions. The grading of intelligence did not show significant correlation with any of the parameters of the learning process measured in the experiment [see: Correlation between the intelligence and the retention in learning based on repetition spacing (Gorzelanczyk et al., 1998)]. However, I was able to use the results of entrance examinations of all the subjects as a general bench mark of the overall performance (all the subjects were candidates for students at Medical Academy of Poznañ). A very interesting and surprising conclusions could be drawn from the correlation analysis on the learning-performance platform.

It is a common sense reasoning that good students learn faster than bad students; the fact that should be reflected by the parameters of the learning process. A natural intuition is that good students should exhibit low forgetting index, quick response time, high grades, etc.

My observation is, however, that in learning based on self-assessment, the opposite correlation appears to be true. Successful students apparently learned slower and appeared to forget items much more frequently than the unsuccessful students!

The interpretation of this paradoxical finding is that good students are by far more critical in the judgment of their own progress. It has been for long postulated in my earlier publications that there is very little difference between individuals as far as the mechanisms of memory are concerned. It is the way humans process information that sets them apart from each other. Consequently, little difference could be observed among the students in the ability to remember. However, those who appeared to be self-indulgent and lenient in self-assessment, usually showed much lower levels of knowledge retention in absolute terms (i.e. as judged by the supervisor).

The following general parameters of the learning process have been collected from the subjects in the course of the experiment (cf. Table 1 Comparison of learning parameters in a group of 20 subjects):

  1. Day - the number of the day of the learning process on which repetitions stopped (from 178 to 266 days)
  2. Total - total number of items in the database (this number may differ because of two reasons: (1) subjects were allowed to delete items, (2) the list of questions increased in size in the second year of the experiment by about 400 items
  3. Memorized - total number of memorized items in the database
  4. Intact - number of items that have not been memorized
  5. Outstand - number of items that have been outstanding for repetition on the day the measurements were taken (large number of outstanding items comes from the fact that the most recent data logging took place as late as 17 months after ceasing repetitions)
  6. Burden - average number of items scheduled for repetition per day at the moment of ceasing repetitions, computed as the sum of inverse intervals (from 9 items/day to 102 items/day!)
  7. Time - average repetition time in seconds (notably, the differences between subjects in the time in which they provide the response are as 1:16; from 0.52 sec/item to 8.73 sec/item)
  8. Workload - total daily repetition time in minutes (from 0.09 min/day to 5.9 min/day; here the difference is like 1:65!)
  9. Interval - average inter-repetition interval in the database at the moment of taking the measurement (in days; from 115 days to 351 days)
  10. Factor - average E-factor in the database (from 2.464 to 2.706) [The concept of E-factor in Algorithm SM-6 corresponds roughly to A-factors in Algorithm SM-11]
  11. Rep - average number of repetitions that have been made per item (from 2.29 to 3.36)
  12. Day/Rep - average inter-repetition interval in the database until the moment of taking the measurement (in days; from 58 to 90 days; same as Entry 1 divided by Entry 11 in the table)
  13. Number of times an average item has been forgotten (from 0.01 to 0.65)
  14. FI req - requested value of the forgetting index
  15. FI det - detected value of the forgetting index in the database, which, in the ideal case, should equal the requested value listed in Entry 14 (from 0.3% to 19.4%)
  16. FI cas - repetition cases used to compute the value FI det (Entry 15), i.e. the total number of repetitions made by a given subject (from 2906 to 8209)
  17. Grade - trailing average of grades provided during recent repetition sessions on the grade point scale from 0 to 5, where 5 is best (from 4.12 to 4.999)
  18. Last - the month and year of the latest repetition in the schedule (from May 1994 till April 1996)
  19. 1.3s - number of items with E-factor equal to 1.3 (from 0 to 19)
  20. Dif 1, Dif 2 and Dif 3 - weighted average of differences between neighboring entries in the matrix of optimal factors for repetitions numbered one, two and three respectively (the difference between neighboring entries is OF[EF,R]-OF[EF-0.1,R] where EF is E-factor and R is repetition number)
  21. OF x y - selected entries of the matrix of optimal factors (e.g. OF 1.3 1 indicates the entry corresponding to E-factor equal to 1.3 and the repetition number equal to one)
File | AGNIE | ANI | EWA | IZA | KARF | MARCI | MARYS | OLA2 | OLA1 | AGA
Day | 232 | 178 | 186 | 198 | 244 | 241 | 242 | 192 | 256 | 240
Total | 2449 | 2449 | 2449 | 2449 | 2449 | 2449 | 2449 | 2449 | 2449 | 2859
Memoriz | 2449 | 1743 | 1954 | 1954 | 1104 | 2449 | 2449 | 1996 | 2449 | 2859
Intact | - | 706 | 495 | 495 | 1345 | - | - | 453 | - | -
Outstand | 2449 | 1743 | 1954 | 1954 | 1104 | 2449 | 2449 | 1996 | 2449 | 588
Burden | 36.09 | 40.33 | 20.01 | 30.58 | 10.64 | 45.91 | 102.43 | 30.49 | 60.81 | 9.04
Time | 3.58 | 6.71 | 4.16 | 4.20 | 4.65 | 5.74 | 3.22 | 8.73 | 5.86 | 3.84
Workld | 2.15 | 4.51 | 1.39 | 2.14 | 0.82 | 4.39 | 5.49 | 4.44 | 5.94 | 0.58
Interval | 196 | 119 | 125 | 123 | 139 | 175 | 116 | 115 | 156 | 351
Factor | 2.618 | 2.509 | 2.574 | 2.558 | 2.556 | 2.606 | 2.517 | 2.604 | 2.627 | 2.689
Rep | 2.58 | 2.46 | 2.29 | 2.87 | 3.29 | 2.74 | 3.30 | 2.97 | 3.10 | 3.11
Day/Rep | 89.9 | 72.3 | 81.2 | 68.9 | 74.1 | 88.1 | 73.3 | 64.6 | 82.4 | 77.2
Lapses | 0.08 | 0.35 | 0.14 | 0.32 | 0.42 | 0.12 | 0.65 | 0.26 | 0.24 | 0.01
FI req | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10
FI det | 5.03 | 18.28 | 9.67 | 13.85 | 14.61 | 6.26 | 19.44 | 10.89 | 9.62 | 0.31
FI cas | 4231 | 3370 | 2906 | 4534 | 3169 | 4582 | 8209 | 4676 | 6061 | 5845
Grade | 4.904 | 4.122 | 4.844 | 4.393 | 4.907 | 4.777 | 4.798 | 4.691 | 4.904 | 4.979
Last | 11.94 | 05.94 | 06.94 | 07.94 | 08.94 | 09.94 | 08.94 | 06.94 | 10.94 | 03.96
1.3s | - | 4 | - | 10 | - | - | 17 | 4 | 1 | -
Dif 1 | 1.21 | 0.30 | 1.01 | 0.43 | 0.03 | 0.64 | 0.17 | 0.46 | 0.54 | 1.44
Dif 2 | 0.25 | 0.04 | 0.21 | 0.28 | -0.01 | 0.24 | 0.12 | 0.15 | 0.18 | 0.31
Dif 3 | 0.13 | 0.10 | 0.12 | 0.04 | 0.10 | 0.11 | -0.00 | 0.08 | 0.09 | 0.13
OF 1.3 1 | 5.46 | 4.07 | 7.56 | 2.76 | 9.70 | 5.43 | 2.15 | 1.72 | 1.46 | 2.75
OF 1.3 2 | 1.86 | 2.32 | 2.09 | 1.33 | 3.06 | 2.01 | 1.24 | 2.69 | 2.25 | 1.26
OF 1.3 3 | 1.39 | 1.40 | 1.39 | 1.53 | 1.65 | 1.53 | 1.88 | 1.59 | 1.82 | 1.33
OF 2.5 1 | 19.97 | 7.65 | 19.64 | 7.93 | 10.00 | 13.14 | 4.25 | 7.26 | 7.90 | 20.00
OF 2.5 2 | 4.90 | 2.75 | 4.67 | 4.65 | 2.91 | 4.94 | 2.72 | 4.45 | 4.36 | 5.00
OF 2.5 3 | 2.92 | 2.62 | 2.81 | 2.07 | 2.80 | 2.90 | 1.85 | 2.50 | 2.94 | 2.89
File | KAR | KASI | KASK | MAG | MIKO | MONI | OLA3 | SEBA | TOMA | NATA | Aver | Total
Day | 184 | 246 | 235 | 237 | 245 | 248 | 232 | 264 | 250 | 266 | 232 | -
Total | 2866 | 2859 | 2859 | 2859 | 2859 | 2859 | 2859 | 2788 | 2859 | 2859 | 2687 | 53426
Memor | 2866 | 2859 | 2859 | 2859 | 2859 | 2859 | 2859 | 2788 | 2859 | 2859 | 2526 | 49932
Outst | 725 | 567 | 918 | 1154 | 1123 | 754 | 838 | 641 | 459 | 916 | 1314 | 27230
Burden | 10.45 | 9.70 | 11.14 | 11.76 | 13.06 | 10.43 | 11.11 | 9.18 | 9.68 | 12.55 | 23.60 | 495.37
Time | 0.52 | 4.33 | 5.01 | 3.45 | 2.04 | 2.19 | 5.02 | 1.14 | 4.70 | 3.38 | 4.05 | -
Workl | 0.09 | 0.70 | 0.93 | 0.68 | 0.44 | 0.38 | 0.93 | 0.17 | 0.76 | 0.71 | 1.77 | 37.63
Intervl | 301 | 324 | 292 | 295 | 249 | 313 | 323 | 332 | 324 | 272 | 238 | -
Factor | 2.706 | 2.598 | 2.667 | 2.464 | 2.618 | 2.680 | 2.673 | 2.684 | 2.679 | 2.608 | 2.618 | -
Rep | 3.14 | 3.10 | 3.07 | 3.36 | 3.10 | 3.02 | 3.01 | 3.03 | 3.01 | 2.95 | 2.98 | -
Day/R | 58.5 | 79.4 | 76.5 | 70.6 | 78.9 | 82.1 | 77.1 | 87.2 | 83.1 | 90.3 | 77.8 | -
Lapses | 0.01 | 0.01 | 0.05 | 0.18 | 0.16 | 0.05 | 0.05 | 0.03 | 0.04 | 0.16 | 0.16 | -
FI req | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | 10 | -
FI det | 0.37 | 0.43 | 2.36 | 7.03 | 6.84 | 2.55 | 2.48 | 1.50 | 1.81 | 7.48 | 6.71 | -
FI cas | 6177 | 6029 | 6113 | 7458 | 6549 | 5992 | 5937 | 5745 | 5869 | 6081 | 5534 | 109 K
Grade | 4.991 | 4.746 | 4.977 | 4.953 | 4.999 | 4.908 | 4.623 | 4.998 | 4.998 | 4.910 | 4.829 | -
Last | 11.95 | 03.96 | 02.96 | 02.96 | 01.96 | 02.96 | 02.96 | 04.96 | 02.96 | 02.96 | - | -
1.3s | - | - | - | 19 | - | - | - | - | - | - | 3 | 55
Dif 1 | 1.42 | 1.43 | 1.18 | 1.18 | 0.47 | 1.29 | 1.44 | 1.11 | 1.32 | 0.95 | 0.93 | -
Dif 2 | 0.31 | 0.31 | 0.26 | 0.25 | 0.24 | 0.28 | 0.26 | 0.26 | 0.27 | 0.28 | 0.23 | -
Dif 3 | 0.12 | 0.14 | 0.09 | 0.01 | 0.12 | 0.13 | 0.12 | 0.12 | 0.12 | 0.11 | 0.10 | -

Table 1 Comparison of learning parameters in a group of 20 subjects

The following interesting facts have emerged from the cross-comparison of the above figures (note that standard arithmetic averages are used in the following paragraph as opposed to weighted arithmetic average based on the number of items per database in Table 1 Comparison of learning parameters in a group of 20 subjects):

  • assuming the average daily working time of 10 minutes (the reported working time of 1.77 concerned only the final period of the experiment), the average knowledge acquisition rate reached far beyond the results reported from other sources (usually around 200 items/year/minute). 2687 items memorized in 232 days with the working time of 10 minutes per day result in the acquisition rate equal to 2687/232*365/10=422.7 items/year/minute!
  • the average number of repetitions per day (Entry 6 - Burden) appeared to differ substantially between subjects. It ranged from 9 to 102 repetitions per day yielding an average 24.8 with standard deviation 23.0. As I tried to argue earlier, these were the good students that appeared to manifest higher daily workloads because of higher forgetting index associated with higher self-criticism. Successful students had 31 items to repeat per day on average, while unsuccessful ones would repeat only 16 items. However, the correlation between the student’s ability and the number of repetition did not appear strong (correlation coefficient equal to 0.32)
  • the average response time during repetitions (Entry 7 - Time) appeared to also be greatly differentiated among subjects. It ranged from 0.52 to 8.73 seconds per item (4.1±1.8). On average successful students took 4.6 seconds to respond, unsuccessful students took 3.4 seconds (correlation coefficient between examination result and the response time was 0.31)
  • the average daily time spent on repetitions (Entry 8 - Workload) ranged from 6 seconds to 6 minutes (1.9±1.9). This huge difference resulted from combined differentiation of the response time and the forgetting index. Some subjects tend to ruminate over the items and provided relatively critical grades, while others would rush through repetitions being more lenient in judgment of their own responses. Successful students had to spend 2.5 minutes per day on their repetitions, while unsuccessful students would spend only 56 seconds per day (correlation coefficient between examination result and the workload was 0.41).
  • average interval in the database (Entry 9 - Interval) ranged from 115 days to 351 days (232±87). It was 199 days on average among successful students, and 282 among unsuccessful students (correlation coefficient -0.47). Naturally, the length of the average interval was strongly correlated with the forgetting index (correlation coefficient -0.88).

Figure 7 Scattergram illustrating the correlation between the forgetting index and the average interval

  • average E-factor ranged from 2.464 to 2.706 (2.61±0.07), and was poorly correlated with examination results (correlation coefficient -0.11) [The concept of E-factor in Algorithm SM-6 corresponds roughly to A-factors in Algorithm SM-11]
  • average number of repetitions ranged from 2.29 to 3.36 (3.0±0.27), and was poorly correlated with examination results (correlation coefficient -0.11).
  • average number of memory lapses ranged from 0.01 to 0.65 (0.17±0.17). The positive correlation coefficient between examination results and the number of lapses was 0.34. Successful students would forget items more often (0.22 lapses per item on average) than unsuccessful students (0.09 lapses). For obvious reasons, lapses have been strongly correlated with the forgetting index (correlation coefficient 0.95), and with the average interval (correlation coefficient -0.78).

Figure 8 Scattergram illustrating the correlation between the average number of memory lapses per item and the forgetting index

  • forgetting index ranged from 0.3% to 19.4%, its average value was 7.0%, and standard deviation 5.8%. Once again, successful students showed a greater degree of forgetting, with average forgetting index equal to 9% as opposed to 4% in the case of unsuccessful students (correlation coefficient equaled 0.42). As it was noted earlier, both response time and the forgetting index are slightly correlated with the examination result; hence the correlation coefficient of 0.39 between forgetting index and response time (see the figure). Again, these were students that gave their responses more consideration (more time) and judged themselves more critically (higher forgetting index) who were more successful in the examination.

Figure 9 Scattergram illustrating the relationship between the forgetting index and the response time

  • average grade ranged from 4.12 to 4.999 (4.8±0.2) and showed remarkably little correlation with the examination result (correlation coefficient -0.14)
  • only six students had items with E-factors equal to 1.3. There was little correlation between the number of intractable items and the examination result
  • the average difference between neighboring entries of the optimal factor matrix for the first repetition was 0.93 (ranging from 0.03 to 1.44). This difference was notably correlated with the examination result (correlation coefficient -0.5). The most likely interpretation of this fact is that bad students used to overestimate their grades. Consequently, little or no data was available to estimate optimal factors for low E-factors, while the optimal factor for the entry corresponding with E-factor equal to 2.5 was unnaturally high. A strong support for this interpretation comes from a very high correlation between the forgetting index and the average difference between optimal factor matrix entries in question (-0.9).
  • as in the previous point, a very strong correlation has been found between the forgetting index and the O-factor value for E-factor equal to 2.5 and repetition number equal to one (correlation coefficient -0.89). Similar, though less pronounced correlation occurred for other entries of the matrix of optimal factors.

Forgetting curves

Because of my long-lasting interest in the approximation of forgetting curve and the nature of forgetting itself, I expected to collect valuable evidence for the exponential nature of forgetting by compiling a cumulative forgetting curve for E-factor equal to 2.5 and repetition number equal to one. Data from student file records have been superimposed to plot the average forgetting curve for items that enter the learning process. As it can be seen, the very high retention at repetitions rendered the collected evidence far from conclusive; despite a very large number of repetition cases gathered (over 51,000 repetitions in total).

Figure 10 Cumulative forgetting curve for 20 students, E-factor 2.5, and repetition 1 (over 51 thousand repetitions collected)

In the presented figure, RF stands for R-factor, OF - O-factor, Cases - number of repetitions studied, d - forgetting decay constant from the equation retention=exp(-d*U-factor)), Dev - mean square deviation of experimental data from the retention curve approximated with the decay constant d.

A disappointing shortcoming of the assumed approach was a very high standard deviation of the detected forgetting index as reported earlier. As it is illustrated in the next figure, superposition of forgetting curves for different values of the forgetting index results in a U-shaped curve that shows little relevance with the true nature of forgetting (see Figure 11 Distorted forgetting curve resulting from differences in the forgetting index).

Figure 11 Distorted forgetting curve resulting from differences in the forgetting index

The U-shaped forgetting curve results from the fact that subjects with different values of the forgetting index, repeat items at different intervals, but the algorithm will always strive to make them forget no more and no less than the desired proportion specified by the forgetting index. This way, all students with intervals less than the maximum U-factor will tend to contribute to the forgetting curve around the point specified by the optimal interval, and their average retention, expressed in percent, will oscillate around 100 minus the forgetting index. Only the students whose intervals approach the maximum U-factor will show higher retention. Similarly, the highest retention will be registered for the shortest intervals; hence the U-shaped curve.

Matrices of retention factors

A 3-D representation of the cumulative matrix of retention factors is presented below (Figure 12 Cumulative matrix of retention factors). The matrix was obtained by superimposing forgetting curves corresponding with all R-factors taken from particular subjects.

Figure 12 Cumulative matrix of retention factors

In the figure presented above, the XYZ axes correspond respectively to the value of E-factor (from 1.3 to 3.2), repetition number (from 1 to 20), and to the value of R-factor expressed as percent of its maximum value. Note that for the sake of graph clarity, R-factors corresponding to repetition number greater than 2 were multiplied by 0.66 to expose the further located and more accurately estimated areas. The plain flat and plain down-sloping areas correspond to no repetition data available; hence they refer only to the model of average student (Wozniak et al. 1994). As opposed to the matrix of optimal factors, the figure illustrates a sharp contrast between the value of R-factors, and consequently the length of inter-repetition intervals across the range of E-factors. This contrast is marked, however, only for low repetition number. Because of the data collecting period limited to about 12 months, very few repetitions have been recorded in the area above the 3-rd repetition; hence much less visible differentiation of R-factors for different E-factor categories.

As the graphic presentation of the cross-section of retention factor matrices would require four dimensional figures, below I present such a cross-section flattened at the repetition number dimension. Thus, only the entries corresponding to the repetition number equal to one are presented.

Figure 13 Cross-comparison of R-factors for the first repetition and varying E-factor among the subjects sorted for the forgetting index

In the figure presented above, the XYZ axes correspond respectively to the value of E-factor (from 1.3 to 3.2), subject number (subjects were sorted for forgetting index; lower values placed distally), and to the value of R-factor expressed as percent of its maximum value, which is 20 in the case of first repetition. The plain flat area corresponds to no repetition data available.

The down-sloping ridge corresponding with E-factor equal to 2.5 illustrates the influence of the forgetting index detected during repetition on the value of R-factors. The two peaks located at E-factor=1.3 and E-factor=1.8 illustrate the saltatorial flow of items down the E-factor axis in result of forgetting. The peaks result from high retention detected at repetitions of the forgotten items. The valleys placed in-between, do not indicate the inherently irregular nature of the matrix of R-factors, but show only the areas, where low number of repetition cases prevented establishing the accurate value of the matrix entries. The three-peak nature of the first row of the matrix of retention factors corresponding with repetition number equal to one disappears with the progression of the forgetting index toward higher values. Though the above observation might suggest adopting a sparser matrix of R-factors with fewer E-factor columns, the situation presented in the figure is not necessarily typical. The location of peaks, or even their appearance will greatly depend on the student’s grading habits, which influence the rate of change of E-factor values.

Matrices of optimal factors

As in the case of cross-section of retention factor matrices, a cross-section of optimal factor matrices flattened at the repetition number dimension is presented below (Figure 14 Comparison of O-factors for repetition number equal to one). Only the entries corresponding to the repetition number equal to one are presented.

Figure 14 Comparison of O-factors for repetition number equal to one

In the figure presented above, the XYZ axes correspond respectively to the value of E-factor (from 1.3 to 3.2), subject number (subjects were sorted for forgetting index; lower values placed distally), and to the value of O-factor expressed as percent of its maximum value, which is 20 in the case of first repetition.

As the matrix of optimal factors is derived directly from the matrix of retention factors, a natural correspondence can be seen between the shape of the cross-analysis graph for O-factors and repetition number equal to one and the same graph for R-factors (cf. Figure 13 Cross-comparison of R-factors for the first repetition and varying E-factor among the subjects sorted for the forgetting index). The steady decrease of O-factors between the ridge at E-factor=2.5 and higher E-factor areas, in marked contrast to the same region in the corresponding R-factors graph, results from the application of on-line smoothing of the matrix of optimal factors in the process of learning. Analogously, the two peaks discussed in the case of R-factors comparison blended with the surrounding area providing for more regular spacing of repetitions across the E-factor matrix.

Yet more conclusive is the same graph plotted upon weighted Gaussian smoothing of the 3-dimensional matrix of optimal factors, i.e. the matrix built from optimal factor matrices extended by the student dimension. The weight used in Gaussian smoothing was the number of repetition cases recorded.

Figure 15 First layer of the 3-D matrix of optimal factors upon weighted Gaussian smoothing based on the number of repetition cases

In the graph presented above, which is a smoothed equivalent of the one presented earlier (see Figure 14 Comparison of O-factors for repetition number equal to one), it can be more clearly seen that three elements determine the value of the matrix of optimal factors for repetition number equal to one:

  1. students with high forgetting index show lower and less differentiated range of values in the first row of the matrix of optimal factors
  2. optimal factors are correlated with the value of E-factor, and increase faster for lower values of the forgetting index (except E-factors greater than 2.5)
  3. because of a very low number of repetition cases for E-factors greater than 2.5, the first row of optimal factor matrix beyond E-factor equal to 2.5 is determined almost exclusively by on-line smoothing that makes part of the Algorithm SM-6

For low forgetting index, a particularly large difference between O-factors for E-factors equal to 2.5 and E-factors less than two, results not only from an inherently longer inter-repetition intervals for easier items, but also from the slower convergence of O-factors to their optimal value at low E-factor areas due to reduced number of repetition cases which drive the optimization.

Distribution of intervals

Comparison of the distribution of intervals in particular subject file records shows that, for natural reasons, students with low forgetting index show less differentiation among item intervals, and that the average interval is greater. For example, the least successful students, with the lowest value of the detected forgetting index showed the greatest number of items in the 256-512 days slot. On the other end of the spectrum, the mode of distribution for the highest forgetting index coincided with the 64-128 days interval range (see Figure 16 Comparison of inter-repetition interval distribution among students sorted for forgetting index).

Figure 16 Comparison of inter-repetition interval distribution among students sorted for forgetting index

In the above graph, the XYZ axes correspond respectively to the interval category (note, that for the sake of graph clarity, the polarity of the axis was reversed), subject number (subjects were sorted for forgetting index; lower values placed distally), and to the number of items falling into the particular interval category (the Z line has not been calibrated because of its dependence on the size of the question-answer list).

Distribution of E-factors

As in the case of interval distribution, students with high forgetting index showed an increased differentiation of E-factors, though the mode of the distribution did not indicate greater difficulty of items among the students with higher forgetting rates. [The concept of E-factor in Algorithm SM-6 corresponds roughly to A-factors in Algorithm SM-11]

Figure 17 Cumulative distribution of E-factors among students sorted for forgetting index

In the presented graph, the XYZ axes correspond respectively to the E-factor category (note again, that for the sake of graph clarity, the polarity of the axis was reversed), subject number (subjects were sorted for the forgetting index; lower values placed distally), and to the number of items falling into the particular interval category (the Z line has not been calibrated because of its dependence on the size of considered databases).

The most striking observation coming from the comparison of E-factor distributions is that the tested list of questions and answers appeared to be surprisingly easy for all the subjects. As a consequence, the graph shows a uniform ridge along the E-factor category of 2.6-2.7, and there is no perceptible bulging around the 1.3 category, which in most cases acts like a scavenger of bad items, and can be used in implementing programmatic filters that make it possible to eliminate ill-structured items from lists of questions and answers.

See also: Investigating the correlation between the intelligence and the performance in repetitive learning tasks


Spaced repetition: research background

Spaced repetition in the practice of learning
Research background 		Piotr Wozniak
1995
This text was taken from P.A.Wozniak, Economics of learning, Doctoral Dissertation, University of Economics, Wroclaw, 1995

Repetition spacing in learning was in the center of my research over the last ten years (for review see: Wozniak 1990). In this chapter I would like to familiarize the reader with the concept of the optimum spacing of repetitions that will frequently be referred to throughout the dissertation.

Research background

There has been a great deal of research on how different spacing of repetitions in time affects the strength of memory and how the resulting findings could be applied in the practice of effective learning. It has been predicted, and to a large degree confirmed, that by changing the spacing of repetitions, a substantial gain in the effectiveness of learning might be obtained (e.g., Bjork, 1979; Glenberg, 1979; Glenberg 1980; Clifford, 1981; Dempster, 1987; Bahrick, 1987).

A major breakthrough in the study of optimum spacing of repetitions came with the discovery of the spacing effect which has been found under a wide range of conditions, and which refers to the fact that sparsely spaced repetition produce a better performance in memory tests than do densely spaced repetitions (Melton, 1967; Hintzman, 1974; Crowder, 1976; Cuddy, 1982).

However, studies reporting a robust spacing effect in classroom conditions are the exception rather than the rule (Dempster, 1987). This follows directly from the fact that the spacing effect is subject to certain boundary conditions which limit its universal applicability. It has been found that with increasing spacing, the performance in memory tests improves only to a certain point after which it gradually decreases (Peterson, 1963; Hintzman, 1973; Glenberg, 1977; Glenberg, 1980; Toppino, 1985). The most convincing interpretation of this fact is that as the spacing increases, the initial memory trace becomes less and less accessible. Despite the reduced accessibility, in distributed spacing, the repetition produces an increased memory effect.

However, after the spacing reaches some critical point, the memory trace becomes completely inaccessible, and the processing of the to-be-remembered item is similar to the one that takes place at initial presentation (Underwood, 1961; Melton, 1970; Rose, 1984). In other words, in spaced repetition, a trade-off between the spacing effect and forgetting must be taken into consideration. As Bahrick pointly noticed, the optimum inter-repetition interval is likely to be the longest interval that avoids retrieval failures, and that finding optimum intervals will yield major contributions of memory research to education (Bahrick, 1987).

Optimum spacing of repetitions

Though some theoretical models suggest that the strength of memory should increase gradually with successive repetitions (Atkinson, 1968; Bernbach, 1971), the major shortcoming of most of the research that has been done on the effects of inter-repetition intervals on the performance in memory tasks was application of equally spaced repetition schedules (e.g., Hintzman, 1973; Bellezza, 1975; Jensen, 1981; Bahrick, 1987; Greene, 1989). Another shortcoming that makes it hard to collect data concerning optimum spacing of repetitions is the fact that most of the available studies considered inter-repetition intervals on the order of seconds, minutes and hours. Spacing repetitions in periods longer than one week has been very scarcely studied (Glenberg, 1980).

A major exception to the rule was the report by Bahrick, who studied the effects of spacing in an experiment spanning 14 months, and who measured the resulting knowledge retention in a follow-up study after the period of 8 years (Bahrick, 1987). The third shortcoming often found in the research on spacing was the lack of consideration for the difficulty of particular items, i.e., the same repetition schedules were used for both easy and difficult items. The report by Atkinson (1972), though spanning the period of one week only, was a major exception here. Finally, the fourth limitation of the research on spacing was a small number of to-be-remembered items that were considered in the process of learning. For example, the report by Bahrick (1987) concerned the retention of 50 English-Spanish word pairs.

Spacing effect

Let us have a closer look at theoretical implications of the spacing effect, and how they might be used to guide the research on optimum spacing of repetitions. There have been a number of theoretical explanations put forward to account for the spacing effect (see Hintzman 1974, Greene 1989 for a review).

They could be grouped into the following three categories:

  • encoding variability theories (differential encoding theories)
  • voluntary deficient-processing theories (voluntary attention-attenuation theory, effort theory, etc.)
  • involuntary habituation theories (involuntary deficient-processing theory, consolidation theory, habituation-recovery theory, construction theory, etc.)

There has been a number of contradictory reports, many of them invalidating the importance of encoding variability for the spacing effect (Bellezza,1975; Johnston, 1976; Bird, 1978; Postman, 1983). The encoding variability theories postulate that increased spacing facilitates memory by increasing the number of possible retrieval cues for repeated items. We believe, that the contradictory results of experiments on encoding variability come from the wrong interpretation of the impact of the contextual variability on the effectiveness of learning. Let's consider an example in which a subject is supposed to learn to recognize mammals by responding to the definition a warm-blooded vertebrate which produces milk. If in the repeated exposure, the subject encounters the definition a four-legged animal which produces milk, the strength of memory is likely to be increased not because of establishing two separate retrieval routes, but by strengthening the already established single path which emphasizes the intersection of defined characteristics; namely, the ability of mammals to produce milk (cf. Bellezza, 1975). If the new definition was a four-legged animal which is covered by hair, the effect of the variable context might be opposite because of the students confusion about what a mammal indeed is (is it milk producing, covered with hair, or both); hence, the possible discrepancies in studies on encoding-variability. Though the encoding variability may play a part in the spacing effect, it is certainly not sufficient to account for it (Greene, 1989).

Similarly, there has been a body of evidence, that though voluntary deficit in processing accorded an item may weaken memories in a massed presentation, elimination of the voluntary aspect of the deficit failed to suppress the spacing effect (Underwood, 1969; Hintzman, 1975a; Shaughnessy, 1976; Jensen, 1981).

By far most attractive, in my view, are the theories which take into account involuntary processes, and which predict that there exists a widespread, underlying, biological mechanism which weakens formation of memories in the period directly following the last repetition (Bjork, 1970; Hintzman, 1973; Hintzman, 1975b).

This mechanism may have a molecular nature, and may be beyond our control as far as its implications for learning are concerned. An interesting support for this view comes from the strength theory (Hinrichs, 1970), which concludes that temporal judgments are not based on temporal information stored in memory, but on the strength of memory traces. In other words we can judge the moment in which a repetition took place not because we store a temporal tag in memory, but because of the correlation between the lapse of time and decline in memory traces. Opponents of the strength theory argue that it doesn't explain why items subject to the primacy effect are not misjudged as more recent.

Involuntary habituation

Let us have a look at the possible advantages of the involuntary habituation of memory from the evolutionary standpoint. The obvious value of forgetting is to prevent the nervous system from running out of the memory storage. The benefit coming from strengthening memories by means of repetition is that only most frequently encountered tasks are remembered. If we consider the fact that in real life a twice-encountered task is more probable to be encountered again than a once-encountered task, which is more probable to be encountered than a never-met task, we can conclude that the optimum action of the memory system should result in multiplying the period of the retrievability of a memory trace each time a task is encountered. In other words, the progressive spacing of repetitions stands the greatest chance to be validated on evolutionary grounds. The possible value of the post-repetition habituation of memories comes from the fact that a substantial increase in memory strength at each exposition does not seem to be advantageous for survivability. It would result in unnecessary waste of the storage for lifelong memories produced for massed phenomena which are transitory. In other words, the habituation of memories that follows a repetition seems to ensure that the brain maximizes the average probability of reencountering the remembered tasks, i.e. it maximizes the usefulness of memories

See also: Molecular correlates of the components of long-term memory


SuperMemo: First experiments (1982-1985)

3. Account of research leading to the SuperMemo method
3.1. The approximate function of optimal intervals 		Piotr Wozniak
1990
This text was taken from P.A.Wozniak, Optimization of learning, Master's Thesis, University of Technology in Poznan, 1990. Minor typos and spelling errors were corrected at later time

It was 1982 when I made my first observations concerning the mechanism of memory that were later used in the formulation of the SuperMemo method. As a then student of molecular biology I was overwhelmed by the amount of knowledge that was required to pass exams in mathematics, physics, chemistry, biology, etc. The problem was not in being unable to master the knowledge. Usually 2-3 days of intensive studying were enough to pack the head with data necessary to pass an exam. The frustrating point was that only an infinitesimal fraction of newly acquired wisdom could remain in memory after few months following a given exam.

My first observation, obvious for every attentive student, was that one of the key elements of learning was active recall. This observation implies that passive reading books is not sufficient if it is not followed by an attempt to recall learned facts from memory. The principle of basing the process of learning on recall will be later referred to as the active recall principle. The process of recalling is much faster and not less effective if the questions asked by the student are specific rather than general. It is because answers to general questions contain redundant information necessary to describe relations between answer subcomponents.

To illustrate the problem let us imagine an extreme situation in which a student wants to master knowledge contained in a certain textbook, and who uses only one question in the process of recall: What did you learn from the textbook? Obviously, information describing the sequence of chapters of the book would be helpful in answering the question, but it is certainly redundant for what the student really wants to know. The principle of basing the process of recall on specific questions will be later referred to as the minimum information principle. This principle appears to be justified not only because of the elimination of redundancy.

Having the recall and minimum information principles in mind, I created my first databases (i.e. collections of questions and answer) used in the retention of the acquired knowledge (at that time the databases were stored in a written form on paper). My first database (started on June 6, 1982) was composed of pages that contained about 40 pairs of words each. The first word in a pair (interpreted as a question) was an English term, the second (interpreted as an answer) was its Polish equivalent. I will refer to these pairs as items.

I repeated particular pages in the database in irregular intervals (dependent mostly on availability of time) always recording the date of the repetition, items that were not remembered and their number. This way of keeping the acquired knowledge in memory proved sufficient for a moderate-size database on condition that repetitions were performed frequently enough.

In November 1983, my first English database reached 1000 items and the irregular repetitions became annoyingly inefficient. At this time, I started creating a database dealing with human biology (Nov 23, 1983). It later appeared that items in the human biology database were much more difficult to remember than those in the English database, and the process of increasing the size of my databases gradually progressed at the cost of knowledge retention, i.e. a decreasing fraction of knowledge was kept in memory. By the end of 1984, having a constant opportunity to observe the impact of repetition spacing on the effectiveness of learning, I had a new idea ready about how to improve the learning process. It is worth noting that at this time, I had about 3000 items in the English and 1400 items in the biology database. My knowledge retention I then estimated to be 60 and 40 percent respectively, while the time spent on repetitions amounted to about 10 and 4 minutes per day. This means that I worked at a rate of 120 items/year/minute (i.e. every minute of work per day provided 120 items memorized each year). Note, that the retention figures are low enough to totally disqualify the learning method!

A great deal of experimental data obtained during my initial work with knowledge retention databases make a valuable study material which until now has not yet been fully interpreted (see Chapter 11). Irregular length of intervals provides an interesting insight into the process of memory retention and forgetting.

At the beginning of 1985 I designed two experiments which consequently revolutionized my learning methodology and lead to the formulation of the SuperMemo method.

The first experiment can be a good illustration of how a misconceived idea can yield valuable conclusions. It is a common intuition, that with following repetitions the knowledge should gradually become more durable and require less frequent fixation. Thus repetitions separated by increasing intervals should be more effective than those whose intervals are always the same. This belief proved to be false. Let us see an experiment which demonstrates the fact:

Experiment on the influence of various repetition spacing patterns on the effect of repetitions on knowledge retention (Jan 31, 1985 - Aug 2, 1986)

  1. The memorized knowledge consisted of 195 items divided into three equal groups: A, B and C.
  2. Each of the items had the following form:
    Question: English irregular verb
    Answer: simple present, simple past and past participle forms of the verb in question
  3. All items of a particular group were memorized at one session by repeating them until all were known (group A - Jan 31, B - Feb 2, C - Feb 3).
  4. Two final control dates were established: Dec 6-7, 1985 and Aug 1-2, 1986 on which the level of retention in all groups was measured at the same time (for each item the accuracy of recall was measured in a four grade scale).
  5. Before the control dates, all of the groups A, B and C underwent 6 independent repetitions in the following intervals:
Repetition number | Group A (equal spacing over longer time: 108 days) | Group B (spacing based on increasing intervals) | Group C (equal spacing in 30 days)
1 | 18 days | 1 day | 5 days
2 | 18 days | 5 days | 5 days
3 | 18 days | 9 days | 5 days
4 | 18 days | 24 days | 5 days
5 | 18 days | 44 days | 5 days
6 | 18 days | 70 days | 5 days

The intention of the experiment was to prove that increasing intervals are the best for memory fixation (group B) as opposed to intervals that are evenly distributed (group A) or concentrated in time (group C). The results of the experiment are shown in Fig.3.1:

(The results of the second control are not present on the graph because of the prosaic fact that studying at the University of Technology [started in October 1985] required perfect knowledge of irregular verbs, therefore another measurement was pointless!)

As it can be seen in Fig.3.1., the experiment yielded unexpected results proving that increasing inter-repetition intervals need not be better than constant-length intervals. Fortunately, long before the results of the experiment were known, I suspected that there must exist optimum inter-repetition intervals. The principle of using such intervals in the process of learning will be later referred to as the optimum repetition spacing principle.

The following experiment was to confirm the existence of optimum inter-repetition intervals and to estimate their length.

Experiment intended to approximate the length of optimum inter-repetition intervals (Feb 25, 1985 - Aug 24, 1985):

  1. The experiment consisted of stages A, B, C, ... etc. Each of these stages was intended to calculate the second, third, fourth and further quasi-optimal inter-repetition intervals (the first interval was set to one day as it seemed the most suitable judging from the data collected earlier). The criterion for establishing quasi-optimal intervals was that they should be as long as possible and allow for not more than 5% loss of remembered knowledge.
  2. The memorized knowledge in each of the stages A, B, C, consisted of 5 pages containing about 40 items in the following form:
    Question: English word,
    Answer: its Polish equivalent.
  3. Each of the pages used in a given stage was memorized in a single session and repeated next day. To avoid confusion note, that in order to simplify further considerations I use the term first repetition to refer to memorization of an item or a group of items. After all, both processes, memorization and relearning, have the same form - answering questions as long as it takes for the number of errors to reach zero.
  4. In the stage A (Feb 25 - Mar 16), the third repetition was made in intervals 2, 4, 6, 8 and 10 days for each of the five pages respectively. The observed loss of knowledge after these repetitions was 0, 0, 0, 1, 17 percent respectively. The seven-day interval was chosen to approximate the second quasi-optimal inter-repetition interval separating the second and third repetitions.
  5. In the stage B (Mar 20 - Apr 13), the third repetition was made after seven-day intervals whereas the fourth repetitions followed in 6, 8, 11, 13, 16 days for each of the five pages respectively. The observed loss of knowledge amounted to 3, 0, 0, 0, 1 percent. The 16-day interval was chosen to approximate the third quasi-optimal interval. NB: it would be scientifically more valid to repeat the stage B with longer variants of the third interval because the loss of knowledge was little even after the longest of the intervals chosen; however, I was then too eager to see the results of further steps to spend time on repeating the stage B that appeared sufficiently successful (i.e. resulted in good retention)
  6. In the stage C (Apr 20 - Jun 21), the third repetitions were done after seven-day intervals, the fourth repetitions after 16-day intervals and the fifth repetitions after intervals of 20, 24, 28, 33 and 38 days. The observed loss of knowledge was 0, 3, 5, 3, 0 percent. The stage C was repeated for longer intervals preceding the fifth repetition (May 31 - Aug 24). The intervals and memory losses were as follows: 32-8%, 35-8%, 39-17%, 44-20%, 51-5% and 60-20%. The 35-day interval was chosen to approximate the fourth quasi-optimal interval.

It is not difficult to notice, that each of the stages of the described experiment took about twice as much time as the previous one. It could take several years to establish first ten quasi-optimal inter-repetition intervals. Indeed, I continued experiments of this sort in following years in order to gain deeper understanding of the process of optimally spaced repetitions of memorized knowledge. However, at that time, I decided to employ the findings into my day-to-day process of routine learning.

Algorithm SM-0 used in spaced repetition without a computer (1985)

  1. Split the knowledge into smallest possible items
  2. Associate items into groups containing 20-40 elements. These groups are later called pages
  3. Repeat whole pages using the following intervals (in days):
    1. I(1)=1
    2. I(2)=7
    3. I(3)=16
    4. I(4)=35
    5. for i>4: I(i):=I(i-1)*2
      where I(i) is the interval used after the i-th repetition.
  4. Rewrite all forgotten items into newly created pages (without removing them from previously used pages) which will be repeated in the same way as pages with first-time memorized items

Note, that inter-repetition intervals after the fifth repetition were assumed to increase twice in subsequent repetitions - the fact that was based on intuition rather than experiments. In two years of using the Algorithm SM-0 sufficient data were collected to confirm sufficient accuracy of this assumption. For the detailed description of the paper-based variant of the SuperMemo method (derived from the Algorithm SM-0) see Chapter 7 [click here for a newer version of the same text].

Upon formulating it, I started using the Algorithm SM-0 to learn English (Aug 25, 1985) and biology (Oct 1, 1985); in the latter case with slightly shorter intervals because the biological knowledge appeared to be slightly more difficult to remember. For the first time, I was able to reconcile high knowledge retention with infrequent repetitions that in consequence lead to steadily increasing amount of knowledge remembered without the necessity to increase the timeload!

Retention of 80% was easily achieved, and could even be increased by shortening the inter-repetition intervals. This, however, would involve more frequent repetitions and, consequently, increased timeload. The assumed repetition spacing provided a satisfactory compromise between retention and workload. The next serious improvement of the Algorithm SM-0 was to come only in 1987 after application of a computer to supervise the learning process. In the meantime, I accumulated about 7190 and 2817 items in my new English and biological databases respectively. With the estimated working time of 12 minutes a day for each database, the average knowledge acquisition rate amounted to 260 and 110 items/year/minute respectively, while knowledge retention amounted to 80% at worst.

Although the acquisition rate may not have seemed staggering, the Algorithm SM-0 was revolutionary in comparison to previous methods because of two reasons:

  • with the lapse of time knowledge retention increased as opposed to decrease (as it was the case with intermittent learning)
  • in a long perspective acquisition rate was hardly changed. With intermittent learning, the acquisition rate would decline substantially in time

To see a detailed how-to description of the first SuperMemo algorithm see: Using SuperMemo without a computer


Forgetting rate after the cessation of repetitions

3.9. Forgetting rate in case of the cessation of repetitions Piotr Wozniak,
1990
This text was taken from P.A.Wozniak, Optimization of learning, Master's Thesis, University of Technology in Poznan, 1990 and adapted for publishing as an independent article on the web. (P.A.Wozniak, June 2003)

To get a deeper insight into the learning process, and to estimate the forgetting rate in cases where the process had been stopped, I planned two experiments in which repetitions were ceased for a 10-month long period.
To minimize interference with my day-to-day activities I decided to learn two rarely used languages: Dutch and Esperanto. In both cases I memorized about 2000 words and phrases. However, I repeated the Dutch items for two months only, while the Esperanto database was in use for 19 months. After that period of repetitions I did not use the databases for 10 months having practically no contact with the considered languages. The results of the experiment are presented below:

Repetitions - period in which the SuperMemo process was continued
Disuse - period in which the databases were not used
Outstanding - percentage of items that should have been repeated in the period of disuse
Forgotten - percentage of items in the database that were not remembered after the period of disuse
Retention - percentage of remembered items in the group of non-outstanding items

 | Dutch | Esperanto
Repetitions | 2 months | 19 months
Disuse | 10 months | 10 months
Outstanding | 100% | 78%
Forgotten | 86% | 50%
Retention | N/A (all items were outstanding) | 95%

The experiment illustrates the horrifying rate of forgetting in case of the cessation of repetitions. It also illustrates the scheduling accuracy of the SM-4 algorithm (the data had been obtained before the SM5 algorithm was developed). In the group of items scheduled after the period of disuse (in the case of the Dutch database there were no such items, i.e. all were outstanding), the retention remained at the high, 95% level, which is characteristic for typical databases. However, as much as 14% of items in the Dutch, and 28% of items in the Esperanto database were not forgotten despite the fact that they were scheduled for repetition in the period of disuse.
The faults of the SM-4 algorithm were discussed earlier. It is worth mentioning, however, that the SM-5 algorithm revealed an astonishing speed in modifying the function of optimal intervals so that selected items that have very high E-Factors can, after a few repetitions, reach very high values of the current interval.

June 13, 2003: 13 years after the experiment, the retention in the Esperanto database remained astonishingly high (no repetitions between 1990 and 2003). In random repetitions of the subset of the old unused Esperanto material, 39% items scored positive grades (i.e. were remembered or guessed). This can be explained by the following:

  • many Esperanto roots can be guessed easily by a person who knows English
  • many items were composites that could be answered correctly once their components had been relearned (e.g. la patro staras could be answered correctly once patro and stari was re-learned)
  • I had some contact with Esperanto over the last decade, and this might have been the most important factor explaining good retention

It is worth noting well-known studies by Prof. Harry Bahrick's on the retention of Spanish vocabulary showed similar flattened forgetting curve, which could probably be explained in the same way as above. It is hard to imagine that residents of the US could entirely escape contact with the Spanish language in the course of several decades.


Incremental reading and learning knowledge available from the Internet

Incremental reading and related techniques for learning knowledge available from the Internet Dr Piotr Wozniak
This article is an adaptation of "Devouring knowledge" for the book "Knowledge Based Information Retrieval and Filtering from Internet" Marvin Minsky: Our cultures don't encourage us to think much about learning. Instead we regard it as something that just happens to us. But learning must itself consist of sets of skills we grow ourselves; we start with only some of them and slowly grow the rest. Why don't more people keep on learning more and better learning skills? Because it's not rewarded right away, its payoff has a long delay

Introduction

This article summarizes my 20-year-long effort in developing techniques and technologies that assist human learning. It illustrates ways in which learning can become a rationally controlled and conscious process. Among others, I discuss two concepts that can have a substantial effect on learning:

  • spaced repetition: a technique that ensures high recall (above 95%) with minimum investment of time via computing optimum inter-repetition intervals
  • incremental reading: a fast reading technique derived from spaced repetition that makes it possible to read a large number of articles simultaneously in small increments (thousands of articles can be processed in parallel)

Knowledge as the driving force of progress

Knowledge and history: Throughout the ages, knowledge was the cornerstone of human progress. From Stone Age to Information Age, in pain, we have built a tiny oasis of civilization in ruthless expanses of the evolving universe. The history of the mankind is made of billions of individual lives that keep on sparking and fading. Born of self-preservation instincts imprinted by evolution, history books paint a picture of a constant string of wars, conflict of interest, loss and gain of influences, lust for power and submission to weaknesses of human nature. On the other hand, the greatest achievement of the evolution, the rational mind, kept on contributing to new findings, discoveries, technologies and philosophies. Progress has always hinged on discovering new truths and preserving them for posterity in form of stories, solutions, tools, books, and other carriers of information. Knowledge is the basis of human power, yet it constantly struggles with two forces that regularly diminish it: death and forgetting. We can preserve knowledge in books and other forms of information storage. However, this knowledge translates to value only then when it is used by the creative power of the human brain. The limitations of the human brain will remain a bottleneck of progress for many years to come. We will develop artificially intelligent knowledge processors not earlier than in a decade or two

Knowledge and death: Death poses an ageless challenge to educating new generations. Years of hard work needed to gain knowledge on professorial level are obliterated in a single act of death. Newborns need to go through years of education before they are able to access, read, and comprehend this text. They all have to struggle with basic literacy skills, lessons of safe sex and teen pregnancy, lessons on superiority of altruism over egoism, the difference between wise and not-so-wise choices, existential questions, etc. Although constant reeducation may contribute to gaining a fresh perspective in each generation, it is also painfully wasteful. As yet, there is no efficient remedy to the death of knowledge. All we can do is to attach more weight to healthy lifestyle and health research. Those two promote longevity of knowledge in a single generation

Knowledge and forgetting: Forgetting is a natural process that makes it possible to efficiently use the limited memory space of the brain. We forget to dispose of knowledge deemed less important in order to make space for knowledge of higher importance. Currently we have only a limited control over what we remember and what we forget. Today, the most important tool that we can use to prevent forgetting is practice. We can minimize time needed for practice by using spaced repetition (i.e. learning technique based on computing optimum intervals between repetitions). Spaced repetition is the key to maximizing knowledge within a single human lifetime (see below for more)

Immortal knowledge: Artificial intelligence is our best hope for approaching immortal knowledge. It can nearly eliminate the problem of death (except for the heat death of the universe). It can also eliminate the problem of forgetting (at least within the bounds of the available storage). Today, however, the best path towards immortal knowledge must still rely on the use of the human brain by maximizing its learning capacity

Knowledge acquisition

There are five main areas where the learning process can be enhanced. All these areas will be discussed in this article:

  1. access to knowledge - this article will make an assumption that the Internet is the main source of knowledge
  2. selecting knowledge - we will assume that the reader is solely responsible for selecting knowledge. The ability to select valuable information grows in proportion to the acquired knowledge
  3. reading - reading is the process in which knowledge for the first time makes an actual intimate contact with the brain. Traditionally, it is streamed into memory in a more or less linear manner (i.e. paragraph after paragraph). This article shows how to delinearize this process and optimize reading by enhancing knowledge selection and prioritization concurrent with reading. For example, one should be able to say This paragraph can be processed later or This paragraph requires utmost attention now or This paragraph can be skipped for good even if I decide to read the article again, or I want to read this paragraph again in three days and in more detail or I want to mark this paragraph with lower-priority and come to it only after all higher priority paragraphs have been processed, etc.
  4. representing knowledge - knowledge representation affects comprehension and retention. Things that are simple are easier to understand. Things that are simple are also easier to remember. Many people do not realize the degree to which simplicity can affect learning. Many people doubt that even the most complex material can be presented in a very simple way. Einstein noticed that "it should be possible to explain the laws of physics to a barmaid"
  5. remembering knowledge - we can eliminate the problem of forgetting once and for all. It can be done with the use of the learning technique based on the spaced repetition and commercially known as SuperMemo. As SuperMemo is currently the only software in existence that supports some of the discussed techniques, we will use it to illustrate practical applications of spaced repetition and incremental reading
  6. life cycle of knowledge - this article presents an approach to learning in which knowledge in human memory keeps on evolving and maturing. This involves continual rewording, reprioritizing, and re-associating pieces of knowledge. One will often need to give up portions of knowledge that become outdated or lose their high-priority status. Rules of knowledge representation should be used to make knowledge easy to remember. Knowledge should become more associative in time. In other words, it should become a more suitable ground for making intelligent choices
  7. using knowledge - knowledge translates to value when it is properly used. In the long-run, skills discussed in this article should indirectly help one become more creative and skillful in using knowledge. Not surprisingly, skills needed to efficiently use knowledge are also part of knowledge itself and tend to grow spontaneously as knowledge itself increases

Access to knowledge

The Internet is an excellent source of knowledge. Its quality and role will for long continue increasing exponentially as more and more people appreciate its potential and contribute to its growth. There are still many complementary sources of information that compete successfully with the Internet. However, it is only a question of time before one is safely able to rely on the Internet as your sole source of information.

The three main factors that limit the value of the Internet as the source of information today:

  • verification - there are no formalized peer-review or other verification mechanisms that would make it easy for you to ascertain the reliability of information available and trustworthiness of authors. The burden of proof is on you. You either need to tap onto reputable sites or judge the reliability of individual authors on preponderance of evidence. Consequently, reputable scientific journals are still an unmatched source of raw research data (cf. Pierre Salinger syndrome)
  • bandwidth - popular broadband access to the Internet is still to come. This limits availability of quality video documentaries, video reporting, video education, interactive material, etc. Consequently, television and multimedia titles have still a substantial role to play as an educational tool
  • micropayments - authors still see the printed matter as their main source of income. In the future, your credit account may be charged to a microscopic amount each time you access a selected page on the web if the author decides to make it a source of his or her income. This may ultimately cause a massive exodus of authors from the traditional publishing industry towards the net with immense benefit to those mining for quality data on the net

Despite the Internet's limitations, one can safely commit oneself today to making the net the chief source of knowledge in the quest for new knowledge in nearly all areas of well-rounded self-instruction. The number of free encyclopedias, journals, dictionaries, databases, stand-alone articles and thematic websites is increasing daily.

This article will discuss efficient ways of accessing, prioritizing and reviewing information. It will also introduce a software application that implements some of the discussed techniques: SuperMemo 2002 for Windows. The most tangible value of SuperMemo comes from ensuring high retention of knowledge through spaced repetition. SuperMemo also makes it possible to increase the quality of reading by means of a technique called: incremental reading. In addition to its main strengths, SuperMemo also serves with an assistance in the field of knowledge access. We always face the need to fill the gaps in our knowledge in many more areas than the time permits or memory makes feasible. SuperMemo can scrupulously store and prioritize all areas of knowledge that need an enhancement! It uses a concept called a tasklist. A tasklist is a list of tasks sorted by the Value/Time ratio. The table below shows an exemplary knowledge-harvesting tasklist as exported from SuperMemo:

Tasklist: Knowledge (956 tasks)
Generated with: SuperMemo 2002 Build: 11.0 of May 1, 2002
Date: 01-May-02 3:25:43 PM
Source path: c:\sm2000\systems\all\tasks\MyKnowledge
  1. 20.0/0.16=125.00 - Calculus
  2. 18.0/0.17=105.88 - B.F. Skinner
  3. 30.0/0.32=93.75 - String theory
  4. 10.0/0.12=83.33 - Chomsky
  5. 10.0/0.12=83.33 - Laplace
  6. 9.0/0.11=81.82 - Leibnitz
  7. 12.0/0.15=80.00 - Napoleonic wars
  8. 10.0/0.13=76.92 - Koran
  9. 9.0/0.12=75.00 - Carl Linneaus
  10. 9.0/0.12=75.00 - Yasir Arafat and Yitzhak Rabin
  11. 14.0/0.20=70.00 - Copernicus
  12. 9.0/0.13=69.23 - Presenilin genes
  13. 9.0/0.13=69.23 - Gutenberg
  14. 9.0/0.14=64.29 - Kashmir
  15. 6.0/0.10=60.00 - Polgar sisters

etc.

In the tasklist above, you can see a list of task which all have a form of a small well-defined topic to study. Each time you add a task to your list, you must define how valuable it is (e.g. assign it a dollar value by answering the question How much would I pay for this knowledge if I was to transfer it painlessly to my memory at this moment?). Each time you add a task to your list, you should also approximate the time necessary to collect relevant information. This will give preference to encyclopedic topics that can be found in seconds in on-line encyclopedias such as Encarta (e.g. Carl von Linné or Old Testament). On the other hand, this will require more time for more esoteric topics such as cross-comparison of US state laws on dimpled ballot interpretation in manual under-vote recounts. In the exemplary tasklist above, the pink column specifies the dollar value of individual topics, the blue column indicates the access time in hours and the red column shows the Value/Time ratio. For example, the topic called Calculus is worth $20 and is supposed to take 0.16 hours to investigate (here this is the time needed to import Calculus to SuperMemo). This results in $125/hour valuation and brings Calculus as the most valuable topic on the tasklist

Selecting knowledge

The extent of global knowledge resources can be measured in terabytes. One terabyte is a thousand gigabytes, while one gigabyte is a rough equivalent of the Encyclopaedia Britannica whose 44 million words would most likely all fit your today's hard disk space. The US Library of Congress is estimated to amount to 25 terabytes of knowledge. Human DNA code kept at Celera takes 80 terabytes. At the same time, the so-called deep web (year 2000) may encompass as much as 7,500 terabytes (deep web includes the static web extended by dynamic information retrievable from web databases). It will take only three years from today to produce more data than in the whole of human history (say researchers at the University of California).

Only a fraction of those resources can be mastered by an individual in a single human lifetime. Even a single copy of the Encyclopaedia Britannica goes in detail far beyond what a single human being can encompass in a lifetime!

The microscopic capacity of the human brain has not prevented it from building the present civilization as we know it. The human power comes from:

  1. collective effort - a billion heads is more than one
  2. specialization of labor - all collective tasks are subject to top-down functional decomposition and a single brain usually only needs to process a fraction of information at a time
  3. knowledge selection skills - the associative power of the human brain combined with the selective nature of forgetting help us retain memories that are actually most useful in problem solving

This article will show you how to prevent forgetting. However, forgetting plays an important role in our lives. It runs a valuable garbage collection on knowledge we acquire daily. If the power of forgetting is taken away, your responsibilities in the area of selecting knowledge increase manifold. The technique of spaced repetition can help one eliminate forgetting! At the same time, it increases the responsibility for selecting knowledge that is truly important and applicable. If used without care and attention, spaced repetition may actually be a waste of time by helping one remember a great deal of trivia.

A piece of information that occupies just several bytes of your hard disk may carry a relative value that my translate to a net gain of millions of dollars as well as a net loss of millions of dollars. It may also carry no value whatsoever. For example, a sentence written in French "SuperMemo vous aide à mémoriser et apprendre diverses informations comme une langue, des chiffres, etc." may be of nearly zero value for someone who does not know French. At the same time, an item related to a Heimlich maneuver can save the life of a family member. We know that the expected payoff equals the value of the payoff multiplied by its probability; therefore, the low probability of a family member choking and the probability of actual successful application of the maneuver make the value of "Heimlich item" a fraction of the value of the human life. At the same time, even minor errors in medical knowledge of a physician can actual cost somebody's life and carry substantial negative value! Frequently, we find more benefit in memorizing the three best things learnt on a given day than in memorizing a whole monothematic article to the last detail! It is possible to store the mind with a million facts and still be entirely uneducated (Alec Bourne).

I have mentioned earlier that tasklists can help you prioritize knowledge areas and topics that you want to study. In a similar way, tasklists can help you prioritize articles you locate on the net and decide to study in detail. In prioritizing study subjects, your tasklist contains only general names, e.g. nanotechnology, GM-foods, neural networks, American Civil War, etc. In prioritizing articles, your tasklist will contain whole articles. We will use the term reading list to describe a tasklist containing articles.

A reading list is a list of articles sorted by the ratio: Value/Time, where Value is the estimated dollar value of knowledge contributed by the article and Time is the expected time needed for reading the article. SuperMemo can automatically estimate the Time field for you on the basis of text length. You can then modify Time manually. The basic value of a reading list is: you can import as many articles as you want (and as many as you hope you are able to read) and then only read as many articles as you are actually able to read. Your time will be spent optimally as you will always start with articles of the highest priority. You will quickly discover that you usually overestimate your reading abilities by one or two orders of magnitude! It is not unusual to want to read hundred times more articles than you are able to read! Using reading lists one can be sure that the small fraction that one is able to read is indeed populated by articles of the highest value!

Blue inserts show how the discussed techniques are implemented in SuperMemo 2002. These inserts are not needed to understand the text
SuperMemo 2002: prioritizing learning material with reading lists
  1. Locate an article of interest on the Internet
  2. In your web browser, copy the text to read and remember
  3. In SuperMemo, choose Ctrl+Alt+R. You will see a dialog box similar to the picture below
  4. Type in the dollar Value of the article (you can use your own national currency or any other uniform measure of value). Choose the value by responding to the question: How much will reading this particular article contribute to my knowledge? How much would I be ready to pay for this knowledge?

Your articles will automatically be sorted for Priority (which is equal to Value divided by Time). You can begin reading articles from the top of your list

Reading

Traditional linear reading is highly inefficient. This comes from the fact that various pieces of the text are of various importance. Some should be skipped. Others should be read in the first order of priority. Old-fashioned books are quickly being replaced with hypertext. Hypertext will help you quickly jump to information that is the most important at any given moment. Hypertext requires a different style of writing. After all, all texts will live by the assumption that there has been some introductory section read before. The texts become context-independent, and all difficult terms and concepts are explained solely with additional hyperlinks. As the world wide web helped delinearize the global resources of information, the technique of incremental reading can help you delinearize your reading of whatever linear material you decide to read. While reading incrementally, you will see a linear text as a sequence of sections subdivided into paragraphs and individual sentences. Incremental reading will help you provide a separate and independent processing for each section, paragraph or sentence. Here are some typical actions you will execute on individual sections, paragraphs or sentences. Most typically you will decide one of the following:

  • read and remember - you can read a paragraph and schedule it for a future review. The timing of the review will depend on the paragraph's priority
  • skip to read later - you can mark a paragraph as worth reading later. The moment in which the paragraph will come back for reading will depend on the paragraph's priority.
  • skip for ever - you can mark a paragraph as (1) not worth reading, or as (2) read and not worth remembering

In incremental reading, all material worth remembering will be scheduled for review in the future. This is necessary to ensure you do not forget what you have learned. At the same time, all material that has not been read but is classified as worth reading will also be scheduled for reading in the future. In incremental reading, you will constantly face a serial process of reading, review, and repetition that will make sure that your work with the program is challenging, interesting and leaves permanent traces in your memory.

Reading with SuperMemo 2002

Here are the typical actions you will perform on individual sections, paragraphs and sentences:

  1. Read and remember - you can read a paragraph, select it with the mouse and choose Remember extract. Remember extract will create a new mini-article in SuperMemo and store it for review in a couple of days. The review of the extract will be subject to the same procedures as reading the entire article. In other words, you can only quickly read the selected paragraph to get the general idea and read it in detail only upon the first review

  2. Skip and read later - if you see that a longer section is important and requires more detailed reading, you can execute Remember extract without reading the section at all

  3. Skip for ever - if you believe that a given part of text is not worth your time, you can choose Ignore. This will mark the text with a grayed font, and ensure you will not get into reading the same text again in the future (e.g. on the next review)

If you believe the whole article should be skipped, you can do the following:

  1. Skip and read later - you will delay reading an article if you believe its priority is less or if you think that you need to read some other introductory articles first. For example, you can stop reading and manually choose an interval after which you will return to reading

  2. Skip and retain in the archive - if you do not expect to return to a given article but you still want to retain it in SuperMemo, you can choose Dismiss

  3. Skip and delete partially - if you believe an article is not worth keeping in your SuperMemo collection, you can delete it without deleting review material generated from the article

  4. Skip and delete entirely - if you believe an article is not worth keeping in your SuperMemo collection, you can delete it along with all associated extracts, sections and paragraphs

Representing knowledge

In incremental reading, all articles evolve. This evolution ensures the maximum comprehension and retention of knowledge. Initially the articles are split into sections and paragraphs. Those sections and paragraphs are later subject to regular review and further evolution. Individual paragraphs get enriched with context clues, reference labels, and converted to individual sentences. Individual sentences convey ideas which you want to remember. These ideas come back for review at increasing intervals. Initially, the ideas come back every couple of days, later after months and years. However, passively processed ideas in the form of sentences rarely leave a durable trace in your memory even if they are reviewed regularly. Very often, as soon as after 2-3 months, you will notice that at review time, you actually do not seem able to recall that you have ever had a given sentence in your collection. You will quickly discover that you need active recall in order to remember. Active recall is a process in which you must answer questions. For example, you may be presented with a picture of Charles Darwin and be asked to recognize his face. In the long run, you need to replace passive review with active recall. Otherwise, your memory of the fact will not be permanently consolidated.

The fastest way of converting simple sentences into active recall material is to use a cloze deletion technique. In the cloze deletion technique, you convert simple declarative sentences like:

WW1 was precipitated by the assassination of Archduke Francis Ferdinand of Austria-Hungary by a Serbian nationalist in 1914

into question-answer pairs that can be used in actively stimulating your memory for best recall:

Question: WW1 was precipitated by the assassination of Archduke Francis Ferdinand of [...](country/empire) by a Serbian nationalist in 1914
Answer: Austria-Hungary

Question: WW1 was precipitated by the assassination of Archduke Francis Ferdinand of Austria-Hungary by a Serbian nationalist in [...](year)
Answer: 1914

Question: [...](war) was precipitated by the assassination of Archduke Francis Ferdinand of Austria-Hungary by a Serbian nationalist in 1914
Answer: WW1

Active recall in SuperMemo 2002

To convert a sentence to a cloze deletion in SuperMemo 2002, select the appropriate keyword in the sentence (e.g. Austria-Hungary, 1914, WW1, etc.) and choose Remember cloze.

Tip! Try to avoid using cloze deletion tools on conglomerate paragraphs. Your cloze deletions should be as simple as possible. Consequently, simplifying the parent paragraph to a simple statement will produce simple clozes that will require little processing. If you use Remember cloze on a longer multi-sentence paragraph, you will have to put extra effort on simplifying the resulting items. All cloze deletions should be short enough to ensure you read them entirely at repetition time. Otherwise, your brain will tend to "deduce" the answer from non-semantic clues. This will defeat the purpose of learning!

The active recall issue in representing knowledge is just a tip of the iceberg. You will need to master quite a number of skills that will ensure your knowledge is:

  • easy to remember

  • quick to process

  • highly applicable

You will hone those skills gradually in time. Your own mistakes will provide the best material for improvement.

Remembering knowledge

Forgetting has been the number one problem in learning for ages. All capable students know that it is not really hard to cram hundreds of pages of material before an exam. But a great deal of the learned knowledge is gone just 3-4 days later (esp. after an exhaustive all-nighter). 50% of the quickly crammed knowledge evaporates within a week or two. After a year or so, nearly all material is forgotten unless reviewed. It is easy to notice that the repetition is the key to remembering in the long run. Repetitio mater memoriae may date back to Horace (65-8 BC).

Spaced repetition and the review of the learned material is the key to efficient learning with high retention. The review algorithm has started the development of SuperMemo in the early 1980s and the first software implementation of SuperMemo in 1987 was based solely on repetitions of simple questions and answers.

Spaced repetition makes it possible to remember, by default, 95% of the learned material. You can program this retention level to fall between 90-99%. You can also determine the retention individually for each of the pieces of information subject to review. You can also use tools that will make it possible to substantially increase the flow of information into the learning process at the cost of retention.

Remembering with SuperMemo 2002

All material introduced to SuperMemo 2002 will be subject to review. This is all you need to remember:

  • on a daily basis choose Learn and go through the scheduled portion of the material (this will include whole articles, their fragments scheduled for review, cloze deletions and simple question-answer items)
  • if you proceed with your daily review until you get the message Nothing more to learn, you are guaranteed to remember, by default, 95% of the learned material

You will often introduce to SuperMemo more material than you are able to review. You will therefore also need to consider the following:

  • the proportion of the material you remember can be changed globally or for individual pieces of information
  • if your review takes too much time, you can slow down the process by which material stored in SuperMemo is actually introduced into the learning process by answering No to Do you want to learn new material? This will make excess material wait for learning until you master the material that has already entered the learning process
  • if you cannot keep up with review, you can choose rescheduling tools

Life cycle of knowledge

Knowledge subject to incremental reading will gradually be transformed and reformulated. This will also reflect changes to the corresponding knowledge in the reader's memory. Three main principles will underlie the evolution of knowledge in incremental reading:

  • decrease in complexity - articles will be converted into sets of paragraphs. Paragraphs will be dismantled into sets of independent sentences and statements. Sentences will be shortened to maximize the contents-vs-wording ratio, etc.

  • active recall - all pieces of information will ultimately be converted into active recall material such as question-answer pairs, cloze deletions, picture recognition tests, sound recognition tests, etc.

  • incrementalism - all changes will take place gradually in proportion to available time, with respect to material priority, and in line with the gradually increasing strength of memory traces

Success in learning is based on review and repetition. Changes to individual pieces of knowledge will take place in steps upon successive reviews. Here are exemplary steps that show a complete evolution of a single article into a finished question based on active recall:

  1. Imagine that you find an article on the net, e.g. The criticism of global capitalism, and you decide to read it and remember its key points for ever

  2. You import the article into the incremental reading process

  3. You read the article (e.g. once it tops your reading list or once its turn comes up in incremental reading)

  4. While reading, you extract most important paragraphs. One of these, let us say, refers to Kuznets hypothesis

  5. The extracted paragraphs will assume a separate life in incremental reading and will be scheduled for separate review, i.e. independent of the review of the parent article. The extracted paragraphs in the parent article will be marked as processed. Once all paragraphs in the parent article are processed, you will terminate the review of the parent article and keep on reviewing only its components (e.g. selected paragraphs)

  6. Upon the first review, usually after a few days, you read the extracted paragraph again and analyze it as to how it should be processed further. You may decide to postpone it, remove it from the learning process, shorten it or extract the most important sentences that you want to remember

  7. If you decide to extract a single statement in reference to Kuznets hypothesis it will again be marked as processed in the original extract and will assume a separate review cycle in incremental reading

  8. Upon the first review of the extracted sentence, you make further decisions as to its further life. Let us say, this is the wording of the Kuznets sentence: Acc to Kuznets hypothesis, growth (from the low income levels associated with predominantly agrarian societies) would first lead to an increase, and then to a decrease in income inequality

  9. In order to capture the essence, you would probably decide to shorten the above sentence to the following form: Acc to Kuznets hypothesis, growth would first lead to an increase, and then to a decrease in income inequality

  10. At the same time, other parts of the same parent article might establish a memory trace that would say that Kuznets hypothesis has been based on relatively weak empirical data. Moreover, recent research clearly indicates that the hypothesis is false (growth actually seems to equally benefit both the poor and the rich). You could then enhance the extract with words controversial or even recently falsified. For example, Recently falsified Kuznets hypothesis claimed that growth would first lead to an increase, and then to a decrease in income inequality

  11. Upon the next review of the same sentence, you may decide to convert it into a number of cloze deletions. This conversion will be incremental, i.e. you may decide to first create an cloze deletion asking about the name of the controversial hypothesis and only later ask about its actual meaning (the meaning is relatively easier to remember and shall survive longer in your memory without active recall). Your cloze deletion could then look like this:

    Question: Recently falsified [...](name) hypothesis claimed that growth would first lead to an increase, and then to a decrease in income inequality
    Answer: Kuznets

    This cloze deletion would again assume a separate life from the original sentence in which the keyword Kuznets will again be marked as processed. This is the original Kuznets sentence with one keyword marked as processed: Recently falsified Kuznets hypothesis claimed that growth would first lead to an increase, and then to a decrease in income inequality

  12. The same sentence will generate a few separate cloze deletions that will be processed independently. Upon the first review of the cloze deletion created in the previous point, you may decide to simplify it in accordance with the rules of formulating knowledge in learning:

    Question: Recently falsified [...](name) hypothesis claimed that growth would first lead to an increase in income inequality
    Answer: Kuznets

  13. Upon the next review, you can, but you do not have to, convert the cloze deletion into a standard question-answer item:

    Question: What is the name of the hypothesis that falsely claims that income inequality initially increases with growth?
    Answer: Kuznets hypothesis

  14. The above question-answer pair is probably as simple as it can only be. Certainly, it is simple enough to be relatively easy to remember. This item will be repeated in intervals determined by spaced repetition. You can decide how well you want to remember it. In SuperMemo, by default, it would be remembered with 95% probability of recall and require 5-15 repetitions in lifetime. The establishment of durable memory traces in your memory, completes the life cycle of this particular piece of knowledge. The only thing that remains is the memory-sustaining review in intervals ranging from months to years (as determined by spaced repetition)

  15. Once you convert all important keywords from the Kuznets hypothesis into separate cloze deletions, you will remove the original declarative statement with the hypothesis from the review process. You will continue repeating individual clozes and that will ensure your perfect recall of the hypothesis for as long as you deem necessary

Incremental reading

If you stop reading an article and return to it after a month or so, you may find it hard to understand the text due to the fact that the part read earlier will have already been partly forgotten while it might have built a solid introduction needed for understanding the remaining sections of the article.

In incremental reading, reading articles in small parts does not pose a problem. The parts read earlier enter the regular review process that ensures continual retention of all pivotal points. Even more, incremental reading encourages reading in small parts. This makes it possible to read many articles at the same time, and portion the inflow of information into the learning process in proportion to priority and available time.

Without spaced repetition, incremental reading would not be possible. This comes from the fact that only spaced repetition can ensure that you do not forget what you have read before. In other words, if you return to the same article in a week or in a few months, you will quickly recover the context and keep on reading as if you have read preceding parts just minutes earlier.

The advantages of incremental reading are numerous. All these advantages are interdependent. Good retention enables incremental reading. This provides variety which eliminates boredom, enhances attention and affects creative associations. Good prioritization enhances the speed of reading without affecting comprehension, and that in turn, eliminates the stress of fast reading (worry of missing important pieces of information) and the stress of massive reading (worry of losing track of one or more articles).

Here is the list of the most prominent advantages of incremental reading:

  1. knowledge structure and comprehension: Building knowledge in your brain is like assembling a jigsaw puzzle. Some pieces cannot be placed in the puzzle before the others. Some pieces capitalize on others. There is no point in memorizing facts about Higgs boson before you learn what a standard model is and that, in turn, should follow the general understanding of particle physics which itself requires some ABC of physics. In incremental reading, if you encounter texts related to Higgs boson you can manually delay it until the time you hope your Physics ABC will provide the ground for understanding. In traditional reading, you would just waste your time on reviewing Higgs boson material. Traditionally, your decision to skip the material would provide no definite way of coming back to material in the future. With incremental reading, you waste no time on reading material you do not understand. At the same time, you can safely skip portions of material and return to them in the future. You become the master of the conscious knowledge building process

  2. attention: Human brain has an in-built limit on the attention span. We all get bored with things. This is often true even with interesting articles once they get too long. Millions of people do a daily channel zapping on TV. This absurd activity is driven precisely by the craving for dense action and information variety. A gripping movie goes "too slow" for a typical channel zapper. This is why he or she prefers to watch three movies at the same time (even though the plot of all will suffer). Incremental reading is a perfect remedy to the limited attention span. Once you sense any sign of boredom or distraction, you can jump to the next article with few negative side effects. Unlike in the case of channel zapping though, you won't miss a bit of information. Just the opposite, you will maximize attention per paragraph. Your attention to the same piece of information may depend on your mood, amount of prior reading, today's interest that may depend on the piece of news you heard on the morning radio, etc. With incremental reading, you can fit your best attention to each individual piece of reading

  3. speed: Incremental reading will help you dramatically increase the speed of your first reading of a selected text. You can quickly jump from paragraph to paragraph, get the overall picture, mark fragments for later reading, mark fragments for detailed study, etc. You will be relieved of the greatest bottleneck of speed-reading: fear of missing important pieces of information. As soon as you suspect a quickly-reviewed paragraph may carry more importance than meets they eye, you can simply introduce it back into the review process (as opposed to backtracking and reading the paragraph again). Once you process the entire article, you can slowly digest it again from the very beginning in the incremental reading process. Incremental reading provides for speed-reading without detriment to comprehension

  4. prioritization: There are always many more articles at hand than you can hope to read. Evaluating articles and prioritizing them is difficult because you cannot do a good evaluation without actually reading a part of the article in question. In incremental reading, you can read the introduction and then decide when to read the rest. If an article is extremely valuable or interesting, you can process it entirely at once. Other articles can slowly scramble through the learning process. Yet others may ultimately be deleted. The prioritization will continue while you are reading the article. If the evaluation of quality or content changes while reading, so will the reading-review schedule. Prioritization tools will ensure that important pieces of information will receive better processing. This is one of the most important things about incremental reading: efficient fishing for pieces of golden knowledge!

  5. consolidation: Everything we learn must be reviewed from time to time in order to be remembered. If you read an article in intervals, you already begin the consolidation of memory which may save you lots of time. In traditional reading, you would need to read the whole article, and then to review the article later several times. With incremental reading, you can begin the consolidation-review cycle already during reading! By the time you convert parts of the material into clozes or question-answer items, you will already have it well consolidated. This pre-consolidation will often dramatically reduce the number of repetitions required before your material gets to be reviewed in long intervals of months and years

  6. creativity: spaced repetition will throw at you various articles, paragraphs, statements and questions in a most unexpected order. You will be surprised to discover how this affects your creativity and helps you generate unexpected associations of ideas. This will also provide your brain with an entertaining form of mental training that will be highly appreciated in all forms of professions based on intellectual performance. Critics of incremental reading, who have never tried the method, are not convinced this argument is really tenable. You may be skeptical too. There is only one sure way to convince you: give incremental reading a good try! Try incremental reading for a month at times when your brain is in its peak shape. If the processed knowledge belongs to the areas that are critically important to you, so much the better

  7. stresslessness: Once you know you can rely on spaced repetition in presenting review material for you, you can eliminate the stress and anxiety related to having too much to study or too much to read. You will probably not manage to read or learn all that you would hope for, but you will at least not lose sleep over planning and scheduling. You can devote all your energy to comprehension and analysis of the learned material

  8. consistency: If your material contains contradictory parts, your brain will alert you to this fact. In classical learning, you would often relearn new facts that would contradict earlier learned facts. Then you would relearn the older version again and this wasteful cycle might repeat more than once. In incremental reading, the same process can take place; however, there will be two mechanisms that will prevent it. High degree of retention guaranteed by spaced repetition will often make it quite effortless to immediately spot the contradiction: Wait a minute! I have already learned this fact and the answer was different! Unfortunately, even incremental reading isn't hermetic to contradiction (your retention actually never reaches 100%). The second mechanism will quickly produce the convergence of contradictory facts in time. If you, for example, learn two different answers to What is the size of human population?, say, 5.5 billion and 6 billion. You will naturally provide a wrong answer to one of these questions. Once you relearn it the new way, you will provide a wrong answer to the other question. Inter-repetition intervals for these two contradictory items will get shorter with each relearning cycle. The timing of repetitions of contradictory items will tend to converge. It is only a question of time when the red alert is raised by your brain. You will quickly resolve the difference and delete one of the items. Similar process will affect hazy or incompletely specified information. Your knowledge will grow in consistency with time

  9. massive learning: Massive learning is the consequence of all advantages listed earlier. Incremental reading will run a wide stream of knowledge through your memory. Even though human memory is painfully limited, you shall be able to read thousands of texts pertaining to different fields and quickly swell the size of your knowledge to your and others' benefit

  10. enjoyability: Those who can compare the classic learning with incremental reading will testify that incremental reading is by far more enjoyable. Monotonous repetitions are here interspersed with reading and analyzing new material

Incremental reading tools in SuperMemo 2002

To introduce an article to incremental reading - use Edit : Add a new article. This will introduce the article stored in the clipboard into the incremental reading process

To resume reading - once you return to an interrupted article, the cursor in the text will be set on the last-processed text. When leaving the article, you can also manually set the so-called read-point and the place where you interrupted reading

To schedule the next review - if you want to schedule a given article for review on a selected day, choose Reschedule

To add pictures - to add a picture to an article use Copy on the picture menu in your web browser and then Paste in SuperMemo

Using knowledge

I am not aware of the tools that could effectively help you use your knowledge for good causes. Luckily, as the knowledge grows, so does the ability to use it efficiently. Incremental reading can boost your knowledge but you must consciously avoid spending time on gaining knowledge for the knowledge sake. Applicability should remain the ultimate goal of learning


eSuperMemo

eSuperMemo Project L.Chwalinski, R.Ziembinski, F.Kierzek, M.Huk
eSuperMemo Project
University of Technology in Poznan, 1998-1999
eSuperMemo Project is a research project at the University of Technology in Poznan whose purpose is to investigate new technologies that could provide the basis of future commercial lines of SuperMemo. eSuperMemo is the continuation of the neural network SuperMemo project. eSuperMemo is web-based and runs neural network or algebraic repetition spacing modules. It is written in Java and supports XML. eSuperMemo is not intended for commercial use and there are no plans to include it in SuperMemo World's product range. The main purpose of eSuperMemo project is to provide conclusions and guidelines for future designs

Team members:
Leszek Chwalinski lechu@et.put.poznan.pl
Radoslaw Ziembinski radekz@gaja.sc.cs.put.poznan.pl
Filip Kierzek fkierzek@infomedia.pl
Marek Huk marekh@perfekt.pl

Team managers:
Bartosz Dreger btf@man.poznan.pl
Mikolaj Plazewski mikolajp@man.poznan.pl

Industry mentor:
Dr Piotr Wozniak

University mentor:
Ewa Lukasik lukasik@put.poznan.pl

Project supervisor:
Artur Michalski michalsk@sol.put.poznan.pl

MSE program co-ordinator:
Dr Jerzy Nawrocki jerzy.nawrocki@put.poznan.pl

Contents

A What is Super Memo

B The eSuperMemo project

B.1 Goals
B.2 Programming language – Java™
B.3 Implementation environment
B.4 Software Engineering approach

C Plug-in and the repetition module (by Radoslaw Ziembinski)

C.1 Introduction to plug-in and the learning process
C.2 Implemented algorithms

D The Engine Module (by Leszek Chwalinski)

D.1 Introduction
D.2 Placement of the engine in the system
D.3 Learning process
D.4 Scheduling process
D.5 Summary

E The DataBase Module (by Leszek Chwalinski)

E.1 Introduction
E.2 Design process
E.3 Implementation
E.4 JDBC-Technical Notes
E.5 The role of the JDBC in the project - summary

F Web Module (by Marek Huk)

F.1 eSuperMemo and future of the Web
F.2 Structure of Web module
F.3 File formats
F.4 Importing XML files into the database
F.5 Converting knowledge bases from SuperMemo 8.0 into XML format
F.6 Downloading files from the web

G GUI

G.1 Introduction – what is screen design
G.2 Screen design guidelines – lessons learned with SM98
G.3 Swing – the GUI library
G.4 eSuperMemo GUI

H Conclusion - Summary and future directions

H.1 What have we learned?
H.2 Open research problems

Bibliography


What is wrong with SuperMemo 98 interface?

Screen design guidelines:
lessons learned with SuperMemo 98 		Filip Kierzek
eSuperMemo Project, 1998-1999
University of Technology in Poznan
eSuperMemo Project is a research project at the University of Technology in Poznan that is run to provide guidelines for future versions of SuperMemo. The presented text refers to graphic user interface in the current line of SuperMemo for Windows. The author, Filip Kierzek, member of the e-SuperMemo team, presents a critical analysis of the SuperMemo 98 GUI design and points out the errors that should be corrected in future versions of SuperMemo. The author's opinion not always coincides with that of SuperMemo World and the text is annotated with hyperlinks to our official stance on individual points that is summarized at the bottom of this text in the section Our comments

If you would like to take part in the "interface debate" please do write to SuperMemoMail or leave your comments on our message board

Here is the summary of main GUI design errors as enumerated by the author:

  1. Violation of the minimum information principle in reference to the GUI design (our comment)
  2. Non-optimum density of text-to-space ratio in some dialog boxes (our comment)
  3. Excessive functionality that is likely to confuse the user (our comment)
  4. Redundant options in dialog boxes (our comment)
  5. Annoying tool tips (our comment) and "overassistiveness" (our comment)
  6. Non-optimum text formatting (our comment)

Introduction

Screen design (Chapter 23 of Handbook of Human-Computer Interaction) provided me with theoretical knowledge that I needed to avoid some common mistakes while designing the eSuperMemo GUI (i.e. graphic user interface). It provides a short look at the literature on the subject and concise overview of the guidelines presented in it. It also refers to many empirical studies on the subject that bring more science to the matter which may be viewed by some as inexact science.

Having learned the theory, I needed some practical skills that would make it possible for me to design the eSuperMemo interface. To do that I undertook the task of trying to find out how these rules applied to the latest commercial implementation of the SuperMemo method: SuperMemo 98 for Windows. From the start, I quickly realized that there is much to be learned from SuperMemo 98 mistakes. SuperMemo98 GUI is unintuitive and hard to use – I knew that ever since I started using it [see comment]. Until not lot long ago however, I did not exactly know why. SuperMemo 98 provided me with rich ground for such study therefore I undertook a systematic study of its interface. I looked at different pieces of SuperMemo and asked myself how were the rules of good design applied there. Some of the results of this investigation are used to illustrate the guidelines in the next section. An important point needs to be made. SuperMemo 98 is a good application. I have used it myself for relatively long time, and I need no convincing to the idea of optimally spacing repetitions. In fact I believe that the idea is too good to deny the masses access to SuperMemo by using a badly designed interface.

Each of the following subsections will deal with a particular aspect of the screen design. I will try to illustrate it with examples from SuperMemo 98 and sometimes from other programs. The examples will be both positive and negative with emphasis on the latter, as they are more helpful in learning. I do not give examples from the eSuperMemo. This has to do primarily with different goals our team was trying to reach in this project. The number of program’s features is minimum since we were not trying to create software that would match the product of years of development at a successful commercial company. Our product is experimental and it is a way to demonstrate a possible future direction for various lines of SuperMemo on the commercial platform.

Therefore this section, although it does not speak directly about eSuperMemo, explains rules of design that were used while designing the user interface in eSuperMemo. It is therefore included in the paper.

Amount of information presented to the user

Most guidelines specify that the amount of information presented to the user should be minimized by presenting only what is necessary to accomplish the task at hand. Determining what task the user is trying to accomplish it is usually difficult when dealing with feature-rich software packages of today. While the following example comes from SuperMemo 98, it is more characteristic for the previous versions of this program. It is a window showing various learning process parameters. Still in version 7.0 of SuperMemo, user’s ability to hide this information from the screen while learning was strongly limited. None of the information shown below should concern user while he is learning, since it takes away attention from what should be user’s primary concern: recalling information needed to answer questions and grading the quality of one’s response after comparing it to the answer provided by program [see comment].

eldata.jpg (61030 bytes)

Figure -1: Window with information about item currently learned

Once the optimal amount of information has been determined, information density considerations come into play. Information density in character mode screens has been defined as percent of available character places that have been used by characters. For graphical displays, the definition is more problematic. Analysis reveals that most textual elements in dialog box are black, and that typical MS Windows font used in dialogs (8 point MS Sans Serif) takes 57.6 pixels. Therefore, one can define information density for GUI as percentage of black pixels in a dialog box.

Analysis of 171 fixed size windows and dialog boxes from commercial Windows applications shows average density of 25%. [HCI] Interestingly, the average width and height of those windows are 402 and 305 pixels respectively, which gives them a ratio of 1.32, which is very close to width to height ratio for typical screen resolutions: 640x480 , 800x600 , 1024x768. All of them have 1.33 ratio. This is explained by the fact that conforming to this ratio maximizes usable space on screen.

Why is information density so important? If user is presented with information he or she needs to accomplish the task, their performance tends to deteriorate with increasing display density i.e. time and errors increase as the number of items on the display increase. SuperMemo 98 seems to be close to optimum in most cases. A strange exception to this could be the "Leech catcher" dialog box (available by choosing View : Leeches from the main menu). Its measured density of 2% (3.6% including the grays from grouping box 8% including the white spaces from check boxes) is much bellow the average for other software. This suggests wasteful use of screen real estate in this dialog, since by simple cropping of space from all sides the size of this dialog could be reduced by 50%. It turned out that the user could do this himself since this dialog box is resizable. But why? I have found no reasonable explanation for this [see comment]. While discussing this dialog, let’s turn our attention to another problem: functionality vs. the ease of use.

filter.jpg (31675 bytes)

Figure -2: south-eastern part of the "Leech catcher" dialog box.

What is the difference between the Close and Cancel buttons in above screen shot? If you don’t know, don’t worry – you are not alone. I asked this question to a group of friends – fellow computer science students. I received answers ranging from I don’t know to there is no difference. After examining the buttons with mouse pointer, a ToolTip explained to me that the cancel button would close the dialog and discard changes, while the close button would close the dialog and retain changes. The point to be made here is that the benefit of allowing user the choice of either changing the values in the dialog or discarding them is minimum and vastly outweighed by the cost of confusing most users, who are likely to use this dialog rarely [see comment]

Let us return to the problem of information density. The situation above is somewhat unusual since normally designers are faced with the opposite problem – how to reduce screen clutter while maintaining functionality. Recall the statement made at the beginning of this section – user should be only presented with information that is necessary for him to accomplish the task at hand. Keeping that in mind one might wonder why were the check boxes for choosing type and status of item searched left. A definition of leach item implies that it should be an item and that is has to be in memorized state. Why then allow user to chose otherwise in "Leech catcher" dialog box? Perhaps this is left to convey to the user information about what leech is? Why then allow the user to deselect those checkboxes by leaving them enabled, while disabling the other check boxes? [see comment]. It looks like the programmer who coded this reused the "element filter" dialog box in a weird way. And final question: would it not be better to add a button to this dialog that would set parameters typical for a leach instead making a separate "leech catcher" dialog box? [see comment]

Grouping

Grouping of information may perhaps be the most important element of screen design, since grouping does not only significantly improve the ease of information extraction, but also implies semantic relationships between grouped elements. Some guidelines referenced by [HCI] go further and try to explain why grouping improves user’s performance. To understand this, basic knowledge of how human eyes work is needed. Eyes balls are not moved by eye muscles continuously. Instead they travel is short rapid moves called saccades which last for about 150 milliseconds. When the eye stops for about 50 milliseconds, it is called a fixation. Human brain blocks the input from optic nerve during the saccades so that we do not see a blurred picture of our surrounding. Therefore the only time information is received is during those 50 milliseconds the eye has stabilized on something. The eye itself is constructed is such a way that we see clearly only the area of 5 degrees to each side of the fixation point. Therefore as a guideline to screen design it can be suggested that screen should be divided into 5-degree visual areas, so that they can be viewed with just one eye fixation. If area is larger than that it will require multiple fixations and therefore take longer to process. Average distance between user and the monitor is about 50 cm. Assuming most users today use 17" or smaller monitor with viewable area of about 16" at 1024x768 resolution, calculation shows that the maximum size of a group should be about 140 pixels in diameter. This number will be smaller for users using larger monitors (not common) and users who use their monitors in lower resolution such as 800x600. However, the second resolution is common use on the still very popular 15" monitors, in which case this size equals approximately 125 pixels. Therefore this second size should be the maximum single group diameter for a product targeted at today’s user base. This number however seems too small to be put into practice by most screen designers. Observation of few dialog boxes from MS Word and MS Excel applications confirms this fact. Perhaps other considerations were more important while designing these applications [see comment]

Grouping can be determined by many factors. The screen shot from SuperMemo 98 illustrates some of them. Most common grouping is achieved by the use of graphical boundaries. This is illustrated by the top toolbar where groups of buttons are distinguished by their embossed appearance. This is effective but somewhat visually confusing since buttons typically have two states: normal and pressed. Some of the buttons there appear pressed while other do not. To add to the confusion this effect is not used consequently, as illustrated by the button with red cross and others. Compare this to Microsoft Word screen where grouping is much more legible and does not cause confusion with button states.

In SuperMemo 98 grouping based on similarity of grouped elements can also be observed. This has been done for three different text format buttons on the lower toolbar of SuperMemo 98 window and for the three shape (circle, rectangle and rounded-edge rectangle) buttons. This technique used alone does not seem to provide enough visual cues. The line shape button should logically be in the group with other shapes, but since it does not contain any strong color it is visually separate. Microsoft Word also uses this technique, however relying more strongly on graphical boundaries. Here the similarity is more often achieved through shape similarity as in buttons for justifying text (not shown) or redo/undo buttons.

Placement of elements

As mentioned before it may be very difficult to predict what the user is trying to accomplish at any given moment. This implies that we will have to show user more information than he or she will use. Therefore, we need a set of guidelines to organize the layout of information that will facilitate finding what is needed from what is presented. The first commandment of screen designer is "to be consistent". One of the reasons MS Windows were so successful was consistency. User, having learned to use one application, could transfer all of his general knowledge about windows, icons, button, dialog boxes etc. to another application. He or she did not have to learn from scratch how to save or open a file, but only how to perform specific tasks of the application.

SuperMemo does seem to maintain consistency in placement of control elements. "OK" and "Cancel" buttons usually end up in the lower right of each dialog box, menus stay in the upper part of the window. It is however somewhat inconsistent with other typical windows application. An example of this might be the use of ToolTips, which first of all do not use the system setting for color (as set in Control Panel). Secondly, it often appear in cases when they are not really needed i.e. for buttons. While ToolTips are helpful if the user does not know what a given control does, they can distract and annoy power user, especially if they cannot be easily turned off by setting an appropriate option. Imagine a ToolTip that explains to you what it means that a grade is "bad" every single time during 100+ repetitions of items each day (this is quite a usual situation for many users of SuperMemo). [see comment] Before the ToolTip is shown next to the mouse cursor, it appears in yellow color in the status bar. This would not be a problem except that the status bar has standard windows gray color so that moving mouse over any control causes a strong change in the area of user’s peripheral vision. It immediately draws attention and distracts user from current task. Displaying a description of current control without changing the background would not impair usefulness of this help system, since users would still notice the change. This information could however be easily ignored by the user if he or she was not interested in it. We can conclude that SuperMemo seems to be "overassistive" at moments. [see comment]

Spatial relationships

Almost all guidelines specify that series of related data elements should be presented vertically in a list rather than horizontally in running text. HCI quotes results of Wolf who found that using vertical list alphabetized within each column resulted in 37% less time to locate list element that did horizontal lists in running text. Interestingly the worst time was achieved by text formatted into columns but alphabetized within rows rather that columns. It is worth mentioning that this is the standard format for DOS command "dir /w" used in column mode.

Furthermore, the alignment technique used within columns should differ depending on what type of data is being displayed. If data is of numeric type, it should be right aligned on the decimal points to make it easier to compare relative magnitudes of an item. It data is alphanumeric it should be left aligned to facilitate locating the beginning of each item, where presumably the user will want to begin reading.

1 | Filip
100 | Marek
1000 | Lechu
2324 | Radek
123 | Mikolaj
123123 | Bartek

Table -1: right aligned numbers and left aligned text

SuperMemo does not take the correct approach in this matter, which is easily observed in the Workload window, which displays the number of items planned for repetition each day of a given month. Note how everything is left aligned including the day of the learning process ("No.") and number of items planned for given day ("Reps"). User is also overwhelmed with the amount of duplicate information they are presented in the column containing the date. Is there any reason to repeat in each cell the month and year, since it is clearly stated at the top? [see comment]

The term label-data relationship refers to relative placement of data input or display control and it’s description label. There are two commonly accepted techniques for labeling above the control and to the left of it. The later has the drawback of wasting large amount of screen real estate if labels are highly variable in width. This is visible in the "Leech catcher" dialog box, which has been presented earlier [see comment]. Looking over dozen or so dialog boxes from MS Word, I noticed that it uses both types of label-data alignment. Labels are placed above usually in dense dialog boxes with lot different options to choose from such as "Font dialog box". When there is more space or the controls are arranged in the list fashion, the labels are usually placed to the left and are left aligned relative to each other.

workload.jpg (151456 bytes)

Figure -5: Workload window

Our comments

  1. Does SuperMemo have to be unintuitive? - Over the years we usually experienced a customer outcry in reference unintuitiveness each time new functionality was introduced. Historically, the most criticism was attracted by the following steps:
    • moving to the Windows platform in 1992
    • introducing the knowledge tree in 1995
    • departure from simple question-and-answer paradigm in 1995

    We have consistently demonstrated that such outcries are temporary and fade away as soon as we tackle the complexity with new solutions. For example:

    • the Windows version was accepted as an increasing number of users accepted the platform and as we were able to closely follow user criticisms as to the departure from Windows standards
    • the problem of knowledge tree became less painful with the introduction of categories which evolve and are enhanced with new functionality with each release
    • the problem of hypermedia was tackled with templates and a major breakthrough came in 1997 with Merge with template operation that continues to evolve to make templates come closer to styles known from Microsoft applications

    Last but not least, SuperMemo is a novel application with a number of new approaches that are truly difficult to bring to a first-time customer. In 1996, we opted for introducing the concept of levels and all new users are practically required only to become accustomed with two operations: Add new and Learn. The number of levels will be extended in the future and we are proud to be one of the few applications on the market that provide a true stepwise introduction of an inexperienced user into complex functionality of the novel aspects of SuperMemo

  2. Why is there so much data on the screen? - we agree with the idea of minimum information in proportion to a given task. However, we cannot agree that this pertains to the statistics windows. These windows do not standardly appear on the screen during the learning process. The user may but does not have to bring them up and use them during repetitions. Our research shows, however, that the more advanced the user is, the more likely he or she is to use F5 to bring up statistics windows during repetitions. Those windows present information that may or may not be useful in the learning process. Apart from most often inspected data such as the number of repetitions left in the queue (Outstanding) there is a great deal of information useful in managing information in accordance with Six steps to excellent memory. Individual pieces of data can be useful at different moments and there is no simpler solution than simply presenting all valuable information on the screen. The statistics windows should act as a flight deck for an experienced SuperMemo pilot who wants to supervise all critical parameters in flight
  3. Ugly dialog boxes may not result from bad design! - we agree that some dialogs in SuperMemo do not look well (as the presented Leech catcher example). The problem here does not come from design but from implementation. For some reasons the Scaled property for dialog forms in Delphi (the language in which SuperMemo was written) does not always work as expected. This results in wrong scaling (only in some combinations of resolution and font size setting) that makes dialog boxes look "bloated" with wasteful space on the margin. Once we figure out how to go around it, the problem will be gone for good
  4. Confusion: what is the difference between Close and Cancel? - Actually there is a difference between Close and Cancel in the leech catcher dialog box. Both buttons abort the leech hunt operation; however, Close saves the new filter setting while Cancel does not. If the users wants to quit leech hunting but still would like to save the newly selected leech parameters, he or she should choose Close. Naturally, we agree that in the contexts of the generated confusion, we should either remove the Close button or better document it
  5. Bug - all leeches by definitions are memorized items. Unselecting the Memorized checkbox does not have any effect and should be considered a bug
  6. Why are filter and leech dialog boxes separate? - One of principles of programming is orthogonality and reusability. This may sometimes conflict with the user-friendliness criterion; however, we disagree that this is the case with filter and leeches dialog boxes. Both dialogs use the same form and as such make it easier for the user to learn to use one dialog box after becoming familiar with the other
  7. Hints can be turned off - Hints in SuperMemo can be turned off (Window : View : Hints). As for the hint for the Bad grade button, we must disagree again. We agree it can be annoying for a power user (who can always turn hints off). However, our main goal at SuperMemo World is to bring SuperMemo to an ever increasing circle of users. We have confirmed again and again that theoretically SuperMemo might become as popular an application as word processors and spreadsheets (our surveys showed that many would rather part with their MS Word than with SuperMemo). The main reason we are still far from this goal is the difficulty in attracting a new user who may not necessarily be aware of his or her own need to own and use SuperMemo. On the other hand, many beginners ask repeatedly about grading. They do not know when to choose Bad and when to choose Null. Buttons hints are the shortest way to quickly assist new users with solving this problem. And this cannot be stressed enough: for a new user choosing grades can be a huge problem! A problem that can grow to proportions that actually may discourage many from continuing to use the program!
  8. The annoying flashes on the status bar - the idea of displaying hints on the status bar came from the simple limitation of Delphi (ultimately derived from limitations of Windows API) which does not provide tool-tip hints for menu items. We did not want the user to be left without assistance in his or her effort to understand individual menu items and we opted for displaying hints on the status bar (which at the time of implementing the idea was the simplest and most reliable solution we were aware of). However, we quickly realized that hints often go unnoticed and decided to make them show more prominently by setting them off to the yellow background. And yes: we do like the word "overassistive". As noted earlier, winning new users of SuperMemo is currently our utmost priority. We have seen it in hands-on research what simple obstacles can put a potential user off and we try very hard to make sure this does not happen. Rarely this effort should hinder a power users though. If you turn off hints with Window : View : Hints, the flashing on the status bar will be gone
  9. The attempt to compute the optimum size of a dialog box or dialog box group on the basis of the visual field focused on the macula is, to put it mildly, very controversial! This is not a matter of feasibility for interface designers! After all, interface designers are also users of software and they do have a reasonable sense of the comfortable!
  10. Workload alignment is ugly - we agree with this opinion. The reason is quite trivial. The workload is implemented using a very flexible and reliable TStringGrid component in Delphi. This component does not have an alignment customization for individual cells; not even for the whole grid. Custom grids can be designed as well but we did not find them reliable. On the other hand, the formatting of data in Workload has been a subject of unending storm of contrary ideas and propositions coming from users of SuperMemo. The observation that months do not have to be displayed in each row as the whole column is labeled with a single month is correct. However, we have received a specific request from a customer to add months and years in each row. Once this was implemented, others protested. Yet others proposed adding the day of the week! Ultimately we arrived to the conclusion that we will only be able to reconcile those different opinions by providing users with a selection of formats to choose from. This customization will be available in future releases


Knowledge Machine

Knowledge machine Piotr Wozniak, November 1994
This text was taken from P.A.Wozniak, Economics of learning, Doctoral Dissertation, University of Economics, Wroclaw, 1995 and adapted for publishing as an independent article on the Web in 1998. Please note that the World Wide Web explosion was yet to begin at the moment of writing these words

Knowledge Machine

The great appeal of science fiction comes from the fact that it forms an uninhibited forum for developing the vision of the future society; a vision that is free of peer pressure, peer review and the debilitating compliance with the publish-or-perish principle. Those who are familiar with the plot of the Demon Seed must have already experienced the overwhelming fascination with (or perhaps a fear of) the potential possibilities of artificial intelligence combined with an unlimited access to all sources of knowledge available on the planet. How would the course of time change with the development of the super-brain able to surpass humans in optimally responding to all imaginable questions?

This as yet untapped potential of the unlimited access to knowledge may not be as far away as it might seem at first. On one hand, the greatest obstacles on the way to developing the natural language interface to computers have already been overcome; the computational power and storage space being the last major factors. However, other branches of artificial intelligence did not fair that well (often because of the common underestimation of the extent of knowledge needed for implementing intelligence). Though the overall progress in artificial intelligence seems to be far from the point envisioned in the super-brain fiction, a different sort of tools and techniques creep into place with a potential to change the world as we know it; still with human factor playing the central role. The tools and techniques in question are global hypermedia [currently growing as World Wide Web]. Navigation in a convoluted hyperspace forms a relatively simple paradigm of immeasurable potential that is likely to drive us towards the future system for providing the unified global knowledge.

Seymour Papert from the MIT Media Laboratory has proposed the term Knowledge Machine to describe the ultimate product of the present efforts oriented towards modern knowledge access systems (Kantrowitz 1994). Primitive harbingers of the Knowledge Machine have already arrived in the form of the World Wide Web, multimedia CD-ROM knowledge systems, interactive television, and other components that will ultimately bring us all to the same focal point.

The early hypertext systems have now been extended by addition of audio and video. Virtual reality comes next with touch, smell and even taste coming over the same channels

Technological and economic feasibility of global hyperspace

In the meantime, Information Highway is a hot topic at both sides of the Atlantic. If all goes as planned, Microsoft and McCaw Cellular will launch 840 communications satellites by the year 2001 to provide a quick link to all spots around the world. These are exemplary components of the nervous network of the future global brain. What is now available as a hypertext page, because of the expansion of the bandwidth, will in the future be a great literary work, documentary photograph, a movie, latest video of George Clinton, and whatever pieces of global information resources one could imagine. This will not exclude all papers published around the globe, weather reports for all regions and for all days available in history records, family trees, stock market quotations, etc. NB: Wall Street on a desktop is already a reality at a moderate price through on-line financial bulletin boards and databases.

The question arises about the feasibility of handling this magnitude of data with present technology. As far as storage capacity is concerned, there seems to be no major bottleneck. Consider, for example, the fact that the entire Library of Congress has been estimated to comprise 25 terabytes of information, while standard optical library units (the popular "optical jukeboxes") are already approaching the capacity of one terabyte. Moreover, the concept of distributed processing seems to provide the ultimate answer to the problem of resources with the exception of the bandwidth aspect. Present telephone systems are fully switched two-way networks, but they lack the bandwidth to support, for example, multiple video channels. On the other hand, broadcast and cable television provide the necessary bandwidth but these are not two-way links (though cable TV is soon to get into the picture). Two thirds of all U.S. homes are already wired for cable TV (1993), and the entire suite of hardware necessary to put the visions into effect is already there.

The aspects of information system architecture are in place as well. Some concepts have already appeared to beat all records of popular appeal. For example, Internet, founded in 1969 by the Pentagon, connects at present more than 2.5 million computers across the globe (1993), and the number is doubling every year. The most spectacular application of hypermedia among the systems that obscure the underlying Internet computer network is the already mentioned World Wide Web that can be viewed as a globally distributed knowledge access systems; sort of multipurpose, multitopic, extensible and never obsolete encyclopedia (see Schatz 1994 for review).

The addictive power of solutions such like the World Wide Web, and their ability to penetrate the popular ranks of the society is well illustrated by the success story of the Minitel system in France. The French have already got hooked on their primitive memoryless systems plugged into the ordinary phone system.

All in all, the hardware and software solutions are there, the demand and appeal are more than is needed, the last question remains of the financial aspect of the entire enterprise. It has been predicted that the global network is likely to cost more than a trillion dollars worldwide over the next 20 years (McGrath 1994). It is interesting to note, that since 1991, the U.S. capital spending on computers and communications has exceeded the outlays for heavy industry. These and related spendings are expected to rise dramatically as demand and benefits enter the self-propagating spiral.

Infosociety or global infobabble

Let us go a step further into the future and imagine fully decentralized global hypermedia. One of the premises of success is extensibility. By driving the extensibility to the extreme, every privileged user of the network should be able to contribute to the global hyperspace contents; seemingly a very attractive and democratic concept of the plug-in-and-go modules of the global nervous system. Call it information democracy, critics say that the consequences may be disastrous. Put simply, we will get buried in the glut of unpreprocessed information.

Opinions are split on the question if users are competent to build the cyberspace by themselves. The often quoted example is that of a medical diagnosis, that in the eyes of many, cannot be relied on the resources of the discussed information community. The solution is to introduce information reliability categories and to differentiate sources to those that are respectively subject to global expert panel review, peer-review, popular review, etc. not excluding uninhibited free-lance publication. This would result in the distinction between knowledge, facts, opinions and free informational art.

The concept of information democracy would include then the global ability to rank sources, topics, keywords, hypertext links, etc. by popular or expert vote. The user might be in position to impose a reliability filter on the accessed hyperspace, and individually balance the reliance on popular and expert opinion. By extending the reasoning of the skeptics, one might fear informational glut as a result of global proliferation and dissemination of printed matter. The only rational answer to the infobabble dilemma is that the ultimate outcome will depend on the overall architecture and organization of the system, and it is only a question of time before all the check and balances appear in place.

Processing attributes and repetition spacing tools incorporated in the hyperspace

I devoted a great deal of the presented dissertation to discussing the applications of repetition spacing in learning, education, and more generally, in personal management of individually possessed knowledge. Earlier in the chapter, I also introduced the concept of semantic, processing and ordinal attributes that would enhance human navigation in hyperspace. These attributes seem necessary to counteract the knowledge access problems encountered in the design of just-in-time learning systems advocated by Roger Schank (Williamson 1994).

I hope that I earlier succeeded in demonstrating that the concept of Knowledge Machine will gain greatly on its attractiveness by adapting to the known properties of human memory and cognition. After all, humans will continue playing the key role in managing the resources of the Knowledge Machine and tapping its potential for the global benefit (at least until the arrival of the true artificial intelligence).

The encapsulation of processing attributes will account for human perception in terms of processing speed and memory. In other words, processing attributes are absolutely necessary to optimize the access to knowledge sources.

On the other hand, self-instruction systems based on repetition spacing form another crucial extension to the Papert’s Knowledge Machine. After all, the progress of sciences, technological innovation and social change all originate in the human brain. The outcome of information processing in the brain depends on its factual and inferential information contents. These, in a vast proportion, come from what we learn in the course of our lives. That’s why the conscious choice of the learned material with the full rational management of the remembered knowledge form such a decisive component. As I showed earlier, repetition spacing is the only way towards this conscious choice and rational management.

The main difference between the proposed extensions: processing attributes and repetition spacing tools is that only the latter is knowledge dependent. In other words, processing attributes are established by standard tools and are characteristic to an individual user of the system. On the other hand, repetition spacing (which is also based on standard tools and includes the individual component in the form of the learning process) makes use of knowledge items that belong to the knowledge system itself. Consequently, the formulation of knowledge items associated with particular topics in the hyperspace should comply with analogous principles as the topics themselves. This includes informational democracy, extensibility, reliability rankings, etc.

Though processing attributes pertain entirely to the individual needs and preferences, it is not so with the structure of the hyperspace itself. After all, for the same collection of topics, there can be a number of alternative approaches to the selection of hypertext and hotspot links. As a consequence, the organization of the hyperspace might also undergo individual change. This could be accomplished by the differentiation between individual and global links. The establishment of links might also be subject to popular preference rankings like in the case of the contents of particular topics.

Global impact of the Knowledge Machine

There seems to be little doubt in the field that the Papert’s Knowledge Machine will arrive sooner rather than later; perhaps limited in some aspects as compared with the presented discussion. It should bring untold benefits to global welfare, and promote that what UNESCO calls the culture of peace. Will it reduce interpersonal relations between people? It’s up to people themselves. It is also up to socially accepted systemic solutions. Indeed the arrival of wireless phones resulted in secretaries carrying their mobile phones down to the ladies’ room. That’s, however, just an element of corporate culture which is a fluid concept. Definitely telecommuting will become a mass reality. The appearance of powerful multipurpose PDAs will let anyone, at any place and time, access any piece of information located anywhere in the world. Reversely, it might also be harder for humans to look for niches of individual freedom and contemplation. Again, systemic solutions might prevent the negative aspects of the latter

And finally, will the flash of human civilization wane with the advent of artificial superintelligence? Will humans play secondary role in the eternal quest for understanding, or will they transform their self into new quality that will remain in the center of cosmic events?


Knowledge structuring for learning

Knowledge structuring and representation in learning based on active recall Piotr Wozniak, 1994
This text was taken from P.A.Wozniak, Economics of learning, Doctoral Dissertation (1995), and adapted for publishing as an independent article on the Web (P.A.Wozniak, Apr 23, 1997). For an equivalent text written in popular-scientific language see: 20 rules of formulating knowledge for learning

In this article I will attempt to show that it is feasible to dismember learned knowledge into small pieces that can be attributed to individual semantic units of topics in a knowledge system subject to a learning procedure. I also predict the inevitability of such an approach in future self-instruction systems based on active recall.

We will discuss elements that, independently of the repetition spacing algorithm (e.g. as used in SuperMemo), influence the effectiveness of learning. In particular we will see, using examples from a simple knowledge system used in learning microeconomics, how knowledge representation affects the easiness with which knowledge can be retained in the student’s memory. The microeconomics knowledge system has almost entirely been based on the material included in Economics of the firm. Theory and practice by Arthur A. Thompson, Jr, 1989. Some general concepts of macroeconomics have been added from Macroeconomics by M. McKenzie, 1986, while the mathematical capsule items have been taken from Marketing Research by David A. Aaker and George S. Day, 1990.

  1. Knowledge independent elements of the optimization of self-instruction

  2. Knowledge representation issue in learning

  3. Components of effective knowledge representation in active recall systems

  4. Sequencing items in the stepwise process of acquiring associative knowledge

  5. Techniques for minimizing the complexity of synaptic patterns as a key to keeping A-factors high

  6. Planned redundancy as a way to cross-strengthening synaptic patterns

  7. Complexity of wording vs. comprehension

  8. Additional functionality encapsulated in items

  9. Summary of knowledge representation issues in learning

Knowledge independent elements of the optimization of self-instruction

Before I move toward representation of knowledge, I would only shortly like to list some other principles of effective learning that are representation independent:

  • because of the atomic nature of knowledge implied by the principles of repetition spacing algorithms such as Algorithm SM-8, repetitions of question-answer items must not be equated with learning per se. In the process of learning, the coherent graph of semantic links between elements of the learned material is formed. This graph can be constructed by means of item-by-item build up; however, a standard textbook, hypertext document or interactive tutor will always have an efficacy advantage because of no implied granularity constraint. In other words, one should always learn first, and only then work with a repetition spacing system in order to retain the newly formed memory engrams over a longer period of time. An important note is due here: granularity of knowledge in repetition spacing is an inherent characteristic of human memory rather than a drawback of the method. After all, it does not prevent an associative nature of knowledge as stored in memory. It affects only the way stimuli are presented at repetitions in order to maximize the memory effect.
  • a fundamental principle of learning is to apply active recall rather than passive recognition. Active recall is more demanding from the memory consolidation standpoint, and it is closer to matching the real life situations with respect to what sort of synaptic connections should be strengthened.
  • the degree of concentration on the learned or repeated material has an enormous impact on the effectiveness of learning; however, it is in major part knowledge system-independent and cannot significantly be influenced by a knowledge system developer
  • the inherent phenomenon associated with repetition spacing algorithms is the accumulation of material in cases of breaks in learning. This imposes a moderation constraint on the student, as piling up outstanding repetition material negatively affects the student’s attitude towards the learning process
  • finally, a whole range of mental and physical health aspects affects the learning process, but these consideration reach far beyond the scope of the presented text

Knowledge representation issue in learning

It has been known for ages that the way knowledge is represented affects the way it is remembered, and consequently, the degree of how easily it can be retained in memory over a longer period.

The art of mnemonics is as old as the art of learning, and professional mnemonists, with their trained memory capabilities, can truly leave an average mortal speechless in face of top mnemonic feats. Indeed, the mnemonic techniques are very easy to apply, and most of capable students, more or less consciously, use them in their daily routine. However, by conscious understanding of the rules and principles, even the best students can gain a great deal.

The basic principle of mnemonics, from the neurobiological point of view, is to build memory images from as many previously stored engrams as it is only possible. As visual processing in the human brain seems to involve much more sophisticated circuitry than, for example, verbal processing, extensive use of visual imagery is a key to success. Instead of memorizing a nonsensic telephone number, the student can memorize a collection of visual scenes unequivocally mapped to numbers, and generate a unique, easily memorizable sequence of graphic events that can serve as an effective way of representing the number. Recalling the phone number can then be equivalent to invoking the stored visual event and translating it to the sequence of digits, or more often, to a sequence of two-figure numbers. As I will try to argue in later paragraphs, minimizing the number of synaptic connections involved in storing memories is the key to maximizing retention over a longer period. Representing new memories as easily recoverable composites of old memories serves exactly that end.

To simplify the discussion of knowledge representation issues with respect to the complexity of neural connections involved in storing particular engram, I will shortly introduce a concept of a synaptic pattern.

As early as since the introduction of sensitive neural activity measurement techniques, it has been known that memories can be associated with spatiotemporal patterns of synaptic activity, or synaptic patterns in short. There exists a substantial terminology confusion as far as naming the concept of the synaptic pattern is concerned. Therefore, it is worth noticing than in relevant literature, the notion of synaptic patterns, often devoid of its temporal component, might be used more or less synonymously with terms such as: cell assembly, neural structure, synaptic structure, synaptic net, synaptic activity pattern, etc.

As I will try to show in the chapter devoted to biological aspects of memory, the complexity of synaptic patterns is likely to be in strict correlation with item difficulty (e.g. as expressed by the A-factor). It is therefore central to understanding the principles of effective representation of knowledge in self-instruction systems based on active recall and repetition spacing.

Items that do not comply with minimum complexity of synaptic patterns will, in the course of repetition, gradually experience loss of its components. In other words, memory will accomplish natural selection of the core synaptic pattern with elimination of all additional connections that do not get uniformly stimulated at repetitions. In later sections, I will use the term pattern extraction to describe the phenomenon of selecting the core synaptic pattern in the course of repetitions

Components of effective knowledge representation in active recall systems

All the principles of effective knowledge representation discussed in the following section come from years of experience in developing knowledge systems for my own use, as well as from a continuing opportunity to study the relationship between item difficulty and knowledge representation in knowledge systems developed by users of SuperMemo, many of whom seek professional advice before embarking on major knowledge system development, or equally often are eager to share their own experience and problems encountered while applying repetition spacing in all imaginable learning domains.

The following are the five thematic groups related to knowledge representation in self-instruction systems based on active recall:

  • the sequence in which particular items are stored in the knowledge system as a element of effective build-up of intricate knowledge structures in the student’s brain
  • minimization of the synaptic pattern complexity by application of principles such as minimum information principle, narrowing by example, metaphoric approach, vivid approach, graphic approach, deletion, graphic deletion, mnemonic techniques, enumeration techniques, eliminating interference, etc.
  • redundancy in establishing synaptic patterns as a means of minimizing the damage to associative knowledge structures via forgetting (using passive and active approach, flexible repetition, reasoning clues, derivation steps, etc.)
  • wording optimization as a means of affecting error rates, stimulation specificity, response time, concentration, etc.
  • knowledge independent functionality (sourcing, subdomain classification, update markers, etc.)

In the five following sections I will address all the above thematic groups individually using examples from the aforementioned knowledge system on microeconomics

Sequencing items in the stepwise process of acquiring associative knowledge

The most important rule in sequencing items is inherently related to the learning process in general. The progression must go from basic concepts through foundations to more intricate and detailed issues. In all forms of learning, this principle derives from the need for comprehension, which obviously is greatly reduced when the student is thrown at a deep end at once. In application of repetition spacing with low forgetting index, this approach has also another important aspect. As in this form of learning, forgetting plays an insignificant role, the student is likely to experience the phenomenon of new pieces of knowledge nicely slotting in in the already established structure. This might affect the sequencing algorithm by moving it from truly basics-to-details approach to first-comprehended-first-memorized approach which dispenses with the need for full comprehension at the first contact with the newly learned material. This way the student will less likely experience the feeling of getting stuck because of his or her inability to comprehend some concept and, at the same time, reluctance to proceed any further out of fear of snowballing incomprehension. Thus, in the first pass of the material, the student will memorize only those components that have been comprehended, and hope that the slotting-in phenomenon will eliminate of comprehension gaps in the second pass.

The basics-to-details approach may be combined successfully with the most-applicable approach, in which the student delves more rapidly into details of those parts of the material which are most frequently referenced in other parts. This enhances the slotting-in phenomenon, which is one of the strongest motivational factors in learning, providing the student with the sense of accomplishment.

There is no cut-and-dried algorithm for optimally sequencing items then, however, in slightly more formal terms, the optimum sequencing might be defined as bicriterial optimization in which the following two factors are considered:

  • primitiveness of the considered item, i.e. number of semantic dependencies on other items in the sequenced group
  • applicability of the item, i.e. the frequency with which the item appears in semantic dependencies of other items (or if it can easily be quantified, the frequency with which the item is more or less directly referred to in the learning materials accompanying the database, or even in the daily application of the learned knowledge in real life situations)

As an example let us consider the definition of the concept of production in economics. Production is commonly assumed to be synonymous with manufacturing. However, a more accurate and useful definition of production, from the economic analysis standpoint, is as any activity that creates value. The following item placed in the student’s memory is likely to profoundly affect the students interpretation of the concept:

Q: What is production?

A: any activity that creates value

As it will be shown later, it is always recommended to apply both the ability to associate the name with the concept, as well as the concept with the name; therefore, the following mirror item should also appear in the same database:

Q: What is the name of an activity that creates value (in economics)?

A: production

In the analysis of the aspects of production in economics, a more precise definition of production maybe useful for the sake of classifying its nature from the cybernetic standpoint. As the above definition provided an intuitive understanding and severed the link between production and manufacturing, the definition presented above, not quite consistent with the previous approach may have greater applicability in cases where the production process becomes the focus of more detailed analysis, esp. using economic models: "production is a series of activities by which resource inputs are transformed through a recipe and technological process into outputs of goods and services". Because of the fundamental nature of the concept, the very exact imprint of the above definition may be considered a valuable asset in building more advanced facets of knowledge of economics. The difficulty with basic concepts is that they are so basic that they cannot be asked for in yet more basic terms. Questions like "what is production?" demanding the by-heart recitation of the definition, as it will be shown later, entirely misses the point of building true comprehension (cf. simplicity of synaptic patterns and specificity of synaptic stimulation). Simplifying the answer to "series of activities" and following it with a number of items that define the "activities" is also inadmissible because of a number of adequate substitutes for "series of activities" like, for example, "any activity that creates value", and many more. Here, a very valuable, and often underappreciated tool of Cloze deletion comes handy. Consider the following wording of items:

Q: Production is a series of ... by which resource inputs are transformed through a recipe and technological process into outputs of goods and services

A: activities

similarly, Cloze deletion should generate items in which the following terms are missing in sequence: "resource inputs", "recipe", "technological process", "outputs", and "goods and services", so that to finally arrive at:

Q: Production is a series of activities by which resource inputs are transformed through a recipe and technological process into outputs of ...

A: services

The question arises if the aforementioned set of items will generate the desired effect which is the comprehension of the concept of production along the definition provided earlier. The experience shows that despite seemingly high degree of dissociation between the particular components of the learned concept, the presented items appear to produce a solid imprint in the students memory that not only provides a firm support for stable comprehension, but also makes it possible to effortlessly recite the entire definition of production. E-factors for such constructed items typically fall into the range from 2.0 to 2.8 depending on other elements affecting memorization with interference as the most prominent factor. Despite a larger number of items, this is a sure guarantee to produce less workload than in the case of cramming the entire definition in the answer with E-factor most likely to drop below 1.5.

For contrast, let as consider the following item that appeared to show a high degree of intractability because of the lack of respect for basics-to-details approach:

Q: What is discount rate?

A: interest rate charged by the FRS on loans to member banks

This item was frequently forgotten because it was not backed up by other items in the same database that would result in understanding the acronym FRS (Federal Reserve System), and consequently the concept of a member bank. This made the definition of discount rate leave little semantic connotation forcing the student to assume syntactic approach to memorization which is nothing else than mindless cramming with very poor retention prospects.

Techniques for minimizing the complexity of synaptic patterns as a key to keeping E-factors high

The most important principle of effective knowledge representation in systems based on active recall and repetition spacing is minimization of the complexity of synaptic patterns involved in storing memory engrams (Wozniak, 1990). This principle translates to keeping the content of question-answer items simple, specific, graphic, consistent, comprehensible and univocal. The main purpose of such an approach is to make sure that the spatiotemporal pattern of firing during the learning task is the same in each successive repetition. In other words, there should be minimum change to the synaptic pattern in the course of repetition as a result of pattern extraction. The entire concept of optimum repetition spacing is based on dealing with uniform pieces of information whose memory engrams are uniform and stable, and consequently can be treated as atomic entities. If the neuronal firing was to change its course over a number of repetition, a subset of synapses in the relevant synaptic pattern would not receive sufficient enhancement resulting in partial loss of the learned information.

Using examples from the microeconomics database, I will show all the distinguishable facets of minimization of synaptic patterns involved in representing individual pieces of information stored in the database.

Comprehension

It has been strongly pointed in the preceding section that the basics-to-details approach is, among other things, supposed to ensure the maximum level of comprehension. Here I will only note that comprehension is indeed related to the minimization of the complexity of synaptic patters that is the subject of this chapter. Nonsensical phrases or concepts involve a much greater number of neurons in the process of learning. Low-level electrical measurements showed that the neural activity is higher in cases of memorizing nonsensical words as opposed to natural words. Similarly, PET scans show that the brain activity of people exhibiting high IQ is much lower during performing a learning tasks that it is the case for low IQ students. Finally, it was shown that memory for people’s professions is more stable than the memory for their names. This was explained by psychologists as being related to the fact that well-established synaptic patters representing various professions are usually not matched by similar patterns that could be used easily used to represent names, esp. surnames.

Minimum information principle

Minimum information principle is the most obvious consequence of the approach based on minimum complexity of synaptic patterns. In order to keep the memory image of items simple, items should be simple themselves.

Let us consider the shortcomings of competitive markets such as unequal distribution of income, imposition of production costs on the public, development of socially undesirable products, product proliferation, etc. The minimum information principles says that the question "What are the shortcomings of competitive markets?" cannot be accepted because of the complexity of the answer. In such situations, solution comes from narrowing the focus of the question; the approach which often requires additional terminology and knowledge structuring, and is generally more demanding for the database developer. A typical question with a narrower focus might sound as follows:

Q: What problem with distribution of income appears on a competitive market?

A: income is concentrated in the hands of few

or,

Q: What is an example of imposing production costs on people who do not consume in competitive markets?

A: environmental pollution

The set of specific questions as those presented above produce a very high level of knowledge retention; however, the question arises if it is equivalent with the student’s being able to pinpoint the most important shortcomings of competitive markets. The experience shows that a number of items that would glue the above granules in a coherent entirety is necessary. This can conveniently be accomplished by means of Cloze deletions discussed later in the chapter. For example:

Q: The main shortcomings of competitive markets are:

- redistribution of income (the haves & have-nots)

- imposition of production costs (pollution)

- ... (illicit drugs)

- product proliferation (standardization issues)

A: socially undesirable products

The examples associated with particular shortcomings of competitive markets presented above serve as a vivid enhancement and comprehension booster, but their main function is to make it easier to track the missing clause. After all, as it will be shown later, enumerations are one of the trickiest obstacles to overcome in complying with the minimum information principle. The presented Cloze deletion serves as: (1) tool for mastering the terminology related to the discussed shortcomings, while the conceptual answer is indeed strongly suggested by examples accompanying the enumerations, (2) graphic skeleton for hooking up pieces of knowledge acquired by narrow-focus questions as presented earlier.

A yet more complex knowledge structure appears in the analysis of tax revenues in an attempt to plot the Laffer curve for European countries in the years 1975-1982. Upon the analysis, on the two ends of the spectrum, notable examples of two countries are worth considering: Sweden and Spain. The former, with the average tax rate of 49% showed 12% decline in tax revenue, while the latter with the average tax rate of 23% experienced a remarkable increase in tax revenues of 60%. Naturally, a single item cramming all the above facts has little chance of passing the minimum information criterion. Consider then the following items intended to ensure the student’s recall the facts related to tax rate vs tax revenue relationship:

Q: What was the average tax rate in Spain 1975-1982?

A: 23%

and

Q: What was the change in the tax revenue in Spain 1975-1982?

A: 60% increase

Unfortunately, similar questions asked for Sweden do not form a coherent memory image that would allow the student recall the entire collection of information pieces that make up the understanding of the relationship illustrated by the Laffer curve. Naturally, the understanding does not need examples. The theoretical implications of marginal tax revenue might be considered as a sufficient element of understanding; however, the usefulness of facts illustrating the theory has long been appreciated in education; I will therefore present for consideration an exemplary set of items acting as an associative glue for the discussed tax revenue case:

Q: In the years 1975-1982, the average tax rate and the tax revenue in Spain and Sweden were as follows:

Spain: ...% and 60% (respectively)

Sweden: 49% and -12% (respectively)

A: 23

and in a similar way:

Q: In the years 1975-1982, the average tax rate and the tax revenue in Spain and Sweden were as follows:

...: 23% and 60% (respectively)

Sweden: 49% and -12% (respectively)

A: Spain, etc., etc.

Items formulated in the above way appeared to produce very coherent memory engrams that showed above average retention rate despite the inherent intractability of numeric responses (as in the first of the two presented examples).

Narrowing by example

Narrowing by example is a very efficient way of making the question-related stimulus more specific and thus more successful in imprinting durable memories.

The concept of the price ceiling may be enhanced if a narrowing example of goods that might be subject to government imposed price ceiling is provided. Moreover, the example makes the definition of price ceiling more specific; hence the increased likelihood of diminished complexity of the synaptic pattern, and minimization of pattern extraction.

Q: What is the name of the price specified by the government above which goods cannot be sold (e.g. medications)?

A: price ceiling

In the example above, the phrases "(e.g. medications)" serves as the means of narrowing by example. Similarly, the illustration of competitive nature of pork versus beef helps narrowing by example in the definition of horizontal markets:

Q: What is the name of markets for products that can act as substitutes (e.g. pork and beef markets)?

A: horizontal markets

Note, that examples placed in the answer field will often act in the opposite way than it is the case above. The next section will discuss the various aspects of information redundancy in knowledge representation. In that context, the technique of extending by example will be presented.

Metaphoric approach

Reusing previously formed memories is the key to minimizing the complexity of synaptic patterns. This gives the preference to metaphoric rather than literal presentation of the drilled material.

The difference between demand and quantity demanded is that demand is described by the quantity-price curve, while quantity demanded is the value of demand for a given price level. The answer to the question "What is the difference between demand and quantity demanded?" might assume quite intricate wording if the above explanation was to be the way of grasping the learned difference. Instead, by extracting the essential nature of the difference in question, the following approach may be taken:

Q: What is the difference between demand and quantity demanded?

A: same as between a curve and a point

This approach is by far more effective in ensuring the student’s comprehension, and what is equally important, the resulting E-factor is, in most cases, very high. The recommended extension to the presented answer might be placed in parentheses with, for example, the following wording: "demand is described by the quantity-price curve, while quantity demanded refers to a single point on the demand curve".

Let us yet consider an example in which the metaphoric approach goes yet a step further by using nearly poetic language in order to describe economic concepts. In technology and innovation theories of profit, the creative effort of firms competing on the market can be translated into economic profit. In other words, technology and innovation are used to level monopolistic advantage of competitors, or to unbalance the conditions of perfect competition. By destroying the old, technology and innovation generates above normal profit. Here is a catchy item that is bound to show high E-factor value:

Q: What is the figurative statement that accurately reflects the working of technology and innovation in generating profit?

A: perennial gale of creative destruction

Note, that the later-discussed vivid and graphic elements in memorized items serve exactly the same purpose as the metaphoric approach: capitalizing on existing memories, or even on inborn neural structures, to form steady memory engrams.

Vivid approach

Formulating vivid, or even shock-evoking items, serves exactly the same purpose as metaphoric approach. The main difference here is that metaphoric approach capitalizes of existing declarative memories, while vivid approach makes use of the power of memories associated with circuits responsible for generating emotional impulsation. Here, derogatory terminology, humorous statements, reference to esthetics, taste, basic instincts, sex, etc. may serve as a powerful instrument enhancing memories. Additionally, vivid approach adds extra attractiveness to compliant databases, acting as a very desirable motivational factor.

In the world of business, the very typical approach to optimization of the firm’s performance is based on experience, intuition, guesswork and pure drive toward satisfying managers’ fancies. This drove a flock of business writers to mock the merits of economic analysis, and even to discourage potential graduates of business schools from enrolling. After all, the reasoning goes, there is no better school than running one’s own business oneself. The damaging impact of such an attitude has annoyed top economic brains more than once, and gave plenty of scope for derogatory statements, often tinted with emotional overtones. Instead of providing here the statistics referring to the career record of the graduates of Harvard School of Business, a single vivid statement of a noble scholar might serve as a sufficient incentive to study the theoretical aspects of running one’s own business:

Q: What was the opinion of Herbert Simon about the companies’ attitude toward profit maximization?

A: managers satisfice as they do not have wits to maximize

Additionally, adding a statement in parentheses indicating the Herbert Simon’s authority (Nobel prize in economics) might enhance the emotional overtones of the statement by providing a sharper contrast between the wisdom of a scholar and the close-mindedness of the gray mass of smug and self-satisfied business managers.

Graphic approach

The third technique based on capitalizing on previously established memories is the graphic approach. In previous sections, declarative memories and emotion memories have been employed. Graphic approach makes use of the powerful visual processing capability of the human brain. It has been discovered long ago that visual memories are by far more stable than verbal memories. Indeed, the core of mnemonic techniques makes use of the visual processing capabilities to enhance memory retention. In graphic approach, graphs, illustrations, photographs or video clips are used instead of verbal descriptions. As it will be shown later, textual representation of knowledge does not preclude graphic approach; nevertheless, it is usually a graphic figure that makes the most straightforward solution.

Enumeration techniques

One of the most fundamental principles in minimizing the complexity of synaptic patterns is to consequently avoid enumerations. Enumerations, especially with respect to sets as opposed to ordered lists, can be shown to result in an ambiguous impact on generating synaptic patterns. This can be observed even at the behavioral level, when at producing the response, the student is likely to stray with his or her thoughts, often producing the elements of the set in different order at each particular repetition. As mentioned earlier, variable synaptic stimulation at repetitions is likely to greatly reduce the effectiveness of memory consolidation; the net result being higher E-factor.

In can be shown that luxury products, novel products or products that have good substitutes show highly negative price elasticity of demand, while the demand for basic necessities or durable goods is rather inelastic. This important observation is an excellent example of knowledge that might most conveniently be represented as an enumeration: "What exemplary goods show highly negative price elasticity?". Naturally, unless combined with some mnemonic way of remembering, the enumeration is bound to cause persistent recall problems. The simplest workaround here is to formulate a collection of questions according to the following pattern:

Q: What is the price elasticity of demand for basic necessities?

A: inelastic demand

Q: What is the price elasticity of demand for novel products?

A: elastic demand

The main difference between the semantic memory image of the proposed collection of questions and the relevant enumeration is the student’s inability to recall all, or even a proportion of goods with elastic, or inelastic demand. However, the analytically more useful understanding of the factors that influence the value of price elasticity of demand is even better served. A partial solution to the noticed shortcoming, which does not bear the negatives of an enumeration might be:

Q: What exemplary goods show inelastic price demand (recall at least two)?

A: basic necessities, durable products, saturative goods, unique products, etc.

The remark in the parentheses plays an important role in ensuring that the student does not treat the above item as an enumeration, and that it clearly specifies the satisfactory degree of recall that can be used to decide when and when not to provide a passing grade.

Another approach can be taken in extending the definition of production discussed earlier and considering various kinds of resource inputs. These can most generally be: raw materials, labor, capital, land and managerial skills. An enumeration of exemplary raw materials might be reversed to a definition of raw materials through an enumerative example:

Q: What is the name of resource inputs such as coal, steel, water, etc.

A: raw materials

Finally, the most universal solution to enumerations are Cloze deletions. For example, instead of asking the student to recall different kinds of production such as unique product production, rigid mass production, flexible mass production and flow production, one might construct a series of Cloze deletion items in the following form:

Q: The types of production are:
- unique-product production (e.g. an office building)
- rigid mass production (e.g. old Ford's cars)
- ... (e.g. new GM cars)
- flow production (e.g. oil refinery)

A: flexible mass production

The above approach is universal and, in most cases, highly effective in dispensing with the enumeration problem.

Deletion and graphic deletion

Deletion is a simple technique that makes it possible to quickly generate collections of items derived from the same complex piece of knowledge, for example an intricate sentence. In an item based on Cloze deletion, the question presents a coherent piece of knowledge with a single element missing (standardly replaced with three dots), while the answer provides the missing element. In the previous sections, a number of deletions have been presented in the context of item sequencing, minimum information principle and enumeration techniques. Here, I would only like to focus on graphic deletions and Cloze deletions that may capitalize on their graphic aspects.

Graphic deletions differ from previously presented deletions in this way that instead of textual elements, pieces of graphs are deleted or obstructed, and the answer might provide the missing piece or its name. Because of basing on visual processing capability of the cerebral cortex, graphic deletions are a powerful tool for representing knowledge with a view to minimizing pattern extraction in the course of repetitions.

Deletion does not have to be graphic to make use of visual processing powers of the brain. The mere spatial distribution of particular textual components may evoke visual images that will increase the efficacy of recall. If enumerative deletions do not change the sequence in which enumerated elements appear in the question, their spatial location will strongly be imprinted in the students memory despite little emphasis on location at the recall time. This makes it easier to graphically visualize the enumeration. As a consequence, it is not unusual that the student will be able to recall the entire enumeration in spite of the fact that indeed neither of the items in the deletion group requires the knowledge of the enumeration itself to qualify for a passing grade at repetitions.

Here again is an example of an item based on Cloze deletion. The important thing to notice is the clear visual image of the three-part enumerative structure evoked in the process of learning.

Q: The options for a higher cost company in competition with a more cost-effective rival:
- ... (big losses expected)
- collusion (rather illegal)
- improvement (of the product or cost structure)

A: price war

Naturally, at least two other items of the same sort will appear in a well-structured database; the missing component being collusion and product of cost-efficiency improvement. Additionally, elements of the declarative part preceding the enumeration might be made missing. As a result, several items will work on enhancing the visual component of the textual structure; the net result being better recall of the elements and the entire piece of knowledge.

Dismembering complex concepts

Until now, only relatively simple elements of the learned knowledge have been considered; however, some concepts may be best grasped by simultaneous understanding of a number of subconcepts put together in a tightly interlinked mesh. This will often include control systems, mathematical techniques, complex theoretical models, etc. The main striking difference between such complex concepts and the examples presented before is that the single meaningful unit of knowledge can be expressed in a single sentence or passage in the latter case, while the complex concepts might span several paragraphs, none of which might be taken separately as a meaningful whole. It is not true that the complexity of such concepts cannot be unraveled. The main reason for their existence is not any inherent property, but lack of, or no need for specialized terminology that might serve to separate the smaller units. Dealing with such concepts is particularly difficult, and requires special skills from the knowledge system developer. Very often, the ultimate solution comes from introducing new terminology that is suitable for describing all subcomponents separately.

As an example of a complex concept in economics, and the means of dismembering it into manageable pieces of knowledge compliant with minimum information principle, I will consider the determination of the utility-maximizing combination of products subject to an income constraint.
Let Pa, Pb, Pc, ..., Pn be the prices of products Xa, Xb, Xc, ..., Xn, I be a consumer’s money income, and TU=f(Xa,Xb,Xc,...,Xn) be the consumer’s utility function for n products. The total utility function is supposed to be maximized subject to the income constraint in the form:

I=Pa*Xa+Pb*Xb+...+Pn*Xn

A LaGrange multiplier l is introduced to combine the total utility function with the income constraint in order to produce the function Z subject to further analysis:

Z=f(Xa,Xb,...,Xn)+ l*(I-Pa*Xa-...-Pn*Xn)

The partial derivatives of Z are found for each variable and equated to zero:

  • ¶Z/¶Xa=¶TU/¶Xa-l*Pa=0, etc.
  • ¶Z/¶l=I-Pa*Xa-...-Pn*Xn=0

These equations can be solved to determine the utility-maximizing purchase levels for Xa, Xb, ..., Xn. Soon we arrive at:
(¶TU/¶Xa)/Pa=(¶TU/¶Xb)/Pb=...=(¶TU/¶Xn)/Pn
that is equivalent to MUxa/Pa=MUxb/Pb=...=MUxn/Pn, where MUxi is the marginal utility of product Xi. The above equation expresses the condition for maximum utility in the purchase of a group of products.
Here is how the above derivation could be expressed in an active recall system compliant with the principle of minimum information:

Q: What is the formula for total utility function in maximum utility analysis?

A: TU=f(Xa,Xb,...,Xn)

Q: What is the formula for income constraint in maximum utility analysis?

A: I=Pa*Xa+Pb*Xb+...+Pn*Xn

Q: What is the name of the l factor used in maximum utility analysis?

A: LaGrange multiplier

Q: How is the total utility function and the income constraint combined in maximum utility analysis?

A: Z=TU+l*(Pa*Xa+...+Pn*Xn)

Were it not for the possible misunderstanding, the above expression might yet be shortened to Z=TU+l*I. The more complex formula used above has been opted for only because of the derivation step that follows, for which case the income per se is of no use.

Q: How is the function Z used to find the optimum combination of Xa, Xb, ..., Xn in maximum utility analysis?

A: partial differentiation and equation with zero

Optionally, the results of the derivation for Xa and l might be added here for easier recall of particular steps of computation and their meaning.

Q: What is the final conclusion coming from finding the combination of Xa, Xb, ..., Xn that maximizes function Z in maximum utility analysis?

A: MUxa/Pa=...=MUxn/Pn

The above set of items is used only as an introductory illustration and should yet be extended to comply with redundancy principles presented in later sections. It is clearly visible that good terminology is a key to effective dismemberment of complex concepts into simple question-answer items. The most visible terminological shortcomings of the passage presented above is lack of an accurate term to describe the function Z, which, taken out of context, is absolutely meaningless. Secondly, the short and catchy term of maximum utility analysis has been concocted only for the purpose of not having to use the much longer name of the determination of the utility-maximizing combination of products subject to an income constraint

Mnemonic techniques

Mnemonic techniques go one step further than the graphic approach in this sense that they use artificially redundant graphic images to represent unique or nonsensical information. One of the two fundamental mnemonic techniques are mind maps and peg lists. A mind map is a graph that in a vivid form represents the structure of semantic connections between particular components of the learned knowledge. A graphic model of market economy might be an example of a mind map; however, mind maps are applicable also to all pieces of semantically coherent knowledge, independent of their usual form of representation in standard textbooks. Thus, the computation of the combination of products that maximizes the customer’s total utility (see previous section) might also be presented in a graphic form. A flow chart is the most impelling proposition, though any other form of a not necessarily directed graph might do. An interesting variety of a mind map is a graph that is mapped on the image of a familiar object, e.g. one’s own apartment. Retrieving particular pieces of such a graph from memory is particularly easy, though the solution is not always universal because of the fact that each student would rather use mapping familiar for him or herself. The most often applied universal mapping is the one that pegs particular nodes of the mind map to the parts of the human body. The main shortcoming of the presented approach is strong interference between multiple mind maps pegged to the same object.
Another popular mnemonic technique is peg lists. A peg list is a sequence of well visualized objects associated with cardinal numbers. For sophisticated applications, peg lists usually consist of 101 objects pegged to numbers from 0 to 100. The main application of peg lists is in remembering numbers and ordered enumerations. A 101-element peg list can be used to represent all numbers as sequential visual scenes composed of peg list equivalents of two-figure components of the remembered number. For example, assume that a phone number 867045 is supposed to be memorized by means of a peg list. Assume that the following images are associated with the two-figure components of the number: 86 - car (first car was built by Carl Benz in 1886), 70 - phone (Graham Bell invented the phone in 1870), and 45 - bomb (the date of Hiroshima bombing). If we imagine a scene in which we drive a car, pick-up a mobile phone and spark off a great fireball by activating the ringer, then we have effectively mapped an otherwise nonsensic phone number onto an easily retrievable graphic scene (the mapping being effected through the peg list).

To illustrate the phenomenon of increasing returns to scale, and the incredible competitive advantage the Ford Motor Company has gained in the early 1900s over its competitors though specialization of labor based on semi-automated assembly lines, the student might wish to note that in 1914 the FMC produced 270,000 cars with 13,000 employees; while the other 299 American auto companies at the same time, with 66,000 employees produced just 290,000 cars. The example posses a serious dilemma to a database developer. Each of the number quoted makes up useless garbage knowledge. However, taken together, the figure combine into a vivid and compelling illustration of increasing returns to scale and their importance in running any kind of business. Demanding from the student the understanding of increasing returns to scale deprives the example from its strong emotional overtones, as the student might identify him or herself with Henry Ford’s business cunning. Depriving the example from numbers takes a great deal of its vividness. The two proposed solutions are: (1) limit the question to an estimated figure that shows the FMC lead in the market, and (2) use Cloze deletion to dismember the above sentence, and use mnemonics to memorize the involved numbers. The first approach might look as follows:

Q: What was the share of the American automobile market commanded by the Ford Motor Company in 1914?

A: Close to 50%

or using Cloze deletion and mnemonic techniques:

Q: In 1914 the Ford Motor Company produced 270,000 cars with 13,000 employees; the other ... American auto companies, with 66,000 employees produced just 290,000 cars.

A: 299 (Ford turns on a light switch to see how many competitors he has got, and ... only two cats spring up turning their tails)

The seemingly flippant comments in the parentheses above are part and parcel of mnemonic representation. In the example above, an eleven-member peg list has been used with the number two represented by a light switch (the switch has two states: on and off), and nine represented by a cat ("cat has nine lives").

As the analysis of intractable items in numerous databases show that numbers take the lead in making items indigestible to human memory, the use of numbers in databases of all sort should be limited to the absolute minimum. As the discussed database on microeconomics was notably sparse in numbers (mathematical formulas do not count here), the above example was a notable exception, and, perhaps for that reason, did not cause any serious recall problems. However, had there been more such numerically saturated cases, the issue could have started being a problem.

Item univocality and inter-item interference

Univocality of items is not as much about minimizing the complexity of the synaptic patterns as it is about making sure that disjoint patterns are used for different items. Similar wording or even similar associations evoked by two separate items results in inter-item interference, which very often leads to confusion, providing wrong answers in reference to well-remembered pieces of knowledge, insufficient neural stimulation, and lack of uniform memory consolidation over the synapses involved in both the interfering and the interfered with synaptic pattern.

A very typical interference problem is the terminological ambiguity. For example, there is nothing wrong with the question "What is the formula for marginal rate of substitution?" as long as the substitution of two competing products is concerned. However, as soon as we move to the isoquant analysis of the production process, the marginal rate of substitution of capital for labor starts interfering with the until now simple picture. Indeed, in the latter case, the correct term to use is the marginal rate of technical substitution; however, this terminological nuance does not help much to eliminate the interference problem. A very simple solution to the above interference problem is to provide strong context clues in the question. For example:

Q: What is the formula for marginal rate of substitution of products X and Y?

A: dX/dY

Q: What is the formula for marginal rate of technical substitution of capital and labor?

A: dC/dL

Though the solutions to the problem of interference usually appear to be very simple, the mere process of locating potentially interfering item poses a formidable challenge to a learning material developer. Indeed, there is only one true and tried method of eliminating interfering items: memorizing the entire material. Only the neural network of the human brain can on-the-fly spot the problematic similarities. This clearly illustrates the fact that practically no learning material designed for active recall in repetition spacing should be designed in detachment from the natural learning process. This naturally increases the development costs manifold.

Let us now consider a case of strong semantic inter-item interference. The following items all deal with the problem of diseconomies of scale; however, no explicit interference problem strikes the eye at first:

Q: What is the frequently quoted argument for the U-shaped cost function?

A: most companies work at about 90% of their maximum capacity

Q: Why does the theory claim that every firm must reach a point of constant returns to scale with increasing output?

A: by striving to push the production to the limits, the company must at some point decrease its cost efficiency (overloading people, machinery, facilities, etc.)

Q: Why corporations may encounter problems when growing beyond a certain point (cf. River Rouge plant)?

A: because of managerial problems

Q: What is the main factor of diseconomies of scale in the US economy?

A: trade union activity

Upon a closer look, it appears that semantically, all the above items ask the same question "What are the reasons of diseconomies of scale?", while each of the item provides a different answer. Naturally, this is a trouble in the making for the student. It want take long before he or she starts confusing the River Rouge case with trade union activity problems, or attribute the U-shaped cost curve to dimension-related managerial problems. In a well-designed, interference free learning material, there is little choice but to use some of enumeration techniques to list the most important factors contributing to decreasing returns to scale.

As I tried to demonstrate, the authors of learning material have little choice but to memorize their own material before making it available to a wider group of students. Both the terminological and semantic interference may reduce the effectiveness of working with self-instruction systems based on active recall.

Planned redundancy as a way to cross-strengthening synaptic patterns

In this subchapter I will discuss techniques that, in a sense, go against the approach based on minimum complexity of synaptic patterns. Namely, I will show the importance of redundancy of knowledge representation in effective recall of information. The paradoxical contradiction between the previous and the presented approach can quickly be resolved if we notice that the redundancy is not understood here as adding extra components to otherwise minimally intricate synaptic patterns. The function of redundancy is here exclusively to promote the establishment of additional synaptic patterns serving as emergency access routes to the remembered knowledge. Redundant items will by no means duplicate their content in the database, at least not in the syntactic terms. This, first of all, would go against the principles of the repetition spacing algorithm, which assumes the uniqueness of items as one of its fundamental premises. However, the same semantic contents might be expressed using different means for the sake of providing the pattern-matching neural network of the brain with an opportunity to derive the semantic common denominator (as, for instance, in items that use multiple narrowing by example). The derivation of the common denominator will naturally proceed through the mechanism of pattern extraction. The redundancy will generally comprise the following elements:

  • using both active and passive recall
  • providing accessory reasoning derivation steps
  • providing optional reasoning context
  • providing multiple representation for semantically homologous items

The main function of redundancy is not to make items easy to remember, but to make sure that forgetting an item does not affect the entire associative structure of the knowledge graph. Forgetting, as it should be stressed here, makes an inherent part of repetition spacing algorithms, and cannot be by any means eliminated. The ideal model of 100% retention is for biological reasons unfeasible. Redundancy is supposed to minimize the possible effects of forgetting on the performance of the learned skill.

Passive and active approach

The simplest illustration of redundancy via passivization is in the case of learning new terminology. The basic idea is to construct items in such a way that the definition of the concept and its name are placed one’s as a question and once as an item. If the definition appears in the question, the brain makes an association between the concept and its name. If the name appears in the question, the brain learns how to recognize concepts by name. Although, very often learning the name of a defined concept is sufficient to passively recognize the concept by name, it is not always so; hence the importance of the redundant approach. Additionally, even if one of the item gets caught in the forgotten pool, the other may serve as the way to restore the forgotten memory. In other words, presenting concepts both in passive and active form serves on one hand as an extension of the memorized pattern and as a protection against incidental forgetting on the other.

As an example of passive and active approach consider the following item:

Q: What is the name of the curve determined by the quantities of two (or more) products in combinations that produce the same total utility?

A: indifference curve

Q: What is an indifference curve?

A: curve determined by the quantities of products that produce the same utility

It is worth noting that in the second item, the answer has been simplified to the maximum possible extent to reduce its expected E-factor. Any possible inconsistencies resulting from such as simplification should rather be resolved by adding new items on the subject rather than making the answer more intricate.

Support for derivation, reasoning and intelligence

The ageless dilemma of elements of nature vs. nurture in education has from the very beginning been bound to crop up in this chapter. I will try to show that elements of what is commonly understood as intelligence can be developed in the process of learning based on active recall and repetition spacing. There are two definitions of intelligence that are in common use, often without distinguishing one from the other. On one hand, intelligence can be understood as the brain’s ability to process information. On the other, the potential to develop such an ability is often used interchangeably with the ability itself. When we speak of somebody "he will solve this problem quickly; he is a very intelligent person" we use more of the first interpretation of intelligence. However, when we say "this student will do a great deal in his life; he is very intelligent" we employ more of the second interpretation. It is easy to notice that a great deal of inborn characteristics will influence intelligence in the sense of the potential to developing good information processing capabilities. Apart from the number of neurons and neuronal connections, development of the glia and other elements that give the nervous tissue more scope for plasticity, such personality characteristics as mental and emotional stability, high levels of serotonin and dopamine, etc. may play equally important role in developing intelligence. If we, however, consider intelligence as the ability to process information, most of it will, as I will try to show, be developed in the course of education. What makes a bright mathematician is not just mathematical knowledge, not inborn talent, but the ability to associate various components of his or her knowledge of problem solving in mathematics. Consequently, properly represented knowledge of mathematical concepts, and more importantly, of mathematical reasoning will distinguish the nimble brain of a problem solver from the average mortal. The core knowledge of intelligent thinking, in mathematics and beyond, is the rules of mathematical derivation in the most abstract and universally applicable form. Those rules can be applied in a myriad of daily situations. This universal applicability in problem solving makes the basis of what others consider an intelligent person. If properly formulated and represented for learning, these rules can be memorized in a standard way; in other words, memorization can be a way toward intelligence!

In this section, I will show several examples in which reasoning steps are entangled in the knowledge structure represented as question-answer items used in learning based on repetition spacing. A typical situation is when we have the general definition of a problem (i.e. not a particular problem instance), and we initially memorize the solution to the problem. For example, we might have the definition of the maximum utility problem (see Dismembering complex concepts) combined with its solution of equal marginal utility for particular products. In case of significant importance of the particular problem-solution pair, adding particular reasoning steps (here partial differentiation and equating the results with zero) might on one hand provide derivation rules that contribute to the ability to solve similar problems and on the other provide a dose of redundancy whose role in sustaining memories has been highlighted earlier. It can be easily shown that eliminating the derivation steps will free the student’s memory from considering the steps of reasoning during repetitions. Additionally, requiring the student to solve the problem on his or her own each time the repetition takes place can be equated with enumerative learning which as I earlier tried to demonstrate, stands against the rule of minimizing the complexity of synaptic patterns, which is central to effective learning! In other words, apart from solving particular problem instances as a form of repetition, I see no reasonable alternative to pure memorization of derivation steps as the best means of boosting the student’s problem solving capability (i.e. intelligence in the first of the mentioned interpretations). The general rule then is: whenever possible and sensible, memorize the derivation steps of a particular solution to a general problem.

Let us consider the concept of perfect substitutes as a simple example of providing knowledge extensions that should otherwise be deducible from previously learned facts and rules.

Q: What is the name of products that are characterized by the same constant marginal utility?

A: perfect substitutes

Q: What is the shape of the indifference curve for perfect substitutes?

A: linear

Q: What is the name of two products whose indifference curve is linear?

A: perfect substitutes

The fact that the utility function of two products is the same, makes it possible to conclude that their indifference curve must be linear. However, the mere knowledge of the concepts definition will not by any means reinforce the understanding of this fact. In other words, the student may need substantial time to conclude the shape of the indifference curve. Having the fact memorized explicitly, not only smoothes up the derivation pathway from the definition of perfect substitutes to the shape of their indifference curve, but also serves as a strengthener of a more general and abstract rule which says that the derivative of the sum of functions with respect to a variable is equal to the sum of the derivatives. Naturally, the degree of strengthening depends on the student’s wish to use reasoning to derive answers rather than pure syntactic memory. In addition, the link between perfect substitutes and the linear indifference curve is reinforced through the reversal of the question and answer fields.
Having memorized the above facts the student shows a higher degree of understanding of the concept of perfect substitutes, as well as a quicker response time in derivation tasks based on mathematically akin concepts. It is important that the derivation steps are short enough to comply with the principle of minimum complexity of synaptic patterns. Longer derivations might cause insufficient memory stimulation, and despite their being excellent problem solving drills, the value of their E-factor might turn them into intractable elements of the database that result in disillusionment and lack of enthusiasm on the part of the student.

Similar situation we can see in the case of the definition of complementary products, which can be amplified by the concept of cross-elasticity:

Q: What is the name of products X and Y such that increasing purchases of X increases the purchases of Y?

A: complementary products

Q: What is the formula for cross-elasticity of products X and Y?

A: dX/dPy*(Py/X) (where Py is price of X)

Q: What is the name of products with negative cross-elasticity?

A: complementary products

Here, the third item serves as a memory strengthener for both complementary products and cross-elasticity. Additionally it serves as a derivation step that applies the abstract rule of the sign of a derivative.

Finally, I would like to show a trivial derivation step that may indeed be crucial for retrieving memories. Consider the following item:

Q: How can total revenue be computed from the demand curve at a given point?

A: price*quantity

Does it makes sense then to enhance the above item with one that is its direct and trivial consequence?

Q: Can total revenue be computed from the demand curve?

A: yes

Note, that the latter item sets thinking in terms of feasibility, not the procedure, algorithm or implementation. It can be shown, that a student who knows the procedure needed to execute to obtain the result, will not even attempt the execution because of lack of the feasibility conviction! In other words, one may be tempted not to ever try arriving at the solution. Thinking in terms of feasibility as opposed to thinking in terms of the procedure, give the reasoning two different contexts that might yield two different outputs. Such minor memory associations as presented in the above item, taken together, contribute to what is generally described as the problem solving ability.

Optional reasoning clues, mnemonic clues, context and examples

The fact that items should comply with the minimum information principle does not mean that they cannot be in any way redundant in itself. It is only important to make sure that the compulsory content that is subject to the repetition does not contain redundant elements. Apart from that, the item itself may contain a great deal of accessory material that might be useful in learning. This can include context clues and explanations, reasoning clues, mnemonic clues, illustrative examples, or even hypertext links, etc. Each time it must only be clearly specified that the redundant contents is not compulsory and in any way needed for scoring the passing grade.

It is well known that the total utility derived by the consumer from a number of goods is not the arithmetic sum of the particular utilities. This property derives from the fact that products may enhance or suppress each other’s utility. This fact can be comprised in an item formulated as follows:

Q: Why isn’t the total utility function a sum of utilities of particular products?

A: because products may mutually enhance or suppress their utility

As I tried to show in the preceding section, a simple derivation step might enhance the student’s deductive ability with reference to the above piece of knowledge. This could be accomplished by a simple question like "Is the utility function a sum of utilities of particular products?". However, it appears to be useful to provide some redundancy to the answer element (which in this case is simply "no"):

Q: Is the total utility function a sum of utilities of particular products?

A: no (because products may mutually enhance or suppress their utility)

Seemingly, this item became a sister copy of the one mentioned earlier. However, the compulsory semantic connection to be recalled in order to score a passing grade is different in these two cases. Again one item refers to the procedure, the other to feasibility. The explanatory part placed in parentheses is by no means needed to pass the repetition and serves exclusively as a memory strengthener, reasoning clue and reference note. The student may opt not to read the explanation at repetitions at all. However, if her or she notices that his or her response became automatic rather than semantic, the reasoning clue may serve to restore the right context and ground for the answer.

Earlier, I presented an example of an item that used a mnemonic peg list as a support in remembering numerical responses. Mnemonic clues placed in parentheses may be the best way of remembering numbers; however, in some cases the number itself sticks easily to memory and the mnemonic part becomes unnecessary. It must be remembered, however, that in order to comply with the principle of uniform synaptic stimulation at repetition, the student should clearly set his or her mind or either using or ignoring the mnemonic clue.

Context clues and notational conventions may help making sure that the established memory link does not become meaningless in time, or worst of all, associated with wrong context.

The concept of marginal revenue expressed in mathematical term is much easier to comprehend and retain in memory that its verbal equivalent. Here, however, it is strongly recommended that all symbols used in the equation be explained in an explanatory note, which does not take part in the learning process itself, and is used only as a verification means in case the used symbols started losing their meaning with the increase in the length of the inter-repetition interval.

Q: What is the formula for marginal revenue?

A: MR=dTR/dQ (dTR - change in total revenue, dQ - change in quantity sold)

Finally, for highly associative knowledge, additional explanatory links, or even hypertext links, might help keeping the overall knowledge structure in place.

For example, understanding the meaning of the Laffer curve does not necessarily entail the ability to recall its shape. Naturally, all independent pieces of knowledge should be placed in independent items; however, it is also reasonable to make sure that each time the Laffer curve crops up, its shape appears in the student’s imagination (even without the need to resort to graphics):

Q: What does the Laffer curve express?

A: dependence of tax revenue on tax rate (minimum revenue for very high and very low tax rates)

Complexity of wording vs. comprehension

Simplicity of item wording does not necessarily equate with the minimum information principle. The latter puts emphasis on the minimum complexity of the knowledge as it is represented in student’s memory. There is no imperative for items to be complex in their textual or graphic representation in the database itself. After all, some very simple concept may require quite a great deal of text to describe them verbally. However, it can be shown that excessive complexity of items as represented in the database may negatively affect the process of learning. The main problem is in miscomprehension and confusing different items through reading that naturally tends to be quick when the student is confronted with a massive number of repetitions per learning session. Very often, even the mere selection of words may affect the comprehension. As previously, also in such cases, the best remedy is the database author’s own work on memorizing the database in question and eliminating possible snags on a one by one basis. Such minor elements as moving a single phrase to a separate line may greatly help keeping E-factors high.

Additional functionality encapsulated in items

Finally, I would like to note that a database used for learning may, and usually is employed also for other purposes than acquiring knowledge. These may include archiving and retrieval purposes, literature sourcing for publication references, date stamping for facts that quickly change in time, individual mnemonic clues (i.e. clues related strictly to a particular student’s knowledge or life), domain labels, ordinal numbers for sorting databases, and many more.

Government budgets change almost as often as governments themselves. Therefore it seems necessary to provide date stamping in the following question:

Q: What proportion of Japan GDP is spent on R&D (1990)?

A: 2.9%

The date in the parentheses has no bearing on the learning process as long as there is only one item in the database that pertains to Japanese R&D budget. However, it may appear useful in cases when the student deems necessary to update the figure after some time when it becomes exceedingly outdated.

A more extensive stamping can be seen in the example that follows.
There is no rule as to what proportion of sales ends up as profit after taxes. However, global economic analysis makes it possible to establish the approximate figure for an average company. The main problem here is that the final value may strongly depend on the current economic situation of a particular country, as well as on the methods applied in the analysis. In the example below, the item provides the source of information that was used to estimate the net margin of profit.

Q: What is the average proportion of sales that ends up as profit after taxes (based on accounting definition of profit)?

A: 4-6% (The Economic Report of the President, February 1988, pp. 352-353)

Obviously, only the figure of profit after taxes is subject to learning. The source specification is provided additionally for archiving purposes or for publication purposes (e.g. in case the student wished to refer to the figure in one of his or her publications).

Summary of knowledge representation issues in learning

  • The main concerns in minimization of the complexity of synaptic patterns in learning are:
    • ensuring full comprehension of the isolated item of knowledge
    • applying minimum information principle
    • reducing the complexity of items by narrowing the information contents by example
    • capitalizing on visual capabilities of the human brain by applying mnemonic, metaphoric, vivid and graphic approaches
    • applying strict enumeration techniques (e.g. deletion, grouping, etc.)
    • complying with univocality principle
  • As far as planned redundancy is concerned, the most important principles to remember are:
    • applying both passive and active approach to recall of information
    • applying the full derivation approach (i.e. learning the derivation steps of an assertion rather than the assertion alone)
    • providing reasoning, mnemonic and context clues

See also:

  • 20 rules of formulating knowledge in learning
  • Macro- and Microeconomics (SuperMemo collections based on materials collected for this article)


Memory, Consciousness, Language; abstract and summary

Memory, Consciousness, Language
Abstract and summary 		Dr E. J. Gorzelanczyk,
Poland, 2000
This book provides a synthesis of Dr Gorzelanczyk's work in the area of memory, consciousness and language. It covers all levels of neural function from molecular to behavioral. It looks at the human mind from the evolutionary and computational perspective. It also provides a compact presentation of the author's findings related to spaced repetition as well as modeling long-term memory. The book was part of material submitted in application for the title of Doctor Habilitus obtained the same year. The book is currently available only in Polish (to receive a copy, please write directly to Medsystem Publishing - Oficyna Wydawnicza Medsystem)

Abstract

Language, memory and consciousness have a material background and researchers from different disciplines have tried to understand these phenomena, which are of interest to both social and natural sciences. The research agendas of scientists from different fields differ from each other significantly even when the subject of research is shared. It is the author's opinion that efforts should be undertaken to bring such fields as molecular biology, physiology, neurology, evolutionary theory, psychology, psycholinguistics and linguistics closer together. It is necessary to break the artificially created boundaries between these disciplines. It is the author's conviction, that evolutionary and biological approaches make it possible to more fully understand the subject matter studied by linguists. On the other hand, the results obtained by language researchers should be utilized by natural scientists in planning their research. In this paper, the current state of knowledge concerning the molecular basis of memory is presented, for it is there that the explanation of the phenomena which concern linguists should be sought. An original hypothesis is presented which underlines the common evolutionary connections between memory, consciousness and language and which also indicate the general considerations for constructing teaching systems to optimize the learning process. Learning a foreign language or specialized vocabulary are cases where this optimization could be easily accomplished. Practical experiments were carried out to study the language learning process. Towards this end, an algorithm optimizing the intervals between repetitions was created and implemented in software. This made it possible to obtain results, which were then statistically analyzed. A model of two variables of long-term memory, making it possible to calculate the optimal intervals between repetitions, was proposed on the basis of these results and theoretical assumptions. It was also established on the basis of these experiments, that there is no necessary correlation between intelligence as measured by the Wechsler test and parameters of knowledge obtained from persons learning to memorize specialized vocabulary. A dynamic of the changes observed during learning a foreign language or specialized vocabulary by this method was formalized. An original model of two variables of long-term memory is proposed, by which the phenomena related to learning and memorization is described. In accordance with the author's views that observations concerning memory and learning made during research on people have equivalents at the cellular level, a concept of synapse function is presented which would operationalize the variables found earlier. In accordance with the problems presented above, the results obtained may be summarized as follows: 1) The effectiveness of learning increases together with the minimization of the number of repetitions necessary to maintain knowledge in the learner's memory. 2) An original algorithm for the optimization of the intervals between repetitions can optimize the learning process through an approximation of the optimal intervals for certain independent items of knowledge. 3) Knowledge memorized by the optimization of intervals between repetitions must be divided on the smallest possible units, here called items. 4) Utilizing the optimization algorithm, it is necessary to remember that the quality of learning depends on the choice of material to be learned and the method of dividing this material into items.

Summary

The book Memory, Consciousness and Language: the application of an algorithmic procedure optimizing intervals between repetitions in glottodidactics proposes that such diverse fields as molecular biology, physiology, neurology, evolutionary theory, psychology, psycholinguistics, and linguistics be brought closer together. In the author's opinion, the artificially created boundaries separating these fields should be broken down. Evolutionary and biological approaches to problems related to memory, consciousness and language make a fuller understanding of the phenomena studied by linguists possible. On the other hand, the results obtained by language researchers should be utilized by natural scientists in planning their research. A historical sketch and both general and humanistic considerations on the topic of memory are presented, as are contemporary facts concerning the molecular foundations of memory with regards to the current state of knowledge in the field. Among other subjects, the part played by long term potentiation (LTP) in memory related phenomena is described, as is the role of NMDA receptors and other glutamate receptors in memory. Glutamate and other neurotransmitters important for the formation of memory are considered. A special place is assigned to retrograde messengers in memory formation, as well as the special role played by calcium in the activity of the synapses related to memorization. The role of protein kinases in learning and memory is described with special consideration given to protein kinase C. Attention is paid to the role of adenosine 3',5'-cyclic monophosphate in memory formation. The relationship between gene expression and protein synthesis to memory is detailed. Protein G and potassium channels are considered as factors related to the learning process. Neurological aspects and evolutionary processes related to memory are considered. It is argued that phenomena observed in everyday life have a material foundation and that, as a result of research on the cellular and molecular level, more general conclusions may be derived. The biological foundations of language formation and its relationship to memory and consciousness are described an original theory of the evolutionary origin of language is presented. This theory is in opposition to linguistic poligenesis, which is generally accepted by linguists, that of Homo sapiens. It proposes a gradual sequence of events leading to the origin of language within a wider framework of the evolution of information leading up to the origin of primordial phonemes and morphemes. The topic of the origin of language brings together seemingly disparate phenomena, examined by both the social and natural sciences. The author also presents the results of research carried out on people learning a foreign language by applying an algorithm which optimizes the intervals between repetitions. This algorithm makes the calculation of optimal intervals between repetitions possible, determining the longest possible time, during which memorization is not achieved. A universal dependence for the calculation of intervals between repetitions for a pair of associations (items), making it possible to obtain the described level of memorization and to shorten the time necessary for learning. Selected results from research on people memorizing a defined domain of knowledge are presented, as are the practical possibilities of obtaining an original algorithm optimizing the intervals between repetitions in foreign language learning. The theoretical foundations and practical aspects of learning by a method of ranking repetitions in specialized vocabulary learning through the application of the author's original data base is described. It is demonstrated that it is possible to improve the effectiveness of learning through the application of new discoveries concerning memory, learning and memorization. It is also demonstrated that with the help of a computer program it is possible to practically increase the learning efficiency in a short time, which increases together with the minimization of the number of repetitions necessary to maintain knowledge in the memory. This is possible, thanks to the application of the original algorithm optimizing intervals between repetitions. This renders the learning process more efficient through the approximation of optimal intervals for individual, independent items of knowledge. The information memorized by this method must be divided into the smallest possible units, here called items. During this process it is necessary to remember that the quality of learning depends on the choice of material to be learned and the method of dividing up the material. The learning parameters of people trained in the algorithm optimizing intervals between repetitions are presented. It is demonstrated that there is no correlation between intelligence (IQ) and the learning parameters obtained from people memorizing specialized vocabulary. An original hypothesis of the occurrence of two variables of memory is presented. This hypothesis is formulated on the basis of earlier presented research. The observed dynamics of changes during learning a foreign language or specialized vocabulary by this method are formulated. In the author's opinion, the existence of two variables of memory, namely retrievability (R) and stability (S), can be found in phenomena related to the processes of learning in memory tasks utilized in memory research and also in explaining phenomena related to conditioning and learning in animals as well. In accordance with the author's views that observations concerning memory and learning formed during research on people have equivalents at the cell level, hypothetical biological equivalents of the two variables are proposed. A model is also proposed, which would operationalize the previously discovered variables of long-term memory at the cellular level. An original conceptual model of glutamate synapse function as well as the concrete mechanisms that can explain synaptic changes (for example, alternative splicing of sub-items of the NMDA receptor). Proposals are also presented as to which synaptic elements may correspond to the variables R and S


Molecular basis of neuronal plasticity

10.3. Molecular basis of neuronal plasticity Piotr Wozniak
1990
This text was taken from P.A.Wozniak, Optimization of learning, Master's Thesis, University of Technology in Poznan, 1990 and adapted for publishing as an independent article on the web. (P.A.Wozniak, June 4, 1998).

For a more up-to-date texts on the same subject see:

  • In reference to molecular memory review: Molecular interpretation of mechanisms of memory underlying the optimum spacing of repetitions from P.A.Wozniak, Economics of learning, Doctoral Thesis, University of Economics in Wroclaw, 1995.
  • In reference to two-component model of memory: Hypothetical molecular correlates of the two-component model of long-term memory by E.J.Gorzelanczyk and P.A.Wozniak.

Here are some notes on terminology and facts that are no longer used or valid:

  1. the terms deterministic and stochastic learning correspond with well-documented learning paradigms: declarative and procedural learning respectively
  2. the concept of E-Factor has been replaced with A-Factor in Algorithm-SM8 used in SuperMemo 8
  3. retrograde messengers were not discovered until 1991

Various mechanisms have been proposed to account for the formation of long-term memory. They include increased release of synaptic transmitter, increased number of synaptic receptors, decreased Km of receptors, synthesis of new memory factors either in the presynaptic or postsynaptic element, sprouting of new synaptic connections, increase of the active area in the presynaptic membrane and many others. Let us first consider sprouting, the only one of the mentioned mechanisms that involves changes in the structure of the neuronal circuitry. That neuronal sprouting indeed takes place is best illustrated by a series of experiments by Rosenzweig [Rosenzweig, 1984]. He reared rats in enriched and impoverished environments studying the impact of increased complexity of behavioral activities on the development of the brain. In individuals reared in enriched environment he observed increased thickness of the cerebral cortex, better capillary supply, more glial cells, increased content of proteins, increased activity of acetylcholinesterase, more dendritic spines, increased dendritic branching and greater contact areas of synapses. This experiment provides an excellent proof that the brain, very much like muscles of a body builder, may undergo a training which apart from engraving new memories has a general trophic effect on the nervous tissue. Nonetheless, studies of genius brains did not reveal an increased number of nervous connections [Restak, 1984]. All in all, it seems unlikely that sprouting is indeed responsible for engraving new, specific memory traces. Let us notice that deficit of visual stimulation in kittens may result in irreversible underdevelopment of neural structures of the visual cortex [Siekievitz, 1988]. Similar deficits in adult cats were not confirmed. This indicates that sprouting is rather specific to young individuals and therefore cannot account for memories. Furthermore, even if the above reasoning is not correct, it is easier to conceive a chemical mechanism of memory that capitalizes on existing interneuronal connections than a mechanisms requiring fast and specific growth of appendices in a desired direction. Also in the book edited by Gispen [1976], the chemical nature of memory is advocated, and an extensive list of hypothetical phenomena that might participate in short and long-term memory is presented. In the following paragraph I will assume that sprouting does not provide basis for specific memories. As it was shown earlier, heterosynaptic facilitation seems to be a better candidate to account for deterministic learning at the level of the synapse. In deterministic learning, during the initial facilitation of a questioning synapse (see terminology introduced earlier) both the pre- and postsynaptic membranes must be depolarized. However, the depolarization of the postsynaptic membrane is caused not by the questioning but by the template synapse. Because the changes in the postsynaptic element must be local (i.e. they cannot affect conductivity at other synaptic junction of the same neuron) they have to be somehow related to the membrane. Thus the postsynaptic membrane seems to be the most suitable candidate for changes coding for both short and long-term memories. Another problem in studying the nature of molecular memory is a great number of neurotransmitters that could possibly be involved in memory. Glutamate, acetylcholine, opiates, vasopressin, dopamine and catecholamines are often mentioned, although available data are full of contradictions. Ketty (1976) argues that many neurotransmitters are involved in memory formation because the central nervous system, in the course of evolution, would snatch every opportunity to incorporate new mechanisms to enrich its flexibility. However, he does not elaborate what sort of advantages could divers neurohormones bring to the brain, because at least one disadvantage is obvious - energetic expenses for the maintenance of a diversified metabolic machinery. To me, only the existence of state-dependent memory suggests a plausible answer to the puzzle of multiple neurotransmission implicated in memory. The phenomenon of state-dependent memory consists in a better recall of memories if the brain is in the same drug or hormonal state as that at the moment of learning. Perhaps, individuals that were able to engrave memories that were closely related to their emotional and hormonal state at the moment of conditioning had a survival advantage by not recalling them in irrelevant situations. For example, a crack of a wooden stick would not spark an escape response unless the nervous system were in the state of hormonal alertness caused by previously noticed disturbing indications of the presence of a predator. The influence of alertness on recall is a well-known phenomenon and is partially related to the increased level of catecholamines. Different neurotransmitters might be sensitive to different hormonal modulation and provide for memory storages for different emotional or hormonal states. However, as far as the intellectual activity of the human brain is concerned less and less space seems to be left for a diversified set of neuronal transmitters because this sort of activity evolved relatively late and was much less related to the struggle for survival in the classical sense. Therefore I believe that despite the multitude of mechanisms of neural transmission, deterministic learning is based on a limited number or even on one kind of a neurotransmitter. By far the most often mentioned neurotransmitters involved in learning are glutamate and acetylcholine. High intake of glutamate in foods was reported to improve memory. Glutamate is also known to be a primary excitatory neurotransmitter in the hippocampus. It was therefore, for a time, a subject of special interest which led to the formulation of one of the most consistent molecular models of memory [Lynch, 1984]. This model is presented in detail later in the chapter. Regarding acetylcholine, it was observed that drugs affecting the action of this hormone affect memory. Drugs blocking muscarinic receptor (e.g. scopolamine) cause significant memory impairment. On the other hand, arecoline (muscarinic agonist) was reported to allow to learn lists of words faster. Similarly, physostigmine which inhibits acetylcholinesterase was found to improve learning. Finally, caffeine which increases the number of acetylcholine receptors in synaptic connections has also a positive influence on learning. A positive correlation was also found between ability to learn in rats and the level of acetylcholine esterase in their brains. It is also known that Alzheimer's disease entails the loss of acetylcholine secreting cells; especially in the hippocampus and neocortex (temporal and frontal lobes). Study of inhibitors and stimulants of memory contributes significantly to the understanding of the nature of memory. This truth is nicely illustrated by the evidence provided above for the involvement of acetylcholine in memory. Below I list the most prominent substances reported to affect memory. Inhibitors: colchicine (perhaps an evidence for sprouting), ouabain, marihuana, inhibitors of protein synthesis and alcohol. Stimulants: morphine, Met-enkephaline, strychnine (in low doses), ACTH, MSH, catecholamines, vasopressin, orotic acid (in food!), caffeine, amphetamine and pentylene-tetrazole (Metrazole - powerful influence). The arising picture is further complicated by a changing influence of particular factors on various forms of learning, at various stages and in various doses.

Concerning the way in which memory traces are encoded chemically, phosphorylation of proteins and increase of number of receptors are most often mentioned. Studies of Aplysia californica revealed that phosphorylation changes the state of potassium channels decreasing the conductivity of membranes for potassium (see Kandel's model below). Decreased permeability for potassium was also involved in the Gibbs' model mentioned earlier. Other research indicates that activation of muscarinic receptors may result in closing potassium channels (this would once again involve acetylcholine). All this evidence indicates that phosphorylation of potassium channels is an interesting candidate for a memory factor. Eric Kandel and his colleagues studied sensitization of the gill-withdrawal response in Aplysia californica and came up with an interesting model of presynaptic facilitation [Kandel, 1982]. Although deterministic learning involves rather heterosynaptic facilitation, the Kande's model may be considered as illustrating more universal mechanisms that can possibly be involved also in human memory. In the model the presynaptic terminal undergoes facilitation as a result of stimulation of the axoaxonic synapse. An interesting is the fact that simultaneous stimulation of the facilitated synapse is not necessary for the process to occur. In Kandel's model the serotonin discharged in the axoaxonic synapse activates adenyl cyclase in the presynaptic element. The resulting increase in the level of cAMP activates protein kinases that phosphorylize potassium channels. The phosphorylation decreases efflux of potassium during depolarization and slow downs the return of the membrane potential back to the baseline. This allows for increased entry of calcium into the cell since voltage-sensitive calcium channels remain open for a longer time. The increased influx of calcium is responsible for increased discharge of the neurotransmitter, hence the facilitation.

Another interesting model was proposed by Lynch and Baudry [Lynch, 1984]. They studied glutamate receptors in the hippocampus and based their model, later called the calpain model, on the following observations:

  1. calcium increases the number of glutamate receptors in the postsynaptic membranes,
  2. inhibitors of proteinases block the effect of calcium,
  3. calpain is a calcium-activated proteinase occurring in the hippocampus,
  4. calcium effect is not caused by the synthesis of glutamate receptors de novo,
  5. fodrin is a protein that lines neural membranes, esp. in the postsynaptic region.

The calpain model assumes that calcium entering the terminal button activates calpain, which in turn degrades fodrin and which results in exposition of new glutamate receptors. Thus the following excitations of the synapse will cause greater and greater increase of the number of glutamate receptors in the postsynaptic membrane.

In Kandel's and calpain models, there is yet another common and worth noticing element: increased inflow of calcium ions into the cell causes increased release of the neurotransmitter or increased exposition of postsynaptic receptors. I will use the presented observations in construction of the model of molecular memory that is consistent with the SuperMemo theory.

Interim summary

  1. Sprouting of new neuronal appendices is involved in nonspecific development of nervous tissue, but does not seem to be involved in formation of specific memories,
  2. Postsynaptic membrane in a heterosynaptic configuration seems to be the best location for molecular changes responsible for formation of memory in deterministic learning,
  3. Only few or perhaps one neurotransmitter is likely to be involved in deterministic learning in humans. Glutamate and acetylcholine are the most prominent candidates,
  4. Phosphorylation of proteins, and phosphorylation of potassium channels in particular, as well as increase of the number of receptors in the postsynaptic membrane are very promising candidates for molecular factors involved in formation of memory.
  5. Increased influx of calcium into the cell is likely to be a link in the chain of events leading to facilitation.

10.4. Molecular model of memory comprising elements of the SuperMemo theory

10.4.1. Biological interpretation of E-Factors

Let us recall one of the elements of the SuperMemo theory which states that the relation between subsequent optimal inter-repetition intervals is roughly described by the formula:

I(n)=I(n-1)*EF

where:

I(n) - the n-th interval,

EF - E-Factor of the considered item.

Let us consider what, in the biological sense, the interpretation of the E-Factor is. According to conclusions drawn earlier in the chapter, memory of an item is stored in postsynaptic membranes (SuperMemo theory refers primarily to deterministic learning). There are two parameters of a set of synapses that might account for differences in difficulty between items: either the elements of the set are variable or the number of elements in the set is variable. It seems possible that different synapses have different facilitation parameters, after all they are not cut-out along a standard and reveal typical variability encountered in all biological systems. However, if we consider the fact that the difficulty of an item is a property that reflects its intricacy (or interference with other items), how could it happen that more intricate items have always this bad luck to pick up sets of bad synapses. On the other hand, it is unimaginable that SuperMemo items are coded by a fixed, always the same number of synapses. The conclusion is that the difficulty of an item reflects the number of synapses involved, although individual synaptic properties may interfere with the picture. Let us now try to answer why a greater number of synapses involved should make an item more difficult. To this end we have to consider individual properties of synapses more closely. If synapses differ among themselves significantly then a greater number of connections involved in memory will increase the probability that a bad synapse will crop up in the set. But this seems unlikely because of two reasons. First, it never happens that an easy-looking item has a bad luck to be coded by a bad synapse and therefore become difficult nor does it happen that a complicated item by a stroke of luck is characterized be a high E-Factor. Second, the likely number of synapses involved in remembering items seems to be high enough to level statistical differences between their memory parameters.

In consequence, there must be a factor that accounts for differences between difficulty of items as a result of variable number of synapses involved, even if all synapses are assumed to work in exactly the same way. Temporarily, for the sake of abstract reasoning, let us therefore assume that synapses are indeed identical. Let us consider at which moments and how synapses are stimulated in order to sustain memory traces. There is only one valid form of specific stimulation of a synapse in the optimal process of learning: stimulation during a repetition. No other phenomena have a significant importance in retaining of memory. Occasional repetitions, e.g. during night dreams can be discarded as statistically insignificant. We can assume therefore that during an optimal repetitory process, all synapses of a given item are stimulated synchronically at the moment of repetition and never else. If all of them are identical and are stimulated in exactly the same way then all of them should undergo exactly the same changes independent of their number; thus all of them would have the same E-Factor. The conclusion must be that the stimulation of synapses during repetitions is not always the same, i.e. certain synapses are stimulated stronger than others.

The only plausible answer to the question why synapses are stimulated with a variable intensity is that during a repetition, the state of the nervous system is never exactly the same. Thus it is impossible to send exactly the same series of questioning impulses to the memory circuitry. It has to result in difficulties in managing memories comprising larger numbers of synapses, because more complicated signalization has to be sent, and more probable are variations in the final, stimulatory effect. This conclusion can be confirmed by the observation that easy items evoke an instant response why difficult ones tend to cause a stepwise process of reconstructing the correct answer. For example, items that require enumeration of elements of a set are usually quite difficult and have to be numbered among the ill-structured ones (unless the set has only 2-3 elements). It can be observed that in different repetitions, elements of the set are recalled in a different order. This seems to confirm the fact that difficult items generate less coherent impulsation in the questioning circuitry which results in insufficient stimulation of some of the synapses involved in remembering the item. If we drop the assumption that stimulation of synapses occur during repetitions and never else, we can add yet another factor that contributes to the difficulty of items coded by many synapses. This factor is interference whereby particular synapses can occasionally be facilitated or suppressed by repetitions of other items (the greater the number of synapses, the greater the probability that one of them will be interfered with). At this moment we must only notice an obvious fact that the validity of our conclusion is by no means changed by the fact that synapses are not all identical as assumed earlier. In further consideration we will focus our interest on a single synapse which in an optimal process of learning should be stimulated in intervals related to one another by the formula:

I(n)=I(n-1)*C

where C is a constant greater than one (according to the above reasoning C should be greater than the maximum known E-Factor, i.e. it should be at least greater than three). Although it seems certain that differences between E-Factors are not caused by differences between synapses, a significant variability of the C constant among individual synapses cannot be excluded. Finally, I should remark on the fact that in the process of relearning that might follow forgetting, the first optimal interval is not much longer from the one that is used in the case of first memorization. It may seem that learning the same item again should capitalize on previously stimulated synapses and, in consequence, the first optimal interval should be relatively longer. The mere fact that it is not so seems to prove that usually, during relearning a forgotten item, a different set of synapses is used. This might be caused by the fact that it is unlikely that the template and questioning stimulation will meet exactly at the same locations in relearning (unlike in the exemplary network presented earlier). However, this last claim could be refuted by the existence of a special memory cleaning mechanism that would allow for removal of all memory traces immediately after forgetting. The biological usefulness of such a mechanism is discussed at the end of the chapter.

Interim summary

  1. E-Factors reflect the number of synapses involved in remembering items
  2. Large number of synapses coding for an item is undesirable because of the difficulty of uniform synaptic stimulations during repetitions
  3. In the process of relearning a forgotten item, usually a different set of synapses is used
  4. In later analysis we will consider a single synapse as undergoing the same learning process as that applied to memorize SuperMemo items

10.4.2. Two variables of memory: stability and retrievability

[for a more coherent text on the same subject see: Two components of long-term memory]

There is an important conclusion that comes directly from the SuperMemo theory that there are two, and not one, as it is commonly believed, independent variables that describe the conductivity of a synapse and memory in general. To illustrate the case let us again consider the calpain model of synaptic memory (compare earlier in the chapter). It is obvious from the model, that its authors assume that only one independent variable is necessary to describe the conductivity of a synapse. Influx of calcium, activity of calpain, degradation of fodrin and number of glutamate receptors are all examples of such a variable. Note, that all the mentioned parameters are dependent, i.e. knowing one of them we could calculate all others; obviously only in the case if we were able to construct the relevant formulae. The dependence of the parameters is a direct consequence of causal links between all of them.

However, the process of optimal learning requires exactly two independent variables to describe the state of a synapse at a given moment:

  • A variable that plays the role of a clock that measures time between repetitions. Exemplary parameters that can be used here are:
    • Te - time that has elapsed since the last repetition (it belongs to the range <0,optimal-interval>),
    • Tl - time that has to elapse before the next repetition will take place (Tl=optimal-interval-Te),
    • Pf - probability that the synapse will lose the trace of memory during the day in question (it belongs to the range <0,1>).

Obviously, one can conceive a countless number of parameters that could be used in representing the clock variable. All these parameters are dependent, i.e. one of them is sufficient to compute all the others.

  • A variable that measures the durability of memory. Exemplary parameters that can be used here are:
    • - I(n+1) - optimal interval that should be used after the next repetition ( I(n+1)=I(n)*C where C is a constant greater than three),
    • - I(n) - current optimal interval,
    • - n - number of repetitions preceding the moment in question, etc.

Again the parameters are dependent and only one of them is needed to characterize the durability of memory.

Let us now see if the above variables are necessary and sufficient to characterize the state of synapses in the process of time-optimal learning. To show that variables are independent we will show that none of them can be calculated from the other. Let us notice that the I(n) parameter remains constant during a given inter-repetition interval, while the Te parameter changes from zero to I(n). This shows that there is no function f that satisfies the condition:

Te=f(I(n))

On the other hand, at the moment of subsequent repetitions Te always equals zero while I(n) has always a different, increasing value. Therefore there is no function g that satisfies the condition:

I(n)=g(Te)

Hence independence of I(n) and Te.

To show that no other variables are necessary in the process of optimal learning let us notice that at any given time we can compute all the moments of future repetitions using the following algorithm:

  1. Let there elapse I(n)-Te days.
  2. Let there be a repetition.
  3. Let Te be zero and I(n) increase C times.
  4. Go to 1.

Note that the value of C is a constant characteristic for a given synapse and as such does not change in the process of learning. I will later use the term retrievability to refer to the first of the variables and the term stability to refer to the second one. To justify the choice of the first term let me notice that we use to think that memories are strong after a learning task and that they fade away afterwards until they become no longer retrievable. This is retrievability that determines the moment at which memories are no longer there. It is also worth mentioning that retrievability was the variable that was tacitly assumed to be the only one needed to describe memory (as in the calpain model). The invisibility of the stability variable resulted from the fact that researchers concentrated their effort on a single learning task and observation of the follow-up changes in synapses, while the importance of stability can be visualized only in the process of repeating the same task many times. To conclude the analysis of memory variables let us ask the standard question that must be posed in development of any biological model. What is the possible evolutionary advantage that arises from the existence of two variables of memory?

Retrievability and stability are both necessary to code for a process of learning that allows subsequent inter-repetition intervals to increase in length without forgetting. It can be easily demonstrated that such model of learning is best with respect to the survival rate of an individual if we acknowledge the fact that remembering without forgetting would in a short time clog up the memory system which is a finite one. If memory is to be forgetful it must have a means of retaining of these traces that seem to be important for survival. Repetition as a memory strengthening factor is such a means. Let us now consider what is the most suitable timing of the repetitory process. If a given phenomenon is encountered for the n-th time, the probability that it will be encountered for the n+1 time increases and therefore a longer memory retention time seems advantageous. The exact function that describes the best repetitory process depends on the size of memory storage, number of possible phenomena encountered by an individual, and many others. However, the usefulness of increasing intervals required to sustain memory by repetitions is indisputable and so is the evolutionary value of retrievability and stability of memory. One can imagine many situations interfering with this simple picture of the development of memory in the course of evolution. For example, events that were associated with an intense stress should be remembered better. Indeed, this fact was proved in research on the influence of catecholamines on learning. Perhaps, using hormonal stimulation one could improve the performance of a student applying the SuperMemo method.

Interim summary

  1. Existence of two independent variables necessary to describe the process of optimal learning was postulated. These variables were named retrievability and stability of memory
  2. Retrievability of memory reflects the lapse of time between repetitions and indicates to what extent memory traces can successfully be used in the process of recall
  3. Stability of memory reflects the history of repetitions in the process of learning and increases with each stimulation of the synapse. It determines the length of the maximum inter-repetition interval that does not result in forgetting

10.4.3. Molecular changes in synapses that correspond to retrievability and stability of memory

The following conclusions drawn earlier in the chapter will be used in the construction of the molecular model of memory that is consistent with the SuperMemo theory:

  1. deterministic memory is located in the postsynaptic membrane (heterosynaptic configuration),
  2. deterministic memory comprises to components: retrievability and stability,
  3. glutamate and acetylcholine are the most promising candidates for the neurotransmitter participating in memory,
  4. increased number of receptors is reported in many cases of facilitation,
  5. phosphorylation of proteins, particularly potassium channels, is reported in many cases of facilitation,
  6. increased influx of calcium into the cell is reported in many cases of facilitation.

If we assume that only the above facts can be used in construction of the model of memory then we will have only two candidates to represent retrievability and stability:

  1. number of receptors,
  2. level of phosphorylation of membrane proteins.

Concentrations of neither calcium nor neurotransmitter can be considered as variables of memory because they are not limited to the membrane and therefore cannot account for lasting memories (see earlier). Retrievability, as the time-measuring variable, changes steadily during the inter-repetition period. Of the two proposed parameters, phosphorylation of proteins is a less lasting one. The degree of its transience might even call in question its validity as a factor of long-term memory. Phosphorylation is therefore a more suitable candidate to code for retrievability. By exclusion, the number of receptors in the postsynaptic membrane has to be used as a parameter coding for stability. The decrease of retrievability during an inter-repetition period could be accounted by spontaneous, gradual dephosphorylation of proteins. Decrease of phosphorylation below a certain level would cause forgetting. There must, however, be a link between retrievability and stability that would allow the former to decrease to the forgetting level at, and only at, the end of the current, optimal interval (do not confuse it with dependence between parameters!).

If we agree that the decrease of phosphorylation should have an exponential nature then we have two basic possibilities:

  • stability is reflected by the initial level of phosphorylation which decreases always at the same rate per particle:
    P(n,t) = P(n,0)*exp(-a*t)
    P(n+1,t) > P(n,t)
    where:
    P(n,t) - level of phosphorylation at the time t after the n-th repetition,
    a - dephosphorylation rate constant.
  • stability is reflected by the decreased rate of phosphorylation:
    P(n,t) = P0*exp(-a(n)*t)
    a(n+1) < a(n)
    where:
    P(n,t) - level of phosphorylation at the time t after the n-th repetition,
    P0 - initial level of phosphorylation; equal after all repetitions,
    a(n) - dephosphorylation rate after the n-th repetition.

In our model, it is hard to conceive how an increased number of receptors in the postsynaptic membrane could slow down phosphorylation. Moreover, it is obvious that the number of receptors could speed up phosphorylation at the moment of repetition (e.g. increased activation of protein kinase; compare Kandel's model). However, the first formula implies a dramatic increase in phosphorylation levels during repetitions (the order of the increase being an exp(exp(n)) function of the number of the repetition!). This certainly exceed physical availability of residues that could undergo phosphorylation, and in consequence, only the variant with decreasing dephosphorylation rate can be accepted. At this moment all ambiguities of the model are solved and the sequence of processes involved in memory can be outlined. During a repetition the following phenomena take place:

  1. Particles of the synaptic neurotransmitter (possibly glutamate or acetylcholine) are bound by postsynaptic receptors.
  2. Fast phosphorylation of potassium channels follows causing rapid increase of retrievability. This process might proceed in the same way as in Kandel's model, i.e. through activation of adenyl cyclase, increase in cAMP and activation of the relevant membrane protein kinase.
  3. As a result of phosphorylation and lower conductivity of the membrane for potassium a large amount of calcium enters the cell during depolarization.
  4. Calcium induces exposition of new receptors therefore causing increase of stability. This process might proceed as in the calpain model, i.e. through activation of calpain and degradation of fodrin.

Initialization of conductive abilities of the synapse proceeds along the same lines as the process of a repetition except for the depolarization which is caused by the template synapse of the heterosynaptic configuration. Between repetitions potassium channels are slowly dephosphorylized resulting in reduction of retrievability. Similarly, the number of receptors should undergo slow reduction causing loss of stability. However, the decrease in stability should be slow enough so that at the end of a given optimal interval stability could be higher that at the end of the previous optimal interval. The decrease of stability is necessary if we want to explain why synapses are not permanently potentiated for a large increase of retrievability. If stability were not reduced there would be a constant disadvantageous increase of the brain's ability to store memories. The disappearance of stability after an instance of memory lapse could also be solved by a process of constant rebuilt of the network of neuronal connections in the brain. Such a process would consist in constant, nonspecific sprouting of new neuronal appendices with concomitant removal of synapses characterized by low retrievability and high stability. This would be an example of a memory cleaning system mentioned earlier to explain why relearning an item is not much different from learning it for the first time (note, that if did not obey the minimum information principle then relearning would always have to be easier, as it is shown in standard textbooks on psychology).

The presented model does not answer all questions related to the process of learning. Below the most burning problems are listed:

  1. The model explains well the phenomena pertinent to optimal learning but does not account for one of my early observations concerning intermittent learning. I mentioned earlier in the thesis the fact that intervals shorter than optimal are less effective in their impact on stability of memory. This fact is not implied by the model, in which nothing prevents pumping up the phosphorylation levels in a short time by repeated stimulations. In learning, it is certainly not possible to make intensive repetitions during a short period, and thus remember till the end of one's life. This has a practical importance of eliminating the impact of nine-day wonders on memory. There must be a mechanism that prevents further phosphorylation if the potassium channels are already highly phosphorylized at the moment of stimulation. Thus the potential for the increase of phosphorylation would reach maximum at the moment when the optimal inter-repetition interval comes to a close.
  2. During a repetitory stimulation of the synapse, both retrievability and stability have to increase sharply in a very short time. The length of the period for build-up of both variables is limited by the diffusion barrier which requires that local, synaptic phenomena that inseparably involve cytoplasmic processes must be fast enough if they are to be specific. Otherwise other synapses of the same neuron might undergo facilitation because of the cytoplasmic connection. Consolidation of long-term memory may last longer, but it has to be based on differences that has already occurred in the synapse during depolarization. Synthesis, incorporation or release of receptors in the postsynaptic membrane seems to be too slow a process to account for the immediate increase in stability. Therefore it cannot be excluded that memory variables are coded by different molecular factors before and after the consolidation.
  3. The presented model does not require appearance of new protein molecules for formation and maintenance of memory while many experiments show increased synthesis of RNA and proteins during and after learning. It was also shown, that inhibitors of proteins impair formation of long-term memory. Although, it was shown that calcium increases the number of glutamate receptors even in isolated synaptosomes [Lynch, 1984], it seems unlikely that consolidation of long-term memory does not involve synthesis of proteins at anyone of its stages.
  4. The function that describes the rate of dephosphorylation between repetitions implies that retrievability should decrease more slowly in subsequent inter-repetition intervals. The decrease should somehow be related to the stability of memory. However, the molecular mechanism of such a possibility is not clear. Perhaps the increased number of receptor would result in the change of properties of the membrane, and in consequence protect potassium channels against dephosphorylation. Because of the foregoing problems, the presented model has to be considered only as an illustration of how retrievability and stability of memory might be interpreted at the cellular level. Certainly a lot of research on molecular changes in synapses during facilitation is required to yield data that could constitute a basis of a truly adequate model of memory.

Summary

  1. An illustrative model of possible molecular mechanism involved in the process of learning based on repetition spacing was presented.
  2. In the model, retrievability of memory was represented as the level of phosphorylation of potassium channels. Retrievability is supposed to decrease exponentially during the inter-repetition period.
  3. The model represents stability of memory as the number of receptors in the postsynaptic membrane.
  4. The most important questions that cannot be answered on the base of the model are:
    • Why is the increase of memory stability lower while applying intervals that are shorter than optimal ones?
    • Why do inhibitors of protein synthesis prevent formation of long-term memory?


Molecular interpretation of mechanisms of memory underlying optimum repetition spacing

5. Molecular interpretation of mechanisms of memory underlying the optimum spacing of repetitions Piotr Wozniak,
December 1994
This text was taken from P.A.Wozniak, Economics of learning, Doctoral Dissertation (1995), and adapted for publishing as an independent article on the Web. (P.A.Wozniak, Apr 23, 1997)

For a more up-to-date text on two-component model of long-term memory see: Hypothetical molecular correlates of the two-component model of long-term memory by E.J.Gorzelanczyk and P.A.Wozniak

By identifying molecular correlates of the attributes of long-term memory manifested at the behavioral level, I would like to strengthen the evidence in favor of the universal nature of repetition spacing in achieving sustained levels of knowledge retention, as well as for the inevitability of its application in modern knowledge access systems that account for imperfectness of human memory and cognition

5.1. Interpretation of differences in item difficulty

Item difficulty, expressed by the concept of E-factor, is a property of the item in question, not the memory system. In other words, items will differ in the number of synapses involved in storing memories, structure of inter-neuronal connections, etc. rather than volume or chemical nature of neurotransmitter, conductive properties of the synapse, etc. It is easy to notice that the same intricate items will cause retention problems in both capable and less capable students. On the other hand, all students will experience problems with remembering some items. As a rule, the main factor that determines the difficulty of an item is its complexity. Invariably, simple items sport higher E-factors than items that are enumerative or descriptive in nature. An interesting question arises: what is the biological basis of item difficulty?

As storing information in a synapse may be compared to storing a single bit of data rather than the entire message, items cannot be coded for by a single synapse. It is rather neural cell assemblies, more accurately called synaptic patterns, that will be responsible for storing complex information structures such like spelling of a foreign word, definition of a concept in economics, mathematical formula, etc. Naturally, we might expect that an increasing complexity of an item, associated with an increasing information content, will result in an increasing number of synapses involved in preserving the underlying memory engram. Different items are remembered by different subsets of synapses, with item difficulty reflected in the complexity of the involved neural network. The second question arises: why an increasing number of synapses might cause learning difficulties? After all, during a repetition, all synapses might undergo parallel processes that would result in parallel and symmetrical increase in synaptic strength.

The two following phenomena are likely to play a role here:

  • the synaptic stimulation is not uniform over a number of repetitions
  • a larger number of synapses increases the probability of inter-item interference

The evidence for non-uniform stimulation of synapses comes from the very simple observation that in case of enumerative items, i.e. items that ask for recalling a set of subitems, the order of recall can be observed as different at different repetitions. Like in slow motion, one can even experience the browsing effort of one’s consciousness’s search for the correct components. Not by coincidence, these are enumerations that make up probably the most notoriously intractable class of items. As for interference, its contribution to linking difficulty with the size of the neuronal assembly is certain though it does not seem to be a major factor (note, that in a substantial majority of cases, difficulty is not context dependent, while interference is).

In the subsequent chapter, I will often refer to the concept of synaptic extraction. As I will argue in later section, in the course of repetitions, the number of synapses involved in eliciting the response is gradually reduced. One of possible reasons may be the lack of uniform stimulation of the particular components of the synaptic pattern. In other words, in the course of the learning process, only the synapses that are directly stimulated in each of the repetitions retain memory traces and the increased conductivity. This decline in the number of connections I will call the pattern extraction. In the chapter devoted to knowledge representation issues in business and economic applications, I will try to show a number of techniques by which minimum loss of information is achieved through appropriate representation of the learned knowledge.

5.2. Two components of long-term memory

5.3. Molecular model of memory

In the following sections, I will try to look for possible correlates of behavioral regularities in the process of learning at the molecular level. In particular, I will attempt to make use of the earlier formulated guidelines that should be used to identify the correlates of the two components of long-term memory: retrievability and stability.

Advances in molecular research of memory

Over the last four years, i.e. since I first attempted to formulate a tentative molecular model of long-term memory (Wozniak, 1990), a very dynamic growth of interest in memory and learning has been marked. This resulted in rapid development of new laboratory techniques that can shed more light on those mechanisms that for long had been persistently intractable to study. Indeed, the molecular basis of memory remains one of the very few bastions of molecular biology in which no coherent models of the biochemical and cytophysiological phenomena has as yet been established. The difficulty in studying memory comes from the inherently complex structure of the nervous system and lack of non-invasive techniques that could make it possible to easily monitor the molecular phenomena occurring during the learning process. On the other hand, study of the long-term synaptic potentiation in hippocampal slices that show survivability of just several hours cannot serve as a good substitute for the research on intact animals that could develop memories lasting for months and years. Nevertheless, the recent inflow of new findings has indeed been impressive, and it seems that in a not so distant future, the most basic elements of the molecular mechanisms of memory shall be unraveled. The present status of the research field is still under shaky influence of new finding and shifting focus of attention. A number of labs are forging research paths going in different directions. However, there is a broad consensus that the study of long term potentiation of the synaptic transmission in the cells of the CA1 region of the hippocampus can serve as an excellent source of information for formulating the ultimate model of memory and learning in humans. After the initial flurry of research on NMDA receptor, nitric oxide synthase and protein kinase C, there is an increasing interest in metabotropic glutamate receptor, cAMP, protein kinase A and gene expression in the nerve cells subject to conditioning. One can expect a surge of interest in new molecular factors as soon as new data and observations flow in. Some of the highlights of the most widely established findings are presented in the following section. Though no coherent picture will emerge from the presented facts yet, the progress that resulted from the research over the last four years seems indeed staggering.

General observation in reference to memory and learning

It has been for long a very strong claim that memory mechanisms have probably been strongly conserved in the course of evolution. This led a number of researchers to study memory in invertebrates in order to find inspiration for similar research in mammals. Indeed the research done by Eric Kandel in Aplysia, as well as the research of David Alkon on Hermissenda led to establishing the focus of memory research on protein kinases and protein phosphorylation. These mechanisms will be discussed in later sections.

A great deal of research has been done on establishing the key neurotransmitter involved in memory consolidation. It has been earlier found that hormones such as noradrenaline, acetylcholine, serotonin, dopamine and bradykinins, all improve the performance in learning tasks. This effect has largely been attributed to the modulatory action of the above transmitters. However, there seems to be no doubt that the key role in synaptic transmission subject to potentiation is played by glutamate, a major excitatory neurotransmitter in the hippocampus, and not only. Glutamate and the molecular cascades triggered by its receptors will remain in the focus of attention over the rest of the chapter.

There seems to be no more interest in electrical aspects of memory. The idea of reverberating impulsation in the limbic system has lost most of its followership. The anatomical evidence as well as the finding that the electroconvulsive shock obliterates memories have been the major reason for establishing the reverberating circuit model. However, it has been justly observed that neuronal activity that corresponds with ECS can equally well influence the balance of signal factors in the synapses, and consequently, affect the storage of short-term memories. As in ECS, memory loss occurs also in head injuries, anoxia, hypothermia, anesthesia, administration of ouabain, etc. All these factors can affect the cytochemical status of the synapse.

Direct evidence has recently been provided for the fact that consolidation of memories occurs during sleep [see also: Good sleep, good learning, good life]. An interesting extension of the above is an observation that an increased learning effort sparks greater demand for sleep; a fact of enormous practical consequences for those who want to learn effectively. It has also been confirmed that amino acid uptake increases in the brain during the REM phase of sleep. This additionally supports the important finding that protein synthesis forms a crucial step in the establishment of long-lasting memories. The findings in reference to protein synthesis in memory consolidation will be discussed later, here I would only like to mention that it has been suggested that the size of neuronal nucleus increases as a result of repeated conditioning providing one of many indicators of the central role of gene expression in learning (see later).

In reference to pattern extraction discussed in the chapter devoted to the principles of knowledge representation for the purpose of repetition spacing, it has been found that the number of synapses involved in learning a motor tasks gradually decreases as the learning continues. Similarly, activity of the brain has been found to be higher at the beginning of a learning task that at repetitions. The latter observation might, however, reflect the greater biochemical activity involved in establishing memories that in sustaining memories.

Finally, there has been more research confirming that enriched environment indeed increases the size of dendritic fields and neural branching (Alkon 1989), which every student should interpret as the sure indication that learning, apart from the establishment of specific memories, enhances the brains ability to process information and form new memories.

Hippocampus as the focus of research on long-term potentiation

It has been found that long-term potentiation can be induced in temporal lobe (Squire et al. 1991), striate cortex (Bear 1991), medial septal area, and other structures of the brain. Invariably, however, most of the attention has always been focused on the hippocampus. The attention was brought to this MTL structure upon discovering severe amnesia induced in animals and humans with lesion in the related areas. Additionally, laboratory procedures have been well established for inducing LTP in hippocampal slices in vitro. As a consequence, most of the new molecular data referring to memory comes from labs that chose LTP in the hippocampus as the primary investigative model of memory in humans. For example, eyeblink conditioning has been identified as dependent on potentiation of CA1 neurons of the hippocampus. In eyeblink experiments, animals are learned to associated a sound signal with a puff to the eye. Lesions to the hippocampus abolish eyeblink conditioning in animals (Disterhof 1994). In the nictitating membrane reflex involved in eyeblink conditioning, impulsation from the eye and the ear meet ultimately in CA1 cells of the hippocampus (Alkon 1989). Although a large proportion of cells in the CA1 region show conditioning, it is supposed that specific molecular marking results in strengthening synaptic conductivity in only those dendrites that are responsible for storing particular memories (Alkon 1989). It has been found that learning increases firing rates in the hippocampus just before the appearance of the response (Disterhof 1991). The often quoted hypothesis is that the hippocampus may play a role in associating impulsation coming from different areas of the brain (Eichenbaum et al. 1991). This was concluded among other things because of the observation that the same cells can fire during olfactory and spatial responses. It has even been suggested that memories move from the hippocampus to the cortex during the consolidation phase of sleep. To support such a claim, it has been observed that destruction of the hippocampus does not indeed destroy memories. It rather prevents learning new things (Eichenbaum et al. 1991). However, the mechanisms of mapping hippocampal synaptic patterns to the putative cortical synaptic patterns, as well as the hypothetical transfer mechanism are entirely unclear [for new insights see: Good sleep, good learning, good life]. Although the technique of preserving hippocampal slices in vitro has been well developed and makes it possible to conduct experiments lasting up to several hours, the critical phase of LTP called L-LTP (late LTP) cannot be effectively studied in hippocampal slices (Kandel 1993). Hence the disproportionately large number of studies of short-term potentiation and E-LTP (early LTP) as compared with later stages of LTP dependent on protein synthesis and gene expression.

The role of acetylcholine in establishing memories

Although glutamate has been established as the main excitatory neurotransmitter in the hippocampus, cholinergic pathways do also terminate at CA1 cells of the hippocampus. As acetylcholine has been found as a memory enhancing transmitter, considerable amount of attention has been brought to the place of the cholinergic system in development of memories. A cholinergic antagonist scopolamine impairs learning, while physostigmine which blocks acetylcholinesterase improves learning. Similarly, activity of acetylcholinesterase has been found to be lower in the areas of reduced mnemonic capacity. Additionally, enhanced cholinergic activity improves memory, while high affinity choline uptake has been found to correlate positively with the amount of learning (Mishkin et al. 1991). Stimulating GABA-ergic neurons in medial septal area reduces the firing of neurons in the hippocampus, while at the same time cholinergic neurons increase the firing. Interestingly, caffeine and teophiline increase the number of cholinergic receptors in nerve terminals (via inhibiting cAMP phosphodiesterase and increasing the levels of cAMP), and both these stimulants have been found to have positive influence on establishing memories (though this positive effect may be partially occluded by the attention deficit as a result of increased excitability of the cortex and the limbic system). It has been found, finally, that it is the arousal impulsation from the reticular formation that ends up in CA1 cells as acetylcholinergic input (Alkon 1989). The evidence collected until now has led many researchers to believe that though acetylcholine plays an important role as a memory modulator (cf. the arousal impulsation), it does not take part in the process of establishing memories per se. As for the mechanism of cholinergic action, it has been found that the muscarinic receptor activates protein kinase C (Craig 1993). As it will be shown later, protein kinase C has been proposed as one of the central elements of the control system responsible for consolidation of memories.

Short-term potentiation

Development of memory proceeds as a cascade of molecular phenomena. Depending on the methodology, different authors distinguish different phases of synaptic potentiation that are given overlapping and often confusing names. Bliss and Collingridge propose the following division of the potentiation phenomena (Bliss et al. 1993):

  • post-tetanic potentiation (PTP)
  • short-term potentiation (STP)
  • long-term potentiation (LTP)

PTP, which is NMDA-independent, seems to be governed by an alternative mechanism as it can develop even if LTP is at its peak (Bliss et al. 1993). STP can be distinguished from LTP by protein kinase inhibitors (Bliss et al. 1993), which do not affect STP while abolishing the development of LTP. Phosphorylation of protein is a necessary element of the development of STP (Kandel 1982), but it is not affected by protein synthesis inhibitors (Kandel 1982). STP is NMDA-dependent, i.e. blocking glutamate NMDA receptors prevents its establishment, while NMDA itself is able to induce STP (Bliss et al. 1993). Additionally, blocking NMDA receptors makes it impossible to shift from STP to LTP (Bliss et al. 1993). The most often quoted duration span for STP is about one hour, and is correlated with an increased release of the neurotransmitter (Bliss et al. 1993). A very interesting recent report indicates that there are two kinds of short-term memory in the lower temporal lobe. One is automatic, and the other can be maintained by conscious rehearsal(Science 1994). Little is known, however, if distinguishing these two forms might in any way affect the formulation of the universal molecular model of memory.

Long-term potentiation of synaptic transmission in the hippocampus

A train of 100 stimuli at 100 Hz can evoke a long-lasting potentiation of synaptic transmission in neurons of selected structures in the brain. This potentiation is called long-term potentiation, or LTP for short. LTP has been elected as the primary experimental model of memory and learning in vertebrates. During LTP, the resting potential of affected neurons appears to be increased resulting in easier and faster depolarization, and in consequence, in an enhanced synaptic response. It has been found that drugs disrupting LTP impair learning (e.g. in odor discrimination studies). LTP can be induced in all excitatory pathways in the hippocampus, but has also been found in other numerous parts of the brain (Bliss et al. 1993). Naturally induced LTP is behaviorally dependent, and it can be detected only in the wake of a selected group of tasks (Lynch 1984). As for its duration, it has been found that LTP can persist for weeks in CA1 cells in freely moving animals, while presynaptic changes last for at least several hours (Bliss et al. 1993). However, in synapses that are cut off the cell body, LTP lasts only for a couple of hours; the hypothetical reason being the lack of new protein supply from the cell body (Bliss et al. 1993).

The widely accepted division of LTP into temporal stages is as follows (Bliss et al. 1993):

  1. LTP1, blocked by protein kinase inhibitors (including kinases such as PKA, PKC, and PKG)
  2. LTP2, blocked by protein synthesis inhibitors
  3. LTP3, blocked by gene expression inhibitors

LTP1 is also called E-LTP (early LTP), while LTP2 and LTP3 are called L-LTP (late LTP). Blocking depolarization during the tetanus blocks LTP entirely (Bliss et al. 1993). LTP1, depending on the source has been shown to last from one to five hours (Kandel 1993). LTP3, which requires gene expression, cannot be established in anesthetized animals (Bliss et al. 1993). Some authors exclude NMDA-independent LTP from the definition of LTP. NMDA-independent LTP occurs, among others in mossy fibers (Bliss et al. 1993), and is not blocked by NMDA antagonists. A phenomenon analogous to LTP is the long-term synaptic depression (LTD). It has been postulated that memories may result not only from synaptic potentiation, but also from synaptic depression. A hypothetical cause of LTD is an elevated level of postsynaptic calcium (Bear 1991).

NMDA receptor as the central factor in establishing LTP

The involvement of glutamate in memory has been suspected for long. It has been noticed, for example, that glutamatergic action is reduced in Alzheimer’s disease (Lynch et al. 1984) as well as in Huntington’s disease. There are two categories of glutamate receptors: NMDA receptors, which can be activated by N-methyl-aspartate, and non-NMDA receptors that do not get activated by NMDA. It has been shown that the activity of NMDA is increased during LTP (Bear 1991); hence the particular interest in NMDA receptors in the context of synaptic potentiation.

The attractiveness of NMDA receptors as a possible element involved in the cascade leading to the establishment of long-term memories has greatly been enhanced by the observation that it might provide a molecular mechanism for the so-called coincidence-detection rule proposed by Hebb and Konorski in the late 1940s. The coincidence-detection rule says that the synapse that is activated at the moment of the simultaneous depolarization of the target cell might undergo the process of strengthening its conductivity. This rule has been used as the basis of associative learning in natural neural networks, and NMDA receptor has been put forward as the most prominent candidate for the molecular implementation of coincidence detection.

NMDA receptors are associated with calcium channels, but are usually not active in standard synaptic transmission which is effected by non-NMDA receptors that open sodium and potassium channels. The reason for lack of activity is the block of the calcium channel with magnesium cations. However, if the target cells undergoes depolarization, the magnesium ions are repelled from their site and the influx of calcium may take place as a result of activating NMDA receptors by glutamate. In other words, NMDA receptors act as detectors of the coincidence between the target depolarization and the presence of glutamate in the synaptic cleft. The resulting calcium transients have been show to be able to result in triggering LTP (Bliss et al. 1993). Therefore, detection of coincidental activity can be transformed into lasting potentiation. An interesting property of NMDA receptors is that they release glutamate more slowly than non-NMDA receptors resulting in a long-lasting impact on the chemical processes triggered within the synapse. Interestingly, changes induced by the activation of NMDA receptors are both pre- and post-synaptic (Bliss et al. 1993). The explanation for this puzzling effect came from the discovery of retrograde messengers (see later sections). Strong evidence for the importance of calcium transients in evoking LTP comes also from the observation that the release of calcium from intracellular stores can substitute for NMDA-dependent calcium influx into the cell (Bliss et al. 1993). It is possible, that the inflow of calcium into the cell results in an increased activity of NMDA receptors as a result of phosphorylation (similar phosphorylation has also been reported to affect AMPA glutamate receptors)(Bliss et al. 1993). More evidence for the pivotal role of NMDA receptors in LTP comes from the fact that NMDA antagonists (e.g. AP5, MK-801) have been shown to impair learning (Lynch 1984), and to block LTP (Bliss et al. 1993). However, AP5 does not block shock-avoidance learning (Lynch 1984) nor visual discrimination tasks. As mentioned earlier, not all forms of LTP have been found to depend on the activation of NMDA receptors. Blocking NMDA makes it impossible to shift from STP to LTP (Bliss et al. 1993), but it does not reduce previously established LTP. In more detailed study, it was found that application of NMDA receptor blockers just before training impairs learning, but post-training and pre-test administration have no such effect (Venable et al. 1990). Similarly, chemically induced LTP is also not blocked by NMDA receptor inhibitors (Bliss et al. 1993). The agents of LTP most likely lie downstream the activation cascade; hence the lack of abolition with NMDA antagonists. A very puzzling observation is that inadequate stimulation of NMDA receptors not only does not induce LTP, but can even impair the cells ability to exhibit LTP in subsequent tetanization (Bliss et al. 1993). I mentioned earlier that STP is correlated with increased release of glutamate, this increase may possibly last a few hours into LTP (Bliss et al. 1993). Mutant mice lacking CAM kinase II and unable to induce LTP show normal NMDA currents, which suggest the participation of the enzyme in the activation cascade downstream NMDA receptors (Grant et al. 1994). Two interesting facts have also been observed in reference to drinking alcohol and its influence of memory. First it has been found that alcohol inhibits and reduces the number of NMDA receptors in the brain (NMDA.TXT). Secondly, the number of NMDA receptors in babies of mothers that abuse alcohol is markedly reduced (Queen et al. 1993).

Non-NMDA glutamate receptor

Non-NMDA receptors are permeable for potassium and sodium and take part in normal transmission of impulsation via glutamatergic synapse. This receptors also show the ability to activate phospholipase C via protein G, and consequently, result in the increased levels of calcium in the cell. Some authors suggest that LTP may be associated with an increased AMPA component of synaptic response (Bliss et al. 1993) (AMPA is a kind of ionotropic glutamate receptor). Sensitivity of AMPA in LTP is increased, and this increase is blocked by kinase inhibitors (Bliss et al. 1993). Interestingly, catalytic subunit of PKA can directly increase the activity of AMPA (Bliss et al. 1993), but the significance of this fact for memory consolidation has not been elucidated.

Retrograde messengers in synaptic transmission

The concept of retrograde messengers has been brought to attention of neuroscientists upon the observation that the activation of postsynaptic NMDA receptors increases the volume of the neurotransmitter released from the presynaptic element. In other words, the long held concept of one-way synaptic transmission, from presynaptic to postsynaptic element has been called in question. Since this observation, several possible retrograde messengers have been proposed such as nitric oxide (NO), arachidonic acid, carbon monoxide (CO), etc. In reference to nitric oxide, whose role has been investigated starting as late as in 1991, it has been found that NMDA increases the release of NO from cultured neurons (Bliss et al. 1993). It has been proposed that NO synthase is probably activated by calcium transients (Bliss et al. 1993). Physiological activity of NO drops to 50% in just four seconds, which suggests that nitric oxide might play the role of a rapid retrograde messenger. Interestingly, nitric oxide does not just affect the presynaptic element, it may diffuse to neighboring synapses and increase their potentiation(Science 1994). This finding, however, calls in question its participation in establishing specific memories, and suggests that nitric oxide might play the role of a growth signal that might intensify metabolic processes in highly active areas of the nervous tissue. In the presynaptic element, nitric oxide activates guanyl cyclase, and this effect is proposed as the main possible reason for potentiating the synapse. However, the nitric oxide effect can be seen only in presynaptic elements that are activated at the moment of the release of the retrograde messenger. Hemoglobin, a nitric oxide scavenger, blocks LTP (Bliss et al. 1993). Similarly, blocking NO synthase impairs learning (but not shock avoidance learning). Protein kinase C, on the other hand, activates the enzyme. The role of nitric oxide as a rapid retrograde messenger has been called in question, however, upon noticing that potentiation it induces is slow to develop (Bliss et al. 1993). Moreover, NO synthase inhibitors have little impact on STP (Bliss et al. 1993). As mentioned earlier, inhibiting NO synthase suppresses LTP, but not always. The result of the inhibition depends on the previous activity in the hippocampus (Bliss et al. 1993). Additionally, NO synthase has not been immunocytochemically found in granule cells (Bliss et al. 1993), though it was found in hippocampal interneurons. A great deal of further research is needed before the true role of nitric oxide in memory consolidation could be determined. The other candidate, arachidonic acid can also induce LTP. Potentiated neurons release more arachidonic acid, which activates NMDA receptors and reduces the uptake of glutamate by glial cells (Bliss et al. 1993). Additionally, blocking phospholipase A2 suppresses LTP (Bliss et al. 1993). However, analogously to nitric oxide, arachidonic acid cannot be considered a rapid retrograde messenger as the potentiation it induces is slow to develop. Finally, it is worth mentioning that some authors proposed the increase in extracellular potassium as a possible retrograde messenger (Bliss et al. 1993). Potassium enhances coupling of mGluR with protein G, and might this way affect the presynaptic element of a recently active synapse.

Role of calcium

In conditioned neurons, calcium ions enter the cell via NMDA channels, but it is also be amplified by the efflux of calcium from intracellular stores. Calcium alone has been found to mediate reduced afterhyperpolarization in conditioned CA1 cells (Disterhof 1991), but the most interest has been attracted by its ability to induce LTP. Three seconds of elevated calcium can induce LTP (Bliss et al. 1993), but if it is the sufficient cause of LTP is not clear (Bliss et al. 1993). Blocking the influx of calcium or applying EGTA suppresses the cells ability to manifest LTP in the hippocampus (Squire et al. 1991). Similarly, drugs that block intracellular calcium, block the development of LTP (Bliss et al. 1993). Elevation of calcium in conditioned neurons can persist for minutes (Bliss et al. 1993)! The influx of calcium has been shown to result in the activation of at least three protein kinases. It also stimulates the migration of protein kinase C to the membrane. Additionally, nitric oxide synthase also seems to be activated by calcium transients (Bliss et al. 1993), which also, in conjunction with calmodulin, can activate adenylate cyclase. The activation of protein kinases has been shown to result in phosphorylation of NMDA and AMPA receptors (Bliss et al. 1993). It has been found quite long ago that calcium is able to increase the number of glutamate receptors; the effect that does not result from the synthesis of receptors de novo (Lynch et al. 1984). One of the hypotheses says that this results from activation of the protease calpain that exposes glutamate receptors by degrading a membrane protein fodrin. Influx of calcium into the presynaptic element increases the release of the neurotransmitter (Kandel 1982). This probably results from the fact that calcium helps binding presynaptic vesicles with the membrane (Kandel 1982). There seems to be no doubt that learning reduces calcium-activated potassium currents in neurons (Disterhof 1991). Though the exact path from calcium to potassium currents is not clear, it seems to be crucial for the development of LTP.

Protein kinase C

One of the first enzymes attracting attention in reference to studying the molecular basis of memory and learning was protein kinase C (PKC). It has been found that slow-learner mice mutants show lower levels of PKC(Science 1994 Genes and behavior). PKC is also lower in Alzheimer’s patients (Mishkin et al. 1991). The amount of PKC in the membrane of conditioned neurons seems to be directly correlated with the amount of training (Mishkin et al. 1991). The mere injection of PKC into the hippocampus is claimed to have caused potentiation (Craig 1993), though some authors claim it is not enough to evoke LTP (Bliss et al. 1993). Alkon et al. used PKC to mark parts of the brain involved in learning (Craig 1993). Injecting PKC, PKA or PKG inhibitors causes amnesia in 60 minutes (Serrano et al. 1994). Calcium stimulates the migration of PKC to the membrane (Alkon 1989). The same effect is also caused by diacylglycerol whose presence in the cell may result from the activity of phospholipase C that may enhance calcium transients via inositol 3-phosphate (Alkon 1989). Protein kinase C that is the subject of transfer from the cytosol to the membrane is not synthesized de novo, as no increase in mRNA for PKC has been found in conditioning (Craig 1993). It has even been found that mRNA for beta-isoform of PKC is downregulated upon tetanization (Bliss et al. 1993). The soluble fraction of PKC decreases as a result of conditioning (Spieler 1994), which suggests that the increase in the membrane activity comes entirely from the transfer of enzyme molecules from the cytosol. The increase in PKC activity appears first on the surface of cell somata (peak in 24 hours) and shifts within 72 hours to the surface of basiliar dendrites (Mishkin et al. 1991). The transfer of activity of PKC in the membrane may last for days (Alkon 1989) though Bliss claims it can rather be measured in hours (Bliss et al. 1993). As for the phosphorylation target of PKC, there are many possible candidates. One of the hypotheses is that phosphorylation of proteins marks places at which newly synthesized proteins are inserted later on (Kaczmarek 1993). This would ensure dendritic specificity despite the depolarization of the entire neuron. It has been found that PKC appears to be collocated in the brain with protein Go(Gorzelanczyk’s source). Additionally, a possible phosphorylation target of PKC is a variety of protein G that is homologous with Ras protein (Mishkin et al. 1991). PKC also increases the activity of NMDA (Bliss et al. 1993) probably via phosphorylation. Phosphorylation would reduce the block of NMDA by magnesium and increase the influx of calcium. Finally, the phosphorylation of proteins caused by PKC increases the release of the neurotransmitter (Spieler 1994), and reduces the flow of potassium via potassium channels. Artificially injected mPKC was demonstrated to reduce voltage-dependent potassium currents (Mishkin et al. 1991). At the same time, PKC in the cytosol may even increase the potassium ion flow (Alkon 1989). Among activators of protein kinase C are also adenylate cyclase (unknown mechanism of activation and arachidonic acid (Craig 1993), whose possible role as a retrograde messenger has been discussed earlier.

Other kinases involved in establishing LTP

It has been observed that calcium-calmodulin inhibitors cause amnesia in 15-30 minutes (Serrano et al. 1994). This attracted the attention of researchers to calcium-calmodulin dependent kinases. A very important finding was that mice lacking CAM kinase II cannot induce LTP (Grant et al. 1994). The activity of this enzyme has earlier been found as increased in conditioned neurons (Craig 1993); very much the same way as the activity of protein kinase C. However, other sources report that NMDA does not activate the enzyme. On the other hand, activation of NMDA receptors results in the activation of tyrosine kinase, but the lack of Fyn tyrosine kinase in mutant mice does not have such a dramatic effect on LTP as the lack of CAM kinase II. In a recent study, it has been shown that tetanization increases the level of mRNA for CAM kinase II within 30 minutes to 3 hours since the onset of the stimulus (Bliss et al. 1993). Though protein kinase C has until know attracted more attention, similar results could not be confirmed for the latter (Bliss et al. 1993). An interesting fact is that CAM kinase II has the ability to autophosphorylate in the presence of calcium and, consequently, maintain its increased activity long after the calcium signal wanes (Bliss et al. 1993). This seemed interesting as a form of short lasting memory ability in which the enzyme would remember past calcium transients. The significance of autophosphorylation is, however, entirely unclear. Among other findings, it is worth noting that the development of E-LTP has been postulated to require the activation of serine-threonine protein kinases (Kandel 1993). However, very little data is available in reference to the possible role of these enzyme in establishing long-term potentiation.

New evidence on the role of cAMP in memory and learning

Cyclic adenosine monophosphate (cAMP) is a major second messenger in regulating cellular response to the ligand molecules(terminology!). It’s possible involvement in long-term potentiation must have been considered for as long as the interest in molecular aspects of memory. The pivotal role of cAMP has been well-established in seminal research by Dr. Eric Kandel who studied potentiation phenomena in a marine snail Aplysia caliphornica. In a historic article in Science in 1982, Kandel described the molecular mechanisms responsible for sensitization in Aplysia and boldly proposed that similar mechanisms might also be involved in establishing memories in humans. A decade later, there is an increasing body of evidence that his hypotheses were largely justified. The sensitization mechanism in Aplysia involves the neurotransmitter serotonin. Kandel noticed that the level of cAMP remains elevated for 1 hour after an injection of serotonin into the system (Kandel 1982). Interestingly, the facilitation period seemed to be closely correlated with the increased level of cAMP. Subsequently, it was found that cAMP reduces potassium currents through inducing cAMP-dependent kinase that is able to phosphorylates the potassium channel. The natural conclusion was that the reduced potassium currents increase the influx of calcium because of slower repolarization. This mechanism is identical to the one proposed by Alkon in reference to the action of protein kinase C. In his Science article Kandel proposed that cAMP-dependent protein kinase should be considered an important candidate for a long-term memory factor (Kandel 1982). Additionally, Kandel concluded that the enzyme should be membrane-bound in order to ensure dendritic specificity even if the entire cell undergoes depolarization and global increase in cAMP (see similar conclusions drawn from the analysis of the behavior of protein kinase C earlier in the chapter). In the follow-up research several later, Kandel managed to greatly substantiate his hypothesis. First of all, he noticed that L-LTP can be blocked by antagonists of dopamine receptors which activate adenylate cyclase (Kandel 1993). It has also been found that activation of NMDA increases the level of cAMP in the cell (Bliss et al. 1993). Naturally, an interest had to by transferred to protein kinase A. PKA inhibitors have been found to have little impact on E-LTP, but appeared to be sufficient to block L-LTP (Kandel 1993). A number of experiments indicates that the activation of PKA may be responsible for inducing L-LTP (Kandel 1993). Analogs of cAMP have been confirmed to induce L-LTP that occludes with naturally induced L-LTP. Finally, a link between cAMP and the protein synthesis in memory consolidation has been established by the observation that protein synthesis inhibitors block the induction of L-LTP with cAMP analogs (Kandel 1993).

Calpain

An increased level of activity of proteases has been found in the wake of LTP (Bliss et al. 1993). Calpain belongs to the most investigated proteases that have been found in the hippocampus (Lynch et al. 1994). Calpain is activated by calcium; hence the possible increase of activity in potentiated neurons (Lynch et al. 1984). Blockade of the enzyme suppresses LTP (Lynch et al. 1984), there is therefore sufficient reason to believe in its involvement in the memory consolidation cascade. It has been observed that the number of glutamate receptors increases as a result of calcium transients, and proteinase inhibitors suppress the effect of calcium-induced increase in the number of receptors (Lynch at al. 1994). Interestingly, fodrin, a protein that is located mostly in the postsynaptic membrane has been proposed as the target of the proteolytic action of calpain. According to the hypothesis put forward by Lynch and Baudry, calpain might expose glutamate receptors by degrading fodrin without the need for the de novo synthesis of the receptor proteins (Lynch at al. 1984). As it has been found that the blockade of calpain does not impair shock-avoidance learning (Lynch et al. 1984), the role of the enzyme in memory consolidation remains unclear.

Metabotropic glutamate receptor

In the study of molecular basis of memory, a great deal of attention has recently been given to metabotropic glutamate receptor (mGluR). It is known that the following enzymes can be activated by mGluR via protein G (Bliss et al. 1993):

  1. phospholipase C
  2. phospholipase A2
  3. adenylate cyclase.

All the above enzyme have already been mentioned in previous sections as potentially important for establishing memories. Phospholipase C is responsible for increased levels of inositol 3-phosphate that enrolls more calcium from intracellular stores, and diacylgycerol that stimulates the migration of protein kinase C to the membrane. Not surprisingly, activation of mGluR increases the level of inositol 3-phosphate in the cell (Bliss et al. 1993). Phospholipase A2 can enhance the release of arachidonic acid that has been confirmed to be an LTP enhancer and possible retrograde messenger. Finally, activation of adenylate cyclase results in increased levels of cAMP that triggers some elements of the memory consolidation cascade via cAMP-dependent protein kinase. As a result of intense study over the last four years, it has been shown that mGluR agonists increase the response of neurons to NMDA, and can augment LTP (Bliss et al. 1993). Even more so, mGluR agonists have been found to induce memories(Science Vol 268, p. 262); possibly through suppressing the effect of GABA on potentiated cells. ACPD, an agonist of metabotropic glutamate receptor can even induce LTP (Bliss et al. 1993). In the study of mGluR antagonists, it has been shown that they can reduce the duration of LTP (Bliss et al. 1993). The activation of mGluR can induce LTP even if NMDA receptors are blocked, and it is probably needed to induce LTP in the first place (Bliss et al. 1993). In the context of activation of phospholipase C, it is not surprising that mGluR-induced LTP is sensitive to drugs that block calcium (Bliss et al. 1993), though activation of mGluR itself may depend on NMDA-induced calcium transient (Bliss et al. 1993). One of recent hypothesis is that the increase in extracellular potassium upon depolarization of the target cell might act as a retrograde messenger, as potassium enhances coupling of mGluR with protein G (Bliss et al. 1993). However, this would not make use of the coincidence-detection rule, and does not seem, therefore, to have much appeal in elucidating the molecular basis of memory.

Gene expression and memory

The involvement of gene expression in memory consolidation has for long been quite well documented; however, little is known about the genes that become more active, for example, in later stages of LTP. Expression of c-fos transcription factor in the hippocampus has been found to increase in conditioned animals (Kaczmarek 1993). C-fos makes part of the activator protein 1 (AP1) that takes part in regulating the expression of a number of other genes. Increase in c-fos has been observed both pre- and post-synaptically, and the level of c-fos m-RNA has been confirmed to increase severalfold as a result of conditioning (Kaczmarek 1993). The synthesis of c-fos requires a strong stimulus, and it is dependent on the activation of NMDA receptors (Kaczmarek 1993). Interestingly, c-fos cannot be induced at the plateau of performance (Kaczmarek 1993), which might serve as an excellent molecular mechanism accounting for the spacing effect. Additionally, the importance of findings on c-fos genes has been enhanced that it cannot be induced in anesthetized animals (Bliss et al. 1993).

Protein synthesis and memory

The quest for proteins that might serve as memory molecules has been as long as the molecular research on memory. Initially, it was even thought that the memory itself might be coded in DNA or even protein molecules. Naturally, this quite unlikely presumption was replaced with the understanding of neural networks and the way information is stored in the human brain. Nevertheless, protein remain in the focus of interest as the class of biopolymers involved in potentiating synaptic transmission. It has been known for long that upon applying inhibitors of protein synthesis, amnesia usually occurs as early as in several hours (Kaczmarek 1993). For example, a translational inhibitor anisomycin reduces the duration of LTP to 3-6 hours (Bliss et al. 1993). It has also been noted that during the REM phase of sleep, that has long been supposed (and recently documented) as an important memory consolidation participant, the uptake of amino acids in the brain increases markedly. Additionally, in a direct measurement experiments, it has been shown that conditioning increases the synthesis of mRNA and proteins in conditioned cells. Protein synthesis is definitely proved to be a necessary condition for establishing long-term memories (Kandel 1982). It is known that LTP is associated with an NMDA receptor-dependent increase in the protein content of hippocampal perfusates. This increase is quite slow to develop, and indicates that the protein synthesis may start as late as three hours after conditioning and last for much longer. Alkon has found that migration of protein kinase C to the membrane increases the synthesis of proteins (Alkon 1989). As I earlier mentioned, the level of c-fos protein increases markedly as a result of conditioning. Similarly, the level of mRNA for immediate early gene zif/268 increases after tetanic stimulation (Bliss et al. 1993). In recent important report, mRNA for GR33 presynaptic glutamate receptor has been found to increase during LTP in dentate granule cells of the hippocampus (Smirnova et al. 1993). The increase was maintained for about five hours. Protein kinase C that is the subject of transfer from the cytosol to the membrane is not synthesized de novo, as no increase in mRNA for PKC has been found in conditioning (Craig 1993). However, in a recent study, it has been shown that tetanization increases the level of mRNA for CAM kinase II within 30 minutes to 3 hours since the onset of the tetanic stimulus (Bliss et al. 1993). All in all, there is a great body of evidence indicating the importance of protein synthesis in memory consolidation; however, very little is known which proteins play a key role, and the establishment of memory protein does not seem to be an immediate prospect. Nevertheless, a number of authors have put their hypothetical candidates that include among others: glutamate receptors, protein G, synaptic release proteins, active zone proteins, membrane glycoproteins, and many more.

Protein G

As indicated in the previous section, protein G is one of attractive candidates for a regulatory protein involved in consolidation of memories. Long-term potentiation can be induced by protein G activator NaF/AlCl3 (Bliss et al. 1993). Importantly, protein G may regulate opening of potassium channels in learning and be itself phosphorylated by protein kinase C (Alkon 1989). One of its subspecies, protein Go, has been found to collocate with protein kinase C. CAM kinase II can also phosphorylate protein G (Alkon 1989) and influence the status of potassium channels. David Alkon has found that mRNA for a protein G analog appears in conditioned neurons in Hermissenda (Alkon 1989). Coupling of mGluR with protein G as a result of extracellular potassium has also been proposed as one of potentiation mechanisms (Bliss et al. 1993). The attractiveness of protein G as a candidate for a memory factor is so much greater that it can stabilize the membrane, and thus prolong the changes effected by other factors such as migration of protein kinase C.

Potassium channels

It has been shown long ago that the number and properties of post-synaptic channels are changed in LTP (Bliss et al. 1993). Potassium channels are the most likely effector of potentiation. Their phosphorylation reduces the flow of potassium ions during repolarization and results in increased inflow of calcium. This reduced flow as a result of phosphorylation can be observed in conditioned neurons that show increased excitability (Alkon 1989). Potassium channel blockers enhance potentiation(LTP.TXT), and have been shown to even induce LTP on their own (Bliss et al. 1993). Interestingly, this effect is suppressed by alcohol (LTP.TXT). The decrease in the flow of potassium may last for days after conditioning (Alkon 1989). Importantly, the flow of potassium is not reduced by random stimuli that reduce it in association (Alkon 1989). In other words, permeability of the membrane for potassium may be subject to coincidence detection rule. The opening of potassium channels is regulated by protein G which adds importance to the previously presented findings on the possible role of protein G in memory consolidation (Alkon 1989). Both protein kinase C and CAM kinase II can also phosphorylate protein G and affect the status of potassium channels (Alkon 1989). In accordance with the role of the transfer of PKC to the membrane, PKC from the cytosol shows the opposite effect on potassium channels and detectably increases potassium ion flow (Alkon 1989).

Molecular correlates of the two components of memory

In this section I will try to show that experimental data collected in the study of synaptic transmission in memory and learning presented in the preceding subchapter can be combined with the model of two-components of long-term memory discussed at the beginning of the chapter (Wozniak et al. 1995). My first attempt to find molecular correlates of retrievability and strength dates back to the late 1980s (Wozniak 1990); however, as I tried to show in the preceding review of recent research, the beginning of the 1990s has marked a dynamic inflow of new findings resulting, among other things, from application of new research procedures. Consequently, the development of molecular models can be much more accurately substantiated with the existing publication references. For the sake of clarity of the presented reasoning and easiness of reference, I will quote again here the guidelines on establishing the molecular correlates of retrievability and stability derived earlier:

  1. R should reflect the synaptic potentiation; forgetting should be understood as the decrease in R
  2. R should reach a high value already after the first repetition, and decline rapidly in the matter of days (the average optimum inter-repetition interval for retention 95% is several days)
  3. S determines the rate of decline of R (the higher the stability of memories, the slower the decrease of retrievability)
  4. with each repetitions, as S gets higher, R declines at a slower rate (stability of memory increases with successive repetitions)
  5. S should assume a high value only after a larger number of repetitions (stability of memories is positively correlated with the amount of training)
  6. S should not change (significantly) during the inter-repetition interval
  7. if the value of R is high, repetitions do not affect S significantly (spacing effect)
  8. R and S increase only as a result of an effective repetition (i.e. repetition that takes place after a sufficiently long interval)
  9. As S increases, its further increase becomes easier and easier

From Points 1 and 2 we may conclude directly that retrievability should be associated with long-term potentiation (LTP corresponds directly to the time frame of the decline of memory traces exhibited after learning new material). This leads directly to establishing several molecular correlates of retrievability such as: increase in protein kinase C in the membrane, increase in the activity of protein kinase A, phosphorylation of potassium channels(complete), etc. Because of the previously discussed scarcity of data referring to longer time frames, the establishment of the correlates of stability substantially less obvious. Because of its definitely long-term nature (Points 5 and 6), stability is most likely to be correlated with changes in protein content or properties in the synapse (Nobel winner F. Crick has pointedly noticed that no other membrane-bound molecules can provide better half-life characteristics for sustained renewal of memory traces). Because of its unknown nature, I will use the name for the hypothetical group of proteins that are involved in manifestation of stability. The mechanism of establishing LTP is relatively well studied; however, much less is known about the impact of conditioning on long-term changes in the synapse; for example, on protein synthesis. We can presume, however, that stability develops as a result of impulsation complying with coincidence-detection rule (Point 8), but not as a result of LTP itself (Points 6 and 7). In other words, correlates of retrievability cannot underlie the development of stability; however, both components of long-term memory must originate from the same set of molecular phenomena that directly follow the training session. This would indicate that retrievability and stability increase as a result of transient phenomena such as: activation of NMDA, elevated calcium levels, elevated cAMP,(complete) etc. The obvious implication of the proteinaceous nature of stability and the way it is induced is the impact of the transient phenomena on gene expression. As I showed earlier, the link between conditioning and gene expressions has been quite well established, providing a solid support for the proposed interpretation of the properties of stability implied by Point 8. Another important implication of the presented guidelines is that stability should affect the decline of retrievability. This would strongly favor a mechanism by which newly synthesized synaptic proteins have a stabilizing effect on the changes to retrievability. As it has for long been postulated, both retrievability and stability should be somehow related to the synaptic membrane for the sake of specificity of facilitating only a small subset of the dendritic connections of the neuron. Stabilins should then have a consolidating effect on the structural changes in the membrane, including those corresponding with retrievability (Point 3). There is almost no molecular data on long-term changes in the functionality of the synapse upon a number of training sessions. The increase in the active zone proteins makes a notable exception, though it concerns habituation in Aplysia. Active zone proteins and other membrane stabilizing factors that appear as a result of a long-term training process, should be the primary investigative target for uncovering the molecular nature of stabilins (Points 4 and 5). The only unraveled property of the two-component model of long-term memory is the spacing effect, which implies that high levels of retrievability prevent increase in stability (Point 7). The following two interpretations are the most compelling:

  • transfer of retrievability factors from the cytosol to the membrane diminishes their cytoplasmic level that may be necessary for the development of stability (e.g. as it is the case with protein kinase C)
  • high retrievability changes the properties of the membrane that reduce or eliminate the impact of transient factors responsible for consolidation of memory (e.g. phosphorylation of potassium channels might change the modus of depolarization in a way that diminishes the role of transient inductive factors).

The change of one of the above factors may reduce the level of gene expression, as it has been found with the earlier mentioned lack of c-fos induction at plateau level of performance.

The general conceptual model that illustrates the general relationship between molecular factors correlated with retrievability and stability is presented in the figure below:

Figure 18 Conceptual model of the two-components of long-term memory

Although there is still a long way toward ultimate answers; the above presented model goes definitely far beyond what might be concluded at the time of formulating the previous one based on phosphorylation of proteins and the synthesis of synaptic receptors (Wozniak 1990).

The increasingly evident correlates between molecular and behavioral levels with reference to two-components of long-term memory strengthen the thesis of universal applicability of repetition spacing algorithms for the purpose of minimizing the cost of constant knowledge retention in the practice of learning


Molecular correlates of the components of long-term memory

Hypothetical molecular correlates of the two-component model of long-term memory Piotr Wozniak, PhD,
Edward Jacek Gorzelanczyk, PhD,
May 1998
Adapted from: Wozniak, P.A., Gorzelañczyk, E.J., The 7-th International Symposium of the Polish Network of Molecular and Cellular Biology UNESCO/PAS, Cracow Pedagogical University, June 9-10, 1998

For the last ten years the authors have been looking for correlates of their two-component model of long-term memory with up-to-date findings in the field of molecular memory (Wozniak and Gorzelanczyk, 1994; Wozniak et al., 1995, Gorzelanczyk and Wozniak, 1996, Gorzelanczyk and Wozniak, 1997). The two-component model of long-term memory originates from the author’s findings in reference to repetition spacing in learning (Wozniak et al., 1995). The optimum repetition spacing indicates the existence of two independent variables needed to describe the state of long-term memory at any given time. These variables have been named retrievability and stability and have the following interpretation:

  • retrievability determines the probability of recall of a given memory engram at a given moment and can loosely be associated with what is commonly called the synaptic strength (Abraham and Tate, 1997; Frey and Morris, 1997)
  • stability is a less-studied property of memory which determines the speed with which retrievability declines after training. In other words, stability determines the rate of forgetting (Wozniak et al., 1995)

Although the speed at which the research field of molecular aspects of memory is truly hard to keep up with, some of most fundamental assumption related to our molecular two-component model of memory have not been changed.
It has been increasingly well documented in recent years that synaptic plasticity, a physiological basis of learning and memory, can mainly be classified into two categories: 1) relatively short-term changes in electrical activities and 2) more long-lasting morphological changes in synapses (Jodar and Kaneto, 1995). The authors conclude that these findings correlate well this their two component model of memory in which retrievability is correlated with synaptic conductivity while stability is correlated with lasting changes in synaptic membrane structure (Gorzelanczyk and Wozniak, 1996; Gorzelanczyk and Wozniak, 1997).

Let us first take a short look at the most interesting processes occurring in a conditioned synapse:

  1. as a result of releasing the neurotransmitter glutamate into the synaptic cleft, glutamate receptors are activated. In particular, (1) NMDA receptor whose activation results in an inflow of calcium into the postsynaptic element (Miyamoto and Fukunaga, 1996), and (2) metabotropic glutamate receptor (mGluR)(glutamate is here a leading neurotransmitter of interest due to its role in eliciting LTP in the mammal hippocampus) (Anwyl, 1994; Riedel and Reymann, 1996; Dube and Marshall, 1997)
  2. a series of intracellular kinases is activated:
    • mGluR coupled with protein G (Chou and Lee, 1995; Parmentier et al., 1996) activates phospholipase C that in turn releases diacylglycerol (DAG) from phosphatidylinositol 4,5-biphosphate (Thomas, 1995 in et al., 1997). DAG activates protein kinase C (PKC) (Riedel et al., 1996) and triggers its migration from the cytosol to the membrane (probably via proteolytic change to the enzyme affecting its hydrophobic properties (Apel et al., 1990; MacNicol, 1992)). This transition is critical as it will ultimately result in phosphorylation of potassium channels (Muller et all., 1992) and increased potentiation of the synapse (Meiri et al., 1997)
    • calcium flowing into the cell as a result of depolarization and a result of its release from intracellular stores takes part in activation of calmodulin-dependent CAM kinase II (CAMKII) (Kelly, 1991 Muller et all., 1992; Wayman et al., 1996) which can persist in active state due to autophosphorylation (Strack et al., 1997)
    • calcium exerts its effects via calmodulin also on adenyl cyclase (AC) (Choi et al., 1992a; Choi et al., 1992b) that leads to increased levels of cAMP that migrates to the cell nucleus, activates protein kinase A (PKA) and triggers gene expression (Hagiwara et al., 1993; Motminy, 1997)
  3. at the same time, in a less well understood process, synaptic activation triggers the creation of a short-lasting, protein-synthesis-independent synaptic tag which later will take part in sequestering relevant proteins needed to establish further stages of memory consolidation (Frey and Morris, 1997)
  4. activating kinases CAMKII and PKA results in the expression of cyclic AMP-response element binding protein (CREB)(Montiminy, 1997; Kogan et al., 1997)
  5. CREB triggers a gene expression cascade with a group of IEGs coding for transcription factors such as zif/268, c-fos, c-jun, junB, and junD that in turn lead to transcription of late effector genes coding for proteins critical for establishing long-term memory (Abraham et al., 1991; Moore et al., 1996)
  6. a number of new proteins are synthesized including: ubiquitin hydroxylase (which may cause permanent proteolitic activation of PKA) (Hedge et al., 1997), clathrin (involved in membrane protein complexes(Solomonia et al., 1997), calreticulin (calcium-binding protein of the lumen of the endoplasmic reticulum)( Kennedy et al., 1992), ependymin (protein involved in the axon growth and exhibiting ion-dependent polymerization)( Schmidt et al., 1995), TPA (protease that may also be involved in membrane rebuilding)(Qian et al., 1993), protein G (Riedel et al., 1996), mGluR, microfilament proteins, gephyrin (receptor/channel clustering molecule)(Kawasaki et al., 1997), cell adhesion molecules (NCAM)(Sheppard et al., 1991; Sharp et al., 1993; Doyle and Regan, 1993), fasciclin II, BiP (reticulum-resident protein involved in the folding and assembly of secretory and membrane proteins)(Sharp et al., 1993), and more

From the very beginning of our quest, it was clear that retrievability must be established in relatively short period of time following the training (Wozniak and Gorzelanczyk, 1994). We focused our interest on phosphorylation of the potassium channels as the best studied and most tangible factor affecting the synaptic potentiation after training (Premkumar and Ahern, 1995; Etcheberrigaray et al., 1996; Meiri et al., 1997).

Similarly, we thought of stability as of a factor that had to durably affect the speed of potassium channel dephosphorylation and be specifically related to the synaptic site (Premkumar and Ahern, 1995). This specificity and durability lead us to focusing on membrane protein complexes. Most of all, the list of proteins that have been found involved in memory consolidation seems to strongly reaffirm this conviction. Note, for example, that BiP might serve to fold proteins and assemble protein complexes necessary for the structural changes characteristic of long-term memory (Sharp et al., 1993). Those changes, according to our model, should reversely affect the rate of potassium channel dephosphorylation (Toral et al., 1994; Marom and Abbott, 1994).

In other words, we believe that the following components of the above molecular picture correlate with the two components of long-term memory:

  • Retrievability - phosphorylation of potassium channels
  • Stability - stability of membrane protein complexes involved in neurotransmission

In our earlier publications, we have listed nine properties of the two component-model of long-term memories and suggested that these be used in looking for molecular correlates of retrievability and stability (Wozniak et al., 1995). Here we shortly list those properties again with a view to establishing their congruence with the current research findings and the assumed correlates of retrievability and stability.

1. R should be related to the probability of recalling a given memory engram; forgetting should be understood as the decrease in R

Indeed, the greater the phosphorylation, the lower the flow of potassium (Alkon et al., 1991; Premkumar and Ahern, 1995), the greater the excitability of the membranes, the greater the probability of recall.

2. R should reach a high value as early as after the first repetition, and decline rapidly in the matter of days (the average optimum inter-repetition interval for retention 95% equals several days)

Indeed, phosphorylation builds up very quickly and seems to be equally volatile.

3. S determines the rate of decline of R (the higher the stability of memories, the slower the decrease of retrievability)

This property cannot be verified. Stability of the membrane protein complexes should somehow affect the stability of potassium channel phosphorylation; perhaps by slowing down the reverse migration of PKC to the cytosol.

4. With each repetition, as S gets higher, R declines at a slower rate (stability of memory increases with successive repetitions)

This has not been unambiguously verified, but seems to be quite natural. With additional training, more protein synthesis occurs and the complexes grow will probably grow in strength.

5. S should assume a high value only after a larger number of repetitions (stability of memories is positively correlated with the amount of training)

This point is a direct consequence of Point 4 that can effectively be used to search for proteins involved in membrane stability. We could differentially look for proteins that increase in concentration or activity upon repeated exposure to training.

6. S should not change (significantly) during the inter-repetition interval

This is a weak proposition; not entirely critical for the validity of the two component model of memory. Neither has it been verified. However, protein complexes are the most likely candidate for durable changes in the synapse.

7. R and S increase only as a result of an repetition

Indeed, both the phosphorylation of potassium channels and the synthesis of new proteins come in the wake of training.

8. If the value of R is high, repetitions do not affect S significantly (this property is implied by the spacing effect observed in learning)

Not verified. As PKC migrates to the membrane, its cytosolic availability declines. This might result in depressing its ability to take part in inducing gene expression.

9. As S increases, its further increase becomes easier and easier

Not verified. The membrane complexes themselves might somehow be involved in eliciting gene expression, e.g. by facilitating the increase in cAMP levels. Perhaps, stability is correlated with the number of mGluR receptors in the membrane while mGluR is involved in regulating cAMP levels and consequently gene expression.

If you have comments that could enhance our knowledge of the aforementioned phenomena, please write to Piotr Wozniak or Edward Gorzelanczyk .

See also:

  • Molecular model of memory

  • Two components of long-term memory

  • Molecular basis of neuronal plasticity

References

  1. Abraham W. C., Dragunow M., Tate W.P, The role of immediate early genes in the stabilization of long-term potentiation. Mol. Neurobiol. 1991; 5(2-4): 297-314
  2. Abraham W.C., Tate W.P. Metaplasticity: a new vista across the field of synaptic plasticity. Prog. Neurobiol.,1997; 52(4), 303-23
  3. Alkon D. L., Matzel L. D., Collin C. Molecular mechanisms of memory and drug dependence. Alcohol-Alcohol-Suppl. 1991; 1: 35-7
  4. Anwyl R. Synaptic plasticity. A molecular switch for memory. Curr. Biol., 1994, 1; 4(9): 854-6
  5. Apel, E. D., Byford, M. F., Au, D., Walsh, K. A. and Storm, D.R. ,1990, Identification of the protein kinase C phosphorylation site in neuromodulin. Biochemistry 29: 2330-2335.
  6. Bullock S., Steven P. R., Pearce B., Potter J. Training Chics on a Passive Avoidance Task Modulates Glutamate-stimulated Inositol Phospate Accumulation. Eur. J. Neurosc., 1992, 5, 43-48.
  7. Choi, E. J., Wong, S. T., Hinds, T. J. and Storm, D. R. (1992a) Calcium and muscarinic agonist stimulation of type I adenylyl cyclase in whole cells. J. Biol. Chem. 267: 12440-12442.
  8. Choi, E. J., Xia Z., and Storm D.R. Stimulation of the type III olfactory adenylyl cyclase by calcium and calmodulin. Biochemistry 1992b,31:6492-6498.
  9. Chou J. C., Lee E. H. Differential involvement of hippocampal G-protein subtypes in the memory process of rats. Neuroscience. 1995; 64(1): 5-15
  10. Doyle E., Regan C. M. Cholinergic and dopaminergic agents which inhibit a passive avoidance response attenuate the paradigm-specific increases in NCAM sialylation state. J. Neural. Transm-Gen. Sect. 1993; 92(1): 33-49
  11. Dube G. R. Marshall K. C.Modulation of excitatory synaptic transmission in locus coeruleus by multiple presynaptic metabotropic glutamate receptors. Neuroscience. 1997; 80(2): 511-21
  12. Etcheberrigaray R., Payne J. L., Alkon D. L. Soluble beta-amyloid induces Alzheimer's disease features in human fibroblasts and in neuronal tissues. Life-Sci. 1996; 59(5-6): 491-8
  13. Frey U. Morris R. G. Synaptic tagging and long-term potentiation Nature. 1997, 385(6616): 533-6
  14. Gorzelanczyk E. J., Wozniak P. A. A new conceptual model of the processes involved in the formation of memory traces in the synapse. J. Neurol., 1997, 244, 139.
  15. Gorzelanczyk E. J., Wozniak P. A. New approach to studying molecular memory based on understanding the optimum repetition spacing in learning J. Neurol. 1996, 3, 5.
  16. Hagiwara, M., Brindle, P., Harootunian, A., Armstrong, R., Rivier, J., Vale, J., Tsien, R. and Montminy, M. R. Coupling of hormonal stimulation and transcription via the cAMP responsive factor CREB is rate limited by nuclear entry of protein kinase A. Mol. and Cell Biology, 1993 13, 4852-4859.
  17. Hedge A. N., Inokuchi K., Pei W., Casaido A., Ghirardi M., Chain D. G., Martin K. C., Kandel E. R., Schwartz J. H. Ubiquitin C-terminal hydrolase is an immediate-early gene essential for long-term facilitation in Aplysia.Cell. 1997; 89(1): 115-26
  18. Jodar L., Kaneto H. Synaptic plasticity: Strairway to memory. Jpn. J. Pharmacol.1995, 68, 359-387
  19. Kawasaki B. T., Hoffman K. B., Yamamoto R. S., Bahr B. A. Variants of the receptor/channel clustering molecule gephyrin in brain: distinct distribution patterns, developmental profiles, and proteolytic cleavage by calpain. J-Neurosci-Res. 1997; 49(3): 381-8
  20. Kelly P. T. Calmodulin-dependent protein kinase II. Multifunctional roles in neuronal differentiation and synaptic plasticity. Mol. Neurobiol. 1991; 5(2-4): 153-77
  21. Kennedy T. E., Kuhl D., Barzilai A., Sweatt J. D., Kandel E. R. Long-term sensitization training in Aplysia leads to an increase in calreticulin, a major presynaptic calcium-binding protein. Neuron. 1992; 9(6): 1013-24
  22. Kogan J. H., Frankland P. W., Blendy J. A., Coblentz J., Marowitz Z., Silva A. J. Spaced training induces normal long-term memory in CREB mutant mice. Curr-Biol. 1997, 7(1): 1-11
  23. Lin F. F., Varney M., Sacaan A. L., Jachec C., Daggett L. P., Rao S., Flor P., Kuhn R., Kerner J. A., Standaert D., Young A. B., Velicelebi G. Cloning and stable expression of the mGluR1b subtype of human metabotropic receptors and pharmacological comparison with the mGluR5a subtype. Neuropharmacology. 1997 Jul; 36(7): 917-31
  24. MacNicol, M., and Schulman, H. Cross-talk between protein kinase C and multifunctional Ca2+/calmodulin-dependent protein kinase. J. Biol. Chem. 1992, 267:12197-201
  25. Marom S., Abbott L. F. Modeling state-dependent inactivation of membrane currents. Biophys-J. 1994 Aug; 67(2): 515-20
  26. Meiri N., Ghelarandi C., Tesco G., Galeotti N., Dahl D., Tomsic D, Cavallaro S., Quattrone A., Capaccioli S., Bartolini A., Alkon D. L. Reversible antisense inhibition of Shaker-like Kv1.1 potassium channel expression impairs associative memory in mouse and rat. Proc-Natl-Acad-Sci-U-S-A. 1997 Apr 29; 94(9): 4430-4
  27. Miyamoto E., Fukunaga K. A role of Ca2+/calmodulin-dependent protein kinase II in the induction of long-term potentiation in hippocampal CA1 area. Neurosci.Res. 1996 Jan; 24(2): 117-22
  28. Montiminy M.Transcriptional regulation by cyclic AMP. Annu-Rev-Biochem. 1997; 66: 807-22
  29. Moore A. N., Waxham M.N., Dash P. K. Neuronal activity increases the phosphorylation of the transcription factor cAMP response element-binding protein (CREB) in rat hippocampus and cortex. J-Biol-Chem. 1996 Jun 14; 271(24): 14214-20
  30. Motminy M. Transcriptional regulation by cyclic AMP. Annu. Rev. Biochem. 1997; 66: 807-22
  31. Muller W., Petrozzino J. J., Griffith L. C., Danho W., Connor J. A., Specific involment of Ca2+ calmodulin kinase II in cholinergic modulation of neural responsivness. J. Neurophysiol., 1992, 68, 2264-2269.
  32. Parmetier M. L., Pin J. P., Bockaert J., Grau Y. Cloning and functional expression of a Drosophila metabotropic glutamate receptor expressed in the embryonic CNS. J. Neurosci., 1996, 16(21): 6687-94
  33. Premkumar L. S., Ahern G. P. Blockade of a resting potassium channel and modulation of synaptic transmission by ecstasy in the hippocampus. J-Pharmacol-Exp-Ther. 1995 Aug; 274(2): 718-22
  34. Qian Z., Gilbert M. E., Colicos M.A., Kandel E.R., Kuhl D. Tissue-plasminogen activator is induced as an immediate-early gene during seizure, kindling and long-term potentiation. Nature 1993, 361(6411):453-457
  35. Riedel G., Reyman K. G. Metabotropic glutamate receptors in hippocampal long-term potentiation and learning and memory. Acta. Physiol. Scand. 1996, 157(1), 1-19
  36. Riedel G., Wetzel W., Reymann K. G. Comparing the role of metabotropic glutamate receptors in long-term potentiation and in learning and memory. Prog. Neuropsychopharmacol. Biol. Psychiatry. 1996; 20(5), 761-89
  37. Riedel G., Wetzel W., Reymann K. G. Comparing the role of metabotropic glutamate receptors in long-term potentiation and in learning and memory. Prog-Neuropsychopharmacol. Biol. Psychiatry. 1996, 20(5): 761-89
  38. Schmidt R., Brysch W., Rother S., Schlingensiepen K. H. Inhibition of memory consolidation after active avoidance conditioning by antisense intervention with ependymin gene expression. J. Neurochem. 1995, 65(4): 1465-71
  39. Sharp-FR; Hisanaga-K; Sagar-SM NMDA receptor blockade prevents translation, but not transcription, of the c-fos gene following stimulation with multiple extracellular signals in cultured cortical neurons: implications for plasticity and molecular memory. NIDA-Res-Monogr. 1993; 125: 172-80
  40. Sheppard A., Wu J., bahr B. A., Lynch G. Compartmentation and glycoprotein substrates of calpain in the developing rat brain. Synapse. 1991, 9(3): 231-4
  41. Solomonia R. O., McCabe B.J., Jackson A.P., Horn G. Clathrin proteins and recognition memory. Neuroscience, 1997, 80(1):59-67
  42. Strack S., Choi S., Lovinger D. M., Colbran R. J. Translocation of autophosphorylated calcium/calmodulin-dependent protein kinase II to the postsynaptic density. J. Biol. Chem., 1997, 23; 272(21): 13467-70
  43. Thomas R. J.Excitatory amino acids in health and disease. J.Am.Geriatr.Soc. 1995 Nov; 43(11): 1279-89
  44. Toral J., Hu W., Barrett J. E., Sokol P.T., Ziai M. R. Use of cultured human neuroblastoma cells in rapid discovery of the voltage-gated potassium-channel blockers. J. Pharm. Pharmacol. 1994; 46(9): 731-4
  45. Wayman G. A., Wei J., Wong S., Storm D. R. Regulation of type I adenylyl cyclase by calmodulin kinase IV in vivo. Mol-Cell-Biol. 1996 Nov; 16(11): 6075-82
  46. Wozniak P. A., Gorzelanczyk E. J. Optimization of repetition spacing in the practice of learning Acta Neurobiol. Exp. 1994, 54, 59-62.
  47. Wozniak P. A., Gorzelanczyk E. J., Murakowski J. A. Two components of long-term memory. Acta Neurobiol. Exp. 1995, 55, 301-305


Neuronal Mechanisms of Memory

Neuronal Mechanisms of Memory Formation Dr E. J. Gorzelanczyk
Dr P. A.Wozniak
July 1, 2001
Book Review:

Cambridge University Press 2001, 490 pages

About the reviewers:

Dr Edward J. Gorzelanczyk, Laboratory of the Applied Research at the Department of Health Sciences, Karol Marcinkowski Medical Academy, ul. Dabrowskiego 79, 60-529 Poznan, Poland

Dr Piotr A. Wozniak, SuperMemo R&D, SuperMemo World, ul.R.Maya 1, 61-371 Poznan, Poland

Book availability:

Amazon.com ($90, July 2001)

Neuronal Mechanisms of Memory Formation edited by Christian Hölscher revolves largely around the concept of long-term potentiation (LTP) and its implications for our understanding how memory traces are formed and sustained. The book was written by a selection of authors that represent many prominent personalities in the field of memory research (incl. Nobel Prize winner Dr Eric Kandel). The book is composed of nineteen independent papers with an introduction by Christian Hölscher which lays ground for critical analysis of the most pivotal questions, on which the current research on memory formation is focused. All individual papers, without an exception, provide a very well-written, carefully proofed, and well generalized analysis of a selected research problem. Although independent authoring has resulted in a slightly repetitive treatment of introductory themes, each chapter of the book can be picked for selective reading and forms a coherent entity on its own. On the downside, the book does not in any way discuss the role of sleep in memory formation and optimization (research in this field, in authors’ opinion, could lay ground for breakthroughs in understanding high-level memory systems). Secondly, it is also regrettable that the concepts of the spacing effect and spaced repetition in learning have not as yet attracted much attention of researchers dealing with neuronal and molecular aspects of memory. The fact that cognitive and behavioral memory research seems to be run in disjoint research communities is thus also reflected in the book. A notable exception is a paper by Lisman et al. that abounds in behavioral parallels and illustrats the richness of potential inspiration. Similarly, the paper by Matzel and Shors, although strongly criticized in this review, illustrates the power of behavioral research in supporting or falsifying molecular and neural theses.

Besides the introduction, concluding remarks, and a somewhat scanty index, the book is divided into five sections that were clearly molded to accommodate for individual authors’ interests. As a result, the overall coverage may have lost on systematic analysis, but it has certainly gained on the in-depth creative quality of individual articles. Consequently, this is less of a student textbook, and more of a guiding light for further research in the field.

In the introduction, Christian Hölscher emphasized that memory research is inevitably guided by the available methodology and historical implications. He noted the need to expand the present research beyond its traditional focus on the LTP in the hippocampus. He also noticed that one of the lesser studied aspects of memory formation is its time dynamics. Similarly, HFS protocols which induce LTP in a robust way still dominate the present research despite their being quite different from the natural firing patterns. Slicing the hippocampus deprives it from natural input from modulatory systems (one of the authors compared hippocampal slices to memory circuits in the NREM state). Similarly confounding can be the removal of inputs from the raphe nuclei or the locus coeruleus, which may act as master trigger circuits of synchronized neural activity in sleep. More precise classification of the forms of learning is needed for the analysis of the underlying neural structures as learning protocols might be associated with varying molecular mechanisms. Confusion in the protocol area may obscure the implications of experimental findings in which varying learning techniques are used to yield different results.

Here are selected highlights of research papers included in the book

  1. In one of the most captivating articles, Edmund T. Rolls describes the three types of neural networks underlying the function of the brain: pattern associators, autoassociators and competitive networks. Simple description of the architecture and the rules of operation of such networks are presented in the context of learning, recall and saturation forgetting. Network properties are discussed: capacity, generalization, error recovery, etc. A role of non-linear NMDA properties in forming well-defined sparse memories is hinted at. Competitive neural nets are shown to learn to categorize input pattern vectors. Their role in removing input redundancy is presented. Neural input subject to, what the author calls “sparsification”, can later be efficiently applied to associative networks. Competitive networks respond to correlations in input patterns and require no teaching stimuli. As such they seem to be an excellent model for sensory filters. Upon this neural network introduction Rolls goes on into demonstrating how this rudimentary knowledge combined with LTP/LTD and/or LTP/LTD-like mechanisms can greatly enhance our understanding of specific neural structures in the brain. He presents an extensive analysis of the hippocampal circuitry and how it can be modeled computationally with far reaching conclusions about the importance of individual network components. For example, evidence is presented that CA3 cells might operate as an autoassociative network capturing episodic memories (a conclusion that differs slightly from a similar one by Lisman et al.). Network properties combined with neurohistological data can be used to estimate network capacity. For example, rough approximation of autoassociative CA3 capacity based on the number of inputs and the estimated sparseness was found to be 36,000 separate memories. Rolls also picks examples of cortical structures whose function can be explained in terms of neural network types. For example, face recognition in the temporal visual cortex is shown as implementable as a multi-layer competitive network. Rolls successfully demonstrated the power and applicability of neural computing and computational models in bringing the understanding of the brain to new levels
  2. John Lisman at al. make an ingenious effort in bridging LTP research with behavioral data in developing their model of short-term memory named the Lisman-Idiart-Jensen model (later abbreviated to LIJ) in which the role of theta and gamma oscillations in expressing a short-term serially-searchable memory buffer is suggested. The model is then extended by an effort to pinpoint individual hippocampal structures that might be involved in short-term recall in word-list learning. Finally, the NMDA-mediated LTP is presented as a step towards consolidating long-term memories. The authors begin with a look at behavioral memory research in a historical perspective through serial recall, recency and primacy effects, and the Atkinson-Shiffrin short-memory buffer model. In the course of this analysis the authors fail to emphasize the importance of mnemonic strategies on probability of recall that has traditionally obfuscated research on short-term memory. This ultimately leads to undermining some of the evidence presented in support for their model. The authors quote research that supports the existence of short-term memory buffer in PET and fMRI cortical scans which correlate neural activity with memory loads in abstraction from attention levels. In studying the effects of amnesia on the recency effect, the authors note that hippocampal injury can selectively affect the pre-recency curve. However, they conclude that “the hippocampal region is required for LTM storage, but not STM”. This implication arrives at a time when, in support of their own model, the authors could have equally well concluded that such pre-recency curve deflection could indicate the damage to STM capacity in hippocampal injury (lower capacity entails a more pronounced recency effect). Interestingly, just a few pages later, the same authors note that surprising cases of patients have been found that showed short-digit span accompanied with unaffected long-term memory. Following this historical review, the authors introduce the Sternberg probe-recognition task. The LIJ model is presented as derived straight from the Strenberg task in which the reaction time increases linearly with the list length. In 1966, Strenberg suggested serial exhaustive scanning (SES) to explain this effect. However, the authors draw a striking parallel between the reaction time increment (of about 40 ms) in the Strenberg task and the gamma wave period at 25Hz frequency. The LIJ model draws on this parallel by replacing a spatial separation of neural patterns with a gamma-wave frequency-based temporal separation of the same patterns. The model and its implications for developing long-term memories have been analyzed by means of computer simulation. The authors draw a bold conclusion on the link between the “magic seven” and the fact that there are about seven gamma cycles per one theta cycle. However, the dependence of the STM span on knowledge representation extends “magic seven” far beyond the number of gamma subcycles achievable at frequency limits even though the involvement of cortical representations could argue for this to be a transgression beyond the strictly short-term LIJ model. The repeat time in LIJ model is determined via external theta input, while gamma oscillations arise from feedback inhibition in which currently active patterns extinguish the remaining memory traces until their own turn in the cycle. Using simulation experiments, Jenson demonstrated feasibility of such superimposed gamma-theta oscillations. Simulation also made it possible to explain the phenomenon of multiple cueing. Incidentally, the authors use a not-so-fortunate example to illustrate multiple cueing which refers to list learning. The recall of the successor of N in the alphabet does not usually come easier after the cue of LMN due to multiple cueing but rather from the fact that LMN or KLMN are, for most people, the actual recall cues while O can be concluded as the successor of N via reconstructive recall. In other words, the N-O link is not weaker. It is simply rare to store it explicitly in memory (this can be tested in each individual by simply registering the reaction time and whether reconstructive recall could be identified). In conclusion of their analysis, the authors make another bold proposition by associating hippocampal layers with highly specific neural functions. The autoassociative information is proposed to be stored in the recurrent connections of the dentate, the heteroassociative inter-item links are found in the recurrent collaterals of CA3, and the contextual input arrives at CA3 from the EC through the perforant path. Although the evidence for such a claim is behavioral, derived from neural computing, and highly speculative, the proposition itself provides a good focal point for further research that should decide on its validity
  3. Matthias H.J. Munk presents a detailed and lucid analysis of possible functions of synchronized neuronal activity in brain functions. The article begins with separating the concepts of “smart neurons” and neuronal assemblies. Synchronized neuronal responses are shown as a code for relations in input patterns. Gamma-frequency oscillations are of particular interest as they correlate with pattern recognition and synchronized responses. The role of the reticular formation in inducing synchronization is discussed. Separate roles and modes of activity of stable feed-forward connections and plastic reciprocal long-range tangential corticocortical connections are discussed. Possible role of synchronized activity in massive reorganization of cortical representation is found as of potentially monumental importance. A mechanism for such a reorganization based on the time-dependent enhancement or suppression of neural activity is outlined. The link between the cholinergic systems, attention, learning and gamma waves is analyzed, esp. in the light of determining the relative saliency and relevance of sensory input patterns. In this context, the self-organizing nature of synchronized activity is of particular interest for pattern recognition
  4. Matzel and Shors responded to the editors invitation to question the established dogmas of memory research. In particular, LTP as the prime experimental model of memory and learning has accumulated a collection of confusing research outcomes that should make the scientific community pause and reevaluate the role of LTP in learning. Most authors in the book accept LTP as a valuable research model (e.g. Abraham, Cho, Rogan and Kandel, etc.). Matzel and Shors took on a challenging task of proving LTP irrelevant in associative learning. Unfortunately, the rich body of evidence presented in their paper is highly flawed and the strongest counterevidence comes from the areas that were hardly noticed in the presented book: spacing effect and spaced repetition. Authors derive some of their evidence from the fact that “associative learning and its lasting expression does not require multiple trials” – a claim refuted evidently by the existence of the optimum spacing of repetitions in learning. In the section entitled “Associative memories can persist indefinitely” the authors quote “everyday life” evidence, “anecdotal” evidence, as well as the three most popular misconceptions related to forgetting (1) using reconstructive recall, implicit memories, and retrieval failure as a typically abductive evidence for the persistence of memories, (2) confusing the dynamics of procedural forgetting with the dynamics of declarative forgetting, and (3) using the stochastic nature of forgetting to formulate inductive theses without probabilistic evidence. Rich literature references mostly predate the currently established research trends. Similarly flawed is the comparison of the acquisition kinetics of LTP and associative learning. The dynamics of the development of synaptic potentiation will depend on stimulation protocols, which indeed in the case of LTP are often highly un-physiological. The authors write that “LTP exhibits strength through repetition which is not a defining characteristic of associative learning”. Here the volatile short-term instantaneous acquisition of memories in associative learning is confused with its long-term expression that is always trial-dependent. In contrasting the spacing effect of associative learning with the effect of inter-stimulation intervals in LTP, the authors again confuse the short-term conditions needed to establish LTP with the conditions that are suitable for retaining memories for months and years. Memory reacquisition was used as another piece of evidence. It is known that relearning takes much less effort than learning anew. Matzel and Shors note that LTP can produce reacquisition savings only if relearning occurs before LTP decays back to the baseline. This fact should actually be used to draw the opposite conclusion, i.e. in support for the value of LTP for LTM research. Long-term memories in declarative learning behave in the exactly same manner. Relearning brings benefit only within a strictly limited period of time (even if this period might last years depending on the current status of memory traces). The relearning effect, which for shorter intervals should rather be called a retrial effect, adheres to a well-defined curve with a maximum at a strictly determined point in time. In laboratory conditions, this point may range from minutes to days for LTP. Finally, Matzel and Shors indicate that non-associative induction of LTP questions its relevance in associative learning while ignoring the fact that the actual synaptic mechanism by which LTP is generated is not well understood. Even if LTP was indeed non-associative, its most important component, synaptic potentiation, has been an invaluable tool in investigating molecular cascades that result in the synthesis of proteins thought to be responsible for the strength of memory traces. No molecular biologist would question the relevance of this body of knowledge to memory and learning, consequently reaffirming the immense value of LTP as a research tool. There is little indication that associatively and non-associatively induced memories use essentially different molecular systems to justify discarding non-associative models in the study of associative ones. In conclusion, the authors state that monothematic preoccupation with LTP may deter efforts to elucidate other mechanisms that might be better suited to subserve associative memory. It is true that creative molds imposed by peer-review process, memetic nature of human communication, and historical implications of scientific research process should always be carefully taken into consideration; however, to facilitate the suggested departure from LTP the authors will have to equip memory researchers with alternative experimental models, which have not therein been submitted
  5. Rogan et al. (incl. Eric D. Kandel) discuss fear conditioning and the LTP in the amygdala as a valuable research model for memory formation. The authors stress the associative nature of fear conditioning with wide implication for learning in general. Fear conditioning circuits are presented as well as their study with the use of single unit recording and fMRI. Methods for evoking experimental LTP in amygdala are presented. Research into possible molecular substrates of amygdaloid LTP is discussed. The authors conclude that unlike the hippocampus which seems to be a well-studied structure with a hazy relationship to overt behavior, the amygdala seems to be one of the most promising areas with well-defined link to behavioral variables
  6. Stephen Maren compares the hippocampal and amygdaloid LTP in the context of emotional learning. The author notes that Pavlovian fear conditioning is robust and rapidly acquired in a similar way in various mammals, and indeed it has formed the core of the associative learning theory. Those characteristics make it an ideal candidate for studying time-dependent memory processes such as memory consolidation. The basolateral amygdaloid complex (BLA) is presented as the primary sensory interface of the amygdala, while the central nucleus of amygdala (CEA) is depicted as the final common pathway for the generation of acquired fear responses. Consequently, BLA makes up the system of sensory convergence while CEA a system of executive divergence in fear conditioning. The role of the hippocampus in the same learning tasks is then discussed with a clear indication of its contextual and temporally-limited role. The hippocampus is seen as complementing the amygdala as an accessory decoding unit without actually taking an intimate part in the learned reflex
  7. Wickliffe C. Abraham analyses differences in LTP in layers of the EC-hippocampus circuit and in the neocortex, and how these could be involved in autoassociation, decoding steps for complex memories, and the development of sparse memory representation characteristic of higher learning. The role of hippocampal place cells is discussed as well as the possible role of hard and soft synapses. The paper includes a presentation and discussion of the three families of LTP decay curves for dentate gyrus cells
  8. Sabrina Davis at al. discuss the role of gene activation in investigating synaptic plasticity. The article begins with presenting the behavioral evidence for the role of LTP in learning (e.g. McNaughton’s dentate gyrus saturation experiments, AP5 antagonist experiments, measurements of molecular learning correlates, etc.), and the current understanding of the way memories are encoded in distributed networks. The role of LTD in preventing memory overload is stressed. Then the series of molecular events leading to memory formation is described. From calcium influx to the protein synthesis in 3-6 hours window with protein delivery via synaptic tagging. A longer section is devoted to the characterization of immediate early genes activated in learning and the resulting upregulation of protein synthesis (CaMKII, syntaxin, synapsin, NMDA subunits, etc.). Finally a separate section is devoted to gene deletion technique in developing a wide range of knock-out mice deprived of specific genes thought to play a role in learning
  9. Donald P. Cain presents a discussion of recent research on spatial learning with the water maze, esp. the unclear role of NMDA-dependent LTP. The article emphasizes the importance of the classification of task difficulty as essential for comparing data from various labs, as well as detailed behavioral analysis of individual tasks. Only by thus minimizing the number of variables in the equation can the physiology of spatial learning be elucidated and the role of NMDA stated as either central or rather related to non-spatial functions
  10. Paul F. Chapman presents a detail analysis of genetic research techniques applicable to studying LTP and learning with an emphasis on a recent flurry of new data obtained with transgenic mice, as well as the promising future applications of gene-altering technology
  11. Christian Hölscher, the chief editor, proposes a novel stimulation protocol able to reliably induce LTP that is closer to natural activity of the living brain in contrast to HFS frequently used in LTP research. Superiority of the new protocol is demonstrated by a better match in the profile of glutamate receptor agonists effect on LTP and actual learning tasks. The status quo of research methodology is analyzed. An outline of desirable yet realistic prospects for improvement looming on the horizon is presented
  12. Kathryn J. Jeffery suggests how we can circumvent our inability to record the input onto individual neurons by studying cell responses to strictly defined environmental stimuli that result in learning. The role of the hippocampus in representing space and in spatial learning is discussed
  13. In a refreshing departure from the standard mold, Neil McNaughton (do not confuse with Bruce McNaughton from the University of Arizona) presents his unorthodox model of the hippocampal function which is based on “preventing rather than promoting the formation of connections within the brain”. McNaughton lists a dozen of theories on the actual function of the hippocampus and shows that they cannot explain why amnesics show little recovery from memory interference in paired-associate learning. Instead McNaughton proposes his own model in which the hippocampus works to detect negative associations (associations of conflict). The model in part entails a controversial separation of the program from its data in a neural network along a far-reaching metaphor derived from linear digital computers. In conclusion, McNaughton compares hippocampal LTP to programming but still insists on tagging his model as nonmemorial

Conclusions

Neuronal Mechanisms of Memory Formation provides an excellent review of the current state of research into memory formation and will greatly satisfy both researchers in the field as well as students with a particular interest in memory and learning. At the same time, with minor exceptions (e.g. as found in papers by Munk, Rolls or Lisman), the book cannot claim to take a wide inter-disciplinary effort of holistically exploring lesser tested hypotheses and models of memory and cognition.

In concluding remarks, the editors note that “it is possible that LTP is only one of many memory mechanisms used in the brain”. We suggest that this conclusion should be reformulated to: “LTP is only one of many expressions of the same memory mechanism used in the brain”. Once the common denominator is understood, the confusion coming from the effort to equate LTP with memory mechanisms should be cleared out


Neural Networks in Learning

Employing a neural network to solving the repetition spacing problem

Tomasz Biedka
Bartosz Dreger
Jakub Kachlicki
Krzysztof Krawiec
Mikolaj Plazewski
Piotr Wierzejewski
Piotr Wozniak
Dec 12, 1997
Last update: Jul 23, 1998

Neural Network SuperMemo

It has long been postulated that neural networks might provide the most sound basis for solving the repetition spacing problem in SuperMemo. Due to their plasticity, neural networks might provide the most valid way to detect the user profile and classify individual knowledge elements into difficulty classes. The algebraic solution developed by Dr. Wozniak is partly heuristic and is based on a number of assumptions that not always have a solid theoretical basis. This does not change the fact that the Algorithm SM-8 as used in SuperMemo 8 seems to closely approached the maximum speed of learning that repetition spacing might produce. Read the text below to learn more about a research project run in the Institute of Computer Science at University of Technology in Poznan (headed by Prof. Roman Slowinski) in cooperation with SuperMemo Research (headed by Dr P.A. Wozniak), whose purpose is to verify the neural network approach and assess technical feasibility of neural network application in currently available version of SuperMemo. If successful, the research results will be applied in developing future versions of SuperMemo. Initially, as an alternative plug-in algorithm and later ... perhaps as the best repetition spacing algorithm available. We hereby invite comments on the presented approach by all interested parties

The repetition spacing problem consists in computing optimum inter-repetition intervals in the process of human learning. The intervals are computed for individual pieces of information (later called items) and for a given individual. The entire input data are grades obtained by the student in repetitions of items in the learning process. This problems has until now be most effectively solved by means of a successive series of algorithms known commercially as SuperMemo and developed by Dr. Wozniak at SuperMemo World, Poland. Wozniak’s model of memory used in developing the most recent version of the algorithm (Algorithm SM-8) cannot be considered as the ultimate algebraic description of human long-term memory. Most notably, the relationship between the complexity of the synaptic pattern and item difficulty is not well understood. More light on this relationship might be shed once a neural network is employed to provide adequate mapping between the memory status, grading and the item difficulty.

Using current state-of-the-art solutions, the technical feasibility of a neural network application in a real-time learning process seems to depend on the appropriate application of the understanding of the learning process to adequately define the problems that will be posed to the neural network. It would be impossible to expect the network to generate the solution upon receiving the input in the form of the history of grades given in the course of repetitions of thousands of items. The computational and space complexity of such an approach would naturally run well beyond the network’s ability to learn and respond in real time.

Using Wozniak’s model of two components of long-term memory we postulate that the following neural network solution might result in fast convergence and high repetition spacing accuracy.

The two memory variables needed to describe the state of a given engram are retrievability (R) and stability (S) of memory (Wozniak, Gorzelanczyk, Murakowski, 1995). The following equation relates R and S:

(1) R=e-k/S*t

where:

  • k is a constant
  • t is time

By using Eqn (1) we conclude about changes of retrievability in time at a given stability, as well as we can determine the optimum inter-repetition interval for given stability and given forgetting index.

The exact algebraic shape of the function that describes the change of stability upon a repetition is not known. However, experimental data indicate that stability usually increases from 1.3 to 3 times for properly timed repetitions and depends on item difficulty (the greater the difficulty the lower the increase). By providing the approximation of the optimum repetition spacing taken from experimental data as produced by optimization matrices of Algorithm SM-8, the neural network can be pre-trained to compute the stability function:

(2) Si+1=fs(R,Si,D,G)

where:

  • Si is stability after the i-th repetition
  • R is retrievability before repetition
  • D is item difficulty
  • G is grade given in the i-th repetition

The stability function is the first function to be determined by the neural network. The second one is the item difficulty function with analogous input parameters:

(3) Di+1=fd(R,S,Di,G)

where:

  • Di is item difficulty approximation after the i-th repetition
  • R is retrievability before repetition
  • S is stability after the i-th repetition
  • G is grade given in the i-th repetition

Consequently, a neural network with four inputs (D,R,S and G) and two outputs (S and D) can be used to encapsulate the entire knowledge needed to compute inter-repetition intervals (see Implementation of the repetition spacing neural network).

The following approach will be taken in order to verify the feasibility of the aforementioned approach:

  1. Pretraining of the neural network will be done on the basis of approximated S and D functions derived from functions used in Algorithm SM-8 and experimental data collected thereof.
  2. Such a pretrained network will be implemented as a SuperMemo Plug-In DLL that will replace standard sm8opt.dll used by SuperMemo 8 for Windows. The teaching of the network will continue in a real learning process in alpha testing of the neural network DLL. A procedure designed specifically for the purpose of the experiment will be used to provide cumulative results and a resultant neural network. The procedure will use neural networks used in alpha testing for training the network that will take part in beta-testing. The alpha-testing networks will be fed with a matrix of input parameters and their output will be used in as training data for the resultant network.
  3. In the last step, beta-testing of the neural network will be open to all volunteers over the Internet directly from the SuperMemo Website. The volunteers will only be asked to submit their resultant networks for the final stage of the experiment in which the ultimate network will be developed. Again, the beta-testing networks will all be used to train the resultant network. Future users of neural network SuperMemo (if the project appears successful) will obtain a network with a fair understanding of the human memory and able to further refine its reactions to the interference of the learning process with day-to-day activities of a particular student and particular study material.

The major problem in all spacing algorithms is the delay between comparing the output of the function of optimum intervals with the result of applying a given inter-repetition interval in practise. On each repetition, the state of the network from the previous repetition must be remembered in order to generate the new state of the network. In practise, this equates to storing an enormous number of network states in-between repetitions.

Luckily, Wozniak’s model implies that functions S and D are time independent (interestingly, they are also likely to be user independent!); therefore, the following approach may be taken for simplifying the procedure:

Time moment | T1 | T2 | T3
Decision | I1 N1 O1=N1(I1) | I2 N2 O2=N2(I2) | I3 N3 O3=N3(I3)
Result of previous decision |  | O*1 E1=O*1-O1 | O*2 E2=O*2-O2
Evaluation for teaching |  | O'1=N2(I1) E'1=O*1-O'1 | O'2=N3(I2) E'2=O*2-O'2

Where:

  • Ei is an Error bound with Oi (see error correction for memory stability and error correction for item difficulty)
  • E'i is an Error bound with O'i
  • Ii are input data at Ti
  • Ni is the network state at Ti
  • Oi is an output decision of Ni being given Ii, that is the decision after i-th repetition made at Ti
  • O*i is an optimum output decision, that should be obtained at Ti instead of Oi; it can be computed from the grade and Oi (the grade indicates how Oi should have changed to obtain better approximation)
  • O'i is an output decision of Ni+1 given Ii, that is the decision after i-th repetition that would be made at Ti+1
  • Ti is time of the i-th repetition of a given item

The above approach requires only Ii-1 to be stored for each item between repetitions taking place at Ti-1 and Ti with substantial saving to the amount of data stored during the learning process (E'i is as valuable for training as Ei). This way the proposed solution is comparable for its space complexity with the Algorithm SM-8! Only one (current) state of the neural network has to be remembered throughout the process.

These are the present implementation assumptions for the discussed project:

  • neural network: unidirectional, layered, with resilient backpropagation; an input layer with four neurons, an output layer with two neurons, and two hidden layers (15 neurons each)
  • item difficulty interpretation: same as in Algorithm SM-8, i.e. defined by A-Factor
  • each item stores: Last repetition date, Stability (at last repetition), Retrievability (at last repetition), Item difficulty, Last grade
  • default forgetting index: 10%
  • network DLL input (at each repetition): item number and the current grade
  • network DLL output (at each repetition): next repetition date
  • neural network DLL implementation language: C++
  • neural network DLL shell, SuperMemo 98 for Windows (same as the 32-bit SM8OPT.DLL shell)


Implementing a neural network for repetition spacing

Implementing the repetition spacing neural network Bartosz Dreger
 Piotr Wozniak
May 29, 1998
See Neural Network SuperMemo for a brief introduction to repetition spacing neural network

Basic assumption

The state of memory will be described with only two variables: retrievability (R) and stability (S) ( Wozniak, Gorzelanczyk, Murakowski, 1995 ). The following equation relates R and S:

(1) R=e-k/S*t

where:

  • k is a constant
  • t is time

For simplicity, we will set k=1 to univocally define stability.

Input and output

The following functions are to be determined by the network:

(2) Si+1=fs(R,Si,D,G)

(3) Di+1=fd(R,S,Di,G)

The neural network is supposed to generate stability (S) and item difficulty (D) on the output given R, S, D and G on the input:

(4) (Ri,Si,Di,Gi) => (Di+1,Si+1)

where:

  • Ri is retrievability before the i-th repetition
  • Si is stability before the i-th repetition
  • Si+1 is stability after the i-th repetition
  • Di is item difficulty before the i-th repetition
  • Di+1 is item difficulty after the i-th repetition
  • Gi is grade given in the i-th repetition

Error correction for difficulty D

Target difficulty will be defined as in Algorithm SM-8 as the ratio between second and first intervals. The neural network plug-in (NN.DLL) will record this value for all individual items and use it in training the network:

(5) Do=I2/I1

where:

  • Do is guiding difficulty used in error correction
  • I1 is the first optimum interval computed for the item in question (same for all items)
  • I2 is the second optimum interval computed for the item

Important! The optimum intervals I1 and I2 are not the one proposed by the network before its verification but the ones used in error correction after the proposed interval had already been executed and verified (see error correction for stability S )!
Note that the higher the Do, the less the difficulty.

The initial value of difficulty will be set to 3.5, i.e. D1=3.5. This is for similarity with Algorithm SM8 only. As initial difficulty is not known, it cannot be used to determine the first interval. After scoring the first grade the error correction is still impossible due to the fact that second optimum interval is not known. Once it is known, Do can be used for error correction of D on the output.
To avoid convergence problems in the network, the following formula will be used to determine the correct output on D:

(6) Dopt=0.9*Di+0.1*Do

where:

  • Dopt is difficulty used in error correction after the i-th repetition
  • Di is difficulty before the i-th repetition
  • Do is guiding difficulty from Eqn (5)

The convergence factor of 0.9 in Eqn (6) is arbitrary and may change depending on the network performance.

Error correction for stability S

The following formula, derived from Eqn (1) for forgetting index equal 10% and k=1, makes it easy to convert stability and the optimum interval: I=-ln(0.9)*S

In the optimum case the network should generate the requested forgetting index for each repetition. Variable forgetting index can easily be used once the stability S is known (see Eqn (1)). For simplicity then we will use forgetting index equal 10% in further analysis.

To accelerate the convergence, the network will measure forgetting index for 25 classes of repetitions. These classes are set by (1) five difficulty categories: 1-1.5, 1.5-2.5, 2.5-3.5, 3.5-5, and over 5, and (2) five interval categories: 1-5, 5-20, 20-100, 100-500 and over 500 days. We will denote the forgetting index measurements for these categories as FI(Dm,In). Additionally, the overall forgetting index FItot will be measured and used in stability error correction.

The ultimate goal is to reach the forgetting index of 10% in all categories. The following formula will be used in error correction for stability:

(7) FIopt(m,n)=(10*FItot+Cases(m,n)*FI(m,n))/(10+Cases(m,n))

where:

  • FIopt(m,n) is forgetting index used in error correction after a repetition belonging to category (m,n)
  • FItot is the overall forgetting index measured in repetitions
  • Cases(m,n) is the number of repetition cases used to measure the forgetting index in category (m,n)

The formula in Eqn (7) is supposed to shift the weight on error correction from the overall forgetting index to forgetting index recorded in given categories as soon as the number of cases in individual categories increases. Obviously, for Cases(m,n)=0, we have FIopt(m,n)=FItot. For Cases(m,n)=10 the weights for overall and category FI balance, and for a large number of cases, FIopt(m,n) is approaching FI(m,n).

The following table illustrates the assumed relationship between FIopt(m,n), grades and the interval correction applied:

Grade | 0 | 1 | 2 | 3 | 4 | 5
FIopt(m,n)>10% | 40% | 60% | 80% | no correction | no correction | no correction
FIopt(m,n)=10% | no correction | no correction | no correction | no correction | no correction | no correction
FIopt(m,n)<10% | no correction | no correction | no correction | 110% | 120% | 130%

In SuperMemo , grades less than 3 are interpreted as forgetting, while grades equal 3 or more are understood as sufficient recall. That is why no correction is used for passing grades in case of satisfactory FI, and no correction is used for failing grades if FI is greater than requested.
An exemplary correction for an excessive forgetting rate and grade=2 for applied interval of 10 days would be 80%. Consequently, the network will be instructed to assume Interval=8 as correct. Correct stability would then be derived from S=-8/ln(0.9) and used in error correction.
The values of interval corrections are arbitrary but shall not undermine the convergence of the network. In case of unlikely stability problems, the corrections might be reduced (note that the environmental noise in the learning process will dramatically exceed the impact of ineffectively choosing the correction factors!). Similar corrections used to be applied in successive SuperMemo algorithms with encouraging results.

Border conditions

The following additional constraints will be imposed on the neural network to accelerate the convergence:

  • interval increase in two successive repetition must be at least 1.1 (consequently, difficulty cannot be less than 1.1)
  • interval increase cannot surpass 8 after the first repetition, and 4 in later repetitions
  • the first interval must fall between 1 and 40 days
  • difficulty measure cannot exceed 8

These conditions will not prejudice the network as they have been proven beyond reasonable doubt as true in the practice of using SuperMemo and its implementations over the last ten years.

Pretraining

In the pretraining stage, the following form of Eqns (2) and (3) will be used:

(8) Di+1:=Di+(0.1-(5-G)*(0.08+(5-G)*0.02))

(9) Si+1:=Si*Di*(0.5+1/i)

With D1=3.5 and S1=-3/ln(0.9).

Eqn (8) has been derived from Algorithm SM-2 (see E-Factor equation).
Eqn (9) has been roughly derived from Matrix OF in Algorithm SM-8 .
D1=3.5 corresponds with the same setting in Algorithm SM-8.
S1=-3/ln(0.9) corresponds with the first interval of 3 days and forgetting index 10%. The value of 3 days is close to an average across a wide spectrum of students and difficulty of the learning material.
Pretraining will also use border conditions mentioned in the previous paragraph.


Optimization of Learning: Introduction

Optimization of Learning: Introduction Piotr Wozniak, 1990
From P.A.Wozniak, Optimization of Learning , Master's Thesis, 1990

Everyone who has ever attempted to learn anything, must have discovered that learning can be a pretty frustrating process. Whatever we learn, we are hunted by the disheartening awareness that sooner or later the newly acquired knowledge, unless repeated, will be ruined by the process of forgetting.

In 1982, having been utterly irritated with my insufficient learning capabilities, I decided to take on the problem and look for avenues towards improving my autodidactic methodology. Today, in 1990, with a great satisfaction I can say that my problem was practically solved, and that now learning can be a pleasant and productive activity.

The main subject of interest throughout this thesis is the SuperMemo method of fast learning, which was developed by the writer of these words. The fact of choosing a sort of a catchword - SuperMemo - instead of a scientific term reflects my deep conviction that before long, the described method will find its way to a wide population of students who wish to boost their learning powers. If anyone feels repelled by this self-acclaiming and non-scientific term, he may substitute SuperMemo with the words time-optimized learning in such phrases as SuperMemo method, SuperMemo theory, SuperMemo software, etc.
The term time-optimum learning is intended here to mean a process, which takes minimum time to achieve the same goals as learning devoid of adjectives. In other words, time-optimum learning will produce the same changes in the student's brain as any other form of learning except for this little difference that it will do it in minimum time.

The main objective of the thesis is to give an extensive account of my research on the SuperMemo method. The wide range of problems touched will spread from molecular to societal level, from theoretical models to practical applications, from history of research to prospects for the future and from formal specifications to literal citation of a 10-year-old student. I will analyze milliseconds of a synaptic discharge and present consequences of a life-long application of the SuperMemo method. I will not refrain from describing the amateurish beginnings, when more for fun than for research, I counted dots on answer-sheets. Nor will I try to conceal my optimistic view of what SuperMemo can change in the process of education.

This multitude of topics obliges me at this moment to help the reader find his or her way across the SuperMemo jungle. I expect the readership to include children, computer scientists, biologists, people dissatisfied with their progress in learning and skeptics who look for a target for mud-slinging. I would like to help all of them by including a short description of particular chapters as well as the reader's guide.

To make pick-it-up reading of separate chapters easier, as well as to facilitate the reader's contact with a broad spectrum of multi-domain theoretical aspects of the SuperMemo method, the layman's glossary of specialist and newly introduced terminology was placed at the end of the thesis.

At this point I would like to wish the reader patience in wading through all unclear passages and to beg for leniency in judging my clumsy efforts to make the text both enjoyable and instructive.


Optimization of Learning: Summary

Optimization of Learning: Summary Piotr Wozniak, 1990
From P.A.Wozniak, Optimization of Learning , updated and corrected May 20, 1997

Here is the list of the most important points of the thesis (terminology given in boldface was included in the Glossary):

  1. The SuperMemo method used in repetition spacing was presented (Chapter 3). The following elements of the method marked the most significant steps in its development:
    • application of the recall principle (Chapter 3.1)
    • application of the minimum information principle (Chapters 2 and 3.1)
    • application of the optimum repetition spacing principle (Chapters 2 and 3.1)
    • introducing E-factors (Chapter 3.2)
    • introducing the function of optimum intervals (Chapter 3.3 and 3.4)
    • application of interval dispersing (Chapter 3.5)
    • application of the propagation of changes in the matrix of optimal intervals (Chapter 3.7)
  2. Software implementation of the SuperMemo method was described (Chapter 4)
  3. SuperMemo on paper was described (Chapter 7)
  4. The function of optimum intervals was found by means of three methods:
    • specially designed experiment (p.16)
    • univalent matrices of optimal factors in the Algorithm SM-5 (Chapter 3.6)
    • model of intermittent learning (Chapter 11.4)
  5. A comprehensive analysis of the SuperMemo learning process was presented:
    • an accurate simulation model of the SuperMemo process was constructed (Chapter 5)
    • function of the acquisition rate was found (p.68)
    • all-life, maximum acquisition rate was predicted to be about 230 item/year/min (this value may be substantially lower in case of ill-structured SuperMemo databases, or, possibly, higher in case of further development of the knowledge structuring techniques) (p.68)
    • the all-life capacity of the human brain was estimated to be about several million SuperMemo items (p. 72)
    • long-term acquisition of knowledge with the use of the SuperMemo method was shown to be close to linear (p.69)
    • workload function was found (p. 65)
    • reducing the forgetting index was found as of little value for the speed and quality of learning
    • eliminating items characterized by low E-factors was demonstrated to be crucial for the speed of learning (p. 68)
    • it was found that only 5% of the learning process can be spent on acquisition of knew knowledge, the rest is consumed by repetitions of the old material
    • forgetting rate in case of the cessation of repetitions was found to be much higher than the acquisition rate (e.g. after 5 years of the process, 60% of knowledge is lost in the first year after the cessation) (p. 70)
    • burden parameter was proposed as a very accurate measure of the learning progress in SuperMemo (p.53)
    • model of intermittent learning was constructed (Chapter 11)
    • relationship between the forgetting index and knowledge retention was found to be close to linear. For the index equal to 10%, as in the Algorithm SM-5, the long-term retention was predicted to be 94% (the presently reported retention reaches 96%) (p. 154)
    • the increase of the stability of memories was found to be the greatest if the intervals are twice as long as the optimal intervals (it corresponds to the forgetting index equal to 20%) (p. 156)
    • the function of the workload-retention trade-off was found (p. 155)
    • the function of the workload-retention trade-off was used to determine that the desirable value of the forgetting index falls in the rage 5% to 10% (p. 155)
  6. Method-independent prerequisites of the successful application of SuperMemo were formulated (Chapter 6)
  7. Results of a questionnaire collecting opinions of SuperMemo students were presented (Chapter 8)
  8. Biological aspects of learning in the light of the SuperMemo method were analyzed:
    • distinction between stochastic and deterministic learning was proposed (Chapter 10.2)
    • optimum repetition spacing in stochastic learning was found to be possibly less dense than that of deterministic learning (p. 95)
    • illustrative, hypothetical models of neural circuitry involved in stochastic and deterministic learning were described (p. 106)
    • arguments for the presynaptic character of the facilitation in case of stochastic learning were listed as well as arguments for heterosynaptic facilitation in deterministic learning (Chapter 10.2)
    • discussion of the nature of short-term and long-term memory was included (Chapter 10.1 and 10.3)
    • new arguments for the postsynaptic membrane as the location of long-term memory were put forward (Chapter 10.3)
    • E-factors were proposed as a reflection of the number of synapses involved in remembering particular items (Chapter 10.4.1)
    • existence of at least two components of memory was postulated and demonstrated: retrievability and stability (Chapter 10.4.2)
    • phosphorylation of proteins was considered as possibly responsible for retrievability (Chapter 10.4.3)
    • the number of postsynaptic receptors was considered as possibly responsible for stability (Chapter 10.4.3)
  9. Possible future applications of SuperMemo were outlined (Chapter 12). As an illustration, software supervising a touch typing training was described (p. 87). A simple method for using SuperMemo in learning to play musical instruments was presented (p. 92). Universal nature of learning based on repetition spacing was suggested (p. 165).
  10. The mere existence of the SuperMemo METHOD refutes or calls in question a pretty large number of common sense conceptions and dogmas of the psychology of learning. The most prominent examples are listed below:
    • opposition of memorization to logical thinking is pointless. Memorization (or according to my terminology deterministic learning) lays ground for the refinement of the circuitry of the brain which is later on used in the process of thinking (p. 167)
    • ever-lasting memory acquired by a single learning act is unlikely. Cases of supernatural memory refer to either short-term memory, mutant individuals or must be otherwise seriously reconsidered [Luria, 73] (p. 168)
    • time necessary to learn a given material is proportional to the first, not second power of the size of the material. This refers only to long-term memory and properly spaced repetition process (p. 169)
    • forgetting has a biochemical nature (trace-decay theory) and is only partially caused by interference (interference theory). Proper application of the minimum information principle, principle of univocality, mnemonic techniques etc. allows to one to reduce interference to a negligible level (Chapter 10.4)


Optimization of Learning: Developing SuperMemo 6 (summary)

3.10. Interim Summary: Developing SuperMemo Piotr Wozniak, 1990
This text was taken from P.A.Wozniak, Optimization of learning, Master's Thesis, University of Technology in Poznan, 1990 and adapted for publishing as an independent article on the web. (P.A.Wozniak, June 2003)

The most important steps in the development of the present form of the SuperMemo method:

  • Application of the recall principle, which states that active recall rather than passive recognition makes the basis of successful learning
  • Application of regular repetitions
  • Application of the minimum information principle, which states that repeated pieces of knowledge (items) should be as simple as possible
  • Application of the function of optimal intervals (Algorithm SM-0)
  • Application of E-Factors (Algorithm SM-2)
  • Representing the function of optimal intervals as the matrix of optimum intervals, which is modified during repetitions (Algorithm SM-4)
  • Representing the function of optimal intervals as the matrix of optimum factors (Algorithm SM-5)
  • Introduction of near-optimum factors (interval dispersion)
  • Fine-tuning of the predetermined shape of the matrix of optimal factors
  • Application of the propagation of changes across the matrix of optimal intervals (smoothing)


Vision of modern education based on SuperMemo

12. Vision of modern education based on SuperMemo Piotr Wozniak, 1990
From P.A.Wozniak, Optimization of Learning , updated and corrected Mar 6, 1998

The main thesis of this chapter is that the SuperMemo method will sooner or later permeate all forms of modern education. I realize that such a thesis, especially when presented by the author of the SuperMemo method may arouse doubts. Let us, however, have a cold look at the facts that are either substantiated in previous chapters or follow directly from common knowledge.

Universal nature of learning based on repetition spacing

A typical definition of education states that it is the process by which the mind and character of an individual are developed by means of teaching or learning. There are various forms of memory that an organism uses to store information about past events, but as far as the mind and character are considered, only the memory that is coded in the central nervous system is relevant. Even more so, the long term memory is of the primary interest since education is targeted at long term adaptation of an individual to his environment. In other words, all changes in human thinking, knowledge, personality, motivation etc., which education is supposed to further, are ultimately coded as long term changes in the central nervous system. If we consider such concepts as physical education we will discover that the term education is not always used in relation to pure nervous memory, but I shall disregard this inconsistency in the paragraphs that follow. As it was shown in the chapter dealing with the physiological basis of memory, there are two basic forms of learning - deterministic and stochastic (Chapter 10). Most of known forms of nervous learning seem to be either deterministic or stochastic. As it was discussed earlier, both the deterministic and stochastic learning require repetition to fix acquired skills or knowledge. Repetitions must be in both cases separated by strictly determined intervals of time in order to bring maximum fixation effect. We can imagine a discovery of neural circuits that do not require fixation whatsoever, but, as it was argued in Chapter 10, these circuits are likely to be closely related to primitive unconditional reflex action of lower levels of the nervous system, and as such they fall beyond the interest of education. One could also imagine circuits governed by rules different from that which formed the basis of the SuperMemo method, but again, as pointed out in Chapter 10, there is little probability of getting beyond the schedule of increasing intervals. Acquisition of all forms of textbook knowledge is based on deterministic learning and can be subject to SuperMemo repetition spacing. Similarly, most of other intellectual skills involve deterministic learning as well. Stochastic learning which makes up most, if not all, of the remaining training procedures can also be supervised by SuperMemo-like techniques (see Chapter 9). Hardly any place remains left for non-spaced learning, if it exists at all. It is therefore quite improbable to discover a magic way of making once induced synaptic changes permanent by a special training, nutrition, hypnosis, nonstandard repetition spacing, way of life, etc. The only imaginable and likely way of circumventing the need for SuperMemo repetition spacing is a direct intervention into the functioning of the human brain (e.g. by application of chemical agents interfering with the natural process of forgetting).

Most difficult application areas

The question remains how to apply the SuperMemo method in such different fields as creative thinking, problem solving, artistic education, etc. I do not have a ready answer but I am convinced that the SuperMemo method can be applied in all these areas.

Below, I skim the reasoning line which laid the ground for my conviction. All skills and knowledge furthered by education are acquired by application of selected stimuli to sensory receptors of an individual or by conscious generation of certain nervous impulsation by the individual himself. Listening to a teacher, reading a book, watching TV etc. are examples of education dominated by external, sensory stimulation while playing piano, solving a mathematical problem or painting require rather individual motivation which is generated consciously. In short words, education is intentional and controllable. The external stimulation can be analyzed and classified in order to yield particular stimuli responsible for evoking desired responses in the nervous system. These stimuli can be applied to student's senses with the use of optimal repetition spacing. The most rough classification would split books into chapters, contacts with the teacher into particular lessons and watching TV in sections of a video cassette. The more refined one would apply the principle of minimum information discussed in previous chapters (e.g. asking questions concerning particular facts presented in a book, querying on sections of the video, etc.). The internal motivation can be analyzed and classified as well. For example, a decision to perform a piano training might be split into single decisions concerning particular passages. The greatest piano virtuosos spend hours repeating fingering exercises and endlessly replaying pieces of classical repertoire. All these elements of piano training can be treated as elements taking part in the SuperMemo process. As far as painting is concerned the difficulty might arise from the fact that many individuals considering themselves modern artists would have serious problems to specify what sort of skills are useful in their artistry or perhaps even what is the purpose of their work. Others, like Leonardo da Vinci, could prove that a true mastery is born out from constant sketching practices which, subject to appropriate analysis, can also be classified into categories identifiable with SuperMemo drills. In other words, whenever we know which educational procedures yield desired effects we can use them in the process of categorization and separation of individual stimuli that may take part in repetitions. I do not claim that the analysis and classification of educational stimuli is an easy task. I do claim, however, that it is perfectly possible and no efforts should be spared in our endeavors to employ the SuperMemo repetition spacing in all areas that at present may seem far from likely to be rationally controlled.

Creative thinking

To make my claims presented above more acceptable I will take on the toughest of problems in education - development of creative thinking. Creative thinking is later understood as thinking characterized by high unconventionality and ability of coming up with novel and useful ideas, especially in problem solving. There is no doubt that creativity in the above sense can be a subject to training and improvement [Evans, 1990].

There are two components of the neural network forming the brain that promote creative thinking:

  1. potentiating component which includes innate and non-specific acquired features such as the number of neurons, the number of interneuronal connections, axonal conductivity, glial support, vasculature, general health etc. For instance, Einstein's brain was prominent for having much larger than average number of glial cells, thereby we can suppose that Einstein's creativity was boosted by a good environment for his neurons to work in.
  2. plastic component which stores specific memories acquired during the life of the individual.

The potentiating component is to a large extent genetically determined although it can be reinforced by general hygiene and exposition to intense intellectual work. Thus only the plastic component can be a subject of a specific educational procedure. The consequence of the fact is that not everyone can be a genius because some individuals are born with a severely impaired potentiating component, which even does not allow them to master language skills to say nothing about getting any further. However, in a healthy individual, the plastic component accounts for quite a great deal of creative capabilities. Let us now consider what kind of information coded in the plastic component promotes creative thinking. Creative thinking can be compared to deduction, i.e. generating new formulae from the set of assertions considered true with the use of valid inference rules. NB. It can be shown that other forms of inference used in the process of thinking can be expressed in terms of deduction.

Because of the extent of the inferential search space, the selection of inference rules is partially guided by the trial-and-error strategy, which can be subject to optimization. Very much like in the process called in artificial intelligence explorative learning. Below, I list these characteristics of the plastic component of human intelligence, interpreted as a problem solving mechanism, that determine the efficiency of the deductive/creative process:

  1. Large number of facts stored in memory. The closer the relation of the facts to the domain of inference, the smoother the derivation.
  2. Large number of inference rules stored in memory. The greater the applicability of the rules to the facts/rules of the inference domain, the smoother the derivation.
  3. High degree of abstraction of inference rules. The degree of abstraction determines how universal the rules are i.e. how wide a range of arguments they can accept.

We should put a stress on the third point, the only one which has not yet been discussed and which is specific to the problem of creative thinking. Einstein, the symbol of creative thinking, does not seem to have been an extremely knowledgeable person. The great number of neither facts nor rules (points 1-2) seem to have played any special function in his scientific success. The power of his mind certainly consisted in the ability to think in abstract terms (point 3). It was a sort of homomorphism drawn between the universe of relativistic phenomena and the mundane reality that allowed him to think about objects governed by unheard-of laws of new physics as if about household implements. This confirms once again that the most powerful thinkers see the world in terms of models. Models allow to discard unimportant details, and inference rules operating on models accept a wider range of objects as their arguments. To see that learning to think about objects as about models is possible, let us consider two simple examples. In psychology, a well-known experiment consists in presenting a series of cartoons to an examined person in such a way that subsequent pictures are less and less distorted. The point of interest is at which stage of the experiment the individual is able to recognize the face. If we reverse the procedure then we can teach an individual to recognize distorted faces. A given face can serve as a SuperMemo item. In each repetition the item is distorted by another sort of filter to the same or possibly greater degree. In this way, a student can shape his ability to see faces as models; to discern only these features which make a given face unique. A similar strategy can be applied to learn analogies between typical mathematical problems and tasks encountered in all sorts of subject domains. In such a process, particular problems would be items while a repetition would consist in solving an instance of the problem, each time camouflaged in another sort of context. Thus, the student would acquire the ability of seeing mathematical laws as universal rules applicable to day-to-day life, and in consequence, the ability to perceive the world in terms of models. In other words, the ability of creative thinking can be enhanced in two ways: increasing the general knowledge of the individual, and more importantly, teaching the individual to think in abstract terms. If we consider other intractable domains of education, we could come to similar conclusions. Namely, that if we know the training procedure boosting a given skill then we can itemize it and intervalize the learning process, i.e. we can apply the SuperMemo method so that to satisfy the criterion of minimum time expenditure.

Précis

Let us now have a concise review of my reasoning line presented above:

  1. All critical changes of the mind and character of an individual that are aimed at by education take place in the central nervous system.
  2. These changes have a long-term character.
  3. All known and studied long-term changes in the central nervous system tend to decline and have to undergo refixation if they are to be permanent.
  4. Refixation of long-term memory is characterized by the existence of optimal inter-repetition intervals.
  5. The SuperMemo method time-optimizes the refixation process by making use of optimal inter-repetition intervals, i.e. it allows to learn with minimum timeloads.
  6. It follows from points 1-5 that education could be made time optimal if the SuperMemo method were applied.
  7. The educational process is intentional (it reflexes our intention to change the mind of an individual) and controllable (we control particular steps of the process either as teachers or as students).
  8. Because the educational process is generated by our intentions and its particular steps can be controlled, we can use each of these steps (complying with the principle of minimum information) as an item of the SuperMemo process, i.e. we can apply SuperMemo in all forms of education.
  9. It follows from points 6 and 8 that the SuperMemo method can be applied to make all forms of education time optimal, i.e. to accelerate the process substantially without changing the final result.


SuperMemo 2: Algorithm

3.2. Application of a computer to improve the results obtained in working with the SuperMemo method Piotr Wozniak,
1990
This text was taken from P.A.Wozniak, Optimization of learning, Master's Thesis, University of Technology in Poznan, 1990 and adapted for publishing as an independent article on the web. (P.A.Wozniak, May 10, 1998)

I wrote the first SuperMemo program in December 1987 (Turbo Pascal 3.0, IBM PC). It was intended to enhance the SuperMemo method in two basic ways:

  1. apply the optimization procedures to smallest possible items (in the paper-based SuperMemo items were grouped in pages),
  2. differentiate between the items on the base of their different difficulty.

Having observed that subsequent inter-repetition intervals are increasing by an approximately constant factor (e.g. two in the case of the SM-0 algorithm for English vocabulary), I decided to apply the following formula to calculate inter-repetition intervals:

I(1):=1
I(2):=6
for n>2 I(n):=I(n-1)*EF

where:

I(n) - inter-repetition interval after the n-th repetition (in days)
EF - easiness factor reflecting the easiness of memorizing and retaining a given item in memory (later called the E-Factor).

E-Factors were allowed to vary between 1.1 for the most difficult items and 2.5 for the easiest ones. At the moment of introducing an item into a SuperMemo database, its E-Factor was assumed to equal 2.5. In the course of repetitions this value was gradually decreased in case of recall problems. Thus the greater problems an item caused in recall, the more significant was the decrease of its E-Factor.

Shortly after the first SuperMemo program had been implemented, I noticed that E-Factors should not fall below the value of 1.3. Items having E-Factors lower than 1.3 were repeated annoyingly often and always seemed to have inherent flaws in their formulation (usually they did not conform to the minimum information principle). Thus not letting E-Factors fall below 1.3 substantially improved the throughput of the process and provided an indicator of items that should be reformulated. The formula used in calculating new E-Factors for items was constructed heuristically and did not change much in the following 3.5 years of using the computer-based SuperMemo method.

In order to calculate the new value of an E-Factor, the student has to assess the quality of his response to the question asked during the repetition of an item (my SuperMemo programs use the 0-5 grade scale - the range determined by the ergonomics of using the numeric key-pad). The general form of the formula used was:

EF':=f(EF,q)

where:

EF' - new value of the E-Factor
EF - old value of the E-Factor
q - quality of the response
f - function used in calculating EF'.

The function f had initially multiplicative character and was in later versions of SuperMemo program, when the interpretation of E-Factors changed substantially, converted into an additive one without significant alteration of dependencies between EF', EF and q. To simplify further considerations only the function f in its latest shape is taken into account:

EF':=EF-0.8+0.28*q-0.02*q*q

which is a reduced form of:

EF':=EF+(0.1-(5-q)*(0.08+(5-q)*0.02))

Note, that for q=4 the E-Factor does not change.

Let us now consider the final form of the SM-2 algorithm that with minor changes was used in the SuperMemo programs, versions 1.0-3.0 between December 13, 1987 and March 9, 1989 (the name SM-2 was chosen because of the fact that SuperMemo 2.0 was by far the most popular version implementing this algorithm).

Algorithm SM-2 used in the computer-based variant of the SuperMemo method and involving the calculation of easiness factors for particular items:

  1. Split the knowledge into smallest possible items.
  2. With all items associate an E-Factor equal to 2.5.
  3. Repeat items using the following intervals:
    I(1):=1
    I(2):=6
    for n>2: I(n):=I(n-1)*EF
    where:
    I(n) - inter-repetition interval after the n-th repetition (in days),
    EF - E-Factor of a given item
    If interval is a fraction, round it up to the nearest integer.
  4. After each repetition assess the quality of repetition response in 0-5 grade scale:
    5 - perfect response
    4 - correct response after a hesitation
    3 - correct response recalled with serious difficulty
    2 - incorrect response; where the correct one seemed easy to recall
    1 - incorrect response; the correct one remembered
    0 - complete blackout.
  5. After each repetition modify the E-Factor of the recently repeated item according to the formula:
    EF':=EF+(0.1-(5-q)*(0.08+(5-q)*0.02))
    where:
    EF' - new value of the E-Factor,
    EF - old value of the E-Factor,
    q - quality of the response in the 0-5 grade scale.
    If EF is less than 1.3 then let EF be 1.3.
  6. If the quality response was lower than 3 then start repetitions for the item from the beginning without changing the E-Factor (i.e. use intervals I(1), I(2) etc. as if the item was memorized anew).
  7. After each repetition session of a given day repeat again all items that scored below four in the quality assessment. Continue the repetitions until all of these items score at least four.

The optimization procedure used in finding E-Factors proved to be very effective. In SuperMemo programs you will always find an option for displaying the distribution of E-Factors (later called the E-Distribution). The shape of the E-Distribution in a given database was roughly established within few months since the outset of repetitions. This means that E-Factors did not change significantly after that period and it is safe to presume that E-Factors correspond roughly to the real factor by which the inter-repetition intervals should increase in successive repetitions.

During the first year of using the SM-2 algorithm (learning English vocabulary), I memorized 10,255 items. The time required for creating the database and for repetitions amounted to 41 minutes per day. This corresponds to the acquisition rate of 270 items/year/min. The overall retention was 89.3%, but after excluding the recently memorized items (intervals below 3 weeks) which do not exhibit properly determined E-Factors the retention amounted to 92%. Comparing the SM-0 and SM-2 algorithms one must consider the fact that in the former case the retention was artificially high because of hints the student is given while repeating items of a given page. Items preceding the one in question can easily suggest the correct answer.
Therefore the SM-2 algorithm, though not stunning in terms of quantitative comparisons, marked the second major improvement of the SuperMemo method after the introduction of the concept of optimal intervals back in 1985. Separating items previously grouped in pages and introducing E-Factors were the two major components of the improved algorithm. Constructed by means of the trial-and-error approach, the SM-2 algorithm proved in practice the correctness of nearly all basic assumptions that led to its conception.

For a specific implementation of the Algorithm SM-2 see SuperMemo 2 Plug-In Source Code


SuperMemo 2 algorithm: source code

SuperMemo 2 Plug-In for SuperMemo for Window: Delphi source code

To implement your own repetition spacing algorithm for SuperMemo for Window you need to follow the repetition scheduling plug-in specification. To help you understand how it works, here is a simple implementation of such a plug-in written in Delphi. For simplicity, the presented example makes use of the first simple computer implementation of the SuperMemo algorithm from 1987 (SuperMemo 1.0, Algorithm SM-2).
To better understand this exemplary implementation, read about Algorithm SM-2.

You can download a compiled version of this DLL from this page: download SM2DLL.ZIP (114 KB)

unit SuperMemo2Plug;

interface

procedure Install(path:PChar); export;
procedure Initialize(path:PChar); export;
procedure Description(var text:PChar); export;
procedure Repetition(ElementNo,Grade:longint;var
NextInterval:longint;commit:WordBool); export;
procedure ResetAlgorithm; export;

implementation

uses SysUtils,StdProcs;

const TheDescription='SuperMemo 2.0 Algorithm';

type TDataRecord=record

Interval:longint;
Repetition:byte;
EF:real;
end;

var DataFile:string;
Data:file of TDataRecord;

procedure Initialize(path:PChar);
var l:longint;
begin

l:=StrLen(path);
SetLength(DataFile,l);
Move(path^,pointer(DataFile)^,l);
DataFile:=DataFile+'\alg';
CreateDirectory(DataFile,false,false);
DataFile:=DataFile+'\sm2';
CreateDirectory(DataFile,false,false);
DataFile:=DataFile+'\eldata.dat';
end;

function GetDataRecord(ElementNo:longint):TDataRecord;
begin

with Result do begin
Interval:=0;
Repetition:=0;
EF:=2.5;
end;
if DataFile='' then
exit;
if not FileExists(DataFile) then
exit;
AssignFile(Data,DataFile);
Reset(Data);
if FileSize(Data)<ElementNo then
exit;
seek(Data,ElementNo-1);
read(Data,Result);
CloseFile(Data);
end;

procedure SetDataRecord(ElementNo:longint;DataRecord:TDataRecord);
var EmptyDataRecord:TDataRecord;
begin

if DataFile='' then
exit;
AssignFile(Data,DataFile);
if FileExists(DataFile) then
Reset(Data)
else
Rewrite(Data);
if ElementNo>FileSize(Data) then begin
with EmptyDataRecord do begin
Interval:=0;
Repetition:=0;
EF:=2.5;
end;
seek(Data,FileSize(Data));
while ElementNo>FileSize(Data) do
write(Data,EmptyDataRecord);
end;
seek(Data,ElementNo-1);
write(Data,DataRecord);
CloseFile(Data);
end;

procedure Repetition(ElementNo,Grade:longint;var NextInterval:longint;commit:WordBool);
var DataRecord:TDataRecord;
begin

DataRecord:=GetDataRecord(ElementNo);
with DataRecord do begin
if Grade>=3 then begin
if Repetition=0 then begin
Interval:=1;
Repetition:=1;
end
else if Repetition=1 then begin
Interval:=6;
Repetition:=2;
end
else begin
Interval:=round(Interval*EF);
Repetition:=Repetition+1;
end;
end
else begin
Repetition:=0;
Interval:=1;
end;
EF:=EF+(0.1-(5-Grade)*(0.08+(5-Grade)*0.02));
if EF<1.3 then
EF:=1.3;
NextInterval:=Interval;
end;
if commit then
SetDataRecord(ElementNo,DataRecord);
end;

procedure ResetAlgorithm;
begin
DeleteFile(DataFile);
end;

procedure Install(path:PChar);
var InstallPath:string;
l:longint;
begin

l:=StrLen(path);
SetLength(InstallPath,l);
Move(path^,pointer(InstallPath)^,l);
Msg('SuperMemo 2 Plug-In installed in: '+InstallPath);
end;

procedure Description(var text:PChar);
begin
text:=TheDescription;
end;

initialization

DataFile:='';

end.


Algorithm used in SuperMemo 4

3.3. Further improvement of SuperMemo: modification of the function of optimal intervals Piotr Wozniak,
1990
This text was taken from P.A.Wozniak, Optimization of learning, Master's Thesis, University of Technology in Poznan, 1990 and adapted for publishing as an independent article on the web. (P.A.Wozniak, Feb 22, 1999)

The main fault of the Algorithm SM-2 seemed to have been the arbitrary shape of the function of quasi-optimal intervals. Although very effective in practice and confirmed by years of experimental repetitions, this function could not claim scientifically proved validity, nor could it detect the overall impact of few day variations of optimal intervals on the learning process. Bearing these flaws in mind I decided to implicate routine SuperMemo repetition in validation of the function of optimal intervals!

Using optimization procedures like those applied in finding E-Factors I wanted the program to correct the initially proposed function whenever corrections appeared justified.

To achieve this goal, I tabulated the function of optimal intervals (see Fig. 3.2).

(Fig. 3.2)[in SuperMemo 98 see Tools : Statistics : Analysis : Matrices : Intervals]

Particular entries of the matrix of optimal intervals (later called the OI matrix) where taken from the formulas used in the Algorithm SM-2.

SuperMemo 4 (February 1989), in which the new solution was implemented, used the OI matrix to determine values of inter-repetition intervals:

I(n):=OI(n,EF)

where:

I(n) - the n-th inter-repetition interval of a given item (in days),
EF - E-Factor of the item,
OI(n,EF) - the entry of the OI matrix corresponding to the n-th repetition and the E-Factor EF.

However, the OI matrix was not fixed once for all. In the course of repetitions, particular entries of the matrix were increased or decreased depending on quality of responses. For example, if the entry indicated the optimal interval to be X and the used interval was X+Y while the response quality after this interval was not lower than four, then the new value of the entry would fall between X and X+Y.

Thus the values of the OI entries in the equilibrium state should settle at the point where the stream of poor-retention items balances the stream of good-retention items in its influence on the matrix.

As a consequence, SuperMemo 4 was intended to yield an ultimate definition of the function of optimal intervals.

Algorithm SM-4 used in SuperMemo 4.0:
  1. Split the knowledge into smallest possible items
  2. With all items associate an E-Factor equal to 2.5
  3. Tabulate the OI matrix for various repetition numbers and E-Factor categories (see Fig. 3.2)[similar matrix can be viewed as the Optimum Interval matrix in SuperMemo 98 with Tools : Statistics : Analysis : Matrices : Intervals]
  4. Use the following repetition spacing to obtain the initial OI matrix:

    OI(1,EF):=1
    OI(2,EF):=6
    for n>2 OI(n,EF):=OI(n-1,EF)*EF

    where:

    OI(n,EF) - optimal inter-repetition interval after the n-th repetition (in days) for items with E-Factor equal EF,

  5. Use the OI matrix to determine inter-repetition intervals:

    I(n,EF):=OI(n,EF)

    where:

    I(n,EF) - the n-th inter-repetition interval for an item whose E-Factor equals EF (in days),
    OI(n,EF) - the entry of the OI matrix corresponding to the n-th repetition and the E-Factor EF

  6. After each repetition estimate the quality of the repetition response in the 0-5 grade scale (cf. Algorithm SM-2).
  7. After each repetition modify the E-Factor of the recently repeated item according to the formula:

    EF':=EF+(0.1-(5-q)*(0.08+(5-q)*0.02))

    where:

    EF' - new value of the E-Factor,
    EF - old value of the E-Factor,
    q - quality of the response in the 0-5 grade scale.
    If EF is less than 1.3 then let EF be 1.3.

  8. After each repetition modify the relevant entry of the OI matrix.
  9. An exemplary formula could look as follows (the actual formula used in SuperMemo 4 was more intricate):

    OI':=interval+interval*(1-1/EF)/2*(0.25*q-1)
    OI'':=(1-fraction)*OI+fraction*OI'

    where:

    OI'' - new value of the OI entry,
    OI' - auxiliary value of the OI entry used in calculations,
    OI - old value of the OI entry,
    interval - interval used before the considered repetition (i.e. the last used interval for the given item),
    fraction - any number between 0 and 1 (the greater it is the faster the changes of the OI matrix),
    EF - E-Factor of the repeated item,
    q - quality of the response in the 0-5 grade scale.

    Note that for q=4 the OI does not change and that for q=5 the OI increases 4 times less than it decreases for q=0.
    Note also that the maximum change of the OI equals (I(n)-I(n-1))/2 in terms of the repetition spacing used in Algorithm SM-2 (i.e. (OI-OI/EF)/2).

  10. 8. If the quality response was lower than 3 then start repetitions for the item from the beginning without changing the E-Factor.
  11. 9. After each repetition session of a given day repeat again all the items that scored below four in the quality assessment. Continue the repetitions until all of these items score at least four

As it was mentioned earlier, the Algorithm SM-4 was implemented in SuperMemo 4 and was used between March 9, 1989 and October 17, 1989. Although the main concept of modifying the function of optimal intervals seemed to be a major step forward, the implementation of the algorithm was a failure. The basic insufficiency of the algorithm appeared to result from formulas applied in modification of the OI matrix.

There were two the most striking flaws:

  • modifications were too subtle to rearrange the OI matrix visibly in a reasonably short time,
  • for longer inter-repetition intervals, the effect of modification had to wait very long before being steadily fixed, i.e. it took quite a lot of time before the result of a modification of a few-month-long interval could be seen and corrected if necessary

After seven months of using the SM-4 algorithm the OI matrices of particular databases did not look much different from their initial states. One could explain this fact by the correctness of my earlier predictions concerning the real values of the optimal inter-repetition intervals, however, as it was later proved by means of the Algorithm SM-5, the actual reason of the stability of the matrices was the deficient optimization formulae.

As far as acquisition rate and retention are concerned, there is no reliable evidence that the Algorithm SM-4 brought any progress. Slight improvement could as well be related to general betterment of the software and improvement in item formulation principles


Algorithm used in SuperMemo 5

3.4. Further improvement of SuperMemo: introduction of the matrix of optimal factors Piotr Wozniak,
1990
This text was taken from P.A.Wozniak, Optimization of learning, Master's Thesis, University of Technology in Poznan, 1990 and adapted for publishing as an independent article on the web. (P.A.Wozniak, Sep 17, 1998)

Instead of improving the mathematical apparatus employed in the Algorithm SM-4, I decided to reshape the concept of modifying the function of optimum intervals.

Let us have a closer look at the major faults of the Algorithm SM-4 disregarding minor inefficiencies:

  1. In the course of repetition it may happen that one of the intervals will be calculated as shorter than the preceding one. This is certainly inconsistent with general assumptions leading to the SuperMemo method. Moreover, validity of such an outcome was refuted by the results of application of the Algorithm SM-5 (see further). This malfunction could be prevented by disallowing intervals to increase or drop beyond certain values, but such an approach would tremendously slow down the optimization process interlinking optimal intervals by superfluous dependencies. The discussed case was indeed observed in one of the databases. The discrepancy was not eliminated by the end of the period in which the Algorithm SM-4 was used despite the fact that the intervals in question were only two weeks long
  2. E-Factors of particular items are constantly modified (see Step 6 of the Algorithm SM-4 ) thus in the OI matrix an item can pass from one difficulty category to another. If the repetition number for that item is large enough, this will result in serious disturbances of the repetitory process of that item. Note that the higher the repetition number, the greater the difference between optimal intervals in neighboring E-Factor category columns. Thus if the E-Factor increases the optimal interval used for the item can be artificially long, while in the opposite situation the interval can be much too short

The Algorithm SM-4 tried to interrelate the length of the optimal interval with the repetition number. This approach seems to be incorrect because the memory is much more likely to be sensitive to the length of the previously applied inter-repetition interval than to the number of the repetition (previous interval is reflected in memory strength while the repetition number is certainly not coded - see Molecular model of memory comprising elements of the SuperMemo theory).

Because of the above reasons I decided to represent the function of optimal intervals by means of the matrix of optimal factors - OF matrix - rather than the OI matrix (see Fig. 3.3).

(Fig. 3.3)

The newly applied function of optimal intervals had the following form:

I(n,EF)=OF(n,EF)*I(n-1,EF)
I(1,EF)=OF(1,EF)

where:

I(n,EF) - the n-th inter-repetition interval for an item of a given E-Factor EF (in days)
OF(n,EF) - the entry of the OF matrix corresponding to the n-th repetition and the E-Factor EF

In accordance with previous observations the entries of the OF matrix were not allowed to drop below 1.2 (cf. the formulation of the Algorithm SM-2).

It is easy to notice that the application of the OF matrix eliminates both aforementioned shortcomings of the Algorithm SM-4:

  1. intervals cannot get shorter in subsequent repetition (each of them is at least 1.2 times as long as the preceding one),
  2. changing the E-Factor category increases the next applied interval only as many times as it is required by the corresponding entry of the OF matrix.
The final formulation of the algorithm used in SuperMemo 5 is presented below (Algorithm SM-5):

1. Split the knowledge into smallest possible items

2. With all items associate an E-Factor equal to 2.5

3. Tabulate the OF matrix for various repetition numbers and E-Factor categories (see Fig. 3.3). Use the following formula:

OF(1,EF):=4
for n>1 OF(n,EF):=EF

where:

OF(n,EF) - optimal factor corresponding to the n-th repetition and the E-Factor EF

4. Use the OF matrix to determine inter-repetition intervals:

I(n,EF)=OF(n,EF)*I(n-1,EF)
I(1,EF)=OF(1,EF)

where:

I(n,EF) - the n-th inter-repetition interval for an item of a given E-Factor EF (in days)
OF(n,EF) - the entry of the OF matrix corresponding to the n-th repetition and the E-Factor EF

5. After each repetition assess the quality of repetition responses in the 0-5 grade scale (cf. Algorithm SM-2)

6. After each repetition modify the E-Factor of the recently repeated item according to the formula:

EF':=EF+(0.1-(5-q)*(0.08+(5-q)*0.02))

where:

EF' - new value of the E-Factor
EF - old value of the E-Factor
q - quality of the response in the 0-5 grade scale
If EF is less than 1.3 then set EF to 1.3

7. After each repetition modify the relevant entry of the OF matrix. An exemplary formulas constructed arbitrarily and used in the modification could look like this (those used in the SuperMemo 5.3 are presented in Fig. 3.4):

OF':=OF*(0.72+q*0.07)
OF'':=(1-fraction)*OF+fraction*OF'

where:

OF'' - new value of the OF entry
OF' - auxiliary value of the OF entry used in calculations
OF - old value of the OF entry
fraction - any number between 0 and 1 (the greater it is the faster the changes of the OF matrix)
q - quality of the response in the 0-5 grade scale

Note that for q=4 the OF does not change. It increases for q>4 and decreases for q<4. See the procedure presented in Fig. 5 to avoid the pitfalls of oversimplification

8. If the quality response was lower than 3 then start repetitions for the item from the beginning without changing the E-Factor

9. After each repetition session of a given day repeat again all items that scored below four in the quality assessment. Continue the repetitions until all of these items score at least four

Fig. 3.4 - The procedure used in the SuperMemo 5.3 for calculation of the new optimal factor after a repetition (simplified for the sake of clarity without significant change to the course of computation):

procedure calculate_new_optimal_factor;

input:

  • interval_used - the last interval used for the item in question

  • quality - the quality of the repetition response

  • used_of - the optimal factor used in calculation of the last interval used for the item in question

  • old_of - the previous value of the OF entry corresponding to the relevant repetition number and the E-Factor of the item
  • fraction - a number belonging to the range (0,1) determining the rate of modifications (the greater it is the faster the changes of the OF matrix)

output:

  • new_of - the newly calculated value of the considered entry of the OF matrix

local variables:

  • modifier - the number determining how many times the OF value will increase or decrease
  • mod5 - the value proposed for the modifier in case of q=5
  • mod2 - the value proposed for the modifier in case of q=2

begin

mod5:=(interval_used+1)/interval_used;
if mod5<1.05 then mod5:=1.05;
mod2:=(interval_used-1)/interval_used;
if mod2>0.75 then mod2:=0.75;
if quality>4 then modifier:=1+(mod5-1)*(quality-4) else
      modifier:=1-(1-mod2)/2*(4-quality);
if modifier<0.05 then modifier:=0.05;
new_of:=used_of*modifier;
if quality>4 then if new_of<old_of then new_of:=old_of;
if quality<4 then if new_of>old_of then new_of:=old_of;
new_of:=new_of*fraction+old_of*(1-fraction);
if new_of<1.2 then new_of:=1.2;

end;

3.5. Random dispersal of optimal intervals

To improve the optimization process further, a mechanism was introduced that may seem to contradict the principle of optimal repetition spacing. Let us reconsider a significant fault of the Algorithm SM-5: A modification of an optimal factor can be verified for its correctness only after the following conditions are met:

  • the modified factor is used in calculation of an inter-repetition interval
  • the calculated interval elapses and a repetition is done yielding the response quality which possibly indicates the need to increase or decrease the optimal factor

This means that even a great number of instances used in modification of an optimal factor will not change it significantly until the newly calculated value is used in determination of new intervals and verified after their elapse.

The process of verification of modified optimal factors after the period necessary to apply them in repetitions will later be called the modification-verification cycle. The greater the repetition number the longer the modification-verification cycle and the greater the slow-down in the optimization process.

To illustrate the problem of modification constraint let us consider calculations from Fig. 3.4.

One can easily conclude that for the variable INTERVAL_USED greater than 20 the value of MOD5 will be equal 1.05 if the QUALITY equals 5. As the QUALITY=5, the MODIFIER will equal MOD5, i.e. 1.05. Hence the newly proposed value of the optimal factor (NEW_OF) can only be 5% greater than the previous one (NEW_OF:=USED_OF*MODIFIER). Therefore the modified optimal factor will never reach beyond the 5% limit unless the USED_OF increases, which is equivalent to applying the modified optimal factor in calculation of inter-repetition intervals.

Bearing these facts in mind I decided to let inter-repetition intervals differ from the optimal ones in certain cases to circumvent the constraint imposed by a modification-verification cycle.

I will call the process of random modification of optimal intervals dispersal.

If a little fraction of intervals is allowed to be shorter or longer than it should follow from the OF matrix then these deviant intervals can accelerate the changes of optimal factors by letting them drop or increase beyond the limits of the mechanism presented in Fig. 3.4. In other words, when the value of an optimal factor is much different from the desired one then its accidental change caused by deviant intervals shall not be leveled by the stream of standard repetitions because the response qualities will rather promote the change than act against it.

Another advantage of using intervals distributed round the optimal ones is elimination of a problem which often was a matter of complaints voiced by SuperMemo users - the lumpiness of repetition schedule. By the lumpiness of repetition schedule I mean accumulation of repetitory work in certain days while neighboring days remain relatively unburdened. This is caused by the fact that students often memorize a great number of items in a single session and these items tend to stick together in the following months being separated only on the base of their E-Factors.

Dispersal of intervals round the optimal ones eliminates the problem of lumpiness. Let us now consider formulas that were applied by the latest SuperMemo software in dispersal of intervals in proximity of the optimal value. Inter-repetition intervals that are slightly different from those which are considered optimal (according to the OF matrix) will be called near-optimal intervals. The near-optimal intervals will be calculated according to the following formula:

NOI=PI+(OI-PI)*(1+m)

where:

NOI - near-optimal interval
PI - previous interval used
OI - optimal interval calculated from the OF matrix (cf. Algorithm SM-5)
m - a number belonging to the range <-0.5,0.5> (see below)

or using the OF value:

NOI=PI*(1+(OF-1)*(1+m))

The modifier m will determine the degree of deviation from the optimal interval (maximum deviation for m=-0.5 or m=0.5 values and no deviation at all for m=0).

In order to find a compromise between accelerated optimization and elimination of lumpiness on one hand (both require strongly dispersed repetition spacing) and the high retention on the other (strict application of optimal intervals required) the modifier m should have a near-zero value in most cases.

The following formulas were used to determine the distribution function of the modifier m:

  • the probability of choosing a modifier in the range <0,0.5> should equal 0.5:

integral from 0 to 0.5 of f(x)dx = 0.5

  • the probability of choosing a modifier m=0 was assumed to be hundred times greater than the probability of choosing m=0.5:

f(0)/f(0.5)=100

  • the probability density function was assumed to have a negative exponential form with parameters a and b to be found on the base of the two previous equations:

f=a*exp(-b*x)

The above formulas yield values a=0.04652 and b=0.09210 for m expressed in percent.

From the distribution function

itegral from -m to m of a*exp(-b*abs(x))dx = P (P denotes probability)

we can obtain the value of the modifier m (for m>=0):

m=-ln(1-b/a*P)/b

Thus the final procedure to calculate the near-optimal interval looks like this:

a:=0.047;
b:=0.092;
p:=random-0.5;
m:=-1/b*ln(1-b/a*abs(p));
m:=m*sgn(p);
NOI:=PI*(1+(OF-1)*(100+m)/100);

where:

random - function yielding values from the range <0,1) with a uniform distribution of probability
NOI - near-optimal interval
PI - previously used interval
OF - pertinent entry of the OF matrix

3.6. Improving the predetermined matrix of optimal factors

The optimization procedures applied in transformations of the OF matrix appeared to be satisfactorily efficient resulting in fast convergence of the OF entries to their final values.

However, in the period considered (Oct 17, 1989 - May 23, 1990) only those optimal factors which were characterized by short modification-verification cycles (less than 3-4 months) seem to have reached their equilibrial values.

It will take few further years before more sound conclusions can be drawn regarding the ultimate shape of the OF matrix. The most interesting fact apparent after analyzing 7-month-old OF matrices is that the first inter-repetition interval should be as long as 5 days for E-Factor equal 2.5 and even 8 days for E-Factor equal 1.3! For the second interval the corresponding values were about 3 and 2 weeks respectively.

The newly-obtained function of optimal intervals could be formulated as follows:

I(1)=8-(EF-1.3)/(2.5-1.3)*3
I(2)=13+(EF-1.3)/(2.5-1.3)*8
for i>2 I(i)=I(i-1)*(EF-0.1)

where:

I(i) - interval after the i-th repetition (in days)
EF - E-Factor of the considered item.

To accelerate the optimization process, this new function should be used to determine the initial state of the OF matrix (Step 3 of the SM-5 algorithm). Except for the first interval, this new function does not differ significantly from the one employed in Algorithms SM-0 through SM-5. One could attribute this fact to inefficiencies of the optimization procedures which, after all, are prejudiced by the fact of applying a predetermined OF matrix. To make sure that it is not the fact, I asked three of my colleagues to use experimental versions of the SuperMemo 5.3 in which univalent OF matrices were used (all entries equal to 1.5 in two experiments and 2.0 in the remaining experiment).

Although the experimental databases have been in use for only 2-4 months, the OF matrices seem to slowly converge to the form obtained with the use of the predetermined OF matrix. However, the predetermined OF matrices inherit the artificial correlation between E-Factors and the values of OF entries in the relevant E-Factor category (i.e. for n>3 the value OF(n,EF) is close to EF). This phenomenon does not appear in univalent matrices which tend to adjust the OF matrices more closely to requirements posed by such arbitrarily chosen elements of the algorithm as initial value of E-Factors (always 2.5), function modifying E-Factors after repetitions etc.

3.7. Propagation of changes across the matrix of optimal factors

Having noticed the earlier mentioned regularities in relationships between entries of the OF matrix I decided to accelerate the optimization process by propagation of modifications across the matrix. If an optimal factor increases or decreases then we could conclude that the OF factor that corresponds to the higher repetition number should also increase.

This follows from the relationship OF(i,EF)=OF(i+1,EF), which is roughly valid for all E-Factors and i>2. Similarly, we can consider desirable changes of factors if we remember that for i>2 we have OF(i,EF')=OF(i,EF'')*EF'/EF'' (esp. if EF' and EF'' are close enough). I used the propagation of changes only across the OF matrix that had not yet been modified by repetition feed-back. This proved particularly successful in case of univalent OF matrices applied in the experimental versions of SuperMemo mentioned in the previous paragraph.

The proposed propagation scheme can be summarized as this:

1. After executing Step 7 of the Algorithm SM-5 locate all neighboring entries of the OF matrix that has not yet been modified in the course of repetitions, i.e. entries that did not enter the modification-verification cycle. Neighboring entries are understood here as those that correspond to the repetition number +/- 1 and the E-Factor category +/- 1 (i.e. E-Factor +/- 0.1)

2. Modify the neighboring entries whenever one of the following relations does not hold:

  • for i>2 OF(i,EF)=OF(i+1,EF) for all EFs
  • for i>2 OF(i,EF')=OF(i,EF'')*EF'/EF''
  • for i=1 OF(i,EF')=OF(i,EF'')

The selected relation should hold as the result of the modification

3. For all the entries modified in Step 2 repeat the whole procedure locating their yet unmodified neighbors.

Propagation of changes seems to be inevitable if one remembers that the function of optimal intervals depends on such parameters as:

  • student's capacity
  • student's self-assessment habits (the response quality is given according to the student's subjective opinion)
  • character of the memorized knowledge etc.

Therefore it is impossible to provide an ideal, predetermined OF matrix that would dispense with the use of the modification-verification process and, to a lesser degree, propagation schemes

3.8. Evaluation of the Algorithm SM-5

The Algorithm SM-5 has been in use since October 17, 1989 and has surpassed all expectations in providing an efficient method of determining the desired function of optimal intervals, and in consequence, improving the acquisition rate (15,000 items learnt within 9 months). Fig. 3.5 indicates that the acquisition rate was at least twice as high as that indicated by combined application of the SM-2 and SM-4 algorithms!

Comparing SuperMemo Algorithm SM-2 with Algorithm SM-5

(Fig. 3.5)

The knowledge retention increased to about 96% for 10-month-old databases. Below, some knowledge retention data in selected databases are listed to show the comparison between the SM-2 and SM-5 algorithms:

Date - date of the measurement,
Database - name of the database; ALL means all databases averaged
Interval - average current interval used by items in the database
Retention - knowledge retention in the database
Version - version of the algorithm applied to the database

Date

Database

Interval

Retention

Version

Dec 88

EVD

17 days

81%

SM-2

Dec 89

EVG

19 days

82%

SM-5

Dec 88

EVC

41 days

95%

SM-2

Dec 89

EVF

47 days

95%

SM-5

Dec 88

all

86 days

89%

SM-2

Dec 89

all

190 days

92%

SM-2, SM-4 and SM5

In the process of repetition the following distribution of response qualities was recorded:

Quality | Fraction
0 | 0%
1 | 0%
2 | 11%
3 | 18%
4 | 26%
5 | 45%

This distribution, in accordance to the assumptions underlying the Algorithm SM-5 , yields the average response quality equal 4. The forgetting index equals 11% (items with quality lower than 3 are regarded as forgotten). Note, that the retention data indicate that only 4% of items in a database are not remembered. Therefore forgetting index exceeds the percentage of forgotten items 2.7 times.

In a 7-month old database, it was found that 70% of items had not been forgotten even once in the course of repetitions preceding the measurement, while only 2% of items had been forgotten more than 3 times. Concerning the convergence of the algorithm modifying the function of optimal intervals, it is too early for a conclusive assessment (see Fig. 3.6).

(Fig. 3.6)

Fig. 3.6. Changes in the OF matrix for entries characterized by a short modification-verification cycle

In Chapter 4 the following statistical data pertaining to an 8-month-old SuperMemo process can be found:

  1. distribution of E-Factors
  2. distribution of current intervals
  3. matrix of optimal factors
  4. equivalent of the matrix of optimal intervals (calculated on the base of the OF matrix)

Further development of the algorithms used in SuperMemo:

  1. Algorithm SM-6 (1991)
  2. Algorithm SM-8 (1995)


Algorithm used in SuperMemo 6

2.3. New algorithmic elements: Approximating the forgetting curve in SuperMemo 6 Piotr Wozniak,
1994
This text was taken from P.A.Wozniak, Economics of learning, Doctoral Dissertation, University of Economics, Wroclaw, 1995 and adapted for publishing as an independent article on the Web. (P.A.Wozniak, Feb 23, 1999)

New algorithmic elements

Below, I will try to shortly present the new elements introduced in Algorithm SM-6, which is currently used in SuperMemo 6 for DOS, SuperMemo 7 for Windows, and SuperMemo for Amiga.

In Algorithm SM-5, the process of determining the value of a single entry of the matrix of optimal factors looked as follows (see before):

  1. Set the initial value to an average optimal factor value (OF) obtained in previous experiments
  2. If the grade produced by the entry in question was (1) greater than the desired value then increase the value of OF, (2) less than the desired value then decrease OF, or (3) equal the desired value then do not change OF

The above approach shows that the optimum value of OF could be reached only after a great number of repetitions, and what is worst, the greater the ordinal number of a repetition, the longer it would take to execute the modification-verification cycle (i.e. the cycle in which an OF entry is changed, and verified upon scheduling another repetition with a correspondingly long interval).

Introducing the concept of the forgetting index

The novelty of Algorithm SM-6 is to approximate the slope of the forgetting curve corresponding to a given entry of the matrix of optimal factors, and compute the new value of the relevant optimal factor directly from the approximated curve. In other words, no modification-verification cycle is necessary in Algorithm SM-6 because of establishing the deterministic relationship between the forgetting curve and the optimum inter-repetition interval. The modification of the optimal factor occurs immediately after a repetition upon approximating the new forgetting curve derived from data that include the grade provided in the recent response. This modification not only made it possible to greatly accelerate the process of determining the optimum values of the matrix of optimal factors, but also provided a means for establishing the desired level of knowledge retention that will be reached in the course of the learning process (see an exemplary forgetting curve in Figure 1).

The desired level of knowledge retention is determined by the proportion of items that are not remembered at repetitions. This proportion is called the forgetting index (items are classified as remembered or forgotten on the basis of grades provided by the student in self-assessment of his or her progress).

Figure 1 An exemplary forgetting curve plotted in the course of repetitions (over 40,000 repetition cases recorded)

In the figure presented above [updated in November 1999 with a more recent set of data], the lapse of time is represented by the interval in days. The vertical axis represents knowledge retention stated as percentage. The horizontal line located at the retention level of 90% determines the requested forgetting index, i.e. the desired proportion of items that should be forgotten at the moment of repetition. The optimum interval will then naturally come at the cross-section of the requested forgetting index line with the forgetting curve. In the example above, the optimum interval equals seven days. The presented forgetting curve has been plotted on the basis of 40489 recorded repetition cases. See later in the text for explanation of the values R-Factor (RF), O-Factor (OF), etc.

Because of the highly irregular nature of the matrix of optimal factors computed directly from forgetting curves, in Algorithm SM-6, the matrix used in spacing repetitions represents a smoothed version of the so-called matrix of retention factors (matrix RF), which is derived directly from forgetting curves corresponding to particular entries of the matrix OF. In other words, forgetting curves determine the value of entries of the matrix RF, and only the smoothed equivalent of the latter, the matrix OF is used in computing optimum intervals.

Algorithm SM-6

In short, the Algorithm SM-6 could be summarized as follows (note, that repetitions may and should proceed indefinitely, if the memorized material is to be perpetually retained in the student’s memory):

    1. The learned knowledge is split into smallest possible pieces called items
    2. Items are formulated in the question-answer form
    3. Items are memorized by means of a self-paced drop-out technique, i.e., by responding to the asked questions as long as it takes to provide all correct answers
    4. After memorizing an item, the first repetition is scheduled after an interval that is the same for all of the items. Its value is determined by the desired level of knowledge retention, which in turn can be converted into an interval by using an average forgetting curve taken from an average database of an average student (Wozniak 1994a). The desired retention is specified by means of the so-called forgetting index, which corresponds to the proportion of items forgotten at repetitions (to learn how to compute retention from the forgetting index, and vice versa, see Simulation of the long-term learning process). Note, that the first interval may be randomly shortened or lengthened for the sake of speeding up the optimization process (varying intervals increase the accuracy of approximating the forgetting curve).
    5. As mentioned before, initially, the first interval is computed as for an average student and an average database. However, as soon as the recorded value of the forgetting index deviates from the requested level, the length of the first interval is modified accordingly. The new value of the interval is derived from the approximation of the negatively exponential forgetting curve plotted in the course of repetition. With each repetition score recorded, the plot becomes more and more accurate and the used value of the optimum inter-repetition interval settles at the point that ensures the selected level of knowledge retention.
      After each repetition, the student produces a grade, which determines the accuracy and easiness of reproducing the correct answer.
    6. On the basis of the grades, items are classified into difficulty categories. Their difficulty is reestimated in each successive repetition. The difficulty of each item is characterized by the earlier mentioned E-factors (E stands for ‘easiness’). E-factors are equal to 2.5 for all items on the entry to the learning process, and modified after subsequent repetitions. For example, grades above four result in slightly increasing the E-factor (good grades indicate easy items), while grades below four reduce the E-factor. Historically, E-factors were used to determine how many times intervals should increase in successive repetitions of items of a given difficulty. At present, E-factors are only used to index the matrices of optimal factors and retention factors, and may bear little relevance to the actual interval increase.
    7. Different optimal intervals are applied to items of different difficulty (see later).
    8. Different intervals are applied to items that have been repeated a different number of times (see later).
    9. The function of optimal intervals is constantly modified in order to produce the desired knowledge retention determined by the forgetting index. In other words, the algorithm will detect how well the student copes with repetitions and adjust the length of inter-repetition intervals accordingly.
    10. The function of optimal intervals is represented as the matrix of optimal factors, OF-matrix in short, defined as follows (compare Algorithm SM-5):

      for n=1: I(n,EF)=OF(n,EF)
      for n>1: I(n,EF)=I(n-1,EF)*OF(n,EF)

      where:

      I(n,EF) - n-th interval for difficulty EF
      OF(n,EF) - optimal factor for the n-th repetition and the difficulty EF

      The entries of the matrix of optimal factors are modified in the course of repetitions to ensure the desired level of knowledge retention

    11. Matrix of optimal factors is produced by smoothing the so-called matrix of retention factors, RF matrix in short. Matrix of retention factors is defined in the same way as the matrix of optimal factors.
    12. Entries of the matrix of retention factors are intended to estimate the values of the entries of the matrix of optimal factors. Each optimal factor corresponds to an optimal interval that produces the desired retention at repetition (determined by the requested forgetting index). Each entry of the matrix of retention factors corresponds to a different value of E-factor and repetition number
    13. Entries of the matrix of retention factors, called R-factors, are computed from forgetting curves whose shape is sketched on the basis of the history of repetitions
    14. The lapse of time on the forgetting curve graph is measured by the so-called U-factor, which is the ratio of the current and the previous interval, except for the first repetition where U-factor equals the interval in days (as in Figure 1). The record of repetitions makes it possible to compute retention for different values of U-factor. The graph of the retention plotted versus the lapse of time (U-factor) represents a forgetting curve. The cross-section of the forgetting curve with the desired retention level determines the optimum R-factor, which, upon smoothing the matrix of retention factors, yields the optimum O-factor
    15. Each difficulty category and repetition number has its own record of repetitions used to sketch a separate forgetting curve. In other words, different intervals will be used for items of different difficulty, and for items repeated a different number of times.
    16. Intervals used in learning, including the first interval, are slightly dispersed round the optimal value in order to increase the accuracy of forgetting curve sketching, and consequently, to increase the convergence rate of the optimization procedure. By slightly dispersing intervals, the approximation of the forgetting curve will use a more scattered set of points on the graph

Approximation of the forgetting curve

One of major hypotheses presented in my earlier work that had to be falsified was the presumed sigmoid shape of forgetting curves for all inter-repetitions intervals except the interval that follows memorization. The main reason for putting forward such a hypothesis was that exponential approximation yielded particularly high deviation error for data collected in my work on the model of intermittent learning, and that superposition of sigmoid curves for different E-factors can assume close-to-linear shape. Linear approximation, on the other hand, seemed to excellently fit the model of intermittent learning.

Upon the development of Algorithm SM-6, a large body of data has been collected that could be used in determining the shape of the forgetting curve for all values of E-factors and repetition numbers.

Using my own database, in which data from over 200,000 repetitions has been collected, I tried to answer the question about the mathematical nature of the forgetting curve. Unfortunately, even this huge amount of data cannot give the ultimate answer. I tried simple linear, exponential and sigmoid approximation for entries taken from different areas of the matrix of optimal factors. Clearly, exponential approximation produced the best fit, followed closely by linear approximation. Sigmoid curves clearly did not fit the collected data, the fact that can be testified to by visual interpretation of forgetting curves plotted by standard SuperMemo software for every user and every database (here, the following function is used to approximate the forgetting: R=exp(-k*t), where R-retention in percent, t-time, and k-decay constant whose value depends on the unit used to measure time, which in Algorithm SM-6 is expressed in terms of the U-factor).

Naturally, the greatest amount of data, over 20,000 repetitions, has been collected for E-factor equal to 2.5 and repetition number equal to one. As it can be see in the figure, the retention values in this particular case line up along an almost straight line, which as well might be an exponential curve with a very low decay constant.

Only when looking at the same curve for E-factor equal to 1.3 and the repetition number equal to nine, one can better visualize the exponential nature of the process of forgetting. However, in the latter case, the regularity of collected data seems to fall short from a point at which a conclusive judgment could be made (only slightly over 500 repetition cases have been recorded for that particular entry of the matrix of optimal factors).

As I increasingly tried to argue, the greatest support to all my findings in reference to the optimization of learning comes from the fact that the found paradigm seems to be optimum from the evolutionary survival of the species standpoint, the following reasoning should illustrate why sigmoid nature of forgetting is unlikely. If forgetting mechanisms developed by evolution are indeed optimal with respect to optimizing the memory storage, and consequently survival, then the length of the optimum inter-repetition interval should correspond with the probability of encountering or reusing the learned association in a real-life situation. However, there is no significant change in that probability at or around the point of time determined by the optimum interval. Consequently, there should be no significant drop in the probability of recall.

As for the interpretation of the model of intermittent learning presented in my earlier publications one should not forget about the two following fact that might lead to drawing wrong conclusions: (1) items used in learning and in development of the model of intermittent learning have been grouped in pages and considered collectively (therefore, the resulting forgetting curve must have been a superposition of forgetting curves that would characterize items with different E-factors), and (2) the decay constant used to approximate forgetting curves is low enough to yield good approximation results for linear regression.

All in all, the truth is that 19-th century findings of the German psychologist Herman Ebbinghaus (1850-1909) can be extended to state that the forgetting proceeds along the exponential curve independent of the number of repetitions accorded an item


SuperMemo Corp.

Contents
Integrating SuperMemo with the Internet SuperMemo Corp.
Dr A. Szepieniec,
Dr P. Wozniak
Oct 25, 1996
This text was an internal document originally entitled: Where do we want to go? and designed as a theoretical basis for the business plan for SuperMemo Corp. seeking venture capital

The progress of the mankind is a multifaceted phenomenon that spans the entire spectrum of human activity across all branches of science and technology down to the daily routine of a milkman or a housewife. Nothing, however, determines the pace of progress more visibly that the mankind’s ability to process information. And nothing but the information processing is so much subject to positive feedback that made it explode this century with ferocity that makes it truly impossible to predict what boundaries it is going to crash just a mere ten years from now. Forty thousand years ago, humans started communicating orally. It took until four thousand years BC before they were able to put down their message in writing. Then only in the 15-th century, Gutenberg’s invention made it possible to widely disseminate writing. The next breakthrough came with the advent of computers this century. Particularly in the 1980s with the explosive growth of desktop computing on one hand and networking on the other. The most recent revolution originated in the European Laboratory for Particle Physics research labs in Switzerland. Yet in 1993, only the most devoted Internet insiders new its name: World Wide Web. The creators of WWW developed several simple application-layer protocols and a document-publishing standard. The tree key concepts were URLs, HTML and HTTP. These have unleashed the global hunger for more easily available information and for the benefits of publish-as-you-go. The vision of a global hyperspace has finally become reality and at its best: without borders and without (or nearly without) government control. Bandwidth limitations permitting, there seems to be no end to the exponential growth of the Web and its technological versatility. It is our strong conviction that the next revolution in information processing will come with cognitive technologies. This is a collection of technologies that make use of the newest findings in the field of psychophysiology that affect information processing on the part of a human subject. SMC has pioneered a number of such technologies. Most prominently, repetition spacing algorithms, commercially known worldwide as SuperMemo. In short, cognitive technologies make documents 'understand' the reader by taking into account the imperfection of his or her memory and cognition. This approach is possible by keeping track of user’s navigation in the knowledge space and by creating mathematical models of his or her memory.

SMC’s mission is to provide humans with the most efficient interface to the world of information with application of all known cognitive technologies.

Cognitive technologies optimize information processing and learning at the following four pivotal areas (in parentheses: concepts developed at SMC):

  • state of the human mind (currently not subject to optimization)
  • access to knowledge (processing attributes, ordinal attributes, semantic attributes, knowledge filters, knowledge charts, knowledge meters, etc.)
  • knowledge representation (topics and items, minimum information principle, etc.)
  • knowledge retention (optimum repetition spacing)

SMC is currently working over Project SM-XXI (currently at the design stage) that will be a collection of software components that will make the following vision a reality in the XXI century:

  1. the interface to external sources of information will cover both electronic and non-electronic sources (the latter case will require tools for easy incorporation of information coming from external sources within the knowledge system paradigm)
  2. the electronic sources will be both general and dedicated. SMC will work on promoting standards that will allow publishers of information to comply with cognitive technologies so that to increase the proportion of dedicated sources with the lapse of time
  3. for information sources: all platforms should be covered one way or another: desktop operating systems (CD-ROMs), Internet, handheld devices, dedicated databases and knowledge systems developed for SuperMemo 7, SuperMemo 8, its successors, and many more
  4. for information publishing: all platforms should be covered as well: stand-alone desktop applications, CD-ROM publishing, Internet, client-server environment, handheld devices, voice-operated systems, etc.
  5. the main application modes will be as follows: (1) stand-alone application (as with earlier versions of SuperMemo), (2) course application (e.g. for CD-ROM title publishing), (3) Internet application (esp. for organizing and learning web knowledge), (3) client-server application (e.g. for education in schools, for corporate training, etc.), and (4) tele-learning application (client-server approach over the Internet).
  6. from the user standpoint, knowledge will dynamically flow from the disorganized collection of items, Web pages, CD-ROMs, and other sources into the knowledge hierarchy: a graph of semantic connections between individual knowledge elements (Note: do not confuse knowledge hierarchy with a collection of hyperlinked pages)
  7. all knowledge elements (leaves of knowledge hierarchy) having the form of pieces of information or external information sources will be provided with processing attributes that may assume the following values: intact (not yet classified), suppressed (classified as irrelevant and made invisible in the knowledge system), dismissed (dismissed as cognitively relevant but valued for future reference), reviewed (reviewed and considered cognitively relevant; perhaps worth the pending status), pending (consider particularly important for its associative or inferential nature and scheduled for later committing) and committed (committed to memory of the user of the knowledge system).
  8. editable knowledge hierarchy that visualizes processing attributes of knowledge elements forms a knowledge chart that makes it easy to graphically view the user’s progress in wading through a sea of information
  9. all non-primitive elements in dedicated sources will be divided into semantic units that will also be provided with processing attributes. In non-dedicated sources, wherever possible, semantic units will be separated by means of available technologies (e.g. HTML tags, parsing tools, or simply highlighting tools; in the latter case, the users will be able to set processing attributes to an equivalent of a semantic unit in the form of a display area highlighted with a mouse)
  10. processing attributes will determine the appearance and behavior of elements or their semantic units. For example, suppressed elements will disappear from view and made their URLs unavailable, committed elements will crop up in repetitions scheduled by means of SuperMemo, etc.
  11. ordinal attributes will be used to sort elements and semantic units with a view to their future processing. The following processing attributes will be associated with ordinal attributes: intact (ordinal attributes will determine the order of review; this attribute can only be set automatically by means of filtering tools, HTTP connection score, elements of information democracy, etc.), reviewed (ordinals will determine the order of the next review), pending (ordinals will determine the order in which items are committed to memory), committed (ordinals will determine rescheduling priority or uncommitting priority in cases of repetition overload).
  12. semantic attributes will be used to approximate the semantic contents of a semantic unit or element. These are needed for search and filtering purposes. The simplest approach to implementing semantic attributes is a keyword system. Future applications might make use of natural language processing technologies.
  13. knowledge filters can be used to determine visibility or accessibility of elements or semantic units within the knowledge system by making use of processing, ordinal and semantic attributes in dedicated sources and word context analysis in non-dedicated sources. Knowledge filters are a useful tool for addressing disorganized knowledge before it enters the knowledge hierarchy and in automatically determining ordinal attributes in the intact pool. Knowledge filters can also be used in thematic navigation.
  14. knowledge meters are tools for diagnostics and control of the flow of information between element pools tagged with different processing attributes. In general, the flow proceeds from disorganized/external pool to intact pool, then to suppressed, dismissed and reviewed pool, then to pending pool and finally to committed pool. Some stages may be skipped (e.g. committing element without placing it in the pending queue), and some backflow is not unusual (e.g. dismissing once committed item as result of the loss of relevancy, etc.). Knowledge meters allow to view the information flow as well as to impose minimum or maximum flow limits.
  15. knowledge should be divided into topics (elements that present information, like pages in a help system, web pages, etc.) and items (elements that have a stimulus-response structure, e.g. question and answer, that can be effectively used in the process of learning based on active recall)
  16. for training and tele-learning purposes, item subsets should be structured for automatic grading purposes (e.g. with multiple choice-test, spelling test, automatic voice recognition test, etc.)
  17. topics will have local and remote nature (e.g. as a web link executed via OLE browser in-place activation)
  18. application of items complying with the minimum information principle is not customary in present information sources. A number of solutions will have to be adopted to facilitate the transition to the new approach by content providers. Most importantly, World Wide Web extensions are inevitable. The adjustments will have to be made at both the server and the client side. The new generation of web browsers provide an easy plug-in interfaces that can be addressed with format-independent OLE Documents (to extend or go beyond HTML), language-independent binary ActiveX controls, and scripting languages. On the server side, with standard methods such as CGI, WWW servers can be extended to communicate with back-end scripts, dynamically produce the content of a web page, store information the user has provided, etc. In Microsoft Internet Server changes are possible via ISAs and other ISAPI extensions.
  19. for knowledge retention, Project SM-XXI envisages application of most modern SuperMemo algorithms based of algebraic and algorithmic solutions combined with neural networks
  20. to let learning run in the background, without the need for a special time slot of the users, intelligent, self-configuring techniques for detecting idle state of the user’s terminal will be implemented (e.g. popping up the drilling procedure at download time, printing time, and other long-drawn processes; including selected operations in custom-chosen applications)
  21. although the theoretical foundations and underlying concepts might seem intricate, the new software solutions should provide an intuitive and fool-proof interface that will open the world of well-structured knowledge to every user with or without his or her understanding of cognitive processes
  22. particular software components will be used for complementary solutions like: handheld devices, voice-operated devices, redistributable modules for third-party developers, etc.

Beyond simple software solutions:

  • to increase the number of dedicated sources, SMC intends to work closely with publishers, courseware developers and standardization bodies. Most importantly, SMC wants to promote new WWW formats and protocols by using RFCs and working with IETF, and W3C. This will primarily concern the adherence to context-free semantic units and, wherever possible and sensible, associating semantic units with knowledge items used in the process of learning
  • for knowledge representation, SMC intends to facilitate or enforce adherence to the minimum information principle not only at the software level but also by promoting new standards and formats (see above), educating information publishers by example, and extensively publishing the rules of effective knowledge representation. The most crucial in this respect are: (1) publishing information in context-independent, concise and richly hyperlinked manner, (2) separation of semantic units whenever necessary, and (3) associating elements or semantic units with stimulus-response material (e.g. in the form of questions and answers that might be used in learning and training)
  • strategic partnerships with major players in the Internet market may be most fruitful: Microsoft, Netscape, etc. These would make it easier to develop global solutions intertwined with the Internet and operating systems that would make cognitive technologies truly span the globe

Marketing strategy and the step-wise education of the public on cognitive technologies

  • introducing SM7 with a couple of catchy databases to educate the public on the most appealing component of cognitive technologies: repetition spacing. Application mode: stand-alone.
  • introducing SM8 as an extension of repetition spacing into the direction of knowledge structuring. Introducing the concept of knowledge hierarchy, processing attributes, ordinal attributes, topics and items. Application modes: stand-alone, and CD-ROM title publishing.
  • introducing Project SM-XXI with all the remaining components of the cognitive approach. Introducing client-server architecture and encompassing the Internet. Application modes: stand-alone, CD-ROM title, Internet organizer, client-server training, and tele-learning.
  • promoting standard solutions, formats, protocols and interfaces. Working on an equivalent of Dewey Decimal or Library of Congress system for WWW within the framework of cognitive technologies

Glossary (proprietary terminology is marked with SMC)

  • ActiveX controls encapsulate the WinInet APIs. Programmers can write to these controls using Visual Basic, Delphi, Powerbuilder, etc. (formerly known as OLE Controls, or OCXes)
  • CGI (Common Gateway Interface) the simplest language for server-side support
  • cognitive technologies (SMC) technologies targeted at applying the findings from the field of psychophysiology in the area of information processing
  • information democracy (SMC) enabling the public to determine ordinals associated with web pages, hyperlinks, sites, etc. on the basis of popularity, reliability, usability, etc. Those ordinals might be useful at the entry of elements into a user’s knowledge system
  • item (SMC) simple stimulus-response formulation of a piece of knowledge for learning purposes (e.g. question and answer)
  • ISA (Internet Server Applications) ISAs are dynamic-link libraries (DLLs) that are similar to CGI scripts. ISAs are loaded in the same address space of the HTTP server. This creates a back-end scripting solution that provides a higher level of performance than CGI and consumes far less RAM
  • ISAPI (Internet Server API) Application Programming Interface developed for MS Internet Server
  • IETF (Internet Engineering Task Force) the protocol engineering and development arm of the Internet. The IETF is a large, open, international community of network designers, operators, vendors, and researchers concerned with the evolution of the Internet architecture and the smooth operation of the Internet. It is open to any interested individual
  • knowledge chart (SMC) knowledge hierarchy that graphically visualizes processing attributes
  • knowledge elements (SMC) single leaf in knowledge hierarchy that may have a form of: item, topic or external source of information
  • knowledge filters (SMC) filters that make a subset of knowledge elements invisible for the purpose of thematic navigation, knowledge organization (transition from disorganized pool to knowledge hierarchy, etc.)
  • knowledge hierarchy (SMC) graph representing semantic relationships between individual pieces or sources of information. Implemented in SM8 in a simplified form as a knowledge tree that corresponds with a table of contents
  • HTML (Hypertext Markup Language) standard file format for distributing hypermedia information on the World Wide Web. HTML allows text to include codes that define fonts, layout, embedded graphics, and hypertext links
  • HTTP (Hypertext Transfer Protocol) the method by which World Wide Web pages are transferred over the network
  • ordinal attributes (SMC) attributes associated with processing attributes that determine the priority of the element of semantic unit in a given processing pool. For example, ordinal attributes of pending elements determine the order in which pending elements are committed to memory
  • processing attributes (SMC) attributes associated with elements or semantic units that determine the degree of processing afforded the element. For example: dismissed, pending, committed, etc.
  • RFC (Request For Comment) documents that describe or propose new standards. All Internet standards are described as RFCs. An RFC is a description of a protocol, procedure, or service; a status report or a summary of research
  • semantic attributes (SMC) attributes that approximate the semantics of a semantic unit (in the simplest case: keywords)
  • semantic unit (SMC) smallest part of an element that coveys the simplest understandable message (e.g. a single sentence)
  • scripting language simple interpreted script used to enliven web pages (e.g. Perl, Java, LiveScript, Visual Basic Script, etc.). Script applets can be downloaded from the server and run on the client computer
  • topic (SMC) simple representation of a small piece of knowledge (e.g. a short web page)
  • URL (Uniform Resource Locator) increasingly popular standard for addressing resources on the Internet. Developed for the World Wide Web. URLs are essentially an extension of a full pathname
  • W3C (World Wide Web Consortium) the World Wide Web Consortium exists to realize the full potential of the Web. W3C works with the global community to produce specifications and reference software. W3C is funded by industrial members, but its products are freely available to all


Optimization of learning: Acknowledgements

Acknowledgments Piotr Wozniak,
1990
This text was taken from P.A.Wozniak, Optimization of learning, Master's Thesis, University of Technology in Poznan, 1990

I would like to express my gratitude to Professor Zbigniew Kierzkowski for giving me carte blanche for my multidisciplinary research on memory and learning, as well as for his help in initiation of my individual specialization which provided me with a unique chance of tailoring the process of studying to my biological interests.

Special thanks are due to my colleagues who devoted a great deal of their private time to reviewing the manuscript of the thesis. They were (in alphabetical order): Krzysio Bidi Biedalak, Adam Bladam Blazejewski, Przemek Filip Glowacki, Edzio Ego Gorzelanczyk and Janusz Murky Murakowski.

Studying at the University of Technology in Poznan has been particularly pleasant and instructive thanks to young, open-minded and forthcoming group of academic instructors. I would especially like to thank those who contributed to individual tailoring of my curriculum, exams, lectures, laboratory classes etc.

They were (in alphabetical order) Prof.J.Augustyniak (Adam Mickiewicz University), Dr.B.Begier, Dr.M.Bertrandt, Dr.K.Bucholtz, Dr.L.Cichowski, Dr.J.Cybulka, Dr.I.Dabrowska, Dr.Z.Dabrowski, Dr.R.Groszak (Academy of Economics), Dr.Z.Habasinski, Dr.A.Jasiak, Dr.H.Katulski, Dr.J.Kleban, Dr.J.Koperski, Dr.A.Marlewski, Dr.J.Martinek, Dr.J.Nawrocki, Dr.A.Nikish, Dr.J.Nowaczyk, Dr.J.Ozorowski, Dr.T.Pankowski, Dr.A.Portalski, Prof.R.Slowinski, Dr.H.Szuba, Dr.S.Trzcielinski, Prof.W.H.Trzeciak (Medical Academy) and Dr.B.Wolynska


Economics of learning: Acknowledgements

Acknowledgments Piotr Wozniak,
1995
This text was taken from P.A.Wozniak, Economics of learning, Doctoral Dissertation, University of Economics, Wroclaw, 1995

This work would not be possible without help or indulgent attitude of a numerous group of people whose extent prevents me from listing all those to whom I direct my gratitude.

Without disinterested help from Dr Edward Gorzelanczyk (Medical Academy of Poznan), I would never come to revive my rusty background in molecular biology and attempt formulating molecular model of two components of long-term memory. It was also Dr Gorzelanczyk’s merit to patiently supervise the progress of students working with SuperMemo databases and collecting the data related to their learning process over the last three years

Janusz Murakowski (University of Delaware) was helpful in opening my eyes to mathematical inconsistencies in a number of models presented in my Master’s Thesis and in the presented dissertation. Those included: model of intermittent learning, model of action potential in nerve cells, model of adrenergic synapse and model of two-components of long-term memory

Prof. Andrzej Baborski (University of Economics in Wroclaw) was instrumental in making it possible for me to present my research at the University of Economics in Wroclaw, and to open the formal process towards obtaining a doctoral degree

Krzysztof Biedalak and Marczello Georgiew (SuperMemo World) made my focused work on the presented dissertation possible by showing unheard-of patience and tolerance during long months of my persistent neglect of routine duties at SuperMemo World

Piotr Metzler (SuperMemo World) disinterestedly devoted a great deal of his personal time in order to help me focus entirely on my work in the last two months of writing this dissertation.

Prof. Zbigniew Kierzkowski (University of Technology in Poznan) opened my way to unconstrained research on memory and learning yet during my undergraduate student years through his support in breaking administrative barriers that made it difficult to branch into multidisciplinary subjects because of rigid university regulations in the mid 1980s

I would not have ever had an opportunity to continue my university studies and free-lance research without a continuous and unswerving support from my late mother and my late sister

Last, but by no means least, Prof. Witold Abramowicz (University of Economics in Poznan) should take no less than half the credit for the finalization of the presented dissertation. Over the last three years, Prof. Abramowicz provided me with comradely encouragement, fatherly guidance, and Socratic inspiration of highest intellectual quality. He also showed nearly evangelical patience in tolerating the stubborn me. To him finally goes the credit for the ultimate appearance of this dissertation in the presented form


Release your own educational CD-ROM

Releasing you own CD-ROM or learning material with SuperMemo
With our new license policy you have a chance to release your own series of SuperMemo CD-ROMs. Now you can distribute your SuperMemo collections together with SuperMemo among your students, readers, trainees or employees. The basic license fee is only 0.99 USD per copy at the minimum printrun of 250.

You can take advantage of our production services and have your CD-ROMs supplied to you ready-made.

In addition we offer:

  • in-house learning material development (contact us for samples of our multimedia courses and sets of multiple choice tests in SuperMemo)
  • writing installation software for your CD-ROM

If you have long thought about releasing your own multimedia CD-ROM, SuperMemo provides you with a unique opportunity to do that at the most affordable price. The main reasons why you might want to choose SuperMemo over other authoring tools are:

  • if you want to release an educational title, the success of your effort may greatly be enhanced by the immensely popular SuperMemo technology supported by SuperMemo. SuperMemo makes it possible to greatly increase the effectiveness of learning and has long been appreciated worldwide. SuperMemo is the only authoring tool that uses the SuperMemo method
  • if you have no experience or technical knowledge, we can just take your texts, graphics, video and specifications and do the whole job for you
  • we offer an attractive license fee (basic license fee is only $0.99 per CD)

Your algorithm for releasing your own title is very simple. Here is what you should do to see your own CD-ROM title on the shelves of software stores:

  1. Compile the material you want to release on your multimedia CD-ROM (i.e. pictures, sounds, texts, etc.)
  2. Contact us in order to obtain samples of our CD titles and a fully-featured version of SuperMemo to start your work
  3. Create a SuperMemo collection based on your material. This step seems to require most effort and skill; however, you will be surprised how easy it is to compile various files into a nice-looking course. We can also take over this step for you and proceed with all the remaining step of this the release procedure!
  4. Pay the replication license fee (basic license fee is only $0.99 per CD)
  5. If you decide to develop your CD-ROM course on your own (i.e. not at SuperMemo World), you will yet need three steps:
    1. Complete your CDR by adding the installer (your can write your own installer, use the MegaMix installer or ask us to write an installer for you)
    2. Produce a CDR disk with your title. A CDR is a writable variety of a compact disk. If you do not have a CDR recorder, many third parties provide recording a CDR for as little as $10
    3. Send your CDR disk to a compact disk manufacturer for replication. The cost of replication usually falls between $0.5 and $1 per single CD-ROM disk

At this point, your own CD-ROM title is ready for sales. If the material is universal enough, SuperMemo World will gladly take part in distributing your title through its own channels or local distributors in your country

Note for software developers: If your software has anything to do with information that may provide a learning material (encyclopedias, dictionaries, factual databases, etc.), and you would like to provide your software with an interface to SuperMemo, contact us. This is how Polish PWN Encyclopedia best-seller was made


Sell SuperMemo from your own website

Introduction

SuperMemo World has established a program that will let you sell SuperMemo from your own website in minimum time and with minimum investment.

You do not have to share your profit with SuperMemo World! You will receive the right to sell SuperMemo from your own website in return for an extremely competitive monthly license fee. To sell from a non-English website to a small language-limited market, this fee may be equivalent to just a couple of copies sold!!! No strings attached. All profits come to you!

If you already have a website, your set up costs will be negligible. Once you sign in for the program, you will receive a specially modified version of SuperMemo with your address, e-mail, interface, help, and website URL. Users will be able to download an unregistered version of SuperMemo that will generate registration files with your e-mail address. This way you will be able to process payments and dispense the registration password without the knowledge or interference from SuperMemo World.

We hope to initiate massive franchising and development of a variety of instructional material that will help make SuperMemo yet more popular in places which we have traditionally had problems to penetrate: Africa, South America, Far East, Commonwealth of Independent States (Russia, Ukraine, Bielorus, etc.), Bulgaria, Austria, Greece, Turkey, Arab world, and many more.

Step-by-step procedure

  1. Send an e-mail with a request to sign up for the program or with further questions to: SuperMemoMail. Describe your website, target language and the target audience. If you do not have a website, we can help you arrange one
  2. In response you will receive an estimation of the cost of the monthly license that will mostly depend on the size of your target market and the number of similar websites in operation in this market. For a slightly higher price, you can even exercise a temporary exclusivity option. You will be surprised with how competitive our pricing is!
  3. Once we receive a signed contract and your first monthly payment along with your contact data (name, address, e-mail address for registering SuperMemo, and website address), you will receive a dedicated version of SuperMemo within 3-4 working days!
  4. You can start operations immediately (note, however, that any indications of customer dissatisfaction may be ground for immediate termination of your contract)
  5. If your website provides rich information about SuperMemo in a foreign language, you might even receive a link from our front page at www.supermemo.com

What is a franchise

Franchise is a business concept referring to the right to learn, gain and adopt a proven business format, and the license to operate under the name of the franchise. Statistics show that new franchises have only a fraction of the failure rate of newly set-up businesses. In the US, 550,000 franchises are now generating over $800 bn in sales. Franchises are expected to reach 50% of all retail sales by the year 2000.

Although e-commerce is not yet a well-establish success formula, it is currently growing at rates estimated at 200-400% annually. Similarly, SuperMemo has yet to score a major success in its over-the-web sales strategy. However, SuperMemo has over the years proved its tremendous growth potential. Software sales are one of the best success stories of e-commerce. It is well known that innovative solutions with a significant competitive advantage are best suited for quickly gaining a strong niche in the electronic channel.

Advantages:

  1. ready-made concept of selling SuperMemo software via electronic channels
  2. training and support
  3. our knowledge and experience
  4. brand name with accumulated promotion and well-established reputation
  5. minimum initial capital
  6. reduced business risk
  7. access to SuperMemo trademark and software
  8. free research and development
  9. territorial guarantees based on language barriers
  10. immense growth potential
  11. possibility to sign up for a 6-month trial period

Disadvantages:

  1. franchisee fees (depending on the target population)
  2. dependence on SuperMemo World (quality of new software, support, brand reputation, etc.)
  3. slow start due to the fact that Internet sales of SuperMemo are in the initial phase and the whole e-commerce concept has not yet truly set off

Countries excluded

Note: Websites targeting the following languages cannot currently be considered: English, Polish, Czech, Slovak, Dutch, German, Portuguese, and Spanish. If your website targets these languages and you would like to sell SuperMemo, please write to SuperMemoMail for consideration. In selected cases, you may opt to sign E-Distribution Agreement which makes up an alternative


SuperMemo Site Franchising

SuperMemo site franchising: Franchise agreement
This is an outline of Franchise Agreement you will be signing in case you opt for reselling SuperMemo from your own website. Some clauses are confidential and are not included in this text. Additionally, all individual agreements may be extended by special clauses on a case by case basis

Variables:

  • Your-Company
  • Your-Name
  • Your-Market and Your-Language - define the language area you will be targeting
  • Your-Period - defines the initial period for which you will sign the agreement (from 6 months to 24 months)
  • Your-Fee - defines your monthly franchisee fee that will mostly depend on the size of your target market

Outline of Franchise Agreement on selling SuperMemo products via electronic channel

This is a franchising contract between SuperMemo Research, Poland, later called Franchisor, and Your-Company, represented by Your-Name, later called Franchisee in reference to selling SuperMemo in Your-Market, later called Market, in Your-Period, later called Period.

  1. Services. Franchisor will provide Franchisee with a special version of SuperMemo, later called Product, adapted for Market and extended by:
    • Franchisee data in About Box (e.g. e-mail, name, address, website, etc. transliterated to Latin alphabet with the predetermined ASCII set)
    • registration at Franchisee's e-mail address
    • translation of registration instructions on registration toolbar, in the registration dialog box (except for the user questionnaire) and in the header of the registration file register.txt (transliterated to Latin alphabet with the predetermined ASCII set)

    Franchisor will provide reasonable support and training via e-mail including FAQ support for problems that cannot be solved by Franchisee. In justified cases, Franchisor will also provide support to customers of Franchisee in case of problems that could not be solved by Franchisee in reasonable time

  2. Royalties and profit sharing. Franchisee will be granted the right to sell Product via his own website(s), called Franchisee Website. Franchisee is free from paying royalties on sold Product. Franchisee will retain all profits coming from selling Product
  3. Franchisee fee. Franchisee monthly fee is Your-Fee or 10% of the sales revenue, whichever is higher. The fee may be renegotiated after Period depending on the size of the target population and the overall performance of SuperMemo franchises. A limit on the fee increase after Period can be negotiated for periods up to three times the length of Period
  4. Territorial rights. Franchisee Website must target only Market in Your-Language. Franchisee Website may include material in other languages, including material promoting SuperMemo, on condition that this material does not provide an obvious path to making a sale of Product and clearly indicate Franchisor or other Franchisees as owners to territorial rights related to the language in question. In return for a higher franchisee fee, franchisee can be granted a temporary or permanent territorial exclusivity option. In such a case no other franchisees will operate in Market during Period
  5. Intellectual property rights. Franchisee may freely identify with Franchisor activities, use trademarks, logos and copyrighted material including but not limited to the entire non-copyrighted contents of SuperMemo Website at www.supermemo.com. Franchisee may freely develop and sell learning material for SuperMemo from Franchisee Website. Franchisee will also be able to include material from SuperMemo Library on the basis of a separate agreement with SuperMemo Library and within the scope defined by individual contracts with authors of material available from SuperMemo Library
  6. Record keeping. Franchisee is obliged to keep the exact record of downloads and sales. These should be made available to Franchisor on the monthly basis
  7. Quality control. Franchisee is obliged to provide, upon request from Franchisor, an accurate translation to English of material publicly available from Franchisee Website. Franchisee Website must display on its front page or SuperMemo front page the following message in English: In case you have any complaints about the service at <Franchisee>, please write to SuperMemo World
  8. Affiliate marketing. Franchisor is obliged to explicitly encourage visitors from Market to order directly from Franchisee. Franchisor will also consider linking to Franchisee Website from its front page at www.supermemo.com depending on the quality of the material presented at Franchisee Website
  9. Subfranchising. Franchisee has a right to subfranchise Product in Market on the basis of a separate contract. In such a case, Franchisee is obliged to pay Franchisor 33% of subfranchising fees. All subfranchising conditions will mirror this agreement, except for franchising fee that can be set freely by Franchisor
  10. Duration and renewal. This contract is valid for Period. After Period, Franchisee will receive preemptive extension rights contingent on scrupulous observance of the conditions of this agreement
  11. Termination. Failing to meet any of the aforesaid conditions on the part of Franchisee or justified user complaints about Franchisee are the basis for immediate termination of this agreement. Franchisee may opt to terminate this agreement with three-months notice. Termination does not free Franchisee from paying franchisee fee in Period


Make money with SuperMemo

In our quest to popularize SuperMemo we are currently working on a number of new programs that will make it much easier for you to earn money on SuperMemo. Here is a short list of the most interesting programs (in the order of increasing complexity and investment):

  1. Money in the link - link to SuperMemo Store and get 33% from sales generated by your link. This is three times the industry average on syndicated sales! No requirements or pre-screening. You will even get a secret URL to monitor traffic and sales from your link. For details see: Money in a link
  2. Learning material development - sell your own learning material for SuperMemo. No license fees! We will link to your website to promote your work. If you do not have your own website, we can also sell your material for you with 33% royalties coming back to you. See: Submissions to SuperMemo Library
  3. Site franchising - sell SuperMemo to a non-English language areas in return for a competitive monthly franchisee fee. You will control the sales, statistics, payment methods, etc. All revenues will stay with you!
  4. E-distribution - sell SuperMemo to a non-English language area that is closed to franchising
  5. Reselling - sell SuperMemo CD-ROMs in your country. Write to: krzysztof@supermemo.net
  6. Replication licensing - produce your own SuperMemo CD-ROM or DVD. If you are new to CD technology, we can do the development for you!
  7. Technology licensing - develop your own software using the SuperMemo method. You can include our repetition spacing DLL in your application in hours! You can also consider developing varieties of SuperMemo and educational software for non-Window platforms


SuperMemo E-Distribution Agreement

Reselling SuperMemo: E-Distribution agreement
This is an outline of E-Distribution Agreement you will be signing in case you opt for reselling SuperMemo from your own website in previously franchised or subfranchised language areas. Some clauses are confidential and are not included in this text. Additionally, all individual agreements may be extended by special clauses on case by case basis

Important! Please check if your language area is open to franchising which is likely to ensure higher profitability. Currently we cannot consider e-distribution formula for English language websites (see: Money in a link instead)

Variables:

  • Your-Company
  • Your-Name
  • Your-Market and Your-Language - define the language area you will be targeting
  • Your-Period - defines the initial period for which you will sign the agreement (from 6 months to 12 months)
  • Your-Margin - defines the percentage of sales from your website that will constitute your profit

Outline of E-Distribution Agreement on selling SuperMemo products via electronic channel

This is an e-distribution contract between SuperMemo Research (or its franchisee) later called Developer, and Your-Company, represented by Your-Name, later called E-Distributor in reference to selling SuperMemo in Your-Market, later called Market, in Your-Period, later called Period.

  1. Services. Developer will provide E-Distributor with a special version of SuperMemo, later called Product, adapted for Market and extended by:
    • E-Distributor data in About Box (e.g. e-mail, name, address, website, etc.)
    • registration at E-Distributor's e-mail address
    • translation of registration instructions on registration toolbar, in the registration dialog box (except for the user questionnaire) and in the header of the registration file register.txt

    Developer will provide reasonable support and training via e-mail including FAQ support for problems that cannot be solved by E-Distributor. In justified cases, Developer will also provide support to customers of E-Distributor in case of problems that could not be solved by E-Distributor in reasonable time.

  2. Royalties and profit sharing. E-Distributor will be granted the right to sell Product via his own website(s), called E-Distributor Website. E-Distributor will retain Your-Margin proportion of sales of SuperMemo from his website(s). The remaining income will be transferred monthly to Developer's bank account
  3. Territorial rights. E-Distributor Website must target only Your-Market in Your-Language. E-Distributor Website may include material in other languages, including material promoting SuperMemo, on condition that this material does not provide an obvious path to making a sale of Product and clearly indicate Developer or other E-Distributors as owners to territorial rights related to the language in question. E-Distribution Agreement is considered complementary to Franchising Agreements signed with other resellers and as such does not provide an option whereby E-Distributor be granted territorial exclusivity
  4. Intellectual property rights. E-Distributor may freely identify with Developer activities, use trademarks, logos and copyrighted material including but not limited to the entire non-copyrighted contents of SuperMemo Website at www.supermemo.com/english and www.supermemo.com/help. E-Distributor may freely develop and sell learning material for SuperMemo from E-Distributor Website. To include material from SuperMemo Library, E-Distributor will need a separate agreement with SuperMemo Library
  5. Record keeping. E-Distributor is obliged to keep the exact record of downloads and sales. These should be made available to Developer on the monthly basis. Both registration e-mail address and the address for receiving orders must include forwards to SuperMemoMail
  6. Quality control. E-Distributor is obliged to provide, upon request from Developer, an accurate translation to English of material publicly available from E-Distributor Website. E-Distributor Website must display on its front page or SuperMemo front page the following message in English: In case you have any complaints about the service at <E-Distributor>, please write to SuperMemo World
  7. Affiliate marketing. Neither Developer nor its franchisees are obliged to link from their website(s) to E-Distributor Website
  8. Dealership. E-Distributor is granted an option to sign dealership agreements to resell SuperMemo at his discretion on condition that registration and orders will exclusively arrive at E-Distributor addresses provided with forwards to SuperMemoMail
  9. Duration and renewal. This contract is valid for Period. After that it will be extended for the period of one year unless one of the parties serves the other a two-months notice
  10. Termination. Failing to meet any of the aforesaid conditions on the part of E-Distributor or justified user complaints about E-Distributor are the basis for immediate termination of this agreement. E-Distributor may opt to terminate this agreement with three-months notice. Termination does not free E-Distributor from paying E-Distributor fee in Period


SuperMemo: Add new

Add new

Button Add new at the bottom of the screen makes it possible to add new questions and answers to your collection:

abc.jpg (27365 bytes)

If you click Add new (or press Alt+A), SuperMemo will add a new item to your collection, and create two text fields: one for the question, and one for the answer.

To complete your item: (1) type the question, (2) press Esc to move to the answer field, and (3) type the answer. Press Esc again to finish changing the newly added question-answer pair.

You can jump between the question and the answer by choosing Ctrl+T. If question-answer fields are inactive (e.g. after pressing Esc a few times), you can edit the question by pressing Q or edit the answer by pressing A. You can also start editing by a mouse click.

Important! The place where your new items are added in the knowledge tree is determined by the default category, not the current selection in the contents window.

See also:

  • Changing the way your elements look
  • Adding elements in the contents window
  • Beginner FAQ


SuperMemo: Learning statistics dialog

Contents : Technical reference : Main menu : Statistics : Analysis
Analysis of the learning process

The tabbed dialog available with Tools : Statistics : Analysis in SuperMemo provides graphs and tables that illustrate the current state of the learning process in the currently used collection.

Some of these graph can be understood without understanding SuperMemo Algorithm; however, most of them require general understanding of how SuperMemo computes the optimum spacing of repetitions.
The following tabs are available in the Analysis dialog box:

  • Distributions
  • Forgetting curves
  • 3-D Curves
  • Graphs
  • 3-D Graphs
  • Approximations
  • Matrices
  • Use

Distributions

Interval distribution - distribution of inter-repetition intervals in a given collection. By changing the setting of the combo box at the bottom of the dialog, you can see interval distributions for topics, items or for all elements in the collection

A-Factor distribution - distribution of A-Factors in a given collection. The distribution itself is not used in Algorithm SM-11, and merely results from it. Note that in SuperMemo 2004 topics and items use different A-Factor categories. Choose Items only or Topics only at the botton of Analysis, to see distributions for items or topics. If you choose, All elements, you will see a less meaningful conglomerate distribution indexed by A-Factor category number

Repetitions distribution - distribution of the number of repetition in a given collection (only memorized elements are considered, i.e. there is no zero-repetitions category)

Lapses distribution - distribution of the number of times particular elements of the collection have been forgotten (only memorized elements are considered). Naturally, there are no lapses listed in this distribution if you select Topics only in the type combo box

Forgetting Curves - 400 forgetting curves are independently plotted in order to compute the RF matrix in Algorithm SM-11. These correspond to twenty repetition number categories multiplied by twenty A-Factor categories (note that for data representation convenience, the columns of the RF matrix for the first repetition are indexed by the number of memory lapses rather than A-Factor). By choosing a proper combination of tabs at the bottom of the graph, you can select a forgetting curve of interest. Horizontal axis represents time expressed as: (1) U-Factor, i.e. the ratio of subsequent inter-repetition intervals, or (2) days (only for the first repetition). Vertical axis represents knowledge retention as percentage:

Blue circles in the picture represent data collected during repetitions. The greater the circle, the greater the number of repetitions recorded. The red curve corresponds with the best-fit forgetting curve obtained by exponential regression (note that for ill-structured material the forgetting curve is crooked, i.e. not exactly exponential). The horizontal green line corresponds with the requested forgetting index, while the vertical green line shows the moment in time in which the approximated forgetting curve intersects with the requested forgetting index line. This moment in time determines the value of the relevant R-Factor, and indirectly, the value of the optimum interval (for the first repetition, R-Factor corresponds with the optimum interval). The values of O-Factor and R-Factor are displayed at the top of the graph. They are followed by the number of repetition cases used to plot the graph. At the beginning of the learning process, there is no repetition history and no repetition data that could have been used to compute R-Factors. For that reason, the initial value of the RF matrix is taken from the model of a less-than-average student (the model of average student is not used because the convergence from poorer student parameters upwards is faster than the convergence in the opposite direction).

3-D Curves

These graphs show the forgetting curves in 3 dimensions. Each graph corresponds with a different A-Factor (from 1.2 to 6.9). The X axis represents time (as in Forgetting curves). The Y axis represents repetition category. The vertical Z axis represents retention in percent. For better visibility, you can rote 3-D forgetting curves with Rotate, or smooth them with Smooth. Note that smoothing proceeds along the Y axis. This makes it possible to align incompletely plotted forgetting curves from different repetition categories. However, once you click Rotate, Y axis smoothing will produce a different result. For best illustration of the forgetting process, smooth the graph before you rotate it.

Graphs

FI-G graph - G-FI graph correlates the expected forgetting index with the grade obtained at repetitions. You can imagine that the forgetting curve graph might use average grade instead of retention on its vertical axis. If you correlated this grade with the forgetting index (which is 100% minus retention), you arrive at the G-FI graph

G-AF graph - G-AF graph correlates the first grade obtained by an item with the ultimate estimation of its A-Factor value. At each repetition, the current element's old A-Factor estimation is removed from the graph and the new estimation is added. This graph is used by the SuperMemo Algorithm to quickly estimate the first value of A-Factor at the moment when all we know about an element is the first grade it has scored in its first repetition

DF-AF graph - DF-AF graph shows decay constants of power approximation of R-Factors along columns of the RF matrix. The horizontal axis represents A-Factor, while the vertical axis represents D-Factor (i.e. Decay Factor). D-Factor is a decay constant of power approximation of curves that can be inspected with the Approximations tab of the Analysis dialog box

First interval graph - the length of the first interval after the first repetition depends on the number of times a given item has been forgotten. Note that the first repetition here means the first repetition after forgetting (i.e. not the first repetition ever). In other words, a twice repeated item will have the repetition number equal to one after it has been forgotten (i.e. the repetition number will not equal three). The first interval graph shows exponential regression curve that approximates the length of the first interval for different numbers of memory lapses (including the zero-lapses category that corresponds with newly memorized items). In the graph below, blue circles correspond to data collected in the learning process (the greater the circle, the more repetitions have been recorded). In the presented case, newly memorized items are optimally repeated after seven days; however, items that have been forgotten 10 times (which is rare in SuperMemo) will require the interval of two days (due to logarithmic scaling, the size of the circle is not linearly proportional to the data sample and the number of repetition cases for lapses=0 is by far larger than for lapses=10 as can be seen in Distributions : Lapses distribution). The graph below includes data from over 130,000 repetitions

3-D Graphs

3-D graphs that visually represent OF, RF and Cases matrices (see: Matrices)

Approximations

Twenty power approximation curves that show the decline of R-Factors along columns of the RF matrix. For each A-Factor, with increasing values of the repetition number, the value of R-Factor decreases (at least theoretically it should decrease). Power regression is used to illustrate the degree of this decline that is best reflected by the decay constant called here D-Factor. By choosing the A-Factor tab at the bottom of the graph, you can view a corresponding R-Factor approximation curve. The horizontal axis represents the repetition number, while the vertical axis represents R-Factor. The value of D-Factor is shown at the top of the graph. The blue polyline shows R-Factors as derived from repetition data. The red curve shows the fixed-point power approximation of R-Factor (fixed-point approach is used as for the repetition number equal two, R-Factor equals A-Factor). The green curve shows the fixed-point power approximation of R-Factor taken from the OF matrix. This is equivalent to substituting the D-Factor obtained by fixed-point power approximation of R-Factors with D-Factor obtained from DF-AF linear regression

Matrices

O-Factor matrix - matrix of optimal factors indexed by the repetition number and A-Factor (only for the first repetition, A-Factor is replaced with memory lapses)

R-Factor matrix - matrix of retention factors

Cases matrix - matrix of repetition cases used to compute the corresponding entries of the RF matrix (double click an entry to view the relevant forgetting curve). This matrix can be edited manually

Optimal intervals - matrix of optimum intervals derived from the OF matrix

D-Factor vector - vector of D-Factor values for different A-Factor values (also repetition cases used in computing particular D-Factors)

Use

Graphs of changes in the learning process statistics in time. These graph record daily changes to statistics such as the number of memorized items, measured forgetting index or the number of outstanding items for a given day. The first non-zero value of the day is recorded. If that value increases afterwards, that increase is ignored. If you have a break in learning, the last recorded non-zero value will propagate through the break period.

To zoom in on a portion of the graph (as in pictures below), sweep the portions of the graphs that are to be removed with the mouse (e.g. point the day of focus, move the mouse left and release the mouse button). You can also use Ctrl+Left and Ctrl+Right buttons to zoom in.

Here are the statistics recorded daily by SuperMemo and displayed on the Use tab:

  1. Total - total number of elements in the collection as recorded on a given day (i.e. topics + items + tasks)
  2. Items - number of items in the collection
  3. Topics - number of topics and tasks in the collection (see an exemplary graph below)
  4. Burden - current Burden parameter record. Burden estimates the number of items scheduled for repetition daily on the assumption of no delays in the learning process. Burden is the sum of inverse intervals
  5. I. Burden - current Burden for items
  6. T. Burden - current Burden for topics
  7. Memorized - number of elements taking part in the learning process (i.e. not dismissed and not pending)
  8. M. items - number of all items scheduled for repetition (i.e. taking part in the learning process)
  9. M. topics - number of topics taking part in incremental reading
  10. New mem. - new elements memorized on a given day (see an exemplary graph below)
  11. N. m. items - new items introduced into the learning process each day
  12. N. m. topics - new topics introduced to incremental reading each day
  13. Outstanding - number of outstanding elements scheduled for a given day
  14. O. items - number of items scheduled for repetition on a given day
  15. O. topics - number of topics scheduled for review on a given day
  16. Topic load - proportion of topics scheduled for review on a given day among all elements scheduled
  17. FI - measured forgetting index

Exemplary graph showing the total number of topics stored in the collection. The data displayed on the bottom depends on the position of the mouse. In this example, it indicates that on Jul 20, 2003, there were 104,604 topics in the incremental reading process.

Exemplary graph showing the number of elements memorized on individual days. By sweeping away the left and right part of the graph, it is possible to zoom in on a small section of the learning process. The period shown on the graph spans from Sep 11, 2002 to Jan 3, 2003.

See also:

  • FAQ: Memory and learning

  • SuperMemo Theory

  • SuperMemo Algorithm


SuperMemo: Backing up the learning material

Backup: protecting your investment in learning

Safety of your knowledge stored in SuperMemo

Knowledge you store in SuperMemo might belong to your most precious data on your hard disk! After all it cost you months or years of editing and repetitions. You must continue your repetitions indefinitely to make sure you do not forget what you have learned. This is why backup skills are so important!

Everyday you should pause for a moment and imagine the consequences of losing your work since the lack backup. Each time you invest lots of work in your collection, you should use File : Copy collection (Ctrl+Shift+C) to copy your learning material to some new location. You should copy to a different computer, to a ZIP drive, or to a CDR from time to time to prevent losing your work in case of a hard disk crash. Remember to retrieve your backup from time to time to make sure your backup files are stored correctly!

Example: to backup your collection to a network drive F:, you could press Ctrl+Shift+C, type "f:\my_July5_backup" and press Enter. Naturally, it would be nicer to backup to a dedicated folder, e.g. "f:\SM2004\backup\July5". SuperMemo will create for you folders that do not exist.

Quick backup

The fastest way to temporarily backup your collection, e.g. before a major rework, is to use Shift+F12 (File : Tools : Quick backup). Quick backup will skip some less important files. It will also name your backup with the date on which it was created. Remember NOT to use your backup for learning (this happens quite often to beginners!).

Learning process backup

If you are using a commercial collection available on CD-ROM, you can save lots of space if you backup only the learning process. You can do it with File : Tools : Export : Learning process. Note that this will not preserve changes you have made to texts in your collection. In case of a mishap, you can reinstall your commercial collection and restore the learning process with File : Tools : Import : Learning process. For example, the full semi-copy of Advanced English takes nearly 50 MB while the learning process backup takes from 0.1 to 3 MB depending on how much work you have put in repetitions.

Using WinZip, PKZip, etc.

If you would like to use archiving tools to reduce the size of your backup, remember to do the following:

  • copy the file <your collection>.kno and the folder <your collection> into one archive. Many users make a cardinal mistake of archiving only the kno file which is useless without the files in the accompanying folder. For example, remember to copy the folder biology-class when backing up biology-class.kno
  • remember to preserve the paths in archiving. If you fail to do this, you will most likely be unable to reassemble hundreds of files into appropriate folders

Example: Archiving with Total Commander

To archive your Physics collection with Total Commander by Christian Ghisler (formerly: Windows Commander) do the following:

  • find physics.kno (e.g. with Alt+F7 search)
  • in the panel displaying physics.kno, select physics.kno and [physics] folder (e.g. with Ins or with Ctrl+click)
  • choose Alt+F5 for Pack files
  • select Pack path names and Pack subdirectories (to preserve paths and folders)
  • choose OK. Your newly created archive should appear as a ZIP file with the default name <collections folder>.zip (this is systems.zip by default)

See also:

  • FAQ: Backup copy
  • Files used by SuperMemo
  • File menu


SuperMemo: Browser

Browser

A browser is a window with a subset of elements belonging to the currently opened collection. Browsers for various element subsets are available from the View menu (only at Middle and Professional levels).

This is an exemplary browser window:

SuperMemo Browser - Windows API subset

With the green-yellow alignment button on the browser toolbar, you can align the browser to the left along with the element window to the right. This way you can preview individual elements as the selection in the browser changes (only if the synchronization button is down as in the picture). A right-click over the browser area opens the browser menu with advanced operations on the browser.

A browser window is made of the following components:

  • Caption - name of the browser and the number of elements displayed in the browser (in the above example, 751 elements containing the case-insensitive text "api: " are displayed)
  • Toolbar - buttons providing access to the most often used browser operations (the first button also opens the browser menu)
  • Element list - list of elements included in the browser with the following columns (you can change the size and the order of the columns by dragging their gray headers):
    • Sel - click on this field to select the current entry (e.g. to include it in a newly generated element subset). The selected entry is marked with the plus sign in the Sel column. Selections are useful in processing element subsets
    • Title - title of the element
    • NextRep - date of the next repetition of the element
    • LastRep - date of the last repetition of the element
    • Dif - difficulty of the element in percent (the darker the field, the more difficult the item)
    • Reps - number of times the displayed element has been repeated in learning (since the last time it was forgotten or since the time it was first learned)
    • Laps - number of times the element was forgotten
    • Type - type of a given element: topic, item or task (see also: Topics vs items). See: knowledge tree to understand icons and colors
    • FI - requested forgetting index of the element
    • Intrv - current interval of the element. This is the difference between LastRep and NextRep in days
    • Delay - the degree of delay of an element in the learning process
    • No - position of the element in the browser (i.e. number of the row)
    • Ord - ordinal number of the displayed element (e.g. used in sorting the pending queue)
    • ElNo - physical number of the element in the collection. This number may be greater than the total number of elements listed in statistics, esp. if you have deleted many elements. Those numbers never change, therefore, once you delete a group of elements, it will take some time before the freed element numbers are reused
    • AF - A-Factor associated with the element (see: SuperMemo Algorithm)
    • Post - the number of times the element has been delayed with Postpone
    • UF - U-Factor associated with the element (see: SuperMemo Algorithm)

Some of the browser fields listed above allow of sorting the browser. Click on the field's caption to sort the browser. For example, to sort the browser by the last repetition date, click LastRep. The elements in the picture are sorted for the Title field

See also:

  • Using subsets
  • Subset operations
  • Browser menu


SuperMemo: Browser menu

Browser menu

Most important browser operations are available from the browser menu. To open this menu right-click over the browser window, click the menu button on the browser toolbar, press Alt+F10 , or press Apps Key [image] (context menu key left of the right Ctrl key).

The browser menu includes the following options:

  • View - display the current element in the element window (Enter or Ctrl+Enter). When the synchronize button is down on the browser toolbar, changing the selection in the browser will automatically change the element displayed in the element window
  • Learn - make outstanding repetitions on elements included in the browser. The sequence of repetitions is determined by how elements are sorted in the browser (i.e. not by the global repetition schedule). Once outstanding repetitions are made, Learn will proceed with memorizing browser elements that are listed in the pending queue
  • Child - open a child browser with a subset of elements stored in the currently used browser
    • Selected - open a child browser with all elements that are marked with a plus in the leftmost column (see Select : Select element below)
    • Unselected - open a child browser with all elements that are not marked with a plus in the leftmost column
    • Sources - open a child browser that will include only sources of articles, extracts and clozes listed in the browser (including sources not listed in the browser)
    • Articles - open a child browser that will include only top-level articles. All extracts and clozes will not be listed
    • Outstanding - open a child browser with all outstanding elements of the currently opened browser
    • Memorized - open a child browser with all memorized elements contained in the current browser
    • Pending - open a child browser with all pending elements contained in the current browser
    • Dismissed - open a child browser with all dismissed elements contained in the current browser
    • Items - open a child browser with all elements that are items
    • Topics - open a child browser with all elements that are topics
    • Tasks - open a child browser with all elements that are tasks (i.e. belong to any of SuperMemo tasklists)
    • Filter - open a child browser with elements meeting a set of chosen filter criteria
    • Branch - open a child browser with all elements that both belong to the currently opened browser and a selected branch in the contents window (i.e. eliminate all elements that do not belong to the branch)
  • Select - select or unselect browser elements (read also: Using subsets)
    • Select element - mark the current element as selected. Marking is most easily done with Ins. Marked elements have a plus sign in the leftmost column. You can later process marked element with other options such as Select : Save selection or Child : Selected
    • Select all elements - mark all elements in the browser as selected
    • Clear selection - unmark all elements
    • Invert selection - unmark marked elements and mark unmarked elements
    • Select browser range - mark all elements in the rows numbered in a given range. For example, if you input the range 10-20, the elements in the rows numbered from 10 to 20 will be marked as selected
    • Select element range - mark all elements with numbers falling in a given range. Element number expresses the elements physical place in a given collection and is used as a unique element identifier. Element number is displayed in the column ElNo
    • Unselect browser range - unmark all elements in the rows numbered in a given range
    • Unselect element range - mark all elements with numbers falling in a given range
    • Unselect-Subtract - unmark all elements that belong to a given subset file
    • Unselect-Intersect - unmark all elements that cannot be found in a given subset file
    • Save selection - save all marked elements in a subset file (see Select element above)
  • Subset - subset operations (read also: Using subsets)
    • Save all - save the whole contents of the browser in a subset file
    • Add subset file - create a new browser with the sum of the current browser and a subset file
    • Subtract subset file - create a new browser with the difference of the current browser and a subset file (i.e. containing all elements that belong to the browser and do not belong to the subset file)
    • Intersect subset file - create a new browser with the intersection of the current browser and a subset file (i.e. containing all elements that belong to both the browser and the subset file)
    • Intersperse subset - create a new browser that includes the current browser and a subset file mixed randomly in given proportions. For example, if you choose ratio of frequencies equal to 2, the browser will list two elements taken from the current browser for each element taken from the subset file. If you mix Chemistry and Math 3:1 (frequency ratio: 3.00) and then mix the resulting subset with Biology 1:1.5 (frequency ratio: 0.666), then for each 10 elements, you will get 6 Biology elements, 3 Chemistry elements and one Math element. The excess elements will be listed at the end of the subset
    • Delete - delete a subset file
  • Search
    • Find - find the first element in the browser with a title containing a given string. The search begins starting with the element that follows the currently selected element
    • Find next - repeat the last search operation with Search : Find (e.g. to search for the next element with the same string)
    • Find all - find all elements containing a given text in their title and place these elements in a new browser
    • Find current - locate the element from the element window in the browser
  • Sort - sort the browser by a given column
    • By title - sort the browser alphabetically by the element title
    • By element number - sort the browser by the element number (column ElNo)
    • By ordinal number - sort the browser by ordinal numbers
    • By repetitions - sort the browser by the number of repetitions afforded each element (i.e. the number of times each element was repeated)
    • By forgetting - sort the browser by the number of memory lapses, i.e. the number of times each element was forgotten
    • By last repetition - sort the browser by the date of the last repetition
    • By next repetition - sort the browser by the date of the next repetition
    • By delay - sort the browser by the element delay in repetitions
    • By difficulty - sort the browser by the estimated difficulty of elements
    • By forgetting index - sort the browser by the requested forgetting index
    • By postpone count - sort the browser by the number of times elements have been postponed by Postpone
    • By type - sort the browser by their type (item, topic or task)
    • By A-Factor - sort the browser by A-Factor
    • By U-Factor - sort the browser by U-Factor
    • Randomize - randomly mix up the contents of the browser
  • Random
    • Random review - jump to a randomly picked element in the browser. This option is useful in quickly reviewing the material contained in the browser
    • Random test - start random test on the contents of the browser. All elements will be repeated in the standard way but the repetitions will have no effect on the learning process. It is recommended you use subset review rather than Random test
    • Random learning - start random learning the elements in the browser. Memorized elements will not be affected but the pending elements will be memorized
    • Randomize browser - randomize the contents of the browser
  • Tools
    • Export as XML - export the elements included in the browser in the XML format. The exported XML file can then be imported to other SuperMemos for learning. See: Revolution in the pocket
    • Export Q&A text - export all elements in the browser as a text file of questions and answers. Such a file can later be imported to older versions of SuperMemo that do not support XML import (e.g. SuperMemo 6 for DOS, SuperMemo 7 for Windows, SuperMemo 2.0 for Pocket PC, SuperMemo 1.0 for Palm Pilot, SuperMemo Libary, etc.)
    • Export as text - export all elements in the browser as a text file with the learning process included. Such a file can later be imported to another collection
    • Export all texts - export all elements in the browser as a text file that includes only the texts used by the browser elements (no learning information will be included)
    • Transfer - transfer all elements in the browser to another collection
    • Save pending - save elements from the browser in the pending queue (this option is only active if you are using a browser with the contents of the pending queue). You can use this option to sort the pending queue by ordinal numbers, by title, etc. For example, to sort the pending queue by difficulty: (1) choose View : Pending, (2) click the column Dif, and (3) choose Tools : Save pending on the browser menu
    • Save drill - save elements from the browser in the final drill queue. The old queue will be overwritten. You can use this options to drill a subset of elements (e.g. on the day before an important examination). Before you use the drill queue for cramming, use subset review
    • Save repetitions - reschedule all outstanding browser elements along the current browser sorting order. You can use this option to sort outstanding repetitions (e.g. for difficulty, length of the interval, number of memory lapses, etc.)
    • Swap Q&A - swap questions and answers in browser elements
    • Repetitions graph - display a graph that shows the correlation between the number of repetitions and the interval reached by elements included in the browser
  • Process browser - process all elements in the browser using options available from the subset processing menu
  • Close - close the browser


SuperMemo: Browser toolbar

Browser toolbar

Browser toolbar appears at the top of the browser window:

These are the functions of individual buttons:

  1. Menu button opens the browser menu otherwise available with a right-click over the browser window

  2. Process browser button opens a subset processing menu with operations on browser elements (same as Process browser on the browser menu available with a right-click)

  3. Align button aligns the browser window with the element window for convenient review of elements in the browser. Note that Synchronize button (below) must be down for displaying elements in the element window as the selection changes in the browser
  4. Randomize button randomly mixes up the contents of the browser. You can, for example, randomize the browser before scheduling its content for repetition with Schedule repetitions button (below)
  5. Schedule repetitions button saves the content of the browser in today's repetition schedule. You will most likely want to use this button for optimizing the sequence of outstanding repetitions. You may, for example, begin the sequence with short-interval items, or with difficult items, or with most severely delayed items, or with long-interval topics, etc.
  6. Items button opens a new browser with all items included in the present browser
  7. Topics button opens a new browser with all topics included in the present browser
  8. Memorized button opens a new browser will all memorized elements included in the present browser
  9. Postpone button makes it possible to postpone all outstanding elements included in the browser
  10. Find button selects the element currently displayed in the element window. If the element is not included in the browser, this button has no effect. You will not need this button if the Synchronize button (below) is down (the element window will always display the currently selected element)
  11. Synchronize button makes sure that each time you change the selection in the browser, the selected element is displayed in the element window. When this button is up, changing the selection in the browser has no effect on the content of the element window
  12. Search button searches for texts in the title column starting from the currently selected element
  13. View button displays the currently selected element in the element window. Note that you will not need this button if the Synchronize button (above) is down (the element window will always display the currently selected element)
  14. Home button - select to the first element in the browser
  15. End button - select the last element in the browser


SuperMemo: Categories

Categories

What are categories?

When you work with a collection which includes material belonging to different subjects, you will want to keep different subjects in different sections of the knowledge tree (in the contents window). You will also want to design a different look for items related to literature, and a different look for questions related to mathematics. For example, you will use pictures to illustrate your anatomy branch, sounds to illustrate your foreign language section, spell-pads to make your spelling section work best, etc.

To help you keep different subjects in one collection, SuperMemo introduces the concept of a category. A category is a section of the knowledge tree. It is used for keeping material related to a single subject. Elements added to a given category may use their own template that determines their look (e.g. images, sounds, colors, fonts, sizes of text fields, number of shape components, etc.). It is highly recommended that you learn about templates before using categories. See: Using templates

Once you understand the concept of the category, it will become very easy to manage a large number of items belonging to entirely different areas of knowledge.

Creating a category

You can easily create a new category using the following steps:

  1. choose Edit : Create category
  2. choose a branch in the knowledge tree where a category should be inserted and click Next
  3. type in Category name (e.g. geography, biology, etc.) and click Next
  4. if you want your category to use a template created earlier use Change buttons to select a new template. If you are not sure about templates, click Finish and SuperMemo will use default templates for your category. You can change templates later by means of View : Categories. Template for items will determine the look of your question-answer items in the category. You can also choose other template formats for items (e.g. occlusion test, multiple choice test, etc.). Template for topics will determine how your category articles will look like (e.g. when you import them with Ctrl+Alt+N in incremental reading)

Tips:

  • If your Tools toolbar is visible, in the category combo-box, you will see that your new category became the default category. This means that choosing Add new will add new items to your new category.
  • Press Alt+A if you want to add some elements to your new category. If you click Contents, you will see your newly added elements become children of the root category element (i.e. the one created with Edit : Create category).
  • If you define a new look for your category items, you can press Ctrl+Alt+M to save the look as the default template for the current category (Template : Save as default on the element menu)

Category properties

If you would like to change category properties, choose Search : Categories on the main menu. You will see the category registry with all categories that you have defined until now:

Each category in the registry is characterized by the following properties (compare with the picture above):

  • name - the name of the category (e.g. Geography). All category names are displayed on the left in the category registry. Category names are unique. If you try to create second Geography category, SuperMemo will change the new name (e.g. to Geography# or Geography@)
  • template - template that determines the look of items in the category
  • root - the element which is the ancestor of all elements included in the category (i.e. all elements in the category are descendants of the root). This is the same element that have been added when using Edit : Create category
  • hook - the element to which new category elements are added as children when you choose Add new (e.g. by pressing Alt+A). This element is chosen automatically by SuperMemo and you do not have to change it. Hook is either equal to the root (e.g. at the beginning of the category's life) or is a descendant of the root (when the root already contains many children). Note that Add new adds elements to the hook of the current category (as selected in the category combo box on the Tools toolbar). Once the number of children in a given hook exceeds a defined limit, a new hook node is chosen automatically by SuperMemo
  • ordinal - default ordinal in the category (use zero to make SuperMemo generate ordinals corresponding with the number of elements in the collection)
  • forgetting index - default value of the requested forgetting index in the category (use zero to make the category reuse the default forgetting index defined with Tools : Options : Learning : Forgetting index)
  • auto-apply - property which determines if Apply template is to be used automatically on elements transferred from another category to the category in question (as with Ctrl+Shift+P). If auto-apply is checked, the template will be applied automatically. If it is unchecked, template will not be applied. If it is grayed, SuperMemo will prompt you before applying the category template (use the grayed option if you are not sure which one is appropriate)
  • topic template - template used for topics in the category
  • task template - template used for tasks in the category

Using category registry

The category registry can be opened with Search : Categories on the main menu. Category registry is useful in the following circumstances:

  1. If you want to change the name of a category, use Rename in the category registry
  2. If you want to change the template used for items in the category, click the Template button in the category registry, select a new template from the template registry and choose Accept
  3. To delete a category, choose Delete in the category registry
  4. To decide if template should be applied automatically when moving items into the category , use auto-apply button

It is not recommended to change Root or Hook manually (unless you fully understand the way SuperMemo builds category folders under the category root)

Summary

Here is the typical way of working with categories:

  1. Use Edit : Create category to create a category
  2. Use Ctrl+Alt+M to save the default item template (or use Search : Categories to change category templates)
  3. To start adding items to another category (e.g. to start working with Chemistry after finishing your work with Geography), choose the new category in the category combo-box on the Tools toolbar
  4. To move items from To Do category to a target category (e.g. Chemistry), pres Ctrl+Shift+P and change the category in the Category combo and choose OK

See also: FAQ: Categories in SuperMemo


SuperMemo: Component ClipBox

Component ClipBox

Component ClipBox is a temporary cache for components. It works in a way similar to the Windows clipboard. First you place a component in the ClipBox and then you can paste it as many times as you wish (into any chosen element in the collection). When the program terminates, the ClipBox is emptied. The ClipBox is located on the Actions toobar and has a form of violet garbage can. When a ClipBox is filled up, the trashcan will bulge with its contents. You can view the contents of the ClipBox by pausing a mouse over it for a short period of time (only if hints are on). You can empty the ClipBox with Ctrl+click.

Component ClipBox is used to copy components. To place a component in the ClipBox use one of the following methods:

  • Ctrl+drag the component to the ClipBox (to Ctrl+drag means to drag with the Ctrl key pressed)
  • if the Actions toolbar is not visible, you can move the component to the ClipBox without dragging by simply choosing Move to ClipBox on the component pop-up menu

To copy a component from the ClipBox, drag the contents of the ClipBox onto the right spot in the destination element. Empty the ClipBox with Ctrl+click

Notes for users of SuperMemo 8, 98, and 99

Earlier versions of SuperMemo used two other ClipBoxes that are no longer needed:

  • Element ClipBox can now effectively be replaced by Copy Element and Paste Template on the Edit toolbar (or on the element pop-up menu)
  • Hyperlink ClipBox is no longer needed as it is quite convenient to create hyperlinks by choosing Hyperlink on the component pop-up menu, clicking the element to link to in the contents window and clicking Accept (in the contents window)


SuperMemo: Component menu

Contents : Technical reference : Element window : Component menu
Component menu

Components in SuperMemo are texts, images, sounds, buttons and other objects that can be used in composing a single page of information displayed by SuperMemo.

Each component can have its appearance and behavior changed by means of options available from its own component menu. To open the component menu right-click over the component whose attributes you want to change.

The list presented on this page describes all possible options you can find on the component menu of different components of different type. As these options are often the same for various component types, they are all described here. A given component menu might not include an option that is irrelevant (e.g. Reading : Remember extract appears only in text components, while Delete component is common to all components).

Important! Component keyboard shortcuts will work only on the current component. The current component is marked with a dark shadow if it is currently shown in the editing or in the dragging mode. When you enter an element, the first component in the component order becomes the current component.

For example, Ctrl+Shift+K shortcut will link a registry member with the current component. For example, if the current component is a sound component, a sound registry will open to let you choose a member to link.

You can sequentially switch components into the editing mode by pressing Ctrl+T . This keyboard shortcut makes sure that the next component becomes the current component. After pressing Ctrl+T, all components shortcuts will refer to the newly selected component.

The following options are available on the component menu:

  • Reading - options used in incremental reading available in text components:

    • Remember extract (Alt+X)- use the selected part of the text to create a new element and introduce this new element into the learning process. This is one of the most important options used in incremental reading. Use Alt+X on a selected text to tell SuperMemo that the selected text is important and you want to better remember it in the future
    • Schedule extract - use the selected text to create a new element and schedule its review on a selected day. Schedule extract is the same as Remember extract but you can manually select the first interval
    • Queue extract - use the selected part of the text to create a new element and add this new element to the end of the pending queue
    • Task extract - use the selected part of the text to create a new element and put this element on the current tasklist
    • Remember cloze (Alt+Z) - create a new cloze deletion element based on the current text selection and memorize this element. For example, you can convert the sentence "In 1947 the UN voted to divide Palestine into Arab and Jewish states" to question "In 1947 the UN voted to divide Palestine into Arab and [...] states" by selecting the word Jewish and choosing Remember cloze or pressing Alt+Z. Apart from Remember extract, this is the most important option of incremental reading
    • Schedule cloze - create a new cloze deletion and schedule it for repetition on a given day. It is the same as Remember cloze, but you can manually select the interval after which the cloze will be reviewed
    • Queue cloze - create a new cloze deletion and place it at the end of the pending queue
    • Read-points - mark or unmark a portion of text to indicate the point where you last stopped reading (e.g. to resume it later)
      • Set read-point (Ctrl+F7) - mark the selected text as the point from which you will resume reading the next time you return to the presented article. In incremental reading, you rarely need to use Set read-point as all extract and cloze operations will automatically set the read-point for you
      • Go to read-point (Alt+F7) - go to the text that has been selected as the read-point
      • Clear read-point (Shift+Ctrl+F7) - remove the read-point from the currently processed text
    • E-mail - send the selected text via e-mail
    • E-mail FAQ - use the selected text as the basis of an FAQ question, and send the answer to the author of the question. Your response will automatically be added to an FAQ file of your choice. All FAQs at supermemo.com have been created by means of E-mail FAQ
    • Ignore - ignore the selected text in reading and mark it with the ignore font
  • Open in new window - open the link under the mouse pointer in a new browser window (only in HTML components)
  • Reference - mark portions of text as reference information. This information propagates from element to element in incremental reading. It helps you recover information context. It is also useful in creating a database of citations. Use Alt+T to quickly mark the reference title, and Alt+Q to set the remaining reference tags.
    • Select (Alt+Q) - open a reference dialog box that helps you quickly mark portions of text with reference tags
    • Title (Alt+T) - mark the selected text as the title reference and use it to set the title of the element
    • Author, Date, Source, E-mail, Link - mark the selected text with a selected reference tag. Using Alt+Q is the fastest way of setting individual reference tags
    • Image - extract the image from the selected portion of HTML text and mark it with the #image reference tag. This will ensure that all extract produced from the tagged element will be illustrated by the image in their reference area
    • Copy reference - copy the current reference data to the clipboard
    • Show reference (Shift+Ctrl+F3) - collect and display the current reference data for text components
    • Show citation - show the current text's references in the citation format (e.g. David Beerling, (2004) Broad leaves might have evolved due to the fall in carbon dioxide. Proceedings of the National Academy of Sciences (vol 101 p 10360)). Use the Copy button to copy the citation to the clipboard
    • Insert citation - insert the current reference in the citation format into the text of the current article
  • Links
    • Registry member - link the current component with a selected registry member. For example, if you have an image component and would like to display an image named Elephant: (1) choose Links : Registry member, (2) select the image in the image registry, and (3) click Accept (or press Enter). You can search for the image in the registry with Ctrl+S to narrow the number of candidate images to link. You can repeat Ctrl+S to narrow the search. Important! The image Elephant must be present in your image registry. If you would like to import a new image stored on your hard disk, use Import file instead. You can also copy a new image from the clipboard by pressing Ctrl+V (press Esc if the image does not want to paste when text components are active)
    • Hyperlink - select the element to which the component should be linked to. After choosing Hyperlink and selecting the target element in the contents window, click Accept (in the contents window) or press Enter. Now, clicking the component will open the hyperlinked element in the element window
    • Hyperlink number - link the current component with another element by specifying its number (e.g. as displayed with Ctrl+G). Note that it is far easier to create hyperlinks using the Hyperlink option above
    • Font - choose a font for the current component from the font registry. Choose Accept after you select the font
    • Play on click - link the current component with another playable component (e.g. sound, video, script, etc.). When the user clicks your component, the linked component will be played
    • External file - link the current component with an external file (i.e. file that is not integrated with your collection). Note that linking to external files reduces the size of the collection but the link can be easily severed if the file is moved to a new location or when you move your collection to another computer. Unlike External file, the option Import file will integrate the external file with the collection and increase its size. You can also use Links : External file first and later use Internalize files on the registry menu (e.g. to integrate all images or all sounds)
    • Delete registry link - delete the current registry link in the current component. This operation removes links created with Links : Registry member or Links : External file. Note that if the deleted link was the last link to the registry member in question, this member may be deleted with or without warning (depending on the registry type). Compare: Edit : Delete file
    • Delete hyperlink - delete a hyperlink from the current component (i.e. break the link with the element pointed to by the hyperlink)
  • Copy/Cut/Paste - standard copy, cut and paste operations affecting the current component (if you want to copy or paste to the element with keyboard shortcuts, press Esc a few times to make sure the shortcuts do not copy or paste to the current element):
    • Undo - undo last text editing
    • Cut - cut the object to the clipboard (i.e. copy it to the clipboard and delete it)
    • Copy - copy text or image to the clipboard (to copy objects in HTML components in the same way as Internet Explorer, use Browser menu first)
    • Paste - paste text or image from the clipboard
    • Delete - delete text or image
    • Select all - select the entire text in the edited text component
  • Import file - import a file to the registry associated with the current component (e.g. image registry in the case of an image component). Import file creates a link from the current component to the newly created registry member (e.g. the imported picture or sound). For example, if you want your sound component to play a given MP3 file, choose Import file, pick the MP3 file in the file dialog box and click Open. Your MP3 file will be integrated with the sound registry and a link to this file will be registered with the current component. Unlike the option External file, Import file will create a copy of the imported file in the elements folder and increase the size of the collection. Optionally, Import file can delete the originally imported file (e.g. to speed up integrating downloaded images with your collection without clogging up your hard disk)
  • Search (F3) - search long texts for a given string
  • Download images (Ctrl+F8) - download remote images referred to in the HTML code of an HTML component. Use this option if you want to make sure that the remote images are integrated with your collection. This will prevent losing access to the images when the remote images are removed from the server or your Internet connection is severed. To integrate images, press Ctrl+F8, select the images, choose Download, answer Yes to all images you consider worth integrating, and resize individual image components for optimum viewing
  • Insert HTML link - insert a link into the source HTML code in HTML components in editing mode. To find out more details see: Insert HTML link
    • Web address - insert a hyperlink to a web page available from the world wide web
    • Element - insert a hyperlink to another element in the current collection (for details see Insert HTML link)
    • Element number - link to the element of a given number. Number selected in HTML text is taken as the first default. If this does not return a valid element, number kept in the clipboard is taken as the second default. If that does not resolve either, the first element on the history list is taken by default
    • Text registry - insert a hyperlink to another text in the text registry (including unformatted text and HTML text)
    • HTML file - insert a hyperlink to a stand-alone HTML file anywhere on your hard disk or a network drive
    • Registry image - insert an image from the image registry
    • Registry script - insert a link to a SuperMemo script
  • Insert OLE object - insert a file into your OLE component. This file might be an MS Word document, Excel spreadsheet, Mind Manager mind-map, Corel clipart, MS Equation, chemical formula, animation, video, etc. The number of files you could reuse is only limited by OLE servers installed in your Windows. Once your create a collection with OLE objects, you can redistribute your files among users who do not have corresponding server applications. For example, if you insert a Mind Manager mind map and your customer does not have Mind Manager installed, he will still be able to use your collection. He will not, however, be able to edit the mind map. This would require having Mind Manager installed. The dialog box displayed with Insert OLE object makes it possible to select one of the two options:
    • create a new OLE file (you only have to pick from the list of OLE servers available in your installation such as Bitmap Image, Wave Sound, WordPad Document, etc.)
    • create an OLE file from an original document (e.g. MS Word document or MS Excel chart)
  • OLE properties - display the properties of the OLE object
  • Text - change properties of various text components (text, Spell-Pad, sound, HTML, etc.)
    • Edit font - change the currently used font. The new font is applied to the selected text in HTML components or to the whole text in plain text components (see: Font options)
    • New font - add a new font to the font registry and apply it to the current text (see: Font options)
    • Link font - choose a font from the font registry. Choose Accept after you select the font. This will link and apply the selected font (see: Font options)
    • Default font - detach registry font from plain text components and use the default font in the template (see: Font options)
    • Alignment - determine the text alignment
      • Left - align all texts to the left
      • Center - position all texts in the center
      • Right - align all texts to the right
    • Transparent - make text transparent in plain text components. Transparent texts show the components or the background image lying underneath the text component. Otherwise, they are displayed on the uniform background determined by the option Color
    • Case sensitive - make Spell-Pad case-sensitive
    • Plain text - convert formatted text in HTML and RTF text components into plain text. Plain text takes much less space than formatted text
    • deHTML-ize (Ctrl+Shift+1) - remove HTML tags from the selected text. Note that this does not make the text formatless. Tags preceding the selection may still take effect. To remove tags at the very beginning of the text, you may need to use View source (Ctrl+Shift+F6)
    • Read only - mark an HTML text as read-only. This will prevent changing the text with editing operations
    • Convert - convert imperial units to metric units. For example, to convert stones and pounds to kilograms or Fahrenheit to Centigrade, select the relevant measure in the processed text and choose the relevant metric conversion option from the menu. You can also convert related unit pairs. For example, "5 foot 7 inch" written as "5:7" can be convert to 1.702 (meters) or "10 stone 3 pound" written as "10:3" can be converted to 64.864 (kilograms). SuperMemo does not allow of the conversion in the opposite direction, i.e. from metric to imperial units
    • Case - change the case of the selected text
      • Lowercase - convert the selection to lowercase (e.g. 'PYGMY CHIMPANZEE' to 'pygmy chimpanzee')
      • Uppercase - convert the selection to uppercase
      • Capitalized - convert the selection to lower case with the first letter capital (e.g. 'PLATYHELMINTHES' to 'Platyhelminthes'). This option is often used to convert uppercase titles and proper names. The fastest way to apply it is to select the text and press Ctrl+Alt+Z
    • Copy transcription - copy the phonetic transcription of the current text component to the clipboard. This option will have no effect if the phonetic transcription registry is empty
    • Spell-check - use MS Office spell-checker to spell check the current text component
  • Image - options related to image components
    • Size - determine how the image is made to fit the image component:
      • Normal - display image in its original size
      • Stretch - stretch the image proportionally to the maximum size within the image component
      • Fill - display the current image stretched to the full width and the full height of the current component. If the image is smaller or larger than the image component, it will be shrunk or stretched to the appropriate size. To retain the proportions, use Stretch instead
      • Switch (Ctrl+Shift+Q) - switch between Normal, Stretch, and Fill options to look for the best effect
    • Edit hit-area - edit hot-spots used by scripts commands DRAGMATCH and HITTEST
    • Transparent - make the current image transparent. The image background will become transparent and will instead show the components or the background image lying underneath the current image component
    • Convert to JPEG - convert the currently used BMP file to the JPEG format
    • Convert to GIF - convert the currently used BMP file to the GIF format
    • Convert to PNG - convert the currently used BMP file to the PNG format
  • Sound and video - options related to sound and video components
    • Panel - select the control panel for sound or video components
      • None - display sounds as text-only and videos as display-only
      • Buttons - display a control panel with buttons such as play, stop, rewind, etc.
      • Slider - display a control panel with a slider for easily rewinding the sound or video
      • Recorder - display the alternative control panel for sound components with buttons dedicated to comparing user recorded sound with the original sound. This panel is useful in pronunciation exercises where the user is suppose to record himself and compare his recording with the original recording of a native speaker
    • Extract section - extract a section of the sound or video file to be played by the component. For example, if you want to create a number of exercises based on the same longer video scene, you can use this option to make each exercise play only a section of the video file without wasting disk space
    • Reset section - reset the current selection of sound or video determined by Extract section
    • Continuous - play continually (e.g. set to drill a pronunciation of a word in a loop)
    • Frames - select the speed of video fast forward (i.e. the number of frames to skip in incremental rewinding or moving forward)
  • Shape - options related to shape and line components
    • Line thickness - select the thickness of lines
    • Line style - select the line style (e.g. solid, dashed, dotted, etc.)
    • Brush style - select the style of the shape texture (e.g. solid, crossed, etc.)
  • Script - edit the script in script components. Script can put your to life. For details see: Using scripts in SuperMemo
  • Button text - change the text on buttons used in script and programmed components
    • Play - change the text displayed before the script or program is executed
    • Stop - change the text displayed when the script or program is running
  • Color - choose a color for the current component (this option will override the transparent attribute in text components)
  • Default color - choose the default color for the component (the default color is the same as the background color in the current element)
  • Display at - determine when a component should be visible. If you clear all checkboxes, the component will become invisible (e.g. acting like a placeholder for a sound or a script)
  • Play at - determine when a sound component should play. If you clear all checkboxes, the component will become muted. If you check all checkboxes, the sound will play on each step of the repetition cycle
  • Answer - set the component to act as the answer (e.g. to a question stored in another component). This will make the component invisible at the moment of asking questions during repetitions. Note that Answer is a quick way to choose an appropriate subset at Display at (click Answer and see changes in the dialog box displayed with Display at)
  • MCT - determine which components will take part in a multiple-choice test
    • None - component is not used in a multiple-choice test or is only used as a question, comment, etc.
    • Wrong - component makes a wrong response in a multiple-choice test. If the user clicks this component, he will be graded Fail
    • Correct - component makes a good response in a multiple-choice test. If the user clicks this component, he will be graded Good
  • Delete component - delete the current component. If this component uses the last link to a given registry member (i.e. no other components link to this member), the member will also be deleted (in case of sounds, images, videos, etc. you will first be asked to confirm deleting the registry file)
  • Edit
    • View file - view the file associated with the component in the default viewer application (e.g. Internet Explorer for HTML, MS Word for rich texts, etc.)
    • Edit file - edit the file associated with the component (e.g. sound file in sound components, bitmap file in image components, HTML text in HTML components, etc.). Edit file will use the default editor assigned for editing files of the selected type. To quickly edit files, use Ctrl+T to switch to the appropriate component and press Ctrl+F9. For example, if you use MS Office, Ctrl+F9 on rich text components will launch MS Word, while Ctrl+F9 on HTML components will launch MS FrontPage and open the associated HTML file
    • Save file - save the file associated with the component to a selected location
    • Delete file - delete the file associated with the current component (compare Delete registry link)
    • View source - view or edit the source file of richly formatted texts (in HTML or RTF format)
    • Filter - filter HTML or RTF files for easier handling in SuperMemo (e.g. you will notice the unruly behavior of some HTML tags in SuperMemo and will want to apply tag filter to make incremental reading work better)
    • Move to ClipBox - move the component to the component ClipBox to paste it back to a number of other elements
    • Paste special - use the paste special command on an OLE object
    • Select previous component - set the current component in the presentation mode and set the previous component in the editing mode (see Component Order on the element menu)
    • Select next component - set the current component in the presentation mode and set the next component in the editing mode
  • Mode - determine how the component is displayed and processed
    • Presentation mode - display the component in the way it will be seen in the learning process
    • Editing mode - prepare the component for editing
    • Dragging mode - prepare the component for dragging or sizing
    • Send to back - temporarily send the component to the back behind all components lying currently underneath
  • Browser menu - display the Internet Explorer menu in HTML components. The Internet Explorer menu will replace the component menu. To return to the component menu, click the text to edit (or choose Ctrl+T)

You can switch a given component to editing mode and make it current by pressing Alt and clicking the component (some components will switch directly to the dragging mode wherever the editing mode is absent or irrelevant). If you Alt+click a component in the editing mode, it will be switched to the dragging mode. If you Alt+click the component in the dragging mode, it will return to the presentation mode. As Alt+click is very useful, you should try it now several times on any component.

Important! OLE components display their own context menus in the editing mode. This menu is dependent on the OLE server application that handles a given OLE object (e.g. if you use an MS Word OLE object, MS Word context menu will be opened if you right click over the OLE component).

Alt+click on the empty element area will act as if all components were Alt+clicked. This is the fastest way of switching all components to the editing mode (or later to the dragging mode and back to the display mode). You will also need Alt+click on the element area to switch the mode of OLE components that do not respond to Alt+click


SuperMemo: Compose toolbar

Contents : Technical reference : Element window : Adding components
Adding components

Adding components (e.g. pictures, sound, etc.)

The easiest way to add new components (e.g. texts, pictures, sounds, video, etc.) is to choose options from Edit : Add components menu (you must choose File : Level : Middle or File : Level : Professional for the Edit item to be available on the main menu).

The fastest way to add texts and pictures is to paste them directly from the clipboard (with Shift+Ins or Ctrl+V). When you paste texts or pictures from the clipboard, SuperMemo will create new components for you. To paste data to an element you may need to quit editing individual components. You can do so by pressing Esc a few times.

You can also use the Compose toolbar to add new components. This toolbar can be found on the main docking toolbar (if visible) or displayed with Window : Toolbars : Compose on the main menu:

If you must add the same components to many elements over and over again, read: Using templates. Templates automate the process of adding components to many elements.

Using the Compose toolbar

All component buttons on the Compose toolbar make it possible to add new components to the element display area (the inside part of the element window).

To add a new component you need three mouse clicks:

  1. on the button corresponding to the component type on the Compose toolbar (e.g. Text component button)
  2. on the top-left corner of the area where the component is to be placed (within the element window)
  3. on the bottom-right corner of the area where the component is to be placed

Examples:

  • to create a simple text component: click the Text component button, click two points over the element display area, and type in the text
  • to create an image component, copy the image to the clipboard and choose Shift+Ins to paste the image. Drag the image to the right location
  • to create a simple sound component: click the sound button on the Compose toolbar, click two points over the element, right-click the newly created component rectangle, choose Import file on the sound component menu and select an sound file to be played (e.g. mp3 or wav)
  • to create a simple video component: click the video button, click two points over the element, right-click the newly created video rectangle, choose Import file on the video component menu and select a video file to play (e.g. avi or mpeg)

Compose toolbar buttons

Here is the use of individual buttons on the Compose toolbar:

  • Menu buttons - open menus available with a right mouse button click:
    • Element menu - open the element menu with operations related to the currently displayed element. This menu also opens with a right click over the empty element area or over the element toolbar
    • Component menu - open the component menu with operations related to the currently selected component. This menu also opens with a right click over the component
  • View source button - show the source data of the displayed element (i.e. the appearance of the element before a template had been applied). If no template had been applied on the displayed element, this button has no effect
  • Component buttons - create components of various types such as text, picture, sound, etc.:
    • HTML component - web browser component displaying formatted text, images, frames, tables, scripts (e.g. JavaScript), etc. This is the default component used in incremental reading. Read Text components to decide when to use HTML text components, and when to use other text components
    • Text component - simple unformatted text component. Read Text components to decide when to use simple (plain) text components
    • RTF text component - rich text in RTF format. This component is retained for compatibility with earlier SuperMemos. It is recommended that you rather use HTML components
    • Spell-Pad component - text component that allows of text input and evaluation (e.g. for spelling exercises)
    • Image component - picture component. You can paste images from the clipboard to automatically create an image component of the right size
    • Sound component - sound component that can play WAV, MP3, MIDI and other sound file formats
    • Video component - AVI or MPEG video component
    • Script component - SuperMemo script component that can add life to your SuperMemo collections (e.g. by moving components, providing drag-and-drop exercises, point-and-click exercises, hiding and displaying components, playing sounds or other scripts, etc.). See: Using scripts in SuperMemo
    • OLE component - universal component for displaying and editing objects created with other applications (such as Word documents, Excel spread-sheets, Mind Manager mind-maps, Corel pictures, equations, structured formulas, and more). Whenever possible, use HTML components rather than OLE components
    • Binary component - universal component that can hold any data that others component can. It can hold help files, PDF files, e-mail messages, unsupported files, etc. It can also be used to enhance SuperMemo with external programs or DLLs. You can import simple programs to run from within your collection (e.g. you can import C:\windows\system32\CALC.EXE to run a calculator from within your collection)
    • Ellipse component - ellipse shape
    • Rectangle component - rectangle shape
    • Rounded rectangle component - rounded rectangle shape
    • Line component - lines for arrows and pointers
  • Component display mode buttons - change the way the components are displayed and acted upon:
    • Editing mode button - set all components in the mode that makes it possible to edit texts, edit OLE objects, etc.
    • Dragging mode button - set all components in the mode that makes both dragging and sizing possible
    • Presentation mode button - set all components in the way they will be seen by the student during repetitions
  • Component tags button - display component numbers, types, names and registry positions
  • Alignment and size button - size and align all components that are currently in the editing or dragging modes
  • Test repetition cycle - see how the element behaves during repetitions (e.g. if it does show the answer at the right time, plays the sound, executes a script, etc.)


SuperMemo: Edit toolbar in Contents

Edit toolbar in the contents window

Edit toolbar appears at the top of the contents window (as in the picture below).

Here is the use of individual buttons on the edit toolbar:

  • Menu button - open the contents menu otherwise available with right-click over the contents window
  • Branch menu button - open a subset processing menu with operations on the currently selected branch (same as Process branch on the contents menu available with a right-click)
  • Element align button - align the contents window with the element window for convenient review of elements in the contents window (note that Synchronize button must be down for the element window to be updated as the selection moves in the contents window)
  • Contents align button - open a second contents window and align both windows for convenient drag-and-drop operations
  • Close branch button - collapse the parent of the currently selected element (to easily fold the whole knowledge tree displayed in the contents window)
  • Synchronize button - display elements in the element window upon changing the selection in the contents window
  • Element data synchronize button - display element parameters in the element data window upon changing the selection in the contents window
  • Postpone button - delay outstanding repetitions in the selected branch
  • Find button selects the element currently displayed in the element window. You will not need this button if the Synchronize button (above) is down (the element window will always display the currently selected element)
  • Drag-and-drop combo box - select the mode for drag-and-drop operations. You can choose Replace target if you want dropped element to pop up at the place of the drop target, or Add as last child if you want the dropped element to become a child of the drop target
  • Type combo box - select the default type of elements added to the knowledge tree. If you choose Topic, the button Add will keep adding topics. Item will add items.
  • View button - display the currently selected element in the element window. You will not need this button if the Synchronize button (above) is down (the element window will always display the currently selected element)
  • Find button - search for a string in the currently selected branch
  • Remember button - introduce the descendants of the currently selected node into the learning process
  • Forget button - remove the descendants or the children of the currently selected node from the learning process (and put them at the end of the pending queue)
  • Dismiss button - dismiss the descendants or the children of the currently selected node, i.e. make them invisible to the learning process
  • Save button - save expanded knowledge tree nodes to a text file (optionally, branch statistics can be included as well)
  • Hook button - make the currently selected node the hook of the currently selected category. This way all elements added with Add new (Alt+A) will be children of the selected node
  • Info button - display node statistics of the currently selected element

See also:

  • Building the knowledge tree
  • Contents menu


SuperMemo: Contents menu

Contents menu

The contents menu in the contents window lists operations on the knowledge tree. To open this menu press Alt+F10 in the contents window or right-click over the selected branch of the knowledge tree. You can also press Apps Key [image] (context menu key left of the right Ctrl key).

The contents menu includes the following options:

  • New
    • Folder - create a dismissed template-less topic, which can act as a folder for holding other elements
    • Item - create a new item as a child of the selected element
    • Topic - create a new topic as a child of the selected element
    • Child element - add a new element as a child of the currently selected element. A child is an element that is one level down in the knowledge tree. The type of the element is determined by the default type in the type combo box (at the top of the contents window)
    • Insert element (Ins) - insert a new element in the place of the currently selected element (the current element moves one position down). The type of the new element is determined by the default type in the type combo box (at the top of the contents window)
    • Category - create a new category in the place of the current selection. The newly created element becomes the root and the initial hook of the new category. Category wizard will help you name the category and choose its default templates
    • Tasklist - create a new tasklist in the place of the current selection. This option is identical to New : Category. The only difference is that a new tasklist rooted in the created category will be added to the tasklist registry
  • View
    • Element - bring the element window to the front and display there the currently selected element
    • Branch - put all descendants of the currently selected branch in the element browser
    • Children - put all children of the currently selected branch in the element browser
    • Parent - go to the parent element of the presently selected element
    • First child - go to the first child of the presently selected element
    • Collapse - collapse the current branch
  • Delete (Del) - delete the currently selected element and all its children and descendants (if any)
  • Rename - rename the currently selected element
  • Dismiss (Ctrl+D) - dismiss the currently selected element
  • Learn - make repetitions on the currently selected branch and memorize pending elements belonging to the branch
  • Search
    • Find - find a string in the first title in expanded branches below the currently selected element
    • Find next - repeat the last search done with Search : Find
    • Search branch - search for a text in the selected branch. All texts are considered in search (i.e. not only titles)
  • Category - options for managing categories
    • Create - create a new category
    • Convert branch - create a new category with the currently selected element as the root. The category will take the title of its root element as its name. You can change that to a shorter or more mnemonic name. The currently selected element will also become the first hook of the category
    • Set category root - make the currently selected element the root of the current category (the current category is the category selected in category combo-box on the Tools toolbar). The root is the element that is the ascendant of all elements in the category
    • Set category hook - make the currently selected element the hook of the current category (the current category is the category selected in category combo-box on the Tools toolbar). Once you change the hook, all newly added elements will be children of the hook (only within the current category)
  • Tools
    • Regroup in folders - group all children in the branch into a number of branches with equal number of children. Do not affect further descendants. Unlike Arrange in folders, this option preserves the structure of knowledge generated with incremental reading
    • Arrange in folders - group all elements in the branch into a number of branches with equal number of children. For example, if your branch contains 100 elements, you can use Arrange in folders to create 10 empty elements used as placeholders for the remaining items. Each of those newly created elements will host 10 children. Thus all your 100 items will be grouped in 10 branches with 10 children each
    • Transfer branch - transfer the entire branch to another collection. This option is similar to File : Merge collection; however, only the selected branch is transferred
    • Save as subset - save all elements in the branch in an element subset (see: Using subsets)
    • Export as HTML - export the selected branch to HTML. Not all component types can be exported. The component layout is not preserved
    • Export as text - export all elements in the current branch as text
    • Export learning - export the learning process from all elements in the current branch. You can later use File : Tools : Import : Learning process to import such a file to the same collection or a subset collection derived from the original collection (e.g. generated to make repetition on a notebook with limited space or performance)
    • Random test - run a random test on all elements in the selected branch
    • Move empty elements - move all empty elements to a selected branch in the collection. Empty elements are those that do not have any components nor children
  • Customize
    • Font - change the font used in the contents window
    • Auto-scroll - scroll the contents window if the mouse moves to the border of the window
    • Sorted - keep the contents window sorted alphabetically independent of the original order of elements in individual branches
    • Process branch - operations on all children or all descendants of a given branch. Operations available from Process branch are identical to those available from Process browser on the browser pop-up menu
      • Learning
        • Reschedule - reschedule all elements equally in a given period of time (e.g. make sure that all items related to geography are rescheduled in equal portions of 20 items per day in the period of one month). Please note that you might want to first choose Child : Outstanding (see above) to make sure that you reschedule only outstanding repetitions, i.e. not all repetitions in the entire branch. You can also choose Child : Items to make sure you reschedule only item repetitions
        • Postpone - increase intervals of all outstanding repetitions by a selected factor (e.g. 1.02 will increase intervals by 2%). All intervals will increase proportionally but by no less than 1 day
        • Dilute - same as Postpone but with this difference that all elements in the browser will be affected (not only outstanding elements)
        • Remember - memorize all elements that have not yet been memorized
        • Forget - remove all memorized elements from the learning process and put them at the end of the pending queue
        • Dismiss - dismiss all elements, i.e. ignore them in learning
        • Undismiss - return all dismissed elements to the pending queue
        • Add to drill - add all elements to the final drill queue
        • Reset history - reset the repetition history of all elements
      • Move
        • To a branch - move the elements to a selected branch in the knowledge tree
        • To a category - move the elements to a selected category
      • Status
        • Make items - convert all elements to items (see also: Topics vs. items)
        • Make topics - convert all elements to topics
      • Forgetting index - change the forgetting index of all elements
        • Set forgetting index - assign a given forgetting index to all elements
        • Default forgetting index - make all elements use the default forgetting index. The default forgetting index is set with Tools : Options : Learning : Forgetting index
      • Ordinal - change the ordinal number of all elements
        • Set ordinal - give all elements the same given ordinal number
        • Set position ordinal - give all elements ordinal numbers equal to their physical position in the collection (e.g. to sort the pending queue in the order of adding elements into the collection)
        • Set pending ordinal - give all elements ordinal numbers equal to their position in the pending queue
        • Set difficulty ordinal - give all elements ordinals derived from item difficulty (easier items will get lower ordinals). This makes it possible, for example, to sort the pending queue in such a way that easy elements come first in learning
        • Spread ordinals - give all elements ordinals increasing in equal steps from a given lower limit to a given higher limit
        • Modify ordinal - increase or decrease ordinal numbers of all elements
      • Template - template operations
        • Apply template - apply a selected template to all elements in a given branch. Unlike in earlier versions of SuperMemo, this operation is reversible. You can always apply a different template or use Detach template on element pop-up menu to remove the applied template from individual items
        • Merge with template - merge all elements with a given template (see Using templates). This operations is similar to Apply template but it is not reversible
        • Add template - add a template to all elements (see Using templates)
      • Count - count all elements matching some criteria in the whole set of elements
        • Items - count all items (see also: Topics vs. items)
        • Topics - count all topics (see also: Topics vs. items)
        • Memorized - count all memorized elements (i.e. elements that take part in repetitions)
        • Pending - count all pending elements
        • Dismissed - count all dismissed elements
        • Burden - count the statistics that indicate how much the considered elements contribute to the your learning workload (e.g. what proportion of all memorized items is included in the set, what proportion of all repetitions is contributed by the set, etc.)
      • Set title - assign a given title to all elements
  • Process branch - operations on all children or all descendants of a given branch. For details see: subset processing menu
  • Close - close the contents window. You can re-open the contents window by choosing Contents in the element window


SuperMemo: Contents window

Contents window

The contents window in SuperMemo displays the knowledge tree (for the current collection).

These are the most prominent components of the contents window:

  • Knowledge tree (in the middle of the window). If you would like to understand the meaning of individual icons or build your own knowledge tree, read: Building the knowledge tree
  • Caption (at the top of the window). The captions shows the full path to the location of the current collection on the hard disk (or a network drive)
  • Toolbars (under the caption):
    • Edit toolbar - buttons used in most frequent operations on the knowledge tree
    • Data bar - information about the element that is currently selected in the knowledge tree
  • Editing buttons (at the bottom of the window):
    • View - view the currently selected element in the element window
    • Learn - make repetitions for the selected branch and memorize pending elements belonging to the branch
    • Add - add a new element as a child of the currently selected element (a child is an element that is one level down in the knowledge tree)
    • Insert - insert a new element in the place of the currently selected element (the current element moves one position down)
    • Delete - delete the currently selected element and all its children (if any)
    • Accept - accept the choice of the currently selected element. This button is active only if another option in SuperMemo requires selecting an element. In such a case, the contents window is opened and you can point to the element of interest and click Accept). For example, choosing Hyperlink on the component menu will open the contents window and ask for selecting an element to link to

The contents window provides also a number of advanced options on its contents menu. To open the contents menu right-click over the contents window or press Alt+F10

See also:

  • Building knowledge tree

  • FAQ: Contents window


SuperMemo: Data access in Options

Options : Data access

Data access tab in Tools : Options (Ctrl+Alt+O):

  • Secondary storage - path to secondary storage (e.g. CD-ROM) where large multimedia files are stored. If this path is set empty the secondary storage path will be equal to the primary storage path, i.e. the path where the collection is located. You can move files of a given registry from CD-ROM to your hard disk with Tools : Internalize files on registry menu. If you delete the secondary storage path, you will then be able to use the collection without a CD-ROM drive
  • Access level - determines the difficulty level of SuperMemo (same as in File : Level):
    • Beginner - provides only the most fundamental options: Learn, Add new, Contents, Search, etc.
    • Basic - adds the possibility of creating and editing components, editing titles, etc.
    • Middle - add many options of advanced user without rarely used options available only on the professional level
    • Professional - provides access to all options implemented in SuperMemo
  • Access mode - determines the scope of system editability:
    • read only - makes it possible only to review the collection (e.g. on CD-ROM)
    • learn only - makes it possible to review the collection, learn new material and repeat outstanding material. Modifying the collection is not possible
    • full access - makes it possible to learn and edit the collection without limitation
  • Default element - default element that is displayed when Esc is pressed or when the collection is first opened. To clear the default element, press Esc in the contents window while selecting the default element
  • Password - password that is asked at the moment of opening a collection. Caution: SuperMemo does not use sophisticated encryption; this password is easy to crack. Please do not store confidential data in the program as this could easily be inspected with any file editor. The password can be useful to prevent your kids from messing up with your material or your colleague making accidental repetitions with your collection
  • Compile lexicon on-the-fly - you can uncheck this box if your collection is very large or your computer is slow. This way your lexicon will only be rebuilt when you run File : Repair collection and check Rebuild lexicon. The lexicon is the list of all words used in the collection and is available by clicking the Search button in the element window. Remember that if you uncheck Compile lexicon on-the-fly, your lexicon may include words that no longer exist in your collection and may not list words from newly added texts
  • Move to next on category change - if you check this option, each time you move an element to a new category, the next element will be displayed (by default the moved element is displayed). This option is useful if you are distributing large portions of the learning material between various categories. In such cases you often want to get to processing the next element once the previous one has been moved to its target branch
  • Hide navigation toolbar - hide the caption and the element navigation toolbar in the element window. This option can be used to take full control over navigation in your own collection which you want to spread among your colleagues (e.g. your multimedia presentation). Instead of using buttons Contents, Search, Next, etc. you can add your own buttons or hyperlinks. For example, Advanced English 97 starts with the element navigation toolbar hidden to reduce chances the user would stray from the introduction to Advanced English basics
  • Hide Level menu - hide the Level submenu on the File menu. Use this option only if you want to produce an educational CD-ROM and you do not want your customers to move to levels other than the one you choose (e.g. to make sure that non-English users do not venture into complex English interface of Middle and Professional levels)
  • Debugging version - maximize error checking in SuperMemo. This option will result in reporting bugs that otherwise would not disturb your work with SuperMemo. It is not recommended you use the debugging version unless you participate in beta-testing


SuperMemo: Toolbars Dock

Contents : Technical reference : Main window : Toolbars
Toolbars

The toolbar dock appears at the top of your screen after checking Window : Dock (Ctrl+Alt+F11). You must choose File : Level : Middle or Professional for the Window item to be available on the main menu. Uncheck Window : Dock to hide the toolbars window. The main function of this window is docking the most important toolbars in SuperMemo. You may also want to call this window up to get the typical feel of Windows applications in which the main menu and toolbars are located at the top of the screen. The caption of the toolbar dock also helps you quickly glance at which collection is currently in use (e.g. c:\sm2004\systems\all.kno below)

The toolbars that dock on the toolbar window:

  • Actions - toolbar with some other frequently used operations. Component ClipBox on the Actions toolbar is used as the temporary component cache that can be used in copying components). Script stop button disables scripts (e.g. to stop a script than ran into an endless loop or to turn off sounds in a computer without a sound board). Hints checkbox turns on and off the hints displayed by buttons and menu options
  • Time - toolbar with date, time and timer. Caution! You should never manipulate the date in order to control the learning process! Use Tools : Options : Learning : Midnight clock shift if you make repetitions after midnight. Date-picker will not allow of dates predating the first day of the learning process
  • Tools (as in the picture above) - toolbar with speed-buttons that provide one-click access to the most frequently used operations in SuperMemo. This toolbar also hosts combo-boxes that can be used to change the current category (left), and the current tasklist (right). In the picture, the current category is "TO DO", and the current tasklist is "Tasks"
  • Compose - toolbar with buttons that you will need to build your elements by adding components of different type (e.g. text, sound, image, HTML, etc.) and with different properties (e.g. font, color, transparency, sound file, etc.)
  • Format - toolbar with operations that you will need to edit HTML and rich text components (fonts, alignment, bulleting, etc.) as well as some other editing options such as: copy element, paste element, editing and dragging modes, etc.
  • Read - toolbar with options used in incremental reading


SuperMemo: Using incremental reading to process e-mail

Using e-mail in SuperMemo

E-mail grows to be the primary communication tool in business, science and technology. SuperMemo includes a few simple options that help you (1) incorporate e-mail communication into your learning process as well as to (2) incorporate learning into your e-mail communication.

Important! To fully use e-mail functionality in SuperMemo you will need MS Outlook 2000 or later. At the very minimum, MAPI compatible mail would be needed for sending mail. For example, with Outlook Express you will be able to send mail from SuperMemo, but you will not be able to use the wholesale import of mail in incremental reading.

Here are the most important uses of e-mail in SuperMemo:

  1. Sending learning data to others: If you encounter valuable information in incremental reading , you can send it to your colleagues, friends, partners or family with a single click
  2. Importing e-mail to your learning process: Incremental reading appears to be a very powerful tool for prioritizing and processing e-mail. As a result, you may decide that instead of using your mail software, it is more convenient to use SuperMemo to read and respond to your e-mail. Users of MS Outlook can now import mail to SuperMemo with a keystroke
  3. Using incremental reading to process e-mail: Using incremental reading you can prioritize and process your mail. You may also incorporated snippets of mail in your learning process. In other words, your mail may not only prompt action, but may also be used as a learning tool to keep your memory up-to-date with things you care about

Sending learning data to others

  1. To send a given item or topic via e-mail, click the e-mail button on the element toolbar. Element texts will be sent in the e-mail body, while formatted texts, pictures, and other files will be sent as attachments. You could also send texts without attachments by using E-mail : Texts or E-mail : Q&A on the element menu
  2. To send a selected fragment of an article via e-mail, right-click over the selection (to open the component menu) and choose Reading : E-mail. Alternatively, you can also click the mail icon on the Read toolbar

Importing incoming mail to SuperMemo

  1. You can import the content of your Inbox (or any other Outlook mail folder) by choosing Edit : Import mail on the main menu (Shift+F4). Choose Import All to import all mail to SuperMemo and move it to an archive folder in MS Outlook (see the picture below). E-mail attachments will be imported as separate components of the appropriate type. Binary components will be used to import attachments in formats that are not supported by SuperMemo (e.g. PDF, URL, ZIP, MSG, EML, MMP, XLS, DOC, MPA, etc.)
  2. If you do not use MS Outlook for processing mail, you can manually import most valuable or inspirational pieces e-mail. To paste a piece of e-mail for incremental reading, select the text to be pasted in the e-mail body, copy this text to the clipboard and press Ctrl+Alt+E in SuperMemo. If you want to respond to the original sender while incrementally reading his or her e-mail, paste the e-mail along with its header information (date, return address, subject, etc.). For example, in Outlook Express, click Forward and select the whole text of the message. Ctrl+Alt+E will automatically convert your e-mail to plain text (to save space, remove read-only attributes, etc.). It will also format the header for you, if your default topic template is based on the HTML component. If you want to retain some formatting, select the text and re-paste the formatted fragment

Using incremental reading to process mail

You can process e-mail incrementally in SuperMemo in a process analogous to incremental reading. Here are the pros and the cons:

Advantages:

  1. recall of important facts: if you learn new things from e-mail sent by others, you can easily introduce the most valuable pieces into the learning process (via standard Remember extract). Those pieces will be reviewed as other pieces of knowledge in SuperMemo. If you decide to respond to a given inspirational fragment, the sender address will automatically be used when you click the e-mail button on the Read toolbar
  2. prioritization: if you get more e-mail material than you are able to process, you can use incremental reading for prioritizing mail and its fragments. One of the greatest strengths of incremental reading is its unique system for efficiently determining the priority of the reading material. Remember to politely inform everyone about this rationalization system. Otherwise you may easily be accused of acting as an e-mail black hole
  3. handling overflow: you can use Postpone and other rescheduling tools to resolve the excessive inflow of information without damage to your selected priority criteria. If you work in a team, it is a great idea to delegate some of your work; however, not all work can be delegated. Additionally, if you delegate, you do not learn from e-mail that you delegate. To answer the latter problem, you can choose a solution in the middle: delegate e-mail jobs and process inflowing pieces stochastically by means of incremental reading

Disadvantages:

  1. splintering e-mail: some people dislike splintered responses. They prefer to have their e-mail analyzed as a whole and responded to as a whole. As an act of kindness, try to remember people's preferences and do not use incremental e-mail processing on those who do not like it
  2. incremental approach is not transitive: incremental e-mail processing shows the greatest power for longer pieces of mail, article forwards, etc. For very short e-mail messages, incremental e-mail processing delivers less value per unit time. Because incremental mail processing leads to short communication bursts, it undermines its own power when used at both ends of the communication channel

Incremental e-mail processing tips

  1. Create a separate collection for e-mail processing (unless you plan to combine e-mail work with standard repetitions)
  2. Import mail to your e-mail collection with Shift+F4
  3. Differentiate between e-mail that must be processed and e-mail that you want to but do not have to process. Introduce mail into the review process with an interval inversely proportional to message priority. Use the default interval of one day for messages that must be processed immediately. Try to process your one-interval mail daily. Use Ctrl+J to increase the interval of less important pieces. You may work on the assumption that you fully process shortest-interval pieces and stochastically pick longer-interval pieces for processing. You can use View : Outstanding browser to sort mail by interval, to postpone a subset of mail, or reshuffle mail for random review
  4. Each day, sort the review material from shortest to longest intervals by means of Sort : By interval and Tools : Save repetitions in View : Outstanding
  5. Instead of using Mercy for handling overflow, consider using Postpone on the outstanding material. Choose View : Outstanding and click the Postpone icon (or press Ctrl+Alt+P). The assumption is that the longer the interval, the lower the priority of a given e-mail or its fragment. Consequently, intervals will increase the least on the most important pieces of e-mail. For example, if you choose to postpone by a factor of 1.2 (i.e. 20% increase in intervals), all pieces of e-mail with intervals of 7 days or less will be rescheduled for the next day (i.e. tomorrow)
  6. You can delay individual pieces of mail with Ctrl+J
  7. SuperMemo picks the earliest [mailto: tag from your e-mail text as the default response addressee. If you would like to send pieces of an article to a selected person, put this tag with the address anywhere in the text. For example: [mailto:johndoe@hotmail.com]. You can also specify multiple recipients by separating their names with a semicolon
  8. In the e-mail review process (initiated with Learn), do as follows:
    • respond to the most important fragments with Send (on the Read toolbar)
    • schedule less important fragments with Schedule extract (on the Read toolbar)
    • pass unimportant fragments or mark them with Ignore (on the Read toolbar)
    • if you jump to the next e-mail element before completing the reading, select the current read-point with Ctrl+F7 (Set read-point)
    • if you jump to the next e-mail before completing the reading, optionally, set the new interval with Ctrl+Shift+R
    • go to the next e-mail in the review process with Enter. This will choose Next repetition or Learn depending on the context
    • if you complete reading/processing a piece of e-mail, dismiss it with Ctrl+D. You can also use Done on the element menu (Ctrl+Shift+Enter) if you do not plan to archive this piece of mail

FAQ

Incremental e-mail review is subject to the same laws as standard topic review
You can sort e-mail review by interval
You can delay a review or repetition by choosing Execute repetition
Change [mailto:] field to change the default e-mail address
You can creatively expand on a task by introducing it to incremental reading

You can delay a review or repetition by choosing Execute repetition
Question:
How can I postpone one element only instead of the whole branch or all outstanding pieces of e-mail in incremental review process?
Answer:
You can choose Learning : Execute repetition on the element menu (Ctrl+Shift+R) and manually choose the date of the next review

Incremental e-mail review is subject to the same laws as standard topic review
Question:
After introducing an e-mail into an incremental review process, I tried to process e-mails with Learn. However, SuperMemo told me there is no more material to process
Answer:
SuperMemo will not let you schedule a review with an interval less than one day. Consequently, if you import an e-mail today, the earliest incremental review will come tomorrow. To accelerate the review process you can: (1) review e-mail immediately upon importing, (2) locate it without the assistance of the review process (e.g. with Search or in the contents window) or (3) use Mercy to schedule tomorrow's reviews for today (check Consider future repetitions and select Gathering period of two days)

You can sort e-mail review by interval
Question:
How can I sort items from low to high intervals in incremental e-mail processing?
Answer:
You can sort your repetitions by the length of the interval using the following method:

  1. choose View : Outstanding
  2. click Interval twice at the top of the browser window (to sort from the lowest to the highest intervals)
  3. choose Tools : Save repetitions (on the browser menu)

You can use this method in e-mail processing in the same was as in the learning process

You can creatively expand on a task by introducing it to incremental reading
(TPS, Aug 07, 2001)
Question:
When should tasks be kept both on the tasklist and in incremental reading?
Answer:
Tasks may be kept in incremental review if you need to access them by priority via the tasklist but still want to work with them using incremental reading techniques. This happens, for example, if you have an idea, and you want to implement it according to its priority on the tasklist, but you still want to creatively expand it in the incremental reading process. This could, for example, be a business plan, points for an article, element of a new design, etc.

Change [mailto:] field to change the default e-mail address
(P.M., Saturday, September 22, 2001 1:22 PM)
Question:
I imported an e-mail to incremental reading. In the meantime the return address has changed. How can I make sure SuperMemo does not keep using the old address by default?
Answer:
Paste the new address in place of the old one in the [mailto: ] field. You can use short names (e.g. [mailto:john]) if you have the name in your Address Book. Unfortunately, you will have to paste the address to all splinter fragments generated in incremental reading. You could use Ctrl+S followed by Ctrl+R to search and replace texts in your collection


SuperMemo: Edit menu

Edit menu

The Edit submenu on the main menu makes it possible to add new elements, enrich them with components (e.g. sounds or pictures), delete elements, edit elements, and more. The Edit submenu is available only after you enter the middle level or the professional level (with File : Level).

Here are the options of the Edit submenu:

  • Add a new item - add a new item to the current collection (Alt+A). An item is an element that takes part in repetitions and often has the question-answer form (see also: Topics vs. items). The item is added to the current category (as selected in the category combo-box on the Tools toolbar)
  • Add a new article - add a new article to the current collection (Ctrl+Alt+N). The article is pasted from the clipboard
  • Add a new task - add a new task to the current tasklist. Current tasklist is determined by the selection in the rightmost combo on the Tools toolbar. To see the current tasklist, use the tasklist manager (e.g. press F4)
  • Import web pages (Shift+F8) - import learning material from Internet Explorer. You can import the content or links to web pages currently opened in Internet Explorer. If you have more than one copy of Internet Explorer opened, you can import from many web pages at once. This option also makes it possible to close instances of Internet Explorer that are no longer needed (e.g. during or after page import)

  • Import mail - import mail from MS Outlook into a series of topics for incremental reading (see: Using e-mail with SuperMemo)
  • Add to category - add new elements to the current category (as selected in the category combo on the Tools toolbar)
    • Item - add a new item to the current category (category hook becomes the parent of the added item). The item will use the default category template (originally, two HTML text components forming a question and an answer)
    • Note - add a new note to the current category. A note is a topic that uses the default topic template (originally, a single scaleable HTML text component). Use this option, e.g. with Alt+N, to type in rough notes into your collection. You can then process your notes in the process of incremental reading
    • HTML Note - add a new HTML note to the current category. This option is the same as Add to category : Note (above), but it always uses the default HTML topic template (same as the original Article template)
    • Article - paste an article to SuperMemo. The article will be added to the current category. It will use the default topic template. Originally, this template is based on a single HTML component. The text currently stored in the clipboard will be pasted. You can then process the pasted text with incremental reading. Most often you will use this option to paste portion of text from your web browser. After you select some text, press Ctrl+C, switch back to SuperMemo (e.g. with Alt+Tab) and press Ctrl+Alt+N
    • HTML file - import an HTML file saved on your hard disk and place it as a reading topic in the current category. If you have saved the file with Internet Explorer, the accompanying files will be imported as well (pictures, scripts, frame pages, etc.)
    • Web page - add to your collection a link to a web page for easy access directly from SuperMemo. Check the box Open automatically to make sure the live page loads as soon as you enter the element linking to the page
    • E-mail - add an e-mail text for incremental reading (use this option only if you cannot import mail automatically from MS Outlook). It is recommended that you use e-mail headers for easiness of responding to e-mail fragments. For example, in Outlook Express, you can click Forward to get access to the e-mail text with the header. SuperMemo will use the address that follows [mailto: in responding to e-mail fragments. Here is an exemplary header
      -----Original Message-----
      From: John Ruiz [mailto:noname@noname.com]
      Sent: Tuesday, October 17, 2000 4:10 PM
      To: none@supermemo.com
      Subject: SuperMemo interface suggestions
  • Add to tasklist - add new elements to the current tasklist as selected in the tasklist combo box on the Tools toolbar
    • Task - add a new task to the currently selected tasklist
    • Article - add a new article to the current tasklist. The task will use the default task template. The text component in the task template will paste the text currently stored in the clipboard. The current tasklist is determined by the selection in the tasklist combo on the Tools toolbar. To view the current tasklist, choose Tools : Tasklist (F4)
    • HTML file - import an HTML file saved on your hard disk and place it as a reading task on the current reading list
    • URL - add a URL to the current tasklist for easy access to web pages directly from SuperMemo. You can use this option to save space and import the full article only then when its reading turn comes
    • E-mail - add a new e-mail text to the currently selected tasklist (see: Using e-mail with SuperMemo)
  • Create category - open the Category Wizard to create a new category. Select the location of the category in the contents window, choose its name and, optionally, change its templates. In those quick three steps, you can easily add new categories to your collection
  • Create tasklist - create a new category (as with Create category above) and add a tasklist rooted in that category
  • Add components - add new components in the element window. This is an alternative way of building your elements. More often you will use the Compose toolbar in the main window:
    • Image - image component for displaying pictures (BMP, JPEG, GIF, WMF, etc.). Note that you may prefer to simply paste pictures to SuperMemo. SuperMemo will create an image component for you
    • Sound - sound component for playing sound files (WAV, MID, MP3, Real Audio, etc.)
    • HTML - HTML component that can be used to display HTML files. Note that you may prefer to use ready-made HTML templates or paste your texts to SuperMemo (e.g. with Ctrl+Alt+N)
    • Rich text - rich text component using the RTF format
    • Text - plain text component
    • Spell - spell-pad component for spelling exercises
    • Script - script component for animating other components (see: Using scripts)
    • Other - bring up the Compose toolbar with all other components that can be created by drag&drop
  • Edit text
    • Edit title - edit the text of the element currently displayed in the element window
    • Edit first question - edit the first text component that is visible at question time
    • Edit first answer - edit the first text component that is marked as an answer
    • Edit all - switch all text components to editing mode
    • Add pronunciation - add a word-transcription pair to the phonetic transcription registry (only if this registry has been created with Tools : Options : Language)
    • Apply filter - process all texts used by all elements in the collection with a filter file (e.g. replace a set of strings with another set of string, remove delimited comments, move delimited comments to the comments registry, etc.)
  • Delete element - delete the currently displayed element
  • Delete components - delete all components in the currently displayed element
  • Menus - make it possible to open currently available context menus for individual windows or components:
    • Element - open the element menu
    • Component - open the component menu (for the current component in the element window)
    • Contents - open the contents menu
    • Browser - open the browser menu
    • Registry - open the registry menu (for the currently active registry window)


SuperMemo: Element data window

Element data window

The Element data window can most conveniently be viewed by pressing F5 (Window : Layout : Classic layout). This arranges the statistics and element parameters windows in the classic way first introduced in SuperMemo 3.0 in 1988. When you double-click the element data window, you can view the element's repetition history.

This is a typical element data window after a repetition:

The caption of the element data window displays the element number and the element title. In the presented example, the element is listed at position #48421 in the collection and its title is "genet: How can Tay-Sachs disease be detected?". Element titles are automatically generated from the first question text.

Element data (left panel)

Element data is displayed in the left panel of the element data window. It includes the following fields:

  • Repetitions - number of repetitions of the displayed element. If the element had been forgotten, the number of memory lapses is displayed in parentheses. Once the element is forgotten, the count of repetitions begins from scratch (i.e. Repetitions equals 1 again). In the example presented in the figure, the item has been repeated 8 times and has not yet been forgotten (no lapses shown in the Repetitions field). As the picture was taken immediately after the 9th repetition, the field will be updated as soon as the repetition data panel on the right is cleared
  • Interval - current interval of the item, i.e. the number of days between Last repetition and Next repetition and the previous interval in days. Here the item have last been repeated in 1997 (8th repetition) and the interval was 2673 days (over 7 years). The interval between the 7th and 8th repetition was 1709 days (almost 5 years). Important! If you advance a repetition, its interval and U-Factor will both be corrected for spacing effect. Consequently, the previous interval field here will point to an earlier date than the actual date of the repetition. This earlier date will equal the date on which the repetition would have to have been made in the optimum schedule to produce the same combination of memory stability and retrievability as the actually executed advanced repetition. This virtual repetition date will come earlier than the date of the advanced repetition, but later than the date of the preceding repetition. For more see: Algorithm SM-11
  • Last repetition - date of the last repetition of the item. This field will also inform you how many days have passed since the last repetition ("d.a." stands for "days ago"). Here the 8th repetition took place on March 28, 1997 and the current repetition which has just taken place is recorded on July 22, 2004. The 8th repetition took place 2673 days ago, i.e. exactly as indicated by Interval (usually these two numbers are the same only on the day of repetition)
  • Next repetition - date on which the next repetition of the item should take place, and the number of elements scheduled for repetition on that particular day. Next repetition of this item should take place on July 22, 2004 and it has actually just been made. 10th repetition has been scheduled on December 20, 2013 as indicated in the same row in the repetition data panel on the right. The presented item is only one of 4210 elements scheduled for review on July 22, 2004. This high number indicates either a longer break in learning or a heavily overloaded learning process, which may be a norm in incremental reading
  • A-Factor - A-Factor associated with the currently displayed element, and the number of times the element has been postponed. A-Factor is a rough measure of item difficulty and an accurate measure of the speed with which inter-repetition intervals will increase. The higher the A-Factor, the faster the increase in intervals. For items, the most difficult items have A-Factor equal to 1.2. For tasks and topics, A-Factors equal the increase in interval in a single review and may often be much less in value than it is the case with items. Note that Difficulty (below) is much more an accurate measure of item difficulty (as perceived by the user). A-Factor of 4.672 in the example above indicates that the items is relatively easy to remember, which can also be concluded from the fact that there has been no lapses in 9 repetitions. The item has been postpone once with Postpone
  • U-Factor - U-Factor and the current estimation of element's retrievability. U-Factor is the quotient of the previous interval and the next interval (in items that have been repeated only once, U-Factor equals the first interval). U-Factors make up an important element of the SuperMemo Algorithm. If you do not know the algorithm, U-Factors do not have much meaning to you. Retrievability corresponds with the probability of correct recall of the item at a given point in time. Theoretically, retrievability should decline exponentially from 100% on the day of the last repetition, to 100% minus the forgetting index on the day when the repetition should take place. Here U-Factor is 2673/1709=1.564, and the retrievability is 89.7%. Had the item not been postponed once (see A-Factor), the retrievability should stand at 90% on the date of repetition as the requested forgetting index had been set at 10%
  • Forgetting index - planned probability of forgetting the item at repetition (in percent). Forgetting index can be changed to a desired value (e.g. in Element Parameters). For example, if the forgetting index is 10%, you stand a 90% chance that you will remember the item during the optimally scheduled repetition. Here the forgetting index has been set at 10%. See also: Forgetting index
  • Future repetitions - estimated number of repetitions of the item in the next thirty years, and the time needed for executing repetitions in that period. This value is easily derived from A-Factor, Repetitions, Forgetting index, and the matrix of optimal factors (see: SuperMemo Algorithm). You can click on the Forgetting index field to change the forgetting index and see how that changes the estimation of future repetitions. SuperMemo roughly predicts that there will still be two repetitions of the presented item in the next 30 years. As the 9th repetition has just taken place, the most likely number of repetitions before 2034 is two, of which one should take place in 2013. Avg Time in Statistics makes it possible to estimate that the cost of retaining the presented item in memory until 2034 is 16 seconds on the assumption the item will not be forgotten in the meantime. Still, the probability of a memory lapse before 2034, assuming no delays, is 19% (two repetitions with the forgetting index of 10% result in 0.9*0.9=0.81 probability of recall)
  • Ordinal - ordinal number associated with the element. Ordinals can be used to sort items in the pending queue, final drill queue, etc. The lower the ordinal, the higher the priority of the item. The presented item shows the ordinal 2197 (as set by the user). You cannot say if this number is high or low. It all depends on the ordinals of the remaining items in the collection
  • Difficulty - difficulty of the displayed element estimated on the basis of the following parameters: Interval, Lapses, Repetitions, A-Factor, and First grade. The theoretical minimum for the difficulty is 0% and the theoretical maximum is 100%. This number decreases gradually with successful repetitions or increases with memory lapses. In a typical collection, the difficulty of items usually ranges from 16% to 64%. If the difficulty reaches beyond 65% you should have a closer look at the formulation of your items (e.g. memory interference, etc.). The presented item is estimated to be at 21% difficulty which indicates it is relatively easy to remember
  • Delay - repetition delay as compared with the optimum date. Due to a single postpone, the presented item has been delayed by 62 days resulting in optimum-to-used-interval quotient of 1.04
  • Type - type of the element: item, topic or task (see also: Topics vs. items) and its current status: dismissed, pending or memorized. The presented element is an example of a memorized item

Repetition data (right panel)

To understand repetition parameters displayed on the right of the element data window you may need some rudimentary knowledge of the SuperMemo Algorithm. Here are the fields of the repetition data in element data window:

  • Repetitions - number of repetitions of the displayed item (including the just-made repetition). If the item had been forgotten, the number of memory lapses is displayed after the colon. The number in the parentheses indicates the number of repetitions that the item would need to reach its current interval assuming the current value of the matrix of optimal factors and no memory lapses on the way (the so called repetition category). This hypothetical value is used to index the matrix of optimal factors and the matrix of retention factors in computing the new values of individual entries at repetitions. The exemplary element above have just been repeated for the ninth time and has never been forgotten. Due to the relatively long interval, the repetition category is quite high: 11.4
  • Optimum interval - optimum interval the item should use to ensure the forgetting probability determined by Forgetting index. The optimum interval before the next repetition is 3391 days (or over 9 years)
  • New interval - new interval before the next repetition. New interval might optimally be equal to Optimal interval; however, two factors may make these two values differ: (1) minor interval dispersion is needed to avoid scheduling a large number of repetitions on the same day (interval dispersion also speeds up the convergence of the optimization algorithm), and (2) some constraints imposed on the new interval may make it impossible for it to equal Optimum interval. For example, the new interval cannot be shorter than the old interval (Interval). For a low forgetting index, it is quite common that Optimal interval is shorter than Interval. This is not a reason for worry, but might be an indication that the forgetting index is set too low. The interval after the presented repetition will increase from 2673 days (about 7 years) to 3438 days (over 9 years)
  • Next repetition - date on which the next repetition should take place. Next repetition will be scheduled for 20th December 2013. 2 in the parentheses indicates that there are already two other elements scheduled for review on that day
  • New A-Factor - new value of A-Factor estimated for the displayed item after the just-made repetition. A-Factor was decreased during the presented repetition from 4.672 to 3.283
  • New U-Factor - new value of U-Factor (i.e. the quotient of the new interval and the old interval. U-Factor was changed from 1.564 to 1.286. In other words, the present increase in interval is less than the last increase in the interval back in 1997
  • Expected FI - forgetting index derived from the interval (see the description of the SuperMemo Algorithm). Due to the longer than optimum interval, the expected forgetting index was 11.2% (i.e. slightly more than the requested forgetting index of 10%)
  • Estimated FI - forgetting index derived from the grade (see the description of the SuperMemo Algorithm). From the grade scored in the present repetition, the estimated forgetting index was computed as 16.3%. This value indicates that there would be an increased risk of forgetting the item in the next repetition if the A-Factor had not just been reduced
  • Normalized grade - grade normalized for the optimum interval for the forgetting index equal 10% (see the description of the SuperMemo Algorithm). Here the normalized grade of 3.05 reflects the fact that the grade Pass (3) has been scored after a slightly elongated interval (delay of 1.04). The numbers in the parentheses shows the minimum and maximum values of the normalized grade computed using four different methods
  • R-Factor change - change of the R-Factor corresponding to the current repetition category (the one displayed in parentheses at Repetitions) and A-Factor (displayed at A-Factor among element parameters). See the description of the SuperMemo Algorithm for details. Only grades less than Pass (3) reduce the R-Factor (forgetting pulls the forgetting curve down reducing the interval needed to reach the same forgetting index). In the presented case, the grade 3 increased the relevant entry of the R-Factor matrix slightly (from 2.313 to 2.315). That entry can be found in the RF matrix as RF[11,4.5] where 11 is a rounded value of the repetition category (11.4), and 4.5 is the lower limit of the A-Factor category (for A-Factor 4.672)
  • O-Factor change - change of the O-Factor corresponding to the current repetition category (the one displayed in parentheses at Repetitions) and A-Factor (displayed at A-Factor among element parameters). See the description of the SuperMemo Algorithm for details. For good grades, O-Factors also increase; however, as they come from smoothing R-Factors, these changes are less prominent. In the presented case, the O-Factor has not changed detectably and stayed at the level of 1.4
  • Cases - number of repetition cases used to compute the values of O-Factor and R-Factor corresponding to the current repetition category (the one displayed in parentheses at Repetitions) and A-Factor. Here 801 repetitions have been recorded for repetition category 11 and A-Factors in the range 4.5-4.8


SuperMemo: Element window

Element window

The element window displays the learning material. At one time, you can see only one "page of information" called an element.

The parts of the element window from the top are:

  • Caption - displays the title of the current element
  • Menu - visible only if the toolbar docking window is absent from your layout (the picture below does not include the menu)
  • Toolbar - buttons most often used during learning (Contents, Search, History, etc.)
  • Element display area (in the middle of the window) which hosts components such as the question, the answer, video, html components, etc.
  • Learning buttons (at the bottom of the window):
    • Learn - review the outstanding material and learn new material (same as Ctrl+L or Learn : All stages on the main menu)
    • Add new - add new items (same as Alt+A or Edit : Add a new item on the main menu)
    • Remember - introduce the currently displayed element into the learning process (this button is not visible at the beginner level)
    • Forget - remove the current element from the learning process (this button is not visible at the beginner level)
    • Dismiss - ignore the current element in the learning process, i.e. keep it for reference only (this button is not visible on the beginner level)

Element menu: The element window provides also a number of advanced options from the element menu. To open this menu right-click over the element area that is not covered with components. If you are not sure what is the location of components or components cover all element's display area, right-click over the element toolbar. You can also open this menu by pressing Alt+F10

Element parameters: Ctrl+Shift+P will open the element parameters dialog box

Related subjects:

  • swapping questions with answers: element menu
  • deleting elements: element menu
  • adding new components: Compose toolbar
  • Beginner's FAQ


SuperMemo: Element menu

Element menu

The element menu lists the most important operations that can be executed on the element that is currently displayed in the element window. To open this menu press Alt+F10 in the element window, press Apps Key [image] (context menu key left of the right Ctrl key), right-click over an empty element area (i.e. the area that is not covered by components), or right click over the element toolbar at the top of the element window. Note that clicking over a component will open the component menu instead. If your element is entirely filled with components or you are not sure which area is component free, right click over the element toolbar to open the element menu.

The element menu includes the following options:

  • Learning
    • Execute repetition (Shift+Ctrl+R) - execute a repetition over the currently displayed element. If the element is not outstanding, mid-interval repetition will be executed. Use Execute repetition to review mission-critical material (e.g. before an exam). Using Execute repetition will prevent the review from being "wasted" in terms of the learning process. It will also prevent interference of the review with the optimization algorithm used by SuperMemo. Even if you accidentally preview an element, it is recommended that you leave the trace of the event by using Execute repetition. In subset learning, Execute repetition is performed on all non-outstanding elements
    • Reschedule (Ctrl+J) - decide when to make the next repetition of the element. You should use this option with caution as all attempts to override the selection made by SuperMemo may negatively affect the accuracy of the repetition spacing algorithm. You will most likely use this option to affect the priority of articles in incremental reading. In addition, in periods of intense repetition, e.g. after a vacation, you might manually increase intervals of some less important items to make sure that the next repetition takes place after the busiest period
    • Remember (Ctrl+M) - introduce the displayed element into the learning process. Optionally you can specify the first interval, e.g. if you believe you will remember the item in 2 months, you might save time by choosing the interval 60 without a detriment to the learning process. Once you memorize an element, it will periodically be presented for review by SuperMemo. Remember executed on a task will ask you if you would like to remove the task from the tasklist. If you confirm, this operation will convert the task to a topic
    • Forget (Ctrl+R) - remove the displayed element from the learning process and put it at the end of the pending queue. Optionally you may specify the position in the pending queue (e.g. at 50% of its length)
    • Dismiss (Ctrl+D) - ignore the displayed element in the learning process. The element will still be available when browsing the collection but it will not enter the learning process unless you explicitly choose Remember
    • Done (Shift+Ctrl+Enter) - terminate the review of an article in incremental reading. You can delete portions of the text or the whole text to save space. If the article has children, SuperMemo will propose to dismiss it. Otherwise it will propose to delete the article altogether
    • Priority
      • Increase (Ctrl+Shift+Up) - increase the priority of the element in the learning process. For items, this operation will reduce the forgetting index. For topics, this operation will reduce the A-Factor, and for topics with the minimum A-Factor (i.e. 1.01), it will also reduce the forgetting index (which affects the forgetting index of cloze deletions generated from the topic)
      • Decrease (Ctrl+Shift+Down) - decrease the priority of the element
      • Add to drill (Ctrl+Shift+D) - add the displayed element to the final drill queue
    • Learn branch (Ctrl+Alt+L) - make repetitions only in the branch to which the currently displayed element belongs. SuperMemo will propose the nearest ancestor as the root of branch learning (i.e. starting point). Responding with Yes to Do you want to learn this branch will begin repetitions. Responding with No will make SuperMemo propose the next nearest ancestor as the root. Select Cancel to abort this option. If you want to manually point to the root of the branch to learn, select it in the contents window and click Learn at the bottom of that window. You can do it also by opening the ancestor window (Alt+P), clicking the selected ancestor, and pressing Ctrl+Alt+L
    • Postpone branch (Ctrl+Alt+P) - postpone outstanding repetitions in the branch to which the displayed element belongs. SuperMemo will propose the nearest ancestor as the root of the branch that should be affected by Postpone. Responding with Yes to Do you want to postpone this branch will apply Postpone to the displayed branch. Responding with No will make SuperMemo propose the next nearest ancestor as the branch to postpone. Select Cancel to abort this option. If you want to manually point to the root of the branch to postpone, select it in the contents window and press Ctrl+Alt+P. You can do it also by opening the ancestor window (Alt+P), clicking the selected ancestor, and pressing Ctrl+Alt+P
    • Locate extracts - Find all extracts and clozes generated from the currently displayed article. As this operation is rather slow, you may prefer to use Edit : Browse branch (Ctrl+Enter) instead. Locate extracts is necessary only after you have moved some descendant elements to other branches of the knowledge tree
    • Show repetition history - show the history of repetitions for the currently displayed element
    • Reset repetition history - reset the history of repetitions for the currently displayed element. You can opt for using this option once you substantially change the contents of the element so that you feel like learning a completely new piece of knowledge. You can also delete the repetition history by using Show repetition history and pressing Del
  • E-mail - e-mail the displayed element to someone:
    • Element - send the current element via e-mail (the same as the mail button on the element toolbar)
    • Attachment - send the element files as attachments (same as E-mail : Element except the texts are not pasted into e-mail body). Use this option to send formatted articles without loading the e-mail body with the unformatted copy of the text
    • Q&A - e-mail the element as question-and-answer text only
    • Texts - e-mail all texts of the element in mail body
    • HTML - convert the element to HTML and send it via e-mail. Only references to object files (such as pictures) will be sent. To send the object files, use E-mail : Element
    • Source - convert the element source data to text and send it via e-mail. Only references to object files (such as pictures) will be sent. To send the object files, use E-mail : Element
  • Template - see: Using templates for details
    • Save as template - save the currently displayed element as a template
    • Save as default - save the current element as a template and make it the default template in the currently selected category
    • Save with objects - save the currently displayed element as a template, and include references to texts, pictures, sounds and other objects associated with the element
    • Apply template - use a selected template from the template registry to modify the look of the element
    • Replace with template - replace the current template source with a new template
    • Detach template - restore the original look of the element from before the time the template had been applied with Apply template
    • Impose template - overwrite the source template with the currently applied template (Shift+Ctrl+F2)
    • Add template - add components from a selected template to the currently displayed element
    • View source - view the source template of the current element
    • Save to file - save the current element as a template file
    • Load from file - load a template file saved with Save to file
    • Copy template - copy the currently used template to the clipboard
    • Paste template - paste the template from the clipboard
    • Template flags - advanced users may want to determine in detail how templates are interpreted where the template does not match the source:
      • Delete template extras - when applying a template, delete all template components that do not match the source. This means that template components that cannot be found in the source will not be displayed
      • Skip source extras - When applying a template, delete all source components that do not match the template. This means that source component that cannot be found in the template will not be displayed
      • Check source - let the source template flags determine the way in which the template is applied
      • Check template - let the template flags determine the way in which the template is applied
  • Edit
    • Element parameters - open a dialog box with element parameters. This option, also available with Ctrl+Shift+P, is most useful for the following purposes: changing the category to which the element belongs, changing the forgetting index, changing the ordinal number (most often used in sorting the pending queue), changing the A-Factor of topics taking part in incremental reading, changing the priority of a task or changing the tasklist to which the task belongs. In the case of changing the category, if you decide that your item would rather belong to Physics than to Chemistry, you can select Chemistry in the Category box and the item will be moved to the appropriate branch of the knowledge tree (when you choose OK)
    • Duplicate (Ctrl+Alt+D) - create a copy of the currently displayed element in the same place of the knowledge tree
    • Move (Ctrl+Shift+V) - quickly move an element to a new location in the contents window. After pressing Ctrl+Shift+V, select the new destination in the knowledge tree and press Enter (or click Accept at the bottom of the contents window). Remember to choose Replace target or Add as last child to determine how the element is placed in the new location
    • Title (Alt+T) - set a new title. Either use the currently selected text or open the title window to edit the element's title. Use Alt+T to quickly generate a title from text selections or text fields in the element. Note that you can also start edit titles in the contents window by clicking the title twice
    • Swap Q&A - swap the question with the answer (as in standard flashcard programs). More precisely, this option swaps texts and fonts between the first non-answer text component and the first answer text component. Usually you need this option to swap questions with answers when you learn bilingual pairs of vocabulary. It is most useful in conjunction with Duplicate (see above). The shortcut for swapping components is Ctrl+Shift+S
    • Transfer element (Ctrl+Shift+T) - quickly transfer an element from one collection to another. It is recommended that you keep all your learning material in a single collection; however, you may keep separate collections for testing purposes, for e-mail, for use with tasklists, etc. For example, if you receive an interesting article via e-mail, it may end up in your e-mail collection, while you would rather want to keep it in your learning collection. Instead of doing paste and copy and switching between the collections, press Ctrl+Shift+T and point to the collection to which the element should be transferred
    • Copy element - copy the element to the clipboard. Please note that large files and large texts are not copied to the clipboard. These are specified as the reference to files or texts on the disk. In other words, if you paste the contents of the clipboard containing an element to the body of an e-mail and send it to your colleague, he will not be able to paste images, sound files, long texts, etc.
    • Paste element - paste the contents of the element stored in the clipboard with Copy element (above) to a newly added element in the current category
    • Paste template - paste the contents of the element stored in the clipboard with Copy element (above) to the current element. This option is similar to Template : Replace with template (below), but the template is taken from the clipboard instead of the template registry. Paste as template can work between collections but in order to be complete it must be made on the same computer. This is comes from the fact that Copy element stores the element in the clipboard with some reference to files on the hard disk. There must be a path match to the referenced files, otherwise those references will be ignored
    • Browse branch (Ctrl+Enter) - open the branch rooted in the current element in the element browser
  • Copy
    • Component - Copy the contents of the current component
    • Q&A - copy the question-and-answer texts to the clipboard
    • Texts - copy the element's texts to the clipboard
    • Source - copy the text of the element's source to the clipboard
  • Selection - perform operations on a group of selected component. You can select components by putting them in the editing mode or in the dragging mode
    • Link registry member - link a given registry member to all selected component. The components must be of the same type. For example, if the components are images, you will link to them an image file from the image registry. If they are texts, you will link a text registry member, etc.
    • Link registry font - link a selected font from the font registry to all selected components. The components must be of text or sound type
    • Alignment and size - align a group of components or change their size. This makes it easy to align left borders of components, spread them equally, make them of the same size, etc.
  • Background - determine the background image used in the currently selected element. If you want to change the background in all elements, use Tools : Options : SuperMemo : Default background image
    • Import file - import an image file to use as the background in the currently displayed element. This file will first be integrated with the image registry
    • Link from registry - link the element with an image from the image registry. The linked image will be displayed as the background
    • Arrangement - determine the way the background image will be displayed
      • Top-left - display the background image in the top-left corner of the element display area
      • Center - display the background image in the center of the element display area
      • Tile - tile background image throughout the element display area, i.e. fill the element with many copies of tightly aligned bitmap
      • Stretch - stretch the background image to fill exactly the contents of the element display area. If the background image is smaller than the element it will be extended
    • Delete - remove the background image
  • Color - determine the background color of the element
  • Scaled - determine if components should automatically resize in proportion when you resize the whole element (this will not affect OLE components)
  • AutoPlay - make sure the element plays its first playable component each time the element is displayed. Playable components are: sound, video, script and the binary component (when linked to executable files)
  • Type - determine the type of the element: item, topic or task
    • Item - this is the basic element type used in the learning process (often in the question-answer format). See: Topics vs. items
    • Topic - mark the current element as topic (as opposed to an item). Topics are central to incremental reading
    • Task - tasks are used in to-do lists. If you select this option, the current element will be added to the current tasklist as a new task
  • Components
    • Test repetition cycle (Shift+Ctrl+L) - test the repetition cycle without making a repetition. This makes it possible to see if all components show up in proper stages of the cycle: show answer, grade, next repetition, etc.
    • Repeat Autoplay (Ctrl+F10) - play again the first playable component (the one played with Autoplay). This can be useful in pronunciation exercises when you want to hear again the learned word or sound
    • Next component - select the next component and set it in the editing mode
    • Previous component - select the previous component and set it in the editing mode (the currently selected component is set in the presentation mode)
    • Translate all - translate all text and sound components to the currently selected language (in Tools : Options : Language : Collection translation). If no language is selected or no translation is available, this option has no effect
    • Transliterate all - display the phonetic transcription of all text components in the currently selected language (in Tools : Options : Language : Phonetic transcription). If no phonetic registry is selected then this option has no effect. If the transcription of a given word is not found, a string of question marks will be displayed instead. This option can also be used for a quick spell-checking of your texts. Misspelled words will show as question marks. Naturally your phonetic transcription registry setting must match the language in which you are writing your collection. If your language is English, there is a 70,000-item phonetic transcription registry available from SuperMemo Library included in the collection: English Pronunciation
    • Component order - change the order of components. Order of components is important in tiling components one over the other. It is also important for AutoPlay (see above). AutoPlay plays the first playable component in component order. Similarly, SuperMemo automatically generates the element's title by using the text of the first text component in the component order
  • Delete components - delete all components in the currently displayed element
  • Delete element - delete the currently displayed element (same as Ctrl+Shift+Del). Note that all children of the current element in the knowledge tree will also be deleted
  • Mode
    • Editing - set all components in the editing mode
    • Dragging - set all components in the dragging mode
    • Presentation - set all components in the presentation mode
  • Jump to - display another element in the element window
    • Next - display the next element according to the element order specified on the pop-up menu of the button Next
    • Previous - display the previous element according to the element order specified on the pop-up menu of the button Next
    • Next element - display the next element in the knowledge tree
    • Previous element - display the previous element in the knowledge tree
    • First element - display the root node of the entire collection
    • Last element - display the last element in the collection, i.e. the last child of the last child of the last child ... of the root node of the knowledge tree
    • Parent element - display the parent element of the current element
    • Back (Alt+Left) - return to the previously visited element
    • Forward (Alt+Right) - backtrack elements revisited with Back (above)
    • Ancestor (Alt+P) - open a window with the list of all ancestors of the current element in the knowledge tree. You can then select an ancestor by double-clicking its title in the Ancestors window


SuperMemo: Element parameters dialog box

Element parameters dialog box

If you choose Edit parameters on the element menu, press Ctrl+Shift+P , a dialog box with the following parameters will open:

  • Title - title of the element
  • Interval - the interval between the last repetition and the next repetition (in days). Click the calendar button to the right to change the interval by selecting a calendar date
  • Next repetition - date of the next repetition. Click the calendar button to the right to change the date of the next repetition by selecting a calendar date or an interval
  • A-factor - current A-factor associated with the element. A-factors reflect item difficulty and topic priority. Understanding A-factors is vital for an effective control of incremental reading. Modify A-factors to affect the flow of articles in the reading process. You cannot change A-factors associated with items. These are determined solely by the repetition spacing algorithm
  • Ordinal - current ordinal number assigned to the element. You can use ordinals to sort the pending queue. This is particularly useful if you plan to release your own collection for use by others (e.g. via SuperMemo Library)
  • Forgetting index - current forgetting index requested for the element. Forgetting index will determine how well you remember the element. Forgetting index is not used by topics or tasks, but will take effect once you generate new items from the topic (e.g. with Remember cloze)
  • Category - makes it possible to move the element to another category (i.e. different location in the contents window)
  • Template - makes it possible to change the way your current element looks (by applying a template)
  • Comment - the comment associated with the element. If you want to write a multi-line comment, use Ctrl+Enter to being a new line (Enter will accept the setting and close the dialog box)
  • buttons at the bottom of the dialog window:
    • History: displays the window with the element's repetition history
    • Difficulty: displays the difficulty of the element and how it is computed
    • OK: accepts changes to element parameters
    • Cancel: discards changes to element parameters
    • Help: displays this page of help

You are most likely to use the element parameters dialog box in the following circumstances (sorted by imortance):

  1. Changing element's forgetting index (open the dialog, press Alt+F, and type in the new forgetting index). You can also change individual forgetting indices by editing them in the element data window. You can also change the forgetting index with Ctrl+Shift+Up or Ctrl+Shift+Down
  2. Changing element's A-factor in incremental reading. Set A-Factor to 1.01 if you want your article to come up often in incremental reading (you can use 0 to make SuperMemo choose lowest possible value). Set A-Factor to 1.5 or more if the article is of lower priority. You can also change A-Factor with Ctrl+Shift+Up or Ctrl+Shift+Down
  3. Moving the element to another contents category (open the dialog, choose another category in the Category field, and click OK)
  4. Changing the element template when moving to another category. If you only want to change the template of the element, use Apply template (Ctrl+Shift+M)
  5. Changing element's ordinal (open the dialog and type in the new ordinal). You can also change individual ordinals by editing them in the element data window
  6. Adding a comment (type it in the Comment field)
  7. Viewing the details of difficulty estimation for a given element (click Difficulty)

Elements that are tasks have the Task tab enabled in the element parameters dialog box:

The Task page includes the following task parameters (this page is inactive for items and topics):

  • Tasklist - the tasklist to which the displayed task belongs. You can move the task to another tasklist by selecting the new tasklist in this combo box. You can edit tasklists using the tasklist manager
  • Description - description of the task that will be displayed in the tasklist manager. This description is also used by default as the title of the task element and as the initial contents of the rich text component that is used to describe the task in details. If you want to write a multi-line description, use Ctrl+Enter to being a new line (Enter will accept the setting and close the dialog box)
  • Value - value of the task
  • Time - time needed to execute the task
  • Priority - task priority expressed in value earned in unit time (priority=value/time). Note that the deadline function may modify the actual value of Priority on a given day
  • Max - maximum priority, i.e. priority without considering the deadline function. This value is not used in sorting the tasklist
  • Introduced - the date on which the task has been introduced into the collection
  • Deadline - the deadline for executing the task (see Deadline function below)
  • Half-Time - the time at which the priority of the task will reach half of its maximum value before reaching the maximum on the deadline date (see Deadline function below)
  • Deadline function - the function that determines how the priority of the task changes with passing time
    • None - Priority is always equal its maximum value displayed as Max. This function is typical for reading lists where there are no reading deadlines
    • Standard - standard deadline function in which the priority increases gradually to reach Max/2 at Half-Time and Max at Deadline. If there is a deadline for a task, usually it becomes truly urgent only directly before the deadline. Your phone bill payment might be a typical example of standard deadline function
    • Post-Date - priority is zero until the Deadline and Max after the deadline. This function is useful for tasks that cannot be done before a certain date or which make no sense before a date. An example of post-date task might be buying a ticket that will become available only on a certain date
    • Decline - priority declines gradually from its peak value of Max to Max/2 at Half-Time. This function can be used for tasks that gradually decline in value. Responding to an e-mail is often subject to declining priority. Very often, the older the e-mail the less sense it makes to respond to it
    • Post-Decline - priority declines gradually from its peak value of Max at Deadline to Max/2 at Half-Time. This function can be used for tasks that gradually decline in value after some date. An example of a post-decline tasks is sending congratulations on the occasion of an appointment to a new position. It does not make sense before the position is actually taken over and it gradually becomes obsolete after the fact


SuperMemo: Forgetting index

Forgetting index

You can choose the speed of learning

Forgetting index is the proportion of elements that are not remembered at repetitions. It is usually expressed as a percentage. For example, if you choose the forgetting index equal 10%, SuperMemo will try to make sure that you remember 90% of elements at repetition time. The higher the forgetting index the faster you learn but ... the less you remember! You can choose the default forgetting index with Tools : Options : Learning : Forgetting index.

Extreme values of the forgetting index can be frustrating

SuperMemo makes it possible to choose a forgetting index in the range from 3% to 20%. Very often users of SuperMemo ask why there is a limitation on this range. We are aware that many of you would be tempted to set the forgetting index to 1% or even 0%. This would only result in unnecessary waste of time. Forgetting index equal 0% would mean that the intervals between repetitions should equal 0. If you decided to choose the forgetting index equal 1%, the repetitions would be so frequent that you would probably be discouraged to ever come back to SuperMemo without ever discovering its power. In addition, the spacing effect would make your memories very weak. This would shorten intervals further and add more work and frustration.

If you do not have much experience with SuperMemo, you should set the forgetting index to 10%. This value is important for psychological reasons. If the forgetting index is too high, your repetitions will be stressful due to constant problems with recall. Your material will seem very difficult to remember. This can be quite frustrating. On the other hand, if the forgetting index is too low, your repetitions will be annoyingly frequent. You will experience a sense of wasting your time on needless repetition.

If you feel you remember too little, reduce the forgetting index. If you feel you repeat too often, increase the forgetting index. In most cases the value of 8%-13% would be best

Changing the forgetting index

  1. You can change the default forgetting index for your collection with Tools : Options : Learning : Forgetting index
  2. You can change the default forgetting index of a given category by setting its Forgetting index field (e.g. in Search : Categories). Use zero for the category forgetting index to make it sensitive to changes in the default forgetting index set in Options. Newly created categories use the default forgetting index set in Options
  3. You can also quickly change the forgetting index of individual elements with Ctrl+Shift+Up and Ctrl+Shift+Down . Note that Up increases priority and thus reduces the forgetting index. You can also change the forgetting index of elements with Element parameters dialog box (Ctrl+Shift+P). This way you can reduce the forgetting index of elements that you consider very important. This will help you increase the recall, and also make it possible to sift out important material with Postpone

Forgetting indexes used in SuperMemo

It is easy to confuse some terminology related to the forgetting index. Here is a short glossary:

  • requested forgetting index - forgetting index that you want to achieve in learning. You ask SuperMemo to plan repetitions in such a way that your requested forgetting index reaches a given value. The requested forgetting index may be set for individual items (see: individual forgetting index) or for many items at once. To change the forgetting index for many elements, you can use the default forgetting index (see below) or branch operations in the contents window (Contents : Process branch : Forgetting index)
  • measured forgetting index - forgetting index that is actually detected at repetitions. It is displayed in the statistics window as Measured FI. Measured forgetting index is usually higher than the requested forgetting index, esp. if the forgetting index is less than 5%. This comes from the fact that SuperMemo imposes some limitations on the length of intervals that are to prevent excessively frequent repetitions. Secondly, if you delay repetitions, skip repetitions on a given day or use Postpone, you step away from the optimum learning process and inevitably increase the measured forgetting index. You can start measuring your forgetting index anew with File : Reset : Forgetting index record
  • default forgetting index - requested forgetting index set for all items with the default individual forgetting index by means of Tools : Options : Learning : Forgetting index
  • category forgetting index - requested forgetting index used in a given category. If it is set to zero, it is assumed to be the same as the default forgetting index
  • individual forgetting index - requested forgetting index set for individual items. It can be seen in the Element data window. It can be set with Element parameters dialog box (Ctrl+Shift+P). You can also set forgetting indexes for the entire branch in the contents window with Process branch : Forgetting index
  • (optional) expected forgetting index - expected probability of failing to recall a given element if the repetition takes place at a given moment. Used internally by SupeMemo Algorithm
  • (optional) estimated forgetting index - value of the forgetting index derived from the scored grade on the basis of the correlation graph showing the relationship between the expected forgetting index and the average grade obtained at repetitions (G-FI graph). Used internally by the SuperMemo Algorithm

Retention is higher than you read from the forgetting index!

If you set your forgetting index to 10%, you will remember 90% of the material at repetitions but it does not mean your knowledge retention will be only 90%. Your average retention will be nearly 95%! This comes from the fact that 90% refers to the retention at repetition while the initial retention right after the repetition is theoretically 100%. During the inter-repetition interval, retention is decreasing from 100% to 90%. On average you roughly remember 95% of the material. The exact formula linking the forgetting index with the retention has the following shape (source):

retention = -(forgetting index)/ln(1-(forgetting index))

Forgetting index | Retention
3% | 98.49%
5% | 97.47%
10% | 94.91%
15% | 92.29%
20% | 89.62%

The reason that the retention is not equal to 1-0.5*(forgetting index) is that forgetting is approximately exponential in nature. Immediately after the repetition, forgetting proceeds at the highest speed

Do you know that?

  • you can sort elements for the forgetting index by clicking the FI column in the element browser (browsers are available from the View menu)
  • you can search for elements with a given requested forgetting index by means of View : Filter
  • you can see how SuperMemo plots the forgetting curve graphs and determines the length of the interval using the forgetting index. Try Tools : Statistics : Analysis : Curves
  • you can see correlations between the forgetting index and other learning parameters that have been measured in a group of 30 students
  • the concept of the forgetting index was only introduced in SuperMemo 6 for DOS in 1991
  • individual forgetting indexes are kept in the file elinfo.dat, the default forgetting index is kept in <collection name>.kno file, and category forgetting indices are kept in the category registry (see: files used by SuperMemo)

FAQ

(Tomasz Szynalski, Poland, Oct 18, 1998)
Question:
What value of the forgetting index ensures the optimum ratio of (retention)/(time spent per day)?
Answer:
Paradoxically, the highest speed of learning can be accomplished ... without SuperMemo! In our daily life we pick up lots of facts that stay in our memory for long with few repetitions in lifetime! The problem is that these are usually not exactly the facts or rules that are critical to our goals. In other words, not the speed of acquiring new items counts but the speed of acquiring new items bearing a given content.

It is difficult to determine exactly what forgetting index brings the highest acquisition rate. Simulation experiments have consistently pointed to the value of 25-30%. You can even plot speed-vs.-forgetting graph using your own actual learning material in SuperMemo 98 using Tools : Statistics : Simulation. You will probably also arrive to similar results

As you perhaps know, SuperMemo disallows of the forgetting index above 20%. This comes from the fact that you should aim at achieving high speed of learning combined with high retention of the learned material. Setting the forgetting index above 20% would be like giving up SuperMemo altogether and coming back to remembering only that what is easy to remember. In highly interlinked material where new knowledge depends on the previously acquired knowledge, high forgetting rate can even be more harmful

Nevertheless, if you want to maximize the speed of learning with little control over what actually stays in your memory, set the forgetting index to 20%

(Tomasz Szynalski, Poland, Oct 18, 1998)
Question:
What retention can I obtain with the forgetting index set to 9%? What if I then change it to 12%?
Answer:
If you accomplish the forgetting index of 9%, the retention will equal 95.4% (see the formula above). For 12%, the same figure will be 93.9%. Note that if your material is very difficult, your measured forgetting index may be higher than the requested forgetting index. This comes from the fact that SuperMemo imposes some boundary conditions on the increase of intervals. Elements that have been forgotten more than five times should be reformulated with a view to reducing their difficulty or increasing their mnemonic component.

If you initially set the forgetting index to 9% and later on increase it to 12%, you will probably start with retention of 94-95% which will later gradually decrease to 92-93% (after the change)

(Peter Cool, The Netherlands, Nov 6, 1998)
Question:
I started with SuperMemo 70 days ago (your French plus some words added by me; total 1000 words). In the first weeks I made a lot of mistakes so my measured forgetting index was 20%. Although I make very few mistakes now during repetitions the forgetting index decreases very slowly. Is this normal?
Answer:
The measured forgetting index includes the record of all repetitions made since you started learning. That is why it changes at an ever decreasing rate. If your performance is good and you would like to more accurately check your current forgetting index, you might reset the forgetting index measurements with File : Tools : Reset parameters : Forgetting index record. It will not affect the learning process per se

(Manfred Kremer, Germany, Sep 7, 1998)
Question:
I noticed that frequently I get Optimum Interval in the element data window shorter than the last interval displayed as Interval. Is it a bug in SuperMemo?
Answer:
No. If your forgetting index is very low, e.g. 3%, SuperMemo will often conclude that you will stand 97% chance of remembering a given element only if your next interval is shorter than the presently used one. In such cases, it will not accept the new value and the new interval will be at least 5% longer than the previous interval. Please note that the forgetting index equal 3% should only be used for selected high-priority items. Keeping the forgetting index at this level throughout the collection will make repetitions annoying frequent and ineffective

(David Mckenzie, New Zealand, Apr 8, 1998)
Question:
Why does not the first repetition after forgetting occur the next day after the unsuccessful repetition (this is advised by Tony Buzan and others)?
Answer:
In SuperMemo, the length of the first interval is computed from the forgetting curve plotted in the course of repetitions. This is to make sure that a defined proportion of items is remembered (usually 80-97%). This proportion is programmed by means of the forgetting index. Depending on the forgetting index, the length of the first interval may range from 1 to 20 days, and is not set arbitrarily. It is computed from the record of repetitions and determined by the desired forgetting index (requested forgetting index is the proportion of items that are not remembered at repetitions). While Buzan’s recommendation is valid in many cases, you should not forget that SuperMemo computes intervals with a high degree of accuracy that cannot otherwise be easily achieved

(David Mckenzie, New Zealand, Apr 8, 1998)
Question:
Is there any point in keeping collections separate?
Answer:
No. Once you master categories, templates, and subset operations, there is no point. You gain global search, global registries, global repetitions, global optimization, etc. This would not be advisable in SuperMemo 7 as item difficulty measure (E-factor) was dependent on the average difficulty of items in the collection. Presently, the item difficulty measure (A-Factor, or absolute difficulty factor) is absolute and does not depend on the context in which an item is placed. Only the length of the first interval will significantly be affected by the average difficulty of items in the collection. However, this shall not bear dramatically on the speed of learning. Especially that variable forgetting index for individual items makes it possible to set different first intervals for whole contents categories or branches of the knowledge tree

(Noel Clary, USA, Aug 17, 1998)
Question:
I have created my own database on plumbing and air conditioning. My forgetting index is quite high. Are there any tools in SuperMemo which could help me remedy this situation?
Answer:
You might want to use View : Other : Leeches and locate the elements that cause most problems in learning. You must then go into your own mind to answer the question why these elements are hard to recall. Usually these are too complex, too long, too boring or too similar to other elements in the same collection. You can also send 3-4 most difficult items to us for review to receive some suggestions. Read more: Leeches, and 20 Rules of Formulating Knowledge

(Matt Cassidy, New Zealand, Sep 11, 1997)
Question:
Is it possible that with forgetting index equal to 3% I get the first interval equal to 6 days?
Answer:
Yes. Especially if the material you work with is relatively easy. You should also remember about the random dispersion of intervals. In isolated cases, dispersion might produce intervals substantially longer (or shorter) than the optimum interval. For more read about SuperMemo Algorithm

Question:
Tony Buzan claims that 75% of information is lost if not reviewed in 24 hours. Does it not defeat the validity of SuperMemo in which the first interval is often longer than a week?
Answer:
No. Buzan's claim may refer to textbook knowledge or complex knowledge structures (e.g. large mind maps). However, it does not seem accurate in reference to simple well-structured material in the light of results obtained with SuperMemo. In SuperMemo, if the student chooses the retention of 95%, the typical value of the first interval falls in the range 2-5 days depending on the student and the difficulty of the learned material. For retention 25%, the same interval might be as long as one month, though it cannot be verified experimentally with SuperMemo which limits the range of the forgetting index from 3-20%, which implies the overall retention in the range of 89-99%. For more see: Theoretical background of SuperMemo

Question:
I used SuperMemo 2 shareware, and was accustomed to repeating forgotten items on the next day. It is very irritating that in new SuperMemo, I do not have this possibility
Answer:
SuperMemo will schedule forgotten items in intervals that are determined by the forgetting index. The greatest increase in the speed of learning in newer versions of SuperMemo as compared with SuperMemo 2 resulted from substantially increasing the length of the first interval. The student may be left with the feeling that he is likely to forget the item again if it is not repeated on the next day. Statistically, however, he will forget no more than the proportion defined by the forgetting index. By reducing the forgetting index to less than 5%, the length of the first interval is likely to drop to 1-2 days in most cases. Moreover, if you are particular about repeating a given item on the next day, you can choose Ctrl+M to memorize or rememorize an item with a selected first interval

Question:
I have an exam for a driver's license in 2 weeks. How can I best memorize the Traffic Regulations collection for SuperMemo? How can I increase the frequency of repetitions?
Answer:
Although SuperMemo is not a cramming tool, and it would be much safer to start 2-3 months before the exam, the following shall work pretty well: (1) Set Tools : Options : Learning : Forgetting index at 3%. (2) When memorizing difficult items, choose Ctrl+M and provide the first interval value equal to one day. (3) Memorize the collection in equal portions in the period spanning from today to 2-4 days before the exam. Use Tools : Random review intensely over the last 2-4 days

Warning! Tools : Options : Learning : Forgetting index will only affect the forgetting index in newly created categories and in element that use the default forgetting index (e.g. set in Element Parameters as 0). If your collection has the forgetting index of individual elements fixed, use Forgetting index : Set forgetting index in the browser or in the contents window

You can easily change the forgetting index from the keyboard (#5737)
(J.P., Czech Republic, Sat, Jun 16, 2001 16:59)
Question:
I find that changing the forgetting index of an element is pretty time-consuming without any keyboard shortcut
Answer:
You can use Ctrl+Shift+Up and Ctrl+Shift+Down to quickly modify the forgetting index of an element. You can use also use Ctrl+Shift+P to open the Element Parameters dialog box and Alt+F to get to the forgetting index field

Retention statistic is based on the assumption of regular repetitions and well-structured learning material (#6918)
(dansujp, Sun, Sep 16, 2001 3:07 PM)
Question:
When I returned from vacation, I expected the retention to be something like 80% because I have not done any repetitions for two weeks. But it was exactly the same as before I left
Answer:
The Retention statistic is derived directly from the measured forgetting index on the assumption of a negatively exponential forgetting curve. This curve is only representative of well-structured learning material. In addition, the forgetting index measurements are averaged over all recorded cases. A break in repetitions will invalidate the statistic. Resuming repetitions is not a guarantee of accuracy as the large number of earlier repetitions will result in overestimating the retention on a small-sample measurement. The only valid estimation of retention after a break in learning is the one that follows resetting the past forgetting index record (File : Tools : Reset parameters : Forgetting index record). This will result in gathering new data that will approach true retention for the sample tested with accuracy proportional to the number of repetitions made

Use the default forgetting index to globally change the forgetting rate (#6321)
(Jiri, Thursday, January 10, 2002 4:28 PM)
Question:
What is the purpose of the default forgetting index available in Options? As far as I know, all newly created elements have the forgetting index set according to their categories and there I cannot choose the default forgetting index
Answer:
Options : Learning : Forgetting Index (default forgetting index) will be used in items that have their requested forgetting index set to Default (internally represented as zero). All items with the default setting will use the default forgetting index currently selected in Options. You can set the default forgetting index with contents and browser operations (Forgetting index : Default forgetting index)

Topics also use a forgetting index (#20768)
(Terrence T., Feb 14, 2004)
Question:
What is the meaning of forgetting index in topics? Should not this field be disabled?
Answer:
The forgetting index field in topics has no impact on the way a topic is handled in the learning process. However, all cloze deletions generated from that topic will inherit its forgetting index. Also, all extracts will propagate the forgetting index to all its descendants. This way, you can reduce the forgetting index on very important articles to ensure better retention of the derived material. Lower forgetting index will also be used to protect your material from postpones when there is a heavy learning overload

A drop in the measured forgetting index is highly undesirable (#24805)
(mahabharatta, Wednesday, March 31, 2004 6:28 PM)
Question:
My measured forgetting index went up to 90%. I introduced a HUGE load of material over a short time period around 4 months ago. There was a 4 day burden of 900. In the last 3 months I've been introducing new materials sporadically, never more than 100 elements in one day, 300 in a week. During this period the forgetting index has been dropping. Today it is 29.9%. Is this normal?
Answer:
Forgetting index of 90% tells you, you have introduced too much material at once. The time needed to recover will depend on the degree of overload and the complexity of the material. With forgetting index above 30%, your learning efficiency will not be much different if you had not been using SuperMemo in the first place. However, in the long run, if you make order in the learning process, this hectic period can still bring fruit.


SuperMemo: File menu

File

The File submenu on the main menu provides the options listed below. Most of these options are not visible at the beginner level. Use File : Level : Professional to see all the options listed:

  • New collection - create a new empty collection. To create the collection, type in its name and press Enter
  • Open collection - open a new collection for use with SuperMemo
  • Copy collection - copy the currently opened collection to a new location. If the destination collection already exists, it will be deleted before copying begins. Note that Copy collection is used instead of Save As. The Copy name is used here to indicate that the collection is not kept in computer memory but on the hard disk. After Copy collections, both collections are always identical (unlike with Save As)
  • Delete collection - delete the currently opened collection after double confirmation. Important! SuperMemo assumes that it owns all files kept in the collection folder. Although it will ask you to confirm deleting the collection folder, it will not attempt to search that folder for files that you might have put there manually. You should never keep your private files inside SuperMemo collection folders
  • Repair collection - test the integrity of the collection and recover from integrity problems (e.g. resulting from physical damage to collection files). In various documents related to SuperMemo, the term recovery is often used in reference to using Repair collection
  • Merge collection - copy the contents of the currently open collection into another collection. Currently used material will be added to the material stored in the target collection. To merge two collections, first use Open collection to open the smaller of the two collections, and then use Merge collection to indicate the name of the larger collection. This sequence ensures that it is the smaller collection that is transferred at merger. After the operation, the source collection will remain unchanged. The target collection will contain the larger collection with the material from the smaller collection appended
  • Properties - display information such as collection path, collection size, SuperMemo path, SuperMemo version, system information and memory use
  • Tools
    • Import - import external files in various formats
      • Q&A XML - import an XML file with SuperMemo learning material. Use a standard Q&A template to add all items. Use topics only as element folders. Import : Q&A XML will retain the original folder structure of the knowledge tree if it is included in the XML file; however, some SuperMemos ignore the tree structure. In such cases, SuperMemo will build a regular folder structure for you. Import : Q&A XML ignores element IDs. It import all the material to newly created elements. The learning process is transferred as well (if included). If you would like to transfer only the learning process and update texts edited in other SuperMemos, use Import : Learning process : XML file (below)
      • Q&A text - import a standard Q&A text file exported by various versions of SuperMemo or created manually. The Q&A format is simple and is best illustrated by example:

        q: river
        a: rivero

        q: school
        a: lernejo

        q: hope
        a: esperanto

        You will find this option particularly useful when using speech recognition software to quickly create question-and-answer collection (e.g. with Dragon Naturally Speaking). Make sure you save the file as plain text (i.e. as with Notepad, not as rtf, doc, etc.).

        You can also import Multiple Choice Test material. Add wrong answers with a1:, a2:, a3: tags. For example:

        q: What country borders with Nigeria?
        a: Niger
        a1: Tanzania
        a2: Mozambique
        a3: Iraq
        a4: Somalia

        If you would like to import Q&A text files produced by SuperMemo for DOS, SuperMemo 7 for Windows, SuperMemo for Windows CE, Palm Pilot, Mac or Amiga, you may at times prefer Other SuperMemos option (below), which uses a different method of interpreting end-of-line characters as well as a slightly different algorithm for creating import folders

      • Learning process
        • XML file - import the learning process from an XML file generated by any SuperMemo. Import : Learning process : XML file inspects element IDs to correctly identify elements whose learning process should be updated. If SuperMemo cannot find an element of a given ID, it will add a new element and import its learning process. Use this option to return the learning process from another SuperMemo to SuperMemo for Windows. See also: Revolution in the pocket
        • Text file - restore the learning process backed up with File : Tools : Export : Learning process (see below). If the file with the extension lr1 is missing (copy of sm8opt.dat), you can still use this option; however, user profile will be lost. For example, if you export your learning process to file my knowledge.txt it will be accompanied by my knowledge.lr1 (user memory profile sm8opt.dll)
      • Text - import a text file previously generated with File : Tools : Export : As text, File : Tools : Export : Subset as text, Export as text on the content menu or on the browser menu
      • Translation - import a file with the translation of the text registry to a selected language
      • Repetition history - import repetition history exported with File : Tools : Export : Repetition history
      • SuperMemo 6 or 7 - import collections created with SuperMemo 6 or SuperMemo 7. This options was reinstated in 32-bit SuperMemo upon multiple requests from SuperMemo freeware users; however, note that you need an external file sm7imprt.exe in your bin subfolder to make this option work
      • Other SuperMemos - import Q&A text exported by various versions of SuperMemo including SuperMemo for DOS, SuperMemo 7 for Windows, SuperMemo for Windows CE, Palm Pilot, Mac or Amiga
    • Export
      • As XML - export the collection in the XML format that can be imported to other SuperMemos. XML files may also be imported back to SuperMemo for Windows
      • Learning process - store the learning process in a text file. This way, you do not have to back up large systems such as Advanced English. It is enough to save the learning process and restore it if necessary. The original collection (e.g. Advanced English) can be taken and provided with learning data restored from the text file. Along the text file, this procedure will also produce a file with the same name as the text file and with the extension lr1. This is the user learning profile (copy of info/sm8opt.dat). Deleting this file will deprive the learning process backup of information about the user profile; however, it will not prevent restoring the learning process (user profile will have to be built anew)
      • Repetition history - export repetition history to a text file. This file can be re-exported with File : Tools : Import : Repetition history (NB: currently, this is the only way to reduce the size of repetition history file: info/reps.dat)
      • As text - export the entire collection as a text file (elements, their position in the knowledge tree and all components). Note that the user profile nor unused registry entries will not be transferred. This file can later be imported to an another system with File : Tools : Import : Text
      • Subset as text - export a subset as text. This option is the same as File : Tools : Export : As text with this exception that only the elements belonging to a selected subset are exported. Read more: Using subsets
      • Q&A text - export SuperMemo Q&A files by using first question and first answer component of each element (if any)
      • HTML - export the collection to HTML files ready to be published on the web. SuperMemo converts individual items to portions of HTML file. Currently only text and image components are exported. Spelling drills, scripts, binary components, videos, shapes, etc. will not be included in the resulting files. Use File : Export : HTML to quickly produce a web-preview for your collection. Your preview may include URLs to locations with further information about the collection or collection download. You can also use any HTML file as a template that will determine the looks of your exported collection. All you need to do to create a complete template is to insert any or all of the following tags in the text of the HTML file: #Content#, #Element#, #Pages#, #SuperMemo#, #Author#, #Download#. SuperMemo will place relevant information in the place of these tags
      • Translation - export translation file that, after being modified, can be imported back with File : Tools : Import : Translation
      • Lexicon - export the lexicon in the Q&A format for import to SuperMemo. For example, Cross Country’s Words collection has been generated using this option in conjunction with File : Tools : Import : Q&A text
    • View as HTML - view the collection as HTML. If HTML files are not available, they will be created first
    • View report - view any text file, esp. a SuperMemo report file (by default: text files with extension txt from the reports folder such as recover.txt, mercy.txt, etc.)
    • Reset collection - delete all repetition spacing data from the collection. In other words, make it look as it has not been used in the learning process. File : Tools : Reset collection is useful if you would like to pass your collection to another user, or even distribute it commercially. File : Tools : Reset collection will remove all data pertaining to your learning process, and leave all items in the pending (or dismissed) state. At the end of this procedure you will be asked if you want to set the sequence of the pending queue along the position of elements in the knowledge tree (sorting by contents) or along the increasing ordinal number of elements (sorting by ordinals)
    • Reset parameters
      • Repetition history - delete the file reps.dat that contains the history of repetitions of all individual elements. Note that this file is not used by SuperMemo Algorithm and is optional. Important! You should not delete this file manually. Apart from deleting the file, SuperMemo needs to reset all pointers to this file from the entire collection
      • Optimization matrices - reset only the optimization matrices used in the learning process (RF, OF, etc.)
      • Forgetting index record - reset the record of repetition grades used in computing the measured forgetting index
      • Average response time - reset the record of the average time it takes to respond to questions in your collection
    • Sort pending by ordinal - sort the pending queue for ordinals (lower ordinals first)
    • Sort pending by contents - sort the pending queue for the position of individual elements in the knowledge tree (in the contents window). You can determine the shape of the knowledge tree with drag-and-drop operations. After sorting, the first child of the first child of the first child ... will be put first in the pending queue. The last child of the last child of the last child ... of the master node will be last
    • Semi-copy - copy the currently opened collection without its elements subfolder. This subfolder contains multimedia objects such as video files, sound files, bitmaps, etc. In multimedia collections, these files make up over 95% of the collection size. Semi-copy can be used for fast back-ups of large collections whose multimedia objects have already been backed up, or have not changed much since the last back-up. Additionally, you can use Semi-copy to create a copy for another family member using the same collection on the same computer (or over the same local network)
    • Move collection - copy the currently opened collection to a new location and delete the original
    • Rename collection - rename the collection. Rename collection quickly produces the same end effect as Move collection but is less safe! Instead of copying individual files, SuperMemo renames them (which is much faster). However, a mishap such as a power failure, will leave your collection in two pieces. Unless you know how to reassemble such a split collection, you should not use Rename collection, or use it only on low-value or well-backed-up material
    • Quick backup - make a quick backup of the current collection in the backup subfolder (you can also manually determine a new backup folder). The backed-up collection includes the date stamping in its name for easy review of your backups. The naming makes it easy to sort your backups for the date of creation. Important! Quick backup does not backup files that are do not take part in the learning process (e.g. reports). To back up all files, use File : Copy collection
    • Garbage - delete selected files to reduce the size of the collection (the saving might be the greatest in case you recorded lots of own recordings in the course of training pronunciation)
  • Installation - see: Unlocking SuperMemo for details
    • Paste registration - paste the registration mail sent to you from SuperMemo World with your personal data
    • Input password - provide unlock password. This option is active only in locked SuperMemo and should be used to supply the unlock password received upon purchasing the product. See: Unlocking SuperMemo
    • Request password - open dialog box that makes it possible to send an e-mail to SuperMemo World with your registration data. In response you will immediately receive payment instructions
    • Install icons - install SuperMemo icons on your Windows desktop and on the Start menu
    • Unregister - remove the registration data from the currently used collection. You must use this option before redistributing your own collections! Redistributing registered collections violates your user license and spreads your registration data to other users. Unregistered collection automatically locks SuperMemo. It can be then unlocked by providing the password or opening any registered collection
  • Level - makes it possible to choose between beginner, basic, middle and professional levels of difficulty. You can start using SuperMemo on the basic level and gradually jump to higher levels as soon as you master the functionality of a given level. This will make sure you learn SuperMemo starting with most essential functions:
    • Beginner - the difficulty level recommended for complete beginners. It focuses on adding new material with Add new and learning with Learn
    • Basic - the difficulty level that builds upon the beginner level and introduces learning management functions such as Forget, Remember and Dismiss. It also introduces functions for editing the knowledge tree: Add, Sibling, Insert, etc.
    • Middle - the level that introduces collection management functions (Delete collection, Copy collection, etc.), editing components, advanced search functions and browsing functions, Options, Postpone and layout management
    • Professional - the level that comprises full functionality of SuperMemo with all advanced functions such as: import-export, tasklists, etc.
    • Warrior - turn on the professional level and define the layout optimizing the utilization of your screen estate (esp. for incremental reading)
    • Next level - jump to a higher level (Ctrl+Alt+F12). Note that this function is circular and will let you jump back from Professional to Beginner level
    • Previous level - jump to a lower level (Ctrl+Shift+Alt+F12)
  • Exit - exit SuperMemo
  • 1-10 - open one of the ten most recently opened collections


SuperMemo: Collection files

Files and folders used by SuperMemo

These are the files used by a typical SuperMemo installation:

SuperMemo folder - usually c:\sm8, c:\sm98, c:\sm2004 etc.

  • sm2004.exe - the program: SuperMemo 2004
  • bin - some working files used by SuperMemo
    • supermemo.ini - text file with some parameter settings used by SuperMemo. You can modify this file manually. Please do it with caution and make a back-up before introducing any changes
    • layout.ini - layouts used by SuperMemo. This file also can be modified manually if backed up safely
    • tips.txt - text file with tips used in Question of the Day. You can modify this file manually
    • smhelp.chm - help file for SuperMemo (if you are not reading this text over the Internet, you are probably reading this file). This file is not part of the installation due to its size. You can download smhelp.chm from here
    • sm7imprt.exe - optional program that is needed when importing collections from SuperMemo 6 for DOS or from SuperMemo 7 for Windows
  • systems - default folder for keeping collections used by SuperMemo
    • <name of the collection>.kno - file with the most important parameters of the collection such as the total number of elements, number of memorized elements, date of creating the collection, etc. For more details see below
    • <name of the collection> - folder with the remaining files of the collection. You must copy this folder along the above kno file if you want to preserve the integrity of the collection. It is recommended that you always use File : Copy collection instead
      • collection.ini - text file with some parameters used by the collection. You can modify this file manually. Please do it with caution and make a back-up before introducing any changes
      • postpone.ini - postpone setup definitions (e.g. used with Learn : Postpone)
      • search.ini - search definitions (as used with Search : Find elements)
      • filter.ini - definition of element filters (e.g. as used with View : Filter)
      • info - most important information files used by the collection
        • compon.dat - binary file with the layout and attributes of all components used in the collection
        • elinfo.dat - information about all individual elements: A-factor, last repetition date, number of repetitions, forgetting index, task number, etc.
        • contents.dat - information about the structure of the knowledge tree. Each element has its parent, siblings and the first child recorded in this file along with the number of children and the number of descendants
        • reps.dat - repetition history of all individual elements. This file is optional and you can remove it with File : Tools : Reset parameters : Repetition history
        • burden.dat - file with the number of repetition planned for each day and the pointer to the first item on the repetition list for each day (this pointer points to elinfo.dat in which each element keeps the pointer to the next element belonging to the repetition list). You can easily find all your collections by searching for all burden.dat files. Additionally, you can see which of those collections are subject to learning as this file is zero-sized before the learning process begins
        • intact.dat - element subset file with all pending elements in the order as they appear in the pending queue
        • sm8opt.dat - optimization data record file used by the SuperMemo Algorithm. Read more about the details of this record in: Implementing SuperMemo with sm8opt.dll
        • drill.dat - element subset file with all elements scheduled for the final drill (i.e. the final drill queue). You can delete this file manually (the final drill queue will be emptied)
        • emptyslots.dat - list of unused filespace slots in element subfolders (primary and/or secondary storage)
        • history.dat - element subset file with the last fifty most recently visited elements. You can always delete this file manually
        • ret.dat and backret.dat - retention and back-retention data (these files can be recreated if deleted)
      • registry - registries used by the collection (except translation and transcription registries; see below)
        • text.* - text registry files
          • text.mem - information about all registry members stored in the text registry (e.g. number of using elements, pointer to the text.reg file storing the name of the text registry member, pointer to the text.lst file storing the list of elements using a given member, etc.)
          • text.lst - list of all elements using individual text registry members. This list is used, for example, in search procedures. First a member (e.g. a text) is found. Then all elements using this member are placed in a browser by scanning the user list stored in text.lst
          • text.ptr - registry subset storing the sorted subset of all members in the text registry
          • text.reg - all text registry members. You can view this file in any file editor. If you opt for editing this file (very dangerous!), never change the length of individual records. This would destroy the integrity of the text registry. You can search for text.reg with a given content if you need to locate a specific collection on your hard disk. Remember that such a search will not find names you used for sounds, images or other registry members (search for *.reg instead). Note also that some HTML texts may be imported via frames and will not be included in the text registry. Note: that SuperMemo registry has nothing to do with Windows registry and the extension *.reg is used here by coincidence. SuperMemo file structure was designed before the release of Windows 95. Dangerously, some anti-virus software can dramatically slow down SuperMemo if you ask it to scan reg files before they are modified
          • text.rtf - rich texts used by the text registry are kept in a single file (this file is compacted if you run File : Repair collection and choose Rebuild registries). The contents of text.rtf may not match text.reg if you have edited names in the text registry (the same text member can have the name that is entirely different from its rich text contents)
          • text.su1, text.su2, etc. - subset files generated with search operations. First search generates the file su1. Second search (e.g. in AND-searching) generates su2, etc. SuperMemo limits the number of subsets to five. You can always delete these files manually
          • text.srt - file with the sorted subset of registry members generated when sorting the registry. You can always delete this file manually
          • text.ord - file with the sorted subset of registry members generated while searching the registry. You can always delete this file manually
        • font.* - font registry files
        • sound.*, etc. etc.
      • elements - multimedia files associated with individual registries such as video, sound, images, html, OLE, scripts, etc. You can edit all those files but you must not rename or move them as this would destroy the integrity of the collection. The elements folder can be transferred to secondary storage (e.g. with File : Tools : Semi-copy) and be stored on a CD-ROM or CDR. This way substantial hard disk savings can be made. The folder tree in elements is growing gradually as you are adding new files to the system. However, it sticks to the 40-files-per-folder limit to maximize the performance on CD-ROM media. Note that the 40-files-per-folder limit may be violated if you import HTML files with a large number of inclusions (e.g. graphics, scripts, HTML includes, etc.)
      • tasks - tasklists associated with a given collection
        • tasklist name.dat - task data such as value, time, deadline function, etc.
        • tasklist name.ptr - sorted tasklist pointers used when displaying tasks in Tasklist Manager
        • tasklist name.txt - text file exported with Import in Tasklist Manager. This file can always be deleted manually
      • translat - translation registries available for the collection (see: Tools : Options : Language : Collection translation). You can delete this folder; however, the translations will become unavailable
      • subsets - element subsets created by the user. You can delete this folder if you do not need the subsets. Read more: Using subsets. Two typical subsets are: last_subset.sub (contents of the last used browser that can be reused with View : Last browser) and searched.sub (results of the last search that can be reused with View : Search results)
      • stats - statistics of the learning process. If you delete this folder, SuperMemo will not malfunction, but you will lose the record of your past repetitions. SuperMemo will then restore these files anyway. This folder also includes your repetition timeline stored in time.tim file
      • reports - text files with reports generated by SuperMemo (e.g. recovery report, translation import report, transfer report, etc.). You can delete this folder if you do not need these reports. File : Tools : Garbage deletes this folder
      • files - other files used by SuperMemo (e.g. template files). You can delete this folder
      • font - true type font files that will be installed in Windows first time the collection is run. Upon installing, the font file is renamed with an underline in front of the name. For example hiragana.ttf will be renamed to _hiragana.ttf
      • html - collection in HTML format or its portions created by the user. This folder can be deleted as it can easily be recreated
      • temp - temporary files used by SuperMemo. You can always delete this folder. Note, however, that you will lose user recordings generated in pronunciation exercises (option Recorder on the sound component's menu)
      • recover - folder used by SuperMemo to store stray files located by SuperMemo while running File : Repair collection. This folder can be deleted. However, it is recommended that you inspect its content as it may be indicative of problems with your collection
  • plans - collection of text files used by Tools : Plan. The subfolder archive will contain the archive of your past work schedules (e.g. c:\sm2004\plans\archive\2004\Jun\Jun 20, 2004, Sun.txt)
  • help - SuperMemo help in HTML format. This help does not have to be installed if you can view CHM files on your computer. In the latter case, use Tools : Options : SuperMemo : Help system : Microsoft Help to use smhelp.chm in the bin subfolder (see above)
  • translat - SuperMemo localization table files used in displaying various language interfaces of SuperMemo (see: Tools : Options : Language : Localization table)
  • phonetic - phonetic transcription registries (see: Tools : Options : Language : Phonetic transcription) and phonetic transcription fonts
  • filters - filter files for processing texts in collections (extension flt)
  • backup - default backup folder
  • alg - plug-in algorithm DLLs and accompanying files

Most important fields of the KNO file

  • Total,Memorized:integer; - the number of undeleted elements in the collection and the number of memorized elements

  • AllocatedFileSpaceSlots:integer; - number of slots allocated for files in the elements folder

  • Version:byte; - collection structure version number (for checking compatibility with the used software release)

  • Burden:real48; - the average number of items to repeated per day

  • FirstDay,LastDay:word; - first day of the learning process relative to Jan 1, 1980, and the last day on which repetitions have been cleared (relative to FirstDay)

  • DefaultFI:byte; - default forgetting index in the collection

  • MeasuredFI:real48; - measured forgetting index

  • MeasuredFICases:word; - the number of repetitions contributing to MeasuredFI

  • FutureReps:real48; - not used in the current version SuperMemo

  • ALR,AFI, AR,AL,AI,AF,ATim,AG:real48; - various averages: Average Last Repetition, Average FI, AverageRepetition, AverageLapses, AverageInterval, AverageFactor, AverageTime, and AverageGrade

  • AFactorDistribution:array[1..20] of word;

  • IntervalDistribution:array[1..13] of word;

  • LapsesDistribution:array[1..15] of word;

  • RepetitionsDistribution:array[1..20] of word;

  • author specific data, repetition time measurements, repetition counters, reserved fields, topic statistics, collection version, etc.

The size of variables used above in bytes is: integer and longint 4, byte 1, real48 6, and word 2.

Frequently Asked Questions

Your collection can suddenly appear empty!
Disappearing material
With luck, you can recover from "empty backup"!
Backing up Advanced English
Recovering from file mix-up

(Marcin Piekarniak, Poland, Dec 2, 1997)
Question:
How to easily back up Advanced English 97? In Advanced English 94 the entire system could be compressed to a 1.4 MB file!
Answer:
You can backup the learning process only. This way only the data pertaining to items in the learning process will be stored (not items themselves). Use File : Tools : Export : Learning process to export the data. Later, upon reinstalling Advanced English 97, you can restore the learning process with File : Tools : Import : Learning process. See: Backup

(Michael Duggan, Canada, Nov 2, 1998)
Question:
I was cleaning up my hard drive and attempted to move SuperMemo from one folder to another folder. In the process I lost the data for a number of collections. Can I retrieve these data files and place them back in my collection? How do I do that?
Answer:
It is recommended to always move collections with File : Copy collection in SuperMemo. Otherwise, a frequent mistake is to copy the kno file without the folder that contains the actual collection files (see: Files used by SuperMemo).

Some customers also fall victim of the following scenario:

  1. user moves the whole SuperMemo folder to a new location using Windows tools
  2. user starts sm2002.exe from the new location
  3. SuperMemo inspects supermemo.ini for the location of most recently used files and looks for them in the old location
  4. SuperMemo displays Cannot find <collection name> at <old location>. Create new files?
  5. User responds with Yes
  6. SuperMemo creates empty files with the old name
  7. User is convinced he lost his data while intact collections are safely stored at the new location

The simplest remedy is to answer No in Step 5 and open collections at the new location with File : Open collection

(Przemek S, Poland, June 8, 2000)
Question:
I used to regularly back up my Advanced English on a second hard disk. Today I tried to restore my backup and ... it looks as it is empty! Only one element inside! Help!!!
Answer:
There is a frequent mistake users make. To backup a collection, you need to copy both the kno file and the associated folder (e.g. file ae.kno and the folder [ae]). Some inexperienced users copy only the kno file which is just 20KB of data! If you try to open an orphaned kno file, SuperMemo will reconstruct an empty folder structure.

To avoid this problem: Always back up collections with File : Copy collection or File : Tools : Quick backup. Do not use external tools unless you understand Windows, files, folders and SuperMemo very well!

To resolve the problem: it is possible the original folder associated with the kno file still exists on the hard disk! You can search for some files characteristic for SuperMemo (e.g. burden.dat or sm8opt.dat). Make an inventory of all kno files (search for *.kno) and all SuperMemo collection folders (search for burden.dat) on your hard disk. Once the inventory is made, try to carefully match up knos and folders and copy kno files to match the folders. Chances are that File : Open on one of these files will restore the lost backup. Note that you can easily find empty collections by checking the size of burden.dat. This file contains repetitions and is zero-sized on collections with no learning process

(Richard D, USA, Feb 15 , 2001)
Question:
While backing up my collections, I have mixed up some files. As a result, my precious collection on Emergency Medicine became empty. I have lots of backups but I find it difficult to locate the appropriate files. Can you suggest how to resolve it?
Answer:
 To backup a collection, you need to copy both the kno file and the associated folder (e.g. file Emergy Medicine.kno and the folder [Emergency Medicine]). Some inexperienced users copy only the kno file which is just 20KB of data! If you try to open the orphaned Emergency Medicine.kno file, SuperMemo will reconstruct an empty folder structure and the collection will be empty. What is worse, if you run File : Repair collection, the kno file will be "corrected" to match data of the empty collection (e.g. Memorized will be set to zero, etc.).

To restore your collection in such cases you need to:

  1. Locate the Emergency Medicine folder which contains all the most important data:
    1. Search for the folder Emergency Medicine
    2. If you do not find it, search for folders like Emerg*
    3. If you fail, search for files text.reg on all your hard disks (including backup drives, networks and CDRs)
    4. Sort text.reg files by size (the more work you put in the collection, the larger the file)
    5. You can view the content of text.reg and see if it corresponds with the material you put into your collection
    6. If you do not file the folder with the matching text.reg, you have probably lost your files for good
  2. Locate the Emergency Medicine.kno file:
    1. Search for the file Emergency Medicine.kno
    2. If you do not find it, search for files like Emerg*.kno
    3. If you fail, search for all *.kno files
    4. If you fail, take any kno file as a substitute (File : Repair collection may occasionally be able to completely restore lost information)
  3. Put both the Emergency Medicine folder (or the folder found in Step 1) and Emergency.kno file (or equivalent from Step 2) in the same folder (e.g. c:\recovered). Make sure the name of kno file matches the name of the folder. For example, if the folder is Emergency Medicine (copy Jan 8, 2001) and the file is Emergency Medicine.kno, rename the file to Emergency Medicine (copy Jan 8, 2001).kno (or rename the folder to Emergency Medicine). If the names do not match, SuperMemo will again recreate empty folders
  4. Open your restored collection and run File : Repair collection to make sure the collection does not include data discrepancies

Disappearing material
(hojinil, South Korea, Wednesday, April 11, 2001 4:29 AM)
Question:
I used Add New and I added lots of stuff but next time when I opened collections I couldn't find any of them. It was gone!
Answer:
Please make sure the following two conditions are met:

  1. You are not copying or moving files behind the back of SuperMemo (e.g. with Windows Explorer)
  2. You are not using two independent copies of SuperMemo (each may use a different default collection)
  3. With File : Open collection, you go to the exactly same location where you last left your collection

If some files are moved or deleted behind the back of SuperMemo, it will often attempt to recreate missing files and open the collection regardless. Unless you delete your collection or delete its folders, your learning material should remain safe


SuperMemo: Element filter

Element filter

View : Filter can be used to find all element meeting a specific set of criteria such as the number of repetitions, number of memory lapses, length of the current interval, status (memorized, pending, or dismissed), type (item, topic or task), etc.

The following fields can be used to select the minimum and the maximum values that fall into the searched range:

  • Repetitions - number of repetitions made with a given element
  • Lapses - number of times a given element was forgotten
  • Interval - number of days between the last repetition and the next repetition
  • Last repetition - number of days between the first day of the learning process and the last repetition date (see Tools : Workload to view day numbering)
  • Next repetition - number of days between the first day of the learning process and the next repetition date (see Tools : Workload to view day numbering)
  • A-Factor - value of A-Factor assigned to a given element
  • Forgetting index - probability of forgetting a given element during each repetition
  • Ordinal number - ordinal number assigned to a given element
  • U-Factor - U-Factor associated with an element
  • Postpones - the number of times a given element has been postponed (with Postpone)

If you do not want to use a given criterion, uncheck the check-box associated with a given field. If you do want to use it, check the check-box and specify appropriate minimum and maximum values.

The fields Type and Status make it possible to find items, topics or tasks with different pending, memorized or dismissed status. For example, to find all memorized elements, check Item, Topic and Memorized and leave the remaining fields unchecked (tasks cannot have the memorized status).

Once you click OK, all elements meeting the specified criteria will be found and displayed in a browser.

You can save filter settings for future use by clicking the diskette button at the bottom of the dialog. The settings are kept in the file filter.ini in the <collection name> folder.

The filter dialog box is also used with View : Other browsers : Leeches (Shift+F3) to locate all most difficult items in the collection. It can also be used to filter elements in the browser with Child : Filter on the browser menu


SuperMemo: Filter files

Filter files

Filter files with the extension flt can be used in SuperMemo to globally process texts in the collection. For example, it is more convenient to do multiple replace text operations with filters that to do it manually with Find and replace on the registry menu.

Filter files support the filter file specification from SuperMemo 6 and SuperMemo 7; however, you will mostly want to use them in the following circumstances:

  1. replacing a large number of texts with selected strings in the collection
  2. removing comments and other delimited texts from the collection

Other options are supported for compatibility only and are better accomplished with other functions of the program.

Filter files are text files than can be edited manually. They are made of sections such as [REPLACE], [DELIMITERS], [CUT], etc. Each section contains a list of arguments placed in separate lines. For example, the [REPLACE] section will contain pairs of strings: strings to be replaced and string to be put in place of replaced strings.

This is an exemplary contents of a filter file:

[DELIMITERS]
< > cut
{ } cut
[REPLACE]
histol: histology:
physiol: physiology:
mem: ''
endocr: ''

If you open the text registry with Search : Text, choose Apply filter on the registry menu and select such a file, the following changes will be made to texts throughout the collection:

  1. all texts delimited with angle brackets will be removed
  2. all texts delimited with braces will be removed
  3. texts like histol: and physiol: will be replaced with histology: and physiology: respectively
  4. texts like mem: and endocr: will be removed

You can also use filters with Edit : Edit text : Apply filter

Filter files are by defaults stored in the filters subfolder


SuperMemo: Fonts tab in Options

Contents : Technical reference : Main menu : Tools : Options : Fonts
Options : Fonts

Fonts tab in Tools : Options provides the following options:

  • Interface font defines the font used in windows and dialog boxes throughout SuperMemo. To best see the impact of this options, click the button and change the font to the one you most like to work with. If you select a very large font SuperMemo will ignore your choice so that at least you were able to read the dialogs and change your setting back
  • Question font defines the default font for texts components. This font will be used in all texts components where you do not specify a font yourself. Only answers components will use the font defined with Answer font below. Changing Question font will change the initial font used in editing HTML or RTF components. It will also affect all plain text components whose font is not specified. It will not change the appearance of HTML and RTF components edited in the past. Whenever SuperMemo is not sure which font to use, it will use Question font in various circumstances. Changing Question font will affect all plain text components were.
  • Answer font defines the default font used in texts components serving as answers to questions. It will be used for all textual answers unless you specifically request another font is used. If you change Answer font, answers of plain text components that do not specify the font will also change through your collection. This will not affect answers edited as HTML or RTF
  • Use question and answer fonts in HTML: This option, when checked, makes sure that each time you start editing HTML text, the fonts specified at Question font and Answer font are used by default. You can uncheck this box if you want to save space and leave HTML texts unformatted whenever possible (you can use Internet Explorer to determine the default font used in HTML components)
  • Contents font defines the default font used in the contents window. This font will also be used to display element titles in registries
  • Highlight font defines the font used to highlight texts in incremental reading (e.g. with the highlighter icon on the Read toolbar)

There are four basic font options on the Text submenu of the component menu in all text components.

  • Edit font allows you to edit the currently used font in a text component. In HTML and RTF components, the modified font will only affect the current selection. In other components, the font in the entire text will change. In addition, the font in the currently used template will be modified, as well as the currently linked registry font (if any)

  • New font makes it possible to define a new font, add it to the font registry for later use (see: Search : Other registries : Font). After the new font is defined it is applied to the current selection in rich text components or to the whole text in plain text components

  • Link font can be used to reuse a font previously stored in the font registry

  • Default font can be used to detach a registry font from the current component and the current template (if any). This, for example, will make the modified template use Question font and Answer font as defined in Tools : Options : Fonts (see above)

RTF and HTML components can use either formatted text with many fonts or space-saving plain text. To convert the text in HTML or RTF components to plain text use Text : Plain text on the component menu (e.g. press Ctrl+Shift+F12). To change the default font used in unformatted plain text in your HTML components, change the setting in your Internet Explorer (Tools : Internet Options : Fonts). Once you modify fonts in unformatted text in HTML components, it will be saved as HTML again


SuperMemo: Format toolbar

Format toolbar

Format toolbar can be called up with Window : Toolbars : Format (you need to turn on the middle or professional level for this to work):

Here is the use of individual buttons:

  • Menu buttons - open menus otherwise available with right-click over the element display area and over individual components:
    • Element menu - open the element menu with operations related to the currently displayed element
    • Component menu - open the current component menu with operations related to the current component
  • Copy button - copy the currently displayed element to the clipboard
  • Paste button - paste the element from the clipboard (the element is added as a new element in the current collection)
  • Delete element button - delete the currently displayed element (and all its children if any)
  • Text attribute buttons - change properties of texts in the currently selected component:
    • Bold font button - change the bold attribute of the font in text components or in a rich text component selection
    • Italics font button - change the italics attribute of the font in text components or in a rich text component selection
    • Underlined font button - change the underline attribute of the font in text components or in a rich text component selection
    • Font button - change the font in the current text component or in the current selection of the rich text component
    • Font color button - change the color of the font in the current text component or in the current selection of the rich text component
    • Increase font size button - increase the size of the font in a text component or the size of the selected text in a rich text component
    • Reduce font size button - decrease the size of the font in a text component or the size of the selected text in a rich text component
    • Subscript button - change the selected text to subscript (only in HTML components)
    • Superscript button - change the selected text to superscript (only in HTML components)
    • Align left button - align the selected text left
    • Align center button - align the selected text center
    • Align right button - align the selected text right
    • Bullet button - convert the currently selected text to a bulleted text (only formatted text)
    • List button - convert the currently selected text to a numbered list (only in HTML components)
    • Outdent button - outdent the selected text (only in HTML components)
    • Indent button - indent the selected text (only in HTML components)
  • Component color button - change the color of the currently selected component
  • Alignment and size button - make it possible to size and align all components that are currently in the editing or dragging mode
  • Save template button - save the current layout and component attributes as a template for future use in other elements
  • Apply template button - apply a previously saved template to the current element
  • Component display mode buttons - change the way the components are displayed and acted upon:
    • Editing mode button - set all components in the mode that makes it possible to edit texts, edit OLE objects, etc.
    • Dragging mode button - set all components in the mode that makes dragging and sizing possible
    • Presentation mode button - set all components in way they will be seen by the student during repetitions
  • Edit file button - edit the file associated with the current component in the default editor. For example, rich text components will automatically launch your default word-processor


SuperMemo: Glossary

ABC Hints&Tips Overviews Reference Glossary Support
Contents : Glossary
Glossary

access mode - the mode determining the scope of actions available to the user of a SuperMemo collection. There are three modes:

  1. read-only - user can only view the collection
  2. learn-only - user can view the collection, learn new material and make repetitions
  3. full-access - user can freely change the contents of a collection

acquisition rate - the speed of learning, usually expressed in elements memorized per year per minute. For example, if 20 minutes a day result in memorizing 10,000 elements a year, the acquisition rate is 500 elements/year/min (10,000/20). In SuperMemo, the acquisition rate may vary from 100-1000 depending on the difficulty of the material, forgetting index and the stage of the process (acquisition rate may substantially decrease in the period of the first year; later it stabilizes asymptotically)

active recall - the process in which pieces of information are actively retrieved from memory as opposed to passive review. For example, in passive review one might read that 50% of marriages in the US divorce. In active recall, you would have to retrieve this information from your memory: What proportion of marriages in the US divorce? If you answered correctly, 50%, then your memory would more significantly increase the probability of recall in the future than it is the case with passive review

A-factor - a number associated with every element in a collection. A-Factors determines how much intervals increase in the learning process. The higher the A-Factor, the faster the intervals increase. You can see A-factors in the element data window. For items, A-Factors reflect item difficulty. For topics, A-Factors determine topic priority. The higher the A-factor the easier the item. The most difficult items have A-factors equal to 1.3. For items, A-factor is defined as the quotient of the second optimum interval and the first optimum interval used in repetitions (read more: Repetitions algorithm used in SuperMemo). For topics and tasks, A-factor is interpreted as the number by which the current interval should be multiplied to get the value of the next interval (as it was the case with E-Factors in early versions of SuperMemo). Read more about the important function of A-Factors associated with topics in: Incremental reading

ancestor (also: ascendant) (in the contents window) - an element that is located one or more levels above the element which makes its descendant. All the elements at the same indentation in the knowledge tree are children of their single parent (they are siblings to each other) whereas descendants are all the elements below the level of their ancestors

back-retention - retention of material repeated on a given day D as measured on the days of successive repetitions of individual elements. Both retention and back-retention are displayed in Tools : Workload under Retention. Workload displays these values as <retention> -> <back-retention>. If you are sleepy or tired on the day D, your retention will be poor, even if your memories are strong. In other words, measured retention is not an ideal reflection of memory retrievability. Back-retention is not measured on a single day. The measurements are gradually added up on days on which successive repetitions of the material repeated on the day D take place. Consequently, back-retention is less dependent on the variability in your recall readiness. At the same time, being tired or sleepy on the day D can affect the consolidation of the material. It is retention that is less dependent on the variability in your consolidation readiness

binary component (also: program component)- a component that can hold, preview or execute a binary file stored in any format or written in any language (e.g. DLL or EXE). Binary components make it possible to extend the range of applications of SuperMemo into any imaginable area

browser - a window with a subset of SuperMemo elements. Browsers are mostly available from the View menu and provide a set of operations available from the browser menu. Read more: Browser window

burden - (in the statistics window) number which estimates the average number of elements that have to be repeated daily (this statistic may overestimate the workload in collections where Postpone is used often):

burden = 1/I1+1/I2+ ... + 1/In
where:
In - current interval of the n-th item

category - a named branch of the knowledge tree to which elements belonging to a given class of knowledge are added. For example, you might keep categories such as: General Knowledge, Family, Internet, Job, etc. Every category is primarily characterized by (1) name, (2) item template (which determines the appearance of category items, e.g. color, font, size, etc.), (3) root node (knowledge tree node that is the ascendant of all elements added to the category) and (4) hook node (knowledge tree node to which new elements are added as children until the children limit is passed and a new node is chosen automatically). Read more: Categories

child (in the contents window) - an element that is located one level below the element which makes its parent. All the elements at the same indentation in the knowledge tree are children of their single parent (they are siblings to each other) where as descendants are all the elements below the ancestor level

ClipBox - a temporary cache for components. It works in a similar way like the Windows clipboard. First you place a components in the ClipBox and then you fetch it from the ClipBox as many times as you wish. ClipBox is the easiest way to copy components between elements. Quitting the program empties the ClipBox. See: Using Component ClipBox

cloze deletion item (this is the correct spelling! cloze is spelled with 'z') - item in which parts of the questions were replaced by three dots and moved to the answer field. For example:

Q: The highest literacy rate in Africa has been reached in ...(country)(1998)?
A: Tanzania

Cloze items can be the simplest and a very effective remedy for item complexity. If you have items that persistently cause recall problems, try using cloze deletion. SuperMemo simplifies creating cloze deletions by providing options such as Reading : Remember cloze on the component menu, or the cloze button on the element toolbar as well as the Read toolbar: . Read more: Incremental reading

collection - learning material used in SuperMemo. A collection is composed of single pieces of knowledge called elements. The simplest elements are composed of a question and an answer. A collection of a given name is stored in a folder/directory that bears the same name, and all its important statistical and learning data are stored in a file with the extension kno

component - any object placed within the visible field of an element. For example, text of a question, picture, video component, spell-pad, PDF file, etc.

contents window - window that displays the hierarchical structure of knowledge in a collection. It is available by clicking Contents in the element window. Read more: Contents window

database - the term used for SuperMemo collections in SuperMemo 7 and earlier

delay - the degree of delay of an element in the learning process. For items it equals the current interval divided by the optimum interval for the current requested forgetting index. For topics delay is heuristically scaled to provide for comparable degree of delay in terms of the damage inflicted on the learning process

descendant (in the contents window) - an element that is located one or more levels below the element which makes its ancestor. All the elements at the same indentation in the knowledge tree are children of their single parent (they are siblings to each other) whereas descendants are all the elements below the ancestor level

difficulty - estimation of element difficulty in SuperMemo. Two measures can be used to express difficulty: (1) current estimation of element's absolute difficulty is represented by A-Factor (this measure determines the next inter-repetition interval for items), and (2) heuristic measure of difficulty based on the history of repetitions and displayed in the element data window as Difficulty (this measure can be used to sort collections that are to be used by other users; starting with easy items first). An item that is initially difficult (low A-Factor) can become easy to recall once a strong memory imprint is formed. Such an item may quickly reach a relatively high value of A-Factor that reflects current recall difficulty. On the other hand, the Difficulty parameter takes into account, apart from A-Factor, such parameters as the number of lapses, current interval, etc. If an item reaches a long interval on poor grades, it will have a low A-Factor but may have a high Difficulty. At the same time, an item forgotten many times may suddenly reach a high A-Factor while its Difficulty still remains high. Difficulty is expressed as percentage with 0% standing for easiest possible items, and 100% for the most difficult items. A-Factors may be considered as the difficulty from the point of view of SuperMemo Algorithm, while Difficulty is closer to expressing what the user views as the difficulty of learning a given element (to see components of Difficulty[2] press Ctrl+Shift+P and click Difficulty)

dismiss - operation that entirely removes an element from the learning process (see: forget, remember)

dismissed element - element that is ignored in the learning process and is not kept in the pending queue. A dismissed element can be re-memorized with Remember

dragging mode - the way of displaying components so that they could easily be dragged to a new location in the element window. The other two basic modes are: presentation mode (components are displayed like during repetitions) and editing mode (components can easily be edited, e.g. by typing in new texts, etc.). Components in dragging mode are usually darker than in the other two modes. To drag a component in the dragging mode, press the mouse button over the component and move it to a new location

editing mode - the way of displaying components so that they can easily be edited (e.g. by modifying the texts). The other two basic modes are: presentation mode (components look the same way like during repetitions) and dragging mode (components can easily be dragged with the mouse). The easiest way to distinguish between presentation and editing modes is that in the latter the components are enclosed by a sizable rectangle

E-Factor (easiness factor) (in early versions of SuperMemo, up to and including SuperMemo 7) - a number related to the difficulty of a given element. In the earliest versions of SuperMemo (up to and including SuperMemo 3), new inter-repetition interval was determined by multiplying the old interval by E-Factor. A-Factors associated with topics and tasks are used in the same way as early E-Factors, i.e. to determine the value of the new interval by multiplying the A-Factor by the old interval. To better understand the role of A-Factors in new versions of SuperMemo, see: Incremental reading

element - a single page stored in SuperMemo (e.g. question-and-answer pair). All elements kept together are called a collection. Elements may have the form of topics (synthetic material, articles, etc.), items (testing material) or tasks (elements representing to-do tasks, e.g. articles to read). A topic synthetically presents a larger part of the learning material, e.g. description of the anatomy of the brain or an article about brain physiology. Items provide specific testing questions or exercises for drilling the material presented in topics, e.g. How thick is the cerebral cortex? In the simplest case, topics have a form of a page of text while items are formulated as questions and answers (see: Topics vs. Items). Every element is represented in the contents window as a single leaf of the knowledge tree. Content of individual elements is displayed in the element window (see: Element window)

element browser - see browser

element subset - set of elements saved in a file. You can create an element subset by using the element browser (e.g. Subset : Save all or Subset : Save selection). You can view an element subset with View : Subset. Read more: Using subsets

element window - window that displays a single element in a collection. In default state this window displays buttons Contents, Search, History, etc. in its toolbar

final drill - last stage of the learning process passed on a given day, in which only elements that scored a grade less than Good (4) are repeated as long as they continue scoring less than Good. The final drill stage is not executed if Tools : Options : Learning : Skip final drill is checked

forget - an operation that removes an element from repetitions and places it at the end of the pending queue (see: dismiss, remember)

forgetting index - proportion of elements that are not remembered at repetitions (usually expressed as percentage). The forgetting index can be programmed to fall between 3% and 20%. This way, the speed vs. retention trade-off in learning can be controlled by the student. You can set the default forgetting index with Tools : Options : Learning : Forgetting index and individual element forgetting indices with Forgetting index in element parameters dialog box. To understand the difference between the requested, measured, default, individual, expected and the estimated forgetting index see: Forgetting Index

free running sleep - sleep that is not artificially regulated. Free running sleep is a form of chronotherapy that can be used in curing a number of sleep disorders. Most of people in the industrial world cannot afford free-running sleep. Only a small proportion of population can sleep in a perfect 24 hours cycle and in synchrony with duties such as work and family. The most typical violation of the free-running sleep is the use of an alarm clock. Another violation is going to sleep too late in reference to one's natural bed-time hour. Going to sleep late in condition of little sleepiness does not violate free-running sleep principles. Going to sleep too early (e.g. to force longer sleep before early arising) may also disturb free-running sleep cycle. See also: Good sleep for good learning

full access mode - mode of operation of SuperMemo in which all editing options are available. The two other modes are read-only, in which only reviewing the collection is possible, and learn-only, in which learning is enabled but all editing options are turned off. To turn on the full access mode: (1) choose Tools : Options on the menu (or press Ctrl+Alt+O) and (2) choose Access : Access mode : Full access

graphic deletion - see occlusion test

hierarchy - the tree structure in which particular elements of a SuperMemo collection are organized. See: knowledge tree

hierarchy branch/node/leaf - see knowledge tree node

hint - a message that makes it easy to understand the use of a given menu item or button in SuperMemo. To view hints pause the mouse pointer over a button or menu item. Hints will show only if hint checkbox is checked on the Actions toolbar. Hints are displayed on the status bar at the bottom of the screen (you can show status bar with Window : Status bar). Apart from the Hints checkbox, you can also turn hints on and off by: 1. double clicking the hint area on the status bar and 2. checking Window : Hints

hook node - a knowledge tree node to which new elements belonging to a given category are added as children. The hook node is either the same as the root node, is a child of the root node or is a descendant of the root node. Once the children limit of a hook is passed, a new hook is chosen. Naturally, the new hook will be a descendant of the root of the current category

hyperlink - connection established between a component and an element different than the element owning the component. Hyperlinks make it possible to navigate in knowledge hyperspace by clicking individual components or HTML links. You can set a hyperlink by using Hyperlink on the component menu or Insert HTML Link : Element on the HTML component menu

incremental reading - reading technique pioneered by SuperMemo, in which you can read hundreds or thousands articles at the same time with substantial benefit to the speed of learning, and the quality of acquired knowledge. See: Incremental reading

interval (also: inter-repetition interval) - period of time between successive repetitions (or reviews of material in incremental reading). Intervals in SuperMemo are always measured in days. Initially, repetitions occur in intervals ranging from 1-15 days; however, with time, intervals can reach well into thousands (which corresponds to decades)

item - an element that takes part in repetitions and often has a question-answer form (see topic). See also: Topics vs items

knowledge tree - the tree structure in which particular elements of a SuperMemo collection are organized. The knowledge tree is presented in the contents window. Particular nodes of the tree can hold up to a thousand children each, but for performance reasons it is recommended not to keep more than a hundred children elements in a single node. Some authors use the term knowledge hierarchy to refer to the knowledge tree. See: Knowledge tree

knowledge tree node/branch/leaf - one element in the knowledge tree presented in the contents window and corresponding to a single topic or item in the collection. You can add new nodes with Add, Sibling and Insert in the contents window, or with options on the Edit sub-menu of the main menu. In the latter case, the newly added element is filled out with the contents of the default item template . . If the element contains children, it is also called a branch. The contents menu provides some operations on entire branches such as: Export as text, View, Process branch, Reset, Statistics, etc. See also: Creating the knowledge tree structure

knowledge system - SuperMemo collection (outdated term used in older documentation files)

lapse - instance of forgetting a given element. When we say number of lapses, we mean the number of times an individual element has been forgotten, i.e. scored less than Pass (3) in repetitions

layout - position and size of windows in SuperMemo. Layouts can be changed with Window : Layout menu. In particular, use Ctrl+Shift+F5 to save your favorite layout. Compare: template

learn-only mode - mode of operation of SuperMemo in which only learning options are available. The two other modes are read-only, in which only review options are available, and full-access, in which all options are turned on. To turn on the learn-only mode: (1) choose Tools : Options on the menu (or press Ctrl+Alt+O) and (2) choose Access : Access mode : Learn-only. The learn-only mode is useful, for example, when you want to distribute your collection among a group of students. This way students will be able to learn the collection but will not be able to edit its contents

leech - a particularly difficult element that causes problems in learning. The definition of a leech is specified by means of the filter dialog box used in View : Other : Leeches (Shift+F3). A semi-leech is an element that is not a leech but will become leech once it is forgotten. See: Leeches in SuperMemo

Leitner system - a rudimentary method used for spaced repetitions in a number of flashcard applications. The methods has been proposed by Sebastian Leitner in the 1970s and can be considered a forerunner of SuperMemo

level - the degree of complexity of SuperMemo provided for users with different familiarity with the program. There are four levels with increasing complexity available from File : Level. These are: Beginner, Basic, Middle and Professional

memorized element - element that takes part in the learning process (i.e. is repeated in intervals suggested by SuperMemo). A memorized element can be made a pending element with Forget. It can also be made a dismissed element with Dismiss

memory lapse - see lapse

minimum information principle - principle of effective learning which says that simple elements formulated for active recall bring much better learning results than complex elements even though one complex element may be equivalent to a large number of simpler elements. Minimum information principle is discussed in detail in: 20 rules of formulating knowledge

mnemonic hyperspace - extension of Tony Buzan’s concept of mind maps by application of hyperlinks between the mind map components and mind map editability. Mind maps are considered an excellent form of representing knowledge for the purpose of learning. SuperMemo makes it possible to create simple mind maps that contain multimedia objects. It can also use mind maps generated with Mind Manager (via OLE in-place activation)

occlusion test - an element that uses a picture whose part is deleted or occluded. During a repetition, the occluded part is exposed at answer time. Occlusion tests can be used to learn geography, anatomy, mind-maps, technical graphs, and other forms of knowledge represented as graphics. Also called: graphic deletion test. See picture. See also: creating occlusion tests

optimum interval - in SuperMemo, an inter-repetition interval that is likely to result in the probability of forgetting equal to the requested forgetting index. In other words, the optimum interval is the best possible interval that will ensure the speed of learning chosen by the user

ordinal number - number assigned to each element indicating the importance of the element. The lower the ordinal number, the greater the importance. By default, ordinal number is set to the number of elements in the current collection. This way, the first element you add will have the ordinal two (the root of the knowledge tree gets the ordinal one), second element will get three, etc. Ordinal numbers are useful in sorting the collection or its subsets. Most importantly, File : Reset : Sort pending by ordinal sorts the pending queue by ordinals and makes it possible to decide the sequence of learning new items by modifying their ordinal numbers (e.g. with Edit element parameters activated with Ctrl+Shift+P)

outstanding element - element that is awaiting repetition that satisfies the criteria of optimum interval. Each element in the learning process has its next repetition date determined by SuperMemo. On a given date and later on, the element is considered outstanding

outstanding material - all outstanding elements, i.e. elements whose next repetition date is less or equal today's date

pending element - an element that awaits memorization in the pending queue. Adding new elements puts them in the pending queue. To move an element to the end of the pending queue, you can do choose buttons remember and forget (in that sequence)

pending queue - queue of elements that are awaiting memorization. Option Remember removes the current element from the pending queue while Forget adds a memorized element back to the end of the pending queue. Pending queue determines the order of learning new elements

presentation mode (also: display mode) - the way of displaying components as they will be seen by the user during reviewing the collection. The other two basic modes are: editing mode (components are ready for editing, e.g. deleting texts, etc.) and dragging mode (components can easily be dragged with the mouse)

primary storage - place on the user's hard disk where the current collection is stored. See: secondary storage

reading list - a prioritized list of articles imported to SuperMemo and scheduled for reading in the sequence of priority. A reading list is a form of a tasklist in which each task is an article to read. In new SuperMemos, reading lists have been largely made obsolete by incremental reading

read-only mode - mode of operation of SuperMemo in which only reviewing options are available. The two other modes are learn-only, in which also learning is possible, and full-access, in which all options are turned on. To turn on the read-only mode: (1) choose Tools : Options on the menu (or press Ctrl+Alt+O) and (2) choose Access : Access mode : Read-only. The read-only mode is turned automatically when opening a collection on a CD-ROM. In such a case, you cannot change the read-only mode to any other mode

remember - operation that introduces an element to repetitions (see: dismiss, forget)

registry - a sorted set of named objects (called registry members) that are used in creating elements in SuperMemo. Objects stored in registries may have the form of sound, video, image, HTML file, executable program, DLL, font, text, PDF file, etc. You can link particular objects with components in knowledge elements by means of Links : Registry member on component menu. Upon choosing the appropriate object name in the registry, choose Accept and the object will appear within the selected component. Warning! Registries in SuperMemo, have nothing to do with the Windows registry (SuperMemo have been using registries before the release of Windows 95)! Read more: Registries

registry index - ordinal number of a given member in the sorted order of registry members in a given registry. For example, the lexicon registry might start with aardvark at the registry index 1 and end with Zoloft at the registry index 23293. Registry index can be inspected at the bottom of the registry window. See: registry position

registry member - one of the objects stored in a registry (e.g. a picture in an image registry or a word in a lexicon registry)

registry position - number corresponding with the physical position of a given registry member in a registry. This number can be seen at the bottom of the registry window. See: registry index

registry subset - set of registry members saved in a file. Registry subsets are mostly used in search operations. For example, you could use Ctrl+S to find all texts containing the word virus. Those will be displayed as a registry subset in the text registry window. You could use Ctrl+S again to search for the word AIDS and generate a narrower subset that would contain both the words virus and AIDS. Finally, you can use Ctrl+Shift+B to display a browser with all elements that use the members of the selected registry subset

registry window - any of the several windows that display the contents of individual registries. These windows are available on the menu Search (e.g. Search : Text, Search : Other registries : Font, Search : Images). Read more: Registry window

repetition - an act in which a given item is rehearsed by going through the following stages:

  1. show the question (or the stimulus)
  2. respond to the question (or react to the stimulus)
  3. compare the response with the correct answer and grade yourself (or be graded by the program for your reaction to the stimulus)

Note that all repetitions take place on a date selected by SuperMemo by using the spaced repetition algorithm (see: SuperMemo Algorithm)

repetition spacing - see: spaced repetition

retention - proportion of knowledge retained in memory at any given time. Retention is greater than 100% minus the forgetting index. The forgetting index refers to the probability of forgetting at the moment of a repetition while retention refers to the average recall probability between the last and the next repetition. For an exact formula linking the forgetting index and the retention see: Theoretical aspects of SuperMemo. Retention equals 100% minus the forgetting index only when measures on items repeated on a single day (e.g. as displayed in Workload)

retrievability - one of the two variables describing memory traces in learning (the other is stability). Retrievability is most often expressed as the probability of recall. Retrievability is subject to negatively exponential decline whose speed depends on memory stability. Stability is often expressed as the optimum interval for the forgetting index equal to 10%. See: Two components of long-term memory

root node - a knowledge tree node to which all elements belonging to a given category are added. For example, node named Chemistry might be a root node of all elements belonging to chemistry. The root of the whole collection is the root of the knowledge tree (Element #1)

secondary storage - place where multimedia files of a collection are stored. For example, in very large collections, multimedia files can be stored on CD-ROM (secondary storage), while all the frequently accessed or modified files are stored on users hard disk (primary storage). When you first create your collection, the primary storage equals the secondary storage. By doing File : Tools : Semi-copy you can copy your collection to a new primary storage leaving the largest files in the old location (secondary storage). Secondary storage can be inspected or modified with Tools : Options : Access : Secondary storage

sibling (in the contents window) - an element that is located on the same level as the element in question

spaced repetition (also: repetition spacing, expanded rehearsal) - technique of optimizing the learning process by computing optimum intervals that should separate repetitions of individual pieces of knowledge. Those pieces of knowledge are called elements in SuperMemo. SuperMemo pioneered the use of optimization methods in spaced repetition (first implemented in 1987) and has gained acclaim through its impact on learning efficiency

spacing effect - the property of memory which makes us remember things better if they are repeated in a spaced manner rather than condensed or cumulative manner (e.g. 7 x 10 min learning daily as opposed to 70 min on the weekend). Spacing effect is the basis of spaced repetition in learning. SuperMemo uses the spacing effect by trying to keep intervals as long as possible before forgetting increases beyond a selected threshold called the forgetting index

stability - one of the two variables describing memory traces in learning (the other is retrievability). Stability determines the speed of the negatively exponential decline of memory traces. Stability can be expressed, for example, by the optimum interval in spaced repetition (often normalized for the forgetting index equal to 10%). See: Two components of long-term memory

subset - (1) element subset: set of elements saved in a file or (2) registry subset: set of registry members saved in a file. You can create an element subset by using the element browser (e.g. Subset : Save all or Select : Save selection on the browser menu). You can view an element subset with View : Subset. Registry subsets are mostly used in search and sort operations. For example, you could use Ctrl+S to find all texts containing the word virus. Those will be displayed as a registry subset in the text registry window. You could use Ctrl+S again to search for the word AIDS and generate a narrower subset that would contain both the words virus and AIDS

SuperMemo - (1) method of fast learning based on computing optimum intervals between repetitions; (2) computer program implementing SuperMemo[1] (see the picture). Read: Introduction to SuperMemo

task - an element that represents a to-do task. For example, a task may have a form of an article that is waiting for reading on a prioritized tasklist called a reading list. See also: Tasklists, Incremental reading, and Reading the Internet

tasklist - a form of to-do list used in SuperMemo. Tasklists are made of a set of tasks (each corresponds with a single element in SuperMemo). Tasks in a tasklist are sorted by their priority. Priorities in SuperMemo are determined by the Value/Time ratio. See: Tasklist manager

template - a reusable definition of an element's appearance. It may define the type and properties of individual components such as size, color, font, image files, alignment, etc. All templates used in a given collection are kept in the template registry. Read more: Using templates

topic - an element that presents a synthetic overview of knowledge (e.g. an article to read). Knowledge stored in topics is gradually converted into items (e.g. in the process of incremental reading). Optimally, topics introduce you to the learned knowledge by providing a synthetic overview. You later keep the knowledge in your memory only by reviewing the items. In a well-structured collection, topics will always be parents to items derived from their contents. Each time a student loses the sense of context during repetition, he or she can press Ctrl+Up to view the parent of the current item. This way a quick review of the synthetic material in the topic is possible. See also: Topics vs items

U-Factor - a number associated with each memorized element. It equals to the ratio of the current interval and the previously used interval. If the element has not been repeated yet, i.e. the previous interval is not defined, U-Factor equals the first interval. The greater the U-Factor the greater the increase of the interval between repetitions. For items, U-Factors are determined by SuperMemo Algorithm. For topics, U-Factors are determined by A-Factors. For topics that have already been reviewed at least once, that have not been subject to postpones, U-Factors equal A-Factors

Glossary in other languages:

  • Polish
  • Czech


SuperMemo: Step by step guide

25 Steps to SuperMemo Mastery See also:
  • Step-by-step by Antimoon.com
  • Guide in Czech

This guide will help you learn SuperMemo 2004 step by step without missing any important function. Each step may take from a day to a week. Advanced techniques such as incremental reading may require months of practice. Do not rush! SuperMemo can quickly lead to confusion and disillusionment. Pick the next step to learn only after mastering all previous steps. If anything is unclear, send an e-mail!

  1. ABC in 3 minutes: You can start using SuperMemo in 3 minutes. You only need to know two operations:
    • Add new for adding new material in the form of questions and answers (keyboard shortcut: Alt+A)
    • Learn for learning (keyboard shortcut: Ctrl+L). You should use Learn daily until you see the message Nothing more to learn

     Many users never go beyond the above ABC and still benefit greatly from SuperMemo! It is even recommended that you spend a week or so in this basic mode. Simple question-and-answer repetition is where 90% of the users get 90% of the benefit from SuperMemo! If you only remember to use Learn regularly and frequently back up your precious knowledge (e.g. with Ctrl+Shift+C), the rest of this guide can be considered optional. Warning! For the first 3-6 days, your learning schedule will be empty and you will have nothing to review! Keep using Add new until Learn becomes active

  2. Choose the proficiency level: you can explore SuperMemo in stages by using File : Level menu. By default SuperMemo starts at the beginner level. After a day or two, you can move to the basic level. The middle level will later be needed to use many of the functions described in this guide. Once you fully understand the middle level, you can switch to the professional level that should be the ultimate destination of users who want to explore the most advanced functions of SuperMemo.

    If you find a description of the function in SuperMemo that is not available on a given level, you can increase the level to make the function appear among the options. Many shortcuts will work even if the function is not available on a given level. For example, you can view the calendar of repetitions by pressing Ctrl+W in the beginner level even though Tools : Workload appears only on the middle level menu

  3. Safety of your knowledge. Backup! Knowledge you store in SuperMemo might belong to your most precious data on your hard disk! After all it cost you months or years of editing and repetitions. You must continue your repetitions indefinitely to make sure you do not forget what you have learned. This is why backup skills are so important! Use Ctrl+Shift+C to copy your learning material to a new location. You should make a copy on a different hard disk every few days and on other media every month or so. Read more: Safety of your knowledge
  4. Help: you can read help pages relevant to a given context in SuperMemo by pressing F1. If you do not have a broadband connection to the Internet, you can install the help file on your hard disk
  5. Reading: if you learn from electronic sources (e.g. the Internet), you can benefit tremendously by learning the techniques of incremental reading. In incremental reading, you import articles from the Internet, and convert them to questions-and-answers with a couple of clicks. You can continue reading thousands of articles in parallel without getting lost. You can add dozens of thousands of items per year and still be able to recall 90-95%. It may take a few months of frustration before you reach proficiency in incremental reading; however, you will ultimately experience a seismic shift in your learning power. Invest a few hours in reading this article: Incremental reading. In the long run, the return on investment will be astronomic
  6. Regularly check if data is not corrupted: to be sure that your files have not been damaged by a virus or other software and/or hardware problems, use File : Repair collection (Ctrl+F12) from time to time (e.g. once per month)

  7. Processing knowledge: you should remember that all your learning material requires endless attention. You should review your elements for usefulness, correct formulation, logic, grammar, etc. When an element comes up for a repetition, you should make a quick and nearly instinctive assessment of the following:
    1. Do I really need this element?
    2. Do I really need to know it now? Or can I learn it later?
    3. Is this element difficult to remember? If so, why?
    4. Is it factually correct?
    5. Is it as simple and clear as possible?

    Here are some typical actions you will take depending on the answer to the above questions (some keyboard shortcuts may not work at lower difficulty levels) :

    1. correcting an element. In case of questions and answers, you can use keys such as Q, A, or E to enter a text field and change it. In more complex elements you can use Ctrl+T to circle between components, or use Alt+click to switch a component between editing and dragging modes
    2. rescheduling the element. You can manually change the date of the next review. If you know the element well, you can increase the interval remaining till the next review. If the element is very important, you can reduce the interval. Press Ctrl+J to select the date of the next review. If you have just reviewed the element, you should first use Ctrl+Alt+R to inform SuperMemo about the review and only then use Ctrl+J
    3. dismissing an element. If you are sure you are not likely to need the element in the future, but you would like to keep it in your collection for reference or archival purposes, press Ctrl+D. Dismissed elements are removed from the learning process and from the pending queue
    4. deleting the item or an article. The key Del is very useful in cleaning your collection from garbage that results from your desire to know more than your memory can hold. You can use Done with Ctrl+Shift+Enter to delete the content of an element without deleting its children
    5. forgetting an element. If you think the element is too difficult or not important enough at the moment, you can decide to learn it later. For this purpose, press Ctrl+R to remove it from the learning process. This will put it at the end of the pending queue

  8. Position and size of windows: in the beginning you often do not like the size and position of windows and dialogs in SuperMemo. You can change that. Your favorite layout will depend on your monitor's resolution, interface font used in SuperMemo, and the chosen size of the element window. To save the current layout, press Ctrl+Shift+F5 (Window : Layout : Save as default). You can save more layouts and then choose between them by choosing an appropriate number on the Window menu. If you would like to include learning statistics in your layout, you might first open the statistics windows (e.g. by pressing F5). If you would like to preview the ancestor path of the current element, you could also open the ancestor path window with Alt+P. If you open, move and/or size many windows, you can always get back to your favorite layout by pressing Ctrl+F5 (Window : Layout : Apply default layout). You can also add or delete layouts with Window : Layout : Layout manager (Ctrl+Alt+Y)
  9. Searching your collection: to quickly locate elements in your collection press Ctrl+F or choose the button Search on the element toolbar. Use this option also for AND-search, OR-search, etc.
  10. Principles of success in learning: with years passing by, you will develop healthy learning habits that will make sure your work with SuperMemo is both effective and enjoyable. You can save months of experimenting if you read Ten Commandments of a Highly Efficient User of SuperMemo

  11. Make your knowledge easy to remember: read 20 rules of formulating knowledge in learning to review most important principles that will make sure you will remember with minimum effort

  12. One body of knowledge: it is recommended that you keep all your knowledge in one collection (you can create new collections with File : New). Here are the benefits of one body of knowledge:
    1. you do not have to open a number of collections each day to make repetitions (you can still learn only selected branches if you wish so)
    2. you can keep one global learning process and one set of statistics (branch statistics are also available to inform you of the progress in individual branches)
    3. repetitions of mixed-up material are more entertaining and verifiably boost your creativity! You will be amazed how this affects your ability to come up with new ideas and unexpectedly associate facts relating to completely different subjects
    4. you will eliminate a very frequent problem: neglecting some collections at the cost of others. The only rational way of controlling the flow of knowledge and the right proportions between branches is to use the tools provided by SuperMemo. Neglect and procrastination do not belong to these tools. Multiple collections make it easier for you to fail your own resolutions

    If you have already created a couple of collections, you can merge them by using File : Merge collection. Open the collection that is to be merged with your main body of knowledge, choose Merge collection, and point to the collection that keeps the main body of knowledge

  13. Statistics of the learning process: you will understand your memory better if you learn to interpret the statistics of the learning process:
    • you can see the calendar of repetitions by pressing Ctrl+W or choosing Tools : Workload
    • you can conveniently view learning statistics by pressing F5. For interpretation of individual parameters see: Learning statistics and Element statistics. You can preserve the layout with statistics windows by pressing Ctrl+Shift+F5
    • you can monitor your progress with Tools : Statistics : Analysis (Ctrl+Alt+I). For example, the Use tab will show you the graphs of your daily progress (e.g. number of memorized elements, recall rate, etc.)

  14. Hints&Tips: you will find the list of most useful short tips for using SuperMemo here: SuperMemo Hints&Tips

  15. Adding pictures, sound and video: you can easily add new texts, images, sounds and other components to your elements. New components are most conveniently added with Edit : Add components on the main menu. You can also drag components from the Compose toolbar available with Edit : Add components or Window : Toolbars : Compose. To drag a component click the appropriate button on the component toolbar (e.g. text button, image button, etc.) and then click twice on the empty area in the element window: (1) first at the place where you want to place the top-left corner of your component, and then (2) at the place for the bottom-right corner of the new component. Read about templates below to learn how to automate this process. The easiest way to add pictures to your elements is to paste them from clipboard (Ctrl+V or Shift+Ins). The easiest way to add texts is to paste them with Ctrl+Alt+N

  16. Improving the look of your items: you can easily change the attributes of elements and their components by using menus available with a right click. There are two menus you will need to become familiar with:
    1. Element menu which can be opened by a right click over an empty element area or over the element toolbar. Some exemplary functions of the element menu:
      • Color changes the color of the element
      • Edit : Title (usually executed by pressing Alt+T) makes it possible to edit the title of the element
      • Background : Import file imports a picture file to be used as the background in the element
      • Delete components deletes all components from an element (e.g. question and answer)
    2. Component menu which can be opened by a right click over a selected component. Some exemplary functions of the component menu that may or may not appear on the menu depending on the context:
      • Color changes the color of the component
      • Import file makes it possible to show a given file inside the component (e.g. picture, HTML file, etc.)
      • Text : Edit font changes the font of the selected text
      • Delete component removes the component

    You can use Alt+click over a component to switch it to the editing mode. This will make it possible to resize the component, edit texts, etc. If you Alt+click the component again, it will switch to the dragging mode in which you will also be able to move it to another location in the element area. Press Esc to switch the components back to the presentation mode

  17. Automating changes to the look of elements: you do not need to change the look of elements over and over again. You do not need to create components again and again. It is enough you define a so-called template to be able to reuse a given component arrangement. The most important things to know about templates:
    • you can save a given "look" with Template : Save as template
    • if you want SuperMemo to automatically use a saved template when you choose Add new (Alt+A), use Template : Save as default (Ctrl+Alt+M)
    • if you want to reuse a previously saved template, use Template : Apply template (Ctrl+Shift+M)

    For more information about templates see: Using templates

  18. Building knowledge tree: you can organize the structure of your knowledge in the contents window. Choose Contents at the top of the element window to switch to the contents window. To find out how to create the knowledge structure see: Creating the structure of the knowledge tree. Remember that the structure of your tree is not essential in learning. However, a good structure can make it easier to locate portions of materials for review

  19. Organizing knowledge into categories: you can give items belonging to different branches of the knowledge tree a different look and a different priority. This way you will easily differentiate between items belonging to fields such as geography, biology, sociology, etc. You can move an item to a new category by opening Element parameters dialog box (e.g. with Ctrl+Shift+P) and choosing the category from the list (the Category list box). When you move an item to a category, you can choose if it should use that category's template to determine its look. Read: Using categories

  20. Which text components are for you? You are most likely to use HTML text components in incremental reading (if you do not have the latest Internet Explorer, use rich text components instead). HTML components make text processing easy due to rich formatting. However, once your items assume their final shape, you might prefer to convert them to plain text components which are faster and consume less space. You can do it by selecting the Classic template as the default template in your target category (see: Using categories). You can use several different SuperMemo components to represent text. To understand pros and cons of using various text components see: Text components used in SuperMemo

  21. Too many repetitions! All users of SuperMemo get to the point when they cannot keep up with repetitions. This can result from an increase in other obligations or due to over-zealousness. However, in incremental reading, overloading the learning process becomes a norm. SuperMemo provides a number of tools that help you reduce the load in learning:
    1. Postpone: at the end of the learning day, you can reduce the load of repetitions by postponing lower-priority portions of the material. Use Postpone for that purpose (Alt+Ctrl+P). In the simplest case, choose Learn : Postpone : All
    2. Mercy: after a few-day break in learning, you may wish to equally redistribute the outstanding material in a selected period of time (e.g. 14 days with 100 repetitions each). You may also want to execute the repetition falling into a vacation period before the vacation. For such purposes, use Tools : Mercy (Ctrl+Y)
    3. Cut drills: in case you are late and the Outstanding parameter in the statistics window shows a number 0+0+x (which indicates that only items in the final drill are due for review), you can execute Learn : Cut drills. This rather harmless procedure may slightly reduce the chances of recall of items at the next repetition

  22. Items you hate: even with a great deal of experience and perfect understanding of knowledge structure, you will meet items that by no means want to stick to your memory. Usually, 60% of items will not even be forgotten once! However, there are always a few items that you might forget 10 times, or even 20 times. In most cases, the fault is with you, the items must simply be reformulated (see: 20 rules of formulating knowledge). However, some items just seem un-memorizable! Those do not indicate your memory is bad! They are a usual companion of every learning process, and you must roll out the heavy guns to deal with them. You will use whatever mnemonic technique comes to mind: add examples, illustrations, poke fun, make it indecent or shocking, re-memorize with a longer interval (this will often break the unhealthy memory connection) or, in most desperate cases, delete the item. Anything with above 20 memory lapses makes a good candidate for deleting -- this knowledge may simply not be worth the cost in your time. To find out which options can help you hunt for trouble-making items see: Leeches

  23. The power of browsers and subsets: for managing and reviewing large collections, you will find browsers indispensable. Browsers are available with the View submenu. Most of all, browsers will let you work with subsets of elements in your collection. Here are some ways in which browsers can boost your learning:
    • review the subset of elements
    • move a subset of elements to another SuperMemo (e.g. for repetitions on your handheld computer)
    • postpone repetitions in a subset of elements
    • memorize a subset of elements, dismiss a subset of elements, shift elements to the end of the pending queue, etc.
    • compute selected learning statistics for a subset of elements
    • change the template in a subset of elements
    • transfer a subset of elements to another collection
    • run random test or random learning on a subset of elements
    • move a subset of elements to a selected branch or category
    • sort a subset of elements by title, difficulty, last repetition, interval, etc.
    • sort repetitions (e.g. from long to short intervals, or from difficult to easy items, etc.)
    • export a subset of elements as text (e.g. as questions and answers)
    • change ordinal numbers or the forgetting index in a subset of elements (increase, spread equally, modify, shift, etc.)
    • manipulate element sets (e.g. select all elements belonging to one set and not belonging to another, select only memorized items in a set, combine two sets, save a set to a file for future use, etc.)
    • perform advanced collection searches such as AND-search, OR-search, XOR-search, etc.

    To read more about browsers and subsets see:

    • browser (what parts make a browser window)
    • browser menu (what important operations can be made on browsers)
    • browser toolbar (what shortcut buttons are available on the browser toolbar)
    • subset learning (how to review only portions of your collection)
    • using subsets (how to use element subsets in SuperMemo)
    • View menu (what kind of browsers are available)

  24. How much do you remember? To help you decide how much you remember and how much work you have to put in different branches of knowledge, SuperMemo introduces the concept of the forgetting index. See: Using the forgetting index

  25. Distributing your own learning material among others: if you would like others to use your learning material, you can follow these steps:
    1. remove from your collection comments and elements that are specific to your own needs (you can use the comments registry or comment filters to keep your own comments in a continually developed collection)
    2. remove your learning process from the collection by running: File : Tools : Reset collection
    3. if necessary, sort your collection by ordinals (numbers that can be used to determine the sequence of learning), by difficulty or by the sequence of elements in the knowledge tree (at the end of Reset collection SuperMemo will ask you if you would like to sort the collection by ordinals or by the knowledge tree hierarchy)
    4. you can redistribute your collection free or commercially without anybody's permission
See FAQs for more answers to questions about SuperMemo. If you still have questions unanswered, please do not hesitate to write. We also welcome your comments about the clarity of this text as well as the choice and the sequence of topics. We always welcome your questions! They help us improve the documentation and ultimately save support costs!


SuperMemo: Introduction

ABC Hints&Tips Overviews Reference Glossary Support
Contents : ABC
ABC of SuperMemo

SuperMemo will help you learn faster! It is enough you spend now 3 minutes reading this page to be able to begin learning!

For a good start, you only need to learn two things:

  1. Add new - add new learning material to SuperMemo (keyboard: Alt+A)
  2. Learn - review the material that you want to remember (keyboard: Ctrl+L)

wpeD.jpg (27365 bytes)

You can now start learning with SuperMemo. Initially you may doubt the power of SuperMemo. Trust it for 1-2 weeks and you will begin to understand it better. Add at least 50-100 questions-answer pairs related to your job, your life, or your interests. See how SuperMemo schedules the material for review. Important! Learn will only ask you to review your material after a few days. For that reason, spend your first days on adding new material for learning.

Summary: The ABC of SuperMemo:

  • A dd new material with Add new (Alt+A)
  • B e sure to review your daily dose of material with Learn (Ctrl+L)
  • C herish the blessing of empowering wisdom! (which in simple English means: Have fun with your new knowledge)

Important reading

  • Beginner's FAQ - questions most often asked by SuperMemo beginners
  • Backup copy - to make sure you never lose your learning investment, you must learn how to back up your learning material!
  • 25 steps to SuperMemo Mastery: User's Guide - this step-by-step course of SuperMemo will help you learn the most important skills of an advanced SuperMemo user in a sequence that will maximize progressive increase in your productivity
  • Starting your first SuperMemo collection - ABC of SuperMemo by Antimoon.com
  • Introduction to SuperMemo for Windows - ABC of SuperMemo written by two Irish teenagers
  • SuperMemo Decalog - SuperMemo beginners tend to make the same mistakes. This text will help you avoid these mistakes and enjoy efficient learning
  • 20 rules of formulating knowledge - the way you put your questions and answers together may determine the degree of your success
  • Incremental reading - adding questions and answers is the "old way" in SuperMemo. The new way is "incremental reading". Incremental reading is slightly more complex and requires more experience. However, it is by far the best way to learn new material imported from the Internet


SuperMemo: Help

Contents : Technical reference : Main menu : Help menu
Help menu

Help on the main menu provides the following options:

  • Welcome - ABC - open the welcome page of help with 3-minute ABC instructions for using SuperMemo
  • Guide - open the step-by-step guide with the most important steps towards mastering SuperMemo (one month course)
  • Contents - open the help's table of contents
  • Troubleshooter - open SuperMemo Troubleshooter
  • FAQ - open the page with the most frequently asked questions about SuperMemo
  • Hints and tips - open the page with the most useful hints and tips
  • Context (F1) - open the page most relevant to the current context. For example, if you are in the contents window, pressing F1 will open the contents window page
  • Web
    • On-line help - open the help file directly from the SuperMemo Website. You can use this option if you cannot find what you are looking for and hope that the updated version of help will be of better assistance
    • Search - search the net for articles about a problem with SuperMemo
    • Search Groups - search Google Groups for messages about SuperMemo
    • News - open the news page on the SuperMemo Website
    • FAQ - open the FAQ page on the SuperMemo Website
  • E-mail
    • Support - open this page on the web
    • Bug report - send a bug report. Remember to always use this option to ensure your system data and the bug context are included
    • Questionnaire - fill out and e-mail your feedback form. This way you can bank on better support and better SuperMemo software in the future
    • Recommend SuperMemo - recommend SuperMemo to a friend via e-mail
  • Question of the Day - equivalent of the tip of the day in other programs. In SuperMemo, tips are formulated as simple questions-and-answers. If you decide to introduce some tips into the learning process, just click the button Remember in the Question of the Day dialog box. If you think a tip is not worth knowing, click Delete. Note that tips in SuperMemo are a mini-metaphor of the SuperMemo paradigm!
  • About - dialog box with the release date of your current SuperMemo. Click Choose picture to change the picture displayed when SuperMemo starts up. If you downloaded SuperMemo from a franchising website, you will also find here the address of your local distributor and information about technical support in your native language; click the underlined reseller's name

If the help file smhelp.chm is not present in the bin subfolder, SuperMemo will attempt to open the up-to-date help material available from the SuperMemo Website. If the file is present and SuperMemo still attempts to connect, choose Tools : Options : SuperMemo : Help system : Microsoft Help (CHM) (the default option Optimize will attempt to connect you to updated help as soon as CHM file becomes outdated)

Important! You can always use the compiled contents of SuperMemo Website to update your help file. For that purpose do the following:

  1. Go to help download page
  2. Download the most up-to-date smhelp.chm file
  3. Copy this file in place of smhelp.chm file in the bin subfolder


SuperMemo: Hints&Tips

ABC Hints&Tips Overviews Reference Glossary Support
Contents : Hints&Tips
Time-saving hints&tips for users of SuperMemo

Beginner level

  1. To add a new question-answer item to SuperMemo press Alt+A and type in the texts. Use Esc to move from the question field to the answer field and to finish
  2. To review your learning material choose Ctrl+L or press the Learn button
  3. To search for all elements containing a given string, press Ctrl+F, type the string, and press Enter
  4. The key Esc is used throughout SuperMemo to close windows, dialog boxes, and to restore defaults such as the default layout, presentation state, default element, etc.

Basic level

  1. To move from the beginner level to the basic level, choose File : Level : Basic
  2. To see the calendar of repetitions, press Ctrl+W (same as Tools : Workload on the main menu)
  3. To master all fundamental skills needed to effectively use SuperMemo, read: Step-by-Step Guide to SuperMemo
  4. If you see an important element, you can increase its priority by pressing Ctrl+Shift+Up (same as Learning : Priority : Increase on the element menu). This will increase the frequency with which the element will be presented
  5. To move an element to another branch in the contents window, press Ctrl+Shift+V, select the new location in the tree and choose Accept (or Enter)
  6. To send an element via e-mail press the e-mail button on the element toolbar
  7. Apart from simple question-answer repetitions, SuperMemo supports incremental reading - a technique that makes reading and learning yet more efficient. Read more: Incremental reading (see also Incremental reading tips below)
  8. To introduce the currently displayed element into the learning process press Ctrl+M (memorize) or choose Remember at the bottom of the element window. Note that Ctrl+M during repetitions is equivalent to re-memorizing the element and re-starting repetitions all over again starting with short intervals. You should use this option in case you substantially reedit the item. This will let SuperMemo know you are dealing with an entirely new piece of information
  9. To completely remove an element from the learning process, choose the button Dismiss. This will make the element invisible to the learning process, but still available for browsing, search, etc. During repetitions, when button Dismiss is not visible, you can choose Ctrl+D to dismiss the current element. To completely delete the element from the collection choose Ctrl+Shift+Del (simple Del will also work in most contexts)
  10. To edit texts in a previously introduced element, find the element, click the text and use editing keys (Q, A, E, Ctrl+E, etc.). To edit texts with a click, Tools : Options : Mouse : Edit texts : On click must be checked (default)
  11. If you suspect a file damage, press Ctrl+F12 and make a quick checkup of your most important files

Middle level

  1. To maximize your learning efficiency, read SuperMemo Decalog
  2. To change the interface font used by SuperMemo, press Ctrl+Shift+O, and choose Fonts : Interface font
  3. To move an element to another collection, press Ctrl+Shift+T and choose the target collection
  4. To create or modify the structure of the knowledge tree read: Knowledge tree
  5. If you change the color of your element, or the size of the components, or their type, etc. you can preserve the "new look" by using templates. Save the present look as the default template with Ctrl+Alt+M (Template : Save as default on the element menu). Use Ctrl+Shift+M to apply a new template. Read more: Using templates
  6. If you want Alt+A (Add new) to add elements only to a given branch in the contents window, select this branch in the contents window and press Ctrl+K. This will create a new category in that branch. To change the category in use, choose in the category combo box on the Tools toolbar. Use Ctrl+Shift+P to move an element to another category by changing the Category field. Read more: Using categories
  7. If you want to learn only the material belonging to a selected branch in the contents window, choose this branch and click Learn at the bottom of the contents window (i.e. not in the element window). See: Subset learning

Professional level

  1. To display the statistics, press F5. You can use layouts to preserve your best window layout setting: arrange the windows the way you like it and choose Window : Layout : Save as default or simply press Ctrl+Shift+F5
  2. To sweep away those pesky toolbars, press Alt+F5. Return to your original layout with Ctrl+F5
  3. If you had a break in learning and cannot cope with outstanding repetitions, use Learn : Postpone
  4. To locate and get rid of the most difficult or badly-structured material use View : Other : Leeches or Tools : Options : Leeches : Wizard. Read more: Leeches in SuperMemo
  5. If you prefer to use keyboard as opposed to the mouse, read about keyboard shortcuts
  6. If you would like to move your repetitions to another SuperMemo, read about XML in SuperMemo
  7. If you want to move an element to the end of the queue of elements awaiting memorization, choose the button Forget (during repetitions, when this button is not visible, you can choose Ctrl+R to accomplish the same). This will delay the introduction of the element into the learning process until the time when all elements from the pending queue have been reviewed
  8. To turn on and off the status bar, check or uncheck Window : Status bar. The same refers to toolbars used in SuperMemo

Incremental reading

  1. To paste an article from your web browser to SuperMemo: (1) switch to the browser, (2) select the text (e.g. with Ctrl+A), (3) copy the text to the clipboard (e.g. with Ctrl+C), (4) switch back to SuperMemo (e.g. with Alt+Tab), (5) press Ctrl+Alt+N in SuperMemo
  2. To manually type in some notes use Ctrl+N
  3. You should use Ctrl+N and Ctrl+Alt+N (as above) as your primary way of adding notes and articles to SuperMemo in incremental reading
  4. To randomize repetitions on a given day, use Ctrl+Shift+F11 (Learn : Random : Randomize repetitions). You should always randomize repetitions if SuperMemo presents more material for review than you can cope with
  5. To review the material belonging to a single subject, open the subject in the browser (e.g. by using Ctrl+F), and use Learning : Review topics or Learning : Review all. Review topics will let you review topics related to the subject. Review all will additionally force mid-interval repetition of all items in the subset (except those that have already been repeated today). See: Subset learning
  6. If you have many pages opened in Internet Explorer, you can import them all with Shift+F8 (Edit : Import web pages)
  7. To postpone all outstanding articles (topics) use: (1) View : Outstanding, (2) Child : Topics (browser menu), and (3) Learning : Postpone (browser menu or Ctrl+Alt+P). You can use this procedure each time you run out of time for repetitions. This way, you will be able to spend your last minutes on making item repetitions (see: active-recall)
  8. To postpone all items in a branch (e.g. To Do branch): (1) choose this branch in the contents window, (2) choose View : Branch (contents menu or Ctrl+Shift+Enter), (3) Child : Items (browser menu), and (3) Learning : Postpone (browser menu or Ctrl+Alt+P)
  9. To ensure the optimum proportion between reading and repetitions, you could divide your work with SuperMemo into two parts: (1) random review of articles and items, and (2) repetitions of outstanding items. Allocate strict time slots for both activities and postpone topics before Step 2. You can also define more steps in which you will gradually reduce the subset of elements subject to review. In your last stage you will only make repetitions of the most important items


SuperMemo: HTML component

Contents : Overviews : HTML
HTML Component

HTML is the default text component in SuperMemo. To be able to use it, you need Internet Explorer. If you want to use the HTML component in incremental reading, you need Internet Explorer 6.0 installed.

There are four ways in which you are most likely to add HTML text to your collection (middle or professional level):

  1. Notes: if you would like to type in some notes that will later be processed with incremental reading, use Edit : Add to category : HTML note (Ctrl+H). Alternatively, to use your own HTML template, use Edit : Add to category : Note (Alt+N). HTML note will use the predefined HTML topic template (same as the original Article template), while Note will use your default topic template of the current category. For example, after hearing a piece of science news on the radio, you may want to quickly type in an note to SuperMemo. Press Alt+N and type in the message
  2. Articles: if you find an interesting article on the net. Select in in your web browser and copy it to the clipboard (e.g. with Ctrl+C). You can then paste the article stored in the clipboard to SuperMemo with Ctrl+Alt+N (Edit : Add to category : Article). Article is similar to Note. The difference is that Article will paste the text from the clipboard to your newly created element
  3. Multiple articles: if you have a couple of articles open in Internet Explorer: use Edit : Import web pages (Shift+F8). Unless you fear the article may disappear from the net, import links rather than whole articles. If you overload incremental reading with thousands of articles, you may wait for months or years before an articles comes to you attention. Using links keeps the size of your collection in check. Huge collections are processed more slowly, are more difficult to back up, and produce more garbage in search results
  4. Files: if you have HTML files saved on your hard disk, use Edit : Add to category : HTML file (Ctrl+Alt+H)

If you want to import an HTML file to an existing HTML component, right-click the HTML component, and choose Import file. Pick the file in the dialog box and choose OK. Your HTML file will be displayed in the HTML component. Import file does not import files linked to by the imported file. However, you can import an entire website located on your hard disk or local network if you use Links : External file on the HTML component menu. In such a case, the HTML file will remain in its original location and retain all relative links.

If you would like to edit an HTML text in your favorite HTML editor, press Ctrl+F9 (or choose Edit : Edit file from the HTML component menu) and your HTML code will open in the HTML editor registered for editing HTML files in Windows.

To preview the HTML in your browser, Ctrl+click the HTML component.

Inserting hyperlinks

To insert hyperlinks that would point to other elements, registry texts, HTML files, URL addresses on the Internet, registry images, etc. read about the option Insert HTML link (HTML component menu).

The HTML component can interpret JavaScript. If you know some JavaScript commands, you can enhance your SuperMemo presentation with scripted HTML components.

See also:

  • FAQ: Using HTML in SuperMemo
  • Text components
  • FAQ: Text components


SuperMemo: HTML link menu

HTML component : Insert HTML link

Use Insert HTML link to insert hyperlinks into the text in the HTML component. Apart from standard hyperlinks, you will also be able to link to other elements or registry members in SuperMemo.

The Insert HTML link submenu includes the following options:

  • Web address (Ctrl+K) - insert a standard hyperlink to any address on the Internet. Before choosing Insert HTML link : Web address, select a text that is to form the hyperlink anchor. SuperMemo will open a dialog and ask you to type in the Internet address (URL). If you click your hyperlink in the presentation mode (e.g. after pressing Esc), SuperMemo will load the linked file from the Internet (or execute another relevant action, e.g. open a new e-mail message to send if you use a "mailto:" hyperlink). Example: (1) select text in your HTML document, (2) press Ctrl+K, (3) type http://cnn.com and press Enter, (4) press Esc (to return to the presentation mode), (5) click on the hyperlink (CNN.com page should show), (6) use the back button (<) or Alt+Left or Esc to return to the original text. Note that once SuperMemo loads an external page (e.g. CNN.com page), HTML component menu is automatically replaced with the standard Internet Explorer menu
  • Element - insert a hyperlink to another element in the collection . When you execute this option, SuperMemo will open the contents window and ask you to choose an element to link to. Once you have selected the element to link to, double click it or click the button Accept at the bottom of the contents window. When you switch back to the presentation mode (e.g. with Esc), and click your new hyperlink, SuperMemo will display the linked element in the element window . To come back to the linking element, click < on the element toolbar (or press Alt+Left )
  • Element number - insert a hyperlink to another element by using that element's physical number. If your text already refers to another element, e.g. #1481, select the element number and choose Element number to immediately link to that element number
  • Text registry - insert a hyperlink to another text in the text registry . Before choosing Insert HTML link : Text registry, select a text that is supposed to be hyperlinked. When you execute this option, SuperMemo will open the text registry and ask you to choose a text to link to. Once you have selected the text in the registry, double-click it or click the button Accept at the bottom of the text registry window. When you switch back to the presentation mode (e.g. with Esc), and click the new hyperlink, SuperMemo will display the hyperlinked text
  • HTML file - insert a hyperlink to a stand-alone HTML file. Before choosing Insert HTML link : HTML file, select a text that is supposed to be hyperlinked. When you execute this option, SuperMemo will open a file dialog and ask you to choose an HTML file available on your hard disk or on a network drive. Once you have located the file, click Open. When you switch back to the presentation mode (e.g. with Esc), and click the new hyperlink, SuperMemo will load the linked file into the HTML component . To come back to the previously displayed text, choose Back on the HTML menu
  • Registry image - insert an image from the image registry . When you execute this option, SuperMemo will open the image registry and ask you to choose an image to link to. Once you have selected the image, click the button Accept at the bottom of the image registry window. Your HTML component will now display the selected image inserted in your HTML code
  • Registry script - insert a link to a SuperMemo script. Select a text and choose this option to open the script registry. Double-click the script to link to. Once you click on a link to a script, the script will be executed in the same was as it is executed via script components

Using Insert HTML Link : Web address you can also create hyperlinks based on various protocols such as ftp, file, mailto, etc. You can also link to MS Office applications. For example Outlook:Calendar link will open the calendar in your MS Outlook


Installing SuperMemo (for beginners)

Contents : Overviews : Installation
Installing SuperMemo

Installation in seconds

You can install SuperMemo in seconds by simply running the downloaded file sm2004zip.exe or sm04inst.exe and then running sm2004.exe. Skip the rest of this file. It was written for those who are less experienced with computers!

Un-installation in seconds

SuperMemo does not install any files in folders other than its own. It does not pollute your Windows with DLLs. To uninstall, simply delete the folder in which you installed SuperMemo

Installing SuperMemo for Beginners

If you already know the basics of using Windows such as copying files, creating directories, etc. you can skip blue insert boxes

You will always download all components to the same folder/directory, for example c:\sm2004 and run downloaded EXE file(s). This will create all files and place them in appropriate locations. Only help file is provided in its native chm format and should be downloaded to bin subfolder

Depending on the source of your SuperMemo, you will obtain it in one of the three basic forms:

  • sm2004zip.exe - self-extracting SuperMemo (once you run it, it will extracts its files to the folder in which it is placed)
  • sm04inst.exe - Installation Wizard will download, update and/or install SuperMemo (depending on your current installation and configuration)
  • sm2004.zip - zipped stand-alone SuperMemo (sm2004.exe)

This text describes the following procedures:

  1. Installing SuperMemo
  2. Providing the password
  3. Installing help
  4. Installing collections downloaded from SuperMemo Library (including Palm and Windows CE)
  5. Installing SuperMemo 2004 over SuperMemo 8, SuperMemo 98/99 or SuperMemo 2000/2002
  6. Installing SuperMemo 2004 over Advanced English
  7. Where is my SuperMemo?

See also: Frequently asked questions

Installing SuperMemo 2004

  1. Create a new folder/directory in your computer in which you will keep all files used by SuperMemo. For example, create a folder c:\sm2004 on your drive C:
    This is how you can create a folder/directory c:\sm2004 in Windows:
    1. Double-click the icon My Computer on your desktop
    2. Double-click the icon (C:)
    3. Choose File : New : Folder on the menu (note that a new folder will have been created ready to accept a new name)
    4. Type SM2004 to replace the default name of the new folder: New folder (or New folder (2)), etc.
    5. If the computer says Cannot rename ..., you must have already created folder c:\sm2004
  2. Download SuperMemo 2004 from SuperMemo Store
    This is how you can download SuperMemo 2004:
    1. Go to SuperMemo 2004 page at SuperMemo Store
    2. Click Order
    3. Fill out the order form (remember to correctly fill out the billing address which should be your cardholder address, not your current residence address)
    4. Click Place a secure order
    5. Click SuperMemo 2004 download icon
    6. Choose Save when your browser asks you if you want to Open or Save the file to be downloaded
    7. In the File Save dialog box go to the folder created in previous steps (in our case c:\sm2004), or simply type the path to which to save, e.g. c:\sm2004\sm2004zip.exe or c:\sm2004\sm04inst.exe
  3. Run the file sm2004zip.exe or sm04inst.exe, e.g. by double clicking its icon in Windows. Once you run it, it will create the file sm2004.exe which is the proper SuperMemo program
    This is how you can quickly run the SuperMemo installation file downloaded from the Internet:
    1. Click the button Start on the taskbar
    2. Choose Run on the menu
    3. Type in the name of the file. In our case it is: c:\sm2004\sm2004zip.exe or c:\sm2004\sm04inst.exe
  4. Add SuperMemo icon to your desktop (if you have not add it with Installation Wizard sm04inst.exe)
    To add a SuperMemo 2004 icon to your Windows desktop and to your Start menu:
    1. Run SuperMemo 2004 (as described above)
    2. Choose File : Installation : Install icons on the menu

    Now or in the future, you can run SuperMemo by double-clicking the created icons.
    To delete icons in Windows, right-click over the icon and choose Delete

    See: Where is my SuperMemo? to find out about yet another method for creating a SuperMemo icon

  5. Run SuperMemo by double-clicking the icon created in the previous step. Read ABC of SuperMemo to start your speed-learning adventure. It is also recommended that you download and install SuperMemo Help file
  6. Within one business day since ordering SuperMemo, we will contact you with instructions how to input the password needed to continue your work with SuperMemo. Read below about providing the password
  7. If you have any doubts about any of the steps of the installation procedure, please do not hesitate to write. Even if you are a computer novice, you should not be shy or afraid of asking questions. By understanding your problems we can better support other users in the future

Providing password

SuperMemo 2004 is protected with an unlock password. Without a password it can only run for a limited period of time. To better understand the reasons for which we introduced the password, read about Unlocking SuperMemo. Within a business day since buying the program, we will contact you via e-mail and provide you with the unlock password and further instructions.

Important! You should not be afraid of losing the password. Once you input it in SuperMemo, you are not likely to ever need it again. If you ever see the red bar again, it is enough to open any of your previously used collections to restore the program to full functionality. If you lose the password and all your collections, you can always get the password back from us.

You should input the password using File : Installation : Input password. Alternatively, you can just continue using SuperMemo and it will at some point ask you to input the password. If the option Input password is grayed, your SuperMemo has been already unlocked (no action necessary).

Installing help

SuperMemo Help provides detailed instructions for using SuperMemo and a number of overviews useful for the student. You can either use SuperMemo Help on-line at www.supermemo.com/help or you can download the help file that will make it possible to view the help off-line (this file also includes all articles available from SuperMemo Website). If you have a good access to the Internet, it is recommended that you use on-line help. On-line help is constantly being updated upon discovering errors or pages that need clarification.

This is how you can install SuperMemo Help for viewing it off-line:

  1. Go to SuperMemo Help download page
  2. Download SuperMemo Help or short SuperMemo Help and save it in the SuperMemo bin subfolder (e.g. as c:\sm2004\bin\smhelp.chm)
  3. Run SuperMemo 2004
  4. Press F1 to open the help file off-line (i.e. without connecting to the Internet)

Note that once your chm file becomes outdated, SuperMemo will automatically attempt to connect you with the page on the web from which you can download an update. If you do not wish that to happen, choose Tools : Options : SuperMemo : Help system : Microsoft Help (CHM) (otherwise leave the default setting, i.e. Tools : Options : SuperMemo : Help system : Optimize). If you prefer SuperMemo to always open the most recent help pages directly from SuperMemo Website, choose Tools : Options : SuperMemo : Help system : Internet Help

Installing collections downloaded from SuperMemo Library

  1. If you have not installed SuperMemo yet, start with Installing SuperMemo 2004 (or your Windows CE or Palm version)
  2. Download the collections you plan to install (you can download commercial collections from SuperMemo Store or freeware collections from SuperMemo Library). Always download to the SuperMemo folder (e.g. c:\sm2004 by default in Windows version). Remember to save with the extension EXE to be able to execute the file
  3. Run the downloaded file, e.g. by double clicking its icon in Windows. Once you run it, it will create all collection files in the folder systems located in the SuperMemo folder (c:\sm2004\systems\ by default). Remember that the downloaded file must be located in the SuperMemo directory!

Notes:

  1. Users of SuperMemo CE and SuperMemo for Palm Pilot should import text files located in each collection's txt folder. For example, if you have run RomanceMix.exe in e:\romance, your Spanish vocabulary material will be importable from e:\romance\systems\Basic Spanish\txt\spanish.txt (refer to your SuperMemo for Pocket PC or for Palm manual for import instructions)
  2. If your collections are in SuperMemo 98/99 or 2000/2002 format, SuperMemo 2004 will upgrade them instantly at first opening with File : Open collection
  3. SuperMemo 2004 automatically installs true type fonts that ship with your collection. Only Classical Greek comes with non-true type fonts. If you downloaded Classical Greek, please have a look below
    This is an exemplary procedure for downloading and installing Medical Biology in Windows:
    1. Go to SuperMemo Library page at SuperMemo Store
    2. Click Medical Biology
    3. Click Order
    4. Fill out the order form
    5. Click Place a secure order
    6. Click the download icon
    7. Choose Save when your browsers asks you if you want to Open or Save the file
    8. In the File Save dialog box point to the SuperMemo folder/directory (c:\sm2004 by default), or simply type the path to which to save, e.g. c:\sm2004\medbiol.exe
    9. Run the downloaded file (e.g. click Start, click Run and type in the name of the file such as c:\sm2004\medbiol.exe). This will create Medical Biology files in the folder systems (e.g. c:\sm2004\systems\medbiol.kno, etc.)
    10. Run SuperMemo (e.g. by double clicking its icon created earlier)
    11. Choose File : Open in SuperMemo
    12. Choose the file medbiol.kno
    13. Choose the button Learn in SuperMemo to start learning

Installing SuperMemo 2004 over earlier installations

This is how you can install SuperMemo 2004 over SuperMemo 8, SuperMemo 98/99 or SuperMemo 2000/2002 downloaded from the Internet or installed with SuperMemo CD-ROMs such as Advanced English, MegaMix, etc. Please read these instructions carefully. You should avoid using older versions of SuperMemo along SuperMemo 2004! This will prevent compatibility problems.

  1. Download SuperMemo 2004 from SuperMemo Store and save the downloaded file in your SuperMemo 8 or SuperMemo 98/99/2000/2002 folder (usually c:\sm8, c:\sm98, c:\sm99, d:\sm8, d:\sm98, d:\sm2000, e:\sm2002, or c:\adveng, c:\megamix, etc.)
  2. Run the file sm2004zip.exe or sm04inst.exe, e.g. by double clicking its icon in Windows. Once you run it, it will create the file sm2004.exe which is the proper SuperMemo 2004 program
  3. At installing SuperMemo 2004, it will prompt you to rename the old SuperMemo extension (file type) from exe to old thus inactivating it. It is recommended that you approve
  4. Once you open your collections in SuperMemo 2004, they will automatically be upgraded. Only the windows layout may change slightly. You can adjust the layout and save it with Ctrl+Shift+F5
  5. Within one business days since ordering SuperMemo, we will contact you with instructions how to input the password needed to continue your work with SuperMemo. Read above about providing the password

Where is my SuperMemo?

If you are not sure what is the location of SuperMemo on your computer, you can always find it using your Windows:
  1. Click Start on the taskbar
  2. Click Find
  3. Click Files or Folders
  4. Type in the name of the file in the field Named using the following selection:
    • sm2004.exe - if you are looking for SuperMemo 2004 (remember not to put spaces before or after the dot)
    • sm2002.exe - if you are looking for SuperMemo 2002
    • sm2000.exe - if you are looking for SuperMemo 2000
    • sm99.exe - if you are looking for SuperMemo 99
    • sm98.exe - if you are looking for SuperMemo 98
    • sm8.exe - if you are looking for SuperMemo 8
    • sm04inst.exe - if you are looking for SuperMemo 2004 Installation Wizard
    • sm2004zip.exe - if you are looking for the location of the SuperMemo 2004 installation file downloaded from the Internet
    • sm2002zip.exe - if you are looking for the location of the SuperMemo 2002 installation file
    • sm2000zip.exe - if you are looking for the location of the SuperMemo 2000 installation file
    • sm99zip.exe - if you are looking for the location of the SuperMemo 99 installation file
    • smhelp.chm - if you are looking for SuperMemo Help
    • sm*.exe - if you are looking for SuperMemo downloaded from the Internet and you do not remember exactly what files you have downloaded (see the file date stamping to figure out which has just been downloaded)
  5. All locations of the searched file will be displayed in the column In Folder
  6. You can double-click files located in the column Name to run them. You can also drag them to your Windows desktop to create a new icon. For example, if you drag files named sm2004, you will create a new SuperMemo 2004 icon
  7. If you have problems locating SuperMemo, remember that you might have renamed its original file (e.g. when supplanting an earlier version)

Frequently Asked Questions

(Robert Whitinger, USA, Mar 4, 1999)
Question:
I installed smhelp.chm file in the bin folder but SuperMemo still attempts to connect me with the Internet help!
Answer:
Make sure that you choose Tools : Options : SuperMemo : Help system : Microsoft Help (CHM). If you choose Optimize instead of Microsoft Help, SuperMemo will always check the date of your chm file, and if it becomes outdated, it will attempt to connect you with the newer version of the same help page on the Internet

(Eugene Holst, USA, Aug 31, 1999)
Question:
I am using the Classical Greek but I'm not getting the Greek characters, but some strange symbols instead. I copied the font called graeca.fon from the sm2004\systems\... folders to my d:\Windows\Fonts folder. Is there something else I have to do to have the font available in Windows 95?
Answer:
Yes. Instead of just copying fonts you should install them. Use Control Panel : Fonts : Install New Font. In the Folders panel, choose the location where your graeca.fon font can be found (here: sm2004\systems\graeca\font\graeca.fon). In rare instances, if Install New Font is not visible, you may have to reinstall Windows or try to set the System attribute on the font folder in Windows (this problem appears in some OEM installations of Windows and is not related to SuperMemo)

You can use F1 to access on-line help (#6433)
(Garry Gross, Sat, Sep 01, 2001 10:45 AM)
Question:
Why I should not be able to just hit F1 to get help after installing SuperMemo?
Answer:
F1 will work. However, this way you will access the on-line help. This is a recommended way of using the documentation due to daily updates and corrections. Only if you want to use off-line help, you need to download the help file. This file is not included with SuperMemo for the following reasons:

  • it would increase the size of the download five-fold
  • it requires Internet Explorer installed
  • on-line help is more up-to-date


Installing SuperMemo (in a minute)

Contents : Installation
Installing SuperMemo

To install SuperMemo on your computer do the following:

  1. Order and download
  2. Run the downloaded file (sm2004zip.exe or sm04inst.exe)
  3. Run sm2004.exe (created while running the exe in the previous step)
  4. Unlock SuperMemo with your unlock password sent in response to your order

If you are a computer beginner, please read Installing SuperMemo for Beginners. You will find there step-by-step instructions on downloading, copying files, installing learning material as well as upgrading from earlier versions of SuperMemo

Un-installation in seconds

SuperMemo does not install any files in folders other than its own. It does not pollute your MS Windows with DLLs. To uninstall, simply delete the folder in which you unzipped sm2004zip.exe. If you installed with sm04inst.exe, you can also use uninst.exe from the uninst folder to uninstall SuperMemo without uninstalling your learning material


SuperMemo: Language tab in Options

Options : Language

Language tab in Tools : Options provides options that make it possible to help international users use a given collection:

Here is the interpretation of individual fields in the Language section:

  • Program - this field is provided for information only. It shows the language version of SuperMemo. You cannot change this field
  • Collection translation - makes it possible to select the language to which the collection will be translated. If registry files with the relevant translation exist, you will be able to see the translation of individual texts (e.g. with a mouse move or middle mouse button depending on the mouse settings). If such files do not exist, they will be created and you will be able to begin translating your collection with Ctrl+click as long as you use plain text components.You can use the button Delete to delete the currently used translation registry. See more: Translating collections to other languages
  • Translation font - choose a font that will be used to displayed text translations
  • Translate sounds on mouse move - if this box is checked and the instant translation is used (Tools : Options : Mouse : Translation : On mouse move), sound components will be translated on mouse move in the same way as text components. If you uncheck this box, only text components will be translated
  • Localization language - choose the language of the interface used by SuperMemo at the beginner and basic levels. You can create a new interface in 5 minutes by using Localization table
  • Localization table - the full list of strings used by SuperMemo at the beginner and basic levels. You can translate this list in 3 minutes to your native language and thus localize SuperMemo. If necessary, you can also choose a translation font in the lower left corner of the localization table dialog box. You can find some national language interfaces here
  • Phonetic transcription - choose the phonetic transcription for the language you are using in your collection. We are constantly working on the phonetic transcription registry of English (currently 72,000 entries and still growing). This registry is available from SuperMemo Library

FAQ

(Dusko Ivanisevic, New Zealand, Oct 1, 1998)
Question:
How can I add phonetic transcription to some words?
Answer:
Press Ctrl+Alt+Q and type in the word and its transcription. If the transcription dialog does not appear, you have not chosen phonetic transcription in Options. In such a case do the following:

  1. Choose Tools : Options : Language : Phonetic transcription
  2. Select ready-made transcription file or type in a name for new phonetic transcription registry (in the latter case, you will be building phonetic transcription registry from scratch)
  3. If necessary, choose Font on the left to select phonetic transcription font (e.g. IPA font available from Advanced English)
  4. Once a given word appears on the screen, press Alt+Y to transliterate all texts (or use on-mouse-move transliteration)


SuperMemo: Learn

Contents : Overviews : Learning
Learning with SuperMemo

Learning with SuperMemo is based on repetition (see why).

The button Learn (bottom-left in the picture) makes it possible to learn the material stored in SuperMemo :

Warning! Your first repetitions will come up only in 3-5 days after you add new material. Before they are due, you will only see "Nothing more to learn". This is normal. If Learn does not ask any questions, use Add new to add more material

Repetition cycle

When you press Learn, SuperMemo will ask you to make repetitions (i.e. review due material). In each repetition you will do the following:

  1. Look at the question and try to answer it (mentally or verbally)
  2. Choose Show answer (at the bottom of the screen) to see the correct answer
  3. Compare your response (from Step 1) with the answer displayed on the screen (in Step 2)
  4. Choose a grade that will reflect the accuracy of your response (e.g. Good, Fail, etc.) (look below for grade details)
  5. Choose Next repetition to continue (and go back to Step 1)

The repetition cycle may be shorter. If the repetition is passive (e.g. reading an article), you may immediately jump to the Next repetition stage.

Do not look at the timer, the response time is ignored when measuring your performance.

Grades

The grades are defined as follows (keyboard shortcuts in parentheses):

REMEMBERING

Bright (press 5), excellent response
Good (press 4), correct response provided with some hesitation
Pass (press 3), answer recalled with difficulty; perhaps, slightly incorrect

FORGETTING

Fail (press 2), wrong response that makes you say I knew it!
Bad (press 1), wrong response; the correct answer seems to be familiar
Null (press 0), complete blackout; you do not even recall ever knowing the answer

Grading tips:

  • Important! You only have to understand the difference between Pass and Fail!
    • Pass and more means remembering!
    • Fail and less means forgetting!
  • your grading does not have to be very scrupulous as long as you always grade yourself consistently and clearly differentiate between Pass and Fail. With time you will develop strong habits that will help you select grades automatically without much thinking
  • instead of clicking a grade button you can just press a keyboard shortcut (e.g. 5 to choose Bright or 2 to choose Fail)

Regular repetitions are the key to success with SuperMemo

In SuperMemo you first memorize the material and then review it when the program asks you to do so.

You memorize new material at your own pace but once it is memorized, you must make repetitions exactly as demanded by SuperMemo. This is not a limitation of the program. This is a limitation of human memory!

The power of SuperMemo is in providing the best timing for repetitions. Optimally, you should work with SuperMemo every day! This way you will not accumulate outstanding material and you will not deviate from the optimum schedule of repetitions!

Your repetitions should proceed daily until the following equivalent conditions are met (if one of these conditions is met, so are the others):

  • you see the message: Nothing more to learn
  • Outstanding equals to 0+0 in the statistics window (or simply 0)
  • the second field of the status bar displays (0+0)/x, for example: (0+0)/23 (or simply 0)
  • the progress bar on the status bar becomes blue (or is inactive)

Failing to do your daily repetitions is the most important reason for not having success with SuperMemo!

Learning stages

Each day, your learning will proceed in three stages:

  1. Repetitions - reviewing material that has been memorized earlier (to make sure you do not forget it)
  2. Memorizing - if you have time, you can memorize new material by answering Yes to Do you want to learn new material? (this message is suppressed until you memorize your first 100 elements)
  3. Final drill - reviewing material that caused most problems in the first two stages of learning (Skip final drill must be unchecked in Options)

Important! In incremental reading, during the Repetitions stage you will also read new articles and memorize their portions. The role of the other two stages (Memorizing and Final drill) in incremental reading is diminished

See also:

  • FAQ: questions about learning with SuperMemo
  • FAQ: questions about learning and memory


SuperMemo: Learn menu

Learn menu

The Learn submenu of the main menu provides the following options:

  • All stages - proceed with all stages of the learning process: (1) review the outstanding material, (2) learn new material, and (3) go through the final drill. In the first stage, repetitions scheduled for the current day and all preceding days are executed. In the second stage, new elements are memorized (if available in the pending queue). In the third stage, final drill is executed in which all elements that scored a grade below good (i.e. 4) are repeated until they all score at least good (final drill is executed only if Skip final drill is unchecked in Options). Learn : All stages is equivalent to choosing the button Learn at the bottom of the element window or pressing Ctrl+L
  • Selected stages - execute only one of the learning stages:
    • Outstanding material - proceed with repetitions of the outstanding material. Repetitions scheduled for the current day and all preceding days are executed
    • New material - memorize new material. Elements are introduced to the learning process in the order in which they are stored in the pending queue
    • Final drill - repeat only elements scheduled for the final drill, i.e. all elements that have scored less than Good during earlier repetitions (or have been introduced to final drill manually)
  • Postpone - postpone outstanding repetitions or dilute the learning process
    • Topics - postpone all outstanding topics
    • Items - postpone all outstanding items
    • All - postpone all outstanding items, topics and tasks (i.e. postpone all outstanding elements)
  • Random
    • Randomize repetitions (Ctrl+Shift+F11) - randomly mix all outstanding repetitions scheduled for today. Once you realize you are not able to keep up with the outstanding material, using Randomize repetitions is recommended. This option helps you better understand the structure of the outstanding material and how to remedy the backlog in the future. It also prevents discriminating against the length of the inter-repetition interval. See also: Incremental reading
    • Random learning - learn new elements by randomly reviewing the entire collection (compare Contents : Learn)
  • Cut drills - delete items scheduled for final drill (i.e. the last stage of Learn : All stages). Final drill elements are stored in the file <collection folder>\info\drill.dat . . Cut drills simply deletes this file and makes it possible to skip the final drill state. You can skip the final drill if you have a great deal of outstanding items. In such cases, catching up with the outstanding material is of highest priority


SuperMemo: Learning in Options

Options : Learning

Learning tab in Tools : Options (Ctrl+Alt+O) provides options affecting the way you learn:

This is the interpretation of individual fields:

  • Forgetting index determines the default requested forgetting index. This forgetting index will be used by all newly created categories. As a result, all new items added to those categories will reuse this forgetting index by default. Forgetting index determines the speed of learning. When you first run SuperMemo, it is set at 10%. This means that SuperMemo will tune the learning process in such a way that you will stand 10% chance of forgetting any given item at repetitions. You can reduce the forgetting index to 3% at the cost of a significant slow-down of the learning process. You can also increase it up to 20% to greatly increase the speed of learning at the cost of knowledge retention. Increasing the forgetting index further makes little sense as both retention and the speed of learning will decrease (you can read about it in Theoretical aspects of SuperMemo or see it for yourself by using Tools : Statistics : Simulation). All individual items can have their individual forgetting index set with Edit : Edit parameters on element menu (Ctrl+Shift+P). Before you change that value, however, the default forgetting index will be determined by the default value of the parent category, which in turn is taken from the setting at Tools : Options : Learning : Forgetting index. Read more: Forgetting index
  • Always randomize final drill - scramble the sequence of repetitions in the final drill before moving to the final drill stage
  • Skip final drill - do not create the final drill queue. Final drill is an accessory tool that must always be considered lower priority than reviewing the outstanding material. For that reason, in a heavily overloaded incremental reading process you may come to a point where your learning session always ends with Postpone. If this is the case, building the final drill queue makes little sense
  • Full repetition history - keep the full history of repetitions of all individual elements. History of repetitions can be viewed by double clicking element data window or by choosing History in Edit : Edit parameters on element menu (Ctrl+Shift+P). History of repetitions is not used in the learning process, however, you need it to inspect past retention, past repetitions, etc.
  • Midnight clock shift - the number of hours after midnight on which the new repetition day begins. For your convenience you should put the midnight-clock-shift value to the middle of your average night. For example, if your average sleeping hours are 23:00 - 7:00 (i.e. 11 p.m. - 7 a.m.), the middle of your night comes at 3 a.m. If you then set your midnight shift at 3 a.m. you are least likely to be in a situation when you need to change the midnight clock shift to correctly execute repetitions belonging to a given working day. If on occasion you come back home late at 2:30 a.m. and are still able to make repetitions, SuperMemo will behave like there was no date change at midnight. On the other hand, if you wake up at 3:30 a.m. and decide to make repetitions at that time, SuperMemo will already consider those repetitions as belonging to the new day. Midnight clock shift is extended to 16 hours for people in shift work and those who work in unusual hours (e.g. as a result of suffering from DSPS or ASPS sleep disorders). The change of date will not occur until you restart SuperMemo. For that reason, you should always close SuperMemo for the night
  • Sound feedback - decide the way SuperMemo will react to passing and failing grades:
    • None - provide no sound feedback
    • Default - use default Windows sounds to indicate bad and good grades
    • Custom - define your own sounds with Options : Learning : Custom sounds (see below)
  • Custom sounds - if Options : Learning : Sound feedback is checked, Custom sounds makes it possible to pick sound registry members for grade sound feedback. For example, if you have a low beep in sound registry member named Fail, and a cheerful Tada signal named Tada, you can type in those two names at Custom sounds: Success=Tada, Failure=Fail. You can test the sounds by pressing play buttons on the right. To import sounds to sound registry use Search : Sounds and choose Import files on the registry menu


SuperMemo: Leeches

Contents : Overviews : Leeches
Leeches

Difficult material: leeches

Material can be inherently difficult (e.g. numbers, sets, enumerations, etc.) or can be wrongly formulated. Mnemonic techniques and other tools can be used in tackling inherently difficult material (see: 20 rules of formulating knowledge in learning)

Important! A small proportion of difficult material in SuperMemo can consume a large proportion of your time

The term leech is used in SuperMemo to refer to ill-formulated items. An element is called a leech when it meets user-defined leech criteria such as number of memory lapses and current interval. These parameters can be defined when using View : Other : Leeches (Shift+F3). An element becomes a leech when the number of memory lapses passes a defined limit. However, an element is no longer considered a leech if this is remembered beyond a certain interval (independent of the number of lapses).

Leech Hunting Options

Although View : Other : Leeches (Shift+F3) can be used to review, delete and reformulate leeches, the best approach to tackling most persistent leeches is to review them in detail one by one in the course of the learning process. In Tools : Options : Leeches, you can select the following leech management options:

  • None - no leech management. During repetitions SuperMemo will treat leeches in the same way as other elements

  • Wizard - upon encountering a leech during repetitions, SuperMemo will open a Leech alert wizard (see below). This is the recommended choice for rational supervision of the learning process

  • Auto-forget - upon encountering a leech during repetitions, SuperMemo will automatically remove the leech from the learning process and put it at the end of the pending queue (i.e. the queue of elements awaiting memorization)

  • Auto-postpone - upon encountering a leech during repetitions, SuperMemo will automatically reset the learning parameters of the element and schedule it for repetition after a sufficiently long interval. Quite often, taking a break from repetitions of a leech may help overcome an erroneous memory pattern. For example, if you tend to confuse Nigeria and Niger on the African map, taking a 50-100 days break from making repetitions on this subject may actually resolve the confusion by cleaning your memory from erroneous traces. Once you consciously re-memorize the position of both countries on the map, the problem may be solved once and for all. Important! Auto-postpone may also produce infinite leech loops in which you will indefinitely try to postpone ill-structured material never actually solving the problem!

Include semi-leeches checkbox can be used to tighten leech criteria. A semi-leech is an element that is one memory lapse away from becoming a leech. For example, if a leech is defined as an element with five or more lapses and an interval up to 60 days, an element with four lapses and 1000 day interval will be a semi-leech. If your collection is well-structured and you do not encounter many leeches, you can turn Include semi-leeches on to tighten leech supervision.

Leech Alert Wizard

If you choose Tools : Options : Leeches : Wizard, the following dialog will be displayed each time you encounter a leech during repetitions:

This is the function of individual controls:

  • Continue - continue with repetitions without taking any action (Esc)

  • Show answer (default action) - show the answer to the question posed by the leech

  • Help - display this page

  • Lapses - graphically displays the number of memory lapses

  • Interval - graphically displays the length of the current interval

  • Postpone - reset the leech and schedule it at an interval defined in Postpone interval field

  • Edit - edit the leech

  • Forget - remove the leech from the learning process

  • Dismiss - remove the leech from the learning process and the pending queue (i.e. dismiss the leech)

  • Delete - delete the leech and all its children

  • Auto-postpone - turn on the auto-postpone mode

  • Auto-forget - turn on the auto-forget mode

  • Include semi-leeches - allow of evoking the leech alert on semi-leeches

  • Parameters - edit element parameters (e.g. forgetting index)

  • Reschedule - reschedule the leech by specifying the next repetition date

  • Save layout - save the current layout and preserve the position of the leech alert wizard

  • Bright-Null - grades that can be used to evaluate your response to the question posed by the leech (these act in the same way as grade buttons in the element window)

Recommended leech strategy

  • If you learn large volumes of items and you can afford lower retention, turn Auto-forget

  • If you are not sure you can use Auto-forget due to higher retention requirements but still press on high speed of learning, use Auto-postpone

  • If you want to eliminate leeches without scarifying retention choose Wizard in leech management options

If you use the wizard, make the following choices upon encountering a leech:

  • For less important leeches, choose one of the following in the increasing order of leech importance:

    1. Delete or Dismiss (use dismiss if the leech may include valuable children or if you want leave it for future reference)

    2. Forget (the leech will come back once you memorize the whole pending queue)

    3. Postpone (the leech will come back after the period defined in Postpone interval passes)

    4. Reschedule (use Reschedule to bring the leech at a specified interval that may be shorter than Postpone interval)

  • If you cannot make an evaluation without actually responding to the leech question, choose Show answer and reevaluate the leech. If you recall the answer correctly, you should rather grade your response and defer your action until the next repetition (chances are, your leech will fall out from the leech criteria)

  • The most efficient method of dealing with leeches is to choose Edit; however, you will need lots of experience to figure out how to properly formulate the material, split it into smallest possible components and use mnemonic techniques (see: 20 rules of formulating knowledge)

  • If you do not know what to do with a given leech, you can just press Esc and continue with repetitions. Warning! This can easily become a habit and all the idea behind the leech alert will be defeated! Before using Esc becomes automatic, read this text carefully and learn to make your leech-related decision!

Defining and viewing leeches

The option View : Other : Leeches (Shift+F3) can be used to locate leeches in your collection. This option uses the element filter dialog box that can be used to find all element meeting a specific set of criteria such as the number of repetitions, number of memory lapses, length of the current interval, status (memorized, pending, or dismissed), type (item, topic or task), etc.

The purpose of locating leeches is to reedit most intractable items with a view to applying appropriate mnemonic techniques. Alternatively you can reset elements (e.g. to deal with them later), dismiss them (to use them only as reference, e.g. with Search : Find elements), or simply delete them.

A new powerful tool against leeches is a possibility of exporting your leeches to a handheld device (see: Revolution in the pocket). Although, it may seem that pocket repetitions are usually done in conditions of lesser focus, working in the leech-only mode sets your brain onto an emergency alertness level. You approach repetitions differently if recall failure is expected. At time, this is enough to wrap your mind around harder material and gradually reduce the leech load.

To maximize the effectiveness of the learning process, you should learn to use View : Other : Leeches and periodically remove from your collection most intractable and badly structured material.

filter.jpg (31675 bytes)

The following fields can be used to select the minimum and the maximum values that fall into the range defined for difficult elements:

  • Repetitions - number of repetitions made with a given element. This is not a good criterion for defining leeches and it turned off by default
  • Lapses - number of times a given element was forgotten. This is the primary field for defining leeches. For example, if you want to find all elements that have been forgotten at least 5 times, set Minimum at five and Maximum at 100 (or other value that is greater than maximum number of lapses)
  • Interval - number of days between the last repetition and the next repetition. You might want to limit intervals to some value (e.g. 1 to 50 days) to account for the fact that even elements that have been forgotten many times may be disregarded as leeches if they had passed a certain length of interval without being forgotten
  • Last repetition - number of days between the first day of the learning process and the last repetition date (see Tools : Workload to view day numbering). This field should not be used in searching for leeches
  • Next repetition - number of days between the first day of the learning process and the next repetition date. This field should not be used in searching for leeches
  • A-Factor - value of A-Factor assigned to a given element. This is not a good criterion for defining leeches. If you want to use if, choose the lower range of A-factors (e.g. from 1.3 to 1.5)
  • Forgetting index - probability of forgetting a given element during each repetition. The forgetting index is set by the user and is by no means a reflection of element difficulty. You might use it however to locate items of lower priority (e.g. as defined by a higher forgetting index). By using the forgetting index field you might sharpen the leech criteria for elements that are of lower priority. For example, you might decide to reset all leeches and be more strict with resetting elements to which you assigned a higher forgetting index
  • Ordinal number - ordinal number assigned to a given element. The ordinal number is set by the user and is by no means a reflection of element difficulty. You might use it however to locate items of lower priority (e.g. as defined by a higher ordinal numbers). This way you might sharpen the leech criteria for elements that are of lower priority

If you do not want to use a given criterion, uncheck the check-box associated with a given field. If you do want to use it, check the check-box and specify appropriate minimum and maximum values.

By definition, all leeches are memorized items. This is why Type and Status fields of the element filter are disabled.

Once you click OK, all leeches meeting the specified criteria will be found and will be displayed in a browser. You can then use Learn in the leech browser (Ctrl+Alt+L) to make repetitions in the leech subset only.

Using Tools : Random test : Leeches you can run a random test on all leeches. However, you should remember that part of the leech problem is repetition that is too frequent (i.e. causing the spacing effect). This is why Auto-postpone and Auto-forget are so efficient. This is also why leeches are much less of a problem in heavily overloaded incremental reading.

Leech parameters are stored between sessions in the file <supermemo folder>\<systems>\<collection name>\collection.ini in the section [Leech]

FAQ

You can clear the Leech Alert with Esc
Semi-leeches cannot be auto-forgotten

You can clear the Leech Alert with Esc
(Jens Buurgaard Nielsen, Denmark, Thursday, August 09, 2001 9:53 PM)
Question:
Leech alert: Nice feature, but I hate that per default, the leech window becomes active. I don't want to move my mouse to another window to do the grading. I often use Space bar to activate the default button, and sometimes, it automatically moves to Postpone when I intended to grade myself Good
Answer:
You can either disable leech alert entirely in Options or just clear it with Esc and continue the repetition cycle using standard keys

Semi-leeches cannot be auto-forgotten
(Mike Condron, USA)
Question:
Why can I not choose Include semi-leeches in leech manager for auto-postpone or auto-forget?
Answer:
Semi-leeches are not leeches. They can be scheduled for repetition at very long intervals. Removing them from or reintroducing them to the learning process would be highly wasteful


SuperMemo: Levels

Program levels

File : Level menu makes it possible to adapt the functionality of SuperMemo to your proficiency level. Use lower levels in the beginning and move to higher levels as your knowledge of SuperMemo advances:

  1. Beginner level - this is the default level that provides only the most essential operations for using the program, i.e. adding new material and learning it (see the picture below)
  2. Basic level - this level builds upon the beginner level and introduces learning management functions such as Forget, Remember and Dismiss. It also introduces functions for editing the knowledge tree: Add, Sibling, Insert, etc.
  3. Middle level - this level introduces collection management functions (Delete collection, Copy collection, etc.), editing components, advanced search functions and browsing functions, Options, Mercy and layout management
  4. Professional level - this level provides full functionality of SuperMemo for advanced users (see the picture composite below)

The levels in SuperMemo can be changed by means of File : Level. Additionally the shortcut Ctrl+Alt+F12 can be used to circle between levels

Both Beginner and Basic levels provide simple interfaces that can entirely be localized by means of Tools : Options : Language : Localization table (see: International interfaces for SuperMemo)

Beginner level

abc.jpg (27365 bytes)

Professional level (picture composite)

element.jpg (50172 bytes)


SuperMemo: Localization table

Localization table

Translating the interface of SuperMemo

With Tools : Options : Language : Localization table, you can quickly translate the entire interface of SuperMemo to your native language (only at the beginner and basic levels).

The whole translation can be done in 5 minutes, as the entire interface of basic SuperMemo consists of only 50 strings!

This is the procedure:

  1. Choose Tools : Options : Language
  2. Click the field Localization language (or press Alt+I)
  3. Type the name of your language (e.g. Spanish)
  4. Choose Localization table
  5. In the column Translation, type in the translation of texts displayed in the column Original
  6. If necessary, select a localization font by clicking the font button in the left-bottom corner of the localization table
  7. Choose OK and your translation will appear in the interface of the program

The translation file is a text file. It is kept at <SuperMemo folder>\translat\<language>.tra

Downloading ready-made interfaces

You can download some SuperMemo interfaces from International Interfaces for SuperMemo.

If you do not find an interface in your language, we will be happy to add your own translation. You can send it via e-mail

Changing the interface

Important! Localization affects only the options available on Beginner and Basic levels

To change the interface in SuperMemo using a downloaded interface file do the following:

  1. Download an interface file from International Interfaces for SuperMemo (only 1000 bytes!)
  2. Copy the interface file to the subfolder translat in the SuperMemo folder (the filename is <language name>.tra)
  3. Choose the interface's name in Tools : Options : Language : Localization language

An alternative approach is to:

  1. Download an interface from International Interfaces for SuperMemo (only 1000 bytes!)
  2. Choose Tools : Options : Language : Localization table
  3. Type the language name in the Localization language field (you do not have to use the name of the downloaded file)
  4. Choose Import in Localization table and select the downloaded interface file (the filename is <interface name>.tra)


SuperMemo: The look of elements

The look of elements

After you add new elements, you will often want to make them look differently.

If you want to change the way your new items look, you will need to learn some more advanced options of SuperMemo. This way you will be able to change colors, change fonts, add pictures, add sound, use multiple choice tests, etc.

Important! You may need to change the difficulty level with File : Level to make some of the options below available.

This is the list of skills that will help you change the way your learning material looks, and the way it is organized:

  1. Component menu - if you right-click over a question or an answer, you will see a component menu. For example, select some text, right-click the selection, and choose Text : Edit font on the component menu. This way you will be able to change the font in the selected text (this method will only work in HTML and RTF text components)
  2. Element menu - if you press Alt+F10 (or right-click over the element toolbar), you will see the element menu. For example, choose Color on the element menu. This way you will be able the change the color of the element
  3. Compose toolbar - if you choose Window : Toolbars : Compose you will see the Compose toolbar. It will help you add various component types to your elements (e.g. pictures, sound, video, mind maps, etc.). You can also use Edit : Add component menu for the same purpose. For example, to paste a picture from the clipboard, press Shift+Ins or Ctrl+V. If a new image does not paste, press Esc a few times (e.g. to complete the current editing operation). If the image still does not paste, make sure it is indeed stored in the clipboard. Check also if you collection is not set as Read only (Tools : Options : Data access)
  4. Templates - a template is a definition of an element's appearance. For example, you can define an element that contains a description text, a picture and a spelling-test component. You can save such an element as a template and make sure all your new elements look this way. See it in action: change the colors of your element and choose Template : Save as default (Ctrl+Alt+M) on the element menu. Add new will now add elements that look like your modified element
  5. Categories - if you want to divide your learning material into sections such as Biology, Geography, Chemistry, etc. you can use categories. A category is a group of elements that have a similar look and belong to the same section of the knowledge tree

See also: Beginner FAQ


SuperMemo: Main menu

Main menu

The following options can be found on the main menu of SuperMemo. Note that you have to choose middle or professional level to see the full menu (the beginner and basic levels will only display the File option):

  • File submenu contains options for managing files of a SuperMemo collection. For example: creating a new collection, deleting a collection, recovering from a damage to files, etc. It also makes it possible to choose between Basic, Beginner, Middle, and Professional levels
  • Edit submenu contains editing options such as: add element, delete element, edit element, etc.
  • Search submenu makes it possible to search for texts, files, elements, pictures, etc.
  • Learn submenu contains options for learning such as learning stages, postpone tools, random learning tools, etc.
  • View submenu makes it possible to view subsets of elements in element browsers (e.g. memorized elements, difficult elements, outstanding elements, etc.)
  • Tools submenu contains various tools such as Options, calendar of repetitions, repetition rescheduling tools, statistical tools, repetition timeline, Plan, tasklist manager, etc.
  • Window submenu makes it possible to conveniently arrange windows on the SuperMemo desktop, choose between previously saved layouts, arrange toolbars, etc.
  • Help submenu contains options that can be useful to learn more about SuperMemo: this help, Question of the Day, direct connection to SuperMemo's Website, etc.


SuperMemo: Mercy

Mercy

Tools : Mercy can be used to shift outstanding repetitions to a later time, e.g. after a longer break in learning. It can also help you make your repetitions at an earlier date, e.g. before a vacation

Warning! Each time you use Mercy, you add extra hours of work to mastering the same amount of material!

In extreme cases you can ruin the learning process and your enthusiasm for using SuperMemo. If you use Mercy more than a few times per year, please have a closer look at how much work you put on yourself, and how well your knowledge stored in SuperMemo is formulated! To see the effect of Mercy on the forgetting index see: Theoretical aspects of learning (forgetting index recovery figure)

To quickly reschedule outstanding repetitions do the following

  1. Choose Tools : Mercy (e.g. by pressing Ctrl+Y)

  2. Choose the maximum acceptable number of repetitions per day and type it in at Number of items per day. Alternatively, choose the period in which all outstanding repetitions should be done and type it in at Rescheduling period

  3. Choose Update, e.g. by pressing Enter. This will display the rescheduling parameters: number of items per day, length of the rescheduling period, the date on which last outstanding repetitions will be made, etc. (use hints to find out more about particular parameters)

  4. If you are satisfied, choose OK. Otherwise type in new parameters or choose Cancel to quit the dialog box

To make repetitions before a vacation period, you can shift later repetitions to an earlier period:

  1. Choose Tools : Mercy (e.g. by pressing Ctrl+Y)

  2. Click the checkbox Consider future repetitions

  3. In the Gathering period editing field type in the number of days till the end of your vacation

  4. Press Enter and compare the date to the right of Gathering period

  5. In the Rescheduling period editing field type in the number of days till the end of your repetition period before the vacation (compare the date to the right of the edit field)

  6. Press Enter and compare the date to the right of Rescheduling period

  7. If Number of items per day does not exceed a realistic value (in your own estimation), choose OK. Otherwise type in new parameters or choose Cancel to quit the dialog box

To reschedule outstanding repetitions only in a selected branch of knowledge do as follows:

  1. Select the branch in the contents window (e.g. click on Geography)

  2. Choose View : Branch to view the branch in the browser

  3. Choose Child : Outstanding to view only the outstanding elements of the selected branch in the browser

  4. Choose Process browser : Learning : Spread to use the Mercy dialog to reschedule outstanding elements belonging to the selected branch

  5. Select appropriate rescheduling parameters and choose OK (as above)

If you are an advanced user and you understand how Mercy works, you can choose the Criteria button to set you own Mercy sorting criteria!

Short history of material rescheduling in SuperMemo

In June 1992, a journalist of Computer World, Andrzej Horodenski, noticed that for lazy or busy users of SuperMemo, an option called Mercy would be extremely useful. It would allow users to reschedule outstanding repetitions after a vacation period. Just one month later, SuperMemo World released a new version of SuperMemo 6 for DOS that included the suggested option.

The first Mercy algorithm was based on a solid theoretical ground. The item sorting criterion was to minimize the drop of retention as a result of using Mercy. However, the choice of the sorting criterion was not very fortunate. It is easy to notice that an increase in intervals of short-interval items is more detrimental to retention than the same increase for long-interval items. Consequently, users abusing Mercy would pile up lots of hard-to-remember items that would recur again and again contributing to overall discouragement of the overwhelmed mind. It is difficult to estimate how many people got hooked on Mercy and dropped from among the users of SuperMemo.

A second option was then added to SuperMemo 6. It was called Wipe and it was supposed to remove from the learning process all short-interval items with a high degree of difficulty (expressed then by E-Factors). However, Wipe might have done more damage to SuperMemo than ill-conceived Mercy. Users would often pile up items with Mercy and then get them out of the learning process with Wipe. Soon they could see that no real progress in learning was taking place. As a result, they would drop out again with detriment to overall popularity of SuperMemo.

In 1994, a new Mercy algorithm was designed. The new sorting criterion: minimize the damage to the long-term learning process. The algorithm appeared extremely intricate but has changed Mercy beyond recognition. Indeed, it could be seen very soon that the option Wipe became entirely superfluous. New Mercy would be as abused by the users as the old one, but it would result in less damage and less discouragement. Mercy survived and was not removed from subsequent versions of SuperMemo. Here we decided to give users a choice, even if they can occasionally harm themselves.

It became clear only much later that the second Mercy had a hidden snag. If abused frequently, it was able to repeatedly lengthen the first interval of newly memorized items (after all, they are supposed to be less important for the long-term learning process). This problem was compounded by the fact that all older SuperMemo algorithms (1989-1996) were highly sensitive to delaying repetitions, esp. at the early stages of learning. Consequently, items that were dramatically postponed by Mercy and scored well in repetitions would have reached disproportionately long intervals.

These problems have been partly solved in December 1996 by implementing the following features in SuperMemo:

  1. removing sensitivity to repetition delay of the Algorithm SM-8 by indexing optimization matrices with repetition categories rather than repetition numbers (for example, a item repeated twice would be treated as repeated 2.4 times if its interval was artificially lengthened)

  2. implementing new multicriterial heuristic Mercy algorithm that combines its earlier emphasis on minimizing the damage to the long-term learning process with adding extra attention to items that have recently been introduced to the collection

In December 1997, Mercy has been enhanced with the option Criteria. This option makes it possible for the user to choose his or her own Mercy criteria. This was to be the end of the 5-year-long process of coming to understand of what really people expect from Mercy. The following sorting criteria can be balanced by the user: item importance (as indicated by the ordinal and the forgetting index), repetition lateness, investment (in the item), easiness (of the item) and recency of introducing the item to the learning process.

SuperMemo 99 added a possibility of random rescheduling and rescheduling that preserves the original order of repetitions. All in all, random rescheduling is a very powerful and useful option. These are two main reasons for using random Mercy:

  1. There is no predictable pattern in repetitions (e.g. from low intervals to high intervals, from easy material to difficult material, etc.). This makes repetitions vary in difficulty and makes the learning process more representative and enjoyable

  2. There are no cumulative trends in rescheduling. For example, constant rescheduling with the easy-items-first criterion may indefinitely postpone difficult items! With random rescheduling, intervals on average will also grow indefinitely; however, there will be no cumulative pattern and the user will sooner or later notice dramatic deterioration in the quality of recall which, hopefully, should make him or her reconsider the abuse of Mercy

SuperMemo 2000 added a powerful rescheduling tool that can be branch/subset-specific: Postpone. In SuperMemo 2002 Postpone became even more content and priority sensitive. This gradually reduced the need for using Mercy. In incremental reading, Postpone is the tool of choice for resolving material overload. Currently, Mercy is used only occasionally, e.g. to spread the load of repetitions, randomize repetitions, advance future repetitions, etc. It no longer plays a central role in learning

See also:

  • Postpone

  • Incremental reading

  • FAQ: Repetition overload


SuperMemo: Mercy criteria

Mercy criteria

Tools : Mercy : Criteria dialog box can be used to determine the criteria by which items rescheduled with Tools : Mercy should be sorted.

If you have just returned from vacation or have suffered a lapse in will power, you will probably want to reschedule outstanding repetitions in some period of time. This way you can avoid piles of work SuperMemo kept for you in store. However, depending on the nature of the material stored in your system you might want to use completely different criteria. For example, if you have added lots of important job-related information shortly before leaving for vacation, you might want to quickly go through this recently introduced material. In other cases you might want to ease the stress related to the return to repetitions by picking the easiest material first, or boost your morale by picking most recent items and realizing how much you forfeit when neglecting repetitions. You might also want to minimize the loss to the long-term learning process by starting with elements you have invested most in or those whose repetitions have been delayed most

Here are the sorting criteria used by Mercy:

  1. Importance - importance of the elements as determined by ordinal numbers and the forgetting index. Use this criterion to give priority to the material that you have marked as high-priority material
  2. Lateness - degree of delay of repetitions of the elements. Usually short-interval elements are more likely to be forgotten as a result of delay. Use this criterion to minimize the forgetting rate during repetitions of the rescheduled material
  3. Investment - investment of your time in memorizing the elements. The investment is determined by the number of repetitions, the number of memory lapses, and most of all, the length of the interval. Use this criterion to protect the material you have worked hardest on. Even though this is the material that is least likely to be forgotten, each memory lapse of high-investment material will result in a most painful increase in workload
  4. Easiness - easiness of the elements as determined by the interval and the number of memory lapses (the fewer the lapses and the longer the interval, the easier the element). Use this criterion to maximize the speed and minimize the stress of handling the outstanding material. You can opt for maximizing Easiness in times of crisis (i.e. when you cannot devote sufficient attention to repetitions). This way you can quickly dislodge most of the outstanding material without adding many repetitions of newly forgotten elements. This way you can deal with the hardest part only then when you can see the end of hardship coming soon. Note that A-factors might be but are not used for determining Easiness
  5. Recency - how recently the elements have been introduced into the learning process. The recency is determined by (1) intervals (shorter intervals indicate recency), (2) memory lapses (lapses refute recency) and (3) number of repetitions (recent items have fewer repetitions made). Use this criterion when the most recently introduced material is of highest recall priority (e.g. in cases you memorized some critical job-related material before leaving for vacation). This criterion is also very useful if you are going through a crisis with your repetition (Do I really need to spend that much time with SuperMemo?). Recency criterion will help you quickly realize what great stuff you have learned recently and what a pity it would be to lose it. If the break is long enough, you will also see what an ugly proportion of elements you have already lost!

Warning! By abusing Recency and Easiness criteria you can indefinitely reschedule some harder long-interval elements! You might be very disappointed in a year or two to discover that some elements have gained very long-intervals without a single repetition and have practically entirely faded from your memory!

The percentage values of the impact of individual criteria on sorting can be seen to the right from the slide-bars. Change those values by moving the sliders. For example, if you want to repeat rescheduled material with the easiest material coming first, put all sliders to the left and the Easiness slider on the right (Easiness=100%).

Note that investment criterion cannot drop below 2%. This is only to prevent the situation in which all criteria have the value 0%.

Sorting options:

  1. Use sorting criteria specified above - sorting will proceed along the criteria determined by the sliders: importance, lateness, investment, etc.
  2. Reverse sorting order - sorting will be reversed. This can be used for example to use the easiness criterion to sort repetitions starting from the most difficult material
  3. Retain current repetition sequence - reschedule without sorting, i.e. without changing the current order of repetitions (i.e. the same repetition sequence will be executed but all repetitions will take place at a shifted time)
  4. Randomize - randomize the sequence of reschedule repetitions. This criterion might be used if you frequently run short-term rescheduling (e.g. to equalize the number of repetitions per day). Paradoxically, randomizing the sequence of rescheduled repetitions may show minimum side effects. Randomization prevents biased rescheduling that may accumulate overtime when frequently using Mercy with the same set of fixed criteria such as easy-items-first, recent-items-first, etc.

To quickly reschedule outstanding repetitions using a given set of criteria do the following

  1. Choose Tools : Mercy (e.g. by pressing Ctrl+Y)
  2. Choose Criteria and set the sliders according to your preferences
  3. Choose the maximum acceptable number of repetitions per day and type it in at Number of items per day. Alternatively, choose the period in which all outstanding repetitions should be done and type it in at Rescheduling period
  4. Choose Update, e.g. by pressing Enter. This will display the rescheduling parameters: number of items per day, length of the rescheduling period, the date on which last outstanding repetitions will be made, etc.
  5. If you are satisfied with your selection, click OK. Otherwise type in new parameters and choose Update again


SuperMemo: Minimum requirements

Contents : Technical reference : Minimum requirements
Minimum requirements of SuperMemo 2004

Minimum requirements

  • Windows 98, Windows NT 4.0, Windows 2000 or Windows XP (2000 or XP recommended)
  • 32 MB memory
  • 10 MB free disk space (more recommended for larger collections of learning material; for example, Advanced English without sounds requires 50 MB)
  • SVGA with resolution 800x600 (higher resolutions recommended)
  • Internet Explorer 6.0 with all recent security updates
  • SuperMemo 2004 is not compatible with Windows ME or Windows 95; please download SuperMemo 2000 or SuperMemo 2002 to see the performance problems in Windows ME; similar problems reoccur in SuperMemo 2004

Additional requirements for special functions

  • to use e-mail in SuperMemo: MAPI-compliant e-mail software for Windows (e.g. MS Outlook, Outlook Express, etc.)
  • to use automatic e-mail import in incremental reading: MS Outlook 2000 or later
  • to use sounds and video: sound board (e.g. for Advanced English)
  • to use collections distributed on CD-ROM: 12-speed CD-ROM drive
  • to use editable mind-maps: Mind Manager 3.0 (or higher)

See also:

  • Technical support
  • Questions via e-mail
  • Order SuperMemo 2004


SuperMemo: Mouse tab in Options

Options : Mouse

Mouse tab in Tools : Options makes it possible to define the behavior of the program in response to mouse actions

The options of this dialog box:

  • Edit components - how components can be edited or previewed:
    • Edit on Alt+click - clicking components with Alt pressed will make them enter the editing mode. This option has no effect on OLE components when their mouse processing is handled by the OLE server application. For example, if you link an Excel spreadsheet, Excel menu will open with the right-click, etc.
    • Edit on click - clicking components will let you to edit texts (or drag images). This option is checked by default. You can turn it off if you do not want your students to modify texts while learning. Components that are not mouse-editable are switched to the dragging mode instead. This makes it easier to immediately drag and resize them
    • Preview on Ctrl+click - clicking components with Ctrl pressed will open the file associated with the component in the default viewer (plain texts will be opened in the translation dialog box). This option makes it easy to open HTML files in Internet Explorer with a single mouse click or preview images in the default image viewer
  • Drag components - how components can be made draggable:
    • On Alt+dblclick - components can be dragged with Alt+arrows upon clicking them twice with Alt pressed. This option has no effect on OLE components in the editing mode. Edited OLE components behave like MS Word for Word documents, like MS Excel for Excel spreadsheets, etc.
    • On Shift+drag (to ClipBox) - components can be dragged to Component ClipBox when Shift pressed
  • Translation - how to get the translation of text components:
    • On mouse move - translations appear when the mouse moves over a given text component
    • On middle button click - translations appear when a given text component is clicked with the middle mouse button (or the mouse wheel)
    • On Ctrl+click - translations appear in a dedicated dialog box upon Ctrl-clicking text components (this option makes it also possible to edit original texts along with their translations)
  • Phonetic transcription - how phonetic transcription of text components is accomplished by using the mouse
    • On mouse move - transcriptions appear when the mouse moves over a given text component
    • On middle button click - transcriptions appear when a given text component is clicked with the middle mouse button (or the mouse wheel)
    • On Ctrl+click - transcriptions appear upon Ctrl-clicking text components
  • Activate edited components on mouse move - if this box is checked, components in editing or dragging modes become active as soon as the mouse moves over their surface. This option is unchecked by default. Turn this check-box on if auto-activation makes life easier (e.g. if you prefer mouse over keyboard)


SuperMemo: Navigation toolbar

Contents : Technical reference : Element window : Element toolbar
Element toolbar

At the top of the element window you will find the element toolbar (the navigation toolbar):

Here is the function of individual buttons on the element toolbar:

  • Contents - open the contents window with the tree structure of knowledge stored in your current collection
  • Search - search for texts in your collection
  • Back (<) - move back to the most recently visited element (same as Alt+Left)
  • Ahead (>) - revisit elements that have been viewed before with the button Back (<) (same as Alt+Right)
  • History - view the list of recently visited elements
  • Next - go to the next element (interpretation of this button depends on the setting of Next button options available from the Next button pull-down menu on the professional level)
  • Home - go to the root of the whole collection, i.e. the element that is the parent of the whole knowledge tree (same as pressing the Home key)
  • Previous element - go to the previous element in the contents window
  • Parent - go to the parent of the currently displayed element (same as Ctrl+Up)
  • Next element - go to the next element in the contents window
  • End - go to the last element in the knowledge tree in the contents window (same as pressing the End key)
  • Paste ( [image] ) - paste an article from the clipboard to SuperMemo (same as Ctrl+Alt+N)
  • Extract topic button ( [image]) - extract the selected fragment of text for learning (same as Alt+X). See: incremental reading for the importance of extracting topics from articles
  • Cloze item button ( [image]) - generate a cloze deletion item to convert a sentence into a question-and-answer item (same as Alt+Z). See: incremental reading for the explanation of the importance of cloze deletions
  • E-mail button - forward the element via e-mail
  • Reference link ( [image]) - go to the source element from which a given element has been extracted in the process of incremental reading. By clicking the Reference link button, you can go to the article from which a given extract was taken. This button is not active in independent elements
  • Instant transcription - turn on/off providing phonetic transcription of texts when the mouse moves over the element window
  • Instant translation - turn on/off translating texts when the mouse moves over the element window
  • Synchronize - turn on/off selecting the currently displayed element in the contents window. Set this button in the down-state if you want to always be able to see the position of the displayed element in the contents window
  • Bug report - (only in the debugging version) send a bug report via e-mail

Note that the element toolbar may not be visible if Tools : Options : Data access : Hide navigation toolbar is checked


What's new in SuperMemo 2004

Improvements over SuperMemo 2002

  1. XML data exchange makes it possible to exchange core study material with other SuperMemos implementing XML data exchange. The material may be imported into a new collection, or an old collection can be updated with the learning process executed with another SuperMemo. In the latter case, the changes to texts can also be updated in the entire material or only in the material that was subject to review. Duplicate repetition cases will be resolved as accurately as possible. The learning process from two identical collections repeated independently can also be reconciled (on the assumption the repetitions were made by the same person). As of the release date, only SuperMemo for Pocket PC supports XML. Other SuperMemos will follow. Read more: Revolution in the Pocket
  2. Better Unicode support for students of languages other than English, esp. Asian languages (see below for more)
  3. Proliferating remote images in incremental reading with #Image: reference tag to illustrate elements with pictures stored on the web (see below for more)
  4. Vastly improved incremental reading with intelligent modification of A-Factors (see below for more details)
  5. One-key reference labeling in incremental reading. Press Alt+Q and choose the relevant reference label from the available choices. Reference labels are the most effective way of providing context in incremental reading. They should be used extensively. One-key labeling provides a major saving in time
  6. Element : Edit : Move (Ctrl+Shift+V) to move an element to a new location in Contents with a single keystroke
  7. Element : Edit : Transfer element (Ctrl+Shift+T) to transfer of an element to another collection with a single keystroke
  8. Component : Download images in HTML components makes it possible to download remote images referenced in the HTML text, import them to the image registry, and add them within separate image components to the current element. It also makes it possible to localize remote images intertwined with local HTML without importing them to the registry. The images can be downloaded first, previewed, and selected as for which should be localized or imported. Imported images are tiled, while other components are scaled on the left side of the screen
  9. Pasting pictures into HTML components provides an option to interweave with HTML or to import to registry and display in a separate image component (for the purpose of image proliferation in incremental reading)
  10. E-mail button in on the element toolbar to easily forward a single element to a friend via e-mail (including the attachments such as pictures, sound, etc.)
  11. E-Mail : Attachment separated from E-Mail : Element on the element menu to allow of sending the element as attachment only
  12. Browser : Child : Sources in the browser makes it possible to open a new browser with source articles of the material stored in the current browser
  13. Element : Learning : Locate extracts in the element window makes it possible to search for all extracts and clozes generated from the source article of the current element (independent of their location in the contents tree)
  14. Review topics possible on a subset of elements. You can use this to learn new material associated with a given subject without forcing mid-interval repetitions on items in the subset. See: Subset learning
  15. Tools : Timeline makes it possible to graphically review the past timing of repetition blocks (starting time and length of uninterrupted working blocks)
  16. Element Parameters improvements:
    • Element template can also be changed within Element Parameters along with the associated category. It also allows of an instant template preview
    • The calendar can be used to modify interval and the date of the next repetition in Element Parameters
    • Title change possible in Element Parameters
  17. Back button on the element toolbar will first return you from an Internet trip within the HTML component before it moves you back to the previously visited elements (Forward behaves as before). Esc also has the same effect
  18. Full HTML allows of storing full HTML code embraced with <html> tags in HTML components. Until now, to save space, SuperMemo would only store core HTML data. It would even attempt to store plain text for unformatted HTML. Full HTML option is useful in importing pages with advanced settings determined by outer HTML (e.g. text in columns, national web pages, etc.). Inner HTML and plain text are now marked in HTML components by a silver and yellowish border (respectively) for a quick visual feedback without peeking at the source code
  19. Topic's forgetting index can be used to determine the forgetting index of cloze deletions generated from the topic in incremental reading
  20. You can quickly increase or decrease elements priority with Ctrl+Shift+Up and Ctrl+Shift+Down. This will affect the forgetting index of items or A-Factor of topics. In maximum priority topics, this will also change the forgetting index of cloze deletions generated from the affected topic
  21. Tools : Plan improvements (see below for more)
  22. SuperMemo Setup makes it possible to check for updates, patches, new help files, etc. It also reduces the purchase-time downloads to a mere 276 kB. You can choose which components to download and when
  23. File : Level : Warrior makes it easy for beginners to optimize the layout of screen components on the professional level
  24. Separating topics from items in Tools : Workload : Daily statistics
  25. Separating topics from items in subset repetition counter in Statistics
  26. Item and topic burden statistics in Analysis : Use
  27. Topic load statistic in Analysis : Use. The topic load is defined as the proportion of outstanding elements that are topics scheduled for review
  28. Scaling Analysis graphs to simplify the analysis of the learning process (see below for more)
  29. Large image files are compressed on Import to image components and on Import files directly to the image registry (upon confirmation)
  30. Filter can be used to generate a new child browser on a subset. Individual filters can be a saved or deleted within the filter dialog box
  31. HTML texts can be previewed in the text and lexicon registries as well as edited in place in registries
  32. All texts using a given lexicon entry can be previewed in the lexicon registry
  33. Possibility of executing Element : Done on a subset of elements (see: Subset operations)
  34. Possibility of executing Swap components on a subset of elements (e.g. to swap questions with answers in a collection). Swapping now also makes it possible to swap with Spell-Pad components used in place of the answer field
  35. Postpone Count can be used as a skip condition in Postpone
  36. New parameters in the browser: Delay, Postpone Count, and U-Factor. Postpone Count and Delay in the browser can be used to sort outstanding repetitions by the degree of delay in incremental reading (see below for more)
  37. Rich subset statistics (see below for more)
  38. Text case conversions make it possible to convert texts to lowercase, uppercase or to capitalized lowercase. Ctrl+Alt+Z makes it easy to convert uppercase captions and keywords to capitalized lowercase (e.g. to convert 'TREMATODA' to 'Trematoda')
  39. Text : Paste HTML to paste HTML code into the HTML component with instant formatting
  40. Q&A text files may use HTML formatting to simplify import of formatted questions and answers
  41. Interval selection dialog makes it possible to select the interval by target date
  42. File browser makes it also possible to navigate through hidden folders
  43. File browser deletes object files associated with a deleted HTML file (upon confirmation)
  44. Continuous attribute in sound and video components allows of infinite loop play
  45. Video and extracts show the time from the beginning of the clip
  46. Reset extract in programming sound and video extracts
  47. Ctrl+click can be used to view images full screen or view video in the default media player
  48. Support for Portable Network Graphics
  49. Support for Windows Media Video
  50. Subset : Intersperse can be used to intersperse one subset with another. For example, you can intersperse boring high-priority repetitions within a set of low-priority fun repetitions at the selected repetition "density". You can thus optimally dose business and pleasure. If you mix Chemistry and Math 3:1 (frequency ratio: 3.00) and then mix the resulting subset with Biology 1:1.5 (frequency ratio: 0.666), then for each 10 elements, you will get 6 Biology elements, 3 Chemistry elements and one Math element. The excess elements will be listed at the end of the subset
  51. Blend ordinals makes it possible to modify the order of elements in a subset by the order of elements in another subset (see below for more). You can now prioritize the sequence of elements by an unlimited number of criteria with your own weights of priority
  52. Edit : Import mail executes wholesale import of e-mail messages directly from MS Outlook for easy incremental message processing. Individual messages are imported as separate topics with attachments included in additional components of appropriate type for easy preview. Imported messages are archived in an Outlook folder chosen by the user
  53. Binary registry can now hold all types of files that are not compatible with other registries (e.g. OLE mail attachments, ZIP archives, URLs, PDF files, etc.)
  54. Default font replaced with Question font and Answer font in Tools : Options : Fonts
  55. Optionally, default question and answer fonts can be used as the starting font in editing HTML and RTF components
  56. HTML components can also link a registry font that can be used as a starting font in editing
  57. Increased resolution of A-Factor distributions (see below for more)
  58. Collection-specific mail FAQs and signatures
  59. Element's Copy (Ctrl+C) adapts its action to the element's content by choosing question-and-answer text, HTML text, all texts, or element's textual representation pasteable to other collections (depending on the availability of individual components with appropriate attributes)
  60. View : Recent menu can be used to inspect subsets of recently learned, reviewed, postponed or advanced items
  61. Search : Find selection searches the collection for the text currently selected in any text component
  62. Search : Find elements makes it possible to extend AND-OR searches to the web
  63. Fuzzy logic used to fill gaps in repetition history. As of the moment of writing this document, it was not clear if XML data transfer between all platforms will include repetition history data, which might cripple some non-essential functions in SuperMemo for Windows if the material was used for learning on non-Windows platforms
  64. Retrievability corresponding with the current U-Factor is displayed for items among element parameters. It can be interpreted as the expected probability of recall during the next repetition (assuming no delay)
  65. Border color in HTML components makes a quick distinction between Full HTML, inner HTML or plain text. Full HTML takes most space while plain text takes least space
  66. Faster Mercy
  67. Faster import of Q&A files
  68. Faster tasklist and category delete. This is accomplished by scanning tasklist or category references by registry user list instead of scanning the whole collection. If the user list includes a single element, you will only need to scan this element instead of the whole collection
  69. Selected registry members can be used to generate a new registry subset for easier processing
  70. Select all and Unselect all for registry selections
  71. One click search for the current element in the browser
  72. HTML table filter makes it also possible to convert tables into bulleted enumerations for easier processing with incremental reading
  73. MS Office spellchecker can be used to quickly check the spelling of texts
  74. Copy on HTML component menu makes it possible to copy text-less pictures (you do not need to switch to the Browser menu)
  75. Square mile and square foot conversions in metric system options (Text : Convert on the component menu)
  76. New subset operations: Set A-Factor and Modify A-Factor
  77. Reference : Copy Reference copies element's reference data to the clipboard in the source HTML format (it can be re-pasted with Paste HTML)
  78. Reference button hints show the full article reference. Ctrl+Shift+F3 can also be used to instantly preview element's references. You do not need to scroll to the bottom of a long extract
  79. Advance reports changes to the average topic interval and the average A-Factor
  80. Elements added in the contents window use the default item or topic template
  81. SuperMemo startup picture can be chosen by the user (using Help : About : Choose picture)
  82. Dangerous errors in the learning material provide an instant link to FAQs with hints for solution
  83. Lots of old code has been removed from SuperMemo. Options that were least popular were removed. Code that was bug-prone or unnecessarily increased the complexity of the program was removed. This includes: code for making SuperMemo run in the background (1K, 100 lines of code), separation of readlists from tasklists (5K, 300 lines of code), redundant contents operations (e.g. Transplant children can better be accomplished with branch multi-select and drag-and-drop), component border attributes, etc.
  84. The full list of documented corrections to SuperMemo 2004 is 635 positions long. Of these, you may mostly be interested in the list of Bugs and Annoyances Fixed (below). These are minor programmatic corrections that may have a major impact on how you enjoy your time with SuperMemo 2004 as compared with SuperMemo 2002

A-Factor handling

Prioritizing your material in incremental reading is now easier due to automatic modification of A-Factors that reflect the processing of the read texts. The priority of extracts is higher if the source material is of higher priority. Texts with multiple extracts increase in priority. Texts that have manually been advanced (e.g. with Ctrl+J, Ctrl+Shift+R or Advance) automatically have their A-Factors adjusted. The correction is greater for single changes than for changes introduced en masse. Reversely, the text that are moved further into the future have their priority downgraded. Manually typed notes have a higher start off importance. In addition, their priority is not originally determined by the length of the text. Similarly, HTML pages imported individually will have higher A-Factors than the same pages imported en masse. Pasted texts have now slightly lower priority (i.e. higher A-Factors). Changes to the length of the interval produce symmetric and reversible changes to A-Factors. This means that if you reverse your scheduling decision, the priority of the processed article will return to the starting point.

All this fine-tuning has been introduced upon the analysis of massive incremental reading with heavy material overload. This should make it easier to pump up the volume on the acquisition of new material. All changes happen automatically and you do not ever need to pay attention to A-Factors. However, you may still increase or decrease the priority with a single keystroke (Ctrl+Shift+Up /Down) or even manually set the priority of a selected article or extract. All you need to do now is to focus on learning and prioritizing by content (e.g. by executing Advance on portions classified as more important or Postpone on those that are of lesser importance)

Proliferating remote images

Component : Reference : Image in HTML components makes it possible to proliferate remote images in incremental reading without storing them locally. If a picture seems important to illustrate a given fragment of text, select it, and choose Reference : Image. This way the picture will appear at the bottom of all extracts in the reference section. Alternatively, precede the image with the #Image: tag

Better Unicode support

UTF-8 encoding is used in the names of registry members. This makes it easier to display some Unicode characters in the registry, in element captions, in the contents window, etc. It will also eliminate the problem of registry member uniqueness in Asian languages. Despite this one-to-many encoding, the size of registries will not change for English or ASCII texts. It will increase slightly for some European languages, and will only be noticeably increased to uniquely represent Asian language strings. Conversions from HTML to plain text will now use ANSI encoding that produces representations that may be entirely readable depending on the language settings in Windows. There is also an improved range of text searches possible with Unicode strings. All ANSI-UTF-8 conversions occur transparently to the user and you may even fail to notice the change otherwise than by inspecting the registry files or using ASCII rename in the registry

Tools : Plan improvements

  • Alarm menu makes it possible to set automatic alarms. Shortly before the end of the current slot, an mp3 file previously selected by the user will play until the alarm box is closed. Alarm field in Statistics shows the time remaining till the end of the next alarm. This field is editable (e.g. if you want to manually change the timing of the next alarm)
  • Activity Parameters dialog makes it possible to select up to seven different activities for a single slot. This makes it easier to simplify overloaded schedules. For example, instead of having separate short slots: Review History, Review Geography, Review, Review Chemistry, you can have a single slot Review with History, Geography and Chemistry chosen at random for a given day's schedule (the decomposition occurs when you choose Save As for the current day's schedule)
  • Totals button makes it possible to compute schedule statistics. If you begin a group of slots with the same keyword, these slot total will be summed up. For example: Repetitions Reading, Repetitions Import, Repetitions Items, etc. will all be added under the Repetitions entry. The schedule totals are then sorted from longest to shortest. This makes it easy to keep track of your activity statistics
  • Plan dialog is now non-modal. You can copy and paste to your schedule directly from your collection
  • Allowing of rigid activities, i.e. activities whose duration will be constant, and not subject to optimization
  • New columns: total time expired, optimum time-shift in reference to the schedule beginning as compared with the actual shift, etc.
  • Better color coding improves column readability. The column width can be set by the user
  • Current time bar moves with lapse of time even if the schedule remains open
  • Improved formatting and more data included in Plan : Export
  • Plan : Terminate simplified (one question instead of an array of checkboxes)
  • EXTRA slots listed on top of the Delays report

Blending ordinals

You can modify ordinals in a subset by averaging the ordinal order with an order of elements taken from a subset file. For example, if you develop a collection by adding elements in the order of increasing complexity, you may want to modify the pending queue depending on the actual difficulty of elements as measured by a real learning process. In other words, you can find middle ground between two sorting orders. You can prioritize the sequence of elements by an unlimited number of criteria with your own weights of priority. To accomplish that, open the subset with the original element order and choose Process browser : Ordinal : Blend ordinals on the browser menu. Select the blending factor that will determine the degree to which ordinals will be modified. Then select a subset file that is supposed to modify the element order (elements missing from the subset will be treated as located at the end of the subset). After such an operation, the new ordinals will be partly modified by the order of elements in the subset. You can use such ordinals to sort the pending queue, to sort the sequence of repetitions, or for other prioritization purposes

Postpone count in the browser

The Post column in the browser (Postpone count) makes it possible to see how many times a given element has been delayed with Postpone. In a heavily overloaded incremental reading, it is not unusual to see low A-Factor topics or low forgetting index items delayed over and over a hundred times within a few months. For that reason, you may want to occasionally execute repetitions starting with the highest postpone count. This makes it possible to resolve overload bottlenecks in the learning process. The Delay column may also be used for the same purpose. Note that the degree of delay must be interpreted differently for compulsory items as compared with optional topics. The heuristic balance for the actual degree of delay has been chosen as 1:25. This way, topics show far higher tolerance to delay than items

Scaling Analysis graphs

After 1-2 years of using SuperMemo, some of your Analysis graphs become quite crowded and difficult to analyze. Now you can zoom into a portion of a graph. Using Ctrl and arrow keys you can narrow the focus field. By moving the mouse over the use statistics, you can get the precise reading from any given date displayed at the bottom of the graph. You can also cut off portions of the graph. Point to the cut-off point, press the mouse button, and drag the part to be removed out of the graph area

Repetition timeline

With Tools : Timeline you can see the timing of your repetition blocks. The timeline graph painfully illustrates the gaps in the learning process resulting from neglect. Many users report that inspecting the gaps is highly motivational. The graph may also be used to inspect the learning process and diligence of your students and/or kids.

Increased resolution of A-Factor distributions

Increasing the resolution of A-Factor distribution for topics helps you visualize the near-normal distribution of A-Factors in incremental reading. Previously the same categories were used for both items and topics. For items, A-Factors reflect only the increase in interval at second repetition. Item A-Factors are by far larger than O-Factors for later repetitions or A-Factors of topics in incremental reading:

Topic A-Factors in SuperMemo 2002

Topic A-Factors in SuperMemo 2004

Wholesale import of mail from MS Outlook to incremental reading

If you have MS Outlook 2000 (or later) installed, you can instantly import incoming mail to incremental reading. Choose Edit : Import mail (Shift+F4) and click Import all. Read more about incremental mail processing: Using e-mail in SuperMemo

Extended subset statistics

Subset statistics make it now easy to track progress in individual branches or subsets of the learning material. Here is an exemplary report generated with Ctrl+Shift+B in a browser subset referring to a single branch of a larger collection:

SUBSET STATISTICS (Jun 19, 2004)
c:\sm2004\systems\all

Elements: 2455
Items: 2423
Topics: 32
Memorized: 2423
Dismissed: 32

Items: 2.36% of all items
Topics: 0.02% of all topics
Memorized: 1.20% of all memorized
Burden: 4.143 elements/day (0.34%)
Item Burden: 4.143 items/day (1.83%)
Topic Burden: 0 topic/day (0%)
Item Repetitions: 3.87
Topic Repetitions: 0
Item Interval: 988.063
Topic Interval: 0
Item A-Factor: 4.923
Topic A-Factor: 1.56
Average item postpones: 5.125
Average topic postpones: 0
Total postpones: 12418 + 0

Requested forgetting index: 9.96%
Measured forgetting index: 10.26%
First repetition f. index: 27.3%
Last repetition f. index: 8.38%
Forgetting index cases: 11313
RETENTION: 94.78%

Item text size: 280.909 KB
Topic text size: 0 bytes
Total text size: 280.909 KB

In the example above, you can see that postpones executed on the subset negatively affected retention. However, this is more visible in the first repetition (shorter intervals) than in the last repetition, which is a better measure of the current actual retention (as compared with overall retention measured for all repetitions executed).

Bugs and annoyances

Of the bugs and annoyances fixed in SuperMemo 2004, here is the list of these that were most likely to have made your life with SuperMemo 2002 less enjoyable:

  1. HTML components would lose focus when switching to other applications
  2. Bug in Dilute would shorten some intervals instead of lengthening them
  3. Advance no longer advances topics whose interval is already within the desired range
  4. Mercy would refuse to reschedule more than 65536 elements
  5. Repetitions distribution would refuse to accept more than 65536 elements
  6. Tools : Statistics : Simulation would fail if executed on December 31
  7. Changes in statistics are now recorded for the entire day, not only for the session. Now you can inspect today's Measured Forgetting Index, or today's Repetition Time
  8. Text search would miss some diacritical characters (e.g. Philippe Pétain would search correctly only as Philippe Petain)
  9. Searching for "pp" with Match whole words only would also find "ppp"
  10. Search would not find the vertical bar (character "|") without selecting Match case
  11. The choice dialog box now does not close immediately upon clicking the choice
  12. Toolbars can now be docked with Alt+F5 in case they obstruct access to other windows
  13. Reference labels no longer insert the <br> tag, nor do e-mail forwards
  14. New day now resets the outstanding graph on the status bar. Previously, Outstanding had to go down to 0+0 for the reset to happen
  15. Lexicon would preview the first text on the list while Go to would send you to the last text
  16. Child browsers would not sift out deleted elements
  17. Object files associated with an HTML file stored in text registry would be deleted along with the parenting HTML without confirmation
  18. Accidentally deleted HTML files will now not result in loss of data. Plain text from the text registry will be retrieved instead
  19. Workarounds have been found to prevent occasional mshtml.dll error messages popping up while pressing Alt+Left while editing HTML
  20. Video would not be visible in dragging mode
  21. Played video would be invisible upon the return from the dragging mode
  22. Home and End buttons now span past repetitions in Workload : Repetitions (as opposed to future repetitions for default Workload)
  23. SuperMemo icon on the taskbar now displays the name of the currently opened collection
  24. Converting HTML to plain text in the browser would move focus to the element window
  25. Transferring or merging collections would reset incremental reading reference links
  26. File browser would not size well for low resolution screens
  27. HTML table filter would not filter the table alignment
  28. HTML filters would not help handle <h> tags
  29. Toolbars would keep popping up on multiple OR-Search operations
  30. HTML scrollbar change would not save without modifying the embedded HTML text
  31. Image browser now uses proportional stretching that does not distort the preview
  32. Sound extracts would be occluded by the template setting and would not save unless the associated text was changed in the sound component
  33. Postpone count is now reset at repetitions making it more useful in prioritizing postpones and the sequence of repetitions
  34. File : Properties now proceeds with the time-consuming check of collection sizes only upon confirmation
  35. Non-ASCII texts would not auto-update the element title
  36. Switching between registry subsets would not retain the current registry member selection
  37. Esc would move focus from the element window to the element browser without committing the current repetition. Now it needs to be pressed twice: to commit the repetition first and then to move back to the browser
  38. Simulate in Postpone now skips interval dispersion. This makes it easier to evaluate the effects of Postpone
  39. Maximum eligible item interval in Postpone increased from 2000 to 4000 days
  40. Postpone now allows of a better resolution of A-Factor criteria (previously 1.015 would be rejected as only 1.01 or 1.02 were acceptable)
  41. Done would not register in repetition history
  42. Skip on Postpone count in Postpone would have a reverse interpretation for conservative vs. liberal modes
  43. 'Cancel subset repetitions' has been eliminated to simplify subset learning
  44. Alt+X shortcut would not work in the search dialog box
  45. Plan schedules longer than 24 hours could not be terminated
  46. Ctrl+L at Next Repetition in spelling exercises would result in re-execution of the same repetition
  47. Mail headers used by Outlook Express would not be recognized in incremental e-mail processing
  48. File : Repair collection would not be abortable at long-lasting repetition history check-up
  49. Selecting a task with a deadline during sorting a tasklist would modify the task's priority as if there was no deadline
  50. Editing tasks after a random jump could annoyingly scroll the whole tasklist
  51. Forced topic repetition would wrongly register in repetition history (optimum interval used instead of the actually used interval)
  52. Default forgetting index would sort top when sorting the browser (as if less than 3%)
  53. Alt+C and Alt+I shortcuts would not work in web page import dialog box
  54. Category link under Accept could stay active in Contents even after closing the category registry
  55. All shape components would be unmovable if they were included in the template but not included in the element's source data
  56. Transfer of categories between collections would reset the root and hook settings
  57. Changing the forgetting index back to the default value would fix that value independent of future changes to the default forgetting index
  58. Switching to SuperMemo from other applications would hide the Workload window behind the element window
  59. Ctrl+F10 for Play would not work in sound and video registries
  60. Picture paste would not propose to use the old picture's name when overwriting an image
  61. Cloze deletion would not reuse answer components, which would confuse beginners who attempted cloze on items instead of on topics
  62. Edit : Edit texts menu would not be available for HTML components
  63. Reshuffling components without closing component editors would abort the procedure
  64. Navigation would not be blocked while loading large HTML file
  65. Pasted picture could be obscured by large components leading to confusion among beginners (presently, components are scaled to for the paste to occur into component-free space)
  66. Default browser layout would obstruct the status bar with element parameters window
  67. Deleting a category within the current tasklist would produce pesky error messages when adding new tasks
  68. Tools : Generate elements in registry would generate unscaled templates
  69. Shift+Ins and Ctrl+V in HTML would only work for texts
  70. Cancel in file browser would occasionally return the selected file (as opposed to aborting the operation)


SuperMemo: OLE component

OLE Component

If you would like to display files created in MS Word, Excel, Corel, Microsoft Equation, PowerPoint, Mind Manager, etc. you can use the OLE component. The OLE component can display files created with any application that supports OLE 2.0. If this application supports in-place activation, you will also be able to edit these files without quitting SuperMemo. For example, if you insert a MS Word document into an OLE component and switch to editing mode, SuperMemo menus and toolbars will be replaced by Word menus and toolbars.

As all other components, the OLE component is available from the Compose toolbar. To be able to edit files inserted in the OLE component you will need an appropriate server application (e.g. MS Word, Corel, Mind Manager, etc.). However, you do not need any software to display these files in the presentation mode.

To add an OLE component, click three points:

  1. OLE button on the Compose toolbar
  2. Top-left corner of the area you want your OLE file displayed (in the element window)
  3. Bottom-right corner of the area you want your OLE file displayed

The OLE component will show as an empty rectangle. You may need to turn off Scaled property on the element menu or in your template due to sizing problems with various OLE objects.

If you want to import a ready file, right-click the OLE component, and choose Insert OLE object, click Create from File in the Insert Object dialog box and choose the file by typing its name or clicking Browse.

If you want to create a new file and edit its contents, right-click the OLE component, and choose Insert OLE object, and pick from the list of OLE servers available in your Windows installation. When you click OK, the appropriate server will be called and you will be able to edit your file (e.g. Microsoft equation, Excel chart, PowerPoint presentation, etc.). When you press Esc, SuperMemo will display the file in the presentation mode (i.e. the way it will look during repetitions or on the computer of the users of your collection).

Please note that the pop-up menu in the OLE component is mode sensitive, i.e. it will display the OLE server pop-up menu in the editing mode and standard SuperMemo options in the presentation mode. In the presentation mode you will be able to use options such as Display At, Answer, Border, etc. In the editing mode you will be able to use options depending on your OLE server (e.g. if your server is MS Excel, you will be able to use Cut, Copy, Format cells, etc.).

The simplest way to switch between presentation and editing modes is to choose one of the following:

  • Alt+click over the element display area
  • press Ctrl+T until you reach the OLE component
  • click the Editing mode button (blue-notebook) on the Edit tab

In the picture below, OLE component is used to import an editable mind-map created with Mind Manager (courtesy of John England, TeamLink Australia Pty Ltd):

wpe1.jpg (68159 bytes)

If your OLE server shows stability problems or does not work seamlessly with SuperMemo, your OLE file may still work fine in the presentation mode. You will be able to redistribute your collection without worrying about its performance on the user's machine.

FAQ

You can use mind-maps with SuperMemo
Learning large mind-maps
It is possible to use Acrobat Reader files with SuperMemo
SuperMemo will often not be able to use a given server to display your data correctly

You can use mind-maps with SuperMemo
(Pascal Heimlicher, Switzerland, Tue, Aug 07, 2001 1:53 AM)
Question:
Is there a possibility to learn with mindmaps I've created in MindManager. Where can I find a description?
Answer:
If you would like to use mindmaps editable with Mind Manager via OLE, see: OLE component. You can also export mindmaps as graphic files and used them with image components. Some of users on this new Yahoo eGroup use Mind Manager. You could share the experience or simply browse their messages. Remember to turn off the Scaled parameter in your template (on the element menu)

It is possible to use Acrobat Reader files with SuperMemo
(Mala Kaur, Tuesday, July 24, 2001 6:03 AM)
Question:
I wanted to import PDF files to SuperMemo for reading and copying certain items for further analysis. I initially tried to use Insert as an OLE object but I found OLE mechanisms unstable
Answer:
Another approach is to use the web browser (HTML) component. Then use Insert HTML link : HTML file (on the HTML component pop-up menu) and link to the PDF file. Using this option the PDF file is not immediately visible as only files of type *.txt,*.htm, *.rtf are listed. To visualize the PDF files on your drive type in *.pdf in the file name field and they become visible in the File window. Naturally, you need to have Acrobat Reader installed to view the file in SuperMemo. You can, of course, copy the text with the tools provided for the PDF viewer and use it for further SuperMemo purposes. The same method works for Excel files, Word files, etc.

SuperMemo will often not be able to use a given server to display your data correctly
(Tomasz Szynalski, Poland, Dec 2, 1998)
Question:
When I create an MS Equation formula in the OLE component, the equation is unnaturally large and distorted. How can I go around this bug?
Answer:
Rendering of the OLE object is done by the server application, MS Equation in this case. You have to fix the problem in MS Equation by adjusting display attributes (e.g. reducing the size of fonts in this case)

Learning large mind-maps
(Marcelo de Oliveira Azevedo, Brazil, Tuesday, August 20, 2002 1:02 AM)
Question:
I'm having troubles with large mindmaps: I can't see the entire one. What's the solution?
Answer:
If you are using mind-maps with OLE, their behavior will depend on the mind-map OLE server. If you are using mind-maps with HTML or with the image component, you can view the file with F9.

It is important to know that in active recall, you only need a small portion of your mind-map to efficiently execute your repetitions. Ideally, you should convert your mind-map to a graphic file and paste only small portions of this file as separate topics. Then, you can use questions referring to individual portions of the map or use occlusion tests to cover parts of the map. Asking questions about the mind-map is by far simpler and often more effective. Occlusion tests are harder to build but easier to recall. Consequently, you may want to use occlusion tests on large volume material where speed of learning is more important than precise map recall.

In any case, large mindmap preview in SuperMemo should not be necessary


SuperMemo: Options

Contents : Technical reference : Main menu : Tools : Options
Options

Tools : Options on the main menu opens the options dialog that makes it possible to customize SuperMemo and the learning process. You can open this dialog in levels below the middle level with Ctrl+Alt+O (i.e. even if the Tools option is not available on the main menu).

Options dialog includes the following tabs:

  • Learning - options affecting the learning process such as: speed of learning, working hours, sound feedback, etc.
  • Data access - options affecting access to data: CD-ROM path, difficulty level, system editability (read only, learn only, or full access), collection password, etc.
  • Language - localization options such as: language to which the current collection is translated, SuperMemo interface language, strings used in translating the interface, etc.
  • SuperMemo - other options such as: background image, help system mode, etc.
  • Mouse - interpretation of mouse behavior. For example, how components are edited or translated with the mouse, etc.
  • Leeches - options that help you eliminate wrongly formulated items from the learning process. If you choose Wizard, all ill-structured items will open a leech manager dialog that will help you choose optimum leech processing steps
  • Fonts - fonts used in SuperMemo interface, in questions, in answers, in the contents window, etc.

Global options of SuperMemo are stored in the file supermemo.ini in the SuperMemo subfolder bin.
Options pertaining to the current collection are stored in the file collection.ini in the collection subfolder (named in the same way as the collection). Tools : Options will modify both these files depending on if the particular setting is global or collection specific


SuperMemo: Overview articles

ABC Hints&Tips Overviews Reference Glossary Support
Contents : Overview articles
SuperMemo: Overview articles

Overview articles help you take a bird's eye view at an individual problem area in SuperMemo. They compile knowledge from different sections of the technical documentation and help you better understand the program and the method:

  1. Six steps to excellent memory - why should you use SuperMemo in the first place
  2. SuperMemo Decalog - ten most important things to remember to ensure SuperMemo works for you!
  3. Step by Step: User's Guide - you can learn SuperMemo sequentially by gradually mastering thirty most useful techniques
  4. 20 rules of formulating knowledge - how to make sure that you do not waste time on memorizing things that are not memorizable!
  5. Incremental reading - how you can simultaneously read a great number of articles at the same time
  6. Topics vs. items - topics are articles that you read or review passively, while items are used for testing your knowledge. Understanding the difference if important for optimizing your learning process
  7. Using templates - templates can be used to quickly create many complex items having the same look
  8. Using categories - categories help you create groups of items with a similar look, stored in a dedicated section of the knowledge tree in the contents window
  9. Subset learning - you can learn or review a portion of your collection
  10. Using text components - summary of advantages and shortcomings of various text components: plain text, rich text, HTML, etc.
  11. Using HTML - you can view individual HTML pages or entire websites from within SuperMemo. You can also insert links to other elements, registry images, pages on the web, MS Office applications, etc.
  12. Devouring knowledge - how SuperMemo helps you read articles in electronic form (e.g. as available from the web)
  13. Forgetting index - you can regulate the speed of learning
  14. Dealing with difficult material - you can quickly find the most difficult elements in the collection by using View : Other browsers : Leeches or deal with leeches one by one using Tools : Options : Leeches : Wizard
  15. Using subsets - you can store a subset of elements on the disk and later use it for testing, review, statistics, etc.
  16. Using Postpone and Mercy - if you neglected repetitions and have too much to repeat, Postpone and Mercy will help you
  17. Flow of knowledge in SuperMemo - how to maximize the speed of adding quality knowledge to SuperMemo
  18. Using registries - registries in SuperMemo store sorted objects such as texts, images, sounds, fonts, mind maps, etc.
  19. Theoretical aspects of SuperMemo - advanced discussion of the theoretical potential of learning with SuperMemo
  20. Building the knowledge tree - knowledge tree in the contents window helps you organize elements in groups
  21. Using tasklists - you can use SuperMemo in time-management by keeping your to-do lists in your collection
  22. Using Plan - you can use SuperMemo in time-management by optimally adjusting proportions of time spent on various activities
  23. Using E-mail in SuperMemo - how you can prioritize e-mail with SuperMemo or send pieces of your collection to others
  24. Using element filters - you can locate elements meeting certain criteria by using element filters
Feature request: If you would like to better understand SuperMemo, you can request an article reviewing its specific aspect. Please write


SuperMemo Screenshot Tour

SuperMemo 2004 in screenshots

SuperMemo makes it possible to learn knowledge represented as text, pictures, sounds, video, HTML and more:

Frontal eye field element (50172 bytes)

SuperMemo increases the speed of learning by using spaced repetition (see: What is SuperMemo?)

SuperMemo increases the speed of collecting and formulating knowledge with incremental reading. Incremental reading helps you read literally thousands of articles without getting lost! You import articles from the web and convert them into manageable portions of knowledge:

You can easily convert imported articles to simple questions-and-answers that ensure that you do not forget what you have learned:

SuperMemo helps you organize all your knowledge into a knowledge tree:

You can easily locate individual pieces of knowledge by means of AND-search, OR-search, and NOT-search:

To quickly import a large number of texts from the Internet you can make SuperMemo communicate directly with the Internet Explorer. You can import literal texts, live texts (i.e. texts that change when the external website is updated), hyperlinks or lists of hyperlinks:

SuperMemo supports OLE. The picture below presents an exemplary mind map imported via OLE from Mind Manager. This mind map can be edited in SuperMemo if you have Mind Manager installed (courtesy of John England, TeamLink Australia Pty Ltd):

SuperMemo supports HTML. You can even put an entire website into a single element in your collection:

Entire website in a single element (91572 bytes)

SuperMemo browser makes it possible to quickly review elements and their parameters:

Subset Browser in SuperMemo - Windows API

Registries make it easy to reuse and search for multimedia objects, texts, fonts, HTML files, video, etc. The picture below shows an example of an image registry:

Category registry makes it easy to keep a large number of knowledge categories. These can be used to keep different subjects separate and to give all elements in a category a given look and priority:

Floating toolbars make it easy to access many functions of the program with a single click:

Learning statistics will help you supervise and understand the learning process:

User's forgetting rate and other memory characteristics can be inspected using statistical analysis tools:

Your learning progress can be visualized by means of Use statistics. For example, the picture below shows the inflow of new articles and their extracts into incremental reading:

The calendar of repetitions makes it possible to see how much work is scheduled for individual days of the learning process. It also provides the record of past repetitions, newly memorized items, retention, and back-retention. If you double-click a day, you will see the list of elements scheduled for repetition on that day (in the future), or the list of elements reviewed on that day (in the past):

The calendar of repetitions makes it also possible to see the number of repetitions scheduled for particular months and years, as well as past repetitions, new items, retention data, etc.

For easy context recovery, source tracking and building a list of citations (author, date, journal, etc.), you can use reference labeling (pink text in the picture).

Element parameters make it possible to quickly change the priority of elements, their category, template, etc.

Tasklists help you organize to-do lists. Not only related to learning. SuperMemo development itself is guided by an ever-growing tasklist:

Leech Alert Wizard and Leech Catcher make it easy to quickly find bottlenecks in the learning process (see: Leeches in SuperMemo):

Leech Catcher and Element Filter (31675 bytes)

Learning options make it possible to define the speed of learning, time when your 'memory day' ends (i.e. time you go to sleep), etc.

Language options will help you adapt SuperMemo to local language needs:

Localization options (42979 bytes)

A break in learning can be handled with mercy rescheduling:

Mercy criteria (30193 bytes)

You can change the way you use the mouse with mouse options:

Question of the Day will help you become familiar with the basics of SuperMemo:

Question of the day in SuperMemo (24103 bytes)


SuperMemo: Schedule manager

Tools : Plan

If you think "I wish there were 20 of me" or "There aren't enough hours in the day", SuperMemo can help you with Tools : Plan.

Tools : Plan can help you do two things: first (1) say what you would like to do, and then (2) compute what can realistically be done within a day. When using the Plan you produce a list of activities and the desired time allocations for these activities. SuperMemo then checks the available time, and shortens all activities in proportion. If your days are repetitive, you can fine-tune your schedule to the last minute. If they are not, you can still benefit by planning in advance and tracking your progress as you go.

Plan can be used to plan your entire day, or it can be used to plan shorter slots, e.g. your daily learning slot. For example, your 2 hours learning time in the evening could look like this:

  1. 30 min - surfing the net (searching for interesting articles)
  2. 30 min - reviewing articles, quick reading, importing the most valuable articles to SuperMemo
  3. 30 min - reading in SuperMemo, introducing new articles to the learning process, topic repetitions, extracting new topics, generating cloze deletions
  4. 30 min - core material item repetitions in SuperMemo

Using Plan to plan the entire day works best for people who are not limited by meetings, deadlines, and can freely schedule activities throughout the day. But it can also be used by people whose days change at a minute's notice or days that are not composed of regularly repeating activities.

Future society will strongly drift towards deadline-free, creative work that will excellently fit dynamic scheduling offered by Plan.

The main purpose of Plan is to keep optimum proportions of time devoted to particular activities in your schedule (e.g. 35 minutes for e-mail, 25 minutes for web surfing, 95 minutes for learning, 40 minutes for sports, 2.3 hours for the kids, etc.).

An optimally adjusted schedule is a powerful tool that can help you understand nuances of time-management. You can make one-minute daily adjustments to the schedule in order to maximize the effectiveness of your work, your health, your family life, and minimize stress and chaos introduced by poor planning. It will give you a quality insight into your own life. It will help you see the connection between your activities and their results. Plan is highly recommended for people with low-stress tolerance and perpetual problem with organizing their day.

With Tools : Plan you first create a schedule and then execute it.

Creating a new schedule

  1. Choose Tools : Plan or press Ctrl+P
  2. Click on the hours field at the top and type in the length of your schedule in hours (e.g. type 16.1 if you want your waking day to last 16.1 hours)
  3. Click on the Activity field in the first row (the one which starts at 0:00) and type in your first activity of the day, e.g. Washing and breakfast
  4. Press Enter to move to the Length column
  5. Type the length of time in minutes you would like to spend on your first activity (e.g. 40 minutes for Washing and breakfast)
  6. Press Enter to move to the second row (second activity). Ignore all other fields. At this point they are mostly meaningless!
  7. Type in the second activity and the time you would like to devote to it (e.g. Learning with SuperMemo, 100 minutes)
  8. Press Enter again to create the third activity, type its name and time
  9. Keep on typing in your activities until your schedule is complete. Do not look at the sum of times of the activities. Always use the length of time you would want to spend on an activity; even if it is not very realistic
  10. See the picture below for an exemplary whole-day schedule
  11. Type in the start time of your schedule template (Start field in the first row) or leave it as 0:00 if you often change the start time. The schedule in the picture begins at 6 am
  12. If some activities must start at a specific hour, click the Start field of these activities and type in the start time (fixed time will be marked as an F on the left). The exemplary schedule below, has two activities begin at fixed time (Work at 8:00, and Lunch at 15:00) ; the rest is composed of floating activities whose timing is optimized by SuperMemo
  13. You can now inspect other fields of your schedule. ActLen will tell you how much SuperMemo can actually allocate for a given activity. This will often be less than Length. After all, we nearly always have greater plans than we can squeeze into 24 hours. In the picture below, Learning with SuperMemo begins at 6:30. The desired length of this activity is 120 but there isn't enough time before Work. SuperMemo must then reduce the time for this slot down to 90 minutes. If fixed activities squeeze other activities too much, you can reshuffle activities by dragging them (grab the activity by the gray field on the left)
  14. OptLen indicates how much SuperMemo could allocate for an activity if there were no fixed-time activities. For example, SuperMemo could allocate the requested 120 minutes for Learning with SuperMemo if there were not fixed-time Work slot at 8 am
  15. Opt Start indicates the optimum start hour for an activity if there were no fixed-time activities (OptStart[n-1]+OptLen[n-1]=OptStart[n]). If Learning with SuperMemo indeed lasted the optimum 120 minutes, the optimum start for Work would be 8:35 (instead of the fixed 8:00)
  16. Delay indicates the delay in minutes of the actual activity start (the Start column) as compared with the optimum start (OptStart). In other words, Delay=Start-OptStart [min]. For example, Work begins 35 minutes ahead of the optimum time. On the other hand, Lunch is 2.8 minutes late compared with the optimum. The delay of other slots is proportionally reduced down to zero as the schedule progresses towards Shower
  17. The Percent column tells you what proportion of time has been used for a given activity as compared with the optimum time. In a schedule without fixed activities, this column always shows 100% for all activities. Due to the fixed-time Work slot; however, morning activities are squeezed to 77% of their optimum value. At the same time, evening activities have some more slack and get 101% (i.e. 1% more time as compared with the optimum schedule without fixed-time activities)

Executing the schedule

Your schedule template defines your optimum at which you should strive. However, in real life you will never reach this optimum. This is why you will always need to start a day with your schedule template and modify the schedule in real-time as you go. The process of executing the schedule may also use the sound alarm that will help you terminate activities when their time is up.

  1. At the beginning of your working day, open Tools : Plan (Ctrl+P)
  2. Choose the schedule template in the combo box in the top-left corner (on the first day, you will probably only have one schedule listed there: your original schedule template created above). You can use Ctrl+Alt+T to select the schedule using the keyboard
  3. Choose Menu : Save as (the Menu button is the first button on the toolbar) or press Ctrl+Shift+S
  4. SuperMemo, by default, will name your today's schedule by using today's date (e.g. "Oct 09, 2000, Mon.txt"; note that each schedule is a simple text file that can be inspected with Notepad)
  5. If the present time differs from Start time for the first activity, click on the first activity and click the button Set (the one with the clock icon). Set inserts the current time in the Start field of the selected activity. If you have chosen Menu : Alarm : Auto, Set will also start the alarm timer. The alarm will sound shortly before the end of the current activity. You can determine the sound file to play at alarm time by using Menu : Alarm : Choose MP3. Warning! To prevent a keyboard mishap, SuperMemo will freeze for 2-3 seconds at alarm time. You will be able to prolong the activity by a few minutes if necessary, or terminate the alarm by typing 0 in minutes till the next alarm. The ActLen field of the first activity tells you the actual allocated length of the activity in minutes
  6. Once the alarm sounds or you complete your first activity, click on the row corresponding with the next activity and click Set again. This will update the start time of the newly started activity. The whole schedule is automatically rebuilt and optimized. You will see changes to the actual length (ActLen), delay (Delay) and other columns in the schedule. The new alarm will be set to ring shortly before the end of the current activity according to the new optimum
  7. Upon the next alarm, click Set on the next activity and execute it as well. Repeat these steps until you reach the end of your schedule or until it is forcefully terminated (e.g. by other obligations or by the time you should go to sleep)
  8. At the end of the schedule, select the last executed activity and choose Menu : Terminate. Your schedule is complete. At Terminate, answer Yes to "Use current time to terminate?". "No" is reserved for rare cases when you fail to Terminate at the end of the schedule due to an emergency, and you still will want to keep accurate data for the sake of statistics or diary records
  9. On the next day, optionally, process the schedule, e.g. execute schedule analysis, compute schedule statistics, export the schedule to the diary, etc. In the end, choose Menu : Archive (Ctrl+Shift+A) to save the schedule in the archive
  10. Go back to Step 1

This is how the schedule could have looked after having been executed (as exported with Export on the toolbar):

Oct 09, 2000, Mon (16.5 h)

  • 06:00 - Washing and breakfast (23 min, 57%)
  • 06:23 - Learning with SuperMemo (New trends in design) (101 min, 84%)
  • 08:04 - Work (last days of The Style Suite project) (438 min, 110%)
  • 15:22 - Lunch (71 min, 177%)
  • 16:33 - Rest and newspapers (109 min, 363%)
  • 18:22 - Time with the kids (58 min, 48%)
  • 19:20 - House tasklist (fixing the sink) (32 min, 79%)
  • 19:52 - Supper (20 min, 68%)
  • 20:12 - Surfing the net (presidential debate) (113 min, 94%)
  • 22:05 - E-mail (high-school reunion notification) (9 min, 29%)
  • 22:14 - Shower (16 min, 81%)
  • 22:30 . Sleep (end)

The above file is directly importable to your diary providing a daily record of your performance. Note than none of the activities lasted as long as planned (100%). The figures in the parentheses indicate the actual length (ActLen field) and the percentage of time devoted to the activity as compared with the optimum. Note also that the total time was increased to 16.5 hours on this particular day due to going to sleep 30 minutes later than planned (22:30 instead of 22:00).

Schedule analysis

If you keep overrunning your allocated time slots, the remaining activities of the day will progressively gets squeezed. This is the main problem with using Plan. The problem, naturally, does not come from the system of optimizing your day with Plan. The problem comes from our natural tendency to add time to enjoyable slots, from being late, as well as from being interrupted by unexpected events (e.g. phone calls). If you do not religiously stick to the schedule, schedule optimization will not work! A vast majority of users of Plan report doing well only in the first half of the day, while activities scheduled for the evening usually get squeezed beyond usability. This is where schedule analysis with Delays comes handy. It helps you better understand your weaknesses, as well as weak spots in the schedule (i.e. activities for which you allocate too little time, activities which you tend to overrun, etc.).

Not only at the beginning, your schedule will require fine-tuning (i.e. adding a few minutes here, taking away a few minutes there, etc.). You may always want to reduce the time for breakfast and increase the time for sports or education; however, your plans may be unrealistic. In the exemplary schedule above, you may find yourself spending an average of 48 minutes for washing and breakfast as opposed to the planned 40 minutes. To prevent this from happening, you should use the button Delays to honestly analyze your schedule and realistically adjust the length of activities that you never manage to complete in time or which never get enough time as compared with the plan. The delay analysis of the schedule presented in the previous paragraph would produce the following outcome:

Delays: Oct 09, 2000, Mon (16.5 h)

  • 363%: Rest and newspapers (30->109 min.)
  • 177%: Lunch (40->71 min.)
  • 110%: Work (last days of The Style Suite project) (400->438 min.)
  • 94%: Surfing the net (presidential debate) (120->113 min.)
  • 84%: Learning with SuperMemo (New trends in design) (120->101 min.)
  • 80%: House tasklist (fixing the sink) (40->32 min.)
  • 80%: Shower (20->16 min.)
  • 67%: Supper (30->20 min.)
  • 57%: Washing and breakfast (40->23 min.)
  • 48%: Time with the kids (120->58 min.)
  • 30%: E-mail (high-school reunion notification) (30->9 min.)
(exported: Monday, October 09, 2000, 10:31:46 PM)

It is easy to notice that Rest and newspapers was the greatest schedule offender. You have devoted 109 minutes instead of the optimum 30 minutes, which stands for the 363% overshot. Your lunch also lasted 71 minutes instead of just 30. In conclusion you may decide to either improve your discipline or increase the desired length of time devoted to lunch and the postprandial rest.
On the other end of the spectrum is your e-mail slot which was cut from 30 minutes to just 9 minutes (e.g. as a result of being late and tired). In other words, you devoted only 30% of the planned time to e-mail. If e-mail is important, you might increase the length of the e-mail slot, which would make it less vulnerable to delay. Move the e-mail slot to an earlier hour (e.g. before surfing the net) or reduce the length of activities preceding the e-mail slot. Best of all, you should by all means avoid delays which call the whole idea of schedule optimization in question. You have to realistically adjust the lengths of activities and strive and completing individual slots ahead of time. This will prevent end-of-schedule activities from being a constant casualty of delays.

Once your schedule stabilizes and you can efficiently stick to its timing, you can use the button Adjust on the toolbar that will copy OptLen fields to Length fields. This will help you adjust realistic length figures upon schedule analysis (usually, your first plans will by far exceed your abilities; hence the importance of the Adjust option).

Schedule exceptions and emergencies

The following circumstances may call for special action in the schedule manager:

  1. Moving an activity - if you need to change the sequence of floating activities, you can drag one ahead of another (e.g. you may drag e-mail ahead of web surfing if you expect your colleague to send you an important URL to explore). To drag an activity, press the left mouse button down on the gray column on the left and drag the activity up or down
  2. Adding an activity - during the execution of your schedule, you might figure out that you need to insert an additional activity (e.g. an unexpected family visit). For that purpose, select the activity before which the new slot is to be inserted, and press Ins (or choose Menu : Insert). Type in the length of the new slot or type in the expected start time and end time. All activities before and after the inserted activity will optimally be stretched or compressed (with the assumption that no activity will be split). If compression is disproportionate on one side of the inserted activity, move some floating activities away from the overcrowded part
  3. Splitting an activity - if you want to insert a short break into an activity (e.g. breaking news on TV in your learning slot) you can choose Menu : Split. This will help you execute an activity in two portions. SuperMemo will ask you about the length of the first sub-slot in minutes. For example, if your learning slot is 120 minutes and you want to split it into two 60 minute parts, type 60 minutes at Split
  4. Merging activities - if you want to conglomerate activities, move one of them to make sure one precedes the other. Choose the first activity and select Menu : Merge. For example, if you want to exceptionally take the kids to the cinema in your "kids" slot, you may figure out that the slot is too short. You could then give up your "rest and newspapers" and merge it with the kids slot. If this is still not enough, you could merge in "house tasklist". Naturally, you should avoid consuming strategic slots by less important activities. If you decide to merge your learning slot with house tasklist in order to make orders in the shed, you will lose your learning slot. Not only will your education suffer. You will also not be able to effectively run the schedule analysis for that day
  5. Fix the starting hour of an activity - if you plan to take kids to the cinema at 18:00, you can click the "kids" slot and type in the fixed hour. All your activities before that slot will be extended proportionally. Follow-up activities will be shortened. You can reduce the resulting imbalance by moving some activities from more crowded to lesser crowded portions of the schedule
  6. Removing an activity - if you want to skip an activity due to delays or due to its lower priority, you can delete it with Del. For the sake of schedule analysis with Delays, you would better use Menu : Skip at the moment you arrive to the activity that should be deleted. Skipped activities will still show in the delays analysis as 0% executed. This may help you draw conclusions as to whether the activity should be removed, shortened or moved to a later hour (and be more exposed to potential delays). Alternatively, in Delays, you can focus only on adding time to activities that take more than you plan. In such cases, deleted slots will gradually be squeezed in length in the original schedule by expanding the slots that gain time upon the delete
  7. Rigid activities - if you happen to adjust the time of a single slot again and again, and you know precisely how much time you want allocated to that slot, you can save time by clicking the R column and making that slot rigid. Rigid slot will always take as much as you plan for it. For example, if you always overrun Rest and newspapers due to the lazy human nature, and you never want to allocate a minute beyond the originally planned 30 minutes, set this slot as rigid 30 minutes and never worry about adjusting it again

Activity statistics

If you would like to keep statistics of individual activities, group activities by starting their name with the same keyword. For example, name your SuperMemo repetition slots as Reps A, Reps B and Reps C. If you select Totals on the toolbar, SuperMemo will add up the time used for repetitions by adding the length of the three slots starting with the keyword Reps. If you want to modify the length of the activity in the statistics, e.g. due to a short break, list the corrected length immediately after the keyword. For example, if Reps B lasted 23 minutes, but you had to leave for the toilet, you could correct it to read as Reps 18 B. SuperMemo will then add 18 minutes of Reps to statistics instead of 23 minutes.

Activity parameters

If your schedule is overcrowded with multiple slots, you can group some of them together, and make SuperMemo randomly choose one on a given day, another on another day, etc. For that purpose choose Menu : Edit or press Shift+Ctrl+P. List the activities in individual rows of the Activity parameters dialog box. Specify the length of individual activities and the maximum length of the slot in Length (min). On saving the new schedule with Save as, SuperMemo will randomly select one of the listed activities and choose its proposed length in schedule optimization (on condition the length is not longer than the maximum length allowed for that slot). For example, if you would like to alternatively browse New Scientist, cnn.com and Scientific American websites, and your time is too short to go to all these places in your reading slot, you can ask SuperMemo to randomly assign a single site on a given day, so that you could explore them individually. SuperMemo may then list the following entry in the schedule:
{#R: 16 Read NS | 10 Read cnn.com | 13 Read SciAm}
This indicates that Plan will try to allocate randomly 16 minutes for NS, 10 min. for cnn.com or 13 min. for SciAm. Naturally, as always, the actual length of these activities will depend on the allocation of time for other things on this particular day.

Other options : Toolbar

  • Save - save the currently edited schedule on the disk (Ctrl+S)
  • Set - begin executing the selected activity (Alt+S). This sets the Start time of the activity to the current time and activates the alarm timer if Alarm : Auto is checked
  • Export - export the schedule as HTML (e.g. to use it as a diary entry skeleton)
  • Delays - see which activities introduce delays in the schedule
  • Edit - edit the list of activities that may be selected for use with a given time slot (Ctrl+Shift+P)
  • Totals - add up activity statistics
  • Adjust - convert the "desired schedule" into the "optimum schedule" to use more realistic timing when fine-tuning the schedule
  • Split - split the activity in two
  • Fix - fix the selected activity at its current start time (SuperMemo will not change the start time)

Other options : Menu

  • Open - open another schedule
  • New - start creating a new schedule template
  • Save as - save a schedule template on a given day before executing the schedule, select from conglomerate activities, uncheck the rigid activities, etc.
  • Terminate - terminate the schedule at the selected activity
  • Skip - skip the activity (i.e. fix its start time and set the fixed start time of the next activity at the same time)
  • Merge - merge the activity with the one that follows
  • Archive - move the schedule to the archive
  • Alarm : Auto - turn on/off the automatic activation of the alarm timer when using Set
  • Alarm : Choose MP3 - select a sound file that will be played at alarm time
  • Reset - reset the schedule, i.e. set all Length fields to the optimum possible length, unfix start times and adjust start times to the optimum listed in the OptStart column

FAQ

Use incremental reading instead of Plan to optimize time allocations to different subjects
Tasklist vs. Plan
SuperMemo Plan is not of much use beyond SuperMemo
Gray fields cannot be edited

SuperMemo Plan is not of much use beyond SuperMemo
(zm, Tuesday, August 28, 2001 10:14 PM)
Question:
I would like to see better integration of Tools : Plan with MS Outlook. For example, export plan and import it in MS Outlook
Answer:
The main idea behind Tools : Plan is to perfectly adjust proportions of time allocated to individual activities during a day or during a learning time block. Those proportions are continually adjusted as you proceed with the execution, and such a plan is of little use beyond SuperMemo. If you only need a record of your daily activity, you can use the Export option among plan manager buttons

Gray fields cannot be edited
Question:
Why can I not edit the Delay field?
Answer:
Delay is computed automatically by SuperMemo and depends on the start time of a given activity as compared with the optimum time. Once you set the start time of an activity, it's delay (in minutes) is fixed and cannot be changed. Only Start, Activity and Length columns are editable. The remaining columns are determined by SuperMemo

Use incremental reading instead of Plan to optimize time allocations to different subjects
(Luis Neves, Brazil, Dec 4, 2000)
Question:
I would like to spend five hours on effective reading and learning starting at 6 pm. However, my interests are wide. Here are some things I would like to read: 3 daily newspapers, 1 daily Dilbert comic strip, 1 daily Linux news journal, 1 daily Internet news journal, 2 weekly magazines, 2 monthly science magazines, 1 on-line book of C language, 1 on-line book of TCL/TK language, 1 site for Kylix and Delphi, 1 neuroscience site and more. What would be my optimum strategy assuming I want to use SuperMemo and incremental reading?
Answer:
You could could best prioritize your learning with incremental reading. This would help you optimally adjust reading proportion. However, Tools : Plan can also be used for that purpose. You should start with preparing a good daily plan of action. This could be your exemplary schedule:

Reading&Learning (5 h)

  • 18:00 - SuperMemo - reading, review (81 min, 100%)

  • 19:21 . SuperMemo - repetitions (40 min, 100%)

  • 20:01 . SuperMemo - core (40 min, 100%)

  • 20:41 . Linux, C, TCL/TK - 2 articles (17 min, 100%)

  • 20:59 . Internet - 1 article (13 min, 100%)

  • 21:12 . Kylix/Delphi - 2 articles (20 min, 100%)

  • 21:33 . Neuroscience - 1 article (20 min, 100%)

  • 21:53 . reading on paper (weekly, science) (61 min, 100%)

  • 22:53 . other (Dilbert) (7 min, 100%)

The plan above was built using the following assumptions:

  • due to possible delays, you should put strategic slots first. If SuperMemo eats up too much time, you will just reduce the rate of importing new articles

  • you would import only 1-2 articles per slot (as specified in the plan). These articles would immediately be introduced into the process of incremental reading with Remember. If your article import slots (e.g. Neuroscience, Linux, etc.) produce more articles than you are able to read, use reading lists (you can also keep URLs on reading lists if you do not want your collection to swell in size too quickly)

  • Linux, Internet, Kylix and Neuroscience slots are supposed to be spent only on locating articles and importing them to SuperMemo. The actual reading will take place in the first slot of the day

  • all reading on paper was put into a single late slot. As reading on paper is by far less efficient, you will then give it lower priority and you will have to retype important notes to SuperMemo if you want to ensure long-term retention

  • SuperMemo reading and learning will be used for reading articles, extracting their portions, reviewing extracts, creating cloze deletions, standard repetitions, etc. Once this slot's time is over you will execute Postpone on all topics (assuming you cannot keep on reading articles without jeopardizing retention in the already mastered material)

  • SuperMemo repetitions will include repetitions of all clozes and items in the learning process. Once this slot's time is over, you will execute Postpone on all items in your To Do branch (assuming this is knowledge that has not yet been well-formulated and prioritized)

  • SuperMemo core will include only repetitions in your top-priority categories/branches. The assumption is that those categories/branches cannot be compromised for their retention and you cannot use Postpone in this slot. If you run out of time on this slot, do any or all of the following: (1) increase the time allocated in the plan, (2) reduce the inflow of new top-priority material, or (3) downgrade the priority of some branches (e.g. by allowing Postpone on those branches)

Tasklist vs. Plan
(Dobrowolski, Jarek, Poland, Fri, Aug 25, 2000 16:43)
Question:
Tasklists are an interesting concept but they are too trivial a model of reality to be universal. For example, how can I best split 9 hours into the optimum amount for sleep and jogging? Should it be 8+1 or 8.5+0.5? Tasklists do not help!
Answer:
Tasklists work well for a subset of optimization problems you will meet in your daily schedule. Your example is indeed entirely unsuitable to be handled with tasklists. Tasklists demand tasks to be well-defined, uniform and with good estimates on value and time. For example, they work great for prioritizing investments. SuperMemo has always been developed with the use of tasklists. However, you cannot prioritize your house chores and your shopping list using the same tasklist. This fails the uniformity criterion. You need two tasklists for that. Tasklist do not work well with deadlines (even if deadlines are included in the concept). Tasklist are not good at reflecting dependencies between the tasks. In other words they are far from universal. For the problem of optimizing your day, you should rather use Tools : Plan. There you could include 30 minutes of jogging, 8 hours of sleep, 2 hours of incremental reading and 30 minutes of repetitions. Using delay analysis, you can easily make minor adjustments to your schedule on the daily basis. If jogging made you too tired, you could have shorten the distance and the time slot. If you did not get sweaty enough, you could add 3-5 minutes and see the results on the following day. You could add some sleep time if you do not wake up within the slot. You could also add some time for repetitions if your incremental reading floods the learning process with topics and results in low retention. Tasklist fit well with the Plan within a single uniform time slot. In that slot, you can prioritize your reading, writing, making orders in your house, etc. To sum it up: the model proposed by SuperMemo will regulate the length of the time slot with the Plan. Within your uniform time slot you can use tasklists to prioritize individual activities


SuperMemo: Postpone

Contents : Overviews : Rescheduling
Postpone

Learn : Postpone can be used to move outstanding material review to a later time whenever you cannot cope with your daily load of repetitions. This option is particularly useful in heavily overloaded incremental reading.

Why is Postpone important?

In the previous millennium (i.e. before the advent of incremental reading in SuperMemo), the world of learning provided two extreme alternatives:

  1. traditional learning with high volume of the learning material and dismal retention. This learning can be called High In - High Out (HIHO) as high volumes of knowledge processed on the input are accompanied by equally high volumes of knowledge on the "output" (i.e. lost out to forgetting)
  2. SuperMemo with a small volume of strategic material remembered for years with a predetermined level of knowledge retention (LILO - Low knowledge input with low forgetting outflow)

Neither alternative provides a complete solution to the problem of forgetting. The balance between the two alternatives was left to the student. The optimum strategy was to use traditional learning to sift the strategic material, and then to memorize mission-critical material with SuperMemo.

The confinement of SuperMemo to strategic high-retention material was a powerful inhibitory force against SuperMemo's universal adoption:

  1. The process of selecting the strategic knowledge was not automated
  2. The student had to type in most of the learned knowledge to the program
  3. The student had to master knowledge structuring skills to make the memorized knowledge truly applicable
  4. Passive review was discounted as ineffective and was not used as a knowledge prioritization tool
  5. Retention was programmable solely via the forgetting index (within 3-20% forgetting rate)
  6. Accumulation of outstanding material after a short break was listed as the number one cause of users dropping SuperMemo for good

Incremental reading bridges the worlds of traditional learning and that of SuperMemo by providing a fluent transition between all priority levels starting from quick review, to repeated passive review, to active review, and to active recall at all level of the forgetting index down to 3% (i.e. nearly 99% recall rate). Incremental reading also includes an anti-overload option: Postpone that blurs the concept of the must-do outstanding material that had levied a heavy toll on SuperMemo usership.

Before SuperMemo 2002, incremental reading did not automate the process of "prioritizing by overflow". In other words, high volumes of learning would force the student to manually reschedule learning in branches or subsets of lower priority. Manual rescheduling of the material was necessary to protect core knowledge from a dramatic drop in retention. Substantially reduced retention slows down the learning process not only via the forgetting index vs. acquisition rate relationship, but also through unraveling of the incremental reading process where the new knowledge is built on a shaky foundation of what has been learned earlier. In addition, the flow of thought in incrementally read articles becomes disrupted if the core knowledge retention is not protected.

SuperMemo 2002 introduced Postpone to make it possible to reschedule lower priority material with a keystroke. The student could now painstakingly work out priorities for individual subsets or branches of knowledge and then apply these easily on a daily basis.

To fully understand the importance of Postpone, you need to master the concept of incremental reading first.

Warning! Each time you use Postpone you depart from your chosen level of knowledge retention! Never use Postpone on your most important learning material!

You can use Postpone daily if you apply it to topics and to material of lower priority. However, if you use it on your core items, your recall of these items will suffer. In extreme cases you can undermine your enthusiasm for using SuperMemo. To see the effects of rescheduling on the forgetting index see: Theoretical aspects of learning (forgetting index recovery figure)

Postpone dialog

The Postpone dialog box presented below includes three tabs: Scope, Parameters, and Adjust. The Scope tab settings are mostly done automatically for you depending on the context in which you use Postpone. The Parameters tab makes it possible to define the degree to which items and/or topics are postponed in the selected subset, and which items and/or topics are exempt from rescheduling. Once you define Parameters you can save the new setting with Scope : Save. Later you can restore the setting by using Settings name box.

Parameters tab

You need to understand the Parameters tab if you want to customize the degree of delay in rescheduling.

Delay factor determines how much elements should be delayed. For example, if you choose the delay of 1.1 (10%) on an element with the interval of 100 days, it will be delayed by ten days, i.e. rescheduled to the interval of 110 days.

Maximum interval puts a ceiling on the length of the delay interval. For example, if you choose the delay of 1.1 on an element with the interval of 200 days, and the maximum interval is 5 days, the element will be delayed only by 5 days (instead of the 20 days produced by multiplying the original interval by the delay factor).

Minimum interval puts a floor on the length of the delay interval. For example, if you set it to 3, all delayed elements will be delayed by no less than 3 days.

Skip conditions determine which elements will be exempt from delay.

  • if you check Skip items or Skip topics, items or topics (respectively) will not be rescheduled
  • Interval beyond will exempt elements with intervals longer than a selected value. For example, if you set Interval beyond to 320 days, no elements with interval longer than 320 days will be rescheduled. This can help you avoid infinite postpones. Once the element is postponed beyond a given interval, it will automatically enter the core of elements that will not be postponed
  • Forgetting index below makes it possible to determine the level of the forgetting index that will prevent items from being postponed. For example, if you set Forgetting index below to 5%, items with forgetting index 3% and 4% will not be rescheduled. This way you can make sure that the most important items in your collection are protected from a drop in retention
  • A-Factor below is analogous to Forgetting index below. The only difference is that you will use it with topics instead of items. Set A-Factor of most important articles to a very low value (e.g. 1.01). This way you will be able to filter them out at Postpone and make sure they never get rescheduled
  • Postpone count helps you prevent numerous postpones. For example, if you set the postpone count to 6 in the Items column, items will only be postponed 6 times. After that, Postpone will not affect them
  • Delay above makes it possible to avoid rescheduling of elements whose delay reached a too high level (in interval percent). The default value is 50%

Adjust tab

The Adjust tab can be used for fine tuning delays on subsets with a complex priority structure of individual branches of knowledge. Sub-branch postpones determines how the rescheduling procedure interprets branches included in the subset that have their own postpone setting defined. Here are the possible options:

  • Respect setting - respect the setting defined for individual branches and ignore the currently used global setting of the Parameters tab. For a comprehensive postpone towards the end of your learning day (i.e. at times when you want to focus on your core knowledge), postpone all less important branches and be more lenient on branches that include most vital pieces of knowledge
  • Ignore setting - use the Parameters tab setting for all elements in the postponed subset. Ignore all branch postpone definitions. For example, if you want to postpone all topics in your collection, you can ignore the settings for individual branches, which may have Skip topics selected. This option is the fastest as it does not need to scan branches for individual postpone definitions
  • Always choose most conservative setting - check the branch setting and postpone as little as possible (i.e. choose the definition that is least drastic)
  • Always choose most liberal setting - check the branch setting and postpone as much as possible (i.e. choose the definition that provides for the highest delay). For example, minutes before you finish your learning day, postpone whatever can be postponed and focus only on the cream of the crop of your knowledge

Advanced settings on the Adjust tab include: Include elements that are not outstanding (switching between Postpone and Dilute), Modify item delay in proportion to the forgetting index (for delaying items in proportion to the forgetting index) and Modify topic delay in proportion to A-Factor (for delaying topics in proportion to their A-Factor).

Simulate, Postpone and Dilute

Once you define the settings on the Parameters tab and, optionally, fine tune them on the Adjust tab, save them with Save on the Scope tab. You can now test the postpone procedure by clicking Simulate. If you are not satisfied with the results, redefine Parameters. Once you are happy with the result of the simulation, Save the settings and choose Postpone.

The option Dilute should only be used in rare circumstances. It is analogous to Postpone but it also delays elements that are not outstanding. There are two main reasons for using Dilute:

  • it may happen that you learn a lot of material in a branch that is no longer important to you. Instead of deleting such a branch, you may decide to incrementally sift it of the less relevant material. To reduce the emphasis on this branch in your daily review, use Dilute and spread the material over a longer period of time
  • if you transfer portion of your learning process to another SuperMemo using XML export, you can Dilute the transferred material and continue learning on two independent platforms (e.g. pocket SuperMemo and SuperMemo for Windows). Dilute will prevent duplicating repetitions. See: Revolution in the pocket

Using Postpone in various contexts

  • globally - to postpone elements globally, choose options from the Learn : Postpone submenu on the main menu
  • browser - to postpone elements listed in a browser, use Learning : Postpone on the subset processing menu or press Ctrl+Alt+P
  • contents window - to postpone elements in a given branch, select it in the contents window, and use Learning : Postpone on the subset processing menu or press Ctrl+Alt+P
  • element window - to postpone elements belonging to any ancestor branch of the current element (e.g. during repetitions), choose Learning : Postpone branch on the element menu. Respond with No until you reach the desired ancestor branch
  • Ancestors window (Alt+P) - right-click over any ancestor branch and choose Postpone branch

Exemplary strategy

Few people are able to focus efficiently on learning with SuperMemo for longer than 40-60 minutes. However, you should be able to do far more if you divide your learning day into portions. You will get best results when learning at times of highest alertness (see: Good sleep for good learning to find out the two main alertness periods in a healthy circadian rhythm). Here is an exemplary strategy:

  • Main reading block, 45 min, morning, randomized repetitions, incremental reading, item repetitions, high creativity, etc.
  • Main repetitions block, 30 min, early evening, randomized repetitions after executing Postpone on topics with the exception of the highest priority articles
  • Core knowledge block, 20 min, randomized repetitions after executing a postpone on lower priority items and the remaining topics. Adjust : Sub-branch postpones : Respect setting can be used here to define separate postpone rules for individual branches and categories
  • Essential knowledge block, 20 min, before sleep, randomized repetition after executing a postpone on all but the most important pieces of knowledge. Ideally, you should be able to fine tune postpone parameters in a way that you are able to complete all repetitions on your most vital knowledge material. This condition is necessary for ensuring the programmed level of knowledge retention guaranteed by SuperMemo. Ideally, your outstanding should not go beyond 20+20 in this block

Postpone or Mercy?

Postpone should drastically reduce the role of Mercy in SuperMemo. However, you may still need Mercy in the following circumstances:

  1. Randomizing repetitions (Mercy : Criteria : Randomize)
  2. Rescheduling the outstanding material after a longer break (with chosen Mercy : Criteria)
  3. Advancing future repetitions to an earlier date (e.g. before a vacation)

See also:

  • Incremental reading
  • FAQ: Incremental reading (and Postpone)


SuperMemo: Question of the Day

Question of the Day

Help : Question of the Day is an equivalent of the "Tip of the Day" in other programs. The main difference is that tips are formulated in question-answer form and can be introduced into the learning process as ordinary SuperMemo items.

wpeE.jpg (24103 bytes)

Question of the Day provides the following options:

  • Show Question of the Day on starting SuperMemo - if you tick this checkbox, you will start every session with SuperMemo from Question of the Day. This is recommended both for beginners and for those who are not yet well familiarized with the new capabilities of SuperMemo
  • Next question - show next question
  • Remember - introduce the currently displayed question into the learning process, i.e. memorizing it like any other element in SuperMemo
  • Delete - never show this question again, i.e. delete it from the question set (the name dismiss might be used instead of delete to provide some analogy with Dismiss in SuperMemo; note however, that Dismiss in SuperMemo does not delete dismissed elements)
  • Close - close the Question of the Day dialog

Unlike tips used in other application, questions in Question of the Day are presented to you in logical sequence, i.e. not randomly. As you are able to delete tips or memorize them, this shall never result in boring repetitiveness

You can find the text of all tips in the file <supermemo folder>/bin/tips.txt


SuperMemo Questionnaire

Contents : Support
For better SuperMemo (questionnaire)

Please answer the following questions that will be useful in developing a better SuperMemo. Those who send fully completed questionnaires will receive preference in admissions to testing programs awarded with free SuperMemos

About you (optional)

1. Name:
2. Country:
3. E-mail:
4. Occupation:
5. Educational background (degree, major):
6. Age:

About your use of SuperMemo

7. How did you first learn about SuperMemo?
8. What versions of SuperMemo have you used?
SuperMemo 2004 | SuperMemo 2000/2002 | SuperMemo 98/99
SuperMemo 8 (16-bit) | SuperMemo Freeware | Palm or Pocket PC
9. For how long have you been using SuperMemo until now (in years)?
10. How much time per day do you spend on SuperMemo (in minutes)?
11. How many elements have you memorized?

Opinions

12. What is your opinion about the SuperMemo method?
No opinion
Excellent aid in learning
Useful idea
Nothing special
Artificial approach to learning
Waste of time
13. What is your opinion about the SuperMemo software?
No opinion
Excellent piece of software
Reliable product
Good software that is not user friendly
Poor quality software
Bag of bugs

Likes and dislikes

14. What do you like most in SuperMemo?
15. What do you dislike most in SuperMemo?

Scope for improvement

16. What are the most important improvements you would like to see in SuperMemo?
17. What subjects are insufficiently or unclearly covered in help?
18. What services or articles would you like to see on SuperMemo Website?
19. What could or should be made to make SuperMemo more popular?

Final remarks

20. Final remarks, complaints, suggestions, ideas, anecdotes, etc.
I would like to get SuperMemo 2004 free by writing material for SuperMemo Library


SuperMemo: Incremental reading

Incremental reading

Contents:

  1. What is incremental reading?
  2. Advantages of incremental reading
  3. Five basic skills:
    1. importing articles
    2. reading articles
    3. converting articles to questions and answers
    4. repetition and review
    5. handling knowledge overflow
  4. History of incremental reading
  5. Summary
  6. FAQ

What is incremental reading?

Incremental reading is a learning technology that makes it possible to read thousands of articles at the same time without getting lost. Incremental reading begins with importing articles from electronic sources, e.g. the Internet. The student then extracts the most important fragments of individual articles for further review. Extracted fragments are then converted into questions and answers. These in turn become subject to systematic review and repetition that maximizes the long-term recall of processed texts. The review process is handled by the proven repetition spacing algorithm known as the SuperMemo method.

Incremental reading may seem complex at first. However, once you master it, you will begin a learning process that will surpass your expectations. You will be surprised at the volume of data your memory can process and retain!

Advantages of incremental reading:

  1. Massive learning: possibility of studying a huge number of subjects at the same time. In traditional reading, one book or academic subject might need to be completed before studying another. With incremental reading, there is virtually no limit on how many articles you can study at the same time. Only the availability of time and your memory capacity will keep massive learning in check
  2. Creativity (the association bonus): The key to creativity is an association of remote ideas. By studying multiple subjects in random and unpredictable sequences, you will dramatically affect association of ideas and immensely improve your creativity. Incremental reading may be compared to brainstorming with yourself
  3. Understanding (the slot-in factor): One of the limiting factors in acquiring new knowledge is the barrier of understanding. All written materials, depending on the reader's knowledge, pose a degree of difficulty in accurately interpreting their contents. This is particularly visible in highly specialist scientific papers that use a sophisticated symbol-rich language. A symbol-rich language is a language that gains conciseness by the use of highly specialist vocabulary and notational conventions. For an average reader, symbol-rich language may exponentially raise the bar of lexical competence (i.e. knowledge of vocabulary required to gain understanding). Incremental reading makes it possible to delay the processing of those articles, paragraphs or sentences that require prior knowledge of concepts that are not known at the moment of reading. The processing of the learning material will only take place then when the new information begins to slot in comfortably in the fabric of the reader's knowledge
  4. Counteracting entropy: The web is a goldmine of information. However, rarely do we find step-by-step articles that provide all information and entirely satisfy our needs. In scientific research, acquiring engineering knowledge, studying a narrow topic of interest, etc. we are constantly faced with a chaos of disparate and often contradictory statements. Incremental reading makes it possible to resolve contradictions and build harmonious models of knowledge on the basis of the information chaos drawn from the Internet. Incremental reading stochastically juxtaposes pieces of information coming from various sources and uses the associative qualities of human memory to emphasize and then resolve contradiction
  5. Stresslessness. The information era tends to overwhelm us with the amount of information we feel compelled to process. Incremental reading does not require all-or-nothing choices on articles to read. All-or-nothing choices are stressful! Can I afford to skip this article? For months I haven't found time to read this article! etc. SuperMemo helps you prioritize and skip articles partially or transparently. Oftentimes, reading 3% of an article may provide 50% of its reading value. Reading of other articles may be delayed transparently, i.e. not by stressful procrastination but by a sheer competition with other pieces of information on a strictly prioritized basis
  6. Attention. Incremental reading widely stretches the span of human attention. You will notice that a single paragraph in an article may greatly reduce your enthusiasm for reading. If you stumble against a few frustrating paragraphs, you may gradually develop a dislike of reading this article, this subject or reading anything on a given day. Incremental reading makes it possible to immediately move on to other pieces of information reducing the negative impact of frustration. It also makes it possible to split larger pieces into less intimidating portions. Those measures dramatically increase your attention and the fun factor of reading and learning. A skilled incremental reader is likely to develop an addiction to learning with all related benefits!
  7. Consolidation. Incremental reading combines the process of extracting pieces of valuable knowledge with memory consolidation. By the time you begin a standard repetition process of well-formulated items, you memory will often have already been established in a close to the optimum context. This comes from the need to extract a given piece of information from a larger body of knowledge that provides your items with the relevant context. This slow process of jelling out knowledge provides you with an enhanced sense of meaning and applicability of individual pieces of information. In addition, semantically equivalent pieces of information may be consolidated in varying contexts adding additional angles to their associative power
  8. Prioritization: improved flow of knowledge as a result of more accurate prioritization of material. For example, reading lists in SuperMemo 99 required assigning Value to each article. Estimations of Value could be highly inaccurate. An interesting material that would receive a low Value might indefinitely wait in the queue for processing. Incremental reading allows of on-the-fly prioritization. It also provides tools that help you upgrade or degrade the priority of articles depending on the value of individual pieces of extracted information
  9. Fun. Maslov's hierarchy of needs and further research in psychology indicate that at a certain level of human development, the sense of productivity might be one of the most satisfying emotions. This is why incremental reading is highly enjoyable. This only magnifies its powers. To experience the elation of incremental reading, you may need a few months of focused practice. You will first have to start with the basic tools and techniques listed in this article. Then you will need to master knowledge representation skills. Finally, you will need a couple of months of heavy-load incremental reading to perfect the details and develop your own "incremental reading philosophy". Last but not least, incremental reading requires good language and touch-typing skills. Although the material is originally imported from electronic sources, it always needs to be molded, shortened, provided with context clues, restructured for wording and grammar, etc.
Only SuperMemo makes it possible to implement incremental reading. Incremental reading requires continual retention of knowledge. Depending on the volume of knowledge flow in the program, the interval between reading individual portions of the same article may extend from days to months and even years. SuperMemo ( repetition spacing ) provides the foundation of incremental reading which is based on stable memory traces that would not fade between the bursts of reading

See also: incremental reading from user's perspective by Len Budney

Five basic skills of incremental reading

Incremental reading requires skills that you will perfect only with passing time and growing experience. This overview will help you handle the most basic skills and help you make a start with incremental reading. The five basic skills are:

  1. importing articles to SuperMemo
  2. reading articles and decomposing articles into manageable pieces
  3. converting most important pieces of knowledge to question-answer material
  4. review of the material to ensure a good recall
  5. handling the unavoidable overflow of information

Skill 1: Importing articles

To import an important article to SuperMemo, follow these steps:

  1. Select the imported text in your web browser and copy the selection to the clipboard (e.g. with Ctrl+C)
  2. Switch to SuperMemo (e.g. with Alt+Tab)
  3. In SuperMemo, press Ctrl+Alt+N (this is equivalent to Edit : Add a new article on the main menu). SuperMemo will create a new element, and paste the article. You can also use the paste button on the element toolbar or on the Read toolbar ( [image])
  4. Optionally, use Ctrl+J to specify the first review interval. For example: one day for high priority material or 30 days for low priority material (Ctrl+J is equivalent to Learning : Reschedule on the element menu)

Tips:

  • To import many articles at once from Internet Explorer, use Edit : Import web pages (Shift+F8)
  • To type your own notes to SuperMemo, use Edit : Add to category : Note (Alt+N)
  • If you would like to store pictures locally (in the registry), and make them proliferate in incremental reading (i.e. show up in all extracts and clozes), you will need to paste pictures separately. Use Copy on the picture menu in the browser and then press Shift+Ins or Ctrl+V in SuperMemo to paste the picture. You could also use Download images (Ctrl+F8) on the component menu
  • To learn more about HTML in SuperMemo, see: HTML component

Skill 2: Reading articles

You could precede reading articles with conveniently locating the Read toolbar on your screen. Choose Window : Toolbars : Read, place the toolbar in a convenient place on the screen and press Ctrl+Shift+F5 (to save the chosen layout as your default layout). If you do not see the Window menu read about levels.

This is the Read toolbar:

This is a simplified algorithm for reading articles:

  1. Import an article as explained earlier or bring up a previously imported article with Learn
  2. Click the article to make sure you enter the editing mode in which you can modify text, select fragments, etc.
  3. Start reading the article from the top
  4. If you encounter an interesting fragment, select the fragment with the mouse and choose Reading : Remember extract on the component menu (or simply press Alt+X). Alternatively, you can click the green T icon on the Read toolbar ( [image]) or on the element toolbar. This operation will introduce the extracted fragment into the learning process as an independent mini-article. If you would like to adjust the first interval after which the extract review will take place, choose Reading : Schedule extract instead of Remember extract (checked T icon on the Read toolbar)
  5. If you read a fragment that does not seem important, delete it or select it and choose Reading : Ignore on the component menu (or click the stop-sign icon). Selecting Ignore will mark the fragment with ignore font
  6. If the selected fragment does not include all the important reading context, you will need to add this context manually. For example, if you are learning history, you may extract the following fragment from an article about Lincoln: On Sept. 22, 1862, President Lincoln issued the Emancipation Proclamation, one of the most important messages in the history of the world. He signed it Jan. 1, 1863. If you would like to extract the fragment related to signing the Emancipation Proclamation, you will need to change He to Lincoln and it to Emancipation Proclamation so that your fragments retains all contextual clues: Lincoln signed the Emancipation Proclamation on Jan. 1, 1863. You can use the Reference options on the component menu to easily add context to your extracts. Context added by Reference will proliferate automatically to all extracts of a given article
  7. Once you decide to stop reading the article before its end, mark the last processed fragment as the read-point (e.g. with Ctrl+F7 or by choosing Reading : Read-points : Set read-point). Next time you come back to this same article, SuperMemo will highlight your read-point and you will be able to resume reading from the point you last stopped reading the article. To go to your current read point, press F7. If you forget to set the read-point, SuperMemo will leave a read-point at the place of your last extract
  8. After you finish reading a portion of one article , choose Learn or Next repetition to proceed with review of other articles
  9. In incremental reading, interrupted reading is a rule, not an exception! (see advantages above)
    With a dose of practice, you will quickly get accustomed to this not-so-natural state of affairs and learn to appreciate the power of incremental approach. Use the following criteria to decide when to stop reading the article:
    • lack of time: if you still have many articles for review for a given day and your time is running out, keep your increments shorter. After some time, being in a hurry will be a norm and you will tend to read only 1-2 paragraphs of each article and dig deeper only into groundbreaking articles that will powerfully affect your knowledge
    • boredom: if the article tends to make you bored, stop reading. Your attention span is always limited. If your focus is poor, you will benefit more from the article if you return to it after some break. Go on to reading something that you are not yet tired of. If SuperMemo schedules the next review at a date you consider too late, use Ctrl+J or Ctrl+Shift+R to adjust the next review date
    • lack of understanding: if you feel you need more knowledge before you are able to understand the article, postpone it (e.g. use Ctrl+J or Ctrl+Shift+R and schedule the next review in 100 days or so). If you believe you have already imported articles with relevant explanatory knowledge, you could review or advance these articles now (e.g. with browser's Learning : Review all or Learning : Advance). If you have not yet imported any explanatory articles, you could do it now (e.g. search the web and import articles as explained before)
    • lower priority: read lower priority articles in smaller portions thus reducing the overall time allocation for the related subject
  10. Once you complete reading the article, press Ctrl+Shift+Enter (or Learning : Done on the element menu). This will dismiss the article, i.e. remove it from the review process. Done will also delete childless articles (i.e. articles that did not provide interesting extract or whose extracts have been processed and moved to target categories). Using Done will dramatically reduce the size your collection and eliminate "dead hits" when searching your collection
  11. If you have an impression that the article is difficult and you would like to read some fragments later, extract those fragments with Reading : Schedule extract and provide a review interval that will reflect the time you believe you will be better equipped to understand the extracted fragment

Skill 3: Extracting fragments, questions and answers

In the course of traditional reading, we often mark important paragraphs with a highlighter pen. In SuperMemo, those paragraphs should be extracted as separate elements that will later be used to refresh your memory. Each extracted paragraph or section becomes a mini-article that will be subject to the same reading algorithm as discussed above. Extract important fragments and single sentences with Remember extract (Alt+X). Remember to add necessary context clues to make sure the extracted fragment does not become meaningless with time. You can use the Reference options on the component menu (esp. Alt+Q) to easily add context to your extracts. For example, select the title of the source article and press Alt+T (Reference : Title). This way, each extract will be marked by the title of the source article. If you fail to provide the context, you can use the reference link button [image] on the element toolbar to jump to the source article from which the extract had been produced.

SuperMemo will show you that extracting important fragments and reviewing them at later time will have an excellent impact on your ability to benefit from the processed material at later times. However, it will also show that once the review intervals grow beyond 200-300 days, passive review will often become insufficient. At that time you will need to use Remember cloze by pressing Alt+Z (or click the blue Z icon on the Read toolbar [image] or on the element toolbar). This option will help you convert a sentence into a series of question-and-answer items.

For example, if you have extracted the following fragment from your reading about the history of the Internet:

The Internet was started in 1969 under a contract let by the Advanced Research Projects Agency (ARPA) which connected four major computers at universities in the southwestern US (UCLA, Stanford Research Institute, UCSB, and the University of Utah)

you may discover than when review intervals become long enough, you may not actually be able to recall the name of the ARPA agency or even forget the year in which the Internet started. You can then select an important keyword, e.g. 1969, and use Remember cloze to produce the following item:

Question: The Internet was started in [...] under a contract let by the Advanced Research Projects Agency (ARPA) which connected four major computers at universities in the southwestern US (UCLA, Stanford Research Institute, UCSB, and the University of Utah)
Answer: 1969

In the course of learning, you will yet need to polish the above item by manual editing it to a more compact and understandable form:

Question: The Internet was started in [...](year) under a contract let by the ARPA agency
Answer: 1969

Or better yet:

Question: The Internet was started in [...](year)
Answer: 1969

This mini-editing added the following benefits to the above question-answer item:

  1. clearer purpose of the question: the fact that the question is about the year in which the Internet began is emphasized by using the red-colored (year) hint
  2. brevity: by removing superfluous information, you will not waste time on information that is not likely to be remembered (only actively recalled material will be remembered for years). You will answer the question and never focus on which universities were originally connected by the early Internet. If you believe this information is important, you will use the original extract to produce more cloze items that will focus solely on the universities in question by naming them in the answer field. If you disagree, read: 20 rules of formulating knowledge
  3. understandability: "the ARPA agency" phrase may defy grammar rules you have learned in primary school, but it is by far more understandable than just the ARPA. In SuperMemo, understandability is more important than stiff rules of grammar or spelling!

Remember:

  • As a rule, you should use only one-sentence extracts to generate cloze deletions! Some people hate incremental reading. Monster clozes are the #1 reason for such a negative feeling. By using one-sentence extracts for cloze deletions, you will save ages on repetition time and eons on time needed to simplify clozes and converting them to the final form based on the minimum information principle. See: 20 rules
  • Your work on extracting fragments, producing cloze deletions and editing them should also be incremental. In each review, do only as much work on the learning material as is necessary! Extracting and editing in intervals adds additional benefit to learning and is more time-efficient. Each time you rethink structure and formulation, you hone the representation and "connectivity" of a given piece of knowledge. In addition, your priorities change as you proceed with learning. At times it may result in over-investing your time in a piece of knowledge that is no longer relevant. The incremental approach should not only refer to the reading process but also to the follow-up processing and formulation
  • To better understand incremental reading, it is recommended you read: Topics vs. Items

Skill 4: Repetition and review

SuperMemo is based on repetition. You make repetitions of the learned material in order to ensure that your knowledge retention reaches the desired level (usually 95-98%).

In SuperMemo, your incrementally processed articles will also be subject to repetitions. We will often use the more intuitive term review in reference to incrementally processed material; after all, when you resume reading an article after a certain interval of time, you are not actually repeating anything. You are simply reading new sections of the same material and extracting newly acquired wisdom into separate elements with Alt+X (i.e. Remember extract).

The algorithms used to make (1) standard repetitions of question-and-answer material and (2) reviewing reading material are similar. Most importantly, all repetitions and article presentations happen in increasing intervals. In incremental reading, you will constantly see inflow of new material to your collection. Unprocessed material will need to compete with the newly imported material. Increasing review intervals makes sure that your old material fades into lower priority if it is not processed quickly. Naturally, the speed of processing will depend on the availability of your time and the value of the material itself. Articles that are boring, badly written, less important for your work or growth, will receive smaller portions of your attention and may go into long review intervals before you even manage to pass a fraction of the text. That is an inevitable side effect of a voluminous flow of new information into your collection (and your memory). However, intervals and priorities can easily be adjusted. If the priorities change, you can modify the way you process important articles. Upon the next review you can read the whole article or revert it to a shorter interval. You can even use search tools (Ctrl+F) to locate more articles on the subject you feel you have neglected and reprioritize these as well (e.g. with Learning : Advance on the browser subset operations menu).

The algorithm for repeating questions and answers (e.g. cloze deletions) is quite complex and you do not have much influence on the timing of repetitions (see: SuperMemo Algorithm). This stems from the need to keep a high level of knowledge retention, which can be compromised by manual intervention.

However, the algorithm for determining inter-review intervals in incremental reading is much simpler and is entirely under your control. Each article receives a number called A-Factor that determines how much intervals increase between subsequent reviews. For example, if A-Factor=2, review intervals will double after each review. A-Factors are determined heuristically on the basis of the length of the text, the way it is processed, the way it is postponed or advanced, and more. Long texts will receive low A-Factors (e.g. 1.1), while short extracts will receive higher A-Factors (e.g. 1.8). Manually typed texts have lower A-Factors than automatically imported texts. You can change the value of A-Factor associated with a given article by choosing Ctrl+Shift+P. You can also use Ctrl+Shift+Up and Ctrl+Shift+Down to increase or decrease element's priority (as reflected by the A-Factor). A-Factors associated with items cannot be changed by the user (see: forgetting index).

You can also control the timing of article review by manually adjusting inter-review intervals. Use Ctrl+J (Reschedule) or Ctrl+Shift+R (Execute repetition) to determine the date of the next review. Ctrl+J will increment the current interval, while Ctrl+Shift+R will first execute a repetition and then set the new interval to the selected value. In other words, if your current interval is 100 and you specify the value of 3 in Reschedule, your new interval will be 103 and the last repetition date will not change. If you do the same with Execute repetition, your new interval will be 3 and the last repetition date will be set to today.

In heavily overloaded incremental reading, you will often want to learn only a portion of material related to a given subject. For that purpose, read about priceless subset learning

Skill 5: Handling large volumes of knowledge

In incremental reading, your work with SuperMemo will freely combine and mix (1) reading with (2) standard repetitions. Randomizing the sequence of repetitions should be encouraged. With more material in the process than you can handle daily, only random coverage of the material will provide you with a true sense of your progress. You can randomize your daily portion of repetitions with Learn : Random : Randomize repetitions (Ctrl+Shift+F11).

By using Randomize repetitions, your repetitions will not favor more accurate processing of material based on the length of the interval, element type (e.g. articles, extracts, question-and-answer items, etc.), contents (i.e. branch of the knowledge tree) or degree of processing. Random repetitions will help you better understand possible negative trends such as excessive inflow of new material, lower retention (mostly as a result of frequent rescheduling), poor formulation of newly created cloze deletions, low quality or applicability of the acquired knowledge, excessive emphasis on certain subject at the cost of other subjects, etc.

Your hunger for new knowledge may quickly result in a substantial overflow of the new material at the cost of the quality of knowledge and and the cost of retention. For this reasons you may, but do not have to, decide to execute your repetitions in the following stages:

  1. random and indiscriminate review and repetition of all outstanding material
  2. random repetitions with the exclusion of topics (articles, and unprocessed extracts). With the help of Postpone you can postpone all topics or all topics except the most important articles as indicated by interval, A-Factor, etc. You can, for example, use Learn : Postpone : Topics for that purpose
  3. random repetition of all material with the exclusion of newly created and not fully processed questions-and-answers (mostly cloze deletions) (see how)
  4. random repetition of top-priority question-and-answer material with selective delay of repetitions in branches of knowledge that are less important

Postpone makes it possible to reschedule only a subset of repetitions. For example you can opt to delay repetitions in subsets such as:

  • all articles and extracts
  • all newly added material
  • all material in a given knowledge branch (e.g. chemistry)
  • all difficult material
  • all short-interval material, etc.

Postpone uses a number called a delay factor that is used to increase intervals of outstanding repetitions. Intervals are simply multiplied by the delay factor. For example, if you choose to Postpone with the delay factor of 1.1, all intervals will be multiplied by 1.1 and will increase by 10%. Postpone will always increase intervals by no less than one day from the present day. This way, all items on which Postpone is executed fall out of the outstanding subset.

You will mainly execute Postpone with Ctrl+Alt+P in three ways:

  1. in the contents window: if you want to postpone a given branch of knowledge (e.g. new items)

  2. in the browser: if you want to postpone any subset of items that you can generate with browser operations (see: Using subsets)

  3. in the element window: if you want to postpone any ancestor branch to which the currently repeated element belongs

Here are some typical ways in which you will execute Postpone:

  • to postpone all articles and extracts use Learn : Postpone : Topics
  • to postpone all items (but not topics) in a given branch (e.g. all new items in your new items branch):
    1. select the branch in the contents window
    2. choose View : Selected branch (Ctrl+Shift+Enter)
    3. choose Child : Items in the browser
    4. choose Postpone (Ctrl+Alt+P)
  • to postpone all repetitions in a branch to which a given element belongs:
    1. press Ctrl+Alt+P when you see an element belonging to a lower priority branch. For example, when SuperMemo brings for review an item on the Bill of Rights, you might decide that your US Constitution branch should be postponed (e.g. because its priority is less than that of branches related to your profession)
    2. answer No until the desired parent branch is reached (SuperMemo will scan ancestor branches from the present one up to the root of the knowledge tree)

If you would like to make your repetitions using the above suggestions, you should add all your new material to a selected branch, and transfer individual items to target categories such as sociology, psychology, history, etc., only then when you are sure that these items have received their final wording and meet your stringent quality criteria. As a rule, you should not ever use Postpone on your mission critical knowledge. If you do so, you are bound to miss your retention targets! With time, Postpone will always increase the measured forgetting index. It should only be used to eliminate an excess of lower priority material. You will mostly want do postpone half-processed material, low priority branches (e.g. Private, Hobbies, etc.), and less important questions.

To efficiently work with material belonging to different subjects of different priority, you might also want to study the following:

  1. using templates (providing different branches with a different look)
  2. using categories (easily adding knowledge to different branches of the knowledge tree)
  3. flow of knowledge in SuperMemo (summary of skills related to the flow of knowledge between branches and knowledge pools such as memorized, dismissed, processed, pending, extracts, articles, etc.)

Optional: History of incremental reading

Incremental reading might be as important for SuperMemo as the original repetition spacing algorithm. It eliminates a number of bottlenecks to learning at its first stage: knowledge acquisition.

Older SuperMemos: In the years 1987-1998, users of SuperMemo had only two alternatives in the area of collecting learning material for learning with SuperMemo: (1) type it in and formulate it manually or (2) obtain ready-made learning material from colleagues, SuperMemo Library, etc. The only way SuperMemo supported learning from electronic sources was via Copy and Paste

SuperMemo 99 made the first step towards efficient reading of electronic articles by introducing reading lists and the first primitive reading tools: extracts and clozes. Reading lists are prioritized lists of articles to read. Extracts make it possible to split larger articles into smaller portions. Clozes makes it possible to convert short sentences into question-answer format by means of cloze deletions

SuperMemo 2000 greatly increased the efficiency of reading by introducing the concept of incremental reading. Incremental reading makes it possible to simultaneously read dozens of articles. Each article is read in small increments fully controlled and prioritized by the user and/or the default learning process. Components of incremental reading introduced in SuperMemo 2000: new A-Factor-based topic repetition scheme (i.e. learning algorithm), read points, formatting extracts and clozes (SuperMemo 99 would ignore formatting), text highlight and ignore, source article link, reading toolbar, branch and browser learning, branch and browser postpone, and support for longer articles (SuperMemo 99 imposed 64K limit on articles)

SuperMemo 2002 brought incremental reading to a new level. For SuperMemo 2002, incremental reading become the primary learning mode for middle-level and advanced students. SuperMemo 2002 introduced HTML-based incremental reading. For the first time, the user would see little difference between the material in his web browser and in SuperMemo. Other new features introduced by SuperMemo 2002: wholesale learning material import from Internet Explorer, mid-interval repetitions that make it possible to review portions of material without damage to the learning process (Algorithm SM-11), search-based learning (i.e. subset learning in which the subset is defined by advanced search tools), dynamically modified A-Factors that fine-tune the priorities without user intervention, postpone wizard that makes reading lists obsolete, separate topic/item statistics and new incremental reading progress statistics, reference labeling, and more

SuperMemo 2004 has been developed solely with the view to perfecting the tools used in incremental reading. The data collected from months of actual incremental reading have been instrumental to enhancing the algorithm and the tools. Fine tuning of the modification of topic A-Factors enhances the optimization of new material review in a heavily overloaded process. New tools include: rich statistics for monitoring and optimizing the learning process, tools for handling excessive delays in review, browsing sources of extracts and clozes, one-key reference labeling, proliferating remote images, easy integration of remote images, and more

Summary:

  • incremental reading makes it possible to read thousands of articles simultaneously without getting lost
  • if you are serious about studying, you should learn incremental reading! Without it, you might be missing the best part of SuperMemo
  • standard repetitions and incremental reading could best be intermingled for the sake of variety and creativity. You can randomize your daily portion of repetitions and review with Randomize repetitions (Ctrl+Shift+F11)
  • you can control the timing of review in incremental reading by modifying A-Factors (e.g. Ctrl+Shift+Up) and Intervals (Ctrl+Shift+R or Ctrl+J)
  • use read-points (Ctrl+F7), good titles (Alt+T), reference labels (Alt+Q) and manually inserted context clues to minimize context recovery overhead
  • use Remember extract (Alt+X) and Remember cloze (Alt+Z) to extract the most valuable pieces of knowledge while reading. Use the Read toolbar for maximum convenience (Window : Toolbars : Read). Save the toolbar in a prominent location with Save default layout (Ctrl+Shift+F5)
  • use selective Postpone (Ctrl+Alt+P) to handle excessive reading and review workload. Never use Postpone on mission-critical branches
  • do not forget to review 20 rules of formulating knowledge to make sure you do not waste hours on badly formulated material
  • see FAQ: Incremental reading
  • see Devouring Knowledge for more about incremental reading in the context of learning optimization

  • see Incremental reading from user's perspective by Len Budney


SuperMemo: File : Recover

Contents : Overviews : Recovery
File : Repair collection

File : Repair collection makes it possible to recover from integrity problems in your collection (e.g. as a result of physical damage to the collection files). You can quickly run Repair collection by choosing Ctrl+F12 or clicking the red-cross icon on the Actions toolbar.

Note that recovery is only possible in full access mode in an unlocked SuperMemo. To turn full access on choose Tools : Options or press Ctrl+Alt+O and select Data access : Access mode : Full access.

Integrity problems in a collection may appear in case of hardware or system software problems. Bad clusters, lost sectors, data corruption, etc. can often be remedied by replacing affected files (e.g. corrupted Mpeg file, etc.). However, if the problem occurs in SuperMemo index files or files storing optimization data used by repetition spacing algorithm, only File : Repair collection can remedy the problem.

Important! Unless you have a recent backup handy, you should check the backup option before running Repair collection. You should never abort SuperMemo manually (e.g. with Ctrl+Alt+Del : Task Manager : End Process). This is particularly true during Repair collection. If you abort this operation while files are being rebuilt, your collection may be damaged beyond repair.

Before you begin the recovery, choose appropriate recovery options in Recovery Options dialog box.

Repair collection does not recover from some error types. Here are some errors that are not remedied with Repair collection:

  • damage to binary files such as JPG, MP3, AVI, EXE, etc. Replace these file from the original CD-ROM or from your back-up storage. If you do not have a backup of these files, you will have to remove them by using Delete in the relevant registry, or recreate them in another way.
  • damage to OF matrix, RF matrix, Cases matrix, etc. These matrices are stored in the file names sm8opt.dat. In case of errors indicating damage to these data structure, use File : Tools : Reset parameters : Optimization matrices. You will lose some of data collected by SuperMemo about your performance with a given learning material, but you will be able resume your work without losing the learning process. Alternatively, you might restore sm8opt.dat file from one of your earlier backups
  • damage to text files such as TRA, SCR, INI, etc. View these files in any text editor and change their contents. You can also edit legal TRA files with Tools : Options : Language : Localization table
  • Read more: Files used by SuperMemo

Note: If you encounter problems that could not be remedied with File : Repair collection (except for those listed above), please report it. Remember to make a back-up of copy of the damaged collection, e.g. with File : Tools : Quick backup or better yet with File : Copy collection


SuperMemo: Recovery options

Recovery options

When you choose File : Repair collection, before the system check-up and recovery begins, the Recovery Options dialog box appears on the screen.

The recovery options are as follows:

  • Basic checkup - quick integrity checkup of the learning process in the current collection
  • Rebuild registries - if you check this box all registries in the collection will be rebuilt and compared with their old versions. All differences will be reported as errors. This process takes pretty long. You will want to go through it only if you experience some registry-related errors or you prepare your collection for release and want to make sure that its integrity is impeccable
  • Verify tasklists - if you check this box, all task elements will be verified. SuperMemo will check if the associated task exists on the relevant tasklist and that the tasklist has not been deleted
  • Verify filespace - if you check this box all files in the secondary storage (i.e. elements folder) will be checked for their names, numbering, duplicates, empty filespace slots. etc. If you have made a mistake in backing up the elements folder or you experimented with manual merging two versions of elements folder from two different versions of the same collection, chances are you have introduced some integrity problems in file naming. Integrity of the filespace is also often disrupted by adding new file objects while being disconnected from the secondary storage or with a wrong secondary storage setting (e.g. after changing a CD-ROM drive letter in Windows). In the latter case, SuperMemo will move all occluding files to new slots to restore full integrity of the filespace
  • Rebuild lexicon - if you have done lots of lexicon editing and would like to revert to the full lexicon, you can compile the lexicon by checking this box. You may also want to use this option if you unchecked Compile lexicon on the fly and your lexicon is not complete. This option make take a few hours if your computer is slow. Especially, if you have added many long articles to your incremental reading process
  • Verify translation - you can use this option to make sure that your translation registry is properly sorted and that all text components in the collection are translated or reported as having their translation missing
  • Verify rep. history (Verify repetition history) - if you check this option, repetition history of all individual elements will be checked for missing entries. If you upgrade from early SuperMemos, this options will report errors that you can safely ignore. Repetition history is not used in the learning process; however, it is used by tools that help you analyze your past learning (past workload, past retention, past back-retention, etc.). You can see the repetition history of any given element with Ctrl+Shift+H
  • Make a backup - create a backup copy of your collection before running the recovery

To perform a quick checkup of your learning process, do not check any boxes among Recovery Options (leave only Basic checkup). On the other hand, if you want to quickly perform a detailed checkup and recovery of the whole collection, choose Detailed and then OK (it is also recommended you check Make a backup)


SuperMemo: menus, buttons, dialogs, etc.

ABC Hints&Tips Overviews Reference Glossary Support
Contents : Technical reference
Menus, buttons, windows and dialogs in SuperMemo 2004
  1. Installing SuperMemo
  2. Unlocking SuperMemo
  3. Step by Step: User's Guide
  4. Overviews
  5. Main menu
  6. Windows used in SuperMemo
    • Element window
      • Element toolbar (navigation toolbar)
      • Compose toolbar
      • Format toolbar
    • Contents window
      • Edit toolbar
    • Registry window
    • Browser window
    • Statistics window
    • Element data window
    • Toolbars and Status bar
      • Toolbars
      • Status bar
  7. Context dependent pop-up menus
    • Element menu
    • Component menu
    • Browser menu
    • Contents menu
    • Registry menu
  8. Keyboard shortcuts
  9. Advanced reference
    • Recovery options
    • Files used by SuperMemo
  10. Search

Feature request: If you have trouble locating information in these help files or you need an overview of some features, please send your request or remarks via e-mail. We realize that only by providing you with excellent documentation, we can cut down on support costs!


SuperMemo: Unlock SuperMemo

Contents : Support : Registration
Unlocking SuperMemo

Contents:

  • Unlocking commercial SuperMemo
  • Unlocking a demo of SuperMemo
  • Spread SuperMemo among your friends
  • Apology
  • FAQ

Unlocking commercial SuperMemo

If SuperMemo asks you for a password or there is a red registration bar below the element toolbar, you are using a locked copy of SuperMemo. To unlock SuperMemo you will need an unlock password.

If you have just ordered SuperMemo, you will receive the unlock password within a business day. Until then you can still fully explore SuperMemo without the password.

To unlock SuperMemo, input the unlock password received in response to your order with File : Installation : Input password (Ctrl+Shift+I).

This red registration bar indicates that SuperMemo is locked:

Click here to register SuperMemo (credit used: 23%)

You are unlikely to ever need to input your password twice. However, in case you ever lost it, write to SuperMemoMail.

Important! If you do not receive the unlock password within two business days, please write to SuperMemoMail. The most likely reason is that you have misspelled your e-mail address when buying the program. In addition, make sure your e-mail return address is set correctly in your e-mail software. Make sure you can send and receive e-mail (e.g. send a message to yourself and then respond to it).

See also: Questions about buying and unlocking SuperMemo

Unlocking a demo of SuperMemo

When you use a demo version of SuperMemo, you are given a credit of 100 points. Once this credit is used up, you will be asked to input the unlock password. The credit available is displayed in the parentheses on the red registration bar (see above).

You can use the following procedure to get help in unlocking your demo version of SuperMemo :

  1. Click the red registration bar to open the registration dialog box
  2. Fill out the fields Name, Country and Phone
  3. Click Register
  4. Respond with Yes to Send e-mail now?

Those steps will result in sending an e-mail to buy(AT)supermemo(.)com with your data. In response you will receive further instructions (e.g. how to get the unlock password, how to get SuperMemo in return for writing learning material for SuperMemo Library, how to buy a license, etc.).

Important! If you have already purchased SuperMemo, you do not have to register it! You have been registered at the moment of charging your credit card. The only thing you have to do is to unlock SuperMemo by providing the password with File : Installation : Input password (Ctrl+Shift+I). Your password will be sent in response to your order within a business day (see above)

Spread SuperMemo among your friends

The advantage of using the above complex registration mechanism is that you can freely spread your SuperMemo among your colleagues without violating your user license!

Important! You can only redistribute the following three files from the SuperMemo folder:

  • sm2004.exe (SuperMemo 2004)
  • optionally: \bin\tips.txt (the file with questions for Question of the Day)
  • optionally: \bin\smhelp.chm (help file)

In particular you must not redistribute your collections along with your SuperMemo! Collections keep your registration data. Spreading them along with SuperMemo will violate your user license.

If you want to redistribute your own collections, you must use File : Installation : Unregister before putting your collections on the web or passing them to your colleagues. Please write to us, if you have questions about redistributing your collections with SuperMemo

Apology

We apologize for the inconvenience related to the registration process!

The goal of SuperMemo World is to popularize SuperMemo. We are happy with every new member of the SuperMemo family. We wanted to provide our customers with a free working version of SuperMemo. At the same time, we could not forget that the company has to earn for its operations. On one hand we cannot make all SuperMemos free or shareware, on the other, we cannot reward "clever" users with an easy way to circumvent the license fee as we do not want to contribute to the world where living by your wits pays by hook or by crook.

Our experience shows that the shareware approach did not work for SuperMemo. In the years 1991-2002 we have gained thousands of users of SuperMemo 2, SuperMemo 5, SuperMemo 6 and SuperMemo 7 (all these versions of SuperMemo have ultimately been released as freeware). At the same time, we received less than 10 shareware contributions while the number of support requests was a thousand times greater!

Remember! If you cannot afford SuperMemo, you can always use a freeware version or get the latest version in return for writing learning material for SuperMemo Library

FAQ

(Ken Little, USA, Nov 11, 1998)
Question:
I read that I am automatically registered upon my credit card purchase; however, I didn't get a password to remove the red stripe and hopefully display other program options I read about. I tried my order number which didn't work. Please email me some guidance. I can't wait to get started in using your program.
Answer:

  1. You are automatically registered in our customer database and you can start using the program immediately
  2. Within a business day you will receive further instructions that will help you remove the red stripe
  3. You do not need the password to use 'other program options'. It is enough you turn on the professional mode with File : Level : Professional

(T. N., Austria, Nov 16, 1998)
Question:
You have sent me an e-mail with the password to unlock SuperMemo, but where do I have to fill it in? When I click the red bar, SuperMemo asks me to send e-mail
Answer:
You should use File : Installation : Input password (Ctrl+Shift+I) to provide the password. You do not have to register your copy at SuperMemo World. This is done automatically at placing the order

See also: Questions about ordering, registering, unlocking and installing SuperMemo


SuperMemo: Registry window

Registry window

Registries are sorted sets of objects used in SuperMemo such as texts, images, sounds, fonts, etc. By using registries, SuperMemo reduces the overall size of collections, and makes it easy to reuse objects already introduced into the current collection. For more information about registries see: Using registries

All existing registries can be accessed from the Search menu.

A registry window is used to access individual members of a registry. The picture below shows the image registry window:

Here are the part of the registry window:

  • caption - name of the registry and the total number of registry members. Here the image registry keeps 2327 pictures
  • registry toolbar (at the top) - buttons providing mouse shortcuts to the most often used registry options
  • editing field (under the toolbar) - field used in incremental search, i.e. searching for members by typing in initial characters of their names
  • list of member names (left side of the window) - alphabetically sorted list of names of individual registry members. Here the list displays images from "marjoram" to "millipede". The scrollbar on the right shows the approximate position of these images in the alphabetical list
  • object display field (top of the right side of the window) - field that is used to display the object that is currently selected in the list of members (on the left side). In some registries this field is empty (e.g. sound registry, program registry, etc.) or is divided into two parts (e.g. text registry displays text translations, lexical registry displays phonetic transcription of individual words, translation registry displays the original texts, etc.). Here the picture of mastication muscles is presented
  • element list (bottom of the right side) - upon clicking the button List at the bottom of the registry window, the element list is filled out with all elements that use a given registry member. If the number of elements that use the member is greater than the maximum number allowed by SuperMemo, only a subset of elements will be displayed. In the example above, the titles of several items on anatomy of mastication muscles are shown. These items use the presented picture as an illustration
  • status bar (bottom of the window above editing buttons) - information about the currently selected member: registry index (i.e. the ordinal position of the registry member in the registry), number of elements that use the member, physical position in the registry, number of the filespace slot (if any), and path to the registry member file with the file size (if relevant). The filespace slot is a numbered position of a file in the elements folder. The first file will get the slot one, second slot two, etc. (e.g. 1.bmp, 2.htm, 3.wav, etc.). In the example above, the picture is alphabetically the 1289th picture in the registry, it is used by 3 elements, it is physically placed at the position 1194 in the registry, and it uses the filespace slot number 31841. The actual jpg file is located in the folder c:\sm2004\systems\all\elements\3\16\4\ and is named 31841.jpg (note that the name is the same as the number of the filespace slot). The size of this file is 43,116 bytes and it was created on Nov 11, 2001
  • editing buttons (bottom of the window):
    • List - list the elements that use the currently selected registry member (the list is displayed in the element list at the bottom of the right side of the window)
    • Go to - go to the first element using the currently selected registry member
    • Browse - display all elements that use the currently selected registry member in an element browser. Note that the Browse button on the toolbar can be used to display all elements that use all registry members belonging to the current subset
    • Accept - link the currently selected registry member with the requesting source (e.g. if you choose Links : Registry member on a sound component menu, the component will be linked with a sound object associated with the sound registry member selected at the moment of pressing Accept)
    • Add - add a new registry member to the registry
    • Rename - change the name of the currently selected registry member
    • Insert - create a new component with a link to the currently selected member. SuperMemo will ask you if the component should be created in the current element displayed in the element window or if a new element should be created

A right click over the registry window opens the registry menu with advanced operations on the registry.

Category registry and tasklist registry make it possible to set up some of the tasklist or category parameters:


SuperMemo: Registry menu

Registry menu

All registries can be inspected via the Search submenu on the main menu.

Most important operations on registries are listed on the registry menu. To open this menu right-click over the registry window or press Alt+F10. You can also click the registry menu button on the registry toolbar, or press Apps Key [image] (context menu key left of the right Ctrl key).

The registry menu includes the following options:

  • View
    • List elements - list all elements that use the currently selected registry member
    • View element - display the first element that uses the currently selected registry member in the element window
    • Go to element - same as View element but the element window is put to the front of the registry window
    • Browse current - display all elements that use the currently selected registry members in a browser (only the first 500 elements can be browsed this way due to the limitation on the size of the registry reference list)
    • Browse all - display all elements that use all the members in the current registry subset in the element browser (only the first 500 elements of each member can be displayed due to the limitation on the size of the registry reference list)
    • Random pick - jump to a randomly selected registry member in the current registry subset. This option can be used in a quick review of the registry contents. You can use F11 to execute Random pick
    • Go to position (Ctrl+G) - go to a registry number by providing its physical position in the registry (e.g. File : Repair collection will often report registry problems by referring to individual members by their physical position)
    • Path - display the path to the selected registry object file (e.g. image file). Show the availability of the file in the primary and secondary storage (if these two differ), linked file path (if any), and file sizes
    • Play - play the sound or video associated with the current registry member in sound or video registry
    • Clear - this option, usually executed with Esc, is useful in backtracking your operations on the registry window. This is the sequence of actions done by Clear:
      1. jump from the list of elements to the list of registry members (if the focus is on the list of elements)
      2. jump from the object editing fields to the list of registry members (if the focus is on one of the editing fields)
      3. jump from the member list to the editing combo-box at the top of the registry window (if the focus is on the member list)
      4. clear the contents of the editing combo-box at the top of the registry window if the focus is on the editing combo-box
      5. close the registry window if the focus is on the editing combo-box and the combo-box is empty
  • Edit
    • Edit text - edit the text currently displayed in the text registry. You are most likely to use Ctrl+E to access this option
    • Edit translation - edit the translation associated with the current text registry member (Ctrl+T). Note that in the translation registries, the meaning of those commands is reversed and Edit text will indeed be used to edit the translation
    • Copy path - copy the path to the file associated with the current registry member to the clipboard
    • Overwrite file - replace the currently selected member's object file with another file. For example, you can use this option to replace one picture with another. The replacement will show throughout the collection
    • UTF-8 codes - display UTF-8 codes of individual characters in the registry member name. Registry member names are stored as UTF-8, but are decoded while displaying in the registry, text components, captions, etc. UTF-8 codes makes it possible to debug the true representation
  • Search and replace
    • Find - find all members in the current registry subset whose names contain a given string. Place the search results in a newly created registry subset. Use Ctrl+S to search all registry members for a string. Use it also for AND-search
    • Find first - find the first registry member in the current subset whose name contains a given string. Search begins with the member that follows the currently selected member. You will find the shortcut for Find first, Ctrl+F, very useful here
    • Find next - repeat the last Find first operation (you can repeat search with F3)
    • Find and replace - find members in the current registry subset whose names contain a given string and replace this string with another string. You can repeat this operation on all individual members with individual confirmations or replace all strings in one go. You can do global search and replace on texts in your collection by using the text registry, but it is faster to use Find texts first (Ctrl+S in SuperMemo) and then Find and replace (Ctrl+R in the text registry opened with search). Caution: all registry member names must be unique, if your replace operation generates a name that already exists, the new name will be modified by SuperMemo to make it unique. Usually this will result in the appearance of some meaningless code at the end of your new name (e.g. Geography#, Geography@, etc.)
    • Apply filter - process the texts in the current registry with a filter file (e.g. replace a set of strings with another set of strings, remove delimited comments, etc.).
  • Rename - rename the currently selected registry member (F6)
  • Delete - delete the currently selected registry member (Del)
  • Tools
    • Import files - import a number of files into the registry. For example, if you have a set of ready-made bitmaps or sound files you can import them all to image or sound registry respectively before you use them in your elements
    • Import text - import the text with registry member names generated by Export as text (below). For example, after spell-checking
    • Export file - export the file associated with the current member
    • Export as text - export all registry member names into a text file. Most often you will want to do it to spell-check the contents of the registry with your favorite spellchecker
    • Sort for frequency - sort the registry for the number of elements that use individual members
    • Sort for size - sort the registry for the size of files associated with individual members (e.g. to delete largest pictures from your bloated collection)
    • Sort for priority - sort the registry for member priority. The priority here is determined by the ratio: (number of users)/(file size). This option is useful if you want to find the least used members that take most space (for example, Advanced English 97 sound files have been trimmed with this option to fit the 650MB CD-ROM size limit)
    • Internalize files - move all files associated with the registry from the secondary storage to the primary storage. External files, i.e. files not associated with the collection, will also be internalized (external files are those which you linked with Links : External file on the component menu). You can use this option, for example, if you want to speed up access to a small system distributed on CD-ROM. Internalize files will move all files from CD-ROM to your hard disk. This way you will also be able to delete secondary storage path and give up using CD-ROM altogether
    • Repair - recover twin registries. A twin registry is a pair of registries in which each member of one registry points to one or more members of the other registry. For example, the phonetic transcription registry is a twin registry and is composed of two registries: words and word transcriptions
    • Delete unused - delete registry members that are not used anywhere in the collection (i.e. not linked to any component)
    • Size statistics - compute the size of texts, files, linked files, HTML objects, etc.
    • Add predefined templates - add predefined templates to the template registry (e.g. Item, Article, Multiple Choice, Spelling, etc.)
    • Generate elements - insert all registry members into newly created elements (e.g. to convert the whole picture registry to a branch of pictures)
  • Selection
    • Extract to subset - display the currently selected registry members in a separate registry subset (selections are made by checking boxes to the left of registry member names)
    • Select all - select all registry members
    • Unselect all - unselect all registry members
  • Subset
    • Previous subset - open the superset of the current registry subset (Alt+Left)
    • Next subset - open the nearest subset of the current registry subset (Alt+Right). For example, if you do AND-search in the registry with Ctrl+S, you can browse through all search stages with Alt+Left and Alt+Right
    • Delete subset - delete the currently used registry subset. You cannot delete the first set which contains the entire registry
    • Match to subset - find all registry members whose users belong to a given element subset
    • Select format - create a registry subset with members of a specific file format (e.g. HTML, JPEG, etc.)
    • Select untranslated - generate a new registry subset in text registry with all members who have not yet been translated. This option is useful when you translate your collection and would like to quickly translate those texts that do not yet have translations associated in the translation registry
  • Close - close the registry window


SuperMemo: Registry toolbar

Registry toolbar

The toolbar at the top of the registry window provides a quick access to the most often used registry functions.

Here is the use of the individual buttons (compare with the picture above):

  • Menu button - open the registry menu (also available with a right-click over the registry window)
  • List button - list users of the currently selected registry member in the user list box (bottom-right)
  • Goto button - go to the first user of the currently selected registry member
  • View button - display the first user of the currently selected registry member in the element window
  • Find button - find registry members containing a given string in their name. Only the current registry subset is searched. For example, to search for all pictures with the word "virus" in their name, use Search : Images, click Find button, type virus, and press Enter
  • Replace button - replace strings in the current registry subset
  • Superset button - move to the immediate superset of registry members (if any). For example, after searching the registry with Ctrl+S, your results are displayed as a new registry subset. You can move back to the search superset by clicking Superset button or pressing Alt+Left
  • Subset button - move to the next subset (if any). For example, after search a registry with Ctrl+S, your results are displayed as a new registry subset. You can search again to create yet another subset (AND-search). You can move between subset by pressing Alt+Left and Alt+Right
  • Random jump button - select a new random registry member (e.g. for the purpose of a quick registry review)
  • Font button (only in the font registry) - edit the font associated with the currently selected registry member
  • Path button - display the path to the selected registry object file(s) (e.g. image file). Show the availability of the file in the primary and secondary storage (if these two differ), linked file path (if any), and file sizes
  • Transcription button (only in phonetic transcription registry) - provide a character map for editing phonetic transcription registry
  • Switch button (not in the picture) - switch to the twin registry and select the twin member of the currently selected member (e.g. switch from text registry to translation registry, or switch between the twins of the phonetic transcription registry)
  • Browse button - put all elements using the currently selected registry subset into an element browser. Note that the button Browse at the bottom of the window puts only the users of the selected member in the browser while the Browse button on the toolbar puts the users of all subset members in the browser
  • Import button - import files directly into the registry
  • Stretch button (only in the image registry) - stretch images to fill out the display panel
  • Export button - export the currently selected member (if available)


SuperMemo: Using registries

Using registries

Registries in SuperMemo are sorted sets of objects such as texts, pictures, fonts, templates, categories, tasklists, etc. Each registry is composed of registry members, which are named objects used by the collection. Warning! Registries in SuperMemo, have nothing to do with the Windows registry (SuperMemo have been using registries before the release of Windows 95)!

For example, an image registry is a set of image files sorted by image names. A picture below presents a typical image registry:

By using registries, SuperMemo minimizes the space used by multimedia files by making sure that each object is stored only once are reused by particular elements through the access to particular registries (via so-called registry links). For example, if you import an image file into an image component of a given element (using Import file), you can later link the same image file with another image component by means of Links : Registry member. By default, the name is the same as the original image filename, but you can change it at import.

These are the most important registries used by SuperMemo:

  • text registry stores all texts used in the collection (including sound texts, RTF texts, HTML texts and Spell-Pad texts). Text registry is available with Search : Text registry (Ctrl+Alt+X)
  • image registry stores all images used by the collection (e.g. BMP, GIF, JPEG, etc.). Image registry is available with Search : Images
  • sound registry stores all sounds used by the collection (e.g. WAV, MID, MP3, RMI, etc.). Sound registry is available with Search : Sounds
  • template registry stores all templates defined in the collection. You cannot link a template to a component. Instead, you apply a template to an element to change its appearance. Template registry is available with Search : Templates. You can view the templates on the right in the template registry window. Read more: Using templates
  • category registry stores all categories used by your collection. You can use this registry to delete, rename or change the properties of categories. Most of all you will need this registry to change templates associated with a category. Category registry is available with Search : Categories. Read more: Using categories
  • font registry stores fonts that can be used in text components. Font registry is available with Search : Other registries : Font
  • video registry stores video files. Video registry is available with Search : Other registries : Video
  • tasklist registry stores all tasklists associated with your collections. You can use this registry to add, delete, rename or edit tasklists. For example, you can use change the category in which tasks will be stored and the archive where the tasks will be moved after choosing Dismiss. Tasklist registry is available with Search : Tasklists. Read more: Tasklist manager
  • script registry stores all scripts used in the collection. Script registry is available with Search : Other registries : Script
  • OLE registry stores OLE objects imported from other applications (such a an MS Word file or Excel Chart). OLE registry is available with Search : Other registries : OLE object
  • binary registry stores all kinds of files used by your collection (DLL, EXE, HLP, MPEG, MOV, DOC, PDF, etc.). Binary registry is available with Search : Other registries : Binary
  • lexicon registry stores words used in the collection and keeps the record of text registry members that use a given word. Lexicon registry is available with Search : Find word. If your collection is very large or includes long texts, you may want to speed SuperMemo up by unchecking Compile lexicon on the fly in Tools : Options : Data access. If you do not compile the lexicon in real time, you can build it with File : Repair collection by checking Rebuild lexicon
  • phonetic transcription registry is the only twin registry that is built of two conjunct registries: one containing individual words and the other containing their respective phonetic transcriptions. Transcription registry, if installed, is available from Search : Other registries : Pronunciation by word (individual words) or Search : Other registries : Pronunciation by sound (transcriptions). You can select a transcription registry suitable to a given language with Tools : Options : Language : Phonetic transcription
  • translation registry stores translation texts that correspond with the text registry in the currently selected translation language (Tools : Options : Language : Collection translation). Translation registry, if created, is available with Search : Other registries : <Language> registry (<language> here is the name of the translation language, e.g. French, Swahili, Spanish, etc.). Current translation registry language can be changed with Tools : Options : Language : Collection translation

It is worth noting that the lexicon registry stores all words used in a collection. The difference between the lexicon registry and the remaining registries is that individual words are not stored as links to a registry; therefore, deleting a word from the lexicon registry does not delete it from the collection. Instead, this word becomes unavailable from Search : Find word.

Text translations are also stored as registries. These are equivalent to text registries and can be easily replaced by means of copying and renaming registry files. For example, if you have translated your collection to German by creating a translation registry called German, you can copy German.* to text.* in the registry folder and your original texts in the collection will be replaced with their translations to German (note that you will need to rebuild the lexicon in order to generate a lexicon of German words).

Components which use particular registry objects store only registry references, not objects themselves. For example, a sound component may store a reference to a sound registry for its sound file, and to text registry for its text. This approach makes sure that large objects (e.g. video files) can be reused without wasting disk space. Each time you import an new object with Import file on component menu, you add it to the appropriate registry. Similarly, each time you type a new text to text, spell-pad or sound components, you add it to the text registry.

Each time you link a registry member with Links : Registry member, the reference count of this particular member is incremented. In other words, SuperMemo knows how many components in the collection use that particular member. If you delete the last reference to a particular member, i.e. its reference count drops to zero, the corresponding registry object will be deleted with or without confirmation. For example, if the last component using a given image is deleted, you will be asked if you want that image to be removed from the image registry. However, if the last reference to a given text is deleted from the collection, its corresponding registry member will be deleted without confirmation


SuperMemo: Subset learning (Learn vs. Review)

Subset learning

Frequently, you may want to review a portion of your collection. For example, in order to refresh memory before a specific exam, or to review the material pertaining to a topic of current interest. In such circumstances, use subset learning to learn or review a portion of material which may be outstanding or not.

In the simplest case of subset learning, the button Learn at the bottom of the contents window can be used to execute outstanding repetitions on a selected branch of the knowledge tree. For example, to make repetitions in the Medical Sciences branch, click that branch and then click Learn. Using Learn in the contents window is like using Learn in the element window, except only elements belonging to the selected branch will be considered in making repetitions.

Here are the three main ways of subset learning:

  • Learn will execute all outstanding repetitions in a subset (keyboard: Ctrl+Alt+L)
  • Review will execute all outstanding repetitions and well as force mid-interval repetitions on all elements in a subset (except those elements that have already been reviewed today). Review on non-outstanding elements is equivalent to Execute repetition (Ctrl+Shift+R) available from the element menu
  • Review topics works like Review but it does not include items, i.e. it forces a repetition on all topics in a subset (except topics that have already been reviewed today)

You can choose any of these options on the Process branch : Learning submenu of the contents menu, or Process browser : Learning submenu of the browser menu. This will result in learning or review of material in the currently selected branch of the contents window or in the current browser subset.

The parameter Subset in the statistics window indicates the progress of repetitions in subset learning. This field displays the number of items, the number of topics and the number of pending elements in subset learning. The name in the parentheses describes the currently processed subset.

Example 1

If you would like to review the material related to Auguste Comte (1798-1857) do as follows:

  1. Press Ctrl+F and paste Auguste Comte in the search box
  2. Press Enter or click Find (this will search your collection and open a browser with the results)
  3. Choose one of the subset learning options:
    • to prevent forgetting: press Ctrl+Alt+L or choose Process browser : Learning : Learn to review only the outstanding material. This will help you review only the items that are most likely to be forgotten and a portion of topics that have been scheduled for review for today
    • to learn new things: choose Process browser : Learning : Review topics to review all topics related to Auguste Comte
    • to maximize the review: choose Process browser : Learning : Review all to review all topics and to force a repetition on all items related to Auguste Comte

Example 2

If your history exam is approaching and you cannot cope with all repetitions in the collection, make sure that at least your daily portion of history is thoroughly reviewed:

  1. Select History in the contents window
  2. Click Learn at the bottom of the contents window

Repeat the procedure daily. However, in the last 3-5 days, you could follow that yet with Process branch : Learning : Review all to protectively refresh the material that would optimally be scheduled after the exam. Important! This strategy is not recommended for long-term learning! It departs from the optimum timing of review to consolidate memories. It should only be reserved for situation when burning school situation forces you to neglect your long-term planning.

You can also choose Learning : Learn branch on the element menu to begin branch learning for one of the ancestors of the currently displayed element (Ctrl+Alt+L). You can use this method if you encounter interesting material that you would like to refresh more thoroughly before you proceed with your standard learning process.

If you have final drill enabled, remember that subset learning does not keep a separate final drill queue and elements that score less than Good (4) are put to the global final drill queue.

See also: Subset operations


SuperMemo: Scripts

Writing scripts

The script component makes it possible to use a simple script language to manipulate other components in a given element (i.e. to display components, change their position, animate them, use them in learning tests, etc.). This way you can create interactive presentations, animation, video subtitling, drag-and-drop tests, hyperlinks to the Internet, e-mail links, etc.

To create a script do the following:

  1. create an element with contents of your choice (components, their position, their attributes, etc.)
  2. add a script component from the Compose toolbar (i.e. click the component button and two locations in the element area)
  3. right-click the script component and choose the Script option on the component menu
  4. write the script program (see below) and choose OK

While writing the script, use the script editor’s context menu that makes it possible to insert full command syntax into the editor (right-click the editor to open the menu).

For example, to repeatedly play music from a sound component number 3 (see below), you could write:

PLAY 3
GOTO 1

To view component number tags click 148 speed-button on the Compose toolbar, or choose Component Order on the element menu. Note, that when you right-click within the element window, you will either open a component menu (if you click over a component) or the element menu (when you click an empty area within the element).

The best way to learn more about scripts is to inspect scripts in multimedia collections shipped with SuperMemo, e.g. Cross Country, Video English, Easy English, etc. Use Search : Other registries : Script to inspect scripts. Alternatively you can download a free collection Advanced Tests with SuperMemo from SuperMemo Library for some simple examples.

Important: apostrophe is reserved in scripts for delimiting string variables. If you need to include an apostrophe in a string, use a backquote instead. For example:

TEXTOUT 3 'I`m delighted to have met you'

Script commands used in SuperMemo

  1. To insert a comment into the script, put it in a separate line and precede it with a semicolon
    Syntax: ;<Comment>
  2. To dismiss the currently displayed element use DISMISS
    Syntax: DISMISS
  3. To display a given registry image in an image component use DISPLAY. Its first argument is the number of the image component in the element. Its second argument is the name of the image registry member
    Syntax: DISPLAY <Component> <Image Registry member>
  4. To start a Drag&Match exercise, use DRAGMATCH. For multiple labels and multiple images use
    Syntax: DRAGMATCH [<Label List>] [<Image list>]
    For example: DRAGMATCH [1,3,4,5] [6,7,8,9]
    For single image component with specified hit areas and multiple labels use
    Syntax: DRAGMATCH <Component> [<Label List>] [<Rectangle List>]
    For example: DRAGMATCH 1 [1,2] [(100,100,30,20),(150,200,50,20)]
    Hints: Use Edit Hit-Area on the image pop-up menu to determine the positions of rectangles without complex coordinate calculations. Remember about the space between square brackets. See example
  5. To determine if labels erase background of the image on which they are dropped in Drag&Match exercises, use DRAGTEXTMODE
    Syntax: DRAGTEXTMODE OPAQUE|TRANSPARENT
  6. To display another element of the collection use ELEMENT with the number of the element as the argument
    Syntax: ELEMENT <Number>
  7. To change a font in a text, sound or Spell-Pad component, use FONT.
    Syntax: FONT <Component> <Font registry member>
  8. To execute a frame of an animation sequence, use FRAME. The <Component> argument specifies the image component within which the animation is executed (alternatively, BACKGROUND can be used to execute animation in element entire background). <Image Registry member> indicate the image that makes up the executed frame
    Syntax: FRAME <Component>|BACKGROUND <Image Registry member>
  9. To change the flow of script execution use GOTO with script label or script line as an argument:
    Syntax: GOTO <Label>|<Line>
  10. To hide a component use HIDE
    Syntax: HIDE <Component>
  11. To design Point&Click exercises use HITTEST. Use an image that displays the hit area as the first argument, and a list of points that specify the correct hit area.
    Syntax: HITTEST <Component> [<list of points: (x1,y1)(x2,y2), etc.>]
    For example: HITTEST 1 [(10,10),(100,10),(100,100),(10,100)]
    Use Edit Hit-Area on the image pop-up menu to determine the position of the hit area without worrying about coordinates. The hit area may include no more than five points
  12. To jump to a particular label in the script you need to define the label with LABEL.
    Syntax: LABEL <Name>
  13. To simulate the learning procedure (as if the user pressed the button Learn) use LEARN
    Syntax: LEARN
  14. To switch SuperMemo to a selected difficulty level use LEVEL
    Syntax: LEVEL BEGINNER|BASIC|MIDDLE|PROFESSIONAL
  15. To make the users send an e-mail use MAILTO
    Syntax: MAILTO <Address> <Subject> <Body text> <Name>
  16. To display a message or warning use MESSAGE
    Syntax: MESSAGE <Text>
  17. To set SuperMemo in one of its access modes (Read-Only, Learn-Only or Full Access), use MODE
    Syntax: MODE READ|LEARN|FULL
  18. To move a component to a new location use MOVE:
    Syntax: MOVE <Component> <X> <Y>
  19. To show or hide the element navigation toolbar of the element window, use NAVIGATION
    Syntax: NAVIGATION ON|OFF
  20. To play a sound, video, script or execute a binary object, use PLAY:
    Syntax: PLAY <Component> <Registry member>
  21. To show a hidden component, use SHOW:
    Syntax: SHOW <Component>
  22. To play a sound or video without suspending the execution of the script use START:
    Syntax: START <Component>
  23. To show or hide the status bar use STATUS
    Syntax: STATUS ON|OFF
  24. To stop the script use STOP:
    Syntax: STOP
  25. To display a particular text in a text component use TEXTOUT:
    Syntax: TEXTOUT <Component> '<Text>'
  26. To open the Question of the Day dialog box use TIPS:
    Syntax: TIPS
  27. To change the display status of a component (from hide to show, or from show to hide), use TOGGLE.
    Syntax: TOGGLE <Component>
  28. To translate a text component to the currently selected translation language choose TRANSLATE (see Tools : Options : Language for interface and collection translation options).
    Syntax: TRANSLATE <Component>
  29. To play user recorded sound in the sound component use UPLAY (to display the recorder panel in sound components check Recorder on sound component menu)
    Syntax: UPLAY <Component>
  30. To make SuperMemo display a selected page from the world wide web, use URL
    Syntax: URL http://<web address>
  31. To suspend the execution of a script for a number of milliseconds use WAIT
    Syntax: WAIT <Milliseconds>
  32. To suspend the execution of a script until a given frame is displayed in a video sequence, or until a given position is reached in a sound track, use WAITFRAME with the frame or position as an argument
    Syntax: WAITFRAME <Component> <Frame>
  33. To suspend the execution of a script until a grade is provided (e.g. in Drag&Match exercises or Point&Click exercises) use WAITGRADE
    Syntax: WAITGRADE


SuperMemo: Search menu

Contents : Technical reference : Main menu : Search
Search

The Search submenu on the main menu provides the options listed below. This menu is only available at the middle and professional levels:

  • Find elements - find all elements containing a given text. Note that some texts in SuperMemo can be displayed by means of images or OLE objects. Those will not show up in the search. The results of the search will be displayed in the element browser. If you quit the browser, you can always return to the results of your last search with View : Search results. The texts found in the search can also be viewed in the text registry as the first registry subset
  • Find texts - find all texts in the text registry that contain a given string. Once you close the text registry, the results can be viewed later on by going to the first subset in the text registry (Search : Text registry followed by Alt+Right). Once the results are displayed, you can do AND-search by choosing Ctrl+S again and searching for the second string of the AND-search pair. Choosing Ctrl+S again will make SuperMemo search only through the results of the first search. Choosing Ctrl+R will make it possible to apply Find and replace in the currently selected subset of texts
  • Find word - open the lexicon registry that makes it possible to locate individual words used in the collection (except for words used in pictures, OLE objects, etc.). Note that if you turned off on-the-fly lexicon compilation (e.g. to speed up SuperMemo), some words might be missing from the list! See: Options
  • Find string - find a string in the currently selected text component. Use this option (e.g. by pressing F3) to search the contents of particularly long articles. If you use Find string after Find elements, you will be able to locate the searched string in the text of elements that include the string
  • Find selection - search for the currently selected text in the collection
  • Text registry - open the text registry with all texts stored in the collection. The texts are contributed by the following components: plain text, Spell-Pad, RTF rich text, HTML text, and sound component
  • Images - open the image registry. You can search for a particular image with Ctrl+S
  • Sounds - open the sound registry
  • Templates - open the template registry
  • Categories - open the category registry
  • Tasklists - open the tasklist registry. A new tasklist can be added within the current category with Add. Tasklists can be edited in the tasklist manager (Tools : Tasklist). You can create a new tasklist with Edit : Create tasklist
  • Other registries
    • Font - open the font registry with fonts that are used by plain text components, sound components and spelling components. These fonts can also be used in rich text component formatting; however, they are not registered with RTF or HTML text components. Changing a given font in the registry will only affect plain text components that use this font. Rich text components will not be modified (their font is coded inside the text source)
    • Translation - open the translation registry if a translation language has been selected. The translation registry can be selected with Tools : Options : Language : Collection translation
    • Pronunciation by word - open the lexical twin of the phonetic transcription registry (if installed and selected in Options). The phonetic transcription registry is selected with Tools : Options : Language : Phonetic transcription
    • Pronunciation by sound - open the transcription twin of the phonetic transcription registry (if installed and selected in Options). The phonetic transcription registry is selected with Tools : Options : Language : Phonetic transcription
    • Comment - open the comment registry. Comments are attached to elements with Comment on the element parameters dialog box in Edit : Element parameters (Shift+Ctrl+P) on the element menu
    • Video - open the video registry
    • Script - open the script registry. Note that you can edit scripts directly in the script registry
    • Binary - open the program registry, i.e. the registry with objects such as executable files, DLLs, WinHelp files (HLP format), MPEG files, and all imaginable files in formats supported or unsupported by Windows
    • OLE Object - open the registry with OLE objects created in other applications (e.g. MS Word, MS Excel, Mind Manager, etc.)
  • Go to ancestor - open the Ancestor window that makes it possible to go to a given ancestor with a double-click
  • Go to element no - go to an element of a given number, i.e. display it in the element window. All elements have unique numbers that correspond with their physical location in the collection. You can use the shortcut Ctrl+G for Go to element no. You can also use Ctrl+G to see the number of the currently displayed element. The number of the current element is also displayed in the caption of the element data window as well as in the Number field of Element parameters dialog box (Shift+Ctrl+P)

The picture below shows the category registry window available with Search : Categories:

An exemplary image registry available with Search : Images:


SuperMemo: Keyboard shortcuts

Shortcuts used in SuperMemo 2004

Please note that some shortcuts may not work in versions distributed for non-English markets. This is to make sure that the shortcuts do not interfere with some keyboard functions in national Windows releases. Some shortcuts may also be turned off with Tools : Options : SuperMemo : Trim shortcuts. This is due to problems with using some buggy national keyboard drivers.

If you find errors in this file or inconsistencies in using shortcuts, please Report.

Single keys

  • A – Edit the first answer
  • E – Edit texts
  • Q – Edit the first question
  • Ins
    • in the contents window: Insert element
    • in the browser: Select or deselect the element
  • Tab - Move to the next option or option group

Function keys

  • F1 - Help
  • F2 - Translated help
  • F3
    • in text components: search for a string
    • in tasklist manager: Repeat last search
  • F4 - Open the tasklist manager with the currently used tasklist
  • F5 - Classic layout
  • F6 - Filter HTML or RTF source (e.g. to remove formatting that makes incremental reading difficult)
  • F7 - Spell-check
  • F9 - View the file associated with the component. For example, if you use MS Office, F9 on rich text components will start editing your texts in MS Word, and F9 on HTML components will use your default browser to view your HTML texts (see also: Ctrl+F9 for editing files)
  • F11 - Random review or Random change (in a registry or browser)

Shift+key

  • Shift+click - Drag the clicked component to the Component ClipBox
  • Shift+Enter - Single-spaced new line in HTML (Enter results in double-spacing)
  • Shift+Tab - Move to the previous option or option group
  • Shift+F3 - Search for leeches
  • Shift+F4 - Import mail from MS Outlook for incremental reading
  • Shift+F8 - Import web pages from the currently running instances of Internet Explorer
  • Shift+F12 - Quick backup

Ctrl+key

  • Ctrl+click
    • in text, RTF and spelling components: view the translation
    • in script components: Edit the file
    • in HTML, image, sound, and video components: View the file in the associated application
  • Ctrl+Up - go to the parent of the current element
  • Ctrl+Enter
    • in the contents window: browse the elements belonging to the selected branch

    • in the element window: browse all descendants of the current element

  • Ctrl+] - increase font size
  • Ctrl+[ - decrease font size
  • Ctrl+Del - Delete the current component
  • Ctrl+F2 - Learn new material
  • Ctrl+F3 - Go through the final drill
  • Ctrl+F5 - Restore the default windows layout
  • Ctrl+F6 - Next window
  • Ctrl+F7 - Set a read-point in an article
  • Ctrl+F8 - Download remote images referred to in an HTML component
  • Ctrl+F9 - Edit the file associated with the component. For example, if you use MS Office, F9 on rich text components will start editing your texts in MS Word, and F9 on HTML components will use Front Page to start editing your HTML texts
  • Ctrl+F10 - Play again (e.g. to repeat a sound when learning pronunciation)
  • Ctrl+F11 - Random learning
  • Ctrl+F12 - Repair collection
  • Ctrl+A - Select All (in text components)
  • Ctrl+B
    • in text components: bold font (if applicable)
    • in the registry window: view registry member users in the browser (View : Browse current)
  • Ctrl+C - Copy to the clipboard
  • Ctrl+D
    • in the element window: Dismiss the current element
    • in the tasklist manager: Dismiss the current task (i.e. move it to the archive)
    • in the contents window: Dismiss the current element
  • Ctrl+E - Enter the editing mode (in the element window)
  • Ctrl+F - Find elements (in the main window) or Find (in other windows)
  • Ctrl+G - Go to an element with a given number (see the caption of element data window)
  • Ctrl+H - Add an HTML note (in-built HTML template)
  • Ctrl+I - Italic font
  • Ctrl+J - Learning : Reschedule ("Jump interval")
  • Ctrl+K
    • in the element window: Create a hyperlinks (to another element or within an HTML document)
    • in the contents window: Convert the current branch into a category
  • Ctrl+L - Learn
  • Ctrl+M - Memorize an element (i.e. introduce it to the learning process)
  • Ctrl+N - in the HTML component: Open the current HTML file in a new browser window
  • Ctrl+O - File : Open collection
  • Ctrl+P - Tools : Plan - plan your daily schedule
  • Ctrl+Q - Import file (in a component)(e.g. to add sound to a sound component)
  • Ctrl+R - Forget/Reset
  • Ctrl+S - Search for texts containing a given string (globally or in registries)
  • Ctrl+T
    • Edit next component
    • Split activity in Tools : Plan
  • Ctrl+U - Underline font
  • Ctrl+V - Paste from clipboard
  • Ctrl+W - Workload
  • Ctrl+X - Cut
  • Ctrl+Y - Mercy
  • Ctrl+Z - Undo text editing (same as Alt+Backspace)

Alt+key

  • Alt+Left
    • in the element window: Back, i.e. revisit a recently visited element
    • in the registry window: Change the registry subset to its immediate superset, if available
  • Alt+Right
    • in the element window: Forward, i.e. move forward on the list of recently visited elements
    • in the registry window: Change to the next registry subset, if available
  • Alt+Backspace - Undo text editing (same as Ctrl+Z)
  • Alt+PgUp - Previous element in the knowledge tree (in the element window)
  • Alt+PgDn - Next element in the knowledge tree (in the element window)
  • Alt+Home - First element in the knowledge tree (in the element window)
  • Alt+End - Last element in the knowledge tree (in the element window)
  • Alt+F4 - Close the program (or the currently active dialog box)
  • Alt+F5 - Dock toolbars (e.g. to clear the desktop)
  • Alt+F7 - Go to the read-point (in text, RTF and HTML components)
  • Alt+F10 - Open the context menu of the currently active window (element window, browser window, contents window, registry window, etc.)
  • Alt+F11 - Random test or Resume random test
  • Alt+A – Add new
  • Alt+C - View the Contents window
  • Alt+D – Dismiss
  • Alt+E – Edit menu
  • Alt+F – File menu
  • Alt+G – Cancel grade
  • Alt+H – Help menu
  • Alt+I - Show the history list (in the element window)
  • Alt+L – Learn menu
  • Alt+M – Remember, i.e. introduce an element into the learning process; make it memorized
  • Alt+N - Edit : Add to category : Note, i.e. add a new note
  • Alt+O – Tools menu
  • Alt+P - Path in contents
  • Alt+Q - Reference label
  • Alt+R – Forget/Reset
  • Alt+S – Search menu (on the professional level)
  • Alt+T - Edit : Title or Reference : Title depending on the current text selection and the current component type (in the element window)
  • Alt+U - translate all text components in the element window
  • Alt+V – View menu
  • Alt+W – Window menu
  • Alt+X - Remember extract
  • Alt+Y - provide phonetic transcription to all text components in the element window
  • Alt+Z - Remember cloze

Shift+Ctrl+key

  • Shift+Ctrl+Up - Increase the priority of the element
  • Shift+Ctrl+Down - Decrease the priority of the element
  • Shift+Ctrl+Enter -
    • in the element window or in the contents window: Done (i.e. dismiss or delete an element that has been processed and is no longer needed)
    • in the tasklist manager: Go to the currently selected task
    • in the registry window: Generate registry subset from the currently selected registry members
  • Shift+Ctrl+Del - in the element window: Delete the currently displayed element
  • Shift+Ctrl+F2 - Impose template
  • Shift+Ctrl+F3 - Show the references marked in the current article
  • Shift+Ctrl+F5 - Save as default (window layout)
  • Shift+Ctrl+F6 - View source code of HTML and RTF files (in HTML and rich edit components)
  • Shift+Ctrl+F7 - Clear a read-point
  • Shift+Ctrl+F11
    • Randomize outstanding repetitions
    • (in browsers) Randomize the content of the browser
  • Shift+Ctrl+F12 - Convert RTF text (rich text components) to plain text
  • Shift+Ctrl+1 - Text : deHTML-ize
  • Shift+Ctrl+B
    • in registries: Browse all elements associated with registry members
    • in the tasklist manager: Browse all tasks in a given tasklist
    • in the contents window and in browsers: Compute burden
  • Shift+Ctrl+C - Copy collection (e.g. for backup purposes)
  • Shift+Ctrl+D - Add to final drill
  • Shift+Ctrl+F - Link registry font (in text components) or Change font (in RTF components)
  • Shift+Ctrl+H - Display the repetition history window
  • Shift+Ctrl+I - Input password to unlock the program running in the demo mode
  • Shift+Ctrl+K - Link registry member
  • Shift+Ctrl+L - Test repetition cycle
  • Shift+Ctrl+M - Merge element with template (in the element window) and Merge branch with template (in the contents window)
  • Shift+Ctrl+O - Edit component order
  • Shift+Ctrl+P - Edit element parameters
  • Shift+Ctrl+Q - Switch the image component display method
  • Shift+Ctrl+R - Force repetition, i.e. execute a repetition mid-interval before its scheduled repetition date
  • Shift+Ctrl+S - Swap question with answer (in the element window)
  • Shift+Ctrl+T - Transfer the current element to another collection
  • Shift+Ctrl+U - View source data of the element (i.e. without the applied template)
  • Shift+Ctrl+V - Move current element to a selected knowledge tree branch (Edit : Move)
  • Shift+Ctrl+W - Switch window
  • Shift+Ctrl+Y - Copy transcription

Ctrl+Alt+key

Important! If you select Tools : Options : SuperMemo : Trim shortcuts many of Ctrl+Alt+key shortcuts will not work!

  • Ctrl+Alt+Up - Drag up all components in dragging mode (in the element window)
  • Ctrl+Alt+Left - Drag left all components in dragging mode (in the element window)
  • Ctrl+Alt+Right - Drag right all components in dragging mode (in the element window)
  • Ctrl+Alt+Down - Drag down all components in dragging mode (in the element window)
  • Ctrl+Alt+A - Add a new task
  • Ctrl+Alt+C - Select a category
  • Ctrl+Alt+D - Duplicate an element
  • Ctrl+Alt+E - Add a new e-mail task
  • Ctrl+Alt+H - Edit : Add to category : HTML file
  • Ctrl+Alt+I - Tools : Statistics : Analysis
  • Ctrl+Alt+L
    • in the element window: Start branch learning beginning with one of the ancestors of the currently displayed element (e.g. to make repetitions only in the Physics branch)
    • in the contents window: Start branch learning beginning with the selected element
    • in the browser window: Start subset learning on the browser
    • in Search : Find elements: Select a search definition
  • Ctrl+Alt+M - Save the current element as the default template for the current category
  • Ctrl+Alt+N - Add a new article to the current category
  • Ctrl+Alt+O - Tools : Options
  • Ctrl+Alt+P - Postpone repetitions in the current branch
  • Ctrl+Alt+R - Add an article from the clipboard to the reading list
  • Ctrl+Alt+Q - Add a pronunciation pair
  • Ctrl+Alt+S - Save file associated with the component locally (i.e. on your hard disk)
  • Ctrl+Alt+T - Select a tasklist
  • Ctrl+Alt+U - Add a URL element
  • Ctrl+Alt+X - Open the text registry
  • Ctrl+Alt+Y - Layouts manager
  • Ctrl+Alt+Z - Convert text to capitalized lower-case
  • Ctrl+Alt+Enter - Collapse the current branch (in the contents window)
  • Ctrl+Alt+F10 - Show or hide the background behind SuperMemo
  • Ctrl+Alt+F11 - Show or hide the toolbars window
  • Ctrl+Alt+F12 - Move one difficulty level up (see: Ctrl+Alt+Shift+F12)

Ctrl+Alt+Shift+key

  • Ctrl+Alt+Shift+F12 - Move one difficulty level down (see: Ctrl+Alt+F12)


SuperMemo: SuperMemo tab in Options

Contents : Technical reference : Main menu : Tools : Options : SuperMemo
Options : SuperMemo

SuperMemo tab in Tools : Options provides the following options:

  • Collect use statistics - collect statistics displayed in Tools : Statistics : Analysis : Use. If you uncheck this field, you may not be able to view the history of your learning progress
  • Remove hidden formatting - remove formatting from formatted texts that are used only as unformatted texts. For examples, if a formatted text is used only as an element title, its formatting is redundant and takes additional space. SuperMemo can remove this formatting when you execute File : Repair collection. If you use a formatted text in a plain text component, this formatting is invisible and will be removed as well. However, if you would like to later change your template to rich text, you will only be able to view the plain text
  • Trim shortcuts - turn off Alt+Del shortcuts that make it difficult to get diacritical characters in some national versions of Windows. Keep Trim shortcuts unchecked if you are using English Windows or you do not experience any conflicts with keyboard shortcuts
  • Help system
    • Microsoft Help (CHM) - always use smhelp.chm help file located in the bin subfolder (if installed). You can download this file from here
    • HTML Help - always use HTML help files located in the help subfolder (if installed). If you copy the entire SuperMemo website from supermemo.com to this subfolder, SuperMemo can use it for context-dependent help
    • Internet Help - always connect with the most recent version of help on SuperMemo website (located at supermemo.com/help)
    • Optimize - (default option) use CHM help if it is not too old or HTML help if it is not outdated, or connect with the Internet if both local help systems are outdated
  • Default background image - define an image displayed by default in the background of all elements in the element window. For that purpose type in the name of a selected image registry member. To add an image to the registry, choose Search : Images : Import files beforehand. Default background image is always tiled. If you would like to add individual backgrounds to particular elements or choose a given display mode, e.g. center, stretch, tile, etc. use Background options on the element menu (Alt+F10 in the element window)
  • Children limit per branch - for performance reasons, SuperMemo makes it possible to limit the number of elements that can be children of a single element in the contents window. If you keep this number in the range 20-100, you can be sure your collection is easy to review and browsing it is significantly faster than for larger tree nodes
  • Plug-In Algorithm - install an external repetition spacing algorithm shipped as a plug-in DLL (see: Neural Network SuperMemo). To replace the standard SuperMemo Algorithm with a plug-in DLL, choose Install and pick the DLL. To restore the default state, choose Restore default. Please note that you should install your plug-in before you begin the learning process. You cannot switch the algorithm after repetitions have begun without resetting your collection. Plug-in algorithm is assigned to a given collection, not to SuperMemo in general. This way you can make repetitions in different collections using different algorithms (including your own algorithm as long as you can write your own DLL)


SuperMemo: Statistics windows

Contents : Technical reference : Statistics
Statistics window

The Statistics window can most conveniently be viewed by pressing F5 (Window : Layout : Classic layout). This arranges the statistics and element parameters windows in the classic way first introduced in SuperMemo 3.0 in 1988.

The picture below shows an exemplary Statistics window. The description of individual fields is presented below the picture. Click the picture now to open it in a separate window for easy comparison of fields and their descriptions:

The caption of the statistics window displays the name of the collection in square brackets.

Learning parameters displayed in the statistics window:

  • Date - current date and the day of the week. If this value is preceded with Night, it means that the new calendar day has already started but the old repetition day will not start until the time defined in Options : Learning : Midnight clock shift. In the example above, the picture snapshot was taken after midnight on July 20, 2004 (Tuesday). The collection in use is named "all" as shown in the caption

  • First day - date on which the learning process began (i.e. the day on which the first element was memorized). The exemplary collection presented in the picture has been in use since December 15, 1987 (i.e. the birth date of SuperMemo for DOS)
  • Day - number of days in the learning process (i.e. number of days between Date and First day).
    Day=Date-First     day.
    The presented collection has been in use for 6063 days (i.e. 16 years and 219 days)
  • Total - the number of items, topics and tasks in the collection. Two relationships hold true:
    1. Memorized+Pending+Dismissed=Total
    2. Topics+Items=Total (tasks are counted with the Topics statistic)
    Deleted elements do not contribute to the total count of elements in the system. In the picture, the presented collection is made of nearly 232,000 elements (largest collections reported by users reached beyond a half million elements)
  • Items+Topics - the number of items and the number of topics (and tasks) in the collection.
    Items+Topics=Total.
    In the example, the collection includes nearly 103,000 items and nearly 130,000 topics (and tasks)
  • Memorized - total number of elements introduced into the learning process with options such as Learn or Remember. If an item takes part in repetitions it is a memorized item. It does not mean it is a remembered item (see FAQ). The presented collection has nearly 202,000 elements in the learning process and these elements make up 99.8% of all elements destined to enter the learning process, i.e. Memorized/(Memorized+Pending)=0.998
  • Memorized items - the number of memorized items in the collection and the proportion of memorized items among memorized elements. In the example above, 100,304 items take part in repetitions. These items make 49.8% of all memorized elements (the rest are memorized topics or tasks). The Retention field (below) indicates that 94.34% of these items should be remembered at any given time
  • Memorized topics - the number of memorized topics and the proportion of memorized topics among all memorized elements. In well-balanced incremental reading, topics make about a half of the material taking part in repetitions. If the proportion of topics increases beyond 90%, the learning process may slowly resemble traditional learning where ineffective passive review predominates. If the proportion of topics in incremental reading drops below 10%, it may indicate the congestion of the learning process with stymied inflow of new material. In the example, 101,217 topics make 50.2% of the material taking part in the learning process. This indicates a good balance between items and topics
  • Memorized/Day - number of items memorized per day: (Memorized items)/Day. In the example, the average of 16.54 items have been memorized daily in the presented collection over the last 16 years
  • Pending - the number of elements (topics or items) that have not yet been introduced into the learning process and await memorization (with operations such as Learn, Remember, Schedule, etc). All pending elements are kept in the so-called pending queue that determines the sequence of learning new elements. Dismissed items are not kept in the pending queue. In the example, the collection contains 359 elements in the pending queue. With incremental reading and selective postpone tools, the role of the pending queue in SuperMemo is diminishing
  • Dismissed - the number of elements (topics, items or tasks) that have been excluded from the learning process and are kept only as reference material, knowledge tree folders, or tasklist elements. Dismissed items are neither pending nor memorized. All tasks are dismissed by default, i.e. they usually do not take part in repetitions. In the example, over 30,000 elements have been dismissed. In incremental reading, you will often retain parent articles dismissed after reading. They can then be used for context reference until all children items are fully formulated, moved to their target categories and provided with all necessary context. This is why the proportion of dismissed material is often quite high in collections subject to incremental reading
  • Outstanding - number of outstanding items, outstanding topics and final drill items scheduled for repetition on this given day. The first number (before the plus sign) indicates the number of items scheduled for this given day and not yet processed. The second number (after the plus sign) indicates number of topics scheduled for review for this day. The third number (after the second plus sign), if present, indicates the number of items that have already been repeated today but scored less than Good (4). Those are the items that make up the final drill queue. The final drill queue is built only if Skip final drill is unchecked in Options. In the presented collection, there are still 198 items scheduled for repetition on July 20, 2004. There are also 270 topics scheduled for review on that day as part of incremental reading. There are no elements in the final drill queue (the third components of Outstanding is missing)
  • Retention - estimated knowledge retention in the collection. In the example, 94.34% of the material should be recalled in a random test on all elements in the collection at any time. You can test your retention using random tests and see if SuperMemo's estimates are accurate. This statistic may be overly optimistic if you have recently abused rescheduling tools such as Postpone or Mercy
  • Measured FI - the value of the measured forgetting index as recorded during repetitions. The measured forgetting index is the proportion of items not remembered during repetitions. The number in the parentheses indicates Measured FI for the day. It is quite usual to have Measured FI higher than Average FI. This is due to two factors: (1) every user will experience delays in repetitions from time to time (e.g. as a result of using Postpone), (2) SuperMemo imposes some constraints on the length of intervals that, in some cases, make it schedule repetitions later than it would be implied by the forgetting index. The constraints in computing intervals, for example, prevent the new interval from being shorter than the old interval (assuming the item has not been forgotten). For low values of the forgetting index and items with a low A-Factor, the new optimum interval might often be shorter than the old one! Measured FI can be reset with File : Tools : Reset parameters : Forgetting index record. In the presented example, an average of 11.11% of item repetitions end with a grade less than Pass (3)(since the measured forgetting index record has last been reset). On Jul 20, 2004, 19.4% repetitions ended in failure (i.e. with a grade less than Pass)
  • Average FI - the average requested forgetting index in the entire collection (the number in parentheses is the default forgetting index). If the forgetting index of individual elements is not changed manually, Average FI is equal to the default forgetting index as set in Tools : Options : Learning : Forgetting index. The default forgetting index is the requested forgetting index given to all categories and, as a result, to all new items added to the collection. Forgetting index, in general, is the proportion of items that are not remembered during repetitions. The lower the value of the forgetting index the better the recall of the element, but the more repetitions will be needed to keep it in memory. Optimum value of the forgetting index falls into the range from 7% to 13%. Too low a forgetting index makes learning too tiresome due to a prohibitively large number of repetitions. All elements can have their desired forgetting index set individually. The easiest way to change the forgetting index of a large number of elements is to use Forgetting index option among subset operations. In the presented example, the average forgetting index is 10.07% while the default forgetting index is 13%. See: Using forgetting index
  • Burden - estimation of the average number of items and topics repeated per day. This value is equal to the sum of all inverse intervals (i.e. 1/interval). The interpretation of this number is as follows: every item with interval of 100 days is on average repeated 1/100 times per day. Thus the sum of inverse intervals is a good indicator of the total repetition workload in the collection. The presented collection requires 225 item repetitions per day and 957 topic reviews per day. In incremental reading, it is not unusual to have many more elements in the process than one can handle. Postpone can be used to unload the excess of topics at the end of the learning day as well as to reduce the load of low-priority items. Postpone skews the Burden statistic. In the presented collection, the load of topics and items is approximately the same; however, topics crowd at lower intervals and are regularly reshuffled with Postpone
  • Burden +/- - the change of the Burden parameter above on a given day. Here, on Jul 20, 2004, the average number of expected repetitions was reduced by 0.18 item per day. The topic load was also reduced by 39 topics per day. To reduce the topic burden by 39, one would need to review 78 topics with an interval increase from 1 to 2 days (78*0.5=39). However, one could equally well execute Postpone on 2344 topics with interval increase from 10 to 12 days (2344*(1/10-1/12)=39)
  • Workload - the average daily time used for responding to questions in a given collection.
    Workload = (Item Burden)*Avg time
    In the presented collection, 225 item repetitions per day taking 8.46 seconds each result in a daily repetition time estimated at 31 minutes and 44 seconds. A real learning time may be twice longer due to grading, editing, reviewing the collection and various interruptions. In incremental reading, the learning time will increase further due to unclocked topic review. The real learning time may also be cut if Postpone is used
  • Subset - number of elements scheduled for subset review (e.g. elements in branch repetitions in Contents : Learn, elements in a browser subset repetitions in browser's Learn, elements in the random test queue in Tools : Random tests, etc.). The display may have a form of <items to do>+<topics to do>+<pending to do>+(<subset description>) in subset review, or <elements unprocessed>/<all elements in the test> in random tests. Here 3 elements remain in subset review. No items, one topic and two pending elements. The subset on which Learn is being executed contains 612 elements and has been generated by searching for the word "NMDA glutamate receptor". In other words, there is still one outstanding topic and two pending elements that refer to the learning subject "NMDA glutamate receptor" in the whole body of 612 elements related to the NMDA receptor. In incremental reading, subset repetitions are most often executed in the contents window or in the browser with Learning : Learn (Ctrl+Alt+L) or with Learning : Review. In the later case, not only outstanding elements are reviewed. The remaining elements are subject to mid-interval review as well
  • Alarm - time left till the next alarm and the hour at which the alarm will ring off (to learn more about alarms see: Plan). This field is editable. To change the alarm setting, click the field and type in the new time in minutes (e.g. 21.5 will set the alarm to sound in 21 minutes and 30 seconds). To end editing, press Enter. In the example, the alarm will sound off in 12 minutes and 44 seconds at 6:37
  • Time - total question response time on a given day and the total session time (in parentheses). Here the total time needed to respond to questions on July 20, 2004 was 8 minutes and 34 seconds. On the same day, SuperMemo has been running for 7 hours and 11 minutes (this value will increase even if you simply keep SuperMemo running)
  • Avg time - average response time in seconds. This is the time between displaying the question (or equivalent) and choosing Show answer (or equivalent). In the presented collection, the average time to answer a single question is around 8.5 seconds. If this number grows beyond 10-15 seconds, you may need to analyze your learning material if it is not overly difficult or badly structured
  • Total time - total time taken by responding to questions in the collection. This time cannot be accurately measured for collections created with SuperMemo 98 or earlier (the measurements were made possible only in SuperMemo 99). If you upgrade older collections, this number will roughly be guessed for you. SuperMemo will derive this time from the total number of items, average number of repetitions, average number of lapses, and the average repetition time. In the presented example, answering questions during repetitions took over 118 days of non-stop learning (in over 16 years of the learning process)
  • Lapses - average number of times individual items have been forgotten in the collection (only memorized elements are averaged). The number in parentheses shows the number of lapses on a given day. Here an average element has been forgotten 0.387 times. On July 20, 2004, 7 items have been graded less than Pass (3)
  • Speed - the average knowledge acquisition rate, i.e. the number of items memorized per year per minute of daily work. Initially this value may be as high as 100,000 items/year/minute (esp. if you enthusiastically start working with the program before truly measuring its limitations; or rather the limitations of your memory); however, it should with time stabilize between 40 and 400 items/year/minute.
    Speed=(Memorized items/Day)/Workload*365
    In the presented collection, every minute of work per day resulted in 190 new items memorized each year. As this value is derived from Burden, it may be highly underestimated if you use Postpone a lot (e.g. in incremental reading)
  • Cost - the cost in time of memorizing a single item, i.e. total learning time divided by the number of memorized items.
    Cost = Total time / Memorized
    In the presented example, the total repetition time per single item is 1.696 minutes. In other words, each item has contributed around 1.7 minutes to the total of non-stop 118 days of repetitions. The cost of editing, collection restructuring, incremental reading, etc. is not included in this number
  • Daily cost - daily repetition time per each newly memorized item.
    Daily cost = Workload/(Memorized items/Day)
    In the presented collection, each of the 16.5 newly memorized items per day contributes about 2 minutes of repetitions (precisely 1.918 minute) to the total workload of nearly 32 minutes per day. As this value is derived from Burden, it may be highly overestimated if you use Postpone a lot (e.g. in incremental reading)
  • Interval - average interval among memorized items in the collection. Here an average memorized item has reached the interval of 877 days
  • Repetitions - average number of repetitions per memorized item in the collection. Here an average item has been repeated 3.54 times
  • Rep count - the total count of item repetitions made in the collection. In the presented collection, 817 thousand item repetitions have been made. This is about 8.14 repetitions per memorized item. That includes repetitions of items that have been reset, forgotten, dismissed, deleted, etc.
  • Last Rep - average date of the last repetition among memorized items in the collection. Here the average date of the last repetition is September 14, 2002
  • Next Rep - average date of the next repetition among memorized items in the collection.
    Next Rep = Last Rep + Interval
    Here the average date of the next repetition is February 7, 2005 or 877 days after September 14, 2002
  • Completion - the expected date on which all elements from the pending queue will be memorized assuming the present rate of learning new items. This parameter is particularly useful if you are memorizing large ready-made collections such as Advanced English.
    Completion=Date+(Pending/(Memorized items/Day))
    In the example, it would take until August 12, 2004 to memorize the remaining 359 pending items at the speed of 16.5 items per day (beginning with Jul 20, 2004)
  • A-Factor - average value of A-Factor among memorized items in the collection. A-Factor is a measure of item difficulty. The higher the A-Factor, the easier the item. In the presented collection, the average A-Factor is about 3.53. This indicates that the collection is rather well-structured and the material is thus relatively easy to remember

Comments:

  1. Items are added to the final drill not only during standard repetitions when you grade an element below Good (4). Operations such as Remember (Ctrl+M), Remember Cloze, and Add to drill (Shift+Ctrl+D) will also add to the final drill queue. The final drill queue is created automatically only if you uncheck Tools : Options : Learning : Skip final drill
  2. Some fields of the statistics window can be edited. For example: Alarm, Measured FI, Total time, Rep count, etc. To edit and entry, click it, type the new value and press Enter. If the entry cannot be modified SuperMemo will warn you (e.g. "Retention entry cannot be modified").
  3. See Survey 1994 and Survey 1999 for some interesting notes about the speed of learning reached with SuperMemo

FAQ

In SuperMemo, Memorized<>Remembered
Retention statistic assumes regular repetitions and well-structured learning material

In SuperMemo, Memorized<>Remembered
(jj, UK, Sunday, December 24, 2000 1:54 AM)
Question:
I have noticed in the Statistics that the number of elements memorized increases even when I enter Fail when answering incorrectly. For instance, in the collection of US States Capitals, it was showing 100% memorized when I was still getting many of them wrong
Answer:
Parameter Memorized indicates the number of elements in the learning process; not the number of elements you are able to recall correctly. If you make regular repetitions in the long run (i.e. over weeks and months), the number of elements you will be able to recall will approximately equal Memorized*Retention

Retention statistic assumes regular repetitions and well-structured learning material
(dansujp, Sun, Sep 16, 2001 3:07 PM)
Question:
When I returned from vacation, I expected the retention to be something like 80% because I have not done any repetitions for two weeks. But it was exactly the same as before I left
Answer:
The Retention statistic is derived directly from the measured forgetting index on the assumption of a negatively exponential forgetting curve. This curve is only representative of well-structured learning material. In addition, the forgetting index measurements are averaged over all recorded cases. A break in repetitions will invalidate the statistic. Resuming repetitions is not a guarantee of accuracy as the large number of earlier repetitions will result in overestimating the retention on a small-sample measurement. The only valid estimation of retention after a break in learning is the one that follows resetting the past forgetting index record (File : Tools : Reset parameters : Forgetting index record). This will result in gathering new data that will approach true retention for the sample tested with accuracy proportional to the number of repetitions done


SuperMemo: Status bar

Status bar

The status bar is displayed at the bottom of the screen (only if Window : Status bar is checked on the main menu):

wpe12.jpg (3884 bytes)

The status bar displays information, which is also available in the statistics window.

The first field shows Memorized/(Memorized+Pending). In other words, it shows what proportion of elements have already been memorized.

The second field shows (Outstanding items+Outstanding topics)/(maximum Outstanding). It illustrates how many outstanding elements scheduled for the current day have yet to be repeated (the first two numbers connected with a plus sign) or have to be rehearsed yet with the final drill (the third number, if present). The progress bar displays the same information in the graphic form. The blue color shows the proportion of elements passed successfully (i.e. with the grade Bright (5) or Good (4)). The red color shows the proportion of elements passed with the grade less than Good (4). And the white color shows the proportion of elements that have not yet been passed.

The right part of the status bar is used to display hints for menu items, buttons, statistical parameters, etc. As you have probably noticed, this part becomes yellow as soon as the mouse pointer moves over a screen component such as button, menu item, etc. You can double click the hint display area to turn the hints on and off


SuperMemo: Process branch / Process browser

Contents : Technical reference : Reference : Subset menu
Subset processing menu

You can process all elements in a given branch or in a browser subset by means of the subset processing menu. This menu is available as Process browser on the browser menu, or as Process branch on the contents menu. The options of the subset processing menu are listed below. References to subset elements should be understood as references to the elements of a given branch or the elements listed in the browser.

  • Learning
    • Learn - make outstanding repetitions on elements included in the subset. The sequence of repetitions is determined by how elements are sorted in the subset (i.e. not by the global repetition schedule). Once outstanding repetitions are made, proceed with memorizing subset elements that are listed in the pending queue
    • Review all - review all elements in the subset. Elements that are not outstanding are subject to mid-interval repetition. Mid-interval repetition results in optimally rescheduling the element. If the review interval is much shorter than the optimum interval, the new interval will not be much longer than the preceding interval. If the review interval is close to the optimum interval, the new interval will be nearly as long as if the repetition took place at optimum time. Dismissed elements are not subject to review. Elements that have already been reviewed on this particular day will also be skipped. Use Review if you urgently need to review a portion of material (e.g. before an exam). You could use Learn before using Review to make sure you start from the outstanding material. Alternatively, you could sort the subset by the date of the next repetition (starting from the earliest dates) to maximize subset recall in case you do not manage to complete the entire review
    • Review topics - review topics only
    • Postpone - increase intervals of all outstanding repetitions by a selected factor (e.g. 1.02 will increase intervals by 2%)
    • Advance - opposite to Postpone for topics. All topics will be rescheduled with intervals falling into a selected range. For example, if you want to thoroughly review all topics related to whiplash injury over the period of two weeks, search for whiplash (Ctrl+F), choose Advance, and select 14 (number of days in the review period)
    • Dilute - same as Postpone but with this difference that all elements in the subset will be affected (not only outstanding elements)
    • Spread - reschedule all elements equally in a given period of time (e.g. make sure that all items related to geography are rescheduled in equal portions of 20 items per day in the period of one month). Please note that you might want to first choose Child : Outstanding (see above) to make sure that you reschedule only outstanding repetitions, i.e. not all repetitions in the entire subset. You can also choose Child : Items to make sure you reschedule only item repetitions. See also: Mercy
    • Remember - memorize all elements that have not yet been memorized
    • Forget - remove all memorized elements from the learning process and put them at the end of the pending queue
    • Dismiss - dismiss all elements, i.e. ignore them in learning
    • Undismiss - return all dismissed elements to the pending queue
    • Done - execute Done on all elements. Upon confirmation, Done will delete the contents of individual elements, dismiss them, and delete these elements if they have no children (see: incremental reading)
    • Add to drill - add all elements to the final drill queue
    • Reset history - reset the repetition history of all elements
  • Ordinal - change the ordinal number of all elements in the set:
    • Set ordinal - give all elements the same ordinal number
    • Set difficulty ordinal - give all elements ordinals derived from item difficulty (easier items will get lower ordinals). This makes it possible, for example, to sort the pending queue in such a way that easy elements come first in learning
    • Spread ordinals - give all elements ordinals increasing in equal steps from a given lower limit to a given higher limit
    • Blend ordinals - set ordinals by position in the subset weighed against the position in another subset. If you have the same set sorted in two different ways, you can find a sorting order that falls into the middle between these two sorting orders. For example, if you have a collection that has been ordered by the position of elements in individual branches, you can set up a pending queue in such a way that difficult elements are pushed slightly towards the end of the queue. To accomplish this goal, sort the set by difficulty and save it in a subset file. Then sort the set by the original order and blend ordinals with the previously saved difficulty order set. The blend factor will determine how much the current sorting order is modified (0 for no change and 1 for the order from the subset file)
    • Set position ordinal - give all elements ordinal numbers equal to their physical position in the collection (e.g. to sort the pending queue in the order of adding elements into the collection)
    • Set pending ordinal - give all elements ordinal numbers equal to their position in the pending queue
    • Modify ordinal - increase or decrease ordinal numbers of all elements
  • A-Factor - change the A-Factor of all elements in the set:
    • Set A-Factor - set the A-Factor to a selected value
    • Modify A-Factor - multiply A-Factors by a selected number
  • Forgetting index - change the forgetting index of all elements
    • Set forgetting index - assign a given forgetting index to all elements
    • Default forgetting index - make all elements use the default forgetting index. The default forgetting index is set with Tools : Options : Learning : Forgetting index
  • Template - template operations (for more details see: Using templates)
    • Apply template - apply a selected template to all elements in a given element subset. Unlike in earlier versions of SuperMemo, this operation is reversible. You can always apply a different template or use Detach template on element menu to remove the applied template from individual items
    • Impose template - execute Impose template operation on all elements in the subset. This will make sure that the source template of all elements is overwritten with the template applied to those elements
    • Replace template - replace the template in all elements (see Using templates). This operations is similar to Apply template but it is not reversible, i.e. the source template of all elements will be overwritten
    • Add template - add a template to all elements (see Using templates). You can use this option, for example, to add a picture to all elements in the subset
  • Move
    • To a branch - move the elements to a selected branch in the knowledge tree
    • To a category - move the elements to a selected category
  • Type - change the type of topics or items (tasks will not be affected)
    • Make items - convert all topics to items (see also: Topics vs. items)
    • Make topics - convert all items to topics (see also: Topics vs. items)
  • Set title - assign a given title to all elements
  • Statistics (Ctrl+Shift+B) - collect learning statistics for the elements in the subset. In the example below, a subset of 2455 elements is being analyzed. Some exemplary statistics of interest: the average item intervals is 988 days, the average number of repetitions is 3.9, and the measured forgetting index is slightly higher than the requested forgetting index (this is quite understandable considering a high number of postpones). The forgetting index for the first repetition equals 27% only to drop to 8.4% for most recently executed repetitions. Overall retention is 95% and the total size of texts in the subset is 280 KB.

SUBSET STATISTICS (Jun 19, 2004)
c:\sm2004\systems\all

Elements: 2455
Items: 2423
Topics: 32
Memorized: 2423
Dismissed: 32

Items: 2.36% of all items
Topics: 0.02% of all topics
Memorized: 1.20% of all memorized
Burden: 4.143 elements/day (0.34%)
Item Burden: 4.143 items/day (1.83%)
Topic Burden: 0 topic/day (0%)
Item Repetitions: 3.87
Topic Repetitions: 0
Item Interval: 988.063
Topic Interval: 0
Item A-Factor: 4.923
Topic A-Factor: 1.56
Average item postpones: 5.125
Average topic postpones: 0
Total postpones: 12418 + 0

Requested forgetting index: 9.96%
Measured forgetting index: 10.26%
First repetition f. index: 27.3%
Last repetition f. index: 8.38%
Forgetting index cases: 11313
RETENTION: 94.78%

Item text size: 280.909 KB
Topic text size: 0 bytes
Total text size: 280.909 KB


SuperMemo: Using subsets

Contents : Overviews : Subsets
Using subsets

In SuperMemo, subsets are sets of elements. Subsets are usually viewed in the browser. Subsets are processed with subset operations. Subsets can be stored in subset files for later use. The default extension of subset files is sub. Each element in a subset file is stored as a four-byte element number. This way, subset file size in bytes is four times the number of elements in the subset. The same subset files can be used by different collections, but such use is meaningful only if the collections have the same numbering of elements (e.g. if these are copies of the same collection).

Choosing a subset

To select a subset and open it in the browser, you may use many option that are too numerous to list. Here are only a few frequently used examples:

  • Search : Find elements (Ctrl+F) - to collect elements containing the same text (e.g. "Eisenhower")
  • View : Outstanding - to inspect all outstanding elements
  • View : Branch in the contents window - to inspect elements belonging to a single branch
  • View : Filter - to inspect all elements that fall into a selected range of interval, repetition date, difficulty, etc.
  • View : Subset - to open a given subset file in the browser
  • Child options on the browser menu - to create a sub-browser with all memorized, pending, dismissed or selected elements from the current browser

  • Subset operations in registries with Browse current and Browse all - to create browsers with elements using a given subset of registry members

Creating subset files

To create a subset file use one of the following options:

  • Subset : Save all on the browser menu saves the contents of the browser in a subset file (e.g. this option used on the browser opened with View : Memorized will create a subset with all memorized elements)
  • Subset : Save selection on the browser menu saves all selected elements in the browser. Selections are made by clicking the leftmost browser column or with subset operations such as Subset : Select browser range, etc.
  • Tools : Save as subset on the contents menu saves a contents branch in a subset file

Some subset files are created automatically for you. You can view them with View : Subset. For example: last_browser (subset with all elements displayed in the last opened browser), searched (subset with all elements found with the last Ctrl+F search), last_child (subset with elements extracted with the last Child operation in the browser), tasklist (subset will all tasks extracted with Tools : Open in browser on the tasklist manager menu), etc.

Using subsets

Subset can be processed using an infinite combination of options and commands in SuperMemo. Here are only a few examples:

  • Process browser : Learning : Learn (Ctrl+Alt+L) on the browser menu makes it possible to make repetitions on a subset of elements
  • Process browser : Learning : Review on the browser menu makes it possible to execute repetitions on the whole subset. Elements that are not outstanding will be subject to mid-interval repetition. Only dismissed elements will not be processed
  • Process browser : Learning : Postpone (Ctrl+Alt+P) on the browser menu postpones outstanding repetitions in a subset of elements
  • Tools : Transfer on the browser menu makes it possible to transfer the subset of element to another collection
  • Tools : Export as XML on the browser menu makes it possible to export a subset of elements in the XML format (e.g. for using it with other SuperMemos such as SuperMemo for Pocket PC, etc.)
  • Tools : Export Q&A text on the browser menu makes it possible to export a subset of elements as a text file of questions and answers
  • Sort options on the browser menu help you review a subset of elements sorted by intervals, difficulty, memory lapses, etc.
  • Tools : Match to subset on the registry menu displays all registry members that are in use by the elements of a given subset


SuperMemo: Technical support

ABC Hints&Tips Overviews Reference Glossary Support
Contents : Support
Technical support for users of SuperMemo

All users of SuperMemo are entitled to free support via the Internet.

If you encounter a question about SuperMemo you cannot answer, please follow the steps below:

  1. SuperMemo Documentation. Check the table of contents in this help file and try to navigate to a page with the answer to your problem. If you do not find it there where you expected it, please note exactly why. This is very important to improve the documentation!
  2. SuperMemo FAQ files. If you cannot find the answer in the table of contents, try to find it in FAQ files
  3. Full-text search. If the answer is not in FAQ files, try full-text search. If you are viewing this file directly from SuperMemo Website, use this site's search page. If you cannot find what you need with keyword search, note down the keyword you looked for so that we can improve keyword mapping
  4. SuperMemo Troubleshooter. Troubleshooter is a divide-and-conquer way of navigating towards a solution
  5. User Community. Users of SuperMemo set up a self-help and discussion forum at Yahoo eGroups. Browser or join SuperMemo Forum to receive suggestions from other users
  6. Support via e-mail. If you still cannot find the answer to your problem, write to your local support service listed at reseller box at Help : About or write to Support in English in order to receive support via e-mail. Please try to explain why you could not find the answer to your problem in on-line documentation (what you searched for, where, and with what keywords). This is very important to improve the customer service!

See also:

  • How best to contact us
  • Minimum Requirements
  • SuperMemo ABC
  • Step by Step: User's Guide


SuperMemo: Tasklist manager

Contents : Technical reference : Main menu : Options : Tasklist
Tasklist manager

Tasklist manager available from Tools : Tasklist (e.g. by pressing F4) can be used to edit, prioritize and sort tasklists (e.g. reading lists):

readlist.jpg (145700 bytes)

To edit a selected field, click it, type in a new value and press Enter. To sort the tasklist choose Ctrl+S. To edit all parameters of a task, choose Ctrl+Shift+P in the same way as you do it in the element window.

Here are the most important controls on the tasklist manager toolbar:

  • Tasklist combo box - list of available tasklists. If you select another tasklist, it will be displayed in the tasklist manager and ready for editing
  • Menu - tasklist manager menu (see below)
  • Add task - add a new task to the current tasklist
  • Sort tasks - sort the tasklist by priority
  • Jump - close the tasklist manager and view the selected task in the element window
  • Find task - find a task containing a given string
  • Delete task - delete the currently selected task
  • Export - export tasklist into an HTML file
  • Home - go to the first element in the tasklist
  • End - go to the last element in the tasklist
  • Close - close the tasklist manager

The tasklist manager menu provides the following options:

  • View - view the selected task in the element window
  • Jump - close the tasklist manager and view the selected task in the element window
  • Dismiss task - dismiss the selected task and move it to the tasklist archive (as defined in Search : Tasklists in the Archive field)
  • Edit parameters - edit task parameters (value, time, priority, deadline, etc.)
  • Add task - add a new task to the current tasklist
  • Sort - sort the tasklist by priority
  • Find task - find a task containing a given string
  • Find next - repeat the last search initiated with Find task
  • Select tasklist - select another tasklist for viewing, editing, sorting, etc. and display it in the tasklist manager
  • Go to - select another element in the tasklist
    • Random jump - jump to a randomly selected task (e.g. for fast tasklist review)
    • Selected row - jump to a selected row in the tasklist manager
  • Tools
    • Open in browser - put all tasks from the currently opened tasklist in the browser
    • Export as HTML - export the tasklist as an HTML file w
    • Export as text - export the tasklist as a text file
    • Import text - import a text file tasklist exported with Export as text
    • Transfer task - transfer task to another tasklist. First time you transfer a task, SuperMemo will ask you to select a new tasklist from the tasklist combo box. Next time, SuperMemo will ask if the task should be transferred to the tasklist that was the last target of a task transfer
    • Transfer tasklist - transfer the entire tasklist to another tasklist (for the purpose of tasklist merging)
    • Verify tasklist - verify the integrity of the tasklist
  • Close - close the tasklist manager

The tasklist manager can be used to edit and sort all sorts of to-do lists. For example, your prioritized shopping list can be kept in SuperMemo as a tasklist. To be sure that you go on with your major investments starting with those of highest benefit, you might list your planned purchases using price of the purchase in the Time field and, for example, daily time savings in minutes in Value. You could also use other measures of value. For example: degree of satisfaction from the purchase, the maximum price you would be ready to pay, or annual return on investment, etc. This approach would make sure that you never waste your time or money on petty impulse purchases. You could always be sure that you methodically progress from the most important and valuable investments.

If you plan to use more than one tasklist in one collection, you should also learn about using categories. Here are the step to keep your shopping list in SuperMemo (as a separate category):

  1. Choose File : New to create a new collection. Name it Shopping
  2. Choose Edit : Create tasklist
  3. Choose the location in the knowledge tree where you want to store your tasklist and click Next
  4. Name your tasklist category (e.g. Shopping) and click Next
  5. Click Finish
  6. Note that at this point your current category is Shopping and your current tasklist is Shopping. You can see it on the Tools toolbar
  7. Press F4 to open the tasklist manager
  8. Choose Add task (Ctrl+Alt+A) to add your first item on the shopping list
  9. Type New computer in the Description field
  10. Type 30 in the Value field. Let us assume that your new computer will save you 30 minutes per day on average
  11. Type 1.5 in the Time field. We will assume that your computer will cost you $1500
  12. Press Enter and note that the Priority field is now set to 20. As priority=value/time, you will know that every thousand dollars spent on your new computer will earn you 20 minutes per day. Note also that strangely we assigned time to value and value (price) to time. This is to express the fact that the interpretation of the Value field is as profit while the interpretation of the Time field is as cost
  13. Add more items that you want to purchase with Add task and sort the list with Sort tasks

If this is your first experience with the approach based on priority=value/time, the order of your shopping list may be a surprise!

For exemplary tasklists and their use, see: Break free from work overload!

Interestingly, implementation of new features in SuperMemo is scheduled entirely with the help of tasklists.

FAQ

Determining tasklist valuation becomes instinctive in time
SuperMemo focuses on importance and defies urgency
Tasks can be scheduled on a specific date
Estimating task value is up to the user
Deadlines in tasklists are not impassable
Reading lists
Virtual knowledge market can help you with tasklists
Do not use the numbering column in the task manager to double-click tasks

Deadlines in tasklists are not impassable
(MM, Netherlands, Monday, February 09, 2004 11:39 PM)
Question:
I would like to see a possibility of giving an alarm message when the deadline of a certain task in the tasklist has been reached
Answer:
Your proposition would quarrel with the concept of a tasklist. The underlying principle is that you never do things if there are things with a higher efficiency tab (i.e. value/time). Tasklists should ideally be deadline-less. What deadlines do in the present implementation is to reduce the value of tasks before a certain moment in time. For example, if a task makes little sense before a certain date (e.g. assembling software modules before all individual components arrive), the deadline will degrade the position of a task on the tasklist. If the deadline is reached and the task still does not come top on the list, by definition, the tasks of higher priority should be executed. Naturally, some projects may be strongly time-dependent and as such not suitable for being managed via tasklists. Tasklists are primarily suitable for handling massive numbers of deadline-less and independent tasks. See also: Scheduling tasks with incremental reading

Estimating task value is up to the user
(Reinhard, Germany, Thursday, July 26, 2001 12:06 PM)
Question:
You mention the value of tasks. How do I know how much a task is worth?
Answer:
Estimating value of tasks is entirely up to you. The simplest approach is to ask yourself a question: How much would I be ready to pay for having this task done? For example, how much would I be ready to pay to have this article read and processed? Value estimation is a skill that is worth developing independent of SuperMemo. Is your time valuable enough not to pick up a nickel? Or perhaps not? Is the value of comfort high enough to justify a bus fare or should you just walk two bus stops? Or perhaps the walk has an added health value? We must make similar estimations on a daily basis to function efficiently. This is why a little training with SuperMemo will probably not be wasted time

Do not use the numbering column in the task manager to double-click tasks (#6261)
(Zoran Maksimovic, Fri, Aug 31, 2001 19:47)
Question:
Double-clicking on the number of an individual task results in opening the selected task instead of the one I have clicked on
Answer:
Yes. As the number column does not change the selection, you should rather double-click anywhere else on the task to ensure the clicked task gets opened

SuperMemo focuses on importance and defies urgency
(Stefan Schenderlein, Germany, Dec 21, 1999)
Question:
SuperMemo tasklists order articles according to priority. The most practical approach I know is to distinguish between urgency and importance. Sometimes this is called the Eisenhower Principle. Stephen R. Covey has improved this method in his books "The 7 Habits of Highly Effective People" and "First Things First". To understand it, you can take a pencil and draw a vertical axis called importance. Then another called urgency. Now draw another two lines to distinguish between high and low in both directions. You will get four quadrants. Each has a specific meaning. (compare: www.franklincovey.com). The so-called quadrant B (highly important, less urgent) is of strategic importance. A (highly important, highly urgent) is vital. C are mostly routine tasks and are seen as less important but urgent. D can be forgotten. This is implemented in the Franklin Planner Software. Would it not be more practicable to apply similar principles in handling SuperMemo tasklists?
Answer:
Indeed the quadrant approach is very simple and convincing. However, we would like to promote the approach used in SuperMemo for two reasons:

  1. we believe that learning should always be based on importance. Indeed, SuperMemo by definition defies urgency as it emphasizes long-term learning. The truth is that pen and pencil will often work better than SuperMemo as a cramming tool for an urgent exam
  2. SuperMemo encapsulates the urgency as the function of importance in time! This should help understand the true meaning of urgency and eliminate it from the learning process (and not only)

SuperMemo introduces deadline functions to make tasklists adapt the sorting order to the changes of importance in time. For example, if you need to read an article before a meeting or exam that takes place on January 30, the priority assigned to reading this article will reach its maximum on January 29. If you pick the day on which the priority reaches 50% of its maximum value, you will be able to see how this article gradually climbs up the tasklist from day to day as the deadline approaches (there is no guarantee it would reach the top though). This deadline function illustrates how urgency influences importance.
There are also other changes in importance possible, for example, if a task makes sense only after a given date, you can use the Post-Date function. On the other hand, if the value of a task gradually decreases in time, you can use Decline function, etc.
Deadline functions can help you keep your tasks sorted without paying much attention to deadlines, value decline, urgency, etc. and without compromising their impact at the same time

Determining tasklist valuation becomes instinctive in time
(Prof. Chris Houser, Japan, March 16, 2000)
 Question:
In reference to Hot to break free from work overload: It seems to me that the greatest difficulty in the presented approach is in assigning values. For example, in case of SuperMemo features, you could value each feature as the number of email messages requesting the feature. This is comfortingly exact. But it's wildly inaccurate! I believe that Time Management authors have recognized this difficulty of pinning down exact numbers, and so recommend the A B C prioritization scheme
Answer:
The process of assigning values becomes quick and intuitive with a dose of training. If it is not accurate, it is still more accurate than the A B C scheme. For example, in choosing the value of a given feature in SuperMemo, many criteria will be taken into account with the overall intent to maximize the benefit to the user. Very often, new features are introduced without customer requests (e.g. tasklists!). Others, despite significant customer pressure, will not be included (e.g. many repetition rescheduling options have been proposed and rejected due to their potentially harmful effects on the results in learning). An average man in the street often takes similar multicriterial decisions without much effort. For example, if you would like to take a week vacation on Hawaii, you will quickly make an overall valuation of benefits and reject offers that seem too pricey. Valuating tasks, with some training, is equally automatic and straightforward

Tasks can be scheduled on a specific date
(hudson, Poland, Monday, October 16, 2000 10:14 PM)
Question:
Some tasks need to be executed on certain dates. Giving the tasks higher priority or using the deadline option may be a substitute, but this makes it impossible to see the tasks in a weekly table, etc. I would like SuperMemo to take care of this
Answer:
You can combine tasklists with incremental reading. Tasks can be scheduled in the learning process. If you keep tasks in a separate collection, you can also view the number of tasks scheduled on a given day or month. You can prioritize individual tasks via incremental reading, via tasklist or using both mechanisms. For example, you can use incremental reading to back up the tasklist mechanism. This way you can execute tasks down the list of priority, but still take time to review some lower priority tasks. Those selectively reviewed tasks may then have their priority upgraded, be deleted, be built upon (e.g. if tasks take part in a creative process) or simply be executed

Reading list
(Luis Gustavo Neves da Silva, Brazil, Sep 17, 1999)
Question:
What is the difference between a reading list and a tasklist?
Answer:
Reading list is a special case of a tasklist. All tasklists are sorted sets of tasks. Each task is composed of: title/description, priority and task body. In reading list, the body of the task has a form of a single article (e.g. imported from the Internet). You can use tasklist in the management of to-do lists. A reading list is your prioritized to-do sequence of most important articles you want to read. However, with the advent of incremental reading, the role of reading lists is declining. Incremental reading eliminates the greatest weakness of reading lists: difficulty in estimating the value of articles before actually reading them. Incremental reading makes it possible to continually update article valuations as reading progresses

Virtual knowledge market can help you with tasklists
(Reinhard K. Koehler (neusob), Germany, Saturday, August 11, 2001 1:06 PM)
Question:
You suggest that tasklist valuations can be used to prioritize material for learning. But for categorizing the material in a exam there is no market! So how do I evaluate the prices?
Answer:
You can create a virtual market in your mind. Imagine that you use your spending power for shopping for knowledge. You go to individual shops offering "Biology at $X" or "Mathematics at $Y". You must answer the question: "How much money would I be ready to pay for instantly memorizing this piece of learning material?" Would you pay $100,000 for a 5-page article on cancer? Or would it rather only be $0.1? In most cases the answer will fall in-between. With time you will hone your valuation skills and assign values effortlessly. Clearly, one buyer is enough to make a market. Virtual knowledge sellers will adapt prices to your demand. The demand is up to you. It is determined by your spending power and your need for new knowledge


SuperMemo: Templates

Contents : Overviews : Templates
Using templates in SuperMemo

Use templates to give your elements your favorite look

A template in SuperMemo is a definition of an element's appearance. Templates are used to create many similarly looking elements, e.g. with a given color, image, font, etc. The first thing to do with templates is to create a template (i.e. the "common look"). You can do it by first creating an element that looks the way you want other elements to look. This element will contain all components that are common to all elements that will be created with the use of the template (e.g. two text fields and one picture components, etc.). All components should have their properties set in the way as in the "common look" (e.g. color, position on the screen, font, etc.). You set the properties of components by using the component menu.

After creating the element with the desired look, you can use Template : Save as template on the element menu (this menu opens with Alt+F10 or with a right-click over the element toolbar).

Saving templates with Save as template makes it possible to keep a "gallery of looks" for future use. This gallery is called the template registry. You can save any element as a template. If you want particular texts, sounds or pictures to be associated with the template, use Temple : Save with objects. Save as template does not save objects associated with components. For example, it will save the position and color of a text component, but it will not save the text (e.g. "US Constitution").

The template registry (i.e. the gallery of templates) can be viewed with Search : Template on the main menu.

If you want a template to be used by default each time you choose Add new or press Alt+A, use Template : Save as default (Ctrl+Alt+M). Save as default will save the template in the same way as Save as template but will also make this template the default template for the currently used category . If you now use Add new (Alt+A), all newly added items will use the default template. The appearance of previously added items will not be affected.

To give an element a selected look, apply the appropriate template to this element. Any template can be selected from the template registry and applied to any element with Template : Apply template (Ctrl+Shift+M). After you choose a template in the registry, click the Accept button at the bottom of the template registry window (or press Enter). Applying a template does not overwrite the "old look". You can remove the applied template by choosing Template : Detach template.

Using fonts with a template

To associate a font with a text component in a template, use Text : New font, Text : Edit font or Text : Link font on the component menu (see more: Font options).

There is a difference between plain text components and HTML text components in the way they interpret the font associated with the template:

  • plain text: if you associate a font with a plain text component in a template (e.g. as in the Classic template), all texts used by the component in all elements that use the template will use the associated font. For example, if you choose a Greek font for such a template, all elements using this template will display in Greek
  • HTML text: if you associate a font with an HTML component in a template (e.g. as in the Item template), the font will be applied only when you begin writing the text. For example, if you choose a Greek font for such a template, all new texts typed into such a template will begin to show in Greek; however, old texts will not be affected. You will be able to change the font while typing the text and thus use Greek at the beginning of your text and, for example, Cyrillic towards its end

Category templates help you switch fast between different templates for different learning subjects

If you want to associate a template with a given subject, e.g. Chemistry, you can use category templates. You will need the following before you begin:

  1. Define a template as described above (e.g. by reworking an existing template and saving it with Template : Save as default or with Ctrl+Alt+M)
  2. Define a new category or redefine an existing category. When you create a new collection, you begin with a single category whose name is the same as the name of the collection (see: Using categories)

To define a category template do as follows:

  1. Choose Search : Categories on the main menu (if you are not at the professional level, switch the level, e.g. with Ctrl+Alt+F12)
  2. Select the category (e.g. by typing its name at the top of the category registry window)
  3. Click the Template button
  4. Choose the template from the template registry (e.g. by typing its name at the top of the template registry window)
  5. Click Accept (at the bottom of the template registry window)
  6. Close the category registry window

The above will make sure that your template is used each time you choose Add new or press Alt+A as long as your category is selected as the current category in the category combo-box.

You can apply a template to many elements at once

You can change the look of many elements at the same time. If your elements use a given template, go to one of these elements and simply redefine the template. If your elements use different templates or use no template at all, you can apply a template to all of them by choosing Process branch : Template : Apply template in the contents window, or Process browser : Template : Apply template in the browser

Template operations reference

Here is the summary of template operations on the Template submenu of the element menu (use Alt+F10 to open this menu or right-click over the empty element area or over the element toolbar):

  • Save as template - save the currently displayed element as a template. This makes it possible to use the looks of the element in other elements. Template objects such as pictures or texts are not saved with the template
  • Save as default - save the current element as a template and make it the default template in the currently selected category. Choosing Ctrl+Alt+M is the fastest way to make sure that all new items added to the current category assume a given look. Save as default does not save template objects. If you would like to save objects in the default template, use Save with objects and then select this template as the default template for the current category (Search : Categories)
  • Save with objects - save the currently displayed element as a template together with template objects. The saved template will include references to texts, pictures, sounds and other objects associated with the element. For example, if your question begins with "geography: ", this text will become part of the template and will show up in newly created elements using that template
  • Apply template - use a selected template from the template registry to modify the look of the element. The original look will remain untouched as the template source and can be inspected with Template : View source or restored with Template : Detach template. When using Apply template, after selecting the template in the template registry, you should click the button Accept, double-click the template or press Enter. After using Template : Apply template, the template source can be overwritten with Template : Impose template. In applying a template, SuperMemo transfers all matching registry objects (e.g. texts, images, etc.) from the source template to the applied template. Source components that do not find their match in the applied template will become invisible or will show up unchanged (depending on the settings in the Flags menu)
  • Replace with template - replace the current template source with a new template. The original look of the element will be lost. Replace with template is equivalent to Apply template and Impose template run in succession. The template is not detached and all its changes will be reflected in the looks of the element
  • Detach template - restore the original look of the element from before the time the template had been applied with Apply template. The element will become template-less until a new template is applied. Changes to the element looks will affect no template. After Detach template, View source will have no effect
  • Impose template - overwrite the source template with the currently applied template. After Impose template, View source will have no effect as the source template will be the same as the applied template. Answer Yes to Detach template? if you want to detach the template without changing the look of the element. This will ensure that changes to the element will not affect the detached global template
  • Add template - add components from a selected template to the currently displayed element
  • View source (Ctrl+Shift+U) - view the source template of the current element. The source template is the original look of the element before any template was applied with Template : Apply template
  • Save to file - save the current element as a template file. This file can later be loaded into another collection with Template : Load from file. You can view template files with any text editor. Note that these files do not store registry objects but only references to appropriate files. This way a template file is useful only as long as the source collection remains in its original location on the disk. Once it is moved, references in the template file will be ignored
  • Load from file - load a template file saved with Template : Save to file. Loading template file deletes all components and creates new components specified in the template
  • Copy template - copy the currently used template to the clipboard
  • Paste template - paste the template from the clipboard (currently displayed template will be overwritten)

Advanced template operations

Adding components to a group of existing elements

If you want to add new components to a group of elements, use Add template in the contents window or in the browser. This will retain the old components and add new components from the added template. Add to template is similar to Apply template but the contents of the new template is simply superimposed over the old template. This way, you can create a template with an image and add this image to a selected group of elements by adding the image template

Transferring templates between collections

If you want to transfer templates (or single elements) between different collections, use Template : Save to file and Template : Load from file. You can also use Edit : Copy element with Edit : Paste template and Edit : Paste element to transfer templates and elements within a collection or between different collections using the clipboard

See also: FAQ: Templates in SuperMemo


SuperMemo: Testing elements

Creating advanced tests with SuperMemo

Creating multiple choice tests, drag&match tests, etc.

Apart from standard question-answer items, you can also create a variety of other tests such as:

  • multiple choice tests
  • spelling tests
  • pronunciation tests
  • drag&match tests
  • point&click tests, and more

Multiple choice test

To create a multiple choice test do the following:

  1. Create a couple of text components (question, correct answer and a couple of wrong answers)
  2. On the component menu of the correct answer choose MCT and check the submenu item Correct
  3. On the component menu of the wrong answer choose MCT : Wrong
  4. Test the item by trying to click particular components. The correct response should be highlighted green, and you should get the correct or wrong response feedback (e.g. with custom sounds, etc.)

You can also quickly create multiple choice tests by using the Multiple Choice template (press Ctrl+Shift+M and choose Multiple Choice to apply the template). Use Ctrl+T to switch between components while editing.

Spelling test

To create a spelling test, use a predefined template Spelling or simply place a Spell component in the element window and fill it out with the correct spelling (or with spelling variants separated by a slash). Press Esc to move to the presentation mode, and test the spelling by typing in the text in the spelling field and pressing Enter.

You can use more than one correct answer in a spelling test. For this purpose, simply separate all correct variants with a slash. Please remember that SuperMemo will accept the first match from the left and that it is important to consider that in determining the optimum sequence of variants.

Pronunciation test

To create a pronunciation test, use a predefined template Pronunciation, or place a Sound component in the element window and check the Sound : Panel : Recorder option on the component menu. Link the correct pronunciation MP3 or WAV file by using Import file or Links : Registry member on the same menu. Your pronunciation test is ready. The user can now record himself by pressing the microphone button and play his own or the correct pronunciation by using blue and green play buttons respectively. Finally, he can erase his recording by pressing the crossed-out button. All user recording are kept in TEMP subfolder of the collection folder and can only be deleted with the recorder crossed-out button. To clean all recordings, go to the TEMP folder and delete all WAV files

Creating Drag&Match and Point&Click exercises is more difficult and requires using scripts and the hit-area editor.

Point&Click test

An element used for the Point&Click test must contain an image component. The user is supposed to click the right place in the picture. This test may be used, for example, to click the described organ on an anatomical cross-section image. Another example is pointing to the recognized picture in a word recognition test. Here, the question can be a recording of the recognized word, and the test will require clicking the pictorial representation of the word.
To create Point&Click test, place a script component in the element (make sure it is the first playable component, e.g. by placing the script before placing all other components).
To make sure that the script is run as you enter the element, check AutoPlay on element menu. The script must contain the HITTEST command that will evoke Point&Click test, and all other components of the test if necessary (e.g. playing the question).

In the example below, the script plays the component with the question (component no 3) and calls the HITTEST command to execute the test. HITTEST says that the image component used in the test has the number 4, and that the coordinates of the correct selection area are [(387,10)(444,237)(546,229)(536,4)]

Note that these coordinates can be determined by means of Edit Hit-Area on the image component menu (see below).

It is worth remembering that the numbers of components on a page can be displayed with the 148 button on the Edit tab in the element window. Alternatively, Component order on element menu can be chosen for the same purpose.

Here is the script:

START 3

HITTEST 4 [(387,10)(444,237)(546,229)(536,4)]

WAITGRADE

GOTO 2

Commands WAITGRADE and GOTO 2 make sure that after the test (i.e. after the grade is given to the user), the script goes back to line 2 and makes it possible to resume the Point&Click test.

Single Drag&Match test

This is a test for matching text components with hot spots in a single image components. The user is supposed to drag the text components and drop them at appropriate places in the image component. Single Drag&Match is implemented with a DRAGMATCH script command.

For example:

Let us imagine an exercise in which the users is to drag text components numbered 5, 6, 7 and 8 to appropriate hot spots on the image component number 2. Let us now assume that the hotspot for dragging the text number 5 is delimited by a rectangle having the following coordinates: (123,315,264,357). By analogy, components 6, 7 and 8 have also their own hot spot rectangle coordinates. The following script might do what is needed in this exercise:

DRAGTEXTMODE TRANSPARENT

SHOW 5

SHOW 6

SHOW 7

SHOW 8

DRAGMATCH 2 [5,6,7,8] [(123,315,264,357)(34,37,64,77)(43,37,58,177)(21,25,53,37)]

WAITGRADE

GOTO 2

In the above script, DRAGTEXTMODE makes sure that texts are transparently displayed on the image upon dropping. The SHOW commands will redisplay all text components after executing GOTO 2 (dragging will make the components invisible). DRAGMATCH will define the appropriate relationships between text components and hot spot rectangles in the image component number 2. WAITGRADE will suspend the execution of the script until all texts are dragged into appropriate places or until the first mistake is made by the user. Finally, GOTO 2 will allow repeated execution of the exercise until satisfactory performance.

To simplify determining the correct rectangle coordinates, you can use the command Edit Hit-Area on the image component menu. This command is described below.

Multiple Drag&Match test

This is a test for matching text components with a number of image components. The users is supposed to drag the text components to appropriate image components. Multiple Drag&Match is also implemented with a DRAGMATCH script command. This time its syntax differs slightly. There is no image argument. Instead, a list of images is used to match a list of text components.

For example:

Let us imagine an exercise in which the user is supposed to drag text components numbered 2, 3, 4 and 5 to image components numbered 6, 8, 7, and 9. Those two lists of components will form the two arguments of the multiple DRAGMATCH script command. Again DRAGTEXTMODE determines if the texts erase the background or are displayed transparently:

DRAGTEXTMODE OPAQUE

SHOW 2

SHOW 3

SHOW 4

SHOW 5

DRAGMATCH [2,3,4,5] [6,8,7,9]

WAITGRADE

GOTO 2

The behavior of the above script is analogous to the behavior of the script described in the previous section devoted to single DRAGMATCH command.

Hit Area Editor

Hit area editor is used to easily determine the coordinates of image hot spots for HITTEST script command and for single DRAGMATCH script command. Currently, the editor supports only BMP file format!

To use Hit Area Editor follow the steps listed below:

  1. Close the Script Editor if you are in the middle of writing a script
  2. Right click the image whose hot spots you want to edit
  3. Chose Edit Hit Area on the component menu
  4. At the bottom of the Hit Area Editor choose the command for which editing is to be used: HitTest or DragMatch
  5. For DragMatch exercise, click in turn top-left and bottom-right corners of rectangles describing the hot spots (you can create up to ten rectangles)
  6. For HitTest exercise, click in turn all corners of the hot spot area (the area cannot be more than pentagonal, i.e. you should click no more than five points)
  7. If you make a mistake, you can clean the editing area by choosing Clear
  8. After you are done with editing, click Copy to move the edited coordinates to clipboard
  9. Now you can close Hit Area Editor and return to Script Editor
  10. Place the cursor in the appropriate place of the DRAGMATCH or HITTEST command and paste the coordinates from the clipboard (e.g. with Shift+Ins or Ctrl+V)

See also: FAQ: Collection authoring


SuperMemo: Using text components

Using various text components in SuperMemo

Text is the primary form of knowledge representation in SuperMemo. You will spend a lot of time processing texts, esp. if you learn to employ incremental reading. This is why your decisions about choosing appropriate text components are important.

Plain text components have traditionally been the most often used text components in earlier versions of SuperMemo. These consume little space and can be searched at high speeds with SuperMemo low-level search procedures. With the advent of incremental reading; however, HTML components have become the default text components in SuperMemo. HTML components provide many formatting options; however, they consume more disk space. To save space, use Classic template (and its derivatives) instead of HTML-based templates (see: Using templates). Optimally, you should use HTML components with incremental reading and use classic plain text templates on items that have been completed (i.e. formulated in their final shape). SuperMemo automatically removes formatting from texts used in plain text components when you run File : Repair collection with Rebuild registries checked. This practice helps you keep your collections compact and fast.

The table below summarizes pros and cons of using various text components in SuperMemo:

    Type Advantages Disadvantages Typical use
    HTML component

    This component is used by templates such as Item, Article, Item Picture, etc.

    1. richest formatting
    2. full incremental reading support
    3. full HTML and JavaScript support
    4. images can be inserted in the text
    5. Unicode support
    6. search possible
    7. search&replace possible
    8. phonetic transcription possible
    1. Internet Explorer 6.0 or later required
    2. all texts kept in separate files (this slows down copying large collections)
    3. font can be modified by template only before the text is typed in
    4. may produce mshtml.dll errors in some installations
    1. default text format
    2. incremental reading
    3. richly formatted files with scripts and multimedia
    4. whole websites
    5. files that can be displayed in Internet Explorer (e.g. XLS, PDF, DOC, RTF, GIF, etc.; see FAQ below)
    Plain text component
    (simple text component)

    This component is used by the Classic template
    1. small size of data
    2. speed
    3. font modifiable via templates
    4. can be made transparent (e.g. to write over images)
    5. search possible
    6. search&replace possible (including Apply filter)
    7. automatic translation and phonetic transcription
    1. no rich formatting
    2. unsuitable for incremental reading
    3. only 256-character set fonts supported
    1. simple question-answer items (e.g. created with Remember Cloze)
    2. transparent labels
    Rich text (RTF) component

    This component is used in templates such as RTF Article, RTF Item, etc.
    1. rich text formatting
    2. incremental reading partially supported
    3. search possible
    4. search&replace possible
    5. phonetic transcription possible
    1. may not be supported in the future
    2. large size of files
    3. slow processing of longer texts
    4. cannot modify font with templates
    5. cannot interlace pictures and other multimedia
    1. incremental reading in the absence of Internet Explorer
    2. rich formatting in the absence of Internet Explorer
    Spelling component

    Used in the template Spelling
    1. used for spelling tests
    2. small size
    3. speed
    4. font modifiable via templates
    5. search possible
    6. search&replace possible
    1. useless beyond spelling tests
    1. spelling exercises
    Binary component
    1. using all possible proprietary formats that are not supported by other components
    1. clicking the Run button is necessary to view the text
    2. files can only be edited if the proprietary editor is installed
    3. words do not enter the lexicon
    4. search not possible
    5. search&replace not possible
    6. translation and phonetic transcription not available
    7. cannot modify font via templates
    1. importing all text formats that are not supported by the HTML component (e.g. PDF, mail messages, mind maps, etc.)
    OLE component
    1. using proprietary formats that support OLE (e.g. mind maps)
    1. requires a relevant OLE server
    2. very large size of files
    3. files can only be edited if the proprietary editor is installed
    4. words do not enter the lexicon
    5. search not possible
    6. search&replace not possible
    7. translation and phonetic transcription not available
    8. may be unstable if there are problems with OLE server communication
    9. cannot modify font via templates
    1. using data formats that cannot be used with HTML component but support OLE in the presence of an OLE server
    Sound component
    1. sound can be associated with the text
    2. search possible
    3. search&replace possible (including Apply filter)
    4. font modifiable via templates
    5. phonetic transcription and translation supported
    1. slow
    2. cannot be made transparent
    3. provide no advantages over plain text if no sound associated
    1. pronunciation exercises
    2. learning material narration
    Image component
    1. can represent most complex formatting needed for mathematical or chemical formulas
    1. large size of files
    2. words do not enter the lexicon
    3. search not possible
    4. search&replace not possible
    5. translation and phonetic transcription not available
    6. cannot modify font via templates
    1. complex formulas that are hard to represent in HTML or OLE

See also:

  • FAQ : Text components
  • Font options


SuperMemo: Tools menu

Contents : Technical reference : Main menu : Tools
Tools

The Tools submenu on the main menu provides the following options:

  • Workload - the daily and the monthly calendar of repetitions. You can view the number of repetitions scheduled, number of scheduled topics, number of scheduled items, as well as the record of past repetitions (displayed as "items+topics"), and past retention (displayed as "retention -> back-retention" or only retention where no back-retention data is available)
  • Plan - a schedule manager that will help you plan your time by adjusting proportions of time you spend on individual activities
  • Timeline - record of repetition blocks that will help you see your timing pattern in learning
  • Mercy - a dialog box that makes it possible to reschedule repetitions (e.g. before or after a holiday break). Use Mercy only if you want to redistribute the outstanding material in a selected period of time. If you cannot cope with material overload, you should rather use Postpone
  • Tasklist - a tasklist manager to sort or edit the current tasklist
  • Statistics
    • Statistics - a window with the main statistics of the learning process
    • Element data - a window with the statistics related to the current element. This window also displays the repetition statistics after a repetition
    • Analysis - a dialog box with various statistics related to the learning process and the SuperMemo Algorithm
    • Simulation - a dialog box that makes it possible to simulate the course of learning over many years using real data collected during repetitions (see: Theoretical aspects of SuperMemo). Please note that for a low value of the forgetting index, the simulation procedure may be inaccurate (see: FAQ)
    • Report - generate a text file with statistics displayed in the statistics window
  • Randomize - randomize the pending queue or the final drill queue
  • Random test - run random repetitions on various subsets of the current collection (random repetitions do not count in the learning process). The following tests can be found on the random test submenu: All (Alt+F11, all elements), Pending, Memorized, Dismissed, Topics, Items, Filter (use element filter and run a random test on filtered subset), Leeches (random test on difficult elements), Subset, Node (random test on the currently selected branch in the contents window)
  • Random review - randomly review elements in the current collection
  • Options - open a tabbed dialog box with options such as default interface font, default forgetting index, path to files on the CD-ROM, translation language, etc.


SuperMemo: Tools toolbar

Tools toolbar

The Tools toolbar presented in the picture hosts the following controls:

  • Category combo box can be used to select the current knowledge category. This will determine the appearance of newly added elements and the place they will be added to the knowledge tree in the contents window
  • Category registry button can open the category registry, edit categories and choose the default/current category by clicking Accept
  • Tasklist combo box can be used to select the current tasklist. This will determine in which tasklist newly added tasks (e.g. reading list positions) will be included. It will also determine the tasklist opened by default in the tasklist manager when you press F4
  • Tasklist button can open the tasklist registry, edit tasklists and choose the default/current tasklist by clicking Accept
  • Open collection opens a new collection
  • Find elements searches for elements containing a given string
  • Save layout saves the current position of windows for default use
  • Apply default layout restores the default window layout
  • Workload button opens the calendar of repetitions
  • Outstanding button opens a browser with all outstanding elements (i.e. elements scheduled for repetition today)
  • Ancestors window shows a window with the list of ancestors of the currently displayed element. To keep this window on screen, position it conveniently and choose Save layout button described above


SuperMemo: Items, topics and tasks

Contents : Overviews : Element type
Items, topics and tasks

A collection in SuperMemo is made of a set of elements. Each element is a page of information visible on the screen at one time. Elements in SuperMemo can be of three types: items, topics or tasks.

This is the function of these three element types:

  • items are simple elements that are used to test your knowledge. They often have a form of a question and an answer. They can also assume other stimulus-response forms. For example, multiple choice test, spelling exercise, picture recognition, etc.
  • topics are pages of new information to learn. Topics may assume one of these exemplary forms:
    1. articles (e.g. imported from the Internet) or their fragments (chapters, sections, paragraphs or single sentences). Topics in the form of articles play a central role in incremental reading, i.e. massive parallel reading of articles imported from the Internet
    2. reference material such as URLs of articles to read, rough notes, pictures to process, etc.
    3. presentation pages created by authors of commercially distributed collections. Presentation pages provide an introduction to a given body of knowledge. For example, a general overview of the history of the Ottoman Empire before individual questions are asked in reference to the same subject
  • tasks describe jobs to be done. A task may be an article to read, e-mail to respond to, website address to explore, etc. It can also describe jobs that are irrelevant to learning, e.g. a product on your shopping list or a description of a household chore on your to-do list. Tasks are useful in cases where there are more tasks than your can handle. Tasks are therefore used to prioritize your work. They help you start working with the most important tasks and proceed with less important tasks later

The division into items and topics is central to incremental reading. Let us then first focus on the difference between topics and items. Topics are used to introduce the student to a given subject, while items are used to rehearse the same subject in order to retain it in memory. Typically, you can import an article from the Internet (this will be a topic), extract its most important fragments (which will also be topics) and then convert it to question-and-answer material. Those questions and answers will be items. Items will ensure you do not forget what you have learnt.

Example

Topics: A topic may contain the following text:

Jimmy Carter, born 1924, US statesman and 39th President (1977-1981), born in Plains, Georgia. He was educated at the US Naval academy, and served in the US Navy until 1953, when he took over the family peanut business and other enterprises. As Governor of Georgia (1970-1974) he expressed enlightened policy towards the rights of colored men and women. In 1976 he won the Democratic presidential nomination, and went on to win a narrow victory over Gerald Ford. He arranged the peace treaty between Egypt and Israel (1979), and was much concerned with human rights. His administration ended in difficulties over the taking of US hostages in Iran, and the Soviet invasion of Afghanistan, and was defeated by Ronald Reagan in the 1980 election

Items: To rehearse the knowledge of the facts presented in the above text, the following question-answer items might have been used:

Q: Which year was Jimmy Carter born?
A: 1924

Q: Who was 39th President?
A: Jimmy Carter

Q: When did Jimmy Carter become President?
A: 1977

Q: What academy did Jimmy Carter attend?
A: US Naval academy

Q: What kind of family business did Jimmy Carter take over in 1953?
A: peanut business,

etc. etc.

Topics and items are presented for review in the learning process in a different way:

  • topics are presented in always increasing intervals. Each new interval equals the old interval multiplied by a constant called A-Factor
  • items are presented in intervals that depend on grades you score in the process of learning. Those intervals are determined by the SuperMemo Algorithm

If you generate items from topics in the process of incremental reading, items will usually be children of topics in the knowledge tree. Even if you move items away from their parent topics, you can always jump back to the source topic by using the reference hyperlink button on the element toolbar.

Tasks differ from topics only by the fact that they are kept on one of your tasklists. Tasklists are prioritized lists of tasks. Tasklists which are composed of articles to read are called reading lists. Tasks can also enter the learning process and still remain on the tasklist. For more see: Break free from work overload.

The following table summarizes the differences between items, topics and tasks:

Properties | Items | Topics | Tasks
Length | Must be as short and simple as possible | May contain lengthy texts and rich graphics, but can also be made of short extracts or single sentences | May be either short (e.g. task description, URL, etc.) or long (e.g. reading list articles)
Repetitions | Repeated as many times as it takes to keep them in memory | Presented in always increasing intervals (unless you explicitly choose your own interval) | May never enter the review process. If they are subject to review, they behave in the same way as topics
Purpose | Make sure you do not forget what you have learnt. This is done by regular rehearsal (repetition) | Introduction to new knowledge. They provide the source of reading material for generating new items | Use to define to-do-tasks, e.g. articles to read, jobs to do, e-mail to respond to, etc.
Created | Usually by Add new (Alt+A) or by Reading : Remember cloze (Alt+Z) on the component menu in incremental reading | Usually by pasting articles from the clipboard with Ctrl+Alt+N or by Reading : Remember extract (Alt+X) on the component menu in incremental reading | Usually by Add a new task (Ctrl+Alt+A)
Setting the type | Check Type : Item on the element menu or Element type : Item in the element parameters dialog box (Ctrl+Shift+P) | Check Type : Topic on the element menu or Element type : Topic in the element parameters dialog box (Ctrl+Shift+P) | Check Type : Task on the element menu or Element type : Task in the element parameters dialog box (Ctrl+Shift+P)
Repetition cycle | First question components are presented. Answer components are presented only after choosing Show answer | Topics are just presented as they are (even if some components are checked as Answer) | Rarely do task take part in repetitions. If they do, they are just presented "as is" (like topics)
Processing | They are intended for active recall of information from memory | They are intended for passive review, reading or generating smaller topics taking part in incremental reading | They await processing in a tasklist
Form | Stimulus-response (most often: question and answer) | Article (or its fragment) | Depends on the purpose (e.g. URL, e-mail, article, name, job description, etc.)
Location in the knowledge tree | Usually as children of the parent topic (if any), or added as children of the current append hook of the current category | Usually as parents of items generated with cloze deletion. By default added to the currently selected category | Within the category on which the tasklist is built
How they enter the learning process | Usually enter the learning process at the moment of being formulated (e.g. with Remember cloze) or via Remember or via the pending queue | Usually enter the learning process at the moment of being imported (e.g. with Ctrl+Alt+N) or extracted (Remember extract). Less often: picked from the pending queue | May not take part in the review process at all. Introduced into review by tasklist priority sequence with Remember (and usually converted to a topic at the same time)

The structure of the knowledge tree will usually be determined by the operations you perform in the process of incremental reading. However, if you create a collection for use by others and would like to build a clear structure of presentation pages (topics) and the testing material (items), see: Building the knowledge tree


SuperMemo: Translating collection

Translating SuperMemo collections to other languages

These are detailed instructions for translating SuperMemo collections to a given language:

Creating translation registry

To translate your collection to a selected language start with creating the translation registry:

  1. Choose File : SuperMemo : Level : Professional
  2. Choose Tools : Options : Language
  3. At Collection translation type the name of the language
  4. Close the Options dialog by choosing OK
  5. Translate the collection using either interactive translation (simpler and more reliable but requiring the use of SuperMemo) or using text files (easier in teams and not requiring the translators to know or use SuperMemo)

Interactive translation (single translator)

To proceed with interactive translation of your collection do the following (recommended for an individual translator):

  1. Make sure that no repetitions have been done in your collection (pending queue will be used to proceed in the optimum translation sequence)
  2. Make sure the translation registry for your language has been created (i.e that you passed all steps from the previous paragraph). You can see translation registry files at <SuperMemo directory>\systems\<your collection name>\translat\<translation language>.*
  3. Go to the first element in the pending queue (e.g. open the pending browser with View : Pending)
  4. Click the Next button's pull-down menu (on the element toolbar) and choose Next pending element (this way you will be moving along the pending queue why pressing Alt+PgUp and Alt+PgDn).
  5. Use Alt+PgUp and Alt+PgDn to move between pages (or Ctrl+G to jump to a specific page; note that page numbers are not related to the order in the pending queue)
  6. On each page, locate all text components and use Ctrl+click to open the translation dialog box for each. Only plain text components will react to Ctrl+click with opening the translation dialog box
  7. Type in the translation in the lower pane (the original stays unchanged in the upper pane). Note that the texts you have translated in earlier pages will already be translated
  8. See useful tips below for more information

Translation in text files (team translation)

To proceed with translation in text files do the following (recommended for team translation):

  1. Make sure the translation registry for your language has been created (i.e that you passed all steps from the paragraph devoted to creating the translation registry). You can see translation registry files at <SuperMemo directory>\systems\<your collection name>\translat\<translation language>.*
  2. Decide which branches of the knowledge tree in the contents window should be translated by individual translators
  3. Create subset files for each branch. For this purpose do the following:
    • click the selected branch in the contents window
    • open the content menu with a right-click
    • choose Tools : Save as subset from the pop-up menu
  4. Export individual branches as text files with File : Tools : Export : Translation:
    • choose Sorting : By occurrence
    • choose Output texts : Not translated
    • choose Output elements : Subset
    • use Browse to select the subset files created in the previous step
    • leave Do not output duplicated entries unchecked
    • leave Output context checked
  5. Let the translators replace ??? strings in exported text files with appropriate translations (do not change anything else in the file!)
  6. As soon as individual translated files are becoming available, import them with File : Tools : Export : Import : Translation
  7. Note that the same strings translated differently by different authors will be merged. This is not an error-proof procedure and you will have to manually resolve the import conflicts. File : Tools : Import : Translation will generate a report with all merged entries listed. The fastest way to resolve merged strings is:
    • copy the original string from the import report file to the clipboard
    • using Search : Text registry, paste the string in the search input box
    • correct the translation directly in the text registry as it appears on the screen

Useful tips:

  1. In most elements, you can use PgDn and PgUp instead of Alt+PgUp and Alt+PgDn
  2. Do not change the original texts in text files, even if you find mistakes! Otherwise, your translation will not be importable to the mother collection
  3. You can easily review, search for and change translations by using Search : Other registries : <Language> translation. The same can be accomplished with Search : Text registry with this difference that search and sorting will concern only the original texts
  4. The percent of the work done can be viewed in the caption of the translation registry (Search : Other registries : <Language> translation)
  5. When working in a team, try to minimize the differences in translating individual entries by frequently exporting and importing back partly translated files. This will also reduce the duplicated effort of translators working on different branches
  6. To see untranslated entries in text registry (Search : Text registry), you can choose Select untranslated on the registry menu. Untranslated members will be displayed as a registry subset


SuperMemo: Creating a knowledge tree structure in the contents window

Building the knowledge tree

The knowledge tree is the hierarchical structure of elements as displayed in the contents window (as in the picture below).

Before you get lost in details of the knowledge tree, remember that: knowledge tree is NOT important for success in learning!

The structure of the knowledge tree does not affect the learning process! Many beginners believe that a good structure of the tree will help them prioritize their learning; however, you should NOT begin your adventure with SuperMemo from studying the tree, unless you have mastered the ABC!

In the beginning, when learning workload is not high, being exposed to the mixture of material belonging to different subjects will only make learning more fun (variety is the spice of life). Mixed up review of different subjects is the norm, not an exception in SuperMemo!

Once you master the basics of SuperMemo, you can benefit from using the knowledge tree by keeping various learning subjects separate. Occasionally, it may help you handle a single subject as a whole (e.g. review a single subject before an exam, postpone a subject of lower priority, etc.).

Building the tree

Important! To understand this text you need to understand the tree terminology. It is quite intuitive as it refers to roots, branches and leaves. However, if you have any problems, see: Tree Glossary.

There are two basic methods of building the knowledge tree:

  1. Us ing the contents window. You can use operations such as Add, Insert or Delete to build the tree directly in the contents window
  2. Using categories. If you want to add a large number of similarly looking items to a single branch, you will rather want to use categories. Categories automatically use templates to make sure that your elements are filled out with components of a desired look, number, size, etc.

When you choose Add new, new items are added to a single location determined by the default category (i.e. not by the current selection in the contents window). Advanced users will always prefer using categories to save learning time. Usually you add all your material to a To Do branch. Then you move only the most important portions of knowledge to separate categories.

Once you create a tree, you can always modify it using drag&drop operations.

Building the tree in the contents window

In the element window, if you see an element whose location in the knowledge tree is not satisfactory, you can quickly move it to a new location with Edit : Move on the element menu (Ctrl+Shift+V). Simply find the desired location in the knowledge tree and click Accept in the contents window (or press Enter).

If you build a small collection with a complex tree structure, you may prefer to use the contents window operations to build the tree:

  1. If you choose Add, a new child will be added to the currently selected element (click Add several times to see how this option works)
  2. If you choose Insert, you will add a new sibling. The new sibling will be inserted in the place of the currently selected element. The selected element will move one position down (press Ins a few times to see how this option works). You cannot insert a new element in the place of the tree root
  3. If you choose Delete, you will delete the currently selected branch (i.e. the selected element and all its descendants)

Once you add an element or a few elements, you can modify their titles. To do so, select the element by clicking and click it gently again. You can also choose View and press Alt+T to conveniently edit the title in the element window. If you fill out elements with texts (e.g. by typing questions and answers), SuperMemo will automatically generate titles for you.

When building the tree with Add and Insert, the type of elements added is determined by Topics/Items setting on the toolbar (top of the contents window). If you select Items, you will add simple question-and-answer items. If you chose Topics, you will add article-type elements that can be filled with text.

The contents menu includes more operations for modifying the tree (e.g. New : Folder, New : Item, etc.).

Once you create a tree, you can always modify it using drag&drop operations.

Building the tree using categories

Categories are portions of the knowledge tree that use the same look of elements. These elements usually belong to a single subject. For example, you can define a category called Biology and keep there all items related to biology.
If you select a given category on the Tools toolbar, each time you click Add new (or press Alt+A), you will add a new item to that category. For more details, read: Using categories.

Modifying the tree using drag&drop operations

If you would like to modify the structure of the tree, you can do it easily with drag&drop operations in the contents window.

Modifying a tree is as simple as dragging a branch from one location to another (in the contents window or between two contents windows). To drag a branch, click it with the mouse, hold down the left mouse button, move the mouse to another branch (still holding the mouse button) and release the left button once you are over the target branch. The dragged branch will be moved to the target branch. You can also select more than one branch for dragging to a new location.

There are two dragging modes that will affect the way in which the moved branch is attached in the new location. You select the modes using the selection box on the edit toolbar at the top of the contents window (the box with Add as last child in the picture). The dragging modes are:

  1. Replace target. In this mode, if you drag a branch onto another branch, the dragged branch will replace the target branch and the target branch will move one position down
  2. Add as last child. In this mode, the dragged branch will be moved to become the last child of the target branch. In this mode, you cannot drag a branch onto any of its descendants as a branch cannot become its own child or descendant

If you change the dragging mode, the change will affect all dragging operations in the future, even if you quit SuperMemo.

Important tips:

  1. If you drag between remote branches, you should open a second contents window and drag between the two windows. It is easier to open the source branch in one window, and then open the target branch in the other. To open a second contents window, click the blue Contents alignment icon on the contents window toolbar
  2. You can select many branches for dragging by holding the Ctrl key down while clicking the branches that are to be moved
  3. You can always move a single element currently displayed in the element window with Ctrl+Shift+V (press Enter after selecting the new location in the knowledge tree)

Status icons: pending, memorized and dismissed

All branches in the tree are marked with small icons that indicate the status and type of a given element in the learning process:

  • Learnt item L-plate icons indicate items

  • T-plate icons indicate topics

  • Green icons indicate topics in the review process (e.g. articles that take part in incremental reading)

  • Learnt item Blue icons indicate memorized items (e.g. question-answer items that take part in repetitions)

  • Sky blue icons indicate pending elements (i.e. elements awaiting memorization or review). Pending topics are indicated by sky-blue T-plate icons, while pending items are indicated by sky-blue L-plate icons

  • Yellow icons indicate dismissed topics or items. Those elements do not participate in repetitions. Dismissed items are indicated by yellow L-plate icons, while dismissed topics are indicated by yellow T-plate icons

  • Red icons indicate tasks

Note that:

  • memorized - elements marked with a blue L-plate Learnt item or green T-plate [image] icon have already been memorized and take part in repetition and review
  • pending - elements marked with a sky blue L-plate Pending item or sky blue T-plate [image] are waiting for review in the pending queue. Once they are memorized, their icon will change to dark blue (for items) or green (for topics)
  • dismissed - elements that do not take part in the learning processed are marked yellow (e.g. ). Usually they serve as holders of other items or branches (e.g. Internet, World Wide Web, etc.) or they are kept only as reference or comment

The plus sign to the left of the element indicates that the element has children. You can see the children when you click the plus sign. The minus sign to the left of the element indicates that the element with children can be collapsed. When you click the minus sign, all children will disappear from view and the minus sign will be replaced with a plus sign

Tree Glossary: what are roots, branches, children, and siblings

The tree presented in the picture begins with the root named All my knowledge at the top.

There are five branches growing from the root: Tasklists, Private, New Imports, Archive, English, Sciences and TO DO (there are more branches under TO DO that are not visible in the picture). All branches growing from a given branch are called children. The branch Sciences has five children displayed in the picture:

  1. Business, Law and Economics
  2. Political and Social Sciences
  3. Science and Technology
  4. Medical Sciences
  5. Computer Science

All the branches listed above are their own siblings. For example, Medical Sciences are a sibling of Computer Science. On the other hand, Sciences is the parent of all its children (e.g. Business, Economics and Law).

At the very bottom of the structure there are leaves, i.e. children that do not have further children.

Please note that the root, branches, children, leaves, etc. are all elements in SuperMemo. This means that you can view them in the element window and fill them out with components (such as texts, pictures, sounds, etc.). To view a given element in the element window, select it and choose View at the bottom of the contents window

See also: FAQ: Knowledge tree


SuperMemo: View menu

Contents : Technical reference : Main menu : View
View menu

The View submenu on the main menu is available only on the middle and professional levels. It makes it possible to open an element browser with various element subsets. The following options are available:

  • All - open the browser with all elements stored in the current collection
  • Outstanding - open the browser with all elements scheduled for today's review. These includes today's repetitions as well as repetitions from all recent days on which repetitions were not completed
  • Memorized - open the browser with all elements taking part in the learning process (i.e. elements that have been memorized)
  • Pending - open the browser with all pending elements, i.e. elements that are waiting for reading or memorization in the pending queue
  • Dismissed - open the browser with all elements that have been dismissed, i.e. definitely removed from the learning process (e.g. by pressing the Dismiss button in the element window)
  • Topics - open the browser with all elements that are topics (see: Items, topics and tasks)
  • Items - open the browser with all elements that are items (see: Items, topics and tasks)
  • Tasks - open the browser with all elements that are tasks. All tasks are displayed independent of which tasklist they belong to. To view and sort tasks belonging to an individual tasklist use the tasklist manager (Tools : Tasklist). To view these tasks in a browser, press Ctrl+Shift+B in the tasklist manager
  • Last browser - open the browser with the contents of the most recently used browser
  • Search results - open the browser with elements collected in the last search operation (executed with Ctrl+F or Search : Find elements)
  • Subset - open the browser with elements stored in a subset file (extension SUB). Subset files can be created in the browser with options such as Subset : Save all or Subset : Save selection, etc. See: Using subsets
  • Filter - open the browser with all elements that meet certain criteria such as the number of repetitions, the length of the current interval, forgetting index, status (e.g. pending, memorized, etc.) and more
  • Recent - open the browser with recently used subset of elements
    • Learned - open the browser with elements recently used in subset learning
    • Reviewed - open the browser with elements recently used in Review all (i.e. mid-interval review of all items and topics)
    • To postpone - open the browser with elements on which a recent Postpone procedure has been run
    • Postponed - open the browser with elements that have recently been postponed with Postpone
    • Advanced - open the browser with topics that have recently been advanced (i.e. had their interval automatically shortened)
    • Previous - open the last but one browser
  • Other - open the submenu with more specialized browsers:
    • Leeches (Shift+F3) - open the browser with most difficult elements in the collection (note that filter parameters are already set in a way which makes finding difficult items easy)
    • Semi-leeches - open the browser with all elements that are leeches or will become leeches if they are forgotten yet once
    • Drill - open the browser with all elements scheduled for the final drill
    • Range - open the browser with all elements that fall into a selected range (e.g. element with numbers from 1 to 1000)
    • History - open the browser with the list of elements that have recently been viewed in the element window
    • Branch - open the browser with all descendants of the currently selected branch in the contents window (same as Contents : View : Selected branch)(Ctrl+Shift+Enter in the contents window or in the element window


SuperMemo: Window menu

Contents : Technical reference : Main menu : Window
Window

The Window submenu on the main menu provides the following options (only at middle and professional levels):

  • Dock - show or hide the toolbar docking window (this window is also used to dock the main menu)
  • Toolbars - decide which toolbars are visible
    • Read - show or hide the Read toolbar
    • Compose - show or hide the Compose toolbar
    • Format - show or hide the Format toolbar
    • Time - show or hide the Time toolbar
    • Tools - show or hide the Tools toolbar
    • Actions - show or hide the Actions toolbar
    • Dock toolbars - place all toolbars in the toolbar docking window
  • Status bar - show or hide the status bar (at the bottom of the screen)
  • Background - show or hide the background behind windows used by SuperMemo (to minimize distraction caused by underlying application)
  • Hints - turn on or turn off displaying hints when the mouse pauses over buttons. In addition, this option affects whether the status bar shows the hints when the mouse pauses over a menu option
  • Select
    • Category - select the category combo-box on the Tools toolbar
    • Tasklist - select the tasklist combo-box on the Tools toolbar
    • Contents element - select the current element in the contents window
    • Next window - activate the next window on the SuperMemo desktop (Ctrl+F6)
  • Layout - management of layouts that determine where SuperMemo windows and toolbars are placed:
    • Layout manager - open a layout manager that makes it possible to select, apply, save or delete layouts
    • Apply default layout - restore windows layout last saved with Layout : Save as default (below)
    • Classic layout - arrange windows in the manner known from early versions of SuperMemo, i.e. with statistics windows conveniently aligned to the left of the element window. This arrangement is useful when you make repetitions and like to constantly follow the progress of learning. You can make this layout permanent with Layout : Save as default (below). You can quickly apply the classic layout with F5
    • Save custom layout - save the current windows layout under a selected name
    • Save as default - save the current layout of windows as your default layout. Each time you enter the currently used collection, this layout will be applied
    • Background color - set the color of the background window displayed with Window : Background (above). Setting the background color is the fastest way of differentiating between collections (e.g. main collection, working copy, backup, test collection, family member's copy, etc.)
  • 1-9 - choose one of up to nine custom layouts defined earlier and saved with Save layout. The selected layout automatically becomes the default layout


FAQ: Advanced authoring with SuperMemo

Writing collections such as Advanced English is easy!
You can determine the priority of elements
You can import sound files directly to the sound registry
You can import many GIF files at once
You can search for an image
You can transfer a template from one collection to another
You can add a sound recorder
You can merge collections
It is possible to change the element background color in many elements at once
You and your wife can jointly expand the same collection
You can memorize chess positions with chess font
You can globally change the layout of components
Title may differ from the question text
You need to use the Classic template to change the font and its attributes globally
Use Remember to circumvent the pending queue
You need to activate the OLE object to view it all
Transferring elements from one collection to another should retain the learning process
Use Child menu to open sub-browsers
Retention and back-Retention data in workload
It is possible to periodically update someone else's collection with your new material
Component order may determine how the titles are generated
You can use mind-maps with SuperMemo
 You can display a pop-up message by means of scripts
How to bring SuperMemo to people?
Captions cannot use a customized font
You do not need to integrate secondary storage on transfer
 Tasklist should hold all your ideas and inspirations
Synchronization inactive in Contents
 Slots do not fit Tools : Plan
 Deadlines in tasklists are measured in real time
Localizing interface and help system
Formatted file sizes can be confusing
 Automatic material evaluation will be of value in the future
You can convert your topics to tasks
You need RealAudio player to make use of *.RA files
Installing phonetic transcription
Area in HITTEST can be pentagonal
You do not need to understand registries
Disconnect secondary storage to avoid playing sounds
 OLE components do not work well in Scaled elements
Browsers do not open sorted
Trim Shortcuts turns off Ctrl+Alt+C and some other shortcuts
Authoring collections for all SuperMemos

Writing collections such as Advanced English is easy!
(Boris Milikic, Slovenia, Nov 27, 1999)
Question:
Is there a quick guide to build collections such as Advanced English? I have the hierarchy and contents on paper
Answer:
See: User's Guide. The most important things to learn in the beginning are:

  1. How to build a knowledge hierarchy in the contents window. You will need to understand operations such as Add, Insert, etc. and how to modify the hierarchy with drag&drop operations in various modes (e.g. Add as last child, Replace target, etc.). See: Building knowledge tree
  2. How to fill out elements with components, and how to modify component attributes with component menu and element attributes with element menu
  3. It would also be very useful if you learned how to use templates

You can determine the priority of elements
Question:
I keep material of different learning priority in my collection. Can SuperMemo help me pay more attention to high priority material?
Answer:
Yes. You should reduce the value of the forgetting index for high-priority material (forgetting index is a proportion of items not remembered during repetitions). In the contents window select the item or node that you want to have higher priority and choose Process branch : Forgetting index : Set forgetting index on the contents menu. Forgetting index is 10% by default and can be set to 3-5% for high-priority material or only to 20% for least important branches of the knowledge tree. You can also set the forgetting index in a subset of elements with Process browser : Forgetting index : Set forgetting index on the browser menu. Read: Using forgetting index

You can import sound files directly to the sound registry
(Keith Gibson, USA, Sep 3, 1997)
Question:
How can I introduce a sound file directly into the sound registry?
Answer:
Choose Import files on sound registry menu. To open the registry with Search : Sound, you need at least one sound stored there

You can search for an image
(David Mckenzie, New Zealand, Apr 8, 1998)
Question:
How to search for an element that contains no text (only an image)?
Answer:
Use Search : Image. With Ctrl+F or Ctrl+S you can search for the image name or you can simply scroll to the image in question. Then press Ctrl+B to list all elements using the selected image

You can transfer a template from one collection to another
(Marcin Piekarniak, Poland, Dec 2, 1997)
Question:
How to transfer a template between collections?
Answer:
Use Template : Save to file and Template : Load from file on the element menu. To save the new template in the template registry, use Template : Save as template. Read more: Using templates

You can add a sound recorder
(Gabor Schmera, USA, Dec 13, 1997)
Question:
How do I add a recorder component to my items (as it is done in Advanced English)?
Answer:
Add a sound component and check Sound : Panel : Recorder on the component menu

It is possible to change the element background color in many elements at once
(Tomasz Chudy, Poland, Oct 17, 1998)
Question:
How can I globally change the color of element background in the whole collection?
Answer:
You could accomplish that by defining a one-color background image (Tools : Options : SuperMemo : Default background image). Background image must be in BMP format

If you use question-and-answer templates throughout your collection or if you use other uniform templates, you can also try the following algorithm:

  1. Create a new element (e.g. with Alt+A)
  2. Change the color of element background with Color (available from the element menu in the element window)
  3. Save the newly created element as a template with Template : Save as template (available on the element menu in the element window)
  4. Apply the new template to all elements in the collection with Process branch : Template : Apply template (available on the contents menu in the contents window)

You and your wife can jointly expand the same collection
(Brian Canova, USA, Aug 28, 1998)
Question:
Me and my wife use Medical Biology collection. How can we both add new elements and synchronize our efforts so that we both get the elements introduced by one another?
Answer:
SuperMemo does not have any nice mechanisms for real-time sharing data between students. However, there is a rather complex algorithm you might use. Please try this out only if you are an advanced user of SuperMemo:

  1. Keep four separate collections:
    1. BRIAN - your original Medical Biology collection
    2. WIFE - copy of Medical Biology for your wife (e.g. created with File : Copy collection or Ctrl+Shift+C)
    3. BRIAN-NEW - new collection for you to add new learning material (created with File : New collection or Ctrl+N)
    4. WIFE-NEW - new collection for your wife to add new learning material
  2. Make repetitions only in BRIAN and WIFE
  3. Periodically transfer newly created elements from BRIAN-NEW to BRIAN and to WIFE, as well as from WIFE-NEW to BRIAN and to WIFE

You can transfer whole collections or individual branches with Tools : Transfer branch on the contents menu in the contents window

You can memorize chess positions with chess font
(Lloyd M. Uhler Jr, Jun 12, 1998)
Question:
I have fonts for Chess and might want to use SuperMemo to remember Chess Positions. Can I import material created in MS Word?
Answer:
Try using the OLE component or HTML component or copy pictures to image components

You can globally change the layout of components
(Doug Edmunds, USA, Nov 4, 1997)
Question:
How can I globally change the layout of question, answer, font, background color, etc.
Answer:
Do as follows:

  1. Create a new template with your new layout
  2. Save the template with Template : Save as template (on the element menu)
  3. In the contents window, choose the branch that should be changed
  4. On the contents menu choose Process branch : Template : Apply template and select the new template

Important! Only plain text components use font objects. If your template uses rich text components, the original font will be retained. To quickly change fonts in question-answer items, redefine the Classic template or its copy

Title may differ from the question text
(Ryszard Kosowicz, Krakow, Poland, May 16, 1997)
Question:
Why does not SuperMemo automatically change the title when I edit the question part of the item?
Answer:
It does it only if both texts are identical. Sometimes the author of the collection might wish to keep the too different. To update the title press Alt+T and Enter (this will open Title window and propose to use the first default text as the title)

Component order may determine how the titles are generated
(Krzysztof Morawski, Poland, Dec 28, 1998)
Question:
I am learning Norwegian. Until recently, SuperMemo has automatically chosen appropriate titles for my elements; however, for some time now, it has been choosing Norsk as the title for all elements (Norsk is a text included in a text component displayed as a label on each page). How can I make SuperMemo choose the right title (in my case, Polish word used as the question)?
Answer:
SuperMemo will automatically generate the title from the first text component in the component order. Your Norsk component is clearly first in the component order in your template. Choose Component order on the element menu and drag the component with your question text to the first position. Then choose OK and save your element in a new template (choose the same template name as before, i.e. default item template name)

Captions cannot use a customized font
(Adam, Australia, Mon, May 14, 2001 4:04)
Question:
I noticed that when I use a pinyin font (romanized Chinese) it is not recognized in the element title. It shows ASCII codes in place of special characters
Answer:
It is not possible the change Windows system font used in captions programmatically. You can either ignore caption titles (they do not take part in the learning process) or use an appropriate national version of Windows.
For SuperMemo to utilize the appropriate font, you have to choose it for display in Contents (use Customize : Font on the contents menu). SuperMemo will use this font throughout wherever applicable

You can display a pop-up message by means of scripts
(facep2b, USA, Tuesday, July 17, 2001 3:45 PM)
Question:
Is there a way to have my question and answer elements and have a pop-up text box that is hidden unless I click on a button?
Answer:
You could, for example, try to use the MESSAGE command in scripts

You can merge collections
(Vit Usela, Czech Republic, Nov 2, 1999)
Question:
I have separate collections for learning English, German and French. Won't merging these collections as advised in your FAQ not produce excessive confusion? What is the simplest way to merge?
Answer:

  • If you use language labels to precede each question (e.g. Eng:, Ger:, Fr:) or use different-color templates, the interference is not likely to be greater than in the case when you keep the collections separate. On the other hand, you will gain the mental comfort of working with only one body of material. For example, many users notice that it is much easier to work with the awareness that there are yet 120 items to repeat rather than 50 items to repeat in the present collection and some more in other collections
  • In SuperMemo 2002 you can use branch learning to learn each branch separately
  • To merge whole collections use File : Merge collection
  • To merge individual branches do as follows:
    1. Select the branch in the contents window
    2. Choose Tools : Transfer branch on the contents menu
    3. Choose the mother collection as the target of the branch transfer

You do not need to integrate secondary storage on transfer
(Beta, Feb 08, 2002)
Question:
I upgraded my Advanced English to SuperMemo 2002 and then merged it with my other collections. As a result, it grew from 100MB to 800MB! Is SM2002 so space hungry?
Answer:
No. While transferring your collection you must have chosen "Integrate secondary storage files". This has put 650 MBs of sounds inside your collection. You will need to repeat the whole transfer and choose to leave the sound files on secondary storage (i.e. on AdvEng CD-ROM)

Synchronization inactive in Contents
(Beta, Mar 08, 2002)
Question:
I had element synchronization on in Contents but elements would not update when selecting different branches
Answer:
This could happen if Contents was expected to return an element to a calling procedure. For example, if you hyperlink from a component, you do not want to move away from the linking element while looking for the target element in Contents. You can recognize the state of the contents window by looking if the Accept button is enabled. If Accept is enabled, SuperMemo expect you to select a branch and click Accept (or double-click a branch). In such circumstances, the content of the element window will not change

Slots do not fit Tools : Plan
(SuperMemo R&D (Beta), Tue, Apr 09, 2002 19:55)
Question:
If I included all my slots in Tools : Plan, it would require 18 hours which is impossible to manage
Answer:
That is exactly where Tools : Plan is supposed to help. We always want more time than we have. Either for work or for rest. The main idea of the Plan is to collect all activities that you would like to execute, give them as much time as you would like to give, and then ask SuperMemo to fit it all together. Your appetite can still be considered temperate if you need only 18 hours per day (after all this is a quite realistic number). However, if you happen to call for 28 hours, SuperMemo will still help you by compressing all activities proportionally. Then, with a daily execution of your schedule, and with the help of delay analysis, you will be able to hone your routine and find the perfectly adjusted proportions for all activities. In an extreme case, some activities will have to go. Others will get compressed to tiny slots. Tools : Plan will help you take a birdseye view of your day and look for efficiency bottlenecks

Deadlines in tasklists are measured in real time
(P.W., Apr 24, 2002)
Question:
Why don't I get the priority halved in tasklists if I set the deadline half-time to today?
Answer:
Unlike the learning process, deadlines in tasklists are measured by your system time. If you open the same task again to inspect its priority a few seconds after setting the deadline, the priority will already have changed. In other words, the deadlined task priority is changing all the time as your system clock ticks

Formatted file sizes can be confusing
(Beta, Piotr, February 2002)
Question:
I got the following HTML and RTF size statistics. Should not the sizes of primary storages add up? It looks like HTML component was not included in the totals:

FORMAT RTF:
Total texts size=9.019 MB
Primary storage files size=12.301 MB

FORMAT HTML:
Total texts size=15.078 KB
Primary storage files size=20.253 KB

TOTALS:
Primary file size: 12.322 MB

Answer:
Note that file sizes are formatted. In the above case the size of HTML files is only 20K. This is why 12MB plus 20K yields 12 (MB)

Automatic material evaluation will be of value in the future
(Beta, Kuwait, Monday, March 04, 2002 10:16 AM)
Question:
SuperMemo could include fluency training for core items. This way collections could be field tested and sold based on how effective they are at improving knowledge quickly
Answer:
Analysis of collection parameters is already possible. However, it is still not used much for practical reasons. SuperMemo Library is small and its user and authors base is small as well. This is very rare to face a choice between several collections of similar quality that could be differentiated on the basis of learning parameters. Even Advanced English, the most popular learning material for SuperMemo, is reviewed and corrected manually on a one-by-one basis. The main source of material for such improvements are user comments, not metrics provided by SuperMemo

You do not need to understand registries
(Tomasz P. Szynalski, Monday, July 30, 2001 6:59 AM)
Question:
Why does SuperMemo force me to care whether a font is in the registry?
Answer:
You do not need to use registries. Registries can be helpful if you want to define and name your own font. Later you can find this font's definition by its name. The same is true with other objects such as images or scripts. Registries make it easy to name objects, reuse them and search for them (including incremental search). If you give up registries, you give up this functionality. Similarly, indexing service in Windows makes it easy to search the content of your hard disk. It is entirely optional, but it is also worth learning

You can use mind-maps with SuperMemo
(Pascal Heimlicher, Switzerland, Tue, Aug 07, 2001 1:53 AM)
Question:
Is there a possibility to learn with mindmaps I've created in MindManager. Where can I find a description?
Answer:
If you would like to use mindmaps editable with Mind Manager via OLE, see: OLE component. You can also export mindmaps as graphic files and used them with image components. Some of users on this new Yahoo eGroup use Mind Manager. You could share the experience or simply browse their messages. Remember to turn off the Scaled parameter in your template (on the element menu)

Transferring elements from one collection to another should retain the learning process
(Jens Buurgaard Nielsen, Denmark, Saturday, August 04, 2001 5:42 PM)
Question:
I recently transferred elements from one of my collections to another. In SuperMemo 98, I had a warning that the first day in the old collection was older than that in the new collection, and that the old first day would be deleted. In SuperMemo 2002, I did not get this warning, and I now wonder if everything is ok?
Answer:
To save space, all dates in SuperMemo are kept relative to the first day of the learning process. For this reason, a collection cannot keep two values of the first day. Once you transfer elements from one collection to another, the first day setting of the source collection is ignored (i.e. not "deleted"). This warning will not appear if the new collection has no elements memorized (i.e. the learning process has not started). There has been no change in that respect between SuperMemo 98 and SuperMemo 2002

Trim Shortcuts turns off Ctrl+Alt+C and some other shortcuts
(Jiri Pik, Wed, Jun 27, 2001 8:44)
Question:
Why can I not use Ctrl+Alt+C shortcut for selecting the current category in SuperMemo 2002? In the previous releases it worked without any trouble?
Answer:
Make sure you have Trim Shortcuts in Tools : Options : SuperMemo unchecked. This shortcut can be inactivated to compensate for a bug in handling diacritical characters in some national versions of MS Windows

How to bring SuperMemo to people?
(DavidAlm.com, Tuesday, September 04, 2001 7:43 PM)
Question:
Cooper's central point is that most users do not care about the implementation model and they come to your product with a number of related conceptual models. Because of this, your software must present a manifest model that fits well with their conceptual model -- regardless of the implementation model
Answer:
All software is dependent on the implementation model. The smaller the company the less it can afford veering from this constraint as all deviations are extremely costly. Secondly, all novel solutions and all solutions deprived of instant gratification are bound to produce a concept-manifest mismatch. This is a perennial problem for SuperMemo. Work on downsizing the gap is critical

Installing phonetic transcription
(Jens, Denmark, Saturday, August 04, 2001 5:42 PM)
Question:
How do I install phonetic transcription on an existing collection?
Answer:
You need to choose its name in Tools : Options : Language : Phonetic transcription. If that field is empty, you need to copy the transcription registry files first to \phonetic subfolder. English transcription files are available from MegaMix CD-ROM, Advanced English CD-ROM or from downloadable English Pronunciation collection

You need to activate the OLE object to view it all
(Alexia, USA Educational, Wednesday, October 10, 2001 5:07 AM)
Question:
When I inserted my Word document in an OLE component, only the top of the document displayed. How can I get the rest of it to show up?
Answer:
Inactive OLE components cannot display whole documents as they depend on the server for the whole-document display and editing (MS Word is the server in this case). You need to switch the OLE component to the editing mode (e.g. with Ctrl+E) and you need to have MS Word (i.e. the server) installed

Browsers do not open sorted
(J.P., Germany, Sunday, May 05, 2002 8:50 AM)
Question:
When you display the contents browser it is not sorted, even though the settings in the contents window are to sort the contents
Answer:
Customize : Sorted on the contents menu affects only the order of elements in the contents window. The contents browser collects elements from the branch in their physical order. When you open a browser, it is never sorted. However, you can easily sort it by clicking the Title column

Disconnect secondary storage to avoid playing sounds
(Mark G. Patterson, Friday, October 05, 2001 4:35 PM)
Question:
When I run my CD on a machine that doesn't support audio playback, SuperMemo displays a warning message each time an attempt is made to play an audio track. What I would prefer is for SuperMemo to just ignore the audio component and not display a warning
Answer:
You could point secondary storage (Tools : Options : Data access) to a non-existent folder which will prevent loading sound files from CD-ROM. You can also disable scripts and players by depressing a button on the Actions toolbar

You can convert your topics to tasks
(Mike Condron, Saturday, September 29, 2001 2:43 AM)
Question:
It would be very nice if there were some way of adding a note to an element, or flagging it for a follow-up action. For example, sometimes I have contradictory information between elements and need to research them further
Answer:
You can open Element Parameters (Ctrl+Shift+P) and change the element type to task. Choose the relevant tasklist and describe the follow up action in the task description. This method can also be used on items; however, once they become tasks they will be passively reviewed using the same algorithm as in topic review

You need RealAudio player to make use of *.RA files
(Jerome, Nov 20, 2001)
Question:
I imported an *.ra file and get the following error: Cannot open player device. Cannot determine the device type from the given filename extension
Answer:
You need to have RealAudio player installed and registered on your system

Use Child menu to open sub-browsers
(Patrik Nilsson, Monday, November 26, 2001 6:31 PM)
Question:
Once I select elements in the Sel column in the browser, how can I process them in a separate new browser?
Answer:
Use Child : Selected on the browser's menu

Area in HITTEST can be pentagonal
(Daniel, USA Military, Wed, May 29, 2002 15:01)
Question:
In HITTEST 4 [(387,10)(444,237)(546,229)(536,4)] the hit area doesn't seem rectangular
Answer:
In the Hit-Test editor you can select up to five points and make the area pentagonal. This makes it easy to delineate a hot-spot click area on a picture

OLE components do not work well in Scaled elements
(Leitnick, David, Thu, Dec 27, 2001 18:27)
Question:
I want to put Chinese characters in the question box. I've put the characters in MS Word and tried adding them via OLE. But the OLE objects get hidden behind the question and answer boxes. When I hit Learn button the question and answer boxes get resized so they are huge
Answer:
You can try one of the following:

  1. Turn off the Scaled attribute on the element menu. Depending on the application, OLE component may wrongly interpret its own coordinates in the Scaled mode. Unchecking Scaled makes sure the component does not try to recalculate its size
  2. Use image components to represent Chinese texts. This is the best method if you do not need to reedit these texts. With GIF or JPG compression, you do not need to worry much about the size of your collection
  3. Use HTML components with any HTML editor

Tasklist should hold all your ideas and inspirations
(ZM, Sat, Jan 19, 2002 10:00)
Question:
Does it make sense to put on tasklists things that are not feasible in a near future?
Answer:
Yes. You never know how your priorities change, how feasibilities change, etc. You never know if and when the task becomes feasible or inspirational. The only cost of a task on a tasklist is that you may occasionally see it when randomly reviewing valuations. Otherwise, the idea of tasklists is to put all your ideas and inventions there and just estimate the value and time as accurately as possible. The main value of tasklists is that you do not have to come back with your mind to lower priority tasks unless you choose so. At the same time, you never lose a record of your creative effort. The length of the tasklist does not matter. It may be a hundred times longer than your execution capacity. The longer it is, the better it testifies to your creativity

It is possible to periodically update someone else's collection with your new material
(Erik De Laet, Belgium, Saturday, January 26, 2002 4:51 PM)
Question:
I learn French with my son. Because I know more French than he does (still), I am appending new words to his collection every week. How could I best transfer work from my own collection to his collection without duplicating the effort?
Answer:
With a dose of patience, you could try the following algorithm that will solve your problem:

  1. Create collections Dad.kno and Son.kno
  2. Add new material and learn with Dad.kno
  3. Use View : Memorized and Tools : Transfer in the browser to transfer your material from Dad.kno to Son.kno
  4. Use View : Memorized and Subset : Save all. Save memorized elements in Transferred.sub file
  5. Add more material to Dad.kno and keep on learning
  6. After some time, use View : Memorized and Subset : Subtract subset. Subtract Transferred.sub. Your browser will now contain only newly memorized items that have not yet been transferred to Son.kno
  7. Use Tools : Transfer again to transfer the browser to Son.kno
  8. In Son.kno, open the newly transferred branch in the browser (e.g. Contents : View : Selected branch) and choose Learning : Forget in the browser (otherwise your son will inherit the learning process in the transferred material)
  9. Go back to Step 4

This algorithm may look complex but after a while, you will perform these steps in seconds

Localizing interface and help system
Questions: I would like to sell SuperMemo in my country and provide local interface and help file. Is it difficult?
Answer: The difficulty will depend on how far you want to localize SuperMemo. There are four major steps of increasing difficulty. The first step is easy and open to anyone who has SuperMemo installed. Some of the remaining steps may require a franchising agreement with SuperMemo World, and a dedicated version of SuperMemo stamped with your company data.

  1. Interface: Localize the interface at Basic and Beginner levels. This can be done in 5-10 minutes.
  2. Localized help: Provide your own minimum help file in your local language. This file can be in any format (e.g. CHM, HTML, MS Word DOC, Power Point, Acrobat Reader, etc.). This file can be opened with F2 from SuperMemo and does not provide context sensitivity. Once you prepare your help file, you need to request two variables in your franchisee version: HelpName (name of the menu item on the Help menu) and HelpFile (name and of your help file placed in SuperMemo BIN folder). F1 will still use English context help.
  3. Context help: Create a HTML help system in your own language. Translate all English HTML help files to your own language and install these files along your SuperMemo in <SuperMemo>\help\help\ folder. Set Help system to HTML in SuperMemo Options. Remember not to change file names to ensure SuperMemo can correctly locate individual files when F1 is pressed in various contexts. You can alternatively install your HTML files in <SuperMemo>\translat\<LocalizedName>.help\ folder to make sure that F2 help reacts to the currently selected localization language (LocalizedName is the name of the currently used TRA interface file).
  4. Binary context help: Create an HTML system as in previous step and compile it with MS Help Compiler. Substitute your help file in place of \bin\smhelp.chm file and set Help system in Options to CHM Help. This will ensure your localized help reacts to context when F1 is pressed.

Source code

Some simplified source code from SuperMemo 2002 will help you understand the behavior of the help system in various contexts. The name of the localized translated interface file (extension *.TRA) is LocalizationName.
Franchisee EXE stamps provides two variables: TraHelp (name of the help menu item called with F2) and HelpFile (name of the translated help file placed in the bin folder).

LocalizationName can be found in supermemo.ini file section Language, entry Localization:
SuperMemo.INIFile.WriteString('Language','Localization',LocalizationName);

When SuperMemo help menu is clicked, the name of the localized help menu items is determined. If HelpFile is set then TraHelp is used. Otherwise, if translat\<LocalizationName>.help is installed, LocalizationName help is used:

procedure TSuperMemo.MIHelpMenuClick(Sender: TObject);
begin
MILocalizedHelp.Visible:=false;
if Franchisee.HelpFile<>'' then begin
MILocalizedHelp.Caption:=Franchisee.TraHelp;
MILocalizedHelp.Visible:=true;
exit;
end;
if FileExists(EXEDirectory+'\translat\'+SuperMemo.LocalizationName+'.help\index.htm') then begin
MILocalizedHelp.Caption:=Capitalize(SuperMemo.LocalizationName)+' help';
MILocalizedHelp.Visible:=true;
end;
end;

procedure TSuperMemo.MILocalizedHelpClick(Sender: TObject); {executed when pressing F2}
begin
RunLocalHelp;
end;

When local help is run with F2 your help file is executed. It is taken from your bin folder or from your website (if HelpFile begins with http://). If HelpFile is not determined \translat\<Localization Name>.help is executed starting with its index.htm file.

procedure RunLocalHelp;
begin
if Franchisee.HelpFile<>'' then begin
if StartsWith('http://',Franchisee.HelpFile) then
OpenURL(Franchisee.HelpFile)
else
ViewFile(ExeDirectory+'\bin\'+Franchisee.HelpFile);
exit;
end;
path:=EXEDirectory+'\translat\'+SuperMemo.LocalizationName+'.help\index.htm';
OpenURL('file://'+path);
end;

When context help is executed with F1 then the behavior of help depends
on Help system setting. You can substitute your files in hmCHM mode and
in hmHTM mode as these are both run from user's local hard disk.

procedure TSuperMemo.ShowHelpTopic(topic:string);
begin
CHMPath:=EXEDirectory+'\bin\smhelp.chm';
HTMPath:=EXEDirectory+'\help\help\';
case HelpMode of
hmCHM:ExecuteFile('hh.exe '+CHMPath+'::/help/'+topic+'.htm');
hmHTM:OpenURL('file://'+HTMPath+topic+'.htm');
hmWeb:OpenURL('http://www.supermemo.com/help/'+topic+'.htm');
end;

You need to use the Classic template to change the font and its attributes globally
(harold hill, Saturday, September 28, 2002 6:36 AM)
Question:
I would like to change the size of the font used in my elements. I have changed the font size in a couple of elements manually, however, it would take a lot of time to do that throughout entire collection. Can you advise on the more efficient way to accomplish that?
Answer:
You would need to replace the default SuperMemo template, which utilizes the HTML component, with the Classic template, which, in turn, uses the TEXT component. Note, you will lose formatting in your elements upon replacement. For a single item, use Template : Replace with template or Apply template from the element's menu. For a number of items, switch to the contents window, select the branch, right-click your mouse over it, choose Process branch : Template : Replace template or Apply template. You can change the font in the Classic template by choosing Text : Edit font on the component menu

Retention and back-Retention data in workload
(Robert Drozd, Poland, Wed, Jun 26, 2002 16:29)
Question:
I used Save data in Excel format in the Workload window. What do these columns mean: BackRetention, BackItems, BackTopics?
Answer:
Retention on a given day tells you how well you remembered the material repeated on that day. BackRetention tells you how well you later remembered the same material. Retention is measured on the day in question. BackRetention is measured later; when successive repetitions take place (on various dates). BackItems indicate how many items took part in the BackRetention measurement. BackTopics say how many topics took part in later reviews. The later the measurement, the closer the value of BackItems to Items

Authoring Collections for all SuperMemos
(bmp500, May 16, 2004, 00:12:37)
Question:
You suggest that new retail collections be suitable for use with SuperMemo 98 and above. I am using SuperMemo 2000. How do I ensure the collections I generate are usable by earlier editions. I would also like to support the Pocket PC version
Answer:
You do not need to target SuperMemo 98. With the advent of XML data exchange, you will probably best target the XML format. Initially, XML will make it possible to transfer questions and answers along with the learning process. In other words, you can keep developing your materials in SuperMemo 2000. It can then always be upgraded to SuperMemo 2004 and used to generate an appropriate XML file. In the meantime, you can export your files as Q&A (File : Tools : Export : Q&A text). Q&A format is supported by all SuperMemos

Use Remember to circumvent the pending queue
(tdepoty, Mon, May 20, 2002 23:01)
Question:
I reset SuperMemo to start over but after the reset I have over 700 items now pending from my previous usage of SuperMemo. I would like to dismiss these 700 items, learn new material, and introduce daily only 15 items of those 700 pending items
Answer:
In SuperMemo 2002, newly added material is automatically introduced into the learning process. In SuperMemo 2000, you may need to use Rememeber (Ctrl+M) to introduce new elements to repetitions. Once you pass all outstanding material, you can answer with Yes to "Do you want to learn new material?". After that, learn 15 new items and close the session


FAQ: Advanced English with SuperMemo

Frequently asked questions about Advanced English 97

Do you have a question about Advanced English? Ask SuperMemoMail.
This list was started on Feb 5, 1998. Last modified:

Advanced English 2002 vs. Advanced English 97 (#291)
(Tomasz.Olszewski, Poland, Wednesday, October 02, 2002 1:36 PM)
Question:
I am an owner of Advanced English 97. What are the differences between my version and recently released Advanced English 2002?
Answer:
The list of major differences between Advanced English 2002 and the previous releases goes as follows:

  1. it corrects errors found by users from all over the world,
  2. it updates the lexicographic material with newly emerging language constructs and popular phrases,
  3. it extends some sections with completely new material,
  4. it removes the out-dated material no longer used in contemporary English,
  5. it integrates the sections for testing pronunciation, spelling, and the alphabet
  6. it improves the sequence of learning new items.

You can learn elements that belong to a given branch or category (#301)
(Magdalena R., Poland, Friday, October 04, 2002 11:37 AM)
Question:
I have recently purchased Advanced English. I am mostly interested in business English. How could I learn the vocabulary related to business?
Answer:
In Advanced English, all specialist terminology is organized in categories. The category for business English is called Business and Economics. If you would like to learn from this category, do what follows:

  1. Press the Contents button in the element window (or press Alt+C)
  2. Expand Advanced English 2002, Advanced English, Economics, Law, and Political Sciences categories in turn
  3. Select the Business and Economics category
  4. Press the Learn button at the bottom of the contents window (the second from the left)

You can configure Advanced English 2002 to play sounds from Advanced English CD-ROM #2 (#292)
(Tomasz.Olszewski, Poland, Wednesday, October 02, 2002 1:36 PM)
Question:
I am an owner of Advanced English 97. I have noticed, the newest Advanced English 2002 is only available as text-only. Can I configure it to play sounds from the CD-ROM #2 of my Advanced English 97 package?
Answer:
Select Tools : Options from the main menu, click the Data access tab, and change the Secondary Store to your CD-ROM drive letter

(Marcin Piekarniak, Poland, Dec 2, 1997)
Question:
How to easily back up Advanced English 97? In Advanced English 94 the entire system could be compressed to a 1.4 MB file!
Answer:
Only SuperMemo 8.4 solves this problem nicely. You can backup the learning process only. This way only the data pertaining to items in the learning process will be stored (not items themselves). Use File : Export : Learning process to export the data. Later, upon reinstalling Advanced English 97, you can restore the learning process with File : Import : Learning process

(Pawel Brzozowski, Poland, Mar 11, 1998)
Question:
How can I remove pictures from Advanced English?
Answer:
You can delete ELEMENTS subdirectory. This will eliminate all multimedia files from your hard drives. Only sounds will be unaffected. Those are kept on Advanced English #2 CD-ROM.
Alternatively, you could use Process branch : Template : Merge with template on the Contents window's menu to apply a new template to the entire Advanced English. If your template does not have an image component, all images will be deleted

(Bobby Faulkner, US, Jan 4, 1998)
Question:
Although I am a native speaker, in reading about Advanced English at your web site I thought it would be beneficial to try, not only for me, but for my two teen-agers as well. My daughter will be attending the University of Washington in 1999 and is interested in journalism. While I don't know the contents of Advanced English as yet and based on what I have seen on the SuperMemo demo, I believe I will be satisfied! Would you agree with me?
Answer:
 We went through some of the material with native Americans and they used to have problems with over 50% of the items. They all agreed that learning Advanced English would be beneficial to their language skills! Advanced English indeed contains lots of advanced vocabulary, specialized terminology (technology, medicine, business, etc.), proverbs, idioms, etc. that are worth knowing. Additionally it is "GRE rich", i.e. it contains full lists of vocabulary required for GRE tests. There are two problems however:

  1. the material is sorted for difficulty, and items in the first 2000 might simply be of too little challenge. This could be solved by: (1) scrambling the pending queue (Tools : Randomize : Pending), or (2) learning individual sections only, e.g. Idioms, Loanwords, etc.
  2. non-natives enjoy every single item with direct benefit to their language skills. They often get "addicted". The material has a cross-word puzzle nature and could be fun but ... will a native speaker find enough motivation to go through it regularly?

Rarely used words in Advanced English (#25475)
(Arne Hansen, Denmark, 06-05-2004)
Question:
I found words in Advanced English that are not in common use. For example, "to toggle" is not an official word you cannot find it in Concise Oxford Dictionary
Answer:
Advanced English often goes into specialist terminology, e.g. as used in electronics or computer science. For that reason, it may include specialist or colloquial terms that cannot be found in concise dictionaries. Nevertheless, we appreciate your efforts to suggest items that could be eliminated. As for "toggle", it should probably stay (see: http://dictionary.reference.com/search?q=toggle)

(Harald Hammerl, Germany, Aug 7, 1998)
Question:
How can I upgrade my Advanced English 97 installation to SuperMemo 8.4?
Answer:
Run SM8ZIP.EXE, locate SM8.EXE in SM8 directory, and copy the new SM8.EXE into the installation directory chosen for Advanced English at installation. Note that first time you run Advanced English, the upgrade will be done automatically. You can input your registration password in the same way as specified in the instructions you received when registering SuperMemo 8.4

(Jan Gromadzki, Poland, Jul 11, 1998)
Question:
I bought Advanced English 97 and I cannot pass through the introduction. There are arrows pointing to icons that ... do not exist. What is wrong?
Answer:
You need a sound board installed in your computer (this is listed among minimum requirements!). Some script commands do not work without a sound board and the introduction part is largely run by scripts. If you want to use Advanced English without sound do the following:

  • press Ctrl+P (to run Options dialog box)
  • choose Data access tab
  • check Full Access radio button (this will turn the access mode to Full as opposed to Read-Only that is set at the beginning of the introduction)
  • uncheck Hide Navigation (to show the element navigation toolbar that is otherwise turned on by scripts after introducing the user to other complexities of the program)
  • delete the path showed in Secondary storage (this path shows where to look for sound files used by Advanced English; without a sound board those files are useless and deleting the path will speed up the program)

(Jorge Adam Cleto Cohn, Brazil, Nov 5, 1998)
Question:
Is English Grammar collection of Advanced English based on exercises only or is there a review of grammar theory?
Answer:
There are no theoretical reviews. All items are based on practical examples

(Gabor Schmera, US, Dec 13, 1997)
Question:
How do I add a recorder component to my items (as it is done in Advanced English 97)?
Answer:
Add a sound component and check Recorder on this pop-up menu.

(Adam Salamon, Poland, Nov 4, 1997)
Question:
Over the last year, I have memorized 10,000 items in Advanced English 94. Can I now upgrade my learning results to Advanced English 97?
Answer:
Unfortunately there isn't any simple way!. You might try one of the following solutions:

  • stop learning new material in Advanced English 94, start learning with Advanced English 97, continue repetitions with AE94 and gradually delete duplicated material from AE94 (recommended for large number of memorized items)
  • turn off sound in AE94, import memorized items of AE94 to a separate branch in AE97 and make repetitions in AE97 only (the sounds of AE94 will be lost). This will need lots of hard disk space!
  • give up Advanced English 94 entirely (in case the number of memorized items is less than 2000-3000)

(Anatolyi Lipatov, Ukraine, Jul 12, 1998)
Question:
I am using Advanced English to enhance my English and business English. Now I am registering for CFA examination (that is Chartered Financial Analyst program of Association of Investment Management and Research). There are several organizations developing and distributing methodological stuff for preparing to the exam. A lot of things should be memorized for passing the exam. What do you think the best way to fit SuperMemo for memorization and what approach should I use to prepare my own knowledge base for memorizing the material. Is special programming knowledge needed for it?
Answer:
No specialist knowledge is needed to prepare simple knowledge systems in SuperMemo. With Add new you get 90% of functionality! All advanced editing options can be worked around by an appropriate questions-and-answer approach. Perhaps it would be useful yet to learn how to add images to your items (see help for details). To learn more about effectively structuring knowledge in SuperMemo you might want to read Knowledge Structuring and Representation; however, nothing works better as learning on one's own mistakes in formulating knowledge for learning with SuperMemo.

(Michal Grodzki, Poland, Aug 20, 1998)
Question:
You advice the users of Advanced English 97 to make back-up copies with File : Export : Learning process. However, this does not back up the material introduced by the user. What is the best solution in a case when I want to add lots of my own items to Advanced English?
Answer:
You might try one of the following:

  1. Keep your own material in a separate collection. You can back such a collection by compressing the <system name>.kno file and the <system name> directory into a single archive (e.g. with WinZip)
  2. If you prefer to add your items to Advanced English (e.g. in order to be able to search all material in one go), you might back up the contents of a single branch by transferring it into an empty system with Tools : Transfer node on the contents menu or by exporting it as text with Tools : Export as text (also on the contents menu). You can later restore your back-up after reinstalling Advanced English with Tools : Transfer node in the opposite direction or with File : Import : Text in the latter case

(Dr Faust Malnig, Germany, May 1, 1997)
Question:
Why does not SuperMemo World license a professional English dictionary instead of developing proprietary material for Advanced English?
Answer:
No dictionary is adapted for specific SuperMemo purposes. Definitions in Advanced English are created with the view to easiness of remembering, brevity and univocality. This is a unique material that cannot be licensed from any source.

(E.Kubala, Denmark, Dec 17, 1998)
Question:
Will Advanced English work in Danish Windows? Will I get translations in Polish?
Answer:
Yes. Advanced English will work in Danish Windows as well as in any other Windows version. You will be able to display translations in Polish. It may be necessary, though, to choose the appropriate Polish font from Tools : Options : Language : Translation font (system font is used by default which in Danish Windows does not include Polish diacritical characters)

(Artur Osadowski, Poland, Sep 5, 1998)
Question:
Does the setting of Access Mode in Tools : Options : Data access affect the accessibility of sounds on CD-ROM?
Answer:
No. To make sure SuperMemo correctly reads sounds from CD-ROM, you only have to provide the correct path in Tools : Options : Data access : Secondary storage

(Wojciech Gawrys, Poland, Feb 21, 1998)
Question:
I am a network administrator. Can I install only one copy of Advanced English and let a number of students use it simultaneously?
Answer:
No. SuperMemo 8 does not provide multi-access option. For large student groups, it would be best to extract first 500-1000 items from Advanced English and provide each student with his own copy

(Markus Fahß, Germany, Oct 24, 1998)
Question:
Does it make sense to order English Pronunciation from SuperMemo Library if I already own Advanced English and only want to use the phonetic transcription registry?
Answer:
No. It is enough you upgrade your Advanced English to SuperMemo 98 and use the phonetic transcription registry from Advanced English. You can select it in all your collections for learning English and have IPA phonetic transcription available

(Mu Huang, Taiwan, Oct 26, 1998)
Question:
I am studying for GRE. What product do you recommend?
Answer:
Advanced English. There is also a GRE Vocabulary List in the freeware section in SuperMemo Library

(Jiri Pik, Czech Republic, Oct 28, 1998)
Question:
I add my own items to Advanced English but I notice that adding new material goes slower and slower!
Answer:
Advanced English has a high Children Limit. If you reduce this number in Tools : Options : Appending, the performance should improve. The items you have already added can be arranged in branches with Tool : Arrange in folders in the contents window

(Tomasz Szkopek, Poland, Oct 29, 1998)
Question:
I am using both Advanced English and Deine Chancen. This means I have to swap CD-ROMs twice per day. I worry about wear-and-tear. I bought a large hard disk and plan to transfer all sound files there. How can I best do it?
Answer:

  1. You should not worry about wear-and-tear. Probably there has not yet been a user that would ask for CD-ROM replacement due to prolonged use
  2. If you lose access to a single sound file, you can always disconnect it with Links : Delete registry link on the component menu and continue working
  3. You can always count on CD-ROM replacement if the damage was not of your fault
  4. To copy all files to the hard disk you should open the collections on the CD-ROM and use File : Organize : Copy to transfer them to your hard disk. Remember to turn off read-only attribute on all files

(Lili Belsak, Slovenia, Feb 10, 1999)
Question:
I would like to use Advanced English on two computers. What is the easiest way to keep my learning process updated?
Answer:
This method will probably work best (you need SuperMemo 98 or 99 to use Export/Import: Learning process):

  1. Install Advanced English on both computers
  2. Make repetitions on Computer A
  3. When you want to move to Computer B, use File : Tools : Export : Learning process on Computer A and copy the generated files to Computer B
  4. On Computer B use File : Tools : Import : Learning process and import the file exported in Step 3
  5. Make repetitions on Computer B
  6. When you want to move back to Computer A, use Steps 3 to 5 analogously

Note that this method only transfers the learning process. If you want to edit the material, you would better introduce the corrections only on one of the computers. This way you will be able to avoid the need to copy all collection files between computers

(Charles Poon, Hong Kong, Mar 18, 1999)
Question:
What is the best way to upgrade Advanced English 97 to SuperMemo 99?
Answer:
This is the procedure:

  1. install Advanced English 97
  2. go through the introduction: just press Start and read instructions on the screen (the introduction includes about 100 items; including the material for learning English vocabulary)
  3. delete sm8.exe (SuperMemo 8) and put sm99.exe (SuperMemo 99) in its place
  4. open Advanced English (adveng.kno) in SuperMemo 99 with File : Open (the upgrade may take several minutes)
  5. if you would like to use the lexicon, you will yet need to run File : Repair collection with Rebuild lexicon checked

(Vit Usela, Czech Republic, Mar 23, 1999)
Question:
I have used SuperMemo 7 for a couple of years and would like to import my collections to Advanced English 97. However, I am afraid I will lose the easy control of the spelling exercises. Can you help?
Answer:
In new versions of SuperMemo, you cannot globally switch from standard repetitions to spelling exercises. At the moment of creating the material you must decide if it is best drilled as questions and answers or if the answer should be typed in from the keyboard. If you choose the latter, it is enough to define an appropriate template before you import from SuperMemo 7. In your template, instead of the answer component, you must simply create a SpellPad component

(Karlheinz Schlottbom, Germany, Apr 22, 1999)
Question:
I use a notebook and was disappointed to see that Advanced English comes on two CD-ROMs. If you used sound compression, the material would fit a single CD-ROM and could be run directly from the CD
Answer:
Advanced English only installs about 40 MBs of the first CD-ROM and all sound files are stored on the second CD-ROM. This way, you can use Advanced English by keeping only CD-ROM #2 in your CD-ROM drive. Optionally, you can delete the elements directory in the adveng subdirectory to save further 15 MB. This subdirectory holds images and accessory sound files that are not critical for the learning process (e.g. background images used in all items, music, etc.)

(Karlheinz Schlottbom, Germany, Apr 22, 1999)
Question:
Where can I find electronic documentation for Advanced English on the CD-ROM?
Answer:
Advanced English was built to be self-explanatory and by passing the introduction (delivered by SuperMemo), you will be able to effectively use the material. The documentation for SuperMemo is available with F1 from within SuperMemo. This documentation also includes some basic hints&tips for using Advanced English

(Tomasz Szkopek, Nov 15, 1999)
Question:
I upgraded Advanced English 97 to SuperMemo 99 and received the following error: Collection files access error ! Wrong A-Factor distribution. Is it dangerous?
Answer:
 No. This is a harmless warning.
After upgrading all collections to SuperMemo 99, you will always need to run File : Repair collection with Basic recovery checked. This is needed to calculate new values of A-Factors as the interpretation of A-Factors has changed slightly in SuperMemo 99

(Tomasz Popielarz, USA, Nov 22, 1999)
Question:
I have memorized 4500 words in Advanced English and moved abroad taking only the CD-ROMs. I had a six-month-long break in learning. What files should my family send me to be able to restore my learning process?
Answer:
 Here are some solutions from easiest to hardest with decreasing loss to the learning process:

  1. Automatically, memorize the first 4500 items and reschedule them at random with 50-150 items/day. After 30-90 days of hardship, your learning process will not look much different than before the break. Forgotten items will naturally reenter the learning process with short intervals and those which are still remembered will be sent to deservedly long intervals
  2. Ask your family to send you only the subset file with all memorized items and proceed like in Point 1 (this way all items memorized with find&remember, etc. will not be skipped)
  3. Ask your family to run File : Tools : Export : Learning process and send you the resulting files. After reinstalling Advanced English, use File : Tools : Import : Learning process. You will still need Tools : Mercy to reschedule the outstanding items with a manageable number of repetitions per day

(Marjolein Hoekstra, the Netherlands, Nov 2, 1999)
Question:
I ordered SuperMemo 99, MegaMix 99 and Advanced English 97. I would like to learn Advanced English in optimum configuration. Can you advise?
Answer:
The optimum sequence is this:

  1. Install MegaMix and choose Advanced English 98 during the installation (this will provide you with the newest version of Advanced English texts)
  2. Delete sm98.exe and put sm99.exe in its place (this will make sure you use the newest version of SuperMemo). All collections will be upgraded automatically when you open them
  3. Open the collection ae98.kno (Advanced English 98), insert Disk #2 of Advanced English 97 to a CD-ROM drive and in Tools : Options : Data Access : Secondary storage provide the CD-ROM letter (this will connect Advanced English 98 with the CD-ROM #2 of Advanced English 97, which stores 27,000 sound files of this collection)

(Przemek S, Poland, June 8, 2000)
Question:
I used to regularly back up my Advanced English on a second hard disk. Today I tried to restore my backup and ... it looks as it is empty! Only one element inside! Help!!!
Answer:
There is a frequent mistake users make. To backup a collection, you need to copy both the kno file and the associated folder (e.g. file ae.kno and the folder [ae])(see: Collection files). Some inexperienced users copy only the kno file which is just 20KB of data! If you try to open an orphaned kno file, SuperMemo will reconstruct an empty folder structure.

To avoid this problem: Always back up collections with File : Copy collection in SuperMemo. Do not use external tools unless you understand Windows, files, folders and SuperMemo very well!

To resolve the problem: it is possible the original folder associated with the kno file still exists on the hard disk! You can search for some files characteristic for SuperMemo (e.g. burden.dat or sm8opt.dat). Make an inventory of all kno files (search for *.kno) and all SuperMemo collection folders (search for burden.dat) on your hard disk. Once the inventory is made, try to carefully match up knos and folders and copy kno files to match the folders. Chances are that File : Open on one of these files will restore the lost backup. Note that you can easily find empty collections by checking the size of burden.dat. This file contains repetitions and is zero-sized on collections with no learning process

(Fabrice Hénard, France, Feb 3, 2001)
Question:
I would like to improve my English. I see that Advanced English CD-ROM includes only the old SuperMemo 8. What do you recommend: Advanced English CD-ROM or SuperMemo 2000 download?
Answer:
If you want to creatively add your own vocabulary, learn scientific or medical English or other specialist subject, you could choose SuperMemo 2000 download (it is cheaper and better suited for self-instruction), and later complement it with collections from SuperMemo Library or your own material.
On the other hand, if you just want to quickly learn large vocabulary with American pronunciation, you could choose Advanced English. This is a ready-made material, mostly vocabulary, grammar and phrases, and includes the American pronunciation of some 25,000 words and phrases. If you choose SuperMemo 2000, you can later order Advanced English Upgrade. If you choose Advanced English, you can later order SuperMemo 2000 Upgrade

Advanced English can be used with SuperMemo 2000 (#5523)
(Kenjin1998, UK, Sun, Jun 24, 2001 18:53)
Question:
Can I use Advanced English 97 CD-ROM with SuperMemo 2000?
Answer:
Yes. Except for minor incompatibilities of "Introduction to Advanced English", you can upgrade Advanced English from SuperMemo 8 to SuperMemo 2000. The best strategy is to install Advanced English, pass the introduction, and simply delete sm8.exe file and put sm2000.exe in its place

You can use phonetic transcription of Advanced English in SuperMemo 2000 (#5965)
(Jenssen, Arne Johannes, Norway, Wed, Aug 01, 2001 10:02)
Question:
I imported the *.kno file of Advanced English to SuperMemo 2000. This process took long time, and I was not able to get the phonetic transcription (the icon was gray/disabled). Do you recommend that I run Advanced English under SuperMemo 8 or SuperMemo 2000?
Answer:
SM2000 provides enhanced functionality and is a better choice for running Advanced English. The simplest upgrade procedure is to delete SM8.exe file and replace it with SM2000.exe file. The most likely reason for unavailability of phonetic transcription is that you created separate folders for SuperMemo 8 and SuperMemo 2000, and you did not copy transcription files to SuperMemo 2000 folder. These files are not part of Advanced English collections. For the phonetic transcription to work, make sure that the folder from which SM2000.exe runs includes a subfolder PHONETIC with English language phonetic transcription registry files (English1.reg, English2.reg, etc.). For example, quit SuperMemo, and copy these files from your SM8 folder to your SM2000 folder. Then run SuperMemo 2000 and select English transcription in Options : Language

Advanced English covers all areas of English prioritized with an average intelligent man in mind (#5874)
(claudia, Germany, Wed, Jul 18, 2001 5:46 AM)
Question:
I deliberated to download collection from SuperMemo Library. However, my impression was that the most of them concentrate on one special topic like English Biology, English irregular verb forms, etc. I would prefer to choose one with mixed knowledge: verbs and nouns which you often come across in books, films etc.
Answer:
Probably Advanced English CD-ROMs will fulfill your needs in that respect. It covers all fields of knowledge, all aspects of language (including pronunciation, spelling, grammar, word use, proverbs, quotations, etc.). All this material is sorted for its applicability to an average intelligent man. This means that frequent or important words and phrases come first, and specialist terminology comes much later. If you already have SuperMemo, you can obtain this CD-ROM at an upgrade price

You do not need SuperMemo 2002 to effectively use Advanced English
(Cosmo, Germany, Feb 14, 1999)
Question:
Can I order a SuperMemo 2002 upgrade together with Advanced English even though I do not yet know my registration number?
Answer:
Yes. Note, however, that you do not need SuperMemo 2002 to effectively use Advanced English

Cannot access Statistics in Advanced English (#865)
(Beta, 19/4/2002)
Question:
I am trying to see the statistics of my Advanced English collection but both the keyboard shortcut (Ctrl+Alt+I) and Tools : Statistics don't work (the menu is dimmed)
Answer:
The Statistics menu will not be available if you are in Read-Only mode. Change that to Full-Access in Options. Advanced English initially starts in Read-Only mode to prevent beginners from editing (read: messing up) the learning material

Registration codes propagate between collections (#8063)
(Dominik Flejter, Poland, Sun, Nov 18, 2001 1:51 AM)
Question:
I purchased MegaMix and upgraded my Advanced English 97 to SuperMemo 98. Why does SuperMemo ask me to register?
Answer:
It should be enough to open any collection from MegaMix to propagate the registration code to your Advanced English collection. Open the registered collection first and then open the unregistered collection. For more see: Unlocking SuperMemo

Advanced English does not auto-run (#6702)
(Dr Ephrem Habyarimana, Italy, Wed, Jan 16, 2002 7:59 AM)
Question:
None of the CDs of Advanced English auto-run on my computer. I am using Windows XP Home Edition
Answer:
The installation program is located on CD #1 of Advanced English. It is named INSTALL.EXE. If you run this program, the rest of the installation process should be easy. You can run the installer by typing <CD Drive Letter>:\Install in Start : Run (in Windows). <CD Drive Letter> stands for your CD-ROM drive letter. For example, if your CD-ROM is denoted E:, type E:\INSTALL

"Wrong CD" when installing Advanced English (#11183)
(Raquel Keshishian, Uruguay, Thu, Jun 27, 2002 4:01)
Question:
I went to install Advanced English and when the system asked me for the CD #2, I changed the CD and the message was "Wrong CD"
Answer:
Probably you did not wait until the CD-ROM drive had a chance to recognize the Advanced English CD-ROM #2. See if your collections play sound correctly. If so, you do not need to worry about CD-ROMs integrity

Advanced English 2002 Upgrade is the option for users of the previous versions of the collection (#293)
(Tomasz.Olszewski, Poland, Wednesday, October 02, 2002 1:36 PM)
Question:
What is the difference between Advanced English 2002 and Advanced English 2002 Upgrade available from SuperMemo Store?
Answer:
 Advanced English 2002 is for users who do not own any previous releases of the collection, Advanced English 2002 Upgrade is the purchasing option for users who have bought the collection in the past

Advanced English CD-ROM #2 is not necessary for Advanced English to work fine (#304)
(Magdalena R., Poland, Friday, October 04, 2002 11:37 AM)
Question:
Do I have to insert the Advanced English CD-ROM #2 in order for Advanced English to be functional? I am using in at home and at work and carrying the CD-ROM between the places is troublesome.
Answer:
Advanced English CD-ROM #2 contains the audio material for Advanced English comprising 27,000 recordings. If you do not insert the CD-ROM #2 into your CD-ROM drive, you will be able to learn with the collection, however, you will be crippled of the audio pronunciation

Phonetic transcription can be seen with Alt+Y (#9956)
(Jiri Pik, Germany, 05.06.2002)
Question:
Phonetic transcription shown when moving the mouse does not work in SuperMemo 2002
Answer:
On mouse move transcription works with plain text components; however, it does not apply to HTML components. You can still transcribe these with a keyboard shortcut Alt+Y

Gaps in sound recordings of Advanced English 1997 (#25068)
(Arne Hansen, Denmark, 10-12-2003)
Question:
The sound track in Advanced English 2002 for Element: 65743 is "widower" but it should be "widow" because it a women that we are talking about
Answer:
Advanced English downloadable from the Internet still uses the collection of sounds from Advanced English 97 CD-ROM. This collection could not be complete for various reasons (only 27,000 recordings). Advanced English 2002 often uses sound illustrations that are similar or related, but do not match the item literally. New recordings, matching Advanced English 2000, are currently only available as a collection of four CD-ROMs recently released in Poland (soon to be available worldwide)

IPA font in Advanced English (#25421)
(Paul Gephart, Thursday, April 22, 2004 2:26 AM)
Question:
When I move the mouse pointer over the word, they turn into a non-recognizable foreign language. I assume it is supposed to be Phonetic English
Answer:
Yes. SuperMemo should have installed SuperMemo_IPA.ttf font for you. This should make phonetic transcription display as IPA. If you are sure, your display is not IPA, check the following:

  • if you have SuperMemo IPA font installed (Start : Settings : Control Panel : Fonts)
  • if you have the phonetic registry installed (in SuperMemo: Search : Other registries : Pronunciation by word)
  • if you have English phonetic transcription selected (in SuperMemo: Tools : Options : Language : Phonetic transcription)

Missing filespace slot in Advanced English (#26059)
(simon jacques, Jun 08, 2004, 20:41:21)
Question:
I get many errors like these in Advanced English:
ERROR #1 Missing filespace slot #1
at: G:\elements\1.wav
Sound #1: "joke"
Answer:
SuperMemo cannot access CD-ROM sound files. Make sure CD-ROM #2 is accessible in drive G:\ (or change the Secondary Storage setting in Options to point to another drive)

Upgrading Advanced English 97 to Advanced English 2002 (#25523)
(Simon Jacques, Fri, 23 Apr 2004 14:00:39 +0100)
Question:
I want to buy Advanced English 2002. I already have SuperMemo 2002 and Advanced English 97 on CD-ROM. Can I buy just Advanced English 2002 text-only and use the AE '97 CD for the sound?
Answer:
Yes. All you need to do is to point Advanced English 2002 Secondary Storage to your Advanced English 97 CD-ROM (Disk 2). However, you may also want to preserve your learning process, which is a bit trickier. You will need to use File : Tools : Export : Learning process on SuperMemo menu in your AE 97 collection. Then you will need to import the file thus generated with File : Tools : Import : Learning process. You will lose all manual changes introduced to Advanced English 97, however, you will receive a text file with a report on text differences between both versions. By going through the report file, you can reintroduce manual changes to Advanced English 2002 one by one

Advanced English is 10MB without sound and around 1 GB with sound and extras (#11750)
(Lheureux, Louis, Canada, Tuesday, July 09, 2002 9:44 AM)
Question:
Why is Advanced English on 2 CD-ROMs if it is only 10 MB?
Answer:
Advanced English 2002 available from SuperMemo Library is a 10 MB file that includes compressed collection without sounds. Advanced English 97 CD-ROM includes a sound-only CD-ROM which contains 650MBs of sound. You can reuse Advanced English 97 CD-ROM #2 with Advanced English 2002 to animate it with sounds

Using phonetic transcription outside Advanced English (#12094)
(Huang Fei, New Zealand, Sunday, July 28, 2002 1:45 PM)
Question:
I have Advanced English. To display International Phonetic Alphabet in SuperMemo 2002, I have to install a special font. Please tell me how
Answer:
It is enough you copy your phonetic transcription folder (\phonetic) from Advanced English folder to your SuperMemo 2002 folder. This folder includes the registry and the font. Then you need to choose Tools : Options : Language : Phonetic transcription : English in your SuperMemo 2002 collection

Advanced English is narrated by an American (#12098)
(Carlos Augusto, Brazil, Saturday, July 27, 2002 7:15 PM)
Question:
Does Advanced English 97 use American or British English?
Answer:
Both American and British English are covered. However, the speaker who recorded the sound files is a female native American with a degree in literature

Adding sound to Advanced English 2002 (#12094)
(Huang Fei, New Zealand, Sunday, July 28, 2002 1:45 PM)
Question:
I upgraded Advanced English 97 to Advanced English 2002. However, the download doesn't include the audio files
Answer:
Advanced English 2002 upgrade does not include new sound files. Use Tools : Options : Data access : Secondary Storage to point to CD #2 of Advanced English 97 (e.g. type D:\ if the CD-ROM is placed in drive D:)

The order of items in Advanced English in not accidental (#303)
(Magdalena R., Poland, Friday, October 04, 2002 11:37 AM)
Question:
Have any principles been applied to the order of elements in Advanced English or are elements thrown at a user in a completely random manner?
Answer:
In SuperMemo, the order of learning new elements is determined by the pending queue (i.e. queue of elements that are awaiting memorization). Basically, the queue can be sorted for:
(1) ordinals (with lower ordinals first),
(2) the position of individual elements in the knowledge tree (in the contents window).
In developing Advanced English, a special attention has been devoted to the order of elements, which would ensure the maximum speed of learning in mastering the learning material, and gives the learner a chance to improve his understanding of SuperMemo and his own memory before he is thrown in at the deep end

Some data may be lost during the upgrade to the newest Advanced English (#22)
(Advanced English user, Monday, November 04, 2002 12:56 AM)
Question:
Will I lose any data if I upgrade from Advanced English 97 to Advanced English 2002?
Answer:
Yes, you will. Advanced English 2002 has been extensively reviewed with a view to updating the collection with language constructs, vocabulary and phrases that are used in the contemporary English. As a result, it removes outdated lexicographic material. Furthermore, if you have added your own English material to the collection, you will not be able to continue your learning with it unless you transfer those elements to the newest Advanced English. If you have also been using translations, some of them may be lost due to the fact that certain elements have been reformulated to maximize recall

Merging many collections with Advanced English (#20413)
("Marcin Rybacki", Sat Feb 7, 2004 1:46 pm)
Question:
I would like to compile all collections concerning languages into one and all collections concerning other topics into another one. Will I be able to avail of sounds which are normally located on the Advanced English CD?
Answer:
There is only one limitation: you cannot use more than one CD-ROM per collection.
In your case:

  1. backup all your learning material
  2. place your core Advanced English collection in the target folder (e.g. c:\sm2004\systems)
  3. open the first unimported language collection
  4. use File : Merge collection to transfer this material to Advanced English
  5. if you still have some collections not imported, go to 3

Advanced English was chosen here as the import target due to its huge size. That will save you time in merging collections. This will also make it possible to retain element numbers that can be used to easily update your Advanced English when the new releases become available


FAQ: SuperMemo Archive 2000-2002

FAQ: Archive 2000-2002
This list has been collected: Nov 1, 2000 - Apr 13, 2002

The optimum number of repetitions will depend on numerous factors (#7991)
(BruceTrek, Sunday, March 10, 2002 7:20 AM)
Question:
Is there any research or general knowledge about the ideal number of repetitions to use when you learn something new?
Answer:
There is no ideal number of repetitions. Depending on the student and the complexity of knowledge, the optimum number of repetitions may vary from a few to dozens in lifetime. For ill-structured knowledge, achieving retention of 90% may be practically impossible. The best research tool here is SuperMemo. Its algorithm will attempt to predict how a single piece of knowledge in your collection will fare. You can peek at "Future repetitions" field to see how many repetitions are statistically expected within the next 30 years for the selected level of knowledge retention for that particular piece of knowledge

Difference between "view source" and "detach template" (#2742)
(Christian R, Germany, Sunday, December 17, 2000 1:43 PM)
Question:
I cannot see a sense of Template : View source. If I want to go back to the source, I can Detach template. Viewing the source is confusing
Answer:
View Source is useful if you want to quickly peek at the source template. You can do it with Ctrl+Shift+U. The same key will return the applied template look. Detaching and reapplying the template in such circumstances would require accessing the menu, finding the detached template in the template registry (without actually being informed which template had been detached), and reapplying the template

Use Ctrl+R to skip pending elements that are of less priority (#8313)
(marcos, Tuesday, April 02, 2002 3:12 PM)
Question:
How can I shift less important pending elements to the end of the pending queue while learning with Advanced English?
Answer:
When you see the element, press Ctrl+R. If you would like to put the element in the middle of the queue, type in the percentage (e.g. 50%). If you are not at the New Material stage, use Ctrl+F2 to resume new material repetitions

Use Esc to clear the template source view (#1677)
(Christian R, Germany, Sunday, December 17, 2000 1:43 PM)
Question:
There is no indicator if you are viewing the source template or the applied template. How can I switch back from the source to to the applied template?
Answer:
Use Esc to clear the template source view. If you are not sure if you are viewing the source or the applied template, press Esc. That should restore the applied template (if any)

Why not download SuperMemo 2000 (#8620)
(Miguel Angel Sánchez, Mexico, Tuesday, April 09, 2002 7:13 AM)
Question:
Your reasons for not providing SuperMemo 2000 download are the dumpest reason I ever found
Answer:
You can always download SuperMemo 99 to test the efficiency of SuperMemo. The number of hack reports we are getting has dropped dramatically since we limited access to SuperMemo 2000. Earlier it was difficult to keep track of all reported hack cases

Question:
What should I use Duplicate for? What for do I need the same item in the same collection?
Answer:
You can duplicate an item, if you want to add to the another item which is only slightly different. This way you can spare some time by reediting the old item instead of typing in the new one

(Vaclav Losik, Czech Republic, Apr 10, 1997)
Question:
How to complete missing translations reported by File : Repair collection?
Answer:
If at recovery you get messages like Missing translation for Member #186: "virtually every" you can fill out the translation using the following procedure:

  1. choose Search : Text registry
  2. paste in the editing field the text whose translation is missing (e.g. virtually every)
  3. type in the translation in the translation pane of the registry window (bottom-right)

(Jan Gromadzki, Poland, Jul 11, 1998)
Question:
I bought Advanced English 97 and I cannot pass through the introduction. There are arrows pointing to icons that ... do not exist. What is wrong?
Answer:
You need a sound board installed in your computer (this is listed among minimum requirements!). Some script commands do not work without a sound board and the introduction part is largely run by scripts. If you want to use Advanced English without sound do the following:

  • press Ctrl+O (to run Options dialog box)
  • choose Data access tab
  • check Full Access radio button (this will turn the access mode to Full as opposed to Read-Only that is set at the beginning of the introduction)
  • uncheck Hide Navigation (to show the navigation toolbar that is otherwise turned on by scripts after introducing the user to other complexities of the program)
  • delete the path showed in Secondary storage (this path shows where to look for sound files used by Advanced English; without a sound board those files are useless and deleting the path will speed up the program)

(Clarito Dimayuga, MD, USA, Sep 14, 1998)
Question:
 Question:
Question:
 SuperMemo comes with very impressive statistical graphs and charts but how do I use them to my advantage, how are these charts going to help me learn faster?
Answer:
The graphs available from Tools : Statistics : Analysis are not exactly supposed to speed up learning. Their main function is to assist you in understanding the algorithm used in SuperMemo and in monitoring the learning process. Obviously, once you understand the graphs, your enhanced knowledge of your memory and the learning process may appear helpful in better organizing your work. Read more: Analysis of the learning process

(Clive Hayden, Poland, Oct 19, 1998)
Question:
How can I best upgrade my SuperMemo 7 files to SuperMemo 2000?
Answer:
Use File : Tools : Import : From SuperMemo 7. Note, that you need to have the file sm7imprt.exe in your bin subfolder. This file can be downloaded free from the download page

(Neville Bailey, Australia, Dec 5, 1998)
Question:
I have previously used SuperMemo 6 and SuperMemo 7. There was always a printable manual file with the software. I cannot find anything like that on your website. Is there a manual to download or order?
Answer:
No. As of 1997, all our documentation is provided as hypertext that does not have a structure that can be printed and processed linearly (i.e. page by page). We are proud to adopt the environmentally-friendly electronic publishing

If you insist on having the help in a printed form, the best thing you might do is to go to www.supermemo.com/help/guide.htm, print that page, follow hyperlinks to material that you do not understand and print it as you go. Alternatively you might Teleport the whole www.supermemo.com/help folder and print all pages one by one; however, you may find it hard to select the appropriate reading sequence

Question:
How can I empty a ClipBox? In SuperMemo 8, it would empty by a click
Answer:
In new SuperMemo, you have to Ctrl+click. This is a protection from losing the contents of the ClipBox too easily

(Natalie Burgess, USA, Nov 10, 1998)
Question:
I am using the Japanese mix but I'm not getting Japanese characters, but English characters. I copied the fonts called hiragana.ttf and katakana.ttf from the sm98\systems\... folders to my d:\Windows\Fonts folder. Is there something else I have to do to have the fonts available in Windows 95?
Answer:
Yes. Instead of copying fonts you should install them. In Windows 95, use Control Panel : Fonts : Install New Font. In the Folders panel, choose the location where your TTF font can be found (sm99\systems\font\hiragana.tff).
Please note that SuperMemo 99 automatically installs true type fonts located in the FONT folder so that the installation is actually not needed (the only exception is Classical Greek from SuperMemo Library which uses non-true-type font)

(Manfred Kremer, Germany, Nov 11, 1998)
Question:
Recently, I have been using SuperMemo to learn economics. This would actually require the inclusion of a lot of mathematical expressions, including integrals, fractions, etc. So far I did not find a good way to do this. It would be nice to have an interface to display either TeX, or postscript, or to have a formula editor included in SuperMemo. But maybe I have overlooked something, and there is a possibility already provided?
Answer:
In SuperMemo 2000, you can either (1) use the HTML component and use all HTML extensions that might be useful in displaying expressions or (2) use the OLE component to display expressions edited in your favorite equation editor as long as it supports OLE

(Michael Baerlin, USA, Nov 20, 1998)
Question:
Is there a flashcard mode in which I could randomly display questions and answers for a short period of time (user defined)? I like the idea of sitting there and reviewing the answer without having to touch the keyboard or mouse
Answer:
No. We believe that random reviews are not recommended in the learning process. They interfere with computations made by SuperMemo in reference to optimum repetition spacing. Interference is unavoidable but should be minimized. SuperMemo 2000 still includes Tools : Random review (shortcut F11) and a number of other random review options; however, these are intended only for (1) collection authors (to review the material in preparation) and/or (2) for learning new material at random

(Eric Thompson, USA, Dec 15, 1998)
Question:
One important function I cannot find is regarding the contents window. I cannot seem to move elements around for flexible organization. Ideally, I would like to move elements around like I do in Windows Explorer
Answer:
You can drag and drop individual elements with the mouse. However, for more flexibility you will need to enter the professional level by choosing File : Level : Professional. At the top of the contents window you will be able to choose from several dragging modes as well as to open another contents window to drag between windows.
For example, to create a new folder at the place of the current selection, simply press Ins. To drag some elements into this folder choose Add as last child dragging mode (combo box at the top of the contents window), grab individual elements with the mouse, drag them and drop them onto the newly created folder

(Petr Bajer, Czech Republic, Dec 30, 1998)
Question:
I have a couple of separate collections. Does SuperMemo keep a global learning optimization data or data stored in individual collections are independent?
Answer:
All collections keep independent optimization data (\info\sm8opt.dat file). That is why we recommend you keep all your knowledge in one collection. You can freely swap sm8opt.dat files (for example, to speed up the convergence of the learning algorithm in a new collection)

(Michael Duggan, Canada, Jan 27, 1999)
Question:
I am having difficulty doing my final drill in one of my files. I am down to the last few elements and every time I hit the Next repetition button the same element remains on the screen and the counter doesn't show any movement. Any suggestions?
Answer:
It is hard to diagnose what has actually happened but if you use Learn : Cut drills the problem will definitely go away

(Tom Scott, Feb 12, 1999)
Question:
I just came across your website. Is it difficult to prepare material for learning with SuperMemo?
Answer:
No. The most popular approach is to create pairs of questions and answers. You just press Ctrl+A (to add a new element) and type in the question and the answer. That's all. Then you just click Learn to start learning.
You can build huge collections and learn effectively for years using only text, questions and answers. Adding images, sounds, video, etc. requires some more hard disk space and 2-3 more steps (such as: add an image component and import an image file, etc.)

See: Learn SuperMemo in 30 days

(A.M.V.C.Raju, Malaysia, Feb 15, 1999)
Question:
For some time now, when I start SuperMemo I get a message DZIP32.DLL file is not found. Program seems to work fine. Is it dangerous? I worry about losing my 700 items
Answer:
This message is not generated by SuperMemo. Neither does SuperMemo use such a DLL. Perhaps you should ask an expert to have a look at your computer.
(NB: the user has later confirmed that the same message was also cropping up when MS Word started)

(Marek Futrega, Poland, Feb 25, 1999)
Question:
I upgraded from SuperMemo 8 to SuperMemo 2000 and noticed that Ctrl+H does not work any more. When I select a word on the list and choose Browse, I always get No elements found
Answer:
This is a limitation of the upgrade procedure. Due to a change in the format of the lexicon registry, the registry is deleted during the upgrade. It is enough to choose File : Repair collection and check Rebuild lexicon to create new lexicon registry and restore the previous functionality

(Kazimierz Bigus, Poland, Mar 1, 1999)
Question:
How can I quickly change the color of newly added items?
Answer:
Add a new item (Ctrl+A), choose Color on the element menu, select the color and choose Save as default (Ctrl+Alt+S). This will save the item with the changed color as the default template that will be used in adding new items

(Kazimierz Bigus, Poland, Mar 1, 1999)
Question:
How can I transfer only a subset of elements from one collection to another?
Answer:
You have to start from placing your subset of elements in the browser (read about subsets to select from a number of options). You could also start from a browser selection and choose Child : Selected in the browser to open a child browser with selected items. Once you have your elements in the browser, choose Tools : Transfer on the browser menu

(Frantisek Kvapil, Czech Republic, Apr 23, 1999)
Question:
I wanted to download the whole website in the CHM format by the link points to SuperMemo Help.
Answer:
Both SuperMemo Help and the rest of the website are integrated in the same file

(Tomasz Szkopek, Poland, Sep 13, 1999)
Question:
I cannot use Polish diacritical characters, e.g. with Alt+c or Alt+s?
Answer:
Please use Tools : Options : SuperMemo : Trim shortcuts. This will turn off couple of offending shortcuts

(Steven MacAulay, Austria, Nov 22, 1999)
Question:
All my pages in SuperMemo are grey, is there any way I can change the colour?
Answer:
Yes, please choose Color on the element pop-up menu. If you want to make this change permanent for all newly added items, press Ctrl+Alt+s (for Template : Save as default)

(John Daniel, USA, Dec 22, 1999)
Question:
Is it necessary to install Internet Explorer to use your help files off-line?
Answer:
No. You can also use plain HTML help files. For this purpose you would need to do two things:

  1. copy the contents of www.supermemo.com/help/ folder to <SuperMemo folder>/help/help folder on your hard disk (for example, if your SuperMemo is located at d:\sm2000\sm2000.exe, you would copy www.supermemo.com/help/index.htm to d:\sm2000\help\help\index.htm, etc.)
  2. select Tools : Options : SuperMemo : Help system : HTML Help

You could also copy other folders from www.supermemo.com and place them in <SuperMemo folder>/help/ to retain access to some auxiliary articles such as Six steps to excellent memory, Reading the Internet, etc.

(Alex Lee, Canada, March 20, 2000)
Question:
How do I import gif or jpg files to SuperMemo?
Answer:
This is the simplest procedure:

  1. Choose File : Level : Middle (or Professional)
  2. Choose Edit : Add components : Image (alternatively use the compose toolbar)
  3. Right click the newly added image components, select Import file, and select the file you want to import

Press Ctrl+Alt+s if you would like to import more images using the same template

(L.G., Brazil, Oct 6, 2000)
Question:
Why can I not transfer my SuperMemo 2000 collections back to SuperMemo 8? Do you try to follow Microsoft practices of forcing people into upgrades?
Answer:
Not at all! The reasons are purely technical. New features are often not supported by old versions and cannot be transferred. For similar reasons you cannot transfer Windows applications back to DOS. Partial transfer can be made by exporting collections as text. However, even this format has undergone change and many features will be lost on the way. For example, SuperMemo 8 does not support long texts, rich texts, HTML, OLE, 32-bit options and many more. Most of all, one-way upgrades are optional! The only time in the history of SuperMemo where users were indeed forced to take action was in January 2000 when the y2k bug kicked in (not actually affecting the learning process). Naturally, those y2k-compliant upgrades were provided free

(Karl Hillis, Canada, Feb 25, 1999)
Question:
I want to use SuperMemo to learn Spanish. I am having problems however when it comes to the acute accents over the vowels. Could you please give me a solution? I have the standard 101 key North American Keyboard
Answer:
You might try installing Spanish keyboard in Windows. Otherwise, you should remember to turn NumLock on when typing Alt+0 sequences (e.g. Alt+0241 for ñ)

(Cosmo, Germany, Feb 14, 1999)
 Question:
Is it possible to learn vocabulary in both directions with one element? When I specify the questionbox as How are you? and the answerbox as Cómo estás? can SuperMemo also change the directions of questioning so that I can train my vocabulary in both directions? Or do I have to define two elements?
Answer:
Each question-answer pair is handled independently in the learning process. For this reason, you must define two elements. Usually the active element is repeated more often than the passive element but there are no fixed rules here (leave it up to SuperMemo). Having it all in one element with a single pattern of repetitions would not serve the purpose of learning. You can quickly produce a reverse duplicate by using Duplicate (Ctrl+Alt+D) and Swap components (Ctrl+Shift+S). The former will duplicate the element and the latter will swap the question with the answer (if you have many elements in the pending queue, you will probably want to follow it with Remember or Ctrl+M)

(Daniel, Poland, Mar 3, 2001)
Question:
Is it possible to have SuperMemo randomly shuffle multiple-choice items at repetitions?
Answer:
No. The only shuffling takes place when you import multiple-choice items with File : Tools : Import : Q&A Text. The sequence of components remains the same later on

(Mark, Poland, Mar 16, 2001)
Quetion:
How can I use Polish fonts and keyboard in SuperMemo?
Answer:
To use Polish fonts in SuperMemo:

  1. Install multi-language support in Windows
  2. Install support for Central and Eastern Europe
  3. Install appropriate keyboard (Polish in your case)
  4. For convenience, in your default template use plain-text components and link the appropriate font, for example, Times New Roman with Script set to Central European

Do not forget to set Script to Central European. If you cannot do that, you have to install support for Central and Eastern Europe. If you can already use Polish fonts, for example, in MS Word, you don't need to execute steps 1-3.
Important! If you experience problems with Polish keyboard, turn on Trim Shortcuts in Options

Question:
I added a note with Alt+N, deleted the rich text component and ... now I get an empty element each time I use Alt+N
Answer:
You must have modified the Reading template globally (i.e. deleted the component from the element as well as from the template). To restore the original Reading template you can: (1) delete Reading in template registry and (2) use Tools : Add predefined templates on the template registry menu

Complex terminology is not required to use SuperMemo (#5516)
(Krzysztof K., USA, Tue, Jun 05, 2001 5:36)
Question:
On one hand you claim that learning terminology of SuperMemo is optional, and on the other you state that the lack of knowledge of terminology generates 60-70% of your support e-mail
Answer:
Both are true. You can successfully use SuperMemo by only understanding buttons Learn and Add new. However, many customers impatiently delve into functionality that is of secondary importance in learning (e.g. structure of the knowledge tree). Because tree terminology such as child, parent, sibling is not obvious to non-technical users, these users quickly get lost in the documentation and prefer to write to support

You can copy pictures via the clipboard (#6888)
(Ronn, Wednesday, September 12, 2001 9:08 AM)
Question:
How can I transfer a picture from MS Publisher or MS Paint to the answer field?
Answer:
Copy your picture to the clipboard and use Ctrl+V or Shift+Ins. This will add a new image component. Then select Answer on the image component pop-up menu (right-click).

Important: if this fails, press Esc a few times to make sure you are not trying to paste into the text field. Pasting images into text components will be ignored

SuperMemo CE upgrades are free (#6899)
(David Kelly, Sat, Sep 15, 2001 0:25)
Question:
This past summer I registered SuperMemo for my Pocket PC. (Casio EM500). Do I qualify for your new upgrade?
Answer:
Yes. Until now, all SuperMemo CE upgrades have been free. To receive the program via e-mail, write to SuperMemoMail and provide the address to which the program should be sent to

Library collections do not include SuperMemo (#6931)
(Fernando Inigo (through Yahoo! Store Order System), Tue, Sep 18, 2001 23:17)
Question:
Does English Grammar Mix come with SuperMemo or do I have to order the program separately?
Answer:
 All material from SuperMemo Library comes without SuperMemo. This means that you need to obtain the program before you order from the library. Some collections are available as text and can be used with SuperMemo freeware; however, many will require SuperMemo 98 for Windows or later. For more details, see the compatibility table which is displayed on each collection's page. It tells you which versions of SuperMemo a given collection can be used with

SuperMemo locked (#8756)
(allison z, USA Educational, Wed, Apr 17, 2002 2:43)
Question:
I bought SuperMemo 2-3 months ago online, and was told I was registered. I have a pink bar at the top of my screen which told me to register, and I sent two e-mails without response. Now I am at 100% credit and the program keeps closing
Answer:
1. If you have sent mail to register(AT)supermemo(.)com, you should have received the response via the autoresponder. If this has not happened, you might have had wrong return address specified in your e-mail software. Alternatively, your message or the response might have been lost (e.g. if one of the servers on the way was down for a longer time). 2. If you are coming back to use SuperMemo after a break, it is enough you open some of your learning material to have it unlock automatically (i.e. to cancel the credit count). Independently, your message will be processed within a business day and you will receive all data necessary to unlock the program. Further reading: www.supermemo.com/help/register.htm

The best material for learning English with SuperMemo is Advanced English (#6846)
(Eszlari Gabor, Hungary, Mon, Sep 10, 2001 20:17)
Question:
Could you recommend the best ready-made English learning material for use with SuperMemo?
Answer:
Advanced English 97 CD-ROMs would be the best choice. However, you can also order smaller derivatives of this material from SuperMemo Library. This material is vocabulary oriented but also includes grammar, proverbs, idioms, etc. See: Advanced English 97

(Jiri P., Czech Republic, Sep 23, 2000)
Question:
Is there any difference between the answer No and Cancel to Do you want to use on-line help?
Answer:
No, there is no difference. However, analysis of user behaviors indicates that users feel more comfortable at pressing Cancel when they do not understand the question. Additionally, on frequently-appearing confirmations, users often prefer a quick Esc over a less effortless N. This last point is particularly relevant in on-line help confirmation

(George Wu, USA, Dec 2, 2000)
Question:
In occlusion tests, the occlusion rectangle tends to drop behind the picture and it is difficult to work with components in the occlusion test. How can I best resolve it?
Answer:
It is most convenient to use Ctrl+T to move from component to component and set components in the editing mode. Once the rectangle is selected and set in the editing mode, you can switch between presentation, editing and dragging modes with Alt+click

Scheduling tools do not affect pending items (#7024)
(Patrik Nilsson, Tuesday, September 25, 2001 12:49 PM)
Question:
It is possible to set all pending elements in a collection to be rescheduled with one repetition per day for a month, if there is 30 items in the list
Answer:
All scheduling tools in SuperMemo affect only memorized items. As for pending items, it is up to you when you decide to learn new material. There are no tools to apportion pending material. A typical approach is to allocate a specific time to learning and learn as much material as time allows

File : Repair collection is not available at the beginner level (#7389)
(JACK COLLINS, Tue, Jul 24, 2001 23:18)
Question:
I don't know how to run the File : Repair collection
Answer:

  1. choose File : Level : Professional
  2. choose File : Repair collection
  3. if you suspect serious data damage, check all entries among recovery options

You can add pictures by using the clipboard (#7395)
(Wieslaw Sawicki, Poland, Thursday, September 27, 2001 10:13 AM)
Question:
I would like to learn chess and display large pictures in proprietary format not supported by SuperMemo. How can I do it?
Answer:
You can copy your pictures to SuperMemo via the clipboard to convert them to JPG or GIF formats. For example:

  1. select the picture
  2. press Ctrl+C (copy to the clipboard)
  3. switch to SuperMemo
  4. go to the element that is to display the picture (e.g. with Ctrl+G)
  5. press Ctrl+V (paste from the clipboard)

The picture will be pasted to the current image component or will create a new image component. If the picture is very large, try using Stretch on the image component menu

SuperMemo still supports plug-in learning algorithms (#7003)
(Eli Liang, Russian Federation, Friday, September 21, 2001 7:42 PM)
Question:
Is the plug-in interface specification discussed at http://www.supermemo.com/english/algplug.htm for SuperMemo 8 is still supported in SuperMemo 2000?
Answer:
Yes

Import options in SuperMemo are limited (#7310)
(Jake Vargo, Fri, Oct 12, 2001 9:50 PM)
Question:
Is it possible to import a Palm database or Excel file into SuperMemo 2000?
Answer:

  1. you can import question and answer material from Palm SuperMemo to SuperMemo 2000 (for details see Palm FAQ)
  2. you can import question and answer material from Excel as long as you are able to export it in the standard SuperMemo format (i.e. with "Q: " and "A: " prefixes). For details see: File menu
  3. you can open whole Excel files in SuperMemo in the OLE component or in the HTML component

Dutch SuperMemo (#8155)
(Wil Hoefnagels, Netherlands, Thu, Nov 22, 2001 7:31 AM)
Question:
I ordered SuperMemo on line. I have discovered that I could also have a version in Dutch. Is it possible to change to the Dutch version?
Answer:
Unfortunately, SuperMemo for Windows is only available with an English interface. However, you can change the interface on the beginner and basic levels with the help of interface files (incl. Dutch interface)

Unlocking SuperMemo (#7476)
(Jeremy T. H., Sun, Oct 28, 2001 17:22)
Question:
I am very interested in SuperMemo. Please send me a password, etc.
Answer:
Passwords are used to unlock commercial versions of SuperMemo. As such they are only sent to customers who order one of these products. However, there are non-commercial options to explore: (1) You can use SuperMemo freeware, (2) You can download a trial version, (3) You can write to library@super-memory.com to obtain SuperMemo in return for a declaration to contribute your own material to SuperMemo Library (e.g. questions and answers related to your hobby, etc.)

SuperMemo does not suport UNC pathnames (#7559)
(Joe Cotellese, Fri, Nov 02, 2001 3:24)
Question:
SuperMemo has just displayed the following error: "Access denied! System locked: \\gypsy\my documents\sm2000\systems\Knowledge Tree.Kno"
Answer:
Unfortunately UNC pathnames are not supported in SuperMemo 2000. Mapping this network path to a drive letter is the only workaround

Compiling lexicon is a time-consuming operation (#7481)
(Robert W., Friday, October 26, 2001 11:01 AM )
Question:
When I use search, I do not see recently introduced words. Why?
Answer:
Probably you have Tools : Options : Data access : Compile lexicon on the fly turned off. You need to run File : Repair collection with Rebuild lexicon turned on. You an also return to compiling the lexicon on the fly; however, this slows down SuperMemo

Use Remember or Ctrl+M to make sure SuperMemo refreshes your memory regularly (#8746)
(Leitnick, David, Monday, December 17, 2001 10:56 PM)
Question:
At the bottom of the screen, what does the Remember button (Ctrl+M) do?
Answer:
Remember is used to introduce an element to the learning process. It is the same as introducing it with Learn. However, Remember is immediate and you do not need to wait for the element's turn in the pending queue. Once you choose Remember, SuperMemo will regularly refresh your knowledge of the selected element

Failure at posting order form may result in an order not being placed (#7564)
(Veronika Feder, Belgium, Thu, Nov 01, 2001 10:16 AM )
Question:
I have ordered SuperMemo 2000 but I haven't received any confirmation
Answer:
There are two most likely scenarios: 1. Your computer or the network failed to correctly post data from the order form. In such a case the order will not be registered and you will receive no response, or 2. You have typed a wrong e-mail address on the form. In such a case, all responses will be sent to the wrong address You should receive an immediate confirmation of your order via e-mail (unless you unchecked the confirmation checkbox). If this was not the case, please write to SuperMemoMail

With Alt+A you may never know there is a knowledge hierarchy behind (#318)
(Janusz, USA Educational, Thursday, November 01, 2001 8:14 PM)
Question:
It is not true that you don't need branch operation for simple learning. SuperMemo will barf if you exceed some 1000 elements in a single branch, so you do have to organize your knowledge
Answer:
If you use the beginner level's Add new (Alt+A), SuperMemo will organize the knowledge tree folders to meet the maximum children limit per branch. Once the branch overflows, it will automatically be reorganized. At the beginner level, you never need to worry about the existence of the knowledge tree

SuperMemo 7 Freeware might be your best choice if you want to use floppy disks (#7552)
(Sonya Buckman, Wednesday, October 31, 2001 4:21 AM)
Question:
Can I use SuperMemo on many computers that change all the time? Is there a way to run the programme from a disk?
Answer:
You can use SuperMemo on many computers. You will need at least two diskettes. One to store the program (1.3MB as ZIP), and another one to store your learning material. In those circumstances, you might opt for SuperMemo 98 which generates slightly smaller collections than SuperMemo 2000. Perhaps you could even swing back to SuperMemo 7 freeware which is able to store the entire Advanced English on a single disk (Advanced English 97 takes 40 MB excluding 650 MB of sound). If your computers have access to e-mail or the web, you could also transfer files by sending them over the Internet

Default background image is the name of the image registry member (not a file) (#6271)
(Safecity Training Academy, Australia, Sat, Dec 29, 2001 5:59 PM)
Question:
When you try to change the background image by pointing to a certain image file (e.g. d:\supermemo\bak.bmp), SuperMemo ignores the command and installs a completely different image!
Answer:
If you want a BMP file used as a background image, you need to import it to the image registry or choose Background : Import file on the element menu. If you want to use Default background image in Options, you need to provide an image name from the image registry. If you type a filename instead, the nearest match from the image registry will be used (e.g. "Cockroach" or "Cook" instead of "c:\ocr\picture.bmp")

Build Lexicon can be safely skipped in Verification and Recovery (#6241)
(Patrik Nilsson, Wednesday, January 02, 2002 2:42 PM)
Question:
How long is the normal time for repairing a collection? When I had a few hundred elements fewer the same repair took about ten minutes. The last hundred made this process take much longer. Thirty-five minutes for registering components
Answer:
A large 100,000 element collection may take an hour to verify (or longer on slower computers). The most likely reason for the slow down is adding long articles when Build Lexicon is checked. As Build Lexicon is the least vital and the longest taking verification step, you can safely skip it. If you do not build lexicon on the fly (see: Options), the lexicon will only miss words used in newly added material. This will not affect the binary search

Error message in SuperMemo (#3875)
(jam, USA, USA Educational, Sat, Apr 28, 2001 18:08)
Question:
SuperMemo has just displayed the following error:
Cannot get the current Contents selection.
Access violation at address 00521020
Answer:
SuperMemo has just tripped over on a basic item selection in the Contents window. This indicates that the program or your Windows have become unstable. SuperMemo's address space has been corrupted by another application, hardware glitch, software bug, etc. If you restart SuperMemo and Windows, the problem should not reoccur

Splitting final drill into smaller portions may provide short-lasting benefit (#8515)
(Will Bunker, Monday, December 03, 2001 11:22 PM)
Question:
I was wondering if there is a reason that you drill all unremembered items concurrently. When you have a large list of new items that you are attempting to learn this makes it hard to learn new items. In the past I always chunked 7 to 9 items at a time as I drilled with flash cards. Then as I learned some of the items I would add new unknown items to my drill list
Answer:
Ideally, you should work on your mnemonic and concentration skills to make final drill redundant. Naturally, chunking the drill in smaller portions makes it possible to pass the drill much faster, but the retention over the following days will be lower. Some record breaking attempts were made where 2000 items were memorized with SuperMemo in a single day in small chunks. However, on the next day, the retention was less than 50%. Small chunks may reduce inter-item interference and as such may also result in less univocal memory engrams that will prove more volatile

You will receive assistance if you fail to download (#8497)
(David, USA, Tue, Dec 04, 2001 9:17)
Question:
I ordered SuperMemo on Friday, Nov. 30th. Problem is, my ISP was AT&T@Home cable, and they used Excite for their ISP service. Excite went bankrupt and ceased operations the same night I order SuperMemo. What shall I do now?
Answer:
You will immediately receive alternative download instructions. As long as you have access to the Internet, you will soon certainly enjoy faster learning with SuperMemo

Import from SuperMemo 7 uses text files as an intermediary (#6277)
(Safecity Training Academy, Australia, Sat, Dec 29, 2001 5:59 PM)
Question:
Importing files from SuperMemo 7 does not work. When we tried to import the files the program responded that it could not find a TXT file (this does not mean anything to us because SM7 files are .INF not .TXT)
Answer:
SuperMemo 2000 does not import SuperMemo 7 files directly. Instead, it makes use of SM7Imprt.exe application that converts SuperMemo 7 files to text. SuperMemo 2000 then imports contents of these files. To make sure this all works correctly check the following:

  1. You use the latest SM7.exe (e.g. freeware). Pre-1995 files could show compatibility problems
  2. You have downloaded up-to-date SM7Import.exe from the download section
  3. You have placed SM7Import.exe (unzipped) in the \Bin subfolder
  4. You use up-to-date SM2000.exe (one of early releases used asynchronous import that showed timing problems on very fast computers). Updates to Build 10.09 are free for registered users

Use the search box at supermemo.com to find solutions to problems (#6672)
(dieter.gauss, Germany, Friday, January 11, 2002 9:35 AM)
Question:
I just want to make a simple multiple choice Q&A. Not one word in your entire guide how to do it
Answer:
The easiest way to find solutions to problems that are not described in the mainstream guide, is to use the Find searchbox at supermemo.com home page. For example, type in multiple choice and click Find. You will find a pointer to the article that describes building advanced tests with SuperMemo, which shortly describes multiple choice tests

Maximize on the element window will cover the entire screen (#4413)
(Maarten, the Netherlands, Jan 19, 2002)
Question:
I always want to see Status Bar, when I maximize the element window my Status Bar at the bottom of the screen disappears
Answer:
Maximize on the element window is a Windows-wide function. As such, maximize will always cover the entire client area of the screen. Changing that behavior is counter-advised by Window compatibility logo requirements. Status bar could have been marked with StayOnTop attribute, but this would, in turn, make it cover the element window. The best solution is to select your preferred windows layout (without maximizing the element window), and save it as the default layout (e.g. with Ctrl+Shift+F5). This way, SuperMemo will always start with Windows arranged to your best liking

You can memorize, forget and dismiss elements in the browser (#6723)
(Patrik Nilsson, Wednesday, January 16, 2002 6:05 PM)
Question:
I'd like a shortcut for forgetting dismissed elements in the browser
Answer:
With Ctrl+R, Ctrl+M and Ctrl+D in the browser you should be able to accomplish all forget, memorize and dismiss combinations. Remember to synchronize the element window with the browser selection (synchronized selection is the default setting)

Learning "outside" SuperMemo is still beneficial (#6782)
(T.Sz., Jan 22, 2002)
Question:
When I'm reading books, talking to speakers of English, writing English e-mail, etc. am I not interfering with the learning process by precipitating repetitions of English words and thus reducing my learning efficiency?
Answer:
No. The interference with the SuperMemo algorithm is well compensated by the benefits of contact with live language

You may need an intermediary upgrade stage to upgrade very old collections (#6879)
(Mariusz Pniewski, ComputerLand, Poland, Thu, Jan 24, 2002 10:12)
Question:
Why can I not upgrade Video English from Genius 1.0 to SuperMemo 2000?
Answer:
This is a bug in upgrade procedures in SuperMemo. You can resolve this problem by first upgrading from Genius 1.0 to SuperMemo 99, and only then upgrading from SuperMemo 99 to SuperMemo 2000. If you do not have SuperMemo 99, you can use an unregistered version from the download section at supermemo.com.

Bug details: Both Video English and Genius 1.0 were developed in 1995. New versions of SuperMemo frequently update fixed record structures of its database tables. Separate upgrade units denoted by the year of release are used for the upgrade purpose. Each unit converts old records to new records by assigning NewRecord:=OldRecord and filling out the remaining NewRecord fields with appropriate default values. However, one of registry database table records has changed twice since 1995. As NewRecord uses the type registered with the current version, the older substitution became invalid as it attempted to use the newest record structure instead of the intermediary structure. The correct substitution would be: Record1998:=Record1995 and then Record2000:=Record1998. This way, SuperMemo 2000 lost its ability to upgrade from the oldest 16-bit collections created with Genius 1.0. This problem will be fixed in the future so that you could upgrade all collections back to Genius 1.0 (1995), import collections back to SuperMemo 6 (1991) and convert Q&A material (except the learning process) from all other version of SuperMemo

Problems with Component Order Editor (#3441)
(Nick Clarke, United Kingdom, Saturday, November 11, 2000 8:59 PM)
Question:
If I have an image and a shape component with the same Display At setting, and the image is on top, then if I use Ctrl+T repeatedly until the shape is selected and resize it, the shape appears on top during editing. But when I press Esc to leave editing mode and save the change, the shape remains on top, hiding the image
Answer:
When working with Component Order Editor keep two things in mind:

  1. Component order is not refreshed upon quitting the editor. To remedy this problem, use Back (<) and Forward (>) buttons to leave and return to the element. This problem will be fixed in future releases
  2. Component Order Editor affects only the source element data. In other words, you will not see the changes through a template (except for the components that are solely contributed by the source). A simple remedy to this problem is to Impose the template on source. In the future, component reshuffling will also affect the template whenever possible, and will impose the template automatically when the template cannot be changed consistently

Internationalization of SuperMemo for Windows is highly limited (#8645)
(Berthold Schwarz, Sat, Dec 15, 2001 11:26)
Question:
Is there a possibility to choose menu language using SuperMemo according to the nation a user is living in? Or is it always English?
Answer:
SuperMemo provides rudimentary internationalization only at the beginner level. For more see: Freeware international interfaces

You can prevent your components from entering the editing mode on click (#6933)
(Dustin Darcy, USA Educational, Friday, January 25, 2002 1:21 AM)
Question:
How about a lock mode? Sometimes I WANT to stay in PRESENTATION MODE. On occasion I let my cursor wander and I haphazardly click on an object changing it to EDIT MODE, creating all sorts of unneeded havoc
Answer:
You can turn this off with Tools : Options : Mouse : Edit texts : On click. You can also go further by setting Tools : Options : Data access : Access mode : Read only or Learn only

Debugging version may report harmless error (#7010)
(Martin S., Feb 04, 2002)
Question:
With new SuperMemo I often get messages such as: Burden has been corrected from 998.2616275 to 998.2616276
Answer:
You must have turned the debug mode on in Options. This is a harmless floating point operation rounding error. SuperMemo does not report floating point operation errors beyond a selected level of accuracy. However, the debugging version will report an error even if the number difference is less than a billionth of the reported number. Ignore these messages or turn the debug version off

Registries modify names of duplicated registry members (#7093)
(Fred.Clough, Tuesday, February 05, 2002 7:01 PM)
Question:
I created a few categories. When I go to the category registry, I have there lots of different name variations generated by the system. The names are ending with foreign characters
Answer:
If you create several categories with the same name, SuperMemo will modify each of these names slightly (e.g. by adding random characters to the name's end). This comes from the registry limitation which says that all members have to have different names. In other words, you cannot have two categories with the same name. Only comments and translation registries can keep duplicated items (e.g. two different texts can have the same translation)

My password does not work (#7670)
(mlorenz1000, Germany, Sat, Mar 02, 2002 9:45 AM)
Question:
I tried many times to unlock SuperMemo with the password, but it doesn't work. Are you sure about the password?
Answer:
Once you are sure you type the correct password with CapsLock off, there are three conceivable way in which it might still not work:

  1. You are trying to unlock a wrong version. For example, you downloaded SuperMemo 99 from the download section, and then purchases SuperMemo 2000. Your password will not work with SuperMemo 99 (see Help : About to see your version)
  2. You have downloaded a national version of SuperMemo 2000 (in your case a German version). Then you purchased SuperMemo 2000 from the English site. Your password will not work with the version downloaded from the German site (see Help : About to find out the origin of your copy)
  3. Your program file is corrupted, i.e. it has been downloaded with an error. In a very unlikely case, the program might seem to be functional but its part related to registration is corrupted

All above cases can easily be resolved by downloading the file again

Trust in a merchant is a frequent problem in e-commerce (#7699)
(Mia, Mon, Mar 04, 2002 18:22)
Question:
I did receive an e-mail conformation of a receipt of my order. It states that there would be a follow up that I am yet to receive. I am suspicious that this is not legit. I have never attempted to purchase anything other than books from Amazon.com over the computer
Answer:
The second e-mail in the order process is sent only after your order has been processed manually. As your order arrived on weekend, the follow up was not immediate. As for legitimacy, you can find reassurance by taking this into consideration:

  1. the product does exist (you can download a trial from supermemo.com)
  2. the merchant has nothing to gain by denying you the license and access codes
  3. the ordering process runs from Yahoo servers and cannot be channeled you into an illegitimate website

In addition, all reputable credit card companies offer quite solid protection from dishonest Internet merchants.

It would be a pity if similar misgivings were to deny anyone a chance to experience SuperMemo. Luckily, one can always download SuperMemo freeware or write to SuperMemo Library to can get SuperMemo in return for your learning material contributions, i.e. without ever having to use a credit card

You can execute final drill before outstanding repetitions (#12362)
(Claire Fitzgerald, Friday, August 09, 2002 7:11 AM)
Question:
I was entering new elements today and when I pressed Learn it went straight to Final Drill
Answer:
You might have chosen Learn : Selected stages : Final drill, or there were no outstanding items left scheduled for today. It is worth remembering that it is not recommended to execute the final drill before all outstanding repetitions are done

SuperMemo for Palm Pilot requires your device ID (#12501)
(Paulette Martinez, Sunday, August 18, 2002 4:24 PM)
Question:
I purchased a copy of SuperMemo for the Palm OS a few months back, and then my palm device crashed, and I had it replaced. When I reinstalled SuperMemo it has reverted to the demo version rather than the full version
Answer:
SuperMemo for Palm Pilot is linked to your particular device. To obtain a new password you need to write to support AT mapletop DOT com to send your new hardware ID data and obtain a new password

How to optimize learning? (#8121)
(John Biel, Saturday, March 16, 2002 1:15 AM)
Question:
Please tell me what buttons to push in order to optimize my learning?
Answer:
Optimizing repetitions should not be of your concern. It is enough you choose Learn regularly to have SuperMemo do it for you. You will yet need to optimize the way you formulate knowledge. See also: SuperMemo Decalog

You can share your learning material within a company (#8128)
(jsch, Japan, Wednesday, March 20, 2002 7:15 AM)
Question:
Are you aware of any ESL programs--as distinct from individuals--that are making use of your SuperMemo software? I'd be particularly interested in knowing whether it would be possible to share a collection of vocabulary words as a community of users working on a company computer network with no access to the Internet
Answer:
SuperMemo is not very popular in corporate or class-room setting. It does not make collaboration easy. It does not fare well in a networked environment. It is also requires highest concentration that makes it work best at student's home. It is possible to share learning material. Usually, one user develops the material and shares it with others. It is also possible to combine work of many students into one body of material. However, incremental development is rather complex. Optimally, small bodies of knowledge are exchanged (see: SuperMemo Library)


FAQ: SuperMemo Archive 2003-2004

FAQ: Archive 2003-2004
If you have a question that does not appear on this list, ask SuperMemoMail.
This list was started on Feb 28, 1997. Last modified:

SuperMemo 2004 and Multimedia SuperMemo have been designed for different purposes (#13558)
(Piotr Wasik, Poland, Monday, October 21, 2002 12:11 PM)
Question:
Having upgraded Parlez Avec Nous to SuperMemo 2004, the items look generally uglier (e.g. the tape recorder item lost its transparent background)
Answer:
SuperMemo 2004 and Multimedia SuperMemo have branched apart to serve different purposes. Although there is a degree of compatibility between the two (Multimedia SuperMemo has been derived from SuperMemo 98 code), you should use these two programs separately. By upgrading Multimedia SuperMemo titles to SuperMemo 2004 you will often lose vital functionality that will make your multimedia collections unusable. Use SuperMemo 2004 to author your own collections with incremental reading. Use Multimedia SuperMemo with its dedicated multimedia material available on CD-ROM.

Safety of upgrades to SuperMemo 2002 (#13558)
(Piotr Wasik, Poland, Monday, October 21, 2002 12:11 PM)
Question:
If I upgrade my SuperMemo 98 and Multimedia SuperMemo material to SuperMemo 2002, will it be safe?
Answer:
You should be able to use SuperMemo 98 material in SuperMemo 2002. However, Multimedia SuperMemo material may include dedicated tests that are unusable in SuperMemo 2002. The upgrade and use of your material is safe; however, you will rather not want to upgrade Multimedia SuperMemo titles.
Important! Upgrading to SuperMemo 2002 is irreversible.

SuperMemo and low self-esteem (#13508)
(B.B., Friday, October 18, 2002 3:57 AM)
Question:
Memory problems? Oh yes! I am sufficiently working at a very low self esteem not only in English, but also in mathematics. Please tell me in some uncertain way what your software does and how it is going to help me in these two fields of study
Answer:
SuperMemo makes sure you remember what you decide to remember. As long as you show patience and persistence, it guarantees the results. As such, it worked great for people's self-esteem in many cases. However, there are many obstacles on the way. For one, you may dislike the fact that the program seems complex. You may fail to do your daily quota of repetitions. You may fail to formulate your material in a prescribed simple way. As far as English is concerned, you will find it very easy to memorize vocabulary or proverbs or idioms. It will be far harder to learn more elusive things. For example, to make good speeches. Or to recite long poems. Or to debate. Those skill require more understanding of the learning process. As for mathematics, things are even more complex. Without a good manual matching your skills, SuperMemo may appear to be entirely useless. In learning mathematics, the memory is not your main limitation. It is the selection of the material and the way you learn it that will determine your success. In other words, SuperMemo is a sure remedy for memory problems, but it is not a learning panacea. You will find many articles at supermemo.com discussing learning skills such as knowledge formulation, mnemonics, selection of the learning material, etc. See also: Introduction to SuperMemo

How to avoid "Wait for document loading" (#13523)
(Tamhankar, Nitin, Friday, October 18, 2002 10:29 PM)
Question:
I see the message "Wait for document loading" every time I do Ctrl+X
Answer:
Your HTML documents load slowly. Try to filter HTML files with F6 (e.g. remove tables), delete remote server ballast such as icons, unused pictures, etc. The shorter and simpler the text, the less likely the delay. For more see: HTML FAQ

You will start using Learn only after a few days (#13634)
(Uyen Trinh, Wednesday, October 23, 2002 11:34 AM)
Question:
I tried using Add New and Learn. After a few times of repetition, I got the message "Nothing more to learn"
Answer:
That is correct. SuperMemo will schedule your first repetitions in a few days. Only then you will be able to review this material with Learn. Until that time, SuperMemo assumes that you stand a 95% chance of correctly recalling this material. For that reason, it will not bother you with questions. Naturally, in the very beginning, SuperMemo does not know you well and may schedule repetitions in intervals that are too long. That will change. All you need now is some patience for SuperMemo to get to know you. Before your first repetitions come, you can invest your time in adding more material with Add New

Optimally, you should keep your knowledge in one collection (#13634)
(Uyen Trinh, Wednesday, October 23, 2002 11:34 AM)
Question:
Before I add new material, do I need to create my own collection?
Answer:
Optimally, you should use only one collection. Beginners might try a few collections for experimental purposes. By default, you will start with ABC.kno collection. It is recommended that you go through this material and add new material to this same collection. However, you can also start a new collection with File : New collection, and focus 100% of material you create for yourself

"Do you want to learn new material?" message may be suppressed (#6001)
(Tomasz.Olszewski, Poland, Friday, October 18, 2002 2:29 PM)
Question:
Why don't I see "Do you want to learn new material?" in SuperMemo 2002 (e.g. as in SuperMemo 98)?
Answer:
To avoid confusing beginners, this message is suppress until you have more than 100 memorized elements in your collection

Terminology used in SuperMemo (#13704)
(Elliott Mayo, Thursday, October 24, 2002 12:42 PM)
Question:
You should reduce jargon and number of terms that have definitions unique to SuperMemo (e.g. "forget", "dismiss", etc.)
Answer:
Current terminology is a result of 15 year long evolution that was subject to extensive customer feedback and discussion! The problem comes from the fact that SuperMemo does things that are unique to this application. "Forget" is the shortest term we could come up with for "remove an element from the learning process and place it on the pending queue". Earlier the same procedure was called "Reset" and it caused lots of confusion. It is probably impossible to come up with a short term that would accurately hint at the above function. Referring to the documentation or, at least, button hints seems inevitable. We will gladly consider new, more descriptive names in the future as long as specific propositions are submitted. As for "Dismiss", it was previously called "Ignore" but the old name was "voted out". All users can effect change, but propositions must be specific to make the discussion possible

Deleting final drill dilemma (#13734)
(Malcolm Macgregor, United Kingdom, Friday, October 25, 2002 8:43 PM)
Question:
If I leave SuperMemo for a few days I get a message like "Final drill is 4 days old. Do you want to delete it?". SuperMemo should determine whether I should do the final drill or not! This is another example of SuperMemo being hard for the novice! Beginners might forget what a final drill is
Answer:
Final drill should be executed on the day the final drill queue is created. Otherwise it should be deleted. Beginners will not be surprised by this message unless they turn on the Professional level. This message is suppressed at Basic and Beginner levels. It is also suppressed in freshly created collections. In the past, SuperMemo would automatically delete the final drill, but many users insisted they wanted to go through this final stage of learning for one reason or another. Executing a late final drill is not harmful enough not to grant this user request

Forgetting does not seem to bother an average man in the street (#1338)
(Nick Clarke, Monday, November 27, 2000 12:41 AM)
Question:
Most people are apparently quite comfortable with the idea of spending several years studying, despite knowing they will forget almost everything they've learnt in a couple of years. The most surprising thing is that most people are not at all interested in a solution to this problem!
Answer:
The reasons are many. Perhaps the most prominent are these:

  1. We greatly underestimate the value of knowledge in today's society. While watching an evening TV entertainment, few people seem worried that this same time could have been used to enhance their knowledge
  2. We greatly underestimate the power of forgetting. We forget and thus fail to remember that we ever knew. We forget that knowledge is vital. We forget that forgetting is powerful. Few people are able to accurately guess the true impact of forgetting on their hard-earned memories
  3. Only the most persistent few make an effort to find out that there are rational ways of managing memories. A vast majority does not even know there are tools that can remedy forgetting
  4. Even those who appreciate knowledge and forgetting may too busy or not persistent enough to rationalize their learning. Before they acquire basic skills, their estimation of costs far exceeds the estimation of benefits.

This not-so-optimistic situation can only be remedied by gradual popularization of various learning techniques and the spread of simple learning tools that can be employed by anyone. SuperMemo implements and experiments with several new learning technologies. Once those technologies are employed in massively popular simple learning tools, the problem will slowly be alleviated

Uniqueness of memories helps retention (#3855)
(Mike Condron, Wednesday, November 29, 2000 1:29 AM)
Question:
Some esoteric facts I can hold with ease (e.g. 2 molecules of tetrahydrofuran are used in purine synthesis) but others I can't (e.g. which step in the TCA cycle makes FADH?)
Answer:
If you make unique associations, they are subject to far less interference. As such, they are easier to remember. In the presented example, you may form a unique association: tetrahydrofuran-purine. However, you may recall many pathways in which FAD plays a role. Even if you remember which reactions are catalyzed by dehydrogenases, you may wonder if FAD or NAD plays the role. In such hard cases, you may try to use mnemonic techniques. Try to imagine FAD as your pet TCA torturer, and SUCCINATE as your smiling face expressing SUCCESS. With this link, you may need only 5-6 repetitions to retain FAD-succinate pair for lifetime

You can memorize individual words or phrases in Advanced English (#13784)
(Simon Jacques, Tuesday, October 29, 2002 7:04 AM)
Question:
In Advanced English: How can I learn words that I come across in reading rather than having to learn fixed sets from the whole database?
Answer:
You can try the following:

  1. Use Ctrl+F (Find elements) to search for a given word
  2. Review the words, phrases and examples in the browser (Up and Down arrows)
  3. Press Ctrl+M (Remember) on the item that you would like to remember

For example, you could search for "hermetic" and press Ctrl+M on these items:

Q: tech: such that does not let air through (e.g. about the door of a gas chamber)
A: airtight/hermetic

Q: a hermetic chamber that is used to expose objects or people to high or low pressure
A: pressure chamber

Q: med: a hermetic glass container for medicines used in injections
A: ampule

First name missing while ordering (#13731)
(Carol Eichert, Friday, October 25, 2002 12:55 PM)
Question:
I've tried a number of times to order SuperMemo and I continue to receive an error stating that "Your first name does not appear to be entered"
Answer:
We were unable to replicate the problem. The Name field requires that you put a first name and a last name. Say for example you enter CWE it will not accept that for a name. If you put in "CW Eichert" it will be accepted for a name

Transferring questions and answers from Windows to Palm (#13791)
(P. McDermott, Canada, Tuesday, October 29, 2002 10:04 PM)
Question:
I have SuperMemo 2002. I have recently purchased a Palm m500 and SuperMemo for Palm. I would like to transfer my existing data base from SuperMemo 2002 to the Palm as I travel frequently and would like to take it with me. I have downloaded the SMCONV file but have not been able to transfer the data
Answer:
You can only transfer questions and answers. You cannot transfer images or sounds, nor you can transfer the learning progress to the Palm platform. Export your collection from SuperMemo 2002 as text with File : Tools : Export : Q&A Text. You can now convert the Q&A text file to the PDB file format readable by any PalmOS device. Locate the Q&A text file and the smconv.exe tool. Then drag the Q&A text file and drop it onto the smconv.exe icon. This should produce the converted PDB file in the same folder where your Q&A file is.

Important! The folder where you have the Q&A text file must be freely accessible to the converter, i.e. it must NOT be compressed, encrypted, read-only, etc. You can then install the converted PDB file in the same way as you install any other PalmOS application. Simply double click the file, follow on-screen instructions, and HotSync your handheld device

Catastrophic failure isn't catastrophic (#13816)
(Hjp2304, Tuesday, October 29, 2002 12:47 PM)
Question:
What does the error message "Catastrophic failure" mean? It sounds funny
Answer:
This is not a SuperMemo error message. Microsoft seems to use "Catastrophic failure" in various COM objects where a call to an interface cannot be executed due to an unidentifiable/unrecoverable instability. You will most likely experience this problem when working with HTML or OLE (both working through COM interfaces). Although the failure may be catastrophic from the point of view of an object, it is usually harmless for SuperMemo and its data. If you move to the next element, all component-related objects will be destroyed and new objects will be created. Thus moving to the next element will likely resolve the problem. Rarely will you need to resort to restarting SuperMemo or Windows.

No memory limit on collections to use (#13862)
(S.J., Thursday, October 31, 2002 10:06 AM)
Question:
My Inbox has a 1000K limit. How much memory would each collection use?
Answer:
We do not send learning materials via e-mail (unless on a specific request). You will need to download the learning material using your browser (or other tools if you requests so). Only the size of your hard disk could impose any limit. Most collections are very small. Only Advanced English goes up to 40 MB (plus 250 MB if you decide to keep sounds on your hard disk). In other words, nearly all up-to-date computers can use SuperMemo materials. The size of your own (human) memory will most likely limit the growth of your data in size

SuperMemo 2002 is not backward compatible with SuperMemo 2000 (#13854)
(Piotr @ SML, Wednesday, October 30, 2002 1:55 PM)
Question:
I was trying to downgrade SM2002 collection to SM2000 and received many errors like this "Wrong termination sequence for element #1"
Answer:
Text files generated by SuperMemo 2002 include repetition history data. For that reason, when you try to import them back to SuperMemo 2000 you will get the said error. SM2000 expects "End of element ..." in the place where repetition history is included

SuperMemo keeps all your data on your hard disk all the time (#13910)
(Troy Gardner, 11/2/2002 9:42:05 AM)
Question:
I find the File menu options confusing coming from windows standard File, Edit, etc.. I don't know how to save a file that I'm working on, or close one without exiting
Answer:
SuperMemo does not keep data in memory (some CD-ROM collections go into gigabytes in size). Instead, all data remains on the hard disk. Only the small portion of currently edited data is loaded temporarily to memory. In other words, you do not ever need to use Save in SuperMemo. Once you move from one element to another, all element data is saved on the disk automatically. You can look at this as your mail in your Inbox. When it arrives, you do not need to save it. It is already saved. If you are editing a long text, you can just press Esc to have it saved (texts are saved on switching from editing to presentation mode). However, while working with SuperMemo, you rarely need to think of a power failure. Loss of data is rare and limited

Upgrading Advanced English 97 to Advanced English 2002 (#13620)
(Chris B., Tuesday, October 22, 2002 6:16 PM)
Question:
I have Advanced English 97 and would like to use Advanced English 2002. How should the upgrade be performed (technically)?
Answer:
This is the procedure in SuperMemo 2002:

  1. If you use Advanced English 97 in an older SuperMemo, upgrade it to SuperMemo 2002 first
  2. Use File : Tools : Export : Learning process to export your learning process from Advanced English 97
  3. Install and open Advanced English 2002
  4. Use File : Tools : Import : Learning process to import the text file exported earlier

Ignore all import errors. There will be many! These result from changes in the contents of Advanced English and have no impact on the learning process. Some elements have been deleted. Do not restore these. Those elements are either duplicated, or outdated or include an error. There is no need to sort the pending queue. New elements inserted with lower ordinals will automatically be scheduled at the beginning of the queue. If you have added comments in the text of Advanced English, you will have to scan the error report as these will, naturally, be lost in the new version. You will have to reintroduce them manually

Problems with playing sound usually result from incomplete or erroneous driver installation (#13977)
(Roelof.Timmer, Wednesday, November 06, 2002 4:24 PM)
Question:
I installed a collection of sound files for Advanced English. I repeatedly get the following message: "Cannot open player device. No wave device that can play files in the current format is installed. Use the Multimedia option in Control Panel to install the wave device". Other files on my computer play correct. I can also play Advanced English files in Media Player.
Answer:
The problem is likely with your sound board drivers. They are corrupt, incomplete (e.g. missing codec), wrongly configured, or you are using a wrong version (e.g. Windows default instead of up-to-date OEM drivers). There are a number of interfaces for accessing sound files as well as a number of compression schemes. For that reasons the same file may play via one interface and not via the other. You could best start off with searching for "No wave device that can play files" in Google and see which troubleshooting advice applies to your particular context (i.e. sound board, OS, installed software etc.). Do not search for "Cannot open player device" as this prefix is added by SuperMemo. See also:

  • http://support.microsoft.com/default.aspx?scid=KB;EN-US;Q307918&
  • http://support.microsoft.com/default.aspx?scid=/Support/PersonalUser/Content/Sound/Causes/SndCodec.asp

Downgrades are free (#13948)
(Hctor Vicencio Constantino, Tuesday, November 05, 2002 3:36 AM)
Question:
I purchased SuperMemo 2002. I'd like to use a copy in my computer at work, which uses IE 5.0. SuperMemo 2000 would be the choice in this case. Can I use an earlier version without paying further?
Answer:
Yes. You can use all earlier versions available. Just write to moni(AT)supermemo(.)com to receive all necessary instructions. Please note that it is not recommended to use two versions on the same PC. Moreover, SuperMemo 2002 will attempt to inactivate all older version of SuperMemo

What if you have been charged a wrong amount? (#14001)
(Christa, Canada, Friday, November 01, 2002 6:35 PM)
Question:
My credit card indicates you charged me a wrong amount!
Answer:
Please consider the following:

  1. if this is an undercharge, you might have automatically receive an upgrade or cross-sell discount; you can safely ignore the difference and enjoy the product
  2. if the difference is less than a dollar, it may result from changes to the exchange rate of Polish zloty (if the change is substantial between the authorization and the capture on your credit card)
  3. if you see an overcharge, please see again if you are not confusing Polish zloty (PLN) amount (which is several times more) with the dollar amount; unfortunately, this confusion occurs quite often
  4. if you are sure there is a dollar overcharge on your returns, write to moni(AT)supermemo(.)com

In case you report an overcharge, we act as follows:

  1. check our paper documentation if an error has been made on our part; naturally, an error will result in an immediate full refund
  2. if no error is found, we contact the corresponding credit card company to check the record of charges in their computers; if error is found there, we request a speedy refund on their part
  3. if no error is found at the relevant credit card company, the error must have occur outside Poland. In such a case, you will need to contact the bank that issued the card to verify their records, locate the source of the error, and refund the difference

Important! Our error rate is probably less than one case per 2-4 years. Error rate claimed by banks and credit card companies is comparable

Colors in the Workload window (#13987)
(Robert Drozd, Poland, Tuesday, November 05, 2002 12:49 PM)
Question:
What do the colors in the Workload window mean?
Answer:
Color intensity is used to correlate retention and repetition count (only in Daily Workload). If you look at Retention, ignore lighter fields, which indicate "little data collected". Darker fields mean "solid/reliable data". If you look at Repetitions, darker fields indicate "good retention", while lighter fields show "sloppy days". Using these colors you can also get an overview of repetition intensity in a month and retention level in a given month

Learning pronunciation with SuperMemo (#13845)
(antichr, Wednesday, October 30, 2002 12:56 AM)
Question:
How can I learn the pronunciation of the English Language?
Answer:
You can either use ready-made material or create the material for your specific learning needs. For example, the method used in Advanced English is highly recommended: Your question may have a form: "How do I pronounce the word 'mammoth'?". Or simply: "mammoth?". Your answer can include the phonetic transcription of "mammoth" or you can illustrate it with the sound (or both). See: examples.

A very popular way of learning pronunciation is to import ready-made sounds from on-line dictionaries or record sound from popular English movies played on DVD. For example, to learn dialogs from the movie "Platoon" you can collect the material from this website: http://www.destgulch.com/movies/platoon/

Antimoon website also has a special section on learning pronunciation: http://www.antimoon.com/how/usingsm-makeitems-pron.htm

See also: FAQ: Formulating knowledge

Your first repetition of a newly added item may come only in several days (#1560)
(anonymous, Saturday, November 09, 2002 3:48 PM)
Question:
I added a few items with Add new (Alt+A). Then I tried Learn and those items were not shown for repetition.
Answer:
When you add new items, they are immediately introduced into the learning process. The first repetition will be scheduled only in a couple of days. You will see newly introduced items on the same day only as part of the final drill. However, if you turn off the final drill (Skip final drill in Options), you will not see these items until the day of their first repetition. Depending on how well you cope with new material, your first repetition may come the next day or it may come in 3 weeks. Usually it comes in 3-6 days.

To import from SuperMemo 7 you need to download SM7IMPRT.EXE (#2947)
(Wong Chee Ming, Malaysia, Nov 21, 2001)
Question:
I wanted to import SuperMemo 7 database to SuperMemo for Windows. It tells me that SM7IMPRT.EXE is missing! What should I do?
Answer:
You can download the program from the download section. Once you download, place in the Bin subfolder and use File : Tools : Import : SuperMemo 6 or 7

SuperMemo 2002 in Windows NT (#14284)
(ELK, Thursday, November 14, 2002 9:11 PM)
Question:
Does SuperMemo 2002 work correctly in Windows NT?
Answer:
NT 4.0 is supported. See: Minimum Requirements. The older the installation the greater the frequency of error messages generated by mshtml.dll on rich multimedia HTML material imported from the net (those messages are all harmless). The best remedy is to install Internet Explorer 6.0 with all up-to-date service packs and patches

Data exchange between Windows and Pocket PC versions (#14282)
(Amanda Chetterbock, Friday, November 22, 2002 3:51 AM)
Question:
Is SuperMemo 2002 compatible with the Pocket PC version?
Answer:
Data exchange is limited to question-and-answer material. The learning process cannot be transferred (this is to change in the future though). In addition, Pocket PC version does not have multimedia capabilities. Consequently, no multimedia content can be transferred to Pocket PC

You cannot transfer reference hyperlinks between collections (#12505)
(Markku Mahonen, Norway, 10.08.02AdrenaliiniLidokaiini)
Question:
I have used the Reference option. However, after transferring the collection, the numbering of the elements has changed. Now the reference hyperlinks go to wrong elements
Answer:
Reference hyperlinks are imbedded in the HTML text. As such they do not change upon transfer. There is no automatic way to transfer reference hyperlinks between two collections

Password change upon an upgrade (#12938)
(Jonathan Moran, 02/12/2002)
Question:
I upgraded from SuperMemo 2000 to SuperMemo 2002 but my password is not being recognised
Answer:
Once you upgrade, you should receive a new password within a business day

Shortcut for View : Oustanding (#14447)
(SuperMemo R&D, Wednesday, December 04, 2002 3:24 PM)
Question:
I would like to see a shortcut key for displaying View : Outstanding
Answer:
You can use Alt+V, O to activate this option

Client-server SuperMemo (#14391)
(Shaun Snapp, Friday, November 29, 2002 5:40 PM)
Question:
Is their a SuperMemo client server version available or planned? I.e. can we have the data centralized on one server and have clients log in to perform read only searches and research on the database? Can SuperMemo have different user levels, such as an admin (write only) and user (read only)?
Answer:
The closest to that model is supermemo.net currently in development. This can be customized for corporate clients. For details write to smnet(AT)supermemo(.)com

Error setting HTML selection (#14497)
(Ahmet Karahan, Turkey, 09.12.2002)
Question:
SuperMemo displayed this error:
"Error setting HTML selection
Start=0
Length=1
800a025e hatasý nedeniyle iþlem tamamlanamýyor"
Answer:
This is a harmless error that often occurs on multimedia-rich or table-rich HTML pages stored in SuperMemo. Most likely, you have executed Remember Extract (Alt+X) and SuperMemo was unable to restore your original text selection. This error is not known to cause loss of data or any other negative side effect. All you may need to do is to reposition the selection or mark the selected fragment as extracted. This error is due to problems with Microsoft's mshtml.dll library and is far less frequent on filtered content (use F6 to apply filters to offending web pages).
For experts: this error occurs in the procedure TWeb.SetSelection(Start,Length:integer) in SuperMemo's Web unit

Data size limitations (#14391)
(Shaun Snapp, Friday, November 29, 2002 5:40 PM)
Question:
Is there a record limitation in SuperMemo? For instance can it take up to a million entries? Is there a database limitation, say at 200 Gig?
Answer:
Theoretically, SuperMemo 2002 could accommodate a billion items and equally many multimedia files. However, the speed of the program degrades with the size of data. The performance is tolerable for a million elements or 1 GB of data; however, it might not be tolerable beyond a certain limit. In addition, regular backups become troublesome for huge datasets. As SuperMemo is primarily used for self-learning, most users operate with only thousands of elements. Collections beyond 100,000 elements are a rarity. Testing the program on larger datasets and securing tolerable performance is not a priority

Choosing the first review data of newly imported articles (#14522)
(reinhardkoehler, Germany, Tue Dec 10, 2002 7:28 am)
Question:
Is it possible for imported/pasted articles to give them a date when they are to be introduced into the learning cycle.
Answer:
Yes. Use Ctrl+J and chose the date of the first review. In the middle of the review interval, you can also use Ctrl+Shift+R to simulate a forced review. Ctrl+J will increase or decrease the length of the interval, while Ctrl+Shift+R will additionally set the last repetition date to today. Use Ctrl+J to modify the length of the interval without changing the last repetition date. Use Ctrl+Shift+R to set last repetition date to today and then choose the new interval. Ctrl+Shift+R is particularly useful if you want to set a very short interval. Ctrl+J cannot reduce the interval beyond the interval from the last repetition till today.

Free update is used only for the purpose of replacing an outdated executable (#14849)
(PatrickGillilan, Tuesday, December 17, 2002 5:47 PM)
Question:
I have selected "Free update" option in "SuperMemo 2002 Upgrade"; however, I did not get the password to unlock the program
Answer:
"Free update" is available to users who already have SuperMemo 2002. Once you download, you are supposed to replace the old sm2002.exe file with the newly downloaded one. Your old password will be reused automatically

Problems with deleting graphics from HTML (#14906)
(Steven White, Australia, Monday, December 23, 2002 3:21 AM)
Question:
I have problems when editing web pages. Sometimes it is impossible to delete some graphics and sometimes the vertical scroll bar stops work. Often if I toggle between the current and previous articles the problem goes away. Is there a later build you could send that might not have problems?
Answer:
Unfortunately most of this behavior depends on Microsoft's mshtml module. Only improvements to that library are a solid hope for a solution. In the meantime, all you can do is to experiment with HTML filters in SuperMemo (F6) and learn various tricks and workarounds by trial and error (e.g. where Del does not work, Backspace sometimes does)

This session is reported as lasting too long (#14924)
(Ahmet Karahan, Turkey, Sunday, December 22, 2002 10:36 AM)
Question:
What does this message indicate:
Warning! Check your date setting!
This session is reported as lasting 13h 42m 49s
Answer:
SuperMemo always tries to make sure your date setting is correct. You have probably left your collection open for over 13 hours or hibernated your computer without closing SuperMemo. SuperMemo displays the warning each time the session seems to have lasted suspiciously long. You can reset the session timer by simply restarting SuperMemo

When ordering from super-memo.com you are registered automatically (#15024)
(B. MARC (HP-Canada), Friday, January 03, 2003 5:38 PM)
Question:
I have just ordered SuperMemo 2002, downloaded it, but can not register (my firewall). Can you please register me?
Answer:
You need to distinguish between unlocking and registering SuperMemo. You need to unlock the program in order to use. Registration is optional. You can choose to register if you are using a trial version of SuperMemo and would like to become a customer. Once you order from www.super-memo.com, you name is automatically registered in the user database. All you need is to input the unlock password that had been sent to you in response to your order. Detailed instructions and explanations are presented here. See also: Shopping FAQ

There are alternative ways of getting SuperMemo in case of download problems (#15328)
(Steven Ahlig, Germany, Monday, January 06, 2003 3:34 PM)
Question:
I just bought SuperMemo for Windows CE, however, it's not possible to download the software. I tried the red download-button several times; each time the download-window popped up but the download never started
Answer:
This problem is probably temporary. You could try again at another time, or from another PC. You can also ask to have this program sent to you via e-mail (around 700K). For details write to moni(AT)supermemo(.)com

Error viewing current file (#14142)
(QUBUS bvba, 12/11/02 17:15:51)
Question:
SuperMemo has just displayed the following error: "Error viewing current file"
Answer:
This is a harmless error. SuperMemo file browser cannot display the preview of the currently selected file. The only inconvenience is that you will not be able to see the file. This error occurs at times in SuperMemo 2000 and has not been reported in SuperMemo 2002 yet.

MP3 files will play on any computer with a sound board (#15331)
(Tomasz P. Szynalski, Saturday, January 04, 2003 1:50 AM)
Question:
We would like to add sound to our Pronunciation 500 collection. MP3 is optimal, but will it work on any computer with SM2000 or higher?
Answer:
Yes. The only precondition is that the user has a properly installed and configured sound board (incl. relevant codecs)

If you learn English, you can use ready-made collections (#15226)
(Suresh Veluchamy, USA Educational, Tuesday, November 26, 2002 4:47 PM)
Question:
I find that entering large number of pairs of a word and a meaning is tedious. I would have found it easier if there was an inbuilt dictionary and I could create a collection from that dictionary
Answer:
 Advanced English meets exactly that purpose

Wrong item count on upgrade (#15419)
(Steven Trezise, United Kingdom, 14/01/2003)
Question:
SuperMemo 2002 displayed the following error on upgrade:
Wrong item count
Expected: 0
Found: 191
Answer:
Although denoted as an error, this message is actually a norm. SuperMemo 2002, unlike its predecessors, keeps a separate item and topic statistics. As a result, the first compulsory collection repair after the upgrade will always report a missing item/topic statistic. No action is necessary

Long lines on the website (#15472)
(NF Lynch (Isr), Israel, Wednesday, January 15, 2003 9:29 AM)
Question:
I'm surprised that an organisation dedicated to learning methods is not aware that solid text blocks with long lines make very hard reading and understanding
Answer:
The length of lines can easily be changed by adjusting the size of the browser. Many readers prefer to choose their own line length and style sheet rather than to have it imposed by the webmaster. Due to this customization, it can be argued that free flowing texts are easier to read than pre-formatted text

Keyboard use is optimized for English (#15551)
(Michal Szklanowski, Poland, Monday, January 20, 2003 12:43 PM)
Question:
When I use Trim Shortcuts option, SuperMemo is unfriendly for keyboard freaks, because you don't have shortcuts to Add new or Learn. Why did you choose Alt keys instead of good old Ctrl keys, which work for all keyboard layouts?
Answer:
The shortcut table is quite crowded. For that reasons, it is optimized for mnemonic use with a bias towards English. As Ctrl+Alt combinations misbehave in some localized versions of Windows, the option Trim Shortcuts is vital for those who need to use AltGr in their local language. The shortcut Ctrl+A was voted out by users of SuperMemo who prefer to use it for standard Select All in texts. However, you can still use Ctrl+L to execute Learn. In most context, Enter will also execute Learn. With SuperMemo 2002, the emphasis shifts from adding your own items to incremental reading. This means that instead of using Add new, you will rather paste texts to SuperMemo and process then with incremental reading tools

Problems with searching for | (#15603)
(Maks, Sunday, January 26, 2003 3:44 PM)
Question:
I wanted to find all British/American items in Advanced English but SuperMemo was unable to find the | character (code 124)
Answer:
This is a bug. Select match case to search for this character. The procedure that converts searched texts to uppercase erroneously includes characters $7B-$BF in the conversion. This problem has been removed and will be absent in future releases (i.e. above SuperMemo 2002)

You can search for a text among items or among topics (#15577)
(Hjp2304, Wednesday, January 22, 2003 5:14 PM)
Question:
I would like to search only in topics or only in items
Answer:
You can execute a standard search and then select Child : Topics or Child : Items on the browser menu. Child : Topics can also be executed by clicking the topics button in the browser

You can easily import HTML pages with pictures (#3207)
(Jan Gorski, Poland, Wednesday, January 22, 2003 4:53 PM)
Question:
I have generated a page with math formula pictures: http://www.mimuw.edu.pl/~jacho/test/HagWord/HagV3se4.html
After entering it to SuperMemo 2002 there are no pictures
Answer:
If you copy your page to the clipboard and press Ctrl+Alt+N in SuperMemo, your page will display beautifully. The pictures will be kept on the remote server. If you would like to import this page locally, save it on your hard disk (remember to save the complete page with all pictures). Then press Ctrl+Alt+H. With your local page, while creating extracts, you must remember to retain the originally imported root page. Picture objects are not duplicated with each extract. All extracts refer to the originally imported pictures held by the imported page

Extracts do not retain the read-point (#15549)
(Anatoliy Lipatov, Ukraine, Monday, January 20, 2003 2:19 PM)
Question:
When I am pressing text extract button SuperMemo always comes to the beginning of the text
Answer:
Make sure you use the most up-to-date Internet Explorer 6.0. Once you update all libraries and the problem persists, it may be related to the specific type of HTML files you are using. Most often problem with computing read-point position occurs in files reach with tables. If tables are used only for formatting texts, you could just filter them out (F6)

SuperMemo does not scan your ports (#15633)
(tilljac, Germany, Friday, January 24, 2003 6:33 PM)
Question:
When I access the supermemo.com website my firewall picks up, that the computer-ports are apparently systematically scanned by you. I wonder why, doesn't feel nice
Answer:
Please read the instructions of your firewall for the interpretation of activity of TCP/IP services on individual ports.

SuperMemo websites are hosted at reputable Yahoo and Verio servers. No illegal or stealth activity is allowed. No executables except simple JavaScript, PHP, and CGI scripts are hosted at our official websites. These providers use state-of-the-art tools to guard against hackers, Trojans, net worms, and viruses.

Last but not least, we focus solely on helping our customers learn faster. We are not interested in customer private data other than submitted voluntarily or consensually upon request.

Empty list of HTML documents (#15697)
(Stander, Johann , South Africa, Wednesday, January 29, 2003 2:07 PM)
Question:
I have Windows 98 and IE 6.0 Service Pack 1. I tried to use Import web pages and it has empty list of web pages. In Windows XP I do not have this problem
Answer:
It is difficult to diagnose your problem but somehow IE6 fails to communicate its services to shell procedures in Windows API calls. It is recommended you install all updates to both Windows and Internet Explorer. If this does not help. You may need to reinstall IE

Confusing English with German (#15670)
(golusiek, Poland, Monday, January 27, 2003 10:00 PM)
Question:
I am not sure I should merge my German and English collections. Will I not mix the languages? Will I not speak half German, half English?
Answer:
By merging collections you change the physical location of knowledge on the hard disk. You hardly change the location of the same knowledge in your brain. The major thing that will change is that you will be forced to do frequent context switching from German to English. This is actually good for separating the two languages. You will confuse them less! Context switching is a form of training that helps reduce interference. This is exactly what happens in bilingual kids. They have a sort of "mental switch", which disables one language while the other is operational. The only thing you must ensure is that your questions in English are clearly differentiated from those in German. You can do it with prefixes (e.g. Ger: and Eng:) or with templates (e.g. English in red-blue, German in black-yellow).

Error setting HTML selection (#15032)
(Anatoliy Lipatov, Ukraine, Monday, January 20, 2003 2:19 PM)
Question:
SuperMemo displayed:
Error setting HTML selection
Start=0
Length=1
Could not complete the operation due to error 800a025e
Answer:
This is a harmless error that occurs internally in Internet Explorer. It occurs when SuperMemo attempts to select text in an HTML file. This error is more frequent on files with tables or rich in multimedia. For experts: This is a bug in Microsoft's mshtml.dll. The exact code used in SuperMemo can be seen here

Cannot use SuperMemo until e-mail dialog is closed (#15622)
(tomas drahokoupil, Czech Republic, Sunday, January 26, 2003 1:18 PM)
Question:
If I send e-mail via SuperMemo, I cannot use the program until I close the e-mail dialog. This is a non-standard behaviour.
Answer:
SuperMemo uses a standard Windows MAPI call, which results in this behavior. The program is locked until this MAPI Windows procedure returns its result:
MapiSendMail(0, AppHandle, MapiMessage, MAPI_DIALOG or MAPI_LOGON_UI or MAPI_NEW_SESSION, 0)

Real numbers in SuperMemo DLL (#15716)
(Mark G. Patterson, Saturday, January 25, 2003 6:43 PM)
Question:
I got stuck using SuperMemo Algorithm DLL when I tried to use GetInt1000FromReal. The problem is the now obsolete data types in Delphi
Answer:
This function is only needed if you want to interpret optimization data used by the algorithm. It is not needed for using the algorithm itself. The function takes the pointer to data you want to interpret and converts that data to an integer. It makes "obsolete" floating point numbers visible as integers

Cannot close registry (#6278)
(Ahmet Karahan, Turkey, 01.02.2003)
Question:
SuperMemo displayed the following error:
Cannot close registry
C:\Program Files\supermemo\systems\Ahmet Karahan\registry\text
I/O error 1
Answer:
Cannot close registry error occur when SuperMemo has problems with writing to files. There are many reasons that could cause problems with files. However, the recommended action will always be the same: restart SuperMemo or restart Windows and run File : Repair collection to make sure there has been no permanent damage to the integrity of the collection. In this particular case, text registry files could not be closed. The exotic I/O error 1 is not listed in Delphi documentation. This may indicate the problem is highly unusual. This always calls for a scrupulous checkup of hardware and software running on your computer, esp. if the problem reoccurs.

Cannot restore window in layout (#6275)
(QUBUS bvba, 22/01/03 20:42:12)
Question:
SuperMemo has just displayed the following error:
"Cannot restore Element window in Last used layout
Unable to write to E:\SM2000\bin\layout.ini"
Answer:
SuperMemo stores window size and position in the file bin/layout.ini. In your case this file has become locked. SuperMemo could not store the element window position as used in "Last layout". The most likely reason for a file lock is a major software crash. This error in itself is not critical. Only recent changes to the position of windows will be ignored on restart. However, there must have been an underlying event that caused the file to be locked. For that reason you need to examine the following: (1) integrity of your collection that was in use during the crash (File : Repair collection) as well as (2) overall status of your computer (hardware, viruses, configuration, etc.)

Leaving SuperMemo idle will not hurt your learning statistics (#2663)
(Mike C., Sunday, February 25, 2001 3:20 PM)
Question:
My speed is 168 el/year, and my daily cost is 2.178 min/el. These both went way up after leaving SuperMemo running idle for about 16 hours last night by accident
Answer:
Leaving SuperMemo idle should not affect the statistics. All repetition times above 30 seconds are trimmed down to 30 seconds. In SuperMemo 2002, your statistics could change significantly if you, for example, did lots of incremental reading in a small collection. In future SuperMemos, even incremental reading topics will not interfere with this statistic

Is "Free update" free? (#16171)
(Fong Chi Kit, Hong Kong, Saturday, February 08, 2003 6:28 PM)
Question:
Why the free upgrade listed price is $15? Is it really free?
Answer:
Yes. If you select "Free update" and you qualify for a free update to your SuperMemo, there will be no charges.

SuperMemo should load in about 1 second (#16113)
(Val Pavlichenko, Tuesday, February 04, 2003 1:19 AM)
Question:
SuperMemo seems to be slow loading even on my 2.2 MHz machine. Is it normal or I can try to fine tune it somehow?
Answer:
In a clean directory or with small collections, SuperMemo should open within 1-2 seconds. This time may increase on slower machines, in cluttered Windows, with slow-access secondary storage, background applications, rich multimedia, files stored on remote servers, etc. The actions you can take are similar to those in accelerating other applications. For example, defragmenting your hard disk may increase the speed of search on 1 gigabyte collection from half a minute to just one second. Once your Windows is polluted with a large number of applications and libraries (esp. games), access to some DLLs may slow down. In similar circumstances, as with all other Windows applications, the best remedy is a clean Windows install with only the most important and most reliable applications set up.

SuperMemo is not likely to suppress dreams (#11294)
(Nick Clarke, Sat, Jun 22, 2002 6:00)
Question:
Is it possible that SuperMemo suppresses dreams? With the daily use of SuperMemo I stopped dreaming and can't think of anything other than SuperMemo which is likely to have caused the absence of dreams. Have any other users reported similar effects on dreaming?
Answer:
SuperMemo isn't likely to suppress dreams. If anything, it should rather be expected to result in more brain activity in sleep. Nobody has ever reported an impact of SuperMemo on dreams. However, if a wild guess was to be made on the correlation of the amount of learning and dreaming, it is possible that the correlation would be negative. This comes from the fact that we rarely remember dreams after completing a full cycle of healthy sleep. Dreams are more likely to be remembered if sleep is disrupted (esp. if the disruption is caused by the dream itself). At the same time, people with poor sleep tend to show less patience for SuperMemo. Reciprocally, late evening SuperMemo could induce early sleepiness and improve your night sleep. In other words, lots of learning and good sleep might come together as much as disrupted sleep, dream recall, and lowered self-discipline

Formatting is lost when importing mail (#16310)
(Leonard Budney, Feb 20, 2003)
Question:
If I select the email text and hit Ctrl+Alt+E, then formatting is lost: blank lines are deleted, and paragraphs are sometimes merged
Answer:
This behavior is by design. Formatted mail may take several times more space, slow down text searches, and HTML operations are notoriously tricky on various exotic formats. For large volumes of mail, unformatted mail is quite a benefit. If formatting is meaningful/important, re-paste the content of clipboard under the header of your e-mail in the newly created HTML element. That should be a less-than-a-second operation

You need to provide good grades to complete the learning cycle (#12696)
(jude kendall , Wednesday, September 04, 2002 8:03 PM)
Question:
I run Learn on the abc.kno collection and never get the popup window that says the learning is complete
Answer:
Most likely you are giving grades less than Good (e.g. Pass). This will make final drill go into an infinite cycle

Downside of one body of knowledge (#16397)
(kondzio, Poland, Wednesday, February 19, 2003 12:26 AM)
Question:
I think there is a downside of one body of knowledge. I have embarked on an ambitious plan to re-memorize Advanced English. As half of the material is well-known to me, my first intervals started to stretch beyond 1 month!
Answer:
You should never discard old knowledge! For various psychological reasons, users often want to start from scratch with a clean slate. This is a major error, esp. if your prior investment in learning had already been substantial. If you give up Advanced English and start later again from scratch, you will fool SuperMemo into believing your recall is far better than it really is. Your prior investment will largely be lost due to the incomparably higher workload. Not only will data collected by SuperMemo about your memory be lost, it will now be distorted by overestimated recall rate. No matter how long the break, you should reschedule your old material and resume work on the old data. You can make individual adjustments to priorities and intervals as you go. The only imaginable reasons why you might want to start from scratch are (1) you lost your learning material or (2) you suffered from an injury or disease that had a dramatic impact on your memory. If you lost your material, you could indeed consider starting from scratch in a separate collection and transfer thus re-memorized knowledge to your main body of knowledge only once you pass all the originally remembered material. In case of a severe brain injury, naturally, keeping one body of knowledge may still make sense and the optimum strategy will depend on the severity of memory loss

You should not worry too much about duplicates (#16390)
(Piotr Wasik , Poland, Monday, February 24, 2003 12:01 PM)
Question:
While learning I can create multiple items that are semantically identical. The problem is not with knowledge, but with what I would call meta-knowledge: "I know that I know, but I don't know how I know it". I simply do not know if I already have similar items in SuperMemo. This problem is different from memory interference and I found no tips about it. My solution is to look up the database for similarities but it is time consuming. I realize that having two identical items is bad for the process because you fool SuperMemo that you memory works better than it actually does
Answer:
It is true that SuperMemo will not behave optimally if you introduce two identical items. However, if you try to locate duplicates you will spend by far more time that you would otherwise lose due to duplications. Your optimum strategy is to delete duplicates only if you discover them (e.g. by chance). Some users combat limitations of the forgetting index by producing multiple differently formulated clozes that address the same issue. With this approach you can indeed reach retention above 99%. In other words, it is far healthier to forget about the problem than to ponder on this little inefficiency. Note that real life will produce far more interference with the learning process. That is, naturally, if you get to use your knowledge in practice.

Lost license code (#16649)
(Dustin Darcy , USA Educational, Saturday, March 22, 2003 7:52 AM)
Question:
I was converting my main workstation from a windows box in to a purer Linux OS, and somewhere during the metamorphosis I lost all my emails that I had stored in Outlook. So the only way I'm able to run SuperMemo 2002 is by using an old knowledge-base which automatically registers the software. Which is great, since it allows me to continue using the software. However, I don't like running my software not knowing when the next big disk crash could kill off the rest of my databases leaving me SuperMemo-less
Answer:
All you need to back up is your learning material (or at least the most vital part of it). You can always open and use this material with SuperMemo 2002 and its updates. In addition, you can have your instructions resent by just providing your name, address or e-mail. Those can easily be located in the user database. You do not need to worry about your order number, password, etc. You can focus on keeping a backup of the learning material.

Spell-checking in SuperMemo (#16585)
(Slavko Bobek, Slovenia, Sunday, March 16, 2003 10:03 PM)
Question:
Is there any way to use/include spell-checker when you type your words in SuperMemo. Like in Microsoft Office
Answer:
No. There is no spell-checker. However, you can use Edit file (F9) to edit your file with your favorite word processor. If it uses a spell-checker, you can use this to spell-check your text.

Cannot proceed with Import (#6478)
(Damijan Savernik , Slovenia, 24.03.2003)
Question:
SuperMemo displayed the following error: "Cannot proceed with Import"
Answer:
This error occurs while importing material from SuperMemo 7. Because of its general nature, it is difficult to say what might have caused it. If possible submit your SuperMemo 7 database for analysis of this error. It may have been caused by a bug in the import procedure or by errors in the structure of your SuperMemo 7 material.

Can SuperMemo be used to learn to draw maps? (#16586)
(Gibson , Canada, Sunday, March 16, 2003 5:04 PM)
Question:
Could SuperMemo be used for learning how to draw maps, such as countries, states, etc.?
Answer:
It depends on which component skill you need to develop. SuperMemo can easily be used to learn geography and the location, shape and mutual spatial relationship between countries (see Geography section in SuperMemo Library). This knowledge is naturally vital for drawing maps "from memory". However, if the skill to be trained is conversion of the "mental map" to a "map on paper", SuperMemo may only help you organize the timing/schedule of training. For example, while learning a selected geography collection, the student can attempt to draw a map at each repetition (on paper). If the drawing does not meet the required quality criteria, a failing grade can be provided helping enhance the practice of drawing this particular map/shape

SuperMemo and singing (#16586)
(Gibson , Canada, Sunday, March 16, 2003 5:04 PM)
Question:
Could SuperMemo be used to learn singing a melody?
Answer:
This will be difficult. SuperMemo requires self-grading and this requires an ability to verify one's own progress. For vocal training at the basic level, a teacher is indispensable. A beginner will often be unable to self-evaluate, for example, the accuracy of following a given pitch. However, a skilled vocalist can easily use SuperMemo to schedule his practice as soon as he or she is able to efficiently self-evaluate. SuperMemo can be used in conjunction with all imaginable learning tools and procedures as long as there is a reliable way to evaluate one's performance

"Do you want to learn new material?" suppressed (#6512)
(OlÃ¡h VillÃµ , Hungary, Monday, April 07, 2003 11:24 PM)
Question:
What is the reason for window "Do you want to learn new material?" not to appear? Repetitions of the new material begin automatically
Answer:
This message is suppressed if you have less than 100 elements memorized. Many beginners complain about the number of choices they need to make. This make SuperMemo seem intimidating. For that reasons, some learning stages occur automatically early in the learning process. The choices are then gradually phased in as the student gradually becomes familiar with SuperMemo's ways

No all elements with a given last repetition day will show as repetitions in Workload (#16965)
(Tolo, Poland, Apr 30, 2003)
Question:
In my Workload, I have only 10+10 repetitions on Apr 10, but when I double click on that day, the browser shows 80 elements. Why is that?
Answer:
There could be many reasons for that. For example:

  • some elements might have been repeated in another collection. Once you transfer them to your main collection, you will not see them in the record of past repetitions in that collection. However, once you ask to search for elements repeated on that particular day, they will show up in the browser by virtue of their last repetition date
  • some elements might have been subject to Advance on the day in question. Their last repetition will be set on the day of advancement, but they will not show up in the record of repetitions. Again, when you search for elements with a given last repetition date, they will show up in the subset

Errors resolved with restarting Windows (#16967)
(Simon Jacques , Thursday, April 17, 2003 2:10 AM)
Question:
I received this message on the screen of Advanced English in SuperMemo 8: "General Protection Fault in module SM8 EXE at 002D162C5". I could not get rid of it and had to reset my computer. After I had reset I could continue and the message did not reappear
Answer:
GPFs that get resolved with a Windows restart are a frequent indication of a memory structure being corrupt. Usually it is very hard to establish if the problem has been caused by SuperMemo or other application in Windows. However, these error rarely result in damage to your learning data. In other words, it is enough you can preventively run the file repair option or increase the frequency of backing up your data

Ordering SuperMemo is equivalent to registering it (#17014)
(Zab Doss , Monday, May 05, 2003 1:33 PM)
Question:
I ordered two items (Super Memo 2002 and Super Memo for Pocket PC), and downloaded on my PC in my office. I bought a new PC in my home. I tried many times to register but I always failed
Answer:
All you need to do is to transfer downloaded files from your office PC to your home PC. Use information received via e-mail to complete the installation. There is no need to register or contact SuperMemo World (unless you lost your files or e-mail information). You are already registered (i.e. your data is stored in the user database). If you need help, simply write to a relevant address listed here

List of components used on a page (#17435)
(W Paul Gephart , Tuesday, April 08, 2003 3:54 AM)
Question:
How can I see what components are used by a particular element?
Answer:
The fastest way is to choose Component Order on the element menu (Ctrl+Shift+O). You can also click the button displaying component tags on the Compose toolbar

Error viewing KNO file after copying a collection (#17456)
(Veerle Hendrickx , Sunday, May 11, 2003 6:47 PM)
Question:
I copied the collections to another computer. I get the message "Error viewing KNO file data , I/O error 103"
Answer:
If you transferred via a CDR, you must have copied with the read-only attribute. Please remove read-only attribute from the collection files

Collection repair choices (#3987)
(joegunn, Friday, July 13, 2001 12:28 AM)
Question:
When I open recovery I am faced with the choices of recovering registries, checking filespace or checking all. How should I proceed?
Answer:
You do not need to understand these options. For safety of your learning process it is recommended that you do Basic Recovery from time to time (e.g. once per week). For safety of your entire collection you can check all options and execute a full checkup (e.g. once per month). You should increase the frequency of checkups if SuperMemo displays errors or if your computer crashes often. The basic difference between these two options is that the first is fast, the other takes longer. For example, a 500MB, 100,000 element collection may take 1 minute in basic recovery and 4 hours for the full checkup. If you do not care about building the full lexicon, you can uncheck Rebuild lexicon in full recovery.

Progress box was designed for processes lasting up to 24 hours (#6062)
(anonymous, May 20, 2003)
Question:
I was doing a big transfer (almost a million elements). Suddenly, the progress box went crazy and started showing some absurd estimations of time!
Answer:
Probably you must have run beyond the 24 hours capacity of the progress box component. This is a design limitation. The time displayed by progress box circles back to 0 once you pass 24 hours. This should not affect the process that was being monitored

Use your knowledge wherever possible (#17476)
(David Edwards, May 24, 2003)
Question:
We are encouraged to use our knowledge as we learn it. But the theory says that if we don't space out repetitions, we will not build stable memories
Answer:
Practice shows that using your knowledge will greatly enhance learning. It is true that frequent repetitions make it difficult to build long-lasting memories; however, there are many factors that counter-balance this problem:

  1. frequently used knowledge is rarely forgotten unless there is a sudden decrease in the frequency of use (the longer the period of frequent use, the later the detection of the problem by SuperMemo)
  2. "real life" repetitions are not uniformly equivalent to SuperMemo repetitions due to varying context clues; this mitigates the spacing effect
  3. using knowledge helps you establish meaningful structure of individual pieces of information; this dramatically improves recall due to the mnemonic value of structured knowledge

Statistically, the problem of "spacing effect" when using knowledge behind SuperMemo is negligible.

Today's leeches (#17567)
(Terje A. Tonsberg , Saturday, May 24, 2003 11:57 AM)
Question:
I would like to have "today's leeches" browser available
Answer:
After you find the leeches, you can choose Child : Outstanding in the browser

SuperMemo can be applied in nearly all forms of declarative learning (#17554)
(Bert Schouteten, Sunday, May 25, 2003 10:14 PM)
Question:
Why can't I use SuperMemo for learning a play, or song lyrics?
Answer:
You can. It may require some inventiveness and practice. It may also be impracticable. However, there are very few areas of declarative learning (e.g. as opposed to sports) where SuperMemo cannot be used

Merging collections does not affect the learning process (#17551)
(Geraldine, SatMay24,2003 4:29 pm)
Question:
Does File : Merge collection retain the learning history?
Answer:
After you merge two collections, you should be able to continue learning as before. In other words, the learning process is retained. However, not all components of learning history are retained. For example, past repetition data in Workload will only show repetition executed in the core collection (i.e. the one that accepted new data in the merger process).

Medical Biology is a good complement to medical studies (#17625)
(Bertrand Chung , Saturday, May 31, 2003 1:55 PM)
Question:
Is the Medical Biology Mix more suited for High-school or medical University students? Who compiled this specific mix anyway?
Answer:
Medical Biology has been created for students of medicine. However, it begins with material that is universally useful (perhaps the first 1000 elements or so). This mix is a prioritized conglomerate of several collections, mostly prepared by authors with background in medicine or biology. It can best be used as a supplement to medical studies where individual questions can be used for inspiration for further study. Best covered ideas extend from biochemistry, through cell biology to physiology and health science. In other words, the questions mostly describe a healthy body in action.

There aren't many ADD success cases with SuperMemo documented (#17626)
(singer, Saturday, May 31, 2003 2:41 PM)
Question:
I am an opera singer forget and ADD. I forget a lot of what I read, which frustrates me, and which makes me very excited about SuperMemo
Answer:
Everyone forgets "a lot" of what they read. The problem with ADD may be in perception, not the actual retention of knowledge. Although attention deficit, by definition, may hamper the acquisition of new memories, the long-term forgetting process will proceed along similar lines as in non-ADD individuals. In other words, the frustration of an ADD subject may often be related more to the inability to accept "the loss", which others would consider normal and acceptable. SuperMemo can relieve this problem substantially by leaving the student with the impression that "everything will be taken care of" sooner or later. In SuperMemo, there is no painful leak of information into the blackhole of forgetfulness. This awareness mitigates frustration and thus greatly reduces attentional problems at the root of ADD. However, there are indications that ADD individuals may be less inclined to stick with SuperMemo in the long-term for their characteristic novelty-seeking urge. Consequently, there is little material to predicate on the long-term impact of SuperMemo on learning in ADD individuals. For more see: SuperMemo in special education

There are two stages for downloading Advanced English Audio (#17787)
(sorlov, 2003/06/23 Mon PM 08:16:01 EDT)
Question:
After I got my 2 files (SuperMemo 2002 + Advanced English 2002 and History Mix) I am missing sound files of Advanced English. The file size with sound files is 216 MB while mine is 12 MB.
Answer:
Because of the fact that audio files are so large (over 200 MB), you are granted an access code only upon completing your order. This may take up to two business days. The files are later downloaded from a separate server (chosen for better transfer rate and lower transfer costs). Please see http://www.super-memo.com/ae2002app.html (Stage 2) for details of the procedure. In the meantime, you can use soundless Advanced English. All newly learned material will return for repetition in the next couple of days.

You need to use the mouse in multiple choice tests (#17776)
(TomÃ¡H KlinkovskÃ½ , Czech Republic, Friday, June 20, 2003 9:45 AM)
Question:
Is it possible to use keyboard in multiple choice tests? It would be nice to select answer with keys A, B, C, D or F1, F2, F3, F4
Answer:
No. You need to use the mouse. Only customized shortcuts could overcome shortcut overcrowding. However, this would make the program more complex and support more difficult (many solutions are explained with a few standard keystrokes). In addition, multiple choice tests are not consider an effective way of learning unless you specifically prepare for a multiple choice test exams.

Error restoring window (#6617)
(Geraldine , Wednesday, June 11, 2003 9:32 PM)
Question:
SuperMemo displayed the following error: "Error restoring window"
Answer:
This error may occur when SuperMemo reads the coordinates of its windows from supermemo.ini file. This might be caused by problems in reading from the INI file or a systemwide problem with accessing windows displayed on the screen (e.g. after a major crash of any application). Most likely you will resolve this problem by restarting Windows. This error should not pose danger to your learning data (unless it is followed by other errors of different type). This is the only one report of this error ever occurring.

Not all collections in SuperMemo Library meet the 20 rules of well-formulated items (#17931)
(Piotr S, Monday, June 30, 2003 8:18 PM)
Question:
In your "patellar tendonitis" collection I see a question which does not seem to make any sense without context:
Q: Grade 4: Pain during [...] which may or may not be getting worse
A: every day activities
Answer:
This item indeed makes sense only in the context of this very specialist collection. As the collection itself provides the context, it cannot be considered plain wrong. However, if you intend to import this collection to the main body of your knowledge, you will need to provide context. The simplest solution is to add a small picture to all elements in the collection that will illustrate the discussed medical condition. Alternatively, you can simply change the color of the background in the collection (assuming you do not abuse colors as these can easily become confused).

"Daily costs" in statistics tells you how much time you are likely to spend on learning (#18316)
(Cvmiller1, Monday, August 04, 2003 10:49 PM)
Question:
What is the meaning of the following items:
Cost 0.077 min/el.
Daily cost 0.071 min/el.
Does this mean I am going to be charged every time I use this program?
Answer:
All "costs" in statistics are measured in time (here in minutes). They tell you how much time you need, for example, to retain a single item in memory, or how much time per day you need to spend on repetitions. Once you buy SuperMemo, you can use the program indefinitely. In practical terms, it means "as long as you use a compatible computer and an operating system for which that given version was dedicated". For a detailed description of the statistics see: Statistics window (in similar cases, search box available on the home page of supermemo.com)

You can merge your orders (#18333)
(XueYang26, Tuesday, August 05, 2003 3:37 PM)
Question:
I was going to buy SuperMemo 2002 + Advanced English 2002, but I didn't click the right button. Now I only have SuperMemo 2002. How can I buy the Advanced English2002 without any extra cost?
Answer:
You can reorder, choose the product you need, and ask for the old order to be cancelled. You can also order Advanced English 2002 and ask for the two orders to be merged. In both cases, use the Comment field in the new order to submit your wish (e.g. "Please cancel order 6442" or "Please merge the present order with order 6442")

Capitals of the world (#18425)
(tps, Tuesday, August 12, 2003 10:21 PM)
Question:
I see a lot of people adding pretty useless knowledge to SuperMemo, which is a monumental mistake and only drags them down and puts them off SuperMemo. Why is there a "Capitals of the world" collection in SuperMemo Library? Who memorizes that kind of thing?
Answer:
You are right that knowledge selection is one of the pillars of success with SuperMemo. The value of knowledge varies dramatically, and students need to make their choices mostly on their own. Bad choices may result in a situation where learning without SuperMemo is actually more beneficial than learning with SuperMemo. However, there are subsets of universal knowledge that are in high demand. Nothing can beat the collections that help you learn English; however, capitals of the world are actually quite popular. What is useless trivia for one person may make valuable knowledge for someone else. In addition, the valuation of trivia changes in time. A first-grader may be proud to know that the capital of Germany is Berlin. A high school student may need to memorize 100 capitals for his exams. A university professor may feel uneasy to meet a student from Riyadh and be unable to put her on the map. Increasingly, knowledge of capitals of the world is simply a basic staple needed to understand the news when you may hear a report titled "Unrest in Monrovia" that will not even name the country in trouble. As we move towards knowledge economy, we will name more concepts and we will expect less explanation of these concepts in mainstream communications media. Consequently the bar for memorizing "trivia" will be raised. Names may often contribute little to our knowledge of the world, but are vital for efficient communication.

When purchasing via bank transfer, do not forget to notify us about your payment via e-mail (#18800)
(Krzysztof Salamon, Poland, Wed, 18 Sep 2002 15:28:55)
Question:
I paid for SuperMemo 2002 via bank transfer. It is now 3 weeks I have been waiting for the download instructions and the password.
Answer:
The data passed by the bank not always makes it possible to correctly identify the payee. For that reason, it is very important that you send a notification e-mail message about the transfer. Otherwise we may not be able to complete your order

Advanced English is no dictionary (#18365)
(Monika, Poland, Aug 14, 2003)
Question:
I am learning the geometry section of Advanced English, and I see that many definitions are very imprecise. For example:

Q: geom: a semicircular instrument for measuring angles (or drawing angles)
A: protractor

Protractor does not have to be semicircular. Some protractors are circular.

Q: geom: a right-angled quadrilateral
A: rectangle

A square is also a right-angled quadrilateral. What should I do if I answer "square"? I am sorry to say, but this is a problem occurring throughout Advanced English. I hope you will review this whole material and plug those holes in future releases
Answer:
The #1 misunderstanding about Advanced English is the belief that it corresponds to a dictionary of English. While dictionaries serve the function of listing all meanings of a given word, and providing precise definitions of individual meanings, Advanced English is a learning material honed for SuperMemo.

There are two basic differences:

  1. only one meaning of a word is permitted in a single item (see: 20 rules)
  2. there is no bidirectional semantic correspondence between the question and the answer

One meaning per item is a direct consequence of minimum-information principle. While unidirectional semantic link is a consequence of active recall principle (i.e. you are never presented with the answer in order to provide the question). You are right that protractors can be circular. However, all Advanced English needs to do is generate a semantic image of a concept (e.g. semicircular protractor) and ask you to name the concept. It might add a separate item asking about circular instrument for measuring angles. If it does not, it only comes from the limited size of the entire collection that is supposed to be memorizable within 4 years at 1 hour/day effort.
You are also right that a square is a right-angled quadrilateral. However, in this case you should grade yourself Fail. In Advanced English, you are not supposed to provide just any answer that fits the question. Neither are you supposed to provide all answers that fit the question. You are supposed to precisely name the concept delineated in the definition. As the definition does not say a word about the length of the sides, the only correct answer is rectangle.

Please keep on sending your ideas for improving this material; however, keep in mind the fact that Advanced English has never been and will never be a dictionary. That would undermine its function as an effective learning tool

Your first repetitions will occur in a few days (#18869)
(Victor Monso , Spain, Friday, October 03, 2003 9:35 PM)
Question:
I am new to SuperMemo. I entered several words by pressing Add New. I believed that if I wanted to check these words later, I could press the button Learn and I could see them. This way, starting the computer in the morning SuperMemo would show me the words that I would have to review on this day. Until now nothing like that has happened.
Answer:
SuperMemo usually does not schedule words for repetition on the next day. Instead, it is more likely to present those words in 3-6 days.
Try the following:

  • use PgUp and PgDn to go between elements to view them
  • use Contents (Alt+C) to view the knowledge tree
  • keep adding new words and wait 3-5 days until Learn starts showing your items
  • use Ctrl+W to see on which days SuperMemo plans your repetitions (you need File : Level : Professional or Middle for Ctrl+W to work)

If you do not manage to complete the final drill, delete it (#18892)
(Andy Y. Lin , USA Educational, Friday, October 03, 2003 4:21 PM)
Question:
When I leave the final drill to the end of the day, sometimes it's late and I don't get to the final drill
Answer:
In such cases, delete the final drill queue. Returning to the final drill on the next day is not recommended. Adhering to core repetitions is far more important

Rubbish bin for deleted elements is currently not considered (#18899)
(JP, Wednesday, October 08, 2003 8:38 PM)
Question:
Sometimes I delete an element by mistake. Please, could you introduce a special branch called Recycle bin or whatever, where all these elements would be automatically put?
Answer:
Such a solution would require a major redesign of the whole database access model. For example, deleted object registration mode would need to be added to registries. If deleted element objects were not registered, they could have been removed from the registry rendering the element un-restorable. If the object remained registered (e.g. by simply moving "deleted" object to a separate branch), they would interfere with dozens of registry operations (e.g. object replacement, object merging, etc.). Even if that interference was acceptable by an advanced user, substantial confusion and support costs could be added. A third registration mode "to-be-deleted" would solve this one particular problem; however, that would require redesigning the registry model. And this is only the tip of the iceberg. In other words, some software behaviors must be considered at the design stage to make the implementation viable.

Hallucinations are a common problem in sleep deprivation (#18891)
(anonymous, Pakistan, Friday, October 03, 2003 7:31 AM)
Question:
What happens in the mind, if you don't sleep continuously for 5 days? My female friend did not take night sleep for 5 days. She was screaming loudly. She was just out of sense. She was saying like I was a daughter of God (in Islam, God has no children so saying something like that means committing the biggest sin). Doctors gave her an injection and she then took a sound sleep and now acting normally as ever. Can you guess what actually happened to her?
Answer:
No. It is very difficult to answer similar questions over e-mail. Moreover, any attempt at diagnosis or guess might be dangerously misleading. Probably you will get the best answers from the doctors (e.g. those who know what kind of injection the patient received). It is only worth noting that hallucinations are a frequent occurrence in long-term sleep deprivation. Likewise, factors inducing hallucinations will often result in insomnia. Hopefully, the patient behavior will not be taken too seriously, esp. in reference to its religious implications.

We provide product discounts by default if applicable (#18895)
(Vukkum. JanardhanaRao, India, Tuesday, October 07, 2003)
Question:
I just recently purchased SuperMemo 2002 without Advanced English, because I did not know much about SuperMemo. Otherwise I would have purchased Advanced English too with your discount rate. Can you please provide a discount for this purchase as I bought both products in the same order.
Answer:
Yes. We provide such discounts by default whenever applicable. The two orders are merged and the charge is the same as if you bought both products. See the charges on your credit card to make sure they match the conglomerate purchase

You cannot reach 100% retention (#19364)
(Rick Miller, USA, Oct 11, 2003)
Question:
I believe it is possible to write software that will make 100% retention possible
Answer:
No. 100% retention is not possible.

  1. Mathematically speaking, forgetting is expressed by a negatively exponential survival function with a finite time to failure. As a consequence, there is no non-zero inter-repetition interval that guarantees 100% recall.
  2. Biologically speaking, forgetting can be compared to radioactive decay. You never know what and when you will forget. Even if the decay is expected to last millions years, a radionuclide may be subject to decay at any time. The same happens to protein complexes that store memories in synapses. Even if you are expected to remember your mother's birthday for decades, you may, theoretically, spontaneously forget it tomorrow.
  3. Practically, you can play with the forgetting index in spaced repetition. When you reduce it below 1%, the repetitions become so frequent that the spacing effect throws the entire learning process into chaos. For that reason, SuperMemo does not allow of the forgetting index below 3%.
  4. In simple words, learning is like driving a car. There is always a risk of forgetting and accident. The trick is to balance the level of risk with the safe and speedy arrival at your goals. You cannot drive the risk to zero

You need to unpack and run your Pocket PC installation program on your PC under Windows (#5660)
(Paul Muter , Canada, Saturday, October 11, 2003 2:58 PM)
Question:
I used Active Sync to put the file on my new Dell Axim, but when I try to run SuperMemo for Pocket PC 2.5 (smce250), I get an error message: "There is no application associated with 'smce250'. Run the application first, then open this file from within the application."
Answer:
The installation program setup.exe should be run on your PC under Windows after you unpack the downloaded ZIP file

Q&A import is slow (#9041)
(Mike Condron , Friday, April 26, 2002 6:23 PM)
Question:
I am importing about 7000 questions into a collection, and I am noticing it is taking about 20 minutes to do this. This is a 1 GHz Pentium III. I am seeing that SuperMemo seems to be updating the progress information in the dialog box very frequently. Does it not slow it down?
Answer:
No. Database structure in SuperMemo is quite complex and importing items always takes some time (esp. if you are building the lexicon at the same time). The update of the progress box on the screen takes an imperceptible fraction of time that is otherwise consumed by file operations. Unfortunately, no tangible saving can be made here

Do not use hints in learning (#19850)
(mahabharatta, Sun, Nov23, 2003 1:51 am)
Question:
Could you put up step by step instructions on how to add a hint to an existing item such that when 'show answer' (or some other button) is pressed a hint comes up, not the answer, then press answer again, the actual answer comes up
Answer:
Hints (partial answers) are not recommended. Memory associations have the form stimulus-response. The outcome of learning with hints will depend on your grading system (i.e. your decisions about the satisfactory level of performance). The two associations that might be formed are:

1. Stimulus=Question+Hint, Response=Answer

2. Stimulus=Question, Response=Answer

You will either learn (1) or (1 and 2) or, less likely (only 2). The recommended approach is to decide if answering the question with the hint is satisfactory or not. If not, do not use the hint (otherwise you may never meet your goal). If yes, use the hint in the question. If your decision is: it is enough if I learn with a hint, but it would be nice to learn without a hint, then introduce two items: with and without a hint. Then keep the item without the hint in the learning process only if it is remembered well. Otherwise, delete the item without the hint if the cost of retaining it in memory is unacceptably high (e.g. more than 5 lapses).

Problem with accessing on-line help (#20359)
(Hongsoo Kim, Feb 1, 2004)
Question:
I cannot use any help function under the Help key in the menu bar. I tried to access on-line help, however, supermemo.com site doesn't pop up and a warning sign appears: "This page cannot be found". What's wrong?
Answer:
Please try again. On Feb 1, 2004, there was a temporary break in service due to traffic overload

SuperMemo can be used to learn music (#20273)
(jona , Netherlands, Wednesday, January 07, 2004 4:46 PM)
Question:
How could I use SuperMemo to learn to recall various tunes?
Answer:
You will need a stimulus component and a response component. Your stimulus component may be as simple as a question: "Can you sing Macarena?", or a part of a score you want to sing or play, or a soundbite (e.g. first bars of a popular tune). Your response component will help you verify your recall or remind you the correct answer. It may have a form of a sound component (e.g. WAV or MIDI file) or an image component (e.g. the score), etc. Using this method you will be able to remember thousands of tunes and adapt review frequency to the progress in learning.

Importing large word lists (#25099)
(Mekael Teshome, Apr 07, 2004, 22:45:39)
Question:
I have a large list of definitions (1,000 - 5,000 words) in word format and excel format. Will I be able to transfer those quickly into SuperMemo (like cut and paste) or would I have to do each word one at a time?
Answer:
The recommended way of import is to paste the entire list once to SuperMemo with Ctrl+Alt+N and process it with incremental reading. For various reasons, users dislike this approach (mostly for not being fluent with the use of incremental reading techniques). If this seems too complex, export your list to Q&A format and import via File : Tools : Import : Q&A Text

Using SuperMemo on two computer (#24587)
(Dr Ram Udupa, Apr 24, 2004, 23:12:57)
Question:
I have a computer at work and one at home. Would I be able to download SuperMemo to both computers for the price of one?
Answer:
Yes. This situation is quite common, and we do not ask for a second license for using the program in several locations.

SuperMemo for a friend (#25244)
(lisa yim, Apr 22, 2004, 15:38:39)
Question:
I want to get SuperMemo for a friend as a gift and don't want to just give her the money. Is there anyway to buy it and give it to someone?
Answer:
Yes. Please order and specify (1) the e-mail address of your friend and (2) the message that you would like to add to the gift. Alternatively, you could order a CD-ROM product and specify the postal mailing address

Difficult Interface (#25249)
(ericthompson, Apr 14, 2004, 00:28:01)
Question:
I tried SuperMemo 2000 and found the GUI to be really, I mean really, difficult to use. Is there another interface that has been developed since then?
Answer:
No. Currently SuperMemo continues with solutions inherited from SuperMemo 98. To use SuperMemo, you do not need to understand its interface, menus nor advanced functions. You can start off with just two keystrokes.
Recently, two new interface solutions have been proposed to tackle complexity but none has been demonstrated to make life easier for beginners. However, both were still optimized with the advanced user in mind

SuperMemo 2002 peels off meta tags (#10043)
(Tomá‘ Klinkovský, Czech Republic, 21.6. 2002)
Question:
I learn HTML articles in Czech (usu. "windows-1250" codepage). When I edit the page, the text is rendered using a different code page. I can fix this by Ctrl+Shift+F6. I simply add:

<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />

But when I make further changes in the editing mode this <meta> element is lost
Answer:
Indeed, SuperMemo peels off meta tags when saving HTML (precisely, it saves only the so-called "inner HTML"). This substantially reduces the size of collections, which are often full of short texts such as "yes", "no", "1987", etc. This behavior can be partly circumvented by importing full HTML pages or manually adding meta-tags. However, the outer HTML will be removed on first editing. Currently, there is no option to keep outer HTML in file

Blocking parts of pictures (#12239)
(Perseus Missirlis, Canada, Sunday, August 04, 2002 3:08 AM)
Question:
How do I bring in pictures? How do I block out certain sections of the pictures?
Answer:
You can import pictures by simply pasting them to SuperMemo. Then you need to learn how to create so-called occlussion tests. Here are some articles that discuss this:

  • Flow of knowledge in SuperMemo
  • 20 rules of formulating knowledge in learning
  • FAQ: Collection authoring with SuperMemo
  • FAQ: Knowledge Structuring


FAQ: Collection authoring with SuperMemo

Overview articles:

  • templates
  • categories
  • knowledge tree

Questions:

You can change the position of the question window
Rich text components do not store fonts
 There is an important difference between items and topics
You can change the font in a number of items at once
You can quickly change items into topics
You can learn English in your own language (e.g. Japanese)
You can center texts in text components
You can turn off component focus switching on mouse move
Knowledge tree is like a family tree
Merging collections is bound to be slow
Editing an element with a template may affect the template
Creating occlusion tests is simple
Scaling occlusion tests
You can underline important words
If Add New does not create needed components, you can redefine the template
You can import text files as questions and answers
You can display structural formulas in chemistry
You can add mathematical formulas
You can quickly duplicate elements
Use the editing mode to fill out text fields
Determining the timing of sound playback
You can copy components via the ClipBox
Creating a hyperlink is simple
Keep only one collection!
You can import audio and video files in most popular formats
Copy collection can be used to take your learning material for a vacation
If you have many collections, you can merge them in one
Categories help you organize material in groups
To use a category template you need to select the category
 You can add sounds to your items
After choosing a category, last added element is displayed
Do text replaces on a subset of texts
Categories are not visible in Contents
Script commands
Components are displayed in the same order they were added to an element
 Use Apply Template in the browser to globally replace one template with another
You can delete all occurrences of 'zzzz'
You can import text to SuperMemo
Q&A import can only be used to import plain text
Secondary storage is used to tell SuperMemo where your CD-ROM is
Use "Import file" to import an EXE file to be run within SuperMemo
You can use speech recognition software to build your collection
You can add new phonetic transcription entries
You can see the number of the current element
You can add sound recorders to your elements
You can recognize the editing and dragging mode by the appearance of components
In question-and-answer import you need to use plain text files
You can replace one image with another
Importing tab-delimited text
The format of text files that can be imported to SuperMemo is very simple
You can use a link to an external site in HTML component
SuperMemo cannot decide when to reset the learning parameters of an element
 Inserting pictures from the registry
You can create multiple-choice items
You can use Size : Fill on image components to make them scale
 Occlusion rectangles are part of content
 You can "merge" two pictures in the registry
 You can add a picture to many elements
 Increasing the size of the font
 Default font in Options does not work
 Template objects are not registered with elements that use the template
 Use Alt+PgDn to go to the next element
The use of spell-pad should be restricted to spelling exercises
Deleting all elements in the browser
 You can paste images from the clipboard
Non-HTML texts are not kept in formatted files
Adding predefined templates to the registry
 Infinite cycle of template corrections
 Strange category names
 Inserting a category in the knowledge tree provides more control than adding it as a child
 Use "Replace target" mode to swap two folders in the contents window
 Transferring a collection to a new file will renumber elements
 Overwriting templates
You can import items sent in a text file from a friend
RTF and HTML components stay always on top
Limit on the number of children in contents is imposed for performance reasons
Set category ordinal to zero to choose a sequential ordinal
 Pictures do not show after applying a picture-less template
 Let the music play
Sound component may not disable player buttons even if the sound file is missing
You can select more than one elements in the contents window
You can disable scripts and players
 OLE controls do not scale
Importing MCT along Q&A
You can change the default font
Infinite recursive text replacement
Swapping question and answer in many elements
 You cannot replace HTML tags globally
Scrollbars appear if the content of the element window goes beyond its client area
The purpose of View Source
Using categories
You can undismiss elements in your collection
Templates can affect the displayed texts
 Use Esc in Contents to cancel Default Element
What is the meaning of ??? chars in phonetic transcription?
You can create many different testing exercises
SuperMemo does not use "Save As" because it does not keep files in memory
SuperMemo cannot convert WAV files to MP3 format
Ctrl+A has been replaced with Alt+A
 Efficient image compression
Drag&Match allows of no more than ten rectangles

You can change the position of the question window
Question:
How can I change the position of the question field on the screen?
Answer:
Alt-click the question twice. It will become draggable. Alternatively, you can choose Dragging mode on the question component menu or on the element menu (in the latter case, all components will become draggable). If you want to change this position globally (i.e. in all elements in your collection), you should use templates. See: Using templates

There is an important difference between items and topics
(Jim Ivy, USA, June 4, 1997)
Question:
What is the difference between a topic and an item?
Answer:
Topics are used to present knowledge or learn by reading (e.g. articles on the reading list). Items are used to test knowledge by means of repetitions (very often they have the question-and-answer structure). See also: Topics vs. items

You can quickly change items into topics
(Piotr Wysocki, Poland, May 14, 1997)
Question:
How can I change an item to a topic and vice versa without using branch operations in the contents window?
Answer:
Press Ctrl+Shift+P and select the type in Element type (on Item/Topic tab). See also: Topics vs. items

You can learn English in your own language (e.g. Japanese)
(Tomoki Takahashi, Japan, Feb 6, 1999)
Question:
I would like to learn English with questions asked in Japanese. How can I do it?
Answer:
You have to (1) create your own template with the Japanese font in the plain-text question field (you can use Text : New Font to change the question font in the classic template), (2) save the template with Template : Save as default. Do not use rich text components in your template as these do store a font setting!
After this, each time you choose Add new (or press Alt+A), your questions will be generated in Japanese and answers will retain standard look (you can also swap English with Japanese by using Edit : Swap components).
Although you cannot change the writing direction in SuperMemo text components (from yokogaki to tategaki), you can include texts via OLE from Japanese Word or Ichi Taro word processors. These programs use either Microsoft IME or ATOK utilities to input Japanese text. Microsoft IME is part of Japanese Windows. ATOK is part of the Ichi Taro word processor (Justy System) but can be installed as a separate unit. With ATOK you can change from the English to the Japanese input mode. It is fully compatible with SuperMemo: 1) You type the pronunciation of a word from the keyboard, 2) press Space, and 3) select the appropriate kanji(s) from the list showing those matching the input sounds combination. Ganbatte ne

You can center texts in text components
(Jake White, USA, May 14, 1997)
Question:
I learn Romanian vocabulary. How can I center the word in the question component?
Answer:

  • if you are using rich text component: click the text and click the center alignment on the Format toolbar
  • if you are using plain text components: check Text : Alignment : Center on the question component menu (available with right-click)

Knowledge tree is like a family tree
(John Gibney, Australia, Sep 1, 1998)
Question:
What is the difference between children and descendants in the knowledge tree?
Answer:
Children of a given element are those elements that are shown when you click the plus sign to the left of the element. They are all connected with the parent element and are shifted one level to the right. The descendants of a given element are all children of all children of all children, etc. If you take an analogy with a family, the descendants of an individual include children, grand children, grand grand children and so on. For more see: Creating the knowledge tree

You can underline important words
(David K. Harris, Peking University, Oct 23, 1998)
Question:
I would like to underline important words in my elements, but have not yet figured out how to change the font of individual words within components
Answer:
You should use RTF or HTML components instead of plain text components. In an RTF or HTML component, select the text to underline and click the underline icon on the Edit toolbar (or Ctrl+U). If you want all your elements to use HTML or RTF components instead of plain text components, save your new components as a default template for your currently used category. Read more: Using templates

You can import text files as questions and answers
(Jeremy Sherman, USA, Oct 12, 1998)
Question:
I am using Filemaker Plus to create a more comprehensive database for quotes, my ideas, etc. of which only a select number of items are the kind I would want to commit to memory. I have not found any reference in the help menu to ways to import a number of elements and test items directly into SuperMemo. Can you suggest a format for importation? I do see the section on Import Q&A but I don't see how to format the fields
Answer:
For File : Tools : Import : Q&A text, it is enough you create a text file in the following format:

q: <text of the question>
a: <text of the answer>

q: <text of the question>
a: <text of the answer>, etc. etc.

For example:

q: What is the name of the Polish king dynasty that ended with Casimir III?
a: Piast dynasty

q: Which Polish king dynasty did Casimir the Great belong to?
a: Piast dynasty, etc. etc.

You can display structural formulas in chemistry
(Charles Maggio, USA, July 7, 1997)
 Question:
I use ChemDraw to create structured formulas of organic substances. How can I paste them to an image component?
Answer:
You can use your ChemDraw formulas and formulas generated with other applications as long as they support OLE 2.0. Do not use the image component here, use the OLE component. This will make it easier to edit your formulas once you decide to change them

You can add mathematical formulas
(Gabor Schmera, USA, Dec 13, 1997)
Question:
I would like to add mathematical formulas to my items. What is the best way? I have equations ready with MS Word 97.
Answer:
Use OLE component to display files generated with other applications (if they support OLE 2.0)

You can quickly duplicate elements
(Ryszard Kosowicz, Krakow, Poland, May 16, 1997)
Question:
How can I quickly copy the text of an item to another item without using clipboard twice (for question and for answer)?
Answer:
Use Duplicate on the element menu (or press Ctrl+Alt+D on the copied element)

You can copy components via the ClipBox
(Doug Edmunds, USA, Nov 4, 1997)
Question:
How do I paste the contents of a Component ClipBox on a new element?
Answer:
Drag it onto an empty area in the element window

Creating a hyperlink is simple
(David Mckenzie, New Zealand, Apr 8, 1998)
Question:
How to make a hyperlink?
Answer:
Choose Link : Hyperlink on the component menu and click the element that is to be hyperlinked in the contents window

Keep only one collection!
(David Mckenzie, New Zealand, Apr 8, 1998)
Question:
Is there any point in keeping collections separate?
Answer:
No. Once you master contents categories and templates, there is no point. You gain global search, global registries, global repetitions, global optimization, etc. This would not be advisable back in SuperMemo 7 as item difficulty measure (E-factor) was dependent on the average difficulty of items in the collection. Presently, the item difficulty measure (A-Factor, or absolute difficulty factor) is absolute and does not depend on the context in which an item is placed (see: SuperMemo Algorithm). Only the length of the first interval will significantly be affected by the average difficulty of items in the collection. However, this shall not bear dramatically on the speed of learning. Especially that variable forgetting index for individual items makes it possible to set different first intervals for whole contents categories or branches of the knowledge tree

If you have many collections, you can merge them in one
(Peter Rasmussen, Denmark, May 20, 1999)
Question:
I created a couple of collections and would like to put them all into one. How can I do it?
Answer:
In each collection choose File : Merge collection. Always select the same collection as the target of the transfer. Please note that unregistered objects do not get transferred (e.g. script images, global background image, global default font, etc.). You will have to set those manually and resolve possible conflicts (e.g. you can use only one global background image but you can set images individually for all elements if necessary)

Categories help you organize material in groups
Question:
What is the purpose of the category registry (Search : Categories)?
Answer:
SuperMemo introduces the concept of a category to help you keep items related to different subjects in different branches of the knowledge tree (contents window). It also makes it possible to give different item groups different appearance (e.g. size of text components, screen layout, font, color, and many more). Read more: Using categories

To use a category template you need to select the category
(Vidar Garlie, Norway, Mar 18, 1999)
Question:
When I go to the contents window, select a category branch and click Alt+A, the template of this category is not used! Can you help?
Answer:
To use a category template, you have to first choose the category in the category combo box on the Tools toolbar. Selecting branches in the contents window does not affect the current category selection

You can add sounds to your items
(Ron Uebel, Feb 7, 2001)
Question:
I just need to know how to paste a wav or audio file as an item. And when I paste it into an item at the top, I want to add text as an answer at the bottom
Answer:
 Try the following:

  1. Add a new item (e.g. Alt+A)
  2. Create an audio component by using the Compose toolbar
  3. Use Ctrl+Q to import an audio file (unless the file is already in the sound registry)
  4. Right click on the sound component and choose Play at from the menu to change the behavior of the sound component
  5. Create a text component by using the Compose toolbar
  6. Type in the text in the text component
  7. Right click on the text component and check Answer on the menu

See also: Using templates (there is a predefined Sound template in the template registry)

After choosing a category, last added element is displayed
(Marcin Piekarniak, Poland, Dec 2, 1997)
Question:
Why after choosing a contents category the last item in the category is displayed; not first?
Answer:
When you add new items you want to know which one was added last. You can easily navigate to the root by using the parent button on the element toolbar (or press Ctrl+Up)

Components are displayed in the same order they were added to an element
(Volker Goretzki, Germany, Feb 22, 1998)
Question:
Which rules does the overlapping of components follow?
Answer:
Components are displayed in the order in which they were added to the element. To change this order use Component order on the element menu

You can delete all occurrences of 'zzzz'
(Volker Goretzki, Germany, May 6, 1997)
Question:
I would like to remove all occurrences of a string 'zzzz' from a collection. What is the simplest way?
Answer:
(1) Choose Search : Text, (2) choose Find and replace on the menu, e.g. by pressing Ctrl+R, (3) type in 'zzzz' in Find what field, (4) leave Replace with empty, and (5) choose Replace All

Secondary storage is used to tell SuperMemo where your CD-ROM is
(Artur Osadowski, Poland, Sep 5, 1998)
Question:
Does the setting of Access Mode in Tools : Options : Data access affect the accessibility of sounds on CD-ROM?
Answer:
No. To make sure SuperMemo correctly reads sounds from CD-ROM, you only have to provide the correct path in Tools : Options : Data access : Secondary storage

You can add new phonetic transcription entries
(Dusko Ivanisevic, New Zealand, Oct 1, 1998)
Question:
How can I add phonetic transcription to some words?
Answer:
Press Ctrl+Alt+P and type in the word and its transcription. If the transcription dialog does not appear, you have not chosen phonetic transcription in Options. In such a case do the following:

  1. Choose Tools : Options : Language : Phonetic transcription
  2. Select ready-made transcription file or type in a name for new phonetic transcription registry (in the latter case, you will be building phonetic transcription registry from scratch)
  3. If necessary, choose Font on the left to select phonetic transcription font (e.g. IPA font available from Advanced English)
  4. Once a given word appears on the screen, press Alt+Y to transliterate all texts (or use on-mouse-move transliteration)

Note that SuperMemo Library includes IPA phonetic transcription of English (including the IPA font) with 72,000 transcriptions

You can see the number of the current element
(Doug Edmunds, USA, Nov 4, 1997)
Question:
What is the fastest way of checking the number of the currently displayed element?
Answer:
press Ctrl+G (or look at the caption of the element data window)

In question-and-answer import you need to use plain text files
(C. Martin, Germany, May 23, 2001)
Question:
I create an RTF file with multiple choice text items. When I import this with File : Tools : Import : Q&A Text nothing gets imported
Answer:
You need to use a plain text file format (i.e. not an RTF or HTML file). For example, save your file via a NotePad rather than via MS Word

Rich text components do not store fonts
(Christoph Lichtenberger, Germany, Tue, Apr 24, 2001 0:18)
Question:
It seems that applying or even imposing a template never changes the fonts of an element's text fields
Answer:
This is true for rich text or HTML text templates. These texts have the font encoded in the text file. If you want to impose a font on your elements, use a template in which plain text components are used instead (e.g. Classic template). Plain text components keep a fixed font association. The font you use in the template will then be visible in your elements

You can turn off component focus switching on mouse move
(Adam, Australia, Tue, May 01, 2001 3:06)
Question:
My Sound component kept disappearing under the question field. I had to move the latter to be able to relocate the former. When I tried to remove the Sound component by using a menu, it kept losing focus and some other element was being selected for deletion
Answer:
You can turn off focus switching with the mouse by unchecking Activate edited components on mouse move in Tools : Options : Mouse

If Add New does not create needed components, you can redefine the template
(noam-at, Israel, Aug 04, 2001)
Question:
When I click Add New, I get a new item, but SuperMemo doesn't create two editing fields for the question and answer. Instead, I see the gray screen of SuperMemo without any fields
Answer:
Add New uses the default template to create new items. If you delete all components (e.g. question and answer fields) from the default template, Add New will add new elements that look empty. If you want to restore your question and answer components, you need to redefine the template. If you are not very fluent with templates, locate an element in your collection that looks ok and choose Template : Save as template on the element menu. This will save the look of the selected element in the default template. Add New will then replicate this look

SuperMemo cannot decide when to reset the learning parameters of an element
(Eric Chen, Japan, Fri, Jun 22, 2001 3:06)
Question:
If I use Ctrl+Shift+S to swap components without making a duplicate, what would happen to the historical data of the element (assuming that I have done drills on that element for a while)? Does it get reset as well?
Answer:
No. If you decide to swap components, you should reset the learning process manually (e.g. with Ctrl+R or Ctrl+M). SuperMemo never attempts at guessing if you have done enough editing to justify relearning the element. Consequently, all learning decisions (e.g. Forget, Remember, Postpone, etc.) are up to you

You can change the font in a number of items at once
(Walter G. Mayfield, Jr., Friday, July 06, 2001 4:23 PM)
Question:
Is there a way to apply a font to large batches of items at once?
Answer:
This is possible in the following circumstances:

  1. all the items must use the same template or be able to receive the same template (i.e. be "compatible" with a given template structure)
  2. the components in question must be plain text components (i.e. not rich text components)

In such cases you can:

  1. Redefine the template used by these items (e.g. by simply changing the template font)
  2. Re-apply a new template (with the desired font). For example, read about browser operations (Process all)
  3. Redefine the font used the the currently applied template (e.g. with Edit Font on the component menu or by editing font in the font registry)

Copy collection can be used to take your learning material for a vacation
(Terje A. Tonsberg, Tue, Aug 28, 2001 20:10)
Question:
I have tried to copy my collection using File : Copy collection and Quick backup. In both cases I was unable to use the copied collection and got the following message when trying to open the collection: SuperMemo has just displayed the following error: "Cannot find optimization file E:\ABC (2001-08-04 06-07-07)\info\sm8opt.dat"
Answer:
You are using correct options. This error should not typically occur. Some of possible causes for such a message, all rather unlikely, could be:

  • lack of hard disk space
  • hard disk integrity problems
  • stability problems in Windows
  • locked file permissions
  • corrupt image of SuperMemo in memory, etc.

Please see why you are opening default ABC collection instead of your own collection (e.g. German.kno). Restart your computer and try to copy to different locations or under different collection names. Try to run File : Repair collection on the collection you are trying to copy. If this problem persists, please try to provide as much details about this situation as possible. Note also that the said backup was made on Aug 4 (i.e. 24 days before sending your inquiry)

Use Apply Template in the browser to globally replace one template with another
(Nick Jones, Sep 02, 2001)
Question:
I created a temporary template with the map of Mesopotamia to apply it to all my items related to this subject. How can I now delete this template without affecting these items. I will not need the template in the future
Answer:
You would need to impose and detach this template in all items that use it. However, if you have a similar template that could be used instead (e.g. question + answer + picture template without the map), you could do the following:

  • select the Mesopotamia template in the template registry
  • choose Ctrl+B to open all elements using this template in the browser (only 500 references can be tracked this way)
  • use Template : Apply template on the browser menu
  • choose the replacement template (e.g. Picture)
  • delete the Mesopotamia template in the template registry. For security, check if its user list is zero (Use=0 at the bottom of the template registry window)

You can add sound recorders to your elements
(Gabor Schmera, USA, Dec 13, 1997)
Question:
How do I add a recorder component to my items (as it is done in Advanced English)?
Answer:
Add a sound component and check Sound : Panel : Recorder on the component menu

You can use speech recognition software to build your collection
 (Michael Doren, USA, Sep 7, 1998)
Question:
I am writing a collection for learning Windows NT 4.0 for my certification test. I am toying with the idea of using Dragon Naturally Speaking (a speech recognition program) to create my questions and answers in MS Word. Any suggestions on that?
Answer:
Probably the simplest approach is as follows:

1. Use the following text file format:

Q: <text of the first question>
A: <text of the first answer>

Q: <text of the second question>
A: <text of the second answer>, etc.

2. Replace Q: and A: with some easily spelled phrase that you would later replace globally. For example:

elephant Which tool can be used to manage security for domains?
giraffe User Manager for Domains

3. Convert the above text to:

Q: Which tool can be used to manage security for domains?
A: User Manager for Domains

4. Save the file in plain text format

5. Use File : Tools : Import : Q&A text in SuperMemo to import the text file to your collection

Scaling occlusion tests
 (Mike Condron, USA, Jan 19, 2001)
Question:
In occlusion tests, when I resize the element window, the occlusion rectangle moves relative to the picture. How to prevent it?
Answer:
This will happen if there is a mismatch between resizing attributes of the picture and the element window. Do one of the following:

  1. Turn off Scaled on the element menu (to prevent resizing components), or
  2. Check Image : Size : Stretch on the image component menu (to make sure the image resizes along all other components)

Categories are not visible in Contents
(Dustin J. D., USA Educational, Monday, May 06, 2002 2:27 AM)
Question:
I click an element in the contents window, hit Ctrl+K, have SuperMemo ask for the name for the category, and then have the category created, but not visible from the contents window
Answer:
You cannot see categories in the contents window (except by seeing individual branches grow when you add category elements). Once you create a category, you can inspect its parameters with Search : Categories. The contents window makes it only possible to view the structure of the knowledge tree. If you want to know where the category is rooted in the tree, click Root in the category registry. The basic role of categories is to simplify adding elements to separate branches of the tree. Categories are not supposed to give you more control over the tree. Just the opposite; categories delegate the job of building the tree to SuperMemo

Use "Import file" to import an EXE file to be run within SuperMemo
(Makoto Miyagishi, Japan, Wednesday, May 08, 2002 10:05 PM)
Question:
I want to use the program component to run an exe file. How can this be done?
Answer:
Follow these steps:

  1. Create a program/binary components (click its button on the Compose toolbar and click two points in the element window to mark the top-left and the bottom-right corner)
  2. Select Import file in the newly created component (right click over the program component button)
  3. Select the EXE file to import

Now, each time you click the program component button, your EXE file will execute

Let the music play
(Piotr, Feb 06, 2002)
Question:
I imported some MP3 files with music to test my knowledge of my favorite bands. How can I keep the music play after I move on to next repetitions
Answer:
Music will be cut off as soon as you move on to your next repetition. However, you can go around this if you choose Edit : View file (or press F9) on the sound component. This will open your default MP3 player with your currently playing MP3 file. You can continue repetitions while the music stays on

You can disable scripts and players
(Mark P., Feb 06, 2002)
Question:
When I used Advanced English 97 with SuperMemo 2000 on a computer without a sound board, I was not able to get rid of those pestering message about the missing sound system. Is it solved in SM2002?
Answer:
You can use disable players on the Action toolbar (the same button that was used in the past only to disable scripts)

OLE controls do not scale
(R.K., Feb 06, 2002)
Question:
Why do not OLE controls resize along the scaled element window?
Answer:
OLE servers may affect element window scrollbars. As scrollbars are the coordinate reference for scaled forms, OLE container never scales. This change will make it possible to use most compliant OLE servers with the Scaled attribute on

What is the meaning of ??? chars in phonetic transcription?
(S. Stankiewicz, Tuesday, March 26, 2002 8:31 AM)
Question:
I installed English Phonetic Transcription (including the font SuperMemo IPA). However, all I get is strings of question marks ????
Answer:
Question marks are displayed if there is no phonetic transcription of that given word in the phonetic transcription registry. Either your registry is empty or you are using the transcription on non-English texts. See Search : Other registries : Pronunciation by word to view the contents of the transcription registry. If the registry is empty, you might have typed a wrong name at Tools : Options : Language : Phonetic transcription. It is also possible you did not copy all registry files to their target location. In such cases, SuperMemo would recreate the registry files (the missing ones would become empty)

Use Esc in Contents to cancel Default Element
(Jiri Pik, Germany, Thu, May 02, 2002 17:06)
Question:
In Options : Data Access : Default Element, if I change the default "Last used" into a particular element, then I cannot change this back
Answer:
After using Default Element in Options, press Esc in the contents window instead of choosing Accept

You can replace one image with another
(Robert Drozd, Poland, Fri, May 24, 2002 21:31)
Question:
How to globally change one image into another?
Answer:
Select the image in image registry and choose Edit : Overwrite file

Script commands
(Daniel, USA Military, Wed, May 29, 2002 15:01)
Question:
Is there a reference on the command set and arguments for SuperMemo scripts (e.g. START 3, HITTEST , WAITGRADE, GOTO 2), etc.
Answer:
Yes. See: Script commands

Ctrl+A has been replaced with Alt+A
Question:
What happened to Ctrl+A shortcut? I have used it for years to add my items!
Answer:
Use Alt+A for the same purpose. Many customers complained that the old Ctrl+A shortcut was in conflict with the Select All standard for word processing in rich texts and HTML components

Inserting pictures from the registry
(Beta, Feb 14, 2002)
Question:
What is the fastest way to put a registry picture in an element?
Answer:
Select the picture in the image registry, click Insert, and answer no to "Create new element?"

Do text replaces on a subset of texts
(Jens, February 2002)
Question:
When I do text replace on a large collection it goes awfully slow!
Answer:
Do not do replace on the whole text registry. Search for the words to replace first with Ctrl+S and then run the replace on the registry subset with Ctrl+R. While the search procedure goes via plain text and is lightning fast, replace examines each registry member one by one

You can use Size : Fill on image components to make them scale
(Beta, Feb 06, 2002)
Question:
When I use Scaled, my anatomy occlusions get messed up. The rectangle moves in reference to the picture
Answer:
Pictures are not rescaled with Scaled, only their bounding size changes. You need to choose Size : Fill option if you want pictures to be scaled along with the image component

Occlusion rectangles are part of content
(Beta, Feb 07, 2002)
Question:
Why do my occlusion rectangles move when I resize the element in the browser?
Answer:
Shapes (including rectangles) are the only components whose location and size are interpreted as content; i.e. not style. Only style is part of objectless template. Shapes are content as they play an essential part in occlusion learning and cannot be moved by changes to the template. However, this may produce rectangle misplacement if you size the element area in an element that uses a scaled template. This is why you have to turn Scaled off if you want to size occlusion template. Important! You also need to turn scaled off in the source (accessible with Shift+Ctrl+U). Otherwise, the source will be scaled behind the template's back and propagate scaled coordinates through the template (which is transparent to content -- including occlusion rectangles). For simplicity, you could simply impose the occlusion template on source (Ctrl+Shift+F2), turn the scaled off, and only then place the rectangle in the desired location

You can "merge" two pictures in the registry
(Beta, Piotr, Feb 07, 2002)
Question:
I have two pictures of a sea horse in image registry. I want one to replace the other in all places in my collection
Answer:
Use rename to give one member the same name as the other. SuperMemo will ask you which one should remain in the registry. If you use SuperMemo in the debug mode, you may see redirection warnings when using the new sea horse. Registry redirections will be eliminated at first File : Repair collection with Rebuild registries on

You can add a picture to many elements
(Beta, Feb 06, 2002)
Question:
How can I add a picture to a subset of elements
Answer:

  1. add the picture to one of these elements
  2. save the template with objects
  3. open the elements in the browser
  4. apply the new template to all elements
  5. impose the template on all elements
  6. delete the template

Increasing the size of the font
(Beta, Poland, 02-03-08 17:37:43)
Question:
I tried to enlarge font in the answer part, but when I click the icon in the toolbar, the cursor jump at the end of the question part and nothing happens
Answer:
To enlarge a font using the Format toolbar, you need to select the text that is to be modified. You do not need to select the text if you use Ctrl+] and Ctrl+[ in presentation mode, but in such circumstances, all text components will be affected

Question font in Options does not work
(Piotr, Beta, Mar 08, 2002)
Question:
I changed Question font in Options, however, my text components still display the old font
Answer:
Question font will only be used in components that do not define their own font. For example, if you format text in HTML components, the formatting will not be overridden by Question font. If a plain text in HTML components uses a registry font (via Link font), Question font will not be used either. See: Font options

Template objects are not registered with elements that use the template
(Beta, Feb 06, 2002)
Question:
Why aren't template objects registered with all elements that use them?
Answer:
Template change would require up to thousands of registration changes (depending on the frequency of template use). This is not possible for performance reasons with present data structures

Use Alt+PgDn to go to the next element
(JP, Beta, Feb 05, 2002)
Question:
One thing that drives me mad about read-points is that I cannot use PgDn to go to the next element and I need to use the mouse. The same refers to spell-pads but I do not use them often
Answer:
If you use Alt+PgDn instead of PgDn, it will ignore read-points and get you to the next element

Deleting all elements in the browser
(Beta, Apr 10, 2002)
Question:
Why isn't there an option to delete all elements in the browser?
Answer:
This option would be quite dangerous as you cannot delete an element without deleting all its children. To delete all elements stored in the browser, move them first to any branch and then delete this branch. Be sure to verify that you do not delete more than you intend to

You can paste images from the clipboard
(Beta, Romania, Fri, Feb 22, 2002 17:10)
Question:
What is the fastest way to insert an image component?
Answer:
You can paste images from the clipboard with Shift+Ins or Ctrl+V

Adding predefined templates to the registry
(Max, Beta, Sun, Feb 17, 2002 14:37)
Question:
It would be nice if, after an upgrade from earlier versions, SuperMemo added default templates to the template registry
Answer:
You can add these templates by choosing Tools : Add predefined templates in the template registry

Infinite cycle of template corrections
(Beta, Apr 08, 2002)
Question:
I go into an infinite cycle of corrections. My question sometimes covers the answer. When I shrink the question, my topics also shrink. If I extend them, my question starts covering the answer. What is worse, it happens only from time to time so that I cannot diagnose it
Answer:
You need to consistently differentiate between your topic template used in reading articles, and your item template used for questions and answers. If you happen to use the topic template on an item with an answer, it will naturally cover the answer. Once you resize it, all topics using this template will resize. The solution: use one template for one kind of element layout/function

Strange category names
(Beta, 3/6/2002 5:01:58 PM)
Question:
Category names have appeared that are similar to mine except with a weird ASCII character at the end
Answer:
This happens if you create more categories with the same name. As registry names must be unique, SuperMemo adds unique character to the end of duplicated names (in the category registry). For example: Geography#, Geography@, Geography~

Inserting a category in the knowledge tree provides more control than adding it as a child
(Beta, Poland, 02-03-11 16:18:18)
Question:
When adding a category in the contents window, the category gets inserted as a sibling not as a child of the selection
Answer:
Adding a child does not make it possible to select the location where the child should be placed among other children. This is why inserting the category in the place of the selection seems to be a better default. This makes it easy for the user to decide the exact location of the category without following it with drag&drop

Use "Replace target" mode to swap two folders in the contents window
(Julian R, Tuesday, November 21, 2000 11:00 PM)
Question:
Is there a way of swapping the position of two folders in the contents window?
Answer:
Yes. Just drag one folder over the other with the mouse. Be sure that Replace target is selected in the dragging mode combo at the top of the contents window

Transferring a collection to a new file will renumber elements
(Beta, Thursday, January 10, 2002 4:31 PM)
Question:
My collection used to have more than 370,000 elements. I reduced it to 230,000 elements. However, the unused elements are still present in the files. Could you advise me how to get rid of them?
Answer:
Elements are not renumbered at delete. The vacant element slots are reused when building up a new collection, but in your case that could take a long time. If element numbers are not vital, you could transfer your collection to a newly created one (e.g. with File : Merge collection). This would renumber all elements. However, note that element transfer does not transfer templates, categories, unregistered scripts, repetition history, etc. For that reasons, you might prefer to simply run File : Repair collection with all options checked and hope to reuse the redundant fields while adding more material to the collection

Overwriting templates
(Beta, Tuesday, April 02, 2002 4:00 PM)
Question:
What is the effect if I choose Save Template, enter the same name as the default template for the category, and click Yes to overwrite?
Answer:
Overwriting one template with another will put the new template data in place of the old template data. Your category will now use the new template. All elements that used the old template will now use the new template. This, naturally, does not refer to elements who had the template detached or imposed

Set category ordinal to zero to choose a sequential ordinal
(Beta, Wednesday, February 13, 2002 6:03 PM)
Question:
SuperMemo sets all newly added elements with a category ordinal. Is there any way of making SuperMemo not do it? I want all ordinals to differ
Answer:
If you set the category ordinal to zero, the default ordinal will equal the number of elements in the collection

Pictures do not show after applying a picture-less template
(Beta, Apr 10, 2002)
Question:
Why importing from the web produces an HTML template with Template flags : Skip source extras checked? When I later add pictures and apply this template, the pictures are not visible
Answer:
Uncheck the Skip source extras flag in your the default topic template in the category to which you import your articles

Efficient image compression
(Beta, Martin, Romania, Tuesday, March 12, 2002 5:34 PM)
Question:
I would like to be able to choose the compression mode GIF/JPG to minimize the size of images. My experience shows that GIF can be 10x more efficient than your default JPG
Answer:
SuperMemo executes very rudimentary compression that will not produce such large differences. Rarely do images differ in size more than 50%. You can indeed obtain higher compression by using lossy algorithms, but these are not included in SuperMemo. In other words, if you want to achieve maximum compactness of images, you will need an external dedicated application. Such an application will also let you decide how much quality you are ready to compromise and produce truly amazing compression ratios

Importing MCT along Q&A
(Beta, Tue, Apr 09, 2002 19:52)
Question:
In multiple choice test import, it is illogical to have two radio boxes sections enabled. Either you choose Q&A template (first section) or MCT template (second section)
Answer:
Imported text files can include both Q&A items and MCT items. SuperMemo will distinguish between the two by the presence of false answer fields (A1:, A2:, etc.). For that reason, SuperMemo needs to know which template should be applied when it encounters a question-answer item, and which template should be applied when it encounters a multiple choice item

Swapping question and answer in many elements
(Beta, Tuesday, February 12, 2002 2:55 PM)
Question:
You advice to use Duplicate and Swap on elements to swap questions with answers; however, I have 5000 elements to change
Answer:
Unless you are authoring a collection for others, in which case, you might resolve to more complex operation on collection's text source, you should note that the cost of Duplicate and Swap on individual items is negligible if you are trying to learn these items at the same time. You can do those two key-press combinations in parallel with registering the new reverse-order question-answer memory. In addition, it is a rare case where you can do the swap without any editing of the learning material (e.g. as in context-less one-to-one word-pair conversions)

You cannot replace HTML tags globally
(Beta, Mar 04, 2002)
Question:
Is it possible to replace some HTML tags globally?
Answer:
Not within SuperMemo. All you can do is to replace plain texts with texts containing HTML tags. For example, you can replace "Napoleon was exiled to Elba" with "Napoleon was exiled to <b>Elba</b>". You can use file tools to process tags globally. All tagged HTML files (except external links) are stored in the Element folder (untagged HTML is stored in text registry instead)

The purpose of View Source
(Beta, Christian, Apr 03, 2002)
Question:
I cannot see the sense of view source in template operations. If I want to go back to the source template I can detach the template
Answer:
View Source is useful if you want to quickly peek at the source template. You can do it with Ctrl+Shift+U. The same key will return the template look. Detaching and reapplying the template in such circumstances would require accessing the menu, finding the detached template in the template registry (without actually being informed which template had been detached), and reapplying the template

Templates can affect the displayed texts
(Beta, Tuesday, April 02, 2002 4:00 PM)
Question:
Why would some elements duplicate each other's answer text, while other elements not. Perhaps making changes and then trying to save them by overwriting the old template definition would have something to do with it?
Answer:
If you overwrite one template with another, the new template contents will be used to display all elements that use the old template. If you save objects, such as texts, while overwriting the old template, those objects may, but do not have to, be used in elements using that template. If the answer field of an element with an overwritten template has been already filled out, the element's original text will be displayed. However, if that field is empty, the texts saved into the template will be displayed. If you rename the text in the template, all elements that do show that text will show the new text. However, the elements that display the original text will still show no change. If the source and template texts happen to be the same, changing the template text may have a confusing effect of some texts being shown as changed and others shown without change

You can use a link to an external site in HTML component (#7353)
(Kentaroh Takagaki, Japan, Thursday, October 18, 2001 7:39 PM)
Question:
I would like to make an active link in HTML component to an external website, so that each time this element comes up in the learning process, the newest version of the website is displayed in the element window. How can I do this?
Answer:
The recommended way is Edit : Add to category : URL (with Ctrl+Alt+U). This requires a click on the link but you will not have to wait for loading the whole page each time you enter this element in contexts other than learning

Importing tab-delimited text
(John McGrath, Netherlands, Mon, May 27, 2002 9:43)
Question:
I have several tab delimited text files created for Palm Pilot SuperMemo that I created in Excel. How can I import these files to SuperMemo 2002?
Answer:
SuperMemo 2002 does not support import from tab-delimited text files. These are the three options you have:

  1. Convert your tab-delimited file to Q&A format accepted by SuperMemo (you can do it easily with macros in Excel)
  2. Export your files from Palm Pilot SuperMemo in Q&A Format and import to SuperMemo 2002
  3. Recommended: paste your text file to SuperMemo with Ctrl+Alt+N and use incremental reading to learn it

Although the third solution may seem awkward for beginners, incremental reading tools should be your primary choice for processing all source text files and converting them into well-structured learning material. The processing overhead is negligible as compared with the learning time. Your first exposure to individual pairs is passive anyway (unless you already know the answer). Using Alt+X for extracts is instantaneous. On the second exposure, you execute a cloze deletion after selecting the answer part (Alt+Z). In other words, you need two additional key strokes that can be executed in parallel with the review process. You can use this approach to import lengthy glossary lists from the Internet and process them with negligible overhead. See also: incremental reading

Scrollbars appear if the content of the element window goes beyond its client area
(tomkin243, Sat Nov 24, 2001 8:48 pm)
Question:
I have a scrolling problem. Two scrollbars appear: one on the rtf-text, and one on the element window. Often these two overlap, and one is inaccessible
Answer:
The obstructing element window scrollbar will appear if your RTF text component is larger than element's client area. There are two solutions:

  1. Increase the size of the element window, and preserve it by saving the windows layout (e.g. Ctrl+Shift+F5)
  2. Reduce the size of the RTF window. For example, click the window and grab one of its edges (you may need to use the element window scrollbar here to reach the bottom-left corner of the RTF window)

SuperMemo does not use "Save As" because it does not keep files in memory (#8633)
(mark, Denmark, Sunday, September 23, 2001 1:42 PM)
Question:
I suggest you rename Copy collection to Save as as in most applications (e.g. MS Office). The difference between Copy and Save as, is that Copy leaves the user in the collection and not in the new copy. Save as leaves the user in the new file. You could also give the user a choice: Do you want to continue working in the file or switch to the new file?
Answer:
The main difference between SuperMemo and most Office applications is that SuperMemo collections are not kept in computer's memory but its files are kept on the user's disk. Some collections grow to hundreds of megabytes and reading them all into memory would: (1) clog less resourceful computers, (2) take time, (3) make user data vulnerable to power outages and other disasters. Using Save as would be misleading in this sense that Save as leaves the old copy unchanged, while Copy creates an identical duplicate. In old SuperMemos, indeed the new collection would be open after copy. However, users frequently complained that this left them confused. In addition, the user optimally works with one collections that keeps all his or her vital knowledge and uses Copy collection only to back up his data. In other words, unlike with office application, the user will sculpt his only work of art instead of developing many independent pieces of work in progress. Last but not least, Office applications that keep files on the hard disk do not use Save as either. For example, FrontPage uses Close Web while Save as is reserved only for individual files. MS Outlook keeps all data in one static file, while Save as is reserved for saving individual items (e.g. pieces of e-mail), etc. Providing an option as to which file should be opened would add to program's complexity. If the user wants to switch to the newly created file, (s)he can choose Alt+F and 1 (for File : 1.[recent copy])

Editing an element with a template may affect the template
(Nathan Forsdyke ..., Mon, Jun 10, 2002 22:39)
Question:
If I change the position size of a picture component then ALL the templates using the same one get changed too! There should be only one way to change the master template
Answer:
This behavior is by design. If you see your template needs a correction, you fix it as soon as you see it in any element. If you want an element to reuse the template but create its own look, impose and detach the template (e.g. with Ctrl+Shift+F2). In such a case, changes to the element will not affect other elements. However, if you change the original template, the change will not be reflected in the element from which the template had been detached.

You can recognize the editing and dragging mode by the appearance of components
(Dustin Darcy, USA Educational, Friday, January 25, 2002 1:21 AM)
Question:
Sometimes it isn't clear whether or not the GUI is in editing, presentation, or the dragging mode. Some sort of indicator in the title bar would be nice
Answer:
SuperMemo uses presentation, editing and dragging modes mostly in reference to components, not whole elements. Consequently, the user only needs to learn how to recognize the mode of individual components. Whenever possible, these are the indicators of individual modes:

  • presentation mode - minimum interface, no border (unless requested)
  • editing mode - resizing border, editable content whenever possible (e.g. blinking caret in texts)
  • dragging mode - resizing border, shadowy colors whenever possible, draggable with the mouse

With Alt+click on the element area (or on individual components), you should quickly learn to recognize individual component modes

The format of text files that can be imported to SuperMemo is very simple
(Marc Zaban Fogel, Thursday, August 29, 2002 7:28 AM)
Question:
How should I format a text file with learning material in order to import it to SuperMemo?
Answer:
For a classic SuperMemo item, you would need to precede the question part of an item with Q: and the answer part with A:

Q: the question part of an item
A: the answer part of an item

The exemplary item in a Q&A format would look like this:

Q: med: a non-cancerous fluid-filled sac in the ovary
A: ovarian cyst

You can undismiss elements in your collection
(Jerry Sallis, Monday, September 16, 2002 12:38 PM)
Question:
How can I undismiss a number of elements once they have been dismissed?
Answer:
The procedure goes as follows:

  1. Choose View : Dismissed from the main menu (it opens a browser with all dismissed elements in the current collection)
  2. Press the Process browser button (the second from the left) on the browser toolbar, and select Learning : Undismiss
  3. Respond with Yes to the Do you want to stop ignoring all browser elements query

You can create multiple-choice items
(Karolina Melkowska, Poland, Friday, September 20, 2002 11:18 PM)
Question:
How can I create multiple choice items?
Answer:
The procedure is this:

  1. In the contents window, add an element with the Add button at the bottom of the window
  2. View the newly added element in the element window by double-clicking it in the contents window
  3. Open the element menu by right-clicking the mouse over the element's display area
  4. Choose Template : Apply template from the element menu (or press Ctrl+Shift+M)
  5. In the template registry, select Multiple Choice member in the left-pane of the registry and press the Accept button at the bottom of the window

You can change the default font
(harold hill, Saturday, September 28, 2002 6:36 AM)
Question:
I have imported a number of items in the Q&A form into my SuperMemo collection. Now would I like to increase the size of the font used in question and answer components, what is the fastest way to accomplish it?
Answer:
Choose Tools : Options from the main menu, click the Fonts tab, and use the Default font button. Default font affects only plain text and rich text components

Using categories
(Fred.Clough, Tuesday, February 05, 2002 7:01 PM)
Question:
If I select an element in the contents window and choose to make a category, it pops up with a dialog that lets me input a name. But what use is this?
Answer:
This will only create a category. This category will now become the default category. This means that if you press Ctrl+Shift+A or click Add New, you will be adding new items in that particular place of the knowledge tree. That is not very useful yet. However, if you go to Search : Categories and choose a template for your new category, all your new items will get the desired look (e.g. color, font, size, etc.). To make a good use of categories, you will then need to become fluent with templates first

You can import items sent in a text file from a friend
(Karolina Melkowska, Poland, Saturday, September 28, 2002 2:05 PM)
Question:
My friend has sent me around 100 SuperMemo items in a text file. Is there a way to import them into my collection all at once?
Answer:
Use File : Tools : Import : Q&A text (or press Ctrl+Shift+E)

Limit on the number of children in contents is imposed for performance reasons
(Steven White, Australia, Thursday, September 12, 2002 8:10 AM)
Question:
Is there any way to force a linear knowledge tree. I just want new items added on the end but they seem to be created as child items in places. It takes a lot of work to drag them back to a linear tree
Answer:
Unfortunately you will sooner or later be forced to give up adding new children to the root node due to performance reasons. Each time SuperMemo opens a tree node, it needs to read all information from the hard disk. Once you add many elements to a single node of the tree, your SuperMemo will start slowing down. By design, knowledge tree should not play part in learning other than by helping you organize knowledge and delineate knowledge subsets. For that reason, it should not matter if children of a node are organized in one or in many levels. The limit on the number of children per tree node is set precisely for the reason of maximum performance and uninterrupted flow of repetitions even in cases where your knowledge tree is set to expand and visualize the location of the current element

You can import text to SuperMemo
(nader choucri, Sunday, August 25, 2002 2:00 PM)
Question:
Can SuperMemo import text? I have question and answer file saved on a diskette
Answer:
SuperMemo can import plain text as long as it is represented in Q&A format. See: File : Tools : Import : Q&A text. If the text is not formatted as Q&A, you can paste it to incremental reading (Ctrl+Alt+N) and process using incremental reading tools (i.e. Alt+X and Alt+Z)

Non-HTML texts are not kept in formatted files
(Dustin J. D., USA Educational, Fri, Jun 21, 2002 22:29)
Question:
Why does not SuperMemo create HTML files instantly when I create an HTML component?
Answer:
If your text is unformatted, the file is not created in order to save space. Formatted texts are kept in the registry (e.g. for search purposes) and in an HTML file (to retain formatting). Unformatted texts are kept only in the registry. This approach substantially saves the space needed for collections. It also speeds up file copying which may slow down to a crawl with a large number of small files. You can quickly convert HTML and plain text files in HTML components. Use Ctrl+Shift+F12 to generate plain text. Use any formatting command to create HTML (e.g. Ctrl+])

Q&A import can only be used to import plain text
(Alexia L McKnight, Monday, February 11, 2002 12:17 AM)
Question:
I imported a big Q&A text file into SuperMemo. How can I get SuperMemo to retain special characters: superscripts, subscripts, etc.?
Answer:
Q&A format is a plain text format intended solely for data exchange between platforms and older versions of SuperMemo. To retain formatting, you need to create your material in SuperMemo. For good effects you can use rich text components and edit your texts in MS Word (shortcut F9). Or you can save your files as HTML and import them to HTML component. As for your Q&A file, it will require some extra effort. Either you paste individual items individually or import them all and correct formatting in SuperMemo. The fastest approach though is to use incremental reading tools. Paste the entire file to a single rich text topic (e.g. with Ctrl+Alt+N), generate individual elements with Extract and create individual items with Cloze. This work should take a fraction of time needed to learn this material

Adding fonts to SuperMemo (#25587)
(Stanley Ross, May 26, 2004, 23:02:22)
Question:
How can I add fonts to SuperMemo. I want to add the international symbols for language transciption (ILP) codes
Answer:
To use a font in SuperMemo, you need to install it in Windows. The course of action will then depend on the type of the text component you use. With HTML and RTF components, select a block of text and choose the font button on the Format toolbar. With plain text components you can define fonts used with individual texts or with templates that can be then used in many elements (use options from the Text submenu of the component menu: New Font, Edit Font and Link Font, etc.).

See more:

  • http://supermemo.com/help/texts.htm
  • http://supermemo.com/help/compmenu.htm

Use the editing mode to fill out text fields
(Tim Elston, Sat, Jun 29, 2002 15:37)
Question:
How do I fill in the multiple choice template? When I tried to fill in the area with the next possible answer, the four remaining areas turned red and would not allow me to enter text
Answer:
You need to use the editing mode to enter texts. For example, press Ctrl+E to set all components in the editing mode. Use Ctrl+T to move to editing the next component. You can also Alt+click a component that should be modified

The use of spell-pad should be restricted to spelling exercises
(Jeromy Wong, USA Educational, Friday, October 26, 2001 6:17 AM )
Question:
I prefer the function of interactive learning, i.e. to be able to type my answer in comparison with the original input answer
Answer:
Except for spelling exercises, the use of Spell-Pad component in SuperMemo should be limited. Research shows that using the Spell-Pad component slows down the learning process without improving retention or reducing the number of repetitions per item. On spelling exercises, where the use of the Spell-Pad is necessary, you can convert your standard question-answer element to a question-spelling element with the Spelling template in the template registry. For example, choose Ctrl+Shift+M (Apply Template), type "Spell" and press Enter. To permanently use the spelling template, set it as the default template in your current category (e.g. with Ctrl+Alt+M). This will make sure that the Spelling template is used on all newly added elements

SuperMemo cannot convert WAV files to MP3 format
(Vaclav, Jun 23, 2001)
Question:
Can sound components convert WAV files to MP3 (as image components convert BMP to JPEG)?
Answer:
No. You need a separate utility to convert WAV files to MP3

Drag&Match allows of no more than ten rectangles)
(Piotr, Mon, Oct 01, 2001 21:42)
Question:
Why can I not add more than ten rectangles to a Drag&Match test?
Answer:
There is a hard-wired limit of 10 rectangles in Drag&Match tests. If you add more rectangles, the performance will suffer and your item may become excessively complex. This may quarrel with the minimum information principle

Merging collections is bound to be slow
(Maarten Mols , Netherlands, Monday, February 09, 2004 11:39 PM)
Question:
Is there a chance for a quicker way of merging two collections than using File : Merge collection
Answer:
Unfortunately, transfer of the learning material in SuperMemo for Windows is only likely to get slower. The speed of transfer is limited by the complex structure of SuperMemo collections. When transferring simple questions and answers you are not only moving pieces of text. You also need to build the component structure, set all component and element attributes, transfer the learning process, update all learning statistics, transfer repetition history of individual items, build new files for retention, back-retention, parameter distributions, etc. Worst of all, all objects used by a single element are kept in indexed registries whose indexes have to be searched through and updated on the transfer of each picture, text, sound, font and even each individual lexical unit (word). Object references in SuperMemo scripts must be updated (as numbers of elements change). This means that SuperMemo has to scan all scripts in the transferred material and update them. Note that currently SuperMemo does not attempt to update references intertwined in HTML code of text components. However, due to customer complaints that those references get lots on transfer of the learning material, these will also have to be updated in the future slowing the transfer process further. With each new option in SuperMemo, complexity of the database structure increases. That will slow the transfer further. Historically though, the increase in the speed of computers compensated well enough for the increase in the complexity of SuperMemo. Consequently, with SuperMemo, you need to be less worried about the quality of your PC today that you were at the times of Windows 3.0 over a decade ago

Determining the timing of sound playback
(Gitte Stangel, Monday, May 20, 2002 8:57 AM)
Question:
I am trying to learn Slovak. The problem is that the word in English appears and the sound track in Slovak is played, which gives out the answer. How do I delay the sound?
Answer:
You can control the timing of playback with Play At option on the component menu. You can play sound at any step of the repetition cycle or any combination of steps. It is also recommended that you check Answer to make sure that associated texts do not provide an additional hint

You can import audio and video files in most popular formats
(Timothy Winey, United Kingdom, Thursday, August 01, 2002 8:21 AM)
Question:
How can I import audio or video files to SuperMemo?
Answer:
There are many ways. You will most likely want to import sound files to a sound component and video files to a video component. In such cases, use Import file option on the component menu

Infinite recursive text replacement
(P. Zmudzinski, Aug 05, 2002)
Question:
I am trying to do search and replace but got stuck when attempting to replace "Lord Cornwallis" with "Lord Cornwallis (The Patriot)". I get this error "Cannot run Replace All on infinitely recursive replacements"
Answer:
This error prevents infinite replacements. SuperMemo could try to replace "Lord Cornwallis" from the replacement again and again. You can go around this by first replacing "Lord Cornwallis" with "Lordx Cornwallis (The Patriot)" and then "Lordx Cornwallis" with "Lord Cornwallis"

You can select more than one elements in the contents window
(louis, Canada, Monday, November 18, 2002 3:05 PM)
Question:
Can I select more than one elements in the contents window?
Answer:
Similarly to Windows Explorer:
(1) To select consecutive elements, click the first element, press and hold down Shift, and then click the last element,
(2) To select nonconsecutive elements, press and hold down Ctrl, and then click each element

RTF and HTML components stay always on top
(Richard Bai, China, Sunday, December 15, 2002 12:00 AM)
Question:
When I add an image component to my RTF-based elements it is always behind the question and answer components. I tried to fix that with changing the component order but it did not help.
Answer:
 RTF and HTML components always stay on top independently of the component order in a given element. In such a case, you should resize components that obstruct the image

You can create many different testing exercises
(Danny Batard, Saturday, December 14, 2002 6:43 PM)
Question:
Does SuperMemo feature "multiple choice", True/False, "Fill-In" flashcard questions?
Answer:
SuperMemo elements are created by means of components. There are fourteen different types of components for including text, image, sound, video, etc. in your elements. They are all available on the Compose toolbar. Furthermore, each component has specific properties that enable you to customize its appearance or control the way it behaves. They are available from the component menu. All this enables you to design all imaginable forms of testing (including multiple choice tests, spelling exercises, point and click test, pronunciation exercises, drag and match tests, and many more)

Creating occlusion tests is simple
(Lisa Reaves, Tuesday, December 31, 2002 4:57 AM)
Question:
Could you provide me with an accurate, step-by-step instructions on how to create an occlusion test?
Answer:
(1) Add a new item (e.g. by clicking the Add new button (Alt+A),
(2) Right-click the newly added element, and then select Template : Apply template (Shift+Ctrl+M) from the element menu,
(3) In the template registry window, in the left pane, select the Occlusion template registry member, and then click the Accept button to apply the selected template,
(4) Right-click the image component behind the red occlusion rectangle, select Import file (Ctrl+Q) from the component menu,
(5) Upon importing the graphic, move the occlusion rectangle over the part of the picture, which is the subject of the question,
(6) Fill out question and answer components with appropriate texts

Sound component may not disable player buttons if the sound file is missing
(Yossi Patt, Israel, Saturday, August 10, 2002 9:59 AM)
Question:
In Advanced English 2002, I can see the sound toolbar, but none of the buttons responds
Answer:
Depending on the setting of Sound : Panel in sound components, the buttons may or may not be disabled when the sound file is absent (e.g. due to a wrong setting of the secondary storage). For example, Sound : Panel : Recorder leaves all buttons enabled. In this setting you can record your own pronunciation even if the original file is absent or temporarily inaccessible


FAQ: Is SuperMemo good for you?

You can study any subject with SuperMemo
 You can learn your own material
SuperMemo is not difficult!
SuperMemo determines the repetitions, but you determine the speed of learning new material
Importing materials from the Internet
Increased self-confidence is a frequent side effect of using SuperMemo
Why isn't everybody using SuperMemo?
Go to SuperMemo Store to see current prices
With supervision, SuperMemo can be used to teach kids of any age
SuperMemo in Windows XP
Which SuperMemo for memorizing a book?
Lack of Internet Explorer 6.0 will cripple SuperMemo
Planning to learn vocabulary
The trial version of SuperMemo is only limited by the time of use
With HTML SuperMemo covers most text-related learning applications
You can put your learning material into different categories
The capacity of SuperMemo for the learning material is practically unlimited

You can study any subject with SuperMemo
(David Brown, USA, Dec 11, 2000)
Question:
Do you have any first hand accounts of law school students using this method?
Answer:
Yes. SuperMemo should make a difference to every student. The challenge posed by the law is that a portion of the material to study is changing as quickly as the laws of the land. Consequently, outdated knowledge may do more harm than no knowledge at all. You are welcome to discuss this problem with an avid student of law and an addicted user of SuperMemo: Mariusz Zmuda

SuperMemo is not difficult!
(Crizeldo G. Cariaso, MD, Philippines, Dec 17, 1997)
Question:
Your software looks very time consuming ... is the learning curve very steep?
Answer:
Your opinion is not unusual. However, SuperMemo is much simpler than it looks. Try this:

  1. choose Add new (Alt+A) and type in question and answer in the editing fields
  2. choose Learn (Ctrl+L) to learn the collected material

You do not really need much more to make good use of SuperMemo!!! After some time you will yet need to know how to make a back up copy (e.g. with File : Tools : Quick backup). See: ABC of SuperMemo

You can learn your own material
Question:
Can I learn my own material with SuperMemo or do I have to buy it from SuperMemo Library?
Answer:
You can learn your own material. It is very easy to add your own questions and answers with Alt+A. You can also build more complex elements, e.g. with pictures or with sound

SuperMemo determines the repetitions, but you determine the speed of learning new material
(Eli Liang, Oct 02, 2001)
Question:
In a new collection I created, there are 4000 pending items. Do I decide myself how many of the 4000 pending items to memorize?
Answer:
Yes. It is your memory performance that determines the optimum dates of repetitions. SuperMemo tries to schedule repetitions on those dates. However, it is up to you to decide how much new material you want to memorize daily. Your decision will primarily be based on how much time you can devote to learning and how important the learning material is

Importing materials from the Internet
(CMaggio99, Mon, Apr 22, 2002 8:21)
Question:
I would like to be able to browse the Internet within SuperMemo and be able to highlight a piece of text and hit a button called Question and one Answer. It would be great to be able to do this with pictures as well
Answer:
SuperMemo 2002 provides these functions in a way that should be no less efficient:

  1. You do your browsing in your favorite web browser. If you do it in Internet Explorer, the import process can be automated
  2. You do not select questions and answers separately. It is by far more efficient to first select a fragment and then build questions and answers with cloze deletions. A single paragraph may produce several questions. Cloze deletions make it possible to generate N items with N+1 selections (one for the paragraph and N for individual clozes). Selecting questions and answers separately would require N*2 selections
  3. You can extract fragments and clozes with keyboard shortcuts (Alt+X and Alt+Z), but you can also use Read toolbar buttons. To bring the toolbar up use Windows : Toolbar : Read and save the layout with Windows : Layout : Save as default (Ctrl+Shift+F5)

Go to www.super-memo.com to see current prices
(ZSEG, Fri, Nov 30, 2001 11:45)
Question:
What is the current price of SuperMemo?
Answer:
Current prices of various versions of SuperMemo are listed here:

  • Versions of SuperMemo

  • SuperMemo Store

Increased self-confidence is a frequent side effect of using SuperMemo
(Francoise, Wed Nov 21, 2001 10:46 pm)
Question:
I am keen to improve my vocabulary and have been battling illness. Trying to learn Share Trading without much success. My concentration or memory are NOT working at all it seems. But with SuperMemo I'm sure I will be able to remember all those abbreviations and their meanings
Answer:
Indeed, SuperMemo is ideally suited for learning vocabulary. However, your problem may be the high similarity of individual items that results in interference. In other words, you confuse items among each other. If not applied patiently and methodically, SuperMemo may even add to frustration as it will extract those hardest pieces and torture you with these ad nauseam. You will need to improve your mnemonic techniques and exercise patience. As for memory and concentration complaints, a large portion of population believe they are in the same trouble. This rarely has a true underlying cause beyond lack of basic mnemonic and concentration skills. If your vocabulary scores improve, your confidence will increase and perhaps help your remove those self-imposed limitations. This is a frequent and a highly welcome side effect of learning with SuperMemo

SuperMemo in Windows XP
(Claudio Fernando Pereira, Macau, Sun, Jan 13, 2002 3:11)
Question:
Is there any compatibility problem with SuperMemo in Windows XP?
Answer:
No. SuperMemo 2002 has been developed in Windows 2000 and extensively tested in Windows XP

Planning to learn vocabulary
(Wietze Baron, Netherlands, Wed, Jun 12, 2002 1:04)
Question:
Given the need to know X lexical items and given that the items are ordered in terms of frequency of use, would SuperMemo allow me to produce a timeline (say weeks/days) and a list of items that would have to be introduced or rehearsed at each particular time segment?
Answer:
In SuperMemo, you start with a queue of items to learn. You introduce as many items to the learning process daily as you deem necessary or convenient (see: Introduction to SuperMemo). You can work 3 minutes or you can work 120 minutes. SuperMemo will begin introducing new elements only when you pass all outstanding repetitions (see: Learning with SuperMemo 2002). This behavior can be overridden but it is not recommended. SuperMemo does not create a timeline. The list of items to be introduced to the learning process is called the pending queue and can be edited by the user. There are no time segments in SuperMemo. Once you edit the queue of elements, you will focus on learning within the available time. Other parameters are optional. You can, for example, monitor the number of items in the process (e.g. Memorized), and/or the number of items outstanding for repetition on a given day (Outstanding). See: Statistics in SuperMemo 2002.

For learning vocabulary, we believe SuperMemo is the most efficient method in existence

The trial version of SuperMemo is only limited by the time of use
(Www1wiz, Thursday, October 03, 2002 6:12 PM)
Question:
Is the trial version of SuperMemo fully functional?
Answer:
Yes, it is. The only limitation is the credit of 100 points, which is displayed in the parentheses on the pink registration bar. The amount of credit left depends on how heavily you use the program. Once this credit is used up, you will be asked to input the unlock password. See: Download

With HTML SuperMemo covers most text-related learning applications
(CECIL CLEMENTS, Saturday, January 11, 2003 10:35 PM)
Question:
Will I be able to put IRS publications into SuperMemo for my learning activities?
Answer:
It depends on their format and layout. As SuperMemo supports HTML, you can learn English texts from nearly any source. All you need is some copy and paste. Some exotic formats, complex layouts or foreign text may cause more difficulty. With some effort and learning a couple of technicalities, you can assume that you can learn anything that is viewable in Internet Explorer 6.0

Lack of Internet Explorer 6.0 will cripple SuperMemo
(hudson, Poland, Tue, Jun 25, 2002 15:53)
Question:
Do I have to use Internet Explorer 6.0 to use SuperMemo? I am definitely not going to install IE6.0
Answer:
Most advantages of SuperMemo will evaporate if you opt to stay with the older browser and older versions of SuperMemo (e.g. SuperMemo 2000). However, with the move towards HTML-based incremental reading, SuperMemo has been permanently tied to Internet Explorer. In other words, if you stick to your resolution, you will cut yourself off from all future developments on the Windows platform. Many people refuse to install Internet Explorer for ideological reasons; however, there is no escape from Internet Explorer for users of Windows. More and more system-wide components depend on it. If you plan to stay with Windows, updating Internet Explorer is a must. Those who refuse to do it only hurt themselves. This way of opposing Microsoft's monopoly probably does not benefit anyone

With supervision, SuperMemo can be used to teach kids of any age
(Tami L Barrett, Jun 05, 2004, 14:17:30)
Question:
I'm looking for software to teach my 8-10 year old children the locations of all the countries of the world (a little at a time). There are some drill in SuperMemo, but none that teach. Is your program appropriate for a child of that age?
Answer:
With the appropriate learning material, SuperMemo can be made appropriate for any age. However, the lower the age the more supervision or inventiveness is needed on the part of the parent or teacher. Some users even train babies long before they can approach the computer. A dry drill "Countries of the World" collection will produce great recall in 8 year old, but the wording of question might need to be simplified. In addition, most of kids of that age are not willing to proceed with repetitions on their own. In other words, doing it together, at least in the beginning would be necessary. SuperMemo can "teach" if you have or create the appropriate presentation material. However, it is often far simpler to explain the material in a traditional way and structure only the review material in SuperMemo. After all, the active recall material (e.g. questions and answers) is all that is needed in the long run

You can put your learning material into different categories
(nick wei, Saturday, November 09, 2002 5:44 AM)
Question:
I am a user of SuperMemo for Palm Pilot. In this version, the learning material of a given database can be put into different categories. Is it also possible in SuperMemo for Windows?
Answer:
Yes, it is. For thorough discussion of categories in SuperMemo for Windows, read: Using categories

Why isn't everybody using SuperMemo?
(KK, USA, Mar 20, 2002)
Question:
"Would you buy/use a program that accelerates your learning N times?". The answer is, of course, "yes". Then why is not everybody using SuperMemo?
Answer:
"Would you buy/use a program that guarantees an ideal weight and cholesterol level?". The answer is, of course, "yes". Then why is not everybody exercising (enough) and eating healthy?

In both cases of SuperMemo and exercise, the answer is the same: humans crave instant gratification. Call it evolutionary mal-adaptation to the present-day lifestyle and challenges. Only long-distance runners (in learning, exercise or in life in general) take a wider perspective. Those are the future winners. SuperMemo is strongest among those who can find instant gratification in being knowledgeable. This gratification is psychogenic. Few are born with it. Most learn it through years of positive conditioning

The capacity of SuperMemo for the learning material is practically unlimited
(CECIL CLEMENTS, Wednesday, February 12, 2003 6:36 PM)
Question:
Can you give me any idea how many questions and answer I can type into SuperMemo?
Answer:
The number is practically limited only by the speed of your computer and the size of your memory. Theoretical limitation is 2 billion items. You may observe a decrease in performance beyond a million elements or beyond 1 GB of data; however, few users ever arrive at those limits even with a very intense learning process.

Which SuperMemo for memorizing a book?
(nader choucri, Saturday, August 03, 2002 12:37 PM)
Question:
I want to know which SuperMemo to buy. I want to remember and study a book about 300 pages long. The book is written right now as a word document
Answer:
The technique you will best use to master the book to the last detail is incremental reading. The newest SuperMemo for Windows will do the job best. SuperMemo 2000 will serve you better only if you have an older version of Windows (e.g. Windows 95, Windows NT 3.51, etc.) with an older version of Internet Explorer. See also: Which SuperMemo to choose?


FAQ: First steps with SuperMemo

Good answers should be scored Pass or higher
Why does not SuperMemo stop asking questions?
You can edit elements during repetitions
You can easily see the number of outstanding repetitions
You can see what items will be repeated on a given day
You can easily delete an element
Add New and Learn stand for 90% of value of SuperMemo for most people
There is no point at which an item is memorized "for good"
Change functionality level to see more advanced options
You can add pictures to your items
Where are those advanced menu options?
Adding components of various type
You can set question and answer fonts
You may find SuperMemo counterintuitive
Memorized material always comes back for repetition
Remember button is grayed on memorized items
You can change the size of the question and answer windows
You can install an icon representing SuperMemo on your Windows desktop
With SuperMemo you can tackle any exam
You can search for substrings with Ctrl+F
Many options are not available in the Basic and Beginner difficulty levels
Your backup strategy will depend on the value of your material
Plain text and font size
Cannot use File : Merge collection
You can drill yourself on a subset of elements
You can search a given branch
Global Search and Replace
Swapping questions with answers
To check system integrity use File : Repair collection
Keep your collections in one piece
You can duplicate items
Incremental reading may be a remedy against the monotony of repetitions
Swapping the question with the answer
You can see the function of menu items by enabling hints
Community forum for support questions
If you paste an image, image component size will be adjusted
Use the HTML component to paste text with embedded images
You can easily move collections between computers
Certain shortcuts do not work in the editing mode
List of shortcuts
You can easily copy the learning material for someone else to use it
If Add New does not create needed components, you can redefine the template
SuperMemo does not interrupt learning new material
You cannot use the same collection with two copies of SuperMemo
You can edit the font used with your elements
You can join SuperMemo eGroup for community self-help
 You should never manually modify files or folders created by SuperMemo
If you learn vocabulary, adding your own material may be a good strategy
You can add chemical formulas to SuperMemo
Use Element Parameters dialog box to view element's category
You can easily install SuperMemo on two PCs
Answer should only show at answer time
Increasing search speed
You can use categories to influence where new elements are added with Add new
You can easily copy SuperMemo to a diskette
You can use View in the contents window to see an element in the element window
Introducing equations to SuperMemo
You can paste Chinese pictures with Shift+Ins
Backing up on CDR
In SuperMemo, Memorized<>Remembered
Learning a subset of knowledge
All versions of SuperMemo are suitable for learning vocabulary
SuperMemo in other languages
 Stop button is equivalent to Esc
Collections self-restore
It is possible to import formatted questions and answers
Incremental reading tools provide for fastest conversion of electronic material to learning material
You can merge two or more collections into one body of knowledge
Feedback from users is vital to improving the documentation
 You decide how many items to learn from a given branch or category
You can start your learning all over again
You can check the version number of your SuperMemo
You can learn elements that belong to a given branch or category
You can define a French keyboard for use with SuperMemo
What if a shortcut does not work?
We no longer produce printed manuals
Upgrading SuperMemo is easy
Problems with shortcuts in HTML component
You can check the element number with Ctrl+G
Writing advanced collections is easy!
In reporting problems, please list the error messages you receive
 Hints option must be checked for hints to be displayed
In SuperMemo "registry" is used to mean a collection of objects

You can edit elements during repetitions
(Deron Isaac, USA, May 21, 1997)
Question:
How can I edit texts of items during repetitions without backing out of the test mode?
Answer:
Choose Q to edit the question, A to edit the answer, E to edit all text components or Ctrl+E to switch all components to the editing mode. You can also edit all properties of all components by using context menus available with a right button click over a given component

You can see what items will be repeated on a given day
(Matt Cassidy, New Zealand, Aug 18, 1997)
Question:
How to review elements to be repeated on a given day?
Answer:
Use Ctrl+W (Tools : Workload) and double-click the day of interest

You can easily delete an element
Question:
How do I delete an element in SuperMemo?
Answer:
Choose one of the following:

  • choose Edit : Delete element on the main menu
  • click Delete button in the contents window
  • choose Delete on the contents menu
  • press Del in the contents window
  • choose Delete element on the element menu
  • press Shift+Ctrl+Del in the element window (in most cases, pressing Del is enough)

You can install an icon representing SuperMemo on your Windows desktop
(Judy Citron, UK, May 26, 1998)
Question:
Your programme has been highly recommended to me so I've downloaded SuperMemo from the web. But when I execute it I seem to get thrown into the deep end. Do I get a nice icon on my desktop?
Answer:
If you installed manually (installer shall create icons for you), you can add the desktop icon with File : Installation : Install icons. To begin your work with SuperMemo see: SuperMemo ABC

With SuperMemo you can tackle any exam
(Anatolyi Lipatov, Ukraine, Jul 12, 1998)
Question:
I am using Advanced English to enhance my English and business English. Now I am registering for CFA examination (that is Chartered Financial Analyst program of Association of Investment Management and Research). There are several organizations developing and distributing methodological stuff for preparing to the exam. A lot of things should be memorized for passing the exam. What do you think the best way to fit SuperMemo for memorization and what approach should I use to prepare my own knowledge base for memorizing the material. Is special programming knowledge needed for it?
Answer:
No specialist knowledge is needed to prepare simple collections in SuperMemo. With Alt+A (i.e. Add new) you get the core functionality! All advanced editing options can be worked around by an appropriate questions-and-answer approach. Perhaps it would be useful yet to learn how to add images to your items. To learn more about effectively structuring knowledge in SuperMemo you might want to read 20 rules of formulating knowledge

You can search for substrings with Ctrl+F
Question:
How can I search for a given string of characters in the collection?
Answer:
Press Ctrl+F and type in the string

You can edit the font used with your elements
(Joe Fosnot, USA, Nov 23, 1998)
 Question:
How can I quickly increase the size of the font used in questions and answers?
Answer:
Here are some methods:

  1. Try Ctrl+] on the whole element
  2. To change the size of the font in a single component, select the text and press Ctrl+] (this will only work in richly formatted text components)
  3. To change the size of the font used when creating new plain text and RTF components, choose Tools : Options : Fonts : Question font and/or Answer font
  4. If you want to use different fonts in question and answer fields, use the Classic template. Use Text : New font on a plain text component menu to define a new template font. See: Using templates

You can use View in the contents window to see an element in the element window
(Noel Clary, USA, Sep 18, 1998)
Question:
When I double click an element without children, I get to view it in the element window. However, when it has children, its branch opens or closes. How can I easily view contents elements with children in the element window?
Answer:
Click View at the bottom of the contents window. If you select the Synchronize button at the top of the contents window (Edit toolbar), you should also be able to view elements with a single click

In SuperMemo, Memorized<>Remembered
(jj, UK, Sunday, December 24, 2000 1:54 AM)
Question:
I have noticed in the Statistics that the number of elements memorized increases even when I enter Fail when answering incorrectly. For instance, in the collection of US States Capitals, it was showing 100% memorized when I was still getting many of them wrong
Answer:
Parameter Memorized indicates the number of elements in the learning process; not the number of elements you are able to recall correctly. If you make regular repetitions in the long run (i.e. over weeks and months), the number of remembered elements can be estimated with Memorized*Retention

You can set question and answer fonts
(Paul R Taubr, Wed, May 22, 2002 0:41)
Question:
I try to create a default template which is just a font and font size (Arial 14) to use with all my items (questions and answers)
Answer:
This is the fastest way:

  1. Add an item (Alt+A)
  2. Choose Text : Edit font on the component menu for both the question and the answer (right click)
  3. Use Template : Save as default (Ctrl+Alt+M) on the element menu

If you want to set the same font for all your items, choose Tools : Options : Fonts : Question font and/or Answer font

SuperMemo in other languages
(Nuno Freitas, Portugal, Thu, Jun 21, 2001 13:39)
Question:
I'm Portuguese and I'd like to learn English with SuperMemo. Are the words translated to Portuguese? If not, how can I learn?
Answer:
Collections in SuperMemo Library do not provide foreign language translations. You have only three options:

  1. Use English language collections
  2. Create your own learning material in Portuguese
  3. Use the translation mechanism in SuperMemo to translate the most difficult portions of English collections to Portuguese

List of shortcuts
(kensweet21, Nov 25, 2000)
Question:
Do you have a reference list of shortcuts?
Answer:
Yes. See: Keyboard shortcuts in SuperMemo

You can easily copy SuperMemo to a diskette
(Jack B., Sun, Jun 24, 2001 2:20)
Question:
After getting the program downloaded, may I simply pay for a backup diskette sent to me?
Answer:
You can create your own backup diskette in a minute by simply copying the downloaded file onto a blank disk.

Refer to MS Windows help files for the basics of file copying

You can define a French keyboard for use with SuperMemo
(David Seagull, USA, Jul 10, 1998)
Question:
How can I define French keyboard for use with SuperMemo in Windows?
Answer:
In Window's Control Panel use Keyboard and add French on the tab named Language or Input locales (e.g. French - Canadian). Set French as default

Use Element Parameters dialog box to view element's category
(Steve Brown, Tuesday, August 21, 2001 4:01 PM)
Question:
Is there a way to tell what category an element (e.g. Q/A pair) belongs to without going to other windows?
Answer:
The simplest way is to press Ctrl+Shift+P (Category combo in the Element Parameters dialog box). If you would like to quickly see the location of an element in the contents, choose Alt+P (Ancestors window)

If Add New does not create needed components, you can redefine the template
(noam-at, Israel, Aug 04, 2001)
Question:
When I click Add New, I get a new item, but SuperMemo doesn't create two editing fields for the question and answer. Instead, I see the gray screen of SuperMemo without any fields
Answer:
Add New uses the default template to create new items. If you delete all components (e.g. question and answer fields) from the default template, Add New will add new elements that look empty. If you want to restore your question and answer components, you need to redefine the template. If you are not very fluent with templates, locate an element in your collection that looks ok and choose Template : Save as default (Ctrl+Alt+M) on the element menu. This will save the look of the selected element in the default template. Add New will then replicate this look

To check system integrity use File : Repair collection
(rocky eversman, Sunday, July 08, 2001 7:35 PM)
Question:
I encountered a message that stated there were problems terminating recent session and that I should use system recovery to check system integrity. How do I do it?
Answer:
Use File : Repair collection to verify collection integrity and repair file errors (if possible). Historically, this option has been called Recover, but users suggested a change to more meaningful Repair

You can join SuperMemo eGroup for community self-help
(Tami Laughlin, Monday, October 16, 2000 6:55 AM)
Question:
Other than reading the material and keeping at working with it, is there anything else you could suggest to learn it? Is there a discussion group somewhere maybe?
Answer:
Yahoo eGroup has been created for SuperMemo at: http://groups.yahoo.com/group/supermemo

We no longer produce printed manuals
(Neville Bailey, Australia, Dec 5, 1998)
Question:
I have previously used SuperMemo 6 and SuperMemo 7. There was always a printable manual file with the software. I cannot find anything like that on your website. Is there a manual to download or order?
Answer:
No. As of 1997, all our documentation is provided as hypertext that does not have a structure that can be printed and/or processed linearly (i.e. page by page). We are proud to adopt the environmentally-friendly electronic publishing.

Last but not least, we believe that the only rational and effective way of reading and learning is: incremental reading. Incremental reading requires that your learning material be submitted in electronic form

Add New and Learn stand for 90% of value of SuperMemo for most people
(Tosh B., Saturday, August 04, 2001 10:50 PM)
Question:
I am unable to see any collection. Although I can access the 2 dialog boxes for the Add New question-answer formats, I can not do much more
Answer:
Once you are able to create questions and answers with Add New, all you have to do to begin your work with SuperMemo is to click Learn. You have to do it regularly. Preferably once per day, until you see the message: "Nothing more to learn". Then you can add more questions and answers. Remember that you will not experience the benefits of SuperMemo earlier than in 1-2 weeks. As the first optimum intervals in learning last up to a week, your first week will bring no better results than traditional learning. The power of spaced repetition will show and increase in weeks, months and years. If you want to use more advanced functions of SuperMemo, you can later venture into this Guide. In addition, do not miss the concept of incremental reading

You can easily install SuperMemo on two PCs
(Steve Brown, Wed, Aug 15, 2001 14:00)
Question:
I just recently purchased SuperMemo and have successfully downloaded to my home PC. I would also like to load it on my work PC. How can I get another download going?
Answer:
You can simply copy the downloaded file onto a diskette and transfer it to another PC. Please note that it is not easy to synchronize large collections. The simplest method is to use File : Copy collection and copy entire collections between the two PCs

Good answers should be scored Pass or higher
(Frank Gaval, USA, Oct 16, 2000)
Question:
What is the meaning of grade buttons: Bright, Good, Pass, Fail, etc.
Answer:
Bright, Good and Pass are used to indicate that you remember. Fail or less indicates forgetting.
For more details, pause the mouse button over each button. For more details see: Repetitions in SuperMemo

You can add pictures to your items
(Bonnie Smithson, USA, Feb 24, 1998)
Question:
How do I put pictures into the answer part?
Answer:
After adding an image component to your item (e.g. by pasting a picture with Shift+Ins from the clipboard), check Answer on the image component menu

Writing advanced collections is easy!
(Boris Milikic, Slovenia, Nov 27, 1999)
Question:
Is there a quick guide to building collections such as Advanced English? I have the knowledge tree and the contents on paper
Answer:
See: User's Guide. The most important things to learn in the beginning are:

  1. How to build a knowledge tree in the contents window. You will need to understand operations such as Add, Insert, etc. and how to modify the tree with drag&drop operations in various modes (e.g. Add as last child, Replace target, etc.). See: Building knowledge tree
  2. How to fill out elements with components, and how to modify component attributes with component menu and element attributes with element menu. See: Using templates

You can change the size of the question and answer windows
Question:
How can I change the position of the question field on the screen?
Answer:
Alt-click the question twice. It will become draggable. Alternatively, you can choose Dragging mode on the question's menu or on the element menu (in the latter case, all components will become draggable). If your element uses a template, this change will be global. See: Using templates

You can add chemical formulas to SuperMemo
(Charles Maggio, USA, July 7, 1997)
Question:
I use ChemDraw to create structured formulas of organic substances. How can I paste them to an image component?
Answer:
You can copy your ChemDraw formulas to the clipboard in the picture format and just paste them to your elements (e.g. with Ctrl+V). You can also try to use OLE components to keep your formulas in SuperMemo. This way, you will be able to modify the formulas with ChemDraw from within SuperMemo. Use image components (the first method) if you do not need to modify the formulas (simplicity, disk space, etc.). Use OLE components, if you constantly need to rework your formulas

You can duplicate items
(Ryszard Kosowicz, Krakow, Poland, May 16, 1997)
Question:
How can I quickly copy the text of an item to another item without using the clipboard twice (for the question and for the answer)?
Answer:
Use Duplicate on the element menu (or press Ctrl+Alt+D on the copied element)

Memorized material always comes back for repetition
(Leitnick, David, Monday, December 17, 2001 10:56 PM)
Question:
I created my first list of 100 peg words in a file I call "Mnemonics". I scored Bright or Good on everything until I got to the end of the list. It's been 2 weeks and SuperMemo never gave me a review for that file when I select it. Shouldn't I still be prompted for a review at some point in time?
Answer:
You should have already been prompted for review. It is not enough to open your Mnemonics collection. You need to choose Learn to execute repetitions. Use Tools : Workload (Ctrl+W) to see on which date the repetitions have been scheduled. Make sure you do not manipulate the date in the computer, do not input "dummy" grades and do not trick SuperMemo in any other way to overestimate your memory

You can use categories to influence where new elements are added with Add new
(R.K., Sun, Jun 17, 2001 17:54)
Question:
I would expect SuperMemo to add a new item as a straight neighbor of the previously added element in the contents window. Why isn't it so?
Answer:
Selection in the contents window is too transient to be the basis of choosing the insertion point for new material. This would require constant user attention as to the present selection. As a remedy, the concept of a category has been introduced. Each category, such as biology or geography, has its own insertion point called a hook. Now, all you have to do is to select a category, and Add new will add new elements to that category. Added elements will be listed sequentially as neighbors

Keep your collections in one piece
(David Mckenzie, New Zealand, Apr 8, 1998)
Question:
Is there any point in keeping collections separate?
Answer:
No. Once you master categories, templates and Postpone, there is no point. You gain global search, global registries, global repetitions, global optimization, etc. This would not be advisable back in SuperMemo 7 as item difficulty measure (E-factor) was dependent on the average difficulty of items in the collection. Presently, the item difficulty measure (A-Factor, or absolute difficulty factor) is absolute and does not depend on the context in which an item is placed (see: SuperMemo Algorithm). Only the length of the first interval will significantly be affected by the average difficulty of items in the collection. However, this shall not bear dramatically on the speed of learning. Especially that variable forgetting index for individual items makes it possible to set different first intervals for whole contents categories or branches of the knowledge tree

You can check the element number with Ctrl+G
(Doug Edmunds, USA, Nov 4, 1997)
Question:
What is the fastest way of checking the number of the currently displayed element?
Answer:
Press Ctrl+G or look at the caption of the element data window

Swapping the question with the answer
(Eric Chen, Japan, Thu, Jun 21, 2001 12:09)
Question:
I would like to swap questions with answers during learning. The closest hint I found in your website is to create a duplicate and then swap the components. But this would require me to do this duplicate-and-swap procedure for each item, which seems to take a lot of time and labor (not to mention that the knowledge base would be doubled in size).
Answer:
Duplicate-and-swap approach is indeed the recommended solution here. These are two keystrokes that should take much less time than the time needed to recall individual pairs over months. Moreover, pure word-pair solution rarely works (there are various one-to-many semantic associations between words which should be reflected in the question, e.g. via contextual examples). Each decision related to the swap and reformulating the question and/or the answer should be conscious, deliberate, and will pay in the long run. As for doubling the size, pure swap does not duplicate the texts. Only when you reformulate the question, the unique texts will be stored separately

Collections self-restore
(Siow Yew Nam, Singapore, May 12, 1999)
Question:
When I delete a collection in Windows Explorer, it is automatically restored when I return to SuperMemo! How can I go around it?
Answer:
Use File : Delete collection. When you start SuperMemo, it tries to open the last collection used. Even it it has been deleted, SuperMemo creates an empty new collection of the same name. This is why it is more convenient to delete collections from within SuperMemo

You can see the function of menu items by enabling hints and the status bar
(Gláucia, Brazil, Monday, July 16, 2001 9:04 PM)
Question:
How can you see the function of a given menu item in SuperMemo? I want to see its description on the status bar
Answer:
You must select Window : Hints to enable displaying hints and select Window : Status bar to make sure the status bar is shown

If you paste an image, image component size will be adjusted (#5767)
(Patrik Nilsson, Monday, July 16, 2001 3:36 PM)
Question:
How can I simplify the following sequence: 1) Create an image component 2) Paste a picture (from the clipboard) 3) Make the picture the answer 4) Stretch the image or move the sides of the rectangle to adjust the size
Answer:
Instead of creating the image component, paste the picture. This way you will save on creating the component and adjusting its size. All you will need to do is to select Answer and moving the component to the desired location

SuperMemo does not interrupt learning new material (#8121)
(Leitnick, David, Monday, December 17, 2001 10:56 PM)
Question:
I downloaded the GRE vocabulary off of the freeware section of your site. It was overloading me with information, like it was going to show me all 1,000+ words before it stopped. I was getting information overload
Answer:
In SuperMemo you need to distinguish two phases: 1. Learning new material 2. Reviewing old material SuperMemo will schedule repetitions of the old material for you. However, it is up to you to decide how much new material you want to learn. It all depends on your time or patience. Once your time is up, you feel tired, or you predict you will not be able to cope with future repetitions, you can stop learning. SuperMemo will not interrupt learning new material

Upgrading SuperMemo is easy
(tdepoty, Mon, May 20, 2002 23:01)
Question:
Can I upgrade to SuperMemo 2000/2004 and still retain all the items I have stored in SuperMemo 99?
Answer:
Yes. Choose File : Open collection and the upgrade will be executed automatically. The upgrade is irreversible. If you want to go back to SuperMemo 99, you will need to create a backup beforehand

You should never manually modify files or folders created by SuperMemo
(Jean Adelia R, Tuesday, February 19, 2002 2:49 AM)
Question:
I have just accidentally deleted all the info I put into your program - hours of work. Here is how it happened. Your program put icons on my desktop for Bins and Systems. To unclutter my desktop I put them all in one folder in my desktop along with other info I downloaded on how to use this software. However, after awhile new bins and systems folders appeared on my desktop. When I moved those to the same folder all my work vanished
Answer:
You should not move or delete files handled by software applications unless with a clear understanding of their function! This rule is universal and applies not only to SuperMemo. If you move files in Windows folders, you can crash the whole system. Most applications use various DLL, INI or data files that will render software unusable if you move them out of the designed locations. Similarly, if you move MS Word data folder with your documents, your data will appear lost once you try File : Open. The same happened in your case. You moved data away from SuperMemo's view. Your learning material should still be visible in the SYSTEMS folder you have moved. Before you restore it though, please read: How to backup your learning material. This is to make sure you do not miss files or folders that SuperMemo will later try to recreate adding to confusion

You can search a given branch
(T. Moore, Oct 03, 2001)
Question:
How can I search for some text in a single branch?
Answer:
Select this branch in the contents window and choose Ctrl+F

You cannot use the same collection with two instances of SuperMemo
(Herman Van Cauwelaert, Belgium, 16/05/2002 23:03:52)
Question:
SuperMemo has just displayed the following error:
"Access denied!
System locked by another SuperMemo:
c:\sm2000\systems\003 spieren.Kno"
Answer:
This is a harmless warning which indicates that you could not open your "003 spieren" collection due to the fact that another copy of SuperMemo has already opened the same collection. One collection cannot be used by two instances of SuperMemo (even if they are running on different computers)

You can start your learning all over again
(tdepoty, Mon, May 20, 2002 23:01)
Question:
I stopped using SuperMemo a few months ago. How can I now reset the program to start again at the beginning with the items I already have created
Answer:
Choose File : Tools : Reset collection (you may need to choose File : Level : Professional first)

Plain text and font size
(Jan Gorski, Poland, Thu, May 23, 2002 16:20)
Question:
Converting to plain text has some bad side effect: the text is made very small
Answer:
You need to set Options : Font : Question font and Answer font to adjust the size of font in components that do not define their own font. If you disallow font changes to HTML components in Options, you can change the default size of the font as used by Internet Explorer

In reporting problems, please list the error messages you receive
(maura trevino, Mexico, Sunday, October 28, 2001 1:03 AM )
Question:
SuperMemo does not work. I try to install on a new laptop and it does not work
Answer:
It is very important you include the error messages or other symptoms that could help diagnose the problem. It is also important to indicate which stages have been successful (order, download, unzipping, running the exe file, etc.). Please send as detailed a description as possible. You do not need to use technical terminology but details are vital for diagnosis

Your backup strategy will depend on the value of your material
(Don Frankel, Sunday, October 07, 2001 8:05 PM)
Question:
Do you recommend several collection backups on the C:\ drive in different directories?
Answer:
It depends on the value of your material. If you have invested a lot of time in your collection, you should spare no effort to provide multiple and versatile backups. For example, for your main body of knowledge, you could do a daily backup on your hard disk. You could also change your backup drive if you have more than one physical disk to reduce the likelihood of disaster in case your hard drive fails. Then you should do some less frequent backups on other computers via the network, on a CDR drive, or at some Internet location. If neither is an option, you should seriously consider investing in a backup device (e.g. a ZIP drive). Once you lose your learning material, your learning investment will be eaten away quickly by the power of forgetting. Backups in different directories are not much safer than backups to the same directory unless the directory in question is in danger of being accidentally deleted (e.g. on a family computer)

If you learn vocabulary, adding your own material may be a good strategy
(Ricardo Romero dominicana, Venezuela, Sunday, June 02, 2002 6:36 PM)
Question:
I wish to use SuperMemo to expand vocabulary. Do I need additional moduli to accomplish this?
Answer:
No. Your best strategy might be to manually add the vocabulary you want to remember. If you want to learn English, you can (but you do not have to) supplement your learning with material from SuperMemo Library

You can paste Chinese pictures with Shift+Ins
(Leitnick, David, Fri, Dec 07, 2001 1:51 AM)
Question:
I've found a good Chinese/English dictionary at http://www.ok88.com/go/svc/ecdict.html. It displays the Chinese characters as .gif pictures. How do I paste these pictures to SuperMemo
Answer:
First copy the picture to the clipboard. Then you paste it with Shift+Ins or with Ctrl+V. Be sure that no text component is in the editing mode. That would attempt to paste text. If you are not sure what editing mode is, simply press Esc 2-3 times (this will take you to the display mode)

Stop button is equivalent to Esc
(Leitnick, David, Monday, December 17, 2001 10:56 PM)
Question:
What does the Stop button do? And when do I use it?
Answer:
You can use Stop to stop repetitions. You rarely need to use Stop as you can achieve a similar effect by quitting SuperMemo or simply navigating to another element. Stop will complete the repetition cycle of the currently executed element. In addition, it will ask you if you will like to proceed with the final drill if there are any elements in the final drill queue. Stop is equivalent to using Esc

Feedback from users is vital to improving the documentation
(Safecity Training Academy, Australia, Sat, Dec 29, 2001 5:59 PM)
Question:
SuperMemo documentation needs to be better organized. Even a simple feature such as changing the default background colour is still a mystery after reading volumes and volumes of explanations which lead to more explanations and no solution at all
Answer:

  1. Such documentation holes can only be fixed if we receive feedback from customers. Changing the background color is not part of the step-by-step guide as this derives from the understanding of context menus which are documented on their own as a separate conceptual step (see: element menu). To remedy this difficulty, you would need to describe where and how you searched for the answer and where you would expect to find help. However, the degree of hyperlinking between individual documents and the number of "side notes" and explanation is so confusing for precisely that reason: trying to patch all individual "search path holes" of individuals customers trying to find individual pieces of information. This is a universal problem typical of all extensive pieces of documentation. It seems to grow endlessly
  2. You can change the background color by choosing Color on the element menu (right click over the element area)

Answer should only show at answer time
(Raquel Keshishian, Uruguay, Thu, Jun 20, 2002 8:52)
Question:
I created three categories with my first template. When I choose Learn, I can see two components (question and answer) at the same time
Answer:
Please check two things:

  1. if your answer component has Answer checked on its menu (without it it is not treated as an answer)
  2. if your element is indeed an item instead of a topic (topics are not graded and do not show answers)

Community forum for support questions
(Jon Lawrance, Mon, Jun 17, 2002 19:47)
Question:
How about a forum? It is much better for support questions and lets me read the support issues others are facing
Answer:
A user from Germany has set up a Yahoo eGroup that might serve this function

Introducing equations to SuperMemo
(Adam Kumiszcza, Sat, Jun 08, 2002 20:40)
Question:
I am preparing for an exam and produce lots of SuperMemo elements with many equations. The problem is I don't know how to introduce them efficiently to SuperMemo
Answer:
The fastest and most popular method is:

  1. prepare your equations in a tool of your choice
  2. copy the equation as a bitmapped image to the clipboard
  3. paste it to your elements with Shift+Ins (or Ctrl+V)

Other alternatives: OLE (not very stable), HTML (limited formatting), LaTEX notation (text only), binary component (any file format visible on button click).

You can easily move collections between computers
(JaM, USA Educational, Monday, January 21, 2002 4:33 AM)
Question:
It appears that SuperMemo uses various absolute links. For example, in the collection.ini file:
Image=C:\MY DOCUMENTS\JAM\SM2000\SYSTEMS\WORK\temp\
Does it mean that my collection will malfunction if I move it to another computer?
Answer:
No. The path you quote is the default image import path. If you try to import an image on the new computer, SuperMemo will notice that this path does not exist and substitute the default directory path instead. It will act similarly in many other cases. However, you may experience some problems with external links from SuperMemo to other files. For example:

  • if you use a CD-ROM as your secondary storage, you may need to change the secondary storage letter in Options
  • if you use Link external to save space, you will need to transfer external files with the collection or internalize them with registry Internalize. Otherwise, these external files will become unavailable (e.g. images will become empty, etc.)
  • if you use links from within HTML files, scripts, etc. they also can get broken

Using external link is rare, complex, and is generally not recommended. You will not find such problems, for example, in SuperMemo Library collections. With typical use of SuperMemo, all it takes to move your collections between computers is to copy them with File : Copy collection (or manually). The same refers to SuperMemo itself. You can copy SM2002.exe to another computer and it should work fine

You can easily see the number of outstanding repetitions
(Verona, Brazil, Tue, May 29, 2001 16:33)
Question:
How can I see the number of outstanding repetitions for today?
Answer:
You can see the number of outstanding repetitions on the status bar (second field). If the status bar is not visible, check Window : Status bar. Alternatively, you can press F5 to display the Statistics window. You can also open this window and save it permanently in your layout with Ctrl+Shift+F5. If you would like to see repetitions scheduled for other days, choose Tools : Workload (or press Ctrl+W)

You decide how many items to learn from a given branch or category
(Fernando Chapa, Sunday, September 01, 2002 1:12 AM)
Question:
I currently switched from supermemo.net to SuperMemo for Windows. In supermemo.net, you can control how many items are introduced per day from each category. How do I do this in SuperMemo for Windows?
Answer:
There is no such automatic option in SuperMemo for Windows. You can only select a given category, learn as many items as you feel you need, then select another category and learn as much as need and so on. You can also use subset operations to construct a repetition queue that will dish the material from different branches in your chosen proportions

You can drill yourself on a subset of elements
(Michael Passmore, Canada, Thursday, September 19, 2002 12:15 AM)
Question:
Is there a possibility in SuperMemo to drill myself on a subset of elements from my collection?
Answer:
Yes. Open the subset in a browser and select one of the following:

  • Process browser : Learning : Learn - to review only the elements that are scheduled for repetition today
  • Process browser : Learning : Review - to review all elements in the subset (except those already reviewed today)

You can merge two or more collections into one body of knowledge
(Joanna Symonowicz, Poland, Monday, September 30, 2002 12:04 AM)
Question:
I have just purchased the Quotations, Quips, & Proverbs collection. How could I import it to my master collection?
Answer:
Open your new collection and use File : Merge collection to merge it with your main collection

You can learn elements that belong to a given branch or category
(Magdalena R., Poland, Friday, October 04, 2002 11:37 AM)
Question:
I have recently purchased Advanced English. I am mostly interested in business English. How could I learn the vocabulary related to business?
Answer:
In Advanced English, all specialist terminology is organized in categories. The category for business English is called Business and Economics. If you would like to learn from this category, do what follows:

  1. Press the Contents button in the element window (or press Alt+C)
  2. Expand Advanced English 2002, Advanced English, Economics, Law, and Political Sciences categories in turn
  3. Select the Business and Economics category
  4. Press the Learn button at the bottom of the contents window (the second from the left)

Hints option must be checked for hints to be displayed (#310)
(Malcolm Macgregor, Saturday, October 05, 2002 7:24 PM)
Question:
I have turned on the status bar, however, no hints are displayed no matter which button or menu item I select?
Answer:
Check if Windows : Hints is checked.

Alternatively, you could also check if the Hints checkbox on the Actions toolbar is checked (you can access the Actions toolbar by selecting Window : Toolbars : Actions from the main menu)

Many options are not available in the Basic and Beginner difficulty levels
(sargeguy, Sunday, October 06, 2002 4:20 AM)
Question:
I have been advised to access the Options dialog box via Tools : Options. However, there is no Tools menu in my version of the software. Do I need a different copy of the program?
Answer:
No. You are probably in the Basic or Beginner difficulty level where the Tools menu is not available. You can switch to another level with File : Level

Increasing search speed
(Richard King, Nov 06, 2002)
Question:
My collection is 500MB text and it used to be searched in a second. Recently it takes 2 minutes! Repair does not help. Is it related to SuperMemo. Have I passed any magic limit?
Answer:
You could begin with defragmenting your hard disk (it helps in most cases). See also if you have not reduced the size of virtual memory or other important Windows parameters. See the list of processes in Windows Task Manager to make sure no stealth process is slowing down your computer (e.g. a virus or spyware). If it used to take 1 second to search 500 MB of text, it should roughly take 2 seconds to search 1 GB. There is nothing in SuperMemo that could slow it down with size. The problem must be with your Windows

Adding components of various type
(Michael Smith, Canada, Tue, Jun 04, 2002 21:09)
Question:
Is there any tutorial on how to produce different types of components (e.g. graphics, etc.)
Answer:
All components are added in the same way (by using the Compose toolbar). They also use a uniform set of properties available with the right click over the component. Once you learn to add one type of components, it is easy to add other types

All versions of SuperMemo are suitable for learning vocabulary
(EDGAR QUEVEDO, Colombia, Sun, Jun 30, 2002 3:29)
Question:
I have Advanced English. I want to be able to create my own vocabulary data base to study French. What SuperMemo product would you advise me to get for this purpose?
Answer:
All versions of SuperMemo should work well for the purpose of building your own vocabulary and/or grammar material. Once you start learning, see the limitations of your present version (SuperMemo 8) to consider an upgrade (or platform change). It may appear that your present SuperMemo will entirely meet your needs

Global Search and Replace
(mikecondron, Friday, July 26, 2002 7:13 PM)
Question:
Is there a way to do a global search/replace text?
Answer:
Do the following:

  1. search for strings with Ctrl+S (Search : Find texts)
  2. replace strings with Ctrl+R (Search and replace : Find and replace on the registry menu)

Backing up on CDR
(Dave, Saturday, July 13, 2002 9:40 PM)
Question:
I need to know how to backup SuperMemo 2004 on a CDR. Is it difficult?
Answer:
It is enough you back up the file you download from the Internet. The hardest part is handling CDR software itself. If you lose your file, you can always download again from supermemo.com. It is more important (and slightly more complex) to back up your learning material. Here are the instructions: Backup

Incremental reading tools provide for fastest conversion of electronic material to learning material (#11772)
(Robert Bailey, Wednesday, July 10, 2002 6:27 PM)
Question:
I have several word lists and databases to memorize. Can I convert these to SuperMemo learning material?
Answer:
Yes. Paste it with Ctrl+Alt+N, use Extract (Alt+X) to extract individual pieces of information, and use Cloze to generate questions and answer (Alt+Z). See also: Incremental reading

You may also convert your material to a question-answer format importable directly to SuperMemo; however, once you try extract and cloze tools, you will know that this is the most efficient method in which you learn while processing and prioritizing your file

Incremental reading may be a remedy against the monotony of repetitions
(Roel Camorro, Philippines, Tuesday, June 18, 2002 3:54 PM)
Question:
SuperMemo has helped me a lot in systematically memorizing definitions in my legal studies. But can we find a way to make it more attractive say, by adding more graphics, etc?
Answer:
If you have not tried incremental reading yet, you could try and see if this can add to "attractiveness". Incremental reading is by far more challenging and colorful than typical repetitions. Naturally, you can also import there graphic rich material to make learning more enjoyable

There is no point at which an item is memorized "for good" (#16401)
(Desmond Sin, SatMar1,2003 11:10 am)
Question:
If you answer Bright every time, after how many repetitions and what period of time will that question be dismissed?
Answer:
Elements are never dismissed automatically! Memories are always subject to forgetting. The more repetitions you make, the slower the forgetting process (for well-formulated knowledge). However, forgetting never stops. Theoretically, you might dismiss an element if you are sure you will die before the next repetition. SuperMemo will always schedule the next repetition, even if the interval is to grow beyond several decades. You can use Dismiss for the following purposes:

  • Removing parenting articles from incremental reading while keeping them as reference
  • Keeping searchable archive of knowledge that became outdated
  • Converting topics to tasks (e.g. for prioritized entry into incremental reading), etc.

Remember button is grayed on memorized items (#18384)
(pulpdoctor2000, TueAug12,2003 5:31 pm)
Question:
After I press Alt+A to add an item, the Remember button is grayed out. Why?
Answer:
As of SuperMemo 2002, SuperMemo for Windows automatically introduces newly added items into the learning process. This change comes from the fact that incremental reading makes the concept of the pending queue outdated for collections created by the user. Prioritization tools provided by incremental reading are far superior to the simple first-come-first-served mechanism of the pending queue. Pending queue is still useful in large ready-made collections (e.g. Advanced English), where it determines the optimum sequence for memorizing the learning material. Technically speaking, the button Remember is enabled only if the following three conditions are all true:

  1. current element is not memorized (i.e. is pending or dismissed)
  2. the collection is not in the read-only mode (full-access is the default mode)
  3. current element is not the root element (i.e. Element #1)

See Tools : Workload (or Ctrl+W) to inspect the schedule of repetitions and thus verify that the said elements are indeed memorized. See also: SuperMemo ABC

Why does not SuperMemo stop asking questions?
(Robyn, May 27, 2004, 09:21:35)
Question:
I bought Basic Spanish. SuperMemo is just firing question after question. How does one just work with 10 questions until they are mastered? The software seems to want to go through the entire list before anything is reviewed, clearly impossible
Answer:
If you want to master only 10 questions at a time, stop repetitions after the 10th question. Optimally, you will not review these questions for some time (e.g. 3-4 days). When the time comes, these questions will be presented for review. In the meantime, SuperMemo is trying to fill up your free time by introducing more material into the process. It is up to you to decide how much you are ready to take on

Where are those advanced menu options?
(Serguei Koureda, Sunday, October 20, 2002 11:08 PM)
Question:
Why is there no option Categories in Search menu?
Answer:
You need to be in Professional level (File : Level) and you need full access on (Tools : Options : Data access). If you use different levels and mode settings, some menu options may be turned off

Certain shortcuts do not work in the editing mode
(JP, Monday, December 02, 2002 9:32 PM)
Question:
The Ctrl+Alt+C shortcut key responsible for selecting a category from the category combo box available in the Tools toolbar doesn't work when I review elements, which use HTML components.
Answer:
The shortcut key will work once you exit the editing mode (e.g. by pressing Esc)

Learning a subset of knowledge
(Wladimir Nossel, Thursday, April 04, 2002 11:04 PM)
Question:
I would like to tell SuperMemo that currently, I need to be tested only on countries whose language is Spanish
Answer:
If you do not have relevant elements stored in the same branch or category, you can best use unique string labeling for such purposes. For example, precede your questions with "Lang: Spanish". You will then be able to use search combined with subset learning: Ctrl+F (search for "Lang: Spanish") and Ctrl+Alt+L (Learn the browser subset)

Problems with shortcuts in HTML component
(MM, Netherlands, 10-07-2002)
Question:
I use Language "Nederlands" with some words on the navigation toolbar such as Next = &Volgende and Search = &Zoeken. Editing text in a HTML-component is problematic. When I want to type a "z" the search window appears. When I want to type a "v" SuperMemo shows the next element
Answer:
This problem occurs mostly in some older Windows installation. Updating to the newest Internet Explorer 6.0 is likely to resolve this problem. If it does not help, however, you may need to remove the shortcuts from interface translations (&Volgende would become Volgende). You can change translations in Tools : Options : Language.

Advanced: This problem comes from an incompatibility in Microsoft's WebBrowser control and Borland Delphi VCL component model. SuperMemo goes around this incompatibility, but the workaround does not work with some earlier WebBrowser controls

Cannot use File : Merge collection
(Robyn, Monday, May 24, 2004 2:25 PM)
Question:
I have two collections: ABC and the Most Common Spanish Verbs. I would like to merge these into one large collection. Unfortunately the Merge option does not appear under the File menu
Answer:
There may be two reasons for which Merge collection does not appear on the File menu:

  1. You are using an older version of SuperMemo
  2. You are using a level lower than Middle (use File : Level : Middle or File : Level : Professional)

It is possible to import formatted questions and answers
(johndouglas2005, MonJan26,2004 11:03 am)
Question:
Is it possible to import formatted Q and A files? I want to prepare some formatted questions that use bold type or underlined words or maybe even different colored words
Answer:
Yes. You can use HTML in your Q&A text file. You could also use the XML format to produce formatted material importable to SuperMemo. However, the simplest and fastest method is to write the whole formatted text into a single file, paste it into a single topic (e.g. with Ctrl+Alt+N) and then process it easily with incremental reading (Alt+X and Alt+Z)

In SuperMemo "registry" is used to mean a collection of objects
(JTP, May 31, 2004, 05:04:00)
Question:
I receive various registry errors. It is not a surprise to find that the registry files are missing. We have had issues with Trojans and spyware and such. Removing these things sometimes requires changes to the registry. We launch the regedit command and voila! - the computer develops bugs
Answer:
It is important to note that SuperMemo has always used the term "registry" to mean a "collection of objects" (such as pictures, texts, sounds, etc.). The confusion with Windows registry began when Microsoft launched Windows 95. Editing Windows registry is not likely to affect SuperMemo, unless you introduce systemwide errors/problems. However, viruses can indeed inflict damage that can result in loss of files. SuperMemo registry files are kept in each collection's individual folder in the subfolder named "registry". If by any means these files are deleted, emptied, corrupted and/or locked, you can receive "missing registry files" errors

You may find SuperMemo counterintuitive
(R, May 27, 2004, 09:21:35)
Question:
I am supposed to drill earlier elements before adding new ones. Why do new ones keep coming up first? I find this program very awkward and counterintuitive
Answer:
The goal of SuperMemo is to provide a requested retention at minimum time. This goes against a widespread myth that the more you repeat, the better. When you first start learning with SuperMemo, you may be surprised that it waits a couple days before it starts drilling you on the newly added items. However, this is exactly the shortest path to your retention targets. It is no surprise that for many, SuperMemo seems counterintuitive at first. The only thing you can do is to grit your teeth and trust the science behind SuperMemo

Some reading that may help:

  • 20 myths of memory and learning
  • What is SuperMemo?
  • FAQ: memory and learning

Use the HTML component to paste text with embedded images
(schmera, Tuesday, November 12, 2002 4:49 PM)
Question:
How can I paste text with embedded pictures into my SuperMemo element?
Answer:
Use the HTML component for this purpose

Change functionality level to see more advanced options
(Donald Summerton, South Africa, Monday, December 09, 2002 8:27 PM)
Question:
My first impression upon running SuperMemo for the first time is that it seems to be incomplete as I can only get the screen which has the File in the main menu, the Contents, Search, etc. buttons at the top and the Learn and Add new buttons at the bottom of the window. I am sure that there must be more to it than this single screen. What has gone wrong?
Answer:
You are right that SuperMemo offers more than meets the eye at the first. SuperMemo implements four difficulty levels: Beginner, Basic, Middle, and Professional, each displaying a different range of options. What you see is the Beginner level, which is the default difficulty level at the first start-up of the program. To change difficulty level, choose File : Level

You can check the version number of your SuperMemo
(nleric2002, Sweden, Wednesday, December 11, 2002 2:54 PM)
Question:
How can I check which version of SuperMemo I am running?
Answer:
Choose Help : About from the main menu. In the Build field can you check the version number of the program, while the Date field shows the day, on which this version was released. Change File : Level to higher if you do not see Help menu

You can easily copy the learning material for someone else to use it (#12270)
(Veli-Matti Salo, Finland, Monday, August 05, 2002 8:05 AM)
Question:
I bought Basic Spanish. I would like to know is it possible to divide it so that two persons can use it independently. My wife would like to give it a try too
Answer:
All you need to do is to copy your collection (File : Copy collection) and give it a new name (e.g. Wife.kno). If you have already started learning in Spanish.kno, you should yet reset the Wife.kno copy with File : Tools : Reset collection to remove your learning process from Wife.kno

Swapping questions with answers
(Perseus Missirlis, Canada, Sunday, August 04, 2002 3:08 AM)
Question:
How do I swap questions and answers?
Answer:
Use Edit : Swap Q&A on the element menu (Ctrl+Shift+S)

What if a shortcut does not work? (#12574)
(KH, Thursday, August 22, 2002 6:58 AM)
Question:
I wanted to add an e-mail to my collection but the shortcut Ctrl+Alt+E does not work!
Answer:
Please check two things:

  1. if you do not define this same shortcut in Windows (it will take precedence over SuperMemo)
  2. if you have Tools : Options : SuperMemo : Trim shortcuts unchecked


FAQ: Using categories in SuperMemo

Use Add in the contents window to determine the location of an item in the knowledge tree
Where is Search : Categories?
Branch selection does not affect the template used
Searching a category
You can make repetitions on elements belonging to a given branch
You can make SuperMemo apply category template on moving an element to a category
Deleting category does not delete its elements
You can rehearse only those elements that belong to a selected category
Certain shortcuts do not work in the editing mode
Each category has its own hook
Task Extract adds elements as children of the article (not the current tasklist)

See also:

  • Using templates and categories
  • FAQ: Templates
  • FAQ: Collection authoring

Branch selection does not affect the template used
(Vidar Garlie, Norway, Mar 18, 1999)
Question:
When I go to the contents window, select a category branch and press Alt+A, the template of this category is not used! Can you help?
Answer:
To use a category template, you have to first choose the category in the category combo box on the Tools toolbar. Selecting branches in the contents window does not affect the current category selection

Deleting category does not delete its elements
(Luis Gustavo, Brazil, Oct 1, 2000)
Question:
If I delete a category, will all its elements be deleted?
Answer:
No. The category is an abstract structure living above the level of the knowledge tree. Once you delete it, no elements will be affected. Nor will the structure of the knowledge tree. To delete the section of the knowledge tree belonging to a category, select the root branch in the contents window and press Del

Task Extract adds elements as children of the article (not the current tasklist)
Question:
When I use Task Extract it adds tasks to a wrong branch in the contents window
Answer:
Task Extract adds tasks to the current branch which may differ from the branch in which the current tasklist is located. This satisfies the principle of incremental reading in which all extracts and clozes generated from an article initially become descendants of the article

Use Add in the contents window to determine the location of an item in the knowledge tree
(R.K., Sun, Jun 17, 2001 17:54)
Question:
I would expect SuperMemo to add a new item as a straight neighbor of the previously added element in the contents window. Why isn't it so?
Answer:
Selection in the contents window is too transient to be the basis of choosing the insertion point for new material with Add new (Alt+A). This would require constant user attention as to the present selection. As a remedy, the concept of a category has been introduced. Each category, such as biology or geography, has its own insertion point called a hook. Now, all you have to do is to select a category, and Add new will add new elements to that category. Added elements will be listed sequentially as neighbors. However, if you would like to add new items to the location determined by the selection in the contents window, use Add in the contents window instead

Where is Search : Categories?
(Serguei Koureda, Sunday, October 20, 2002 11:08 PM)
Question:
Why is there no option Categories in Search menu?
Answer:
You need to be in Professional level (File : Level) and you need full access on (Tools : Options : Data access). If you use different levels and mode settings, some menu options may be turned off

Searching a category
(Maarten Mols, Mon Feb 17, 2003 4:23 am)
Question:
How can I limit Search : Find Elements to a certain category?
Answer:

  1. Go to the root of the category (in the contents Window)
  2. Choose Search Branch (Ctrl+F)

or

  1. Search for the term
  2. In the search browser choose Child : Branch (and select category root)

or

  1. Open the category in the browser (View : Branch in the contents window on the category root)
  2. Choose Search All (Ctrl+S)

You can make repetitions on elements belonging to a given branch
(louis_lheureux, Canada, Monday, November 18, 2002 11:22 PM)
Question:
Is there a way to make a given category the default category for learning each time I press the Learn button?
Answer:
No. However, you can select a given branch in the contents window and make repetitions only on elements that belong to this branch. To make repetitions only in a given branch:
(1) Press the Contents button (Alt+C) to switch to the contents window,
(2) In the contents window, select a branch, in which you would like to make repetitions,
(3) Press the Learn button (Ctrl+Alt+L) to start repetitions on elements that belong to the selected branch

You can rehearse only those elements that belong to a selected category
(louis_lheureux, Canada, Monday, November 18, 2002 11:22 PM)
Question:
In my daily random repetitions of the outstanding material, I have stumbled against an element that belongs to my History category. Is there a quick way to make repetitions on the rest of elements belonging to this category?
Answer:
Once you see any element that belongs to a given category, right-click your mouse and then choose Learning : Learn branch (Ctrl+Alt+L) from the element menu

Certain shortcuts do not work in the editing mode
(JP, Monday, December 02, 2002 9:32 PM)
Question:
The Ctrl+Alt+C shortcut key responsible for selecting a category from the category combo box available in the Tools toolbar doesn't work when I review elements, which use HTML components.
Answer:
The shortcut key will work once you exit the editing mode (e.g. by pressing Esc)

Each category has its own hook
(Ahmet, Tuesday, December 10, 2002 9:07 PM)
Question:
Could you please introduce a shortcut key for the Set hook command available in the contents menu as I add a lot of new elements and have to use it each time a given element is from different discipline?
Answer:
You do not need to set a hook for a given category each time you would like to add new elements to it. When you create categories, each category has by default its own hook, which is usually the root node of a given category. If you would like to add elements to a different category, you change the active category to the one, to which you would like to add new elements. You can change the active category by selecting it from the category combo box in the Tools toolbar (Ctrl+Alt+C). For a thorough discussion of categories, read: Using categories

You can make SuperMemo automatically apply category template when moving an element to a category
(Anatoliy Lipatov, Ukraine, Friday, January 10, 2003 8:59 AM)
Question:
Each time I create an extract SuperMemo asks me the following question:
"Apply category template?
Template=Classic."
Is there an option to turn it off?
Answer:
(1) Choose Search : Categories in the main menu to open the category registry,
(2) In the left pane, click a category, for which you would not like SuperMemo not to ask this question,
(3) In the top-right pane, click the Auto-Apply checkbox until it is checked and not grayed


FAQ: Errors in SuperMemo 2004

FAQ: Troubles, bugs, and errors in SuperMemo 2004

If you believe you have found a bug not mentioned here please report.

"Fatal error" may indicate a serious file damage in your collection
Some errors in SuperMemo are generated by Windows and can be ignored
Problem with keyboard shortcuts
"File access denied" error may call for restarting Windows
You cannot open SuperMemo read-only collections
Remember to make a backup!
If SuperMemo loses its vital files, you may need to restore the whole collection from a backup
Wrong component buffer marker
It may happen that you will not be able to edit material if you use a wrong template!
Illegitimate CD-ROMs may fail to install SuperMemo correctly
Prohibited access error may indicate deleting registry objects that are still in use
Prohibited access may indicate collection errors
Prohibited access in Image registry
Trim shortcuts may turn off certain shortcuts
There is a chance you can recover from a virus attack!
 Collection repair MUST NOT be interrupted
SuperMemo cannot read write-protected files
Use File : Repair collection in case of trouble
SuperMemo cannot read write-protected files
Your collection can suddenly appear empty!
You cannot open the same collection with two instances of SuperMemo
Wrong size of the pending queue: Total less than Pending
Errors while reading incrementally with SuperMemo
Disappearing material
You can restore an empty backup
Use Copy or Move instead of File : Save as
You can backup learning in large collections
If SuperMemo is unstable ... check your computer first
SuperMemo does not support UNC notation
Rich text components need special steps to be printed
 You may have problems displaying MS Equation formulas via OLE
 SuperMemo can be getting slower!
SuperMemo error: Error upgrading RTF to HTML
Some errors are not repaired at recovery
Total-vs.-Memorized mismatch is indicative of serious data problems
Wrong A-Factor distribution error is harmless
UsedInterval<1 at GetRepetitionData message may be a result of a bug
Use import/export repetition history to resolve corrupted repetition history
Burden=0 in a collection with memorized items indicates a serious problem
Errors after changing the date
This type of selection cannot be processed
Some errors may be very hard to reproduce and eliminate
Trim Shortcuts turns off Ctrl+Alt+C and some other shortcuts
SuperMemo 2000 keeps changing my keyboard
Deleting use statistics from "the future"
Element beyond the end of the collection
Error setting text selections
Redirected registry reference
Error adding new text topic. Cannot open clipboard
"Cannot create registry" is most likely caused by a file lock
Error in accessing sound registry
 Error: Total<Memorized
Range Check Error on starting SuperMemo
You can easily reinstall SuperMemo
Errors in repetition history
 Repetition history errors may obstruct generating repetition graphs
 Cannot get first interval approximation
Cannot fit Grade-vs-Forgetting Index curve
Wrong component data
Registry files errors are very dangerous
In case of persistent errors, use File : Repair collection
System error. Invalid window handle
Reinstalling missing Windows modules
Error simulating repetitions
Problems with pasting texts
SuperMemo error: Error saving toolbar data
"Cannot write all data to Kno file" error may indicate a serious problem with hardware
Multiple filespace entries
Cannot select a new branch into a category
Error pasting from keyboard
Error trying to link a registry member
File stamping mismatch results in file reuse on merge
SuperMemo error: Child list over 500 elements!
"Invalid filename" error occurs outside SuperMemo
Error releasing hint window handle
Errors in reading picture files may indicate problem with file integrity

See also:

  • FAQ: Errors occurring when using HTML in SuperMemo

Some bugs and error messages reported in earlier SuperMemos are believed to have been removed from SuperMemo 2004, and are not listed here. However, it is still possible some errors reoccur in SuperMemo 2004. For that reason see also:

  • FAQ: SuperMemo 2002 errors
  • FAQ: SuperMemo 2000 errors

If SuperMemo loses its vital files, you may need to restore the whole collection from a backup
(Juarez Barreto, Brazil, Friday, August 30, 2002 3:35 AM)
Question:
SuperMemo displayed the following error:
"Collection files missing!
Folder=C:\MEUS\
Try to restore files that you have moved or deleted"
Answer:
On opening a collection, SuperMemo checks if its vital files are in place. If any of these is missing, the above error will show. Vital files are those that make recovering the collection impossible. For example, the text.reg file contains the text of your elements. If this file is missing, SuperMemo will not be able to recreate the texts used in your collection. This will render it useless. Most likely reasons for the above error:

  1. you moved the kno file without moving the associated folder. For example, if your collection is Meus then it is made of the file Meus.kno and folder [Meus]. If you move Meus.kno to the root of your c: drive and then try to open Meus.kno, SuperMemo will protest the absence of the [Meus] folder by displaying the message above
  2. you deleted, moved or renamed the folder associated with your collection (e.g. c:\meus associated with c:\meus.kno)
  3. due to a virus, software or hardware malfunction, one the the vital files was deleted or its size was set to zero If you are unable to restore the deleted folder or files, you will need to resort to your most recent backup of the collection

Important: If you are not fluent with files and folders, it is safer to copy or move SuperMemo collections with tools available on the File menu (for example, File : Copy collection). Otherwise, it is very easy to pick the kno file in Windows Explorer and separate it from the rest of the collection. The error message as above will result. Recommended reading: Backup

(Tomasz Szkopek, Nov 8, 1999)
Question:
I upgraded Advanced English 97 to SuperMemo 2000 and received the following error: Collection files access error ! Wrong A-Factor distribution. Is it dangerous?
Answer:
 No. This is a harmless warning.
After upgrading all collections to SuperMemo 2000, you will always need to run File : Repair collection with Basic recovery checked. This is needed to calculate new values of A-Factors as the interpretation of A-Factors has changed slightly from SuperMemo 98 to SuperMemo 99

Question:
 What is the reason of the message "Cannot open collection"?
 Answer:
 Most likely the collection is already opened by another user or another instance of SuperMemo

(Jiri P., Czech Republic, Saturday, January 13, 2001 8:38 PM)
Question:
In Task Manager : Processes, my Windows NT shows that SuperMemo uses 11MB memory when Advanced English is opened. However, my Actions toolbar shows only 4MB
Answer:
Memory used on the Actions toolbar shows the amount of memory dynamically allocated by SuperMemo. As Advanced English includes 40,000 elements, this allocation is quite high (around 3.5-4 MB). This number does not include the memory used by the program, its static variables, etc.

(Janusz Murakowski, Sun, Apr 29, 2001 7:55)
Question:
I am using Equation Editor via OLE. I received the following error: EQNEDT32 caused an invalid page fault in module EQNEDT32.EXE at 0167:00426365
Answer:
Errors in OLE components are often entirely independent of SuperMemo. Some application are not stable enough for use with SuperMemo. Others need special workarounds

"Fatal error" may indicate a serious file damage in your collection
(rocky eversman, Sunday, July 08, 2001 7:35 PM)
Question:
I get the following error message: Fatal error! Cannot read data for element #17498, Choose abort to halt SuperMemo
Answer:
This message indicates that SuperMemo cannot access element information of the 17498th element. You should immediately backup your learning material and run File : Repair collection. At worst, you collection could have suffered a serious file damage to elinfo.dat file, which stores element data. This may require reverting to your latest backup. If file damage results in lost information, SuperMemo may not be able to restore collection integrity

Trim Shortcuts turns off Ctrl+Alt+C and some other shortcuts
(Jiri Pik, Wed, Jun 27, 2001 8:44)
Question:
Why can I not use Ctrl+Alt+C shortcut for selecting the current category in SuperMemo 2000? In the previous releases it worked without any trouble?
Answer:
Make sure you have Trim Shortcuts in Tools : Options : SuperMemo unchecked. This shortcut can be inactivated to compensate for a bug in handling diacritical characters in some national versions of MS Windows

You cannot open SuperMemo read-only collections
(Chuck Albritton, Mon, Aug 13, 2001 13:51)
Question:
I tried to open the file below from the MegaMix CD-ROM.
SuperMemo has just displayed the following error:
"Fatal error!
Cannot create registry:
F:\English\Languages\Basic Spanish (AudioVisual)\registry\comment.
File access denied"
Answer:
You cannot open collections whose files are marked read-only (as opposed to collections opened in SuperMemo's read-only mode). You need to install them on your hard disk first (e.g. with MegaMix Setup or manually by copying)

Some errors in SuperMemo are generated by Windows and can be ignored
(Steve Brown, Wed, Aug 15, 2001 1:03 PM)
Question:
I added a number of cards/elements. Upon exiting, I am getting the following message: " Access violation at address 0055F55B in module 'SM2000.EXE." Read of address FFFFFFFF"
Answer:
This message is most likely generated by Windows and in majority of cases should be harmless. Similar messages with varying addresses (e.g. 004034B4) are most likely in Windows ME or Windows 95/98 due to their instability. As a precaution though, it is recommended that you run File : Repair collection on your learning material at least once if you see this message again. In case it persists, please write to us

In case of persistent errors, use File : Repair collection
(Allen Hall, Fri, Aug 31, 2001 22:37)
Question:
SuperMemo has just displayed the following error: "Fatal error! Cannot open registry files Registry=C:\program files\systems\ALLTOPO SHORTCUTS\registry\category. File not found". I need this collection. Do you know of a fix?
Answer:
In case of collection errors (esp. those listed as fatal), you should do two things:

  1. backup the collection (e.g. with File : Copy collection)
  2. run a checkup procedure with File : Repair collection

If you suspect a bug, write to us

Burden=0 in a collection with memorized items indicates a serious problem
(Reto Schmid, Monday, August 27, 2001 1:55 PM)
Question:
SuperMemo has just displayed the following error: "Fatal error! Burden is zero in a collection with 87 memorized elements!"
Answer:
This error is an indication of a major problem in your collection. Burden=0 in a collection with memorized items could be caused by two major reasons:

  1. You manually copied .kno file of one collection onto the same file belonging to another collection
  2. Your computer crashed and the memory image of the .kno file has been overwritten (e.g. with zeros). This image was then saved back to the file rendering your collection unworkable

You need to immediately execute File : Repair collection. If the problem is limited to .kno file, chances are SuperMemo will be able to recover lost information. However, if Repair collection fails, you may need to restore your most recent backup

Some errors may be very hard to reproduce and eliminate
(Reto Schmid, Monday, September 10, 2001 3:37 PM)
Question:
SuperMemo has just displayed the following error: "ElementNo=0 at CommitElement"
Answer:
Unfortunately, this is a kind of error that upon the analysis of the source code looks like it should never have happened. It occurs when the program requests that the element whose number is zero become memorized (naturally, no such element exists). However, before calling the CommitElement procedure, multiple tests are made to ensure that the element number is valid and existent. This analysis indicates that this error should never have happened assuming stable Windows environment, integral SuperMemo code and its image in memory, and assuming that no bugs at the compiler level (Object Pascal in this case). Without more data and the context, it seems impossible at this moment to confirm the existence of a bug in SuperMemo. This error might be related to: Burden=0 in a collection with memorized items indicates a serious problem

It may happen that you will not be able to edit material if you use a wrong template!
(Glenn Fraser, Japan, March 16, 2000)
Question:
When I choose Add new I cannot edit the texts! Until recently, I was able to work without problems. What might be happening?
Answer:
You must have saved an empty element as the default template (e.g. by pressing Ctrl+Alt+M upon deleting all components). The simplest solution is:

  1. go to any of the correctly looking elements
  2. choose Template : Save as default (Ctrl+Alt+M). This will save the element as the default template
  3. choose Add new (Alt+A). This will add a new element with the same looks as the saved element
  4. delete texts, sound or images saved in Step 2
  5. choose Template : Save as default again (Ctrl+Alt+M). This will save the template with the right looks but without any content

Remember to make a backup!
(Marcin Piekarniak, Poland, Dec 2, 1997)
Question:
How can I easily back up Advanced English 97? In Advanced English 94 the entire system could be compressed to a 1.4 MB file!
Answer:
It is possible to back up the learning process without backing up the contents of Advanced English (the contents is backed up on your original Advanced English CD-ROM). This way only the data pertaining to items in the learning process will be stored (not items themselves). Use File : Tools : Export : Learning process to export the data. Later, upon reinstalling Advanced English 97, you can restore the learning process with File : Tools : Import : Learning process

Your collection can suddenly appear empty!
(Michael Duggan, Canada, Nov 2, 1998)
Question:
I was cleaning up my hard drive and attempted to move SuperMemo from one folder to another folder. In the process I lost the data for a number of collections. Can I retrieve these data files and place them back in my collection? How do I do that?
Answer:
It is always recommended to move collections with File : Copy collection in SuperMemo. Otherwise, a frequent mistake is to copy the kno file without the folder that contains the actual collection files (see: Files used by SuperMemo).
Some customers also fall victim of the following scenario:

  1. user moves the whole SuperMemo folder to a new location using Windows tools
  2. user starts sm2002.exe from the new location
  3. SuperMemo inspects supermemo.ini for the location of most recently used files and looks for them in the old location
  4. SuperMemo displays Cannot find <collection name> at <old location>. Create new files?
  5. User responds with Yes
  6. SuperMemo creates empty files with the old name
  7. User is convinced he lost his data while intact collections are safely stored at the new location

The simplest remedy is to answer No in Step 5 and open collections at the new location with File : Open

You can restore an empty backup
(Przemek S, Poland, June 8, 2000)
Question:
I used to regularly back up my Advanced English on a second hard disk. Today I tried to restore my backup and ... it looks as it is empty! Only one element inside! Help!!!
Answer:
There is a frequent mistake users make. To backup a collection, you need to copy both the kno file and the associated folder (e.g. file ae.kno and the folder [ae])(see: Collection files). Some inexperienced users copy only the kno file which is just 20KB of data! If you try to open an orphaned kno file, SuperMemo will reconstruct an empty folder structure.

To avoid this problem: Always back up collections with File : Copy collection or File : Tools : Quick backup. Do not use external tools unless you understand Windows, files, folders and SuperMemo very well!

To resolve the problem: it is possible the original folder associated with the kno file still exists on the hard disk! You can search for some files characteristic for SuperMemo (e.g. burden.dat or sm8opt.dat). Make an inventory of all kno files (search for *.kno) and all SuperMemo collection folders (search for burden.dat) on your hard disk. Once the inventory is made, try to carefully match up knos and folders and copy kno files to match the folders. Chances are that File : Open on one of these files will restore the lost backup. Note that you can easily find empty collections by checking the size of burden.dat. This file contains repetitions and is zero-sized on collections with no learning process

Use Copy or Move instead of File : Save as
Question:
Why isn't there Save As on the File menu?
Answer:
Because File : Copy collection does exactly what you would expect of Save As. The different name indicates, however, that the collection is not stored in memory but is updated on the hard disk on-the-fly. Therefore, instead of saving it under a new name, you just have to copy it to the new location. Collections are kept on the disk due to their often huge size (for example Advanced English is 700 MB large; of which the primary storage takes nearly 50 MB)

You can backup learning in large collections
(Michal Grodzki, Poland, Aug 20, 1998)
Question:
You advice the users of Advanced English 97 to make back-up copies with File : Tools : Export : Learning process. However, this does not back up the material introduced by the user. What is the best solution in a case when I want to add lots of my own items to Advanced English?
Answer:
You might try one of the following:

  1. Keep your own material in a separate collection. You can back such a collection by compressing the <collection name>.kno file and the <collection name> folder into a single archive (e.g. with WinZip)
  2. If you prefer to add your items to Advanced English (e.g. in order to be able to search all material in one go), you might back up the contents of a single branch by transferring it into an empty system with Tools : Transfer branch on the contents pop-up menu or by exporting it as text with Tools : Export as text (also on the contents menu). You can later restore your back-up after reinstalling Advanced English with Tools : Transfer branch in the opposite direction or with File : Tools : Import : Text in the latter case

There is a chance you can recover from a virus attack!
Question:
My computer was hit by a virus and SuperMemo reports integrity problems. What shall I do?
Answer:
Try File : Repair collection. If this does not help, you will need to use your latest working backup

If SuperMemo is unstable ... check your computer first
Question:
What should I do if SuperMemo displays strange error messages, aborts frequently, and File : Repair collection does not work?
Answer:
Make sure that your Windows is stable and you have no hardware problems. If the messages are displayed by Windows rather than SuperMemo itself (e.g. modules such as Kernel, User, Ctl3D, etc.), the problem is probably not with SuperMemo. Some hardware problems are a frequent reason for such situations, esp. if similar events happen with other application. Check your memory, hard disk, system setup and the mainboard in the first order.
In case you are sure File : Repair collection is unable to recover your collection for reasons related to SuperMemo, write to SuperMemoMail

You may have problems displaying MS Equation formulas via OLE
(Tomasz Szynalski, Poland, Dec 2, 1998)
Question:
When I create an MS Equation formula in the OLE component, the equation is unnaturally large and distorted. How can I go around this bug?
Answer:
Rendering of the OLE object is done by the server application, MS Equation in this case. You have to fix the problem in MS Equation by adjusting display attributes (e.g. reducing the size of fonts in this case)

UsedInterval<1 at GetRepetitionData message may be a result of a bug
(Jiri Pik, 12/19/2001 8:07:02 PM)
Question:
SuperMemo has just displayed the following error: "UsedInterval<1 at GetRepetitionData[1]"
Answer:
There were three similar reports. This is probably a still existing bug in SuperMemo 2002. It would occur if you managed to execute the repetition of the same element twice on the same day. It could have resulted from an earlier bug in Topic-Item conversion where you could begin the repetition cycle of an element which was an item, execute the item-2-topic conversion in the middle of the cycle, and complete the repetition with an element already being a topic. Luckily, there is a trap set against this bug that sets UsedInterval back to one. There were a number of changes around this code that could result in this bug being resolved in future releases. The problem is still being studied

System error. Invalid window handle
(Bela Fodrovics, June 7, 2003)
Question:
SuperMemo displayed the following error:
"Cannot restore window coordinates
System error, code 1400.
Invalid window handle"
It appeared automatically after I connected and disconnected from the net.
Answer:
This error occurred outside SuperMemo while SuperMemo tried to rearrange the layout of its windows. It is indicative of a system-wide problem that should be temporary (e.g. resulting from a crash of one or more applications or services). Invalid window handle error is raised by Windows if operations on a non-existing or invalid window are attempted. If you restart Windows and SuperMemo, this error should not reoccur. If it does, you may need help from a software expert to test your Windows installation

SuperMemo can be getting slower!
(Pawel Galecki, Poland, Feb 10, 1998)
Question:
I have created my own collection that contains 700 items in the root. The system loads for nearly 60 seconds each time I open it! How can I speed this up?
Answer:
For performance reasons, you should limit the number of elements per branch to 50-100. For this purpose, set a lower value at Tools : Options : SuperMemo : Children limit per hierarchy node. To break up your 700-item category, run Tools : Arrange in folders on the contents window pop-up menu

Wrong A-Factor distribution error is harmless (#7561)
(Joanna Sierpowska, Finland, Fri, Nov 02, 2001 8:31)
Question:
SuperMemo has just displayed the following error: "Wrong A-Factor distribution"
Answer:
This error is usually harmless. It indicates that SuperMemo keeps a wrong A-Factor statistic. This statistic is only for your information, and does not affect the learning process. However, this error should not normally occur and may indicate a more serious underlying cause (e.g. file error, erroneous backup, etc.). Running basic File : Repair collection will correct this statistic.

This error can also occur after an upgrade to SuperMemo 2002. After upgrading all collections to SuperMemo 2002, you will always need to run File : Repair collection with Basic recovery checked. This is needed to calculate new values of A-Factors as the interpretation of A-Factors has changed slightly from SuperMemo 98 to SuperMemo 99

Rich text components need special steps to be printed
(Ronn, Tuesday, August 28, 2001 4:26 AM)
Question:
I have been trying to print out the questions and answer element. I click on print and all I get is a blank sheet of paper
Answer:
Rich text components do not get printed along the element content. You can work around this problem in the following ways:

1. Using Text : Print on the rich text component pop-up menu (right click)

2. Copying questions and answers via clipboard (e.g. Ctrl+C)

3. Using plain text components instead of rich text components (e.g. apply Classic template)

All this trouble results from a bug in Delphi VCL library (SuperMemo development tool) that fails to print RTF texts on form printouts

Errors in repetition history
(Beta, Slovakia, Apr 03, 2002)
Question:
Why do I get this error at Repair collection: "Updating erroneous repetition history"
Answer:
Most likely you have played with the date in your computer or shifted repetitions backwards in time (e.g. with Mercy). Integrity checkup sorts the history of repetitions by date and reports this error if the sequence of repetitions is reversed. This error could have also been caused by errors in repetition numbering and in counting memory lapses but these should not normally occur

Use import/export repetition history to resolve corrupted repetition history
(Jiri Pik, Czech Republic, 12/1/2001 5:59:25 PM)
Question:
SuperMemo has just displayed the following error: "Wrong repetition history record found. Writing Item #145428: NOM DE GUERRE"
Answer:
 Repetition history record is kept only for your information and does not take part in scheduling repetitions. If the repetition history has been corrupted (e.g. due to an aborted learning data transfer) and you cannot fix it with File : Repair collection : Verify rep. history, you can try the following procedure:

  1. back up your collection
  2. use File : Tools : Export : Repetition history
  3. run File : Tools : Reset parameters : Repetition history
  4. use File : Tools : Import : Repetition history (with the file created in Point 2)

Repetition history errors may obstruct generating repetition graphs
(Beta, Germany, Feb 06, 2002)
Question:
In Browser : Tools : Repetitions Graph I got this error:
Wrong element in repetition history
Found: Item #320: WIRKLICHKEIT is what you experience every day
Expected: Item #6337: either (e.g. either of the two books)
Answer:
This problem should be resolved if you run File : Repair collection with Repetition history checked

Disappearing material
(hojinil, South Korea, Wednesday, April 11, 2001 4:29 AM)
Question:
I used Add New and I added lots of stuff but next time when I opened collections I couldn't find any of them. It was gone!
Answer:
Please make sure the following two conditions are met:

  1. You are not copying or moving files behind the back of SuperMemo (e.g. with Windows Explorer)
  2. With File : Open collection, you go to the exactly same location where you last left your collection

If some files are moved or deleted behind the back of SuperMemo, it will often attempt to recreate missing files and open the collection regardless. Unless you delete your collection or delete its folders, your learning material should remain safe

Collection repair MUST NOT be interrupted
(P.N., Sweden, Fri, Apr 19, 2002 19:08)
Question:
If I quit SuperMemo the hard way (i.e. Ctrl+Alt+Del) during Repair collection the collection is damaged beyond repair
Answer:
File : Repair collection is an all-or-none process. For the sake of speed, individual operations are not transactional. The whole recovery is considered a single transaction. You should back up the learning material if you are running it on valuable material that have not long been backed up. You MUST NOT ever interrupt recovery manually. SuperMemo is rebuilding many files and this process cannot be interrupted. It can be compared to CDR recording, once the process is disrupted, the CDR is toast. Figuratively, recovery is like carrying a car over a river. It might be safer to dismantle the car and carry each part separately, but it is faster and simpler to carry the whole car at once. With the backup checkbox, you can safely leave an exact copy of the car on the river bank

Some errors are not repaired at recovery
(J.P., Germany, Sun, Apr 21, 2002 10:00)
Question:
Why aren't some file errors not corrected at File : Repair collection?
Answer:
Some errors are best reversed by user action. For example, if you disconnect the secondary storage, SuperMemo will report many "missing file" errors. If it was to fix these errors (e.g. by resetting the filespace pointer), you would not be able to point to the correct secondary storage. If you restore the correct secondary storage, however, these errors will be gone

SuperMemo does not support UNC notation
(Michael Lapsley, United Kingdom, 24/04/2002 09:49:43)
Question:
SuperMemo has just displayed the following error: "Invalid destination: Error #123 Path: \\DELL"
Answer:
Unfortunately SuperMemo 2002 does not support UNC notation. The only way to resolve this problem is to assign a drive letter to your UNC path (e.g. h:=\\DELL), and then use the drive letter to refer to network resources (e.g. h:\elements)

SuperMemo 2000 keeps changing my keyboard
(Elif & Brian, Tuesday, April 30, 2002 10:13 AM)
Question:
I'm using Windows 98. Whenever I cut some text (even plain text), and paste it into SuperMemo, it changes my keyboard from English to Turkish
Answer:
Unfortunately, this is most likely caused by a problem with your Windows. SuperMemo executes a very simple paste call to Windows that has nothing to do with the keyboard. It does not do any action that, in any remote way, could possibly change your default keyboard setup. Please try to inquire among user groups related to multinational support in Windows 98

Prohibited access error may indicate deleting registry objects that are still in use
(Xavier, Tue, Jul 17, 2001 17:13)
Question:
SuperMemo has just displayed the following error:
"Font registry access error!
Prohibited access
Position=1
LastPosition=0"
Answer:
Most likely cause of this error is that you have registered a font with an element in your collection and then you have deleted that font. If you later try to access this font, the above error will be displayed. It means roughly "You are asking for font #1 while there are 0 fonts in the font registry"

Prohibited access may indicate collection errors (#7054)
(John Marchand, Belgium, Sun, Sep 30, 2001 16:20)
Question:
SuperMemo has just displayed the following error:
"Text registry access error!
Prohibited access
Position=-2066493355
LastPosition=3468"
Answer:
Please run File : Repair collection with Rebuild Registries checked. For unknown reasons, SuperMemo tried to access a text listed on a negative position. All position in the registry are positive (in this case, there are 3468 members). If you recall how you arrived to this situation, please write back. This may help tracking a bug (if any)

Total-vs.-Memorized mismatch is indicative of serious data problems
(John Meacock, Wed, Sep 26, 2001 15:49)
Question:
SuperMemo has just displayed the following error:
"Fatal error!
Total is less than Memorized
Total=13
Memorized=21"
Answer:
This is a highly unlikely error that may indicate physical damage to your collection. Data in the .kno file has been corrupted. File : Repair collection is likely to repair the damage if it is limited to the KNO file, but similar errors occur only in cases of hardware failure, virus, computer crash or serious errors on the part of the user (e.g. copying one collection over another, etc.). Consequently, the damage may be wider that indicated by this message

Deleting use statistics from "the future"
(P.M, Tue, Apr 16, 2002 11:10)
Question:
Why did I get the message:

This collection has already been opened with a later date!
Do you want to delete use statistics from future dates?
Today is 4/16/02 (Tue)
Latest statistics come from 5/15/02 (Wed)

I did not change the system date!
Answer:
It is enough you change the system date once to see this message. Once you open SuperMemo with a wrong date in the future, it will propagate use statistics up to the date of opening on the assumption that you took a long break from learning. If you reopen again with the correct date, it will detect data stored "in the future" and will ask you to confirm deleting this data. You will also see this message if you open "in the past". Respond with "No" and set the correct date. Otherwise your use statistics will be deleted

Redirected registry reference
(Beta, Apr 20, 2002)
Question:
Why is my collection displaying this annoying message: "Redirected registry reference"?
Answer:
SuperMemo 2002 makes it possible to redirect registry members. This way you can have two members point to the same registry data. The redirection occurs if you merge two members (e.g. by rename with the same target name). The message "Redirected registry reference" is displayed only in the debugging mode (Options : Data access : Debugging version). The message will disappear if you switch the debugging mode off. You can also eliminate the message by running File : Repair collection with Rebuild registries checked. Registry rebuild eliminates all redirections (i.e. all redirected references are replaced with direct registry links)

Error in accessing sound registry
(J.Anastasi, 4/6/2002 2:51:39 AM)
Question:
What does this error mean:
Sound registry access error!
Prohibited access
Position=15
LastPosition=0
Answer:
This error indicates that your sound registry does not exist (i.e. has been deleted). The LastPosition field indicates the count of registry members which is zero here. Some most likely causes of this error:

  1. deleting the registry in error (e.g. by deleting SuperMemo folders manually)
  2. locking the registry (e.g. by a failed Windows process)
  3. trying to open the registry on CD-ROM (read-only)

This error is serious enough to recommend that you restore your damaged learning material from the most recent backup

Error: Total<Memorized
(Wladimir Nossel, 4/13/2002 1:45:20 PM)
Question:
SuperMemo has just displayed the following error:
"Fatal error!
Total<Memorized
Total=82
Memorized=85"
Answer:
This is a serious error that indicates a major problem with your collection. Most likely reasons:

  1. computer crash during file operations
  2. errors in restoring a file backup

The discrepancy occurs between files *.kno which stores the number of memorized elements, and elinfo.dat which determines the size of the collection. If you restore elinfo.dat from a backup that is older than your *.kno file, this error could occur.

Back up your learning material and run File : Repair collection. Review your learning material carefully as the above error may be associated with other serious integrity problems (including loss of the element content). If you are not sure the whole learning process has been restored successfully, resort to your most recent backup.

Important reading: Backup and Recovery

Cannot get first interval approximation
(B.D., Poland, 2002-04-17 20:59:27)
Question:
What is the error "Cannot get first interval approximation"?
Answer:
Probably, the data has been corrupted in the file that keeps the track of your learning progress. This file is sm8opt.dat. This could have happened if you, for example, turned off the computer while SuperMemo was writing to this file (e.g. during repetitions). This could have also happened for any hardware or software reasons that result in changes to data files on your hard disk. You can copy sm8opt.dat file from one of your most recent collection backup. This way only a small fraction of data stored there will be lost. The learning process will not be affected visibly. If this does not help, you can use File : Tools : Reset parameters : Optimization matrices to restore the file to its original state. This will, however, mean that SuperMemo will again have to collect data to better understand your memory. To quickly view the state of sm8opt.dat file, use the Analysis dialog box and inspect the Matrices : RF matrix. This particular error could arise if data in the first row of that matrix was corrupted (e.g. set to zero). For that reason, you could also peek at Graphs : First interval (see the normal shape of this graph here)

Multiple filespace entries
(Pascal Heimlicher, Switzerland, Sat, Nov 24, 2001 17:30)
Question:
SuperMemo has just displayed the following error:
"Multiple filespace entries at: C:\Dokumente und Einstellungen\Pascal Heimlicher\Eigene Dateien\Archiv\Wissen\SuperMemo Lerndateien\Wissen\elements\8"
Answer:
The most likely reason for this error is adding filespace entries (e.g. images) with no access to secondary storage (e.g. CDR with other images, HTML files, etc.). This error can also occur if your computer crashes during filespace operations (e.g. deleting pictures, sounds, etc.). The problem can be remedied by running File : Repair collection with Verify filespace checked. Overlapping files will be separated. Stray filespace objects will be moved to a separate folder named: Recover. You can inspect that folder to see if removed files do not belong to important learning data. SuperMemo 2002 uses advanced filespace slot management that prevents errors in case of disconnecting the secondary storage

Use File : Repair collection in case of trouble
(Abdul Ghani, Singapore, 12/02/2002 15:17:49)
Question:
I was running SuperMemo when my computer restarted on its own. After that my whole collection is gone. Please advise me how I can recover it
Answer:
You need to do two things:

  1. Backup your files
  2. Recover the learning material

If you are unable to complete the recovery on your own, send your collection for inspection and further help

Registry files errors are very dangerous
(Willem Brugmans, 12-1-2002 18:12:01)
Question:
SuperMemo has just displayed the following error: Fatal error! Cannot open registry files Registry=D:\supermemo2000\systems\WillemEigenSpaans\registry\tasklist. File not found
Answer:
Registry file errors are very dangerous. You should immediately back up your learning material and run File : Repair collection. In your case, "File not found" error might indicate there were some errors in copying your collection or it was wrongly restored from a backup. Manual changes in files could also cause similar problems. The registry in question here is the tasklist registry which does not hold learning material data. Nevertheless, you should carefully watch for similar errors in the future. At worst, please send your learning material to SUBMIT AT SUPERMEMO DOT COM for inspection

Wrong component data
(Bern Sadler, Australia, 20/02/2002 4:23:00 PM)
Question:
SuperMemo has just displayed the following error:
"Component data loaded to wrong element
Source=799
Destination=798"
This message has shown up perhaps 20 times in the last 2-3 days
Answer:
This message indicates that component data, which for safety is marked with the using element number, has been loaded to another element. This should not happen in normal circumstances. Most likely one element's data was loaded into another element or an element lost/redirected its component data pointer. It is very difficult to say how this could have happened otherwise than through a bug or a system instability. Nevertheless, this remedy will most likely cure similar cases:

  1. Backup your collection (e.g. with File : Copy collection)
  2. Run a system checkup with File : Repair collection

"Cannot create registry" is most likely caused by a file lock
(Grzegorz Knapczyk, TV, 2002-09-03 15:18:24)
Question:
SuperMemo has just displayed the following error:
Cannot create registry
F:\poradnik_m\SuperMemo2000\systems\ABC\registry\ole
File access denied
Answer:
"File access denied" error is most likely caused one of the two reasons:

  • one of the registry files is set as read-only. In this case remove the read-only attribute from that file (and other files in the collection). This could, for example, have occurred after copying your collection from a CDR
  • one of the registry files is locked by Windows. In this case restart Windows. This error could have happened as a result of a software crash (incl. SuperMemo crash) while SuperMemo uses the locked file

If the above does not help, restore the collection from the backup. If you do not have a backup, you can delete the whole ole registry and run File : Repair collection (you will lose all OLE objects in the collection)

Reinstalling missing Windows modules
(Tom Flahive, Sunday, September 29, 2002 2:54 AM)
Question:
I have tried to install SuperMemo 2002 and received the following message: "Please reinstall the following module to your system32 directory; KEYBOARD.DRV". The title of this dialog box is "NTVDM KERNEL: Missing 16-bit system module"
Answer:
Unfortunately the message indicates that your Windows installation is incomplete or corrupt. It is recommended that you run a virus check (keyboard.drv is a frequent target of viruses). You will probably need to reinstall Windows. Installing over the present installation will probably suffice

You cannot open the same collection with two instances of SuperMemo
(kimiyuki shirai, Japan, 2002/02/15 11:47:59)
Question:
SuperMemo has just displayed the following error:
"Access denied!
System locked by another SuperMemo:
c:\Documents and Settings\All Users\fXNgbv\supermemo\systems\PERL.KNO"
Answer:
This message should warn you that a collection is already in use (with another instance of SuperMemo in memory). This is no indication of trouble to come. SuperMemo will simply let you open the next collection from the file pick-list

SuperMemo error: Error saving toolbar data
(Mike Condron , 4/27/2003)
Question:
I had to move my SuperMemo files from my laptop to my desktop (hard disk failure) and now I am frequently seeing this when I try to go to the Workload window: "Error saving toolbar data"
Answer:
See if SuperMemo can write to <SuperMemo>\bin\layout.ini file (e.g. try manual editing). This file stores layout of windows in SuperMemo. If the file is locked, the above error will recur. Most frequent reasons of file locks are: software crashes (restarting Windows solves the problem), file attribute changes and anti-virus software (some packages lock writes to INI files)

SuperMemo cannot read write-protected files
(Josef Chmelar, Czech Republic, Saturday, September 29, 2001 1:32 PM)
Question:
I created a backup on a CD-R. Unfortunately, SuperMemo displays:
"Cannot reload HugeArray from C:\DOKUMENTY\SOUKROMé\DEPO\GRAMATIKA A VeTY\info\history.dat
File access denied"
Answer:
This error indicates that SuperMemo cannot read the files in your collection. Those files are probably marked as read-only (after copying from the CDR). You need to remove read-only attribute from all files used by SuperMemo.

In some circumstances, certain files can be locked by Windows. This lock can be caused by SuperMemo or by other applications or processes. Restarting Windows should unlock the file. If this is the case, run File : Repair collection to scan for possible errors resulting from the file lock (SuperMemo might have been unable to update collection data)

Cannot select a new branch into a category (#15028)
(Jiri Pik, Germany, 1/3/2003)
Question:
SuperMemo displayed this error: "Cannot select a new branch into a category"
Answer:
This is the only report of this error so far. It could only have occurred as a result of problems with writing to the category file. In similar circumstances, error trapping around the offending procedure is boosted so that future versions could better diagnose the reason. Most likely, you should be able to repeat the same procedure after restarting SuperMemo. In a worse case, you may also need to log off from Windows (it this was a system-wide problem or the category file had been locked). In both cases, it would be prudent to run File : Repair collection with full registry checkup. Problems with writing to files often leave SuperMemo collections in an inconsistent state, which may result in future errors

Wrong size of the pending queue: Total less than Pending
(higgy33, 1/6/03 9:55:54 AM)
Question:
SuperMemo has just displayed the following error:
"Fatal error!
Total<Pending
Total=44
Pending=47
C:\Program Files\systems\Logic.Kno"
Answer:
This error in SuperMemo 2000 indicates a discrepancy in your collection. A protective procedure makes it by far less likely in SuperMemo 2002. Most likely reasons:

  • computer crash during file operations
  • errors in restoring a file backup

The discrepancy occurs between the file *.kno (in your case: Logic.kno), which stores the number of pending elements, and pending.dat which determines the size of the pending queue. If you restore *.kno from a backup that is older than your pending.dat file, this error could occur. Back up your learning material and run File : Repair collection. This should recreated the pending queue, and update the statistics

Errors in reading picture files may indicate problem with file integrity
(Simon Jacques , Thursday, April 17, 2003 2:10 AM)
Question:
I received the following message in SuperMemo: "Bitmap error"
Answer:
This message is not displayed by SuperMemo. It results from errors in a picture file used by SuperMemo (e.g. picture displayed in your collection). SuperMemo never modifies picture files (except JPG/GIF compression). For that reason, you can be sure the error must have occurred as a result of problem with file integrity on your hard disk. Such errors may have multiple causes: physical hard disk error, logical file structure error, damage produced by a virus, etc. If this problem occurs with only one file, you can simply delete or replace that particular file (it would be safe though to inspect the entire hard disk for file integrity). However, if this reoccurs, you may want to have your PC inspected by a hardware expert

"Invalid filename" error occurs outside SuperMemo
(Peter , Netherlands, Mon, 12 May 2003 23:20:09 +0200)
Question:
I received the following message:
Error: Cannot open file:
C:\Program Files\Supermemo\systems\Family & Friends\info\workload.dat
Invalid filename
Answer:
"Invalid filename" problem occurs beyond SuperMemo and may have a number causes. First you can simply try to restart Windows to see if the problem is not transitory. If it reoccurs, you may need help from a software expert to check your drive mapping, file version synchronization, etc. In any case, as long as SuperMemo cannot access workload.dat file, you will certainly not be able to work with your Family & Friends collection. File : Repair collection will not work either as it also requires access to files for successful completion

You can easily reinstall SuperMemo
(Paul Turner, Canada, Wednesday, July 31, 2002 3:56 PM)
Question:
I have a new collection that crashed. I tried repair collection but the error message still comes up. Can I uninstall, reinstall and start again from scratch?
Answer:
Yes. You could delete SuperMemo folder and reinstall the downloaded file. You could also move SuperMemo to a new folder (the file name is sm2002.exe) and simply run it. The program does not require the installation process

Error releasing hint window handle
(Carine VanLierde , Belgium, 2/02/2004 22:05:14)
Question:
SuperMemo has just displayed the following error: "Error releasing hint window handle"
Answer:
This error should be transient. It is likely to have been caused by a major systemwide instability. Restarting Windows is recommended. It is highly unlikely to result in any loss of data. Please report if it occurs again. Your report is the first ever of this error occurring

Cannot fit Grade-vs-ForgettingIndex curve
(Campbell Gunn , 03.05.26)
Question:
SuperMemo displayed this error: Cannot fit Grade-vs-ForgettingIndex curve
Answer:
This error indicates that the data describing your memory, and stored in sm8opt.dat file has been corrupted (e.g. filled with zeros during a system crash), etc. You can replace sm8opt.dat with an earlier backup of this file. You can also replace it with an un-initialized sm8opt.dat taken from an empty collection; however, in that latter case, SuperMemo will have to begin from scratch the effort to understand your memory. As there is no redundancy in storing this data, File : Repair collection will not be able to recover data that had been lost. Alternatively, you can also try using File : Tools : Reset parameters : Optimization matrices

Range Check Error on starting SuperMemo
(Paul Richards, United Kingdom, Wednesday, June 25, 2003 10:35 AM)
Question:
When I start SuperMemo 2002, I get a range check error. The software seems to work ok after that; however, I get the same error when I try Help : About. The error occurs even when I start SuperMemo in a clean folder. I am using Windows 2000.
Answer:
Try installing the latest Internet Explorer with SP1, and allowing Windows Update to update everything it wants to. This error is most likely caused by some outdated Windows libraries that deal with controls and/or graphics. Even new installations can misbehave if some applications substitute Windows DLLs with their older or modified versions

Element beyond the end of the collection
(Pete TerMaat , 7/16/2003)
Question:
What do I do about this error?
Element beyond the end of the collection
Element: 234
Last element: 233
Answer:
This error is an indication of errors inside your learning material files. SuperMemo tries to display element number 234, but your collection files physically include only 233 elements. If you run File : Repair collection, this error is likely to be fixed depending on the source the erroneous element number (i.e. 234 in your case). The most likely reasons for this error are:

  1. major software crash (e.g. at the moment of creating element #234 before it was physically written to the disk)
  2. mixing up files from an older backup and a newer version of the same collection (here the two collections might have included 233 and 234 elements)

There have been 5 similar reports and they always indicate a one-element difference. This probably indicates that Explanation 1 is more likely

SuperMemo error: Child list over 500 elements!
(Wlodzimierz Galazkiewicz, Poland, Sat, 2 Nov 2002 14:41:05 +0100)
Question:
SuperMemo displayed the following error: "Child list over 500 elements! Possibly circular"
Answer:
This error may be harmless or dangerous depending on its cause. If you indeed have more than 500 elements in the branch, you should rather use Arrange in Folders or Regroup in Folders on that branch to improve performance. However, if there is an error in data, there could be indeed circular pointers in the branch. For that reason, you should use File : Repair collection with basic checkup. Technically, when there are more than 500 children in the branch, SuperMemo gives up the iteration and displays the above warning. It does not attempt to verify if the list is indeed circular

"Cannot write all data to Kno file" error may indicate a serious problem with hardware
(Troy Gardner, 11/2/2002 9:42:05 AM)
Question:
SuperMemo has just displayed the following error: "Cannot write all data to Kno file"
Answer:
This is a serious error indicating problems with writing to the hard disk. Back up your data immediately and run a hardware check on your computer. It is also highly likely that your present learning material has already been damaged. Try to use another PC and run File : Repair collection with all options on to make a full diagnostic. Technically, the failure occurs at the lowest level while executing a call to Windows _lwrite() function. This simply indicates Windows cannot complete data write with the elected set of parameters. This call is executed while trying to save programs vital learning statistics in the KNO file

Error trying to link a registry member
(Marek Wilmet , Poland, Tue, 23 Dec 2003 13:13:47 +0100)
Question:
SuperMemo has just displayed the following error:
Error trying to link a registry member
Access violation at address 00404BC1 in module 'sm2002.exe'
Read of address 0000796C
Answer:
This error may occur when you try to connect a registry member with a component. This error is unlikely to occur in normal circumstances when working with SuperMemo. It is more likely to occur as a result of earlier errors or bugs in SuperMemo or as a result of a system-wide problems with allocating windows resources. In the future, SuperMemo will display a more specific message that will help us track the context of this error. Most importantly, this error is unlikely to result in loss of data. It should disappear as soon as you restart SuperMemo (at best) or restart Windows (at worst)

Error simulating repetitions
(Michael , 12/25/03)
Question:
When trying to simulate future repetitions in SuperMemo, I received the following error: Error simulating repetitions on day 7 Range check error
Answer:
This is a bug in SuperMemo. It occurs when you execute the simulation procedure in the last days of December (each year). If you repeat the procedure on January 1 or later, this problem will not occur. It will also be solved in all future releases of SuperMemo

Errors after changing the date
(Simon, Apr 08, 2004, 08:52:23)
Question:
Something went wrong with our computer and the dates were reset. We put the dates back to the correct dates and now get the following 2 messages appearing every time we try to learn an outstanding repetition "Cannot get first interval approximation" "Cannot fit grade-vs-forgetting curve"
Answer:
Some older versions of SuperMemo included a bug that could ultimately result in damage to a file sm8opt.dat (INFO folder of the collection). Damage to this file may produce exactly the errors you quote. The simplest workaround is to take the sm8opt.dat file from your latest backup and substitute it in your present collection (or use File : Tools : Reset parameters : Optimization matrices). However, it is also possible you may have had the date set wrongly while learning previously. Here the solution is to set the date back to the wrong setting used previously (if the difference in time was large, e.g. months/years), or work the difference out if the difference is not large. If the wrong date was too early, you could simply use Mercy and/or Postpone to spread out the outstanding work. If the wrong date was too late, you could use Mercy with Consider future repetitions to collect future repetitions, move them to earlier dates, and dilute the learning process

Error setting text selections
(Art Tsay, 2002/3/16 AM 11:43:51)
Question:
SuperMemo has just displayed the following error:
"Error setting text selections
Selection requested=221
Selection received=220"
Answer:
This error is harmless. It informs you that SuperMemo had problems with setting text selections (e.g. in incremental reading). Occasionally, you may need to reedit the resulting text (e.g. if it gets extracted incomplete). Otherwise, no action is necessary. If you are using Windows 2000 or Windows XP, you may reduce the occurrence of this error by using RTF filters (F6 shortcut). This is particularly useful if you are pasting rich text from the web

This type of selection cannot be processed
(Bert Schouteten, 3/08/2003)
Question:
SuperMemo has just displayed the following error:
This type of selection cannot be processed
Access violation at address 0065850A in module 'sm2002.exe'.
Read of address 00000000
Answer:
This is a harmless error that occurs in HTML components whenever the component cannot correctly generate a text selection (e.g. for the purpose of extracting the fragment in incremental reading). The reason for this problem is probably a bug in Microsoft's mshtml.dll library, which does not handle well selections of certain multimedia content as well as tables. Unless you use a heavy multimedia files, this error should not occur. However, you can minimize the risk by: (1) importing stripped contents (e.g. article's texts without advertising), (2) using HTML filter (press F6 in the HTML component), or (3) converting multimedia HTML to simpler format (e.g. by pasting through your word processor). Unfortunately, rich multimedia, scripts and tables are well-known to cause a number of errors. None of these errors has been documented as resulting in loss of data. Instead of "Access violation" this error can also be a result of "Unspecified error"

Errors while reading incrementally with SuperMemo
(Piotr Wasik, Poland, Monday, January 13, 2003 11:38 AM)
Question:
SuperMemo is often aborted by the OS with a Polish error message: "Program wykonal nieprawidlowa operacje i nastapi jego zamkniecie" ["This program has performed an illegal operation and will be shut down"], while extracting sub-topic with Alt-X, few times during a two-hours session. I don't believe in hardware problems as suggested in your troubleshooting section. I understand that incremental reading feature is heavily dependent on IE6 libraries and it's quality affects overall SuperMemo stability. What is the best reference configuration for SuperMemo to make it reasonably stable?
Answer:
It is true that in some configurations, error messages in HTML-based incremental reading can be annoying. SuperMemo delegates a couple of simple copy and delete operations to MS HTML libraries (source code). Unfortunately, depending on the HTML content and the operating system, even these simple operation may cause errors. SuperMemo 2002/2004 was developed in English Windows 2000 and Windows XP with Internet Explorer 6.0 that included all patches and updates up to the date of release. For that reason, these platforms provide highest stability. Newest patches to IE6 might add stability but can also produce slight changes in the behavior of SuperMemo. Non-NT Windows (98 and ME in particular) are by far less stable and this also shows in SuperMemo. In addition, some national versions of Windows may contribute to instability. In Windows 2000 or XP, SuperMemo nearly never closes and nearly never causes loss of data in the presently edited HTML. If your present installation produces aborts you can either consider upgrading to an NT-based platform (Win2000 or XP), or change your default incremental reading template to RTF (to avoid using HTML libraries). It is also recommended that you experiment with various types of content. mshtml.dll shows notoriously bad behavior with tables, scripts and some multimedia content. Using HTML filter (F6) dramatically improves performance in such cases

Prohibited access in Image registry
(Aleksander Pronkiewicz, Poland, May 21, 2004, 13:05:54)
Question:
SuperMemo has just displayed the following error:
"Image registry access error!
Prohibited access
Position=43831
LastPosition=64"
Answer:
Usually, this error indicates that you have deleted a registry object (here an image) that is used in one of your elements. However, as you seem to have fewer than 64 images in the collection and the missing object is listed at position #43831, it is more likely that erroneous data has been stored in the place that should keep the pointer to the image registry object. The reasons for such errors in data can be many. Most of these are various forms of software and hardware crashes. To eliminate the problem and ensure no other data in your collection has been similarly affected, run File : Repair collection with Rebuild registries checked. Warning: This process may take a few hours for larger collections.

Illegitimate CD-ROMs may fail to install SuperMemo correctly
(Justyna , 2002-08-25 13:40:01)
Question:
SuperMemo has just displayed the following error:
"Optimization record is set as read-only
F:\Mindmanagers\Supermemo2000\systems\ABC\info\sm8opt.dat"
Answer:
The file's attribute has not been changed from read-only upon the installation. Please check the legitimacy of the source of your CD-ROM. Original SuperMemo CD-ROMs use a different installation procedure

Problem with keyboard shortcuts
(Steve Brown, Sunday, October 13, 2002 4:05 PM)
Question:
When keying in a new Q/A pair, I type in the letter "c" it seems to be interpreting it as Alt+C and brings up the Contents window. When I type an "i", it brings up the History window as if I had pressed Alt+i
Answer:
This problem may occur in some older installations (e.g. Windows ME, Internet Explorer 5.5, national versions of the operating system, etc.). Your first optimum step would be to update your Internet Explorer 6.0. If you use older Windows and this does not help, you can simply remove shortcuts from the interface by means of Tools : Options : Language : Localization table (removing all ampersands: "&"). A ready-made language interface is also available as trimmed.tra. If this all seems too complex, you could also try this procedure

SuperMemo error: Error upgrading RTF to HTML
(Francis Harding , 4/9/2003)
Question:
I received the following message: "Error upgrading RTF to HTML: Cannot open clipboard"
Answer:
This rare error may occur while opening RTF texts in HTML components at the time when the clipboard is locked (e.g. immediately after copying large portions of text). For example, this may happen when you apply HTML template to an RTF-based element. This error may result in the following problems:

  • conversion of an RTF text to HTML will not take place
  • (most likely) an RTF text will be replaced with a plain text
  • (unlikely) an RTF text will be lost (i.e. replaced with an empty string)

All these cases are local (i.e. only the presently displayed element is affected) and recoverable. If the problem occurs while applying a template, the first thing to try is to detach the template and repeat the operation. In rare cases, in which you had lost formatting or the entire text, you can recover the text file from the collection's TEMP folder (e.g. if your collection is named Egypt.kno, the copy of the text that is being converted is kept in the file Egypt/temp/temp.rtf, and remains safe until you move to processing other RTF components)

Problems with pasting texts
(Elliott Mayo, Thursday, October 24, 2002 3:09 AM)
Question:
I have 3 components: text, HTML, and sound. Only the HTML has an entry. I cannot always cut and paste from the HTML component to the text component. I do a copy, and when I paste, nothing is pasted
Answer:
This is a known issue with some Windows installations. This is a system-wide problem and may affect SuperMemo as much as other applications (e.g. Internet Explorer, MS Outlook, etc.). The bug is with Microsoft components. In your case, the most likely reason is a problem with the HTML component which is based on the notoriously buggy mshtml.dll library included in Windows. In most installations, this problem does not occur. However, if it does, installing the newest Internet Explorer 6.0 often resolves the issue

Error pasting from keyboard
(Hjp2304, Saturday, March 15, 2003 11:20 AM)
Question:
When pasting from the clipboard the following code from MAPLE 2 * 1.08/1.12 + 2 * 1.08^2/1.12^2 + 2 * 1.08^3/1.12^3 + 2 * 1.08^3/ (.12 - .04) * 1.04 / 1.12^3; 28.89413266, I got error message "access violation at the address 71ce2d59 in msconv97.dll, read of address 0"
Answer:
Unfortunately, this error occurs outside SuperMemo. When you paste your text, Windows text conversion library is invoked (msconv97.dll). The above error is internal to that library. Some Windows installation notoriously replace that library with an older version. This results in some compatibility problems. Some of these can be resolved by using an in-between word-processing application to paste and re-paste your text (even Windows Notepad can be useful for re-paste purposes)

Error adding new text topic. Cannot open clipboard
(Jiri Pik, Jul 27, 2004, 07:32:16)
Question:
SuperMemo reported:
"Error adding new text topic.
Cannot open clipboard"
Answer:
When applications do operations on the clipboard they need to lock it (to prevent other applications using the clipboard at the same time). In your case, SuperMemo tried to paste the article at the time when clipboard was locked. The following might have caused the situation: * you are pasting a large or complex article that takes longer to copy (repeat the paste to succeed) * another application locked the clipboard (see which or wait) * an application locked the clipboard permanently while crushing (at worst, restart Windows)

Wrong component buffer marker
(Willem Brugmans, Monday, December 09, 2002 11:53 AM)
Question:
SuperMemo has displayed the following error
"Wrong component buffer marker
File=E:\SUPERMEMO\SYSTEMS\EspañolHablado1\info\compon.dat
Position=166712
Item #1399: RöG: Was war den Römern im 2. Vertrag mit den Karthagern an der span. Küste, auf ..."
Answer:
This is a very serious error indicating a major problem with your learning material files. You should do the following as soon as possible:

  1. backup your collection into a safe location
  2. verify collection integrity with File : Repair collection
  3. review the collection (e.g. by using F11 to scan as much of the learning material as possible)
  4. check your system for hardware problems, viruses, etc.
  5. verify if you correctly handle SuperMemo files (see: Backup: protecting your investment in learning)

It is highly recommended that you restore your most recent backup!

Technical explanation: SuperMemo keeps information about components in the file compon.dat. This file holds the position of individual components, their attributes, registry references, etc. To access component data, SuperMemo first takes the address of component data in compon.dat from elinfo.dat file. However, if the address stored in elinfo.dat does not match valid data in compon.dat, SuperMemo will not be able to access component information for a given element.

This error is most likely in two cases:

  1. files compon.dat or elinfo.dat have been physically damaged (e.g. by a virus, hardware problem, etc.)
  2. files compon.dat or elinfo.dat have been taken from two collections or two different copies of the same collection

Both cases result in errors that may be very hard to recover from. This is why using your most recent backup is the safest bet. Remember that if only 1% of your collection is damaged, you may miss the problem on random review and still lose hundreds of precious items!

Trim shortcuts may turn off certain shortcuts
(Kentaroh Takagaki, USA Educational, Thursday, September 26, 2002 5:17 AM)
Question:
I have recently switched to Windows XP. After the switch, I lost the functionality of the Ctrl+Alt+D shortcut key (Duplicate element). I do not have any other special keyboard utilities installed, and all of the other shortcuts I use work fine
Answer:
Go to Tools : Options, click the SuperMemo tab, and check if the Trim shortcuts option is unchecked. This option turns off some shortcuts by design to avoid conflicts with some national keyboard settings

File stamping mismatch results in file reuse on merge
(Beta, jp, Apr 09, 2004, 20:32:30)
Question:
Would it be possible to make sure the following error does not happen? E.g. by making unique IDs of all imported elements:

Warning! Reusing an existing registry member
File time stamping mismatch
Member="els Països Catalans"
Existing file=C:\Dokumente und Einstellungen\Jiri\Eigene Dateien\My SuperMemo\Jiri\elements\9\24\30\88504.bmp
Imported file=E:\Burn this\SuperMemo\Systems\Chinese Characters - Reading\elements\2\23.bmp
Existing stamp=Mar 18, 2004, 10:23
Imported stamp=Feb 6, 2004, 17:24

Answer:
This warning occurs at merging collections. It is not related to element IDs. If SuperMemo discovers a registry member, e.g. an image, that already has he same name as the transferred member, it checks the size and time of the files. If the sizes differ, the new member will be re-imported; however, if the sizes are the same and the file time stamp is different, you will be warned that the old member will be reused (just in case there was a name and size coincidence that might have undesired consequences). This procedure is to save space by ensuring you do not re-import existing members on collection merge. You can always go to the elements using the reused member to see if there was no name-size coincidence. In most cases, this warning occurs when you transfer an object (e.g. image, sound, HTML file, etc.) to a collection to which it has already been imported. In the case above, the image "els Països Catalans" has already been imported. The old existing object will be re-used instead of integrating the new object that is being transferred.


FAQ: Files and backups in SuperMemo

Use Copy collection to easily copy your learning material to any location
You should regularly make a full safety copy of your collection
Use File : Delete collection to delete collections
My learning material keeps disappearing
Learning with a back-up by error
Problems with finding a collection to open
Using time-stamped quick backup files may result in confusion
Files missing or zero-sized
To restore a CDR backup, you need to remove the read-only attribute
If SuperMemo loses its vital files, you may need to restore the whole collection from a backup
If you restart your computer, SuperMemo will open the last but one collection in use
Use Copy collection on the File menu to avoid backup errors
You can easily copy SuperMemo to a diskette
Restoring SuperMemo backup is easy
Should backups be kept inactive?
Question-answer format is universal to all versions of SuperMemo
Damaged KNO file may require restoring a backup
Wrong size of KNO data
Collection is blank
"Cannot open template.lst" may be a result of a file lock
Problems after System Restore
Use template tags to export collections with an HTML template

See also:

  • Making safety copies of your learning material
  • File menu
  • Files used by SuperMemo
  • FAQ: Errors messages in SuperMemo

Use Copy collection to easily copy your learning material to any location (#4998)
(cmartin336, Thu, 27 Sep 2001 07:06:02 EDT)
Question:
I had bad experience with the copy feature of SuperMemo. It looks like one cannot determine, where one wants to store the copied file
Answer:
File : Copy collection makes it possible to select the destination. Probably you are using Quick backup which quickly saves a backup at a predetermine location. However, this location can also be changed

You should regularly make a full safety copy of your collection
(Adam, Australia, Tue, May 22, 2001 6:49)
Question:
I want to optimize my backup strategy. When I do repetitions only, and do not modify anything, I could probably use export/import learning process only. How could I export/import a subset of the collection, like newly added knowledge elements, including sound/html files (assuming I only use the same set of templates)?
Answer:
It is always safest to make a full copy of the collection. You should use File : Copy collection on a regular basis (e.g. every 1-2 weeks depending on the intensity of your work). If you do not change the content (e.g. by editing questions, etc.), File : Tools : Export : Learning process will suffice to back up the learning process. Note that Export : Learning process process cannot be executed on a subset of elements. If you want to backup only a newly created branch, you could just transfer this branch to a new collection but you must be cautions as some global settings are not subject to transfer. In addition, restoring such a backup is not trivial. You will need to transfer the branch back to an earlier backup of the entire collection. In other words, File : Copy collection is the simplest and safest way of backup

If SuperMemo loses its vital files, you may need to restore the whole collection from a backup
(Juarez Barreto, Brazil, Friday, August 30, 2002 3:35 AM)
Question:
SuperMemo displayed the following error:
"Collection files missing!
Folder=C:\MEUS\
Try to restore files that you have moved or deleted"
Answer:
On opening a collection, SuperMemo checks if its vital files are in place. If any of these is missing, the above error will show. Vital files are those that make recovering the collection impossible. For example, the text.reg file contains the text of your elements. If this file is missing, SuperMemo will not be able to recreate the texts used in your collection. This will render it useless. Most likely reasons for the above error:

  1. you moved the kno file without moving the associated folder. For example, if your collection is Meus then it is made of the file Meus.kno and folder [Meus]. If you move Meus.kno to the root of your c: drive and then try to open Meus.kno, SuperMemo will protest the absence of the [Meus] folder by displaying the message above
  2. you deleted, moved or renamed the folder associated with your collection (e.g. c:\meus associated with c:\meus.kno)
  3. due to a virus, software or hardware malfunction, one the the vital files was deleted or its size was set to zero If you are unable to restore the deleted folder or files, you will need to resort to your most recent backup of the collection

Important: If you are not fluent with files and folders, it is safer to copy or move SuperMemo collections with tools available on the File menu (for example, File : Copy collection). Otherwise, it is very easy to pick the kno file in Windows Explorer and separate it from the rest of the collection. The error message as above will result

Use Copy collection on the File menu to avoid backup errors
(Przemek S, Poland, June 8, 2000)
Question:
I used to regularly back up my Advanced English on a second hard disk. Today I tried to restore my backup and ... it looks as it is empty! Only one element inside! Help!!!
Answer:
There is a frequent mistake users make. To backup a collection, you need to copy both the kno file and the associated folder (e.g. file ae.kno and the folder [ae])(see: Collection files). Some inexperienced users copy only the kno file which is just 20KB of data! If you try to open an orphaned kno file, SuperMemo will reconstruct an empty folder structure.

To avoid this problem: Always back up collections with File : Copy collection or File : Tools : Quick backup. Do not use external tools unless you understand Windows, files, folders and SuperMemo very well!

To resolve the problem: it is possible the original folder associated with the kno file still exists on the hard disk! You can search for some files characteristic for SuperMemo (e.g. burden.dat or sm8opt.dat). Make an inventory of all kno files (search for *.kno) and all SuperMemo collection folders (search for burden.dat) on your hard disk. Once the inventory is made, try to carefully match up knos and folders and copy kno files to match the folders. Chances are that File : Open on one of these files will restore the lost backup. Note that you can easily find empty collections by checking the size of burden.dat. This file contains repetitions and is zero-sized on collections with no learning process

My learning material keeps disappearing
(hojinil, South Korea, Wednesday, April 11, 2001 4:29 AM)
Question:
I used Add New and I added lots of stuff but next time when I opened collections I couldn't find any of them. It was gone!
Answer:
Please make sure the following two conditions are met:

  1. You are not copying or moving files behind the back of SuperMemo (e.g. with Windows Explorer)
  2. With File : Open collection, you go to the exactly same location where you last left your collection

If some files are moved or deleted behind the back of SuperMemo, it will often attempt to recreate missing files and open the collection regardless. Unless you delete your collection or delete its folders, your learning material should remain safe.

If you happen to own more than two versions of SuperMemo, or installed SuperMemo more than twice, check which SuperMemo is running. Each installation will keep its own list of default collections. Your two collections might have the same name but be kept at two different locations. The collection location is displayed on top of the docking toolbar

Using time-stamped quick backup files may result in confusion
(Daniel McCarthy, Apr 20, 2004, 20:28:03)
Question:
When I try to do a Quick back-up, I am given the following:
Error! Window: Invalid Destination: Error #206,
Path: C:\SM2002\systems\back-up\FRENCH (2004-03-30 21-01-13)...
and 9 more brackets that seem to represent each of the times I have backed up the collection
Answer:
When you execute a Quick Backup, SuperMemo creates a copy of your collection and adds a time-stamp to its name. You should continue using your original collection and come back to backup files only in emergency. Instead, you seem to use the backup instead of the original. If you backup the backup, a new time stamp will be added and the filename will get progressively longer. When the filename reaches beyond the legal limit, you will receive an error. In your case, you should always use the collection named French. It is also recommended that you periodically copy 2-3 backup files to a CDR. You could then delete backup files from the hard disk to avoid confusion and save space. Remember to use File : Delete collection in SuperMemo to avoid mistakenly deleting files used by your original collection

You can easily copy SuperMemo to a diskette
(Jack B., Sun, Jun 24, 2001 2:20)
Question:
After getting the program downloaded, may I simply pay for a backup diskette sent to me?
Answer:
No. We do not send out backup diskettes. You can easily create a backup yourself in a few minutes. However, if you fail to backup or your backup is lost, you can always write back to receive a replacement via download

Files missing or zero-sized (#13457)
(M. Ponti, Canada, Friday, October 18, 2002 5:50 AM)
Question:
SuperMemo has just displayed the following error:
"Collection files missing!
Folder=D:\Program Files\Supermemo\systems\Spanish 100\"
All I wanted to do is copy my collection and when I clicked on copy, it gave me the error. I haven't been able to recover it as the .kno file has zero bytes now, and the supporting directory structure is gone
Answer:
You need to begin with mastering the backup skills. Most importantly, you should use SuperMemo to copy your collection (File : Copy collection), not other tools (unless you are sure which files are part of SuperMemo collection). You should not experiment with incremental backups as these usually lead to lost integrity of the learning material.

You can possibly still recover lost work if you reassemble your collection. Your <collection>.kno file must have been separated from <collection> folder. If you search your hard disk for lost components, you can still put them together (unless these have been deleted or damaged). You will find detailed file structure and some FAQs for similar emergencies here.

Occasionally, the above error could also result from a software or hardware crash (e.g. one of vital collection files has been deleted, destroyed or made zero-sized). In such circumstances, you may need to resort to your most recent backup. Zero-sized KNO file may indicate a crash. SuperMemo never creates zero-sized KNOs. These could only be created in abnormal circumstances such as a major software crash

To restore a CDR backup, you need to remove the read-only attribute
(trojanma, USA Educational, Tuesday, October 22, 2002 7:16 PM)
Question:
My hard drive recently crashed, but I had a copy of SuperMemo on CDR. When attempting to run SuperMemo after copying it back to my computer there was an error that said the database was read only. I am a medical student and I have created a database of hundreds of questions. It will be disastrous if I lose them. What can I do?
Answer:
It should be enough if you remove the read-only attribute from the files you copied from the CDR. While copying files to the CDR, all files are automatically marked as read-only. SuperMemo cannot use read-only files as it needs to write your learning data back to the collection. For example, in Windows Explorer, you can right click over files or folders, choose Properties and uncheck General : Read-only

Wrong size of KNO data
(Dirk Ceulemans, Belgium, 26/01/2003 13:18:28)
Question:
SuperMemo has just displayed the following error:
"Wrong size of the DataRecord in the *.kno file
Expected=790
Found=0"
Answer:
SuperMemo stores vital collection statistics in the file named <collection name>.kno. Before you begin working with the collection SuperMemo checks if the size of the KNO file is correct. The displayed error indicates that either SuperMemo cannot read data from the KNO file or that its size is zero. Problems with reading may occur when the file is locked (restarting SuperMemo or Windows will usually remedy the problem). However, if the size of the KNO file is zero, you will not be able to use the collection. The file might have been lost due to a computer crash, virus or problems with your hard disk. In such cases, you will need to resort to your most recent backup file.
In older SuperMemos the same message reads:
"Wrong size of kno.DataRecord
Expected=608
Found=0"

Restoring SuperMemo backup is easy
(andon, South Africa, Thursday, February 13, 2003 8:30 PM)
Question:
How do you restore a backup?
Answer:
You only need to copy the backed up files into the folder where you want to use them. See: Backing up.
Remember to remove read-only protection if you copy from a CDR.
Remember to restore both *.kno file and its associated folder (using File : Copy collection is safest)

Collection is blank
(Simon, Thursday, April 17, 2003 2:10 AM)
Question:
I received the following messages:
"Image registry access error cannot determine format for position 28794",
"Image registry access error cannot access registry",
"Cannot verify member status at position 28794".
The whole knowledge system is now blank
Answer:
There must have been a major mishap with your collection files. It is possible your material is unrecoverable, and you will need to resort to your most recent backup. Most likely causes of similar events are:

  1. deleting important folders in the collection
  2. copying one collection over another
  3. major hardware or software problems (e.g. hard disk errors, viruses, etc.)

To make sure #1 or #2 do not happen in the future, read Backup and Recovery

Problems after System Restore
(Marcos Rufino , Non-Profit Organisation, Wednesday, May 28, 2003 1:34 PM)
Question:
I've noticed a problem using SuperMemo with System Restore in Windows XP. After using the System Restore to fix some problems with my Windows, one of my SuperMemo collections became scrambled. All the registries appeared filled with some outlandish characters
Answer:
This problem is not likely to be directly linked to System Restore, which should only affect system files. Indirectly, System Restore could have affected a corrupt file system. How this could have modified files used by SuperMemo is very difficult to figure out. Probably Microsoft would have a better answer to this question. Independently, this will be posted as FAQ to leave a documented trace of the case. We advice a regular (e.g. weekly) backup of all collections as well as an additional backup while doing any major changes to the system software or hardware

If you restart your computer, SuperMemo will open the last but one collection in use
(Zoran Maksimovic , Monday, August 04, 2003 3:20 PM)
Question:
When I reset my PC when SuperMemo is running, my usual collection is not loaded. Instead, SuperMemo loads a backup copy. Could this result in corrupted data?
Answer:
Resetting your computer during file write operations is always dangerous and can result in loss of data. However, SuperMemo collections are kept up-to-date most of the time (i.e. SuperMemo does not keep vital data in memory for long). As a result, damage is rare and nearly always recoverable with File : Repair collection. However, SuperMemo writes down the name of the last used collection only at the moment of closing this collection. Consequently, it will reopen with the last collection used before the one that was subjected to the computer restart. This behavior is important in case of problems with the collection itself. In case of a serious error, SuperMemo will give you a chance to back up your material before it attempts to reconstruct any missing data

Damaged KNO file may require restoring a backup
(Caroline Item , Belgium, Mon, 4 Aug 2003 09:04:26 +0100)
Question:
SuperMemo displayed this error:
KNO file is damaged!
Total=0
c:\program files\sm2002\systems\ENGLISH BBC.Kno
Answer:
The KNO file is the file where SuperMemo keeps its vital statistics. The Total field indicates the number of elements in the collection. Total=0 indicates damage to the KNO file (the smallest collection must contain at least 1 element: the root element). If File : Repair collection does not help, you may need to resort to your most recent backup. The most likely reason for damage to the KNO file are major software crashes or physical damage to files on the hard disk due to software or hardware malfunction

"Cannot open template.lst" may be a result of a file lock
(j.b., USA Educational, Sunday, September 28, 2003 1:54 AM)
Question:
I received this error and don't know what it means:
Cannot open C:\Documents and Settings\jason brody\My Documents\smemo030907\03 09 24\KOREAN151 (2003-09-10 21-50-28) (2003- 09-25 20-16-26)\registry\template.lst
Answer:
Most likely, the listed file has been locked. An exemplary reason could be a software crash (with or without SuperMemo). In case of a file lock, restarting SuperMemo may help in some cases, but restarting Windows may also be necessary. After rebooting, you will need to run a full File : Repair collection to try to fix possible integrity errors resulting from the file lock. Note also that your file name seems to indicate you are using a backup of a backup collection (double time stamping), and this may not be the collection you actually intended to use

Learning with a back-up by error
(Reinhard, Germany, Tue, 25 Sep 2001 23:20:34 +0200)
Question:
I just had a traumatic experience. I spent the whole day in vain learning only to discover now that I spent the whole time with the wrong collection. I learned with the backup instead of the original.
Answer:
One of the following must have happened. Either you can easily recover from your error or there has been a major departure from the art of learning with SuperMemo:

  1. If you started learning with a backup soon after creating it, all you need to recover is to copy your backup over the original, and create a new backup
  2. If you kept learning with an old backup, you should have recognized the repeated material (assuming you stick to the rules of SuperMemo Decalog). On one hand, this should make you think why freshly repeated material has not been identified (this is a norm in SuperMemo). On the other, the damage resulting from repeated exposure will be little (you do not seen to recognize the material anyway). Naturally, it might have happened you added some new material to the original before making repetitions with the backup. In such a case, simply transfer the new material to the backup by means of a subset transfer. Another special case is where you do not recognize the material due to heavy overload in incremental reading. In such a case, you can simply transfer new material to the backup and keep learning as if nothing happened. The heavier the overload, the lesser the chance of repeated exposure, and the lesser the damage

Should backups be kept inactive?
(Reinhard, Germany, Tue, 25 Sep 2001 23:20:34 +0200)
Question:
A backup should not be accessible as any other collection. I just started learning with a backup instead of an original. A backup is supposed to be totally passive until actively activated.
Answer:
In most other applications, the backup differs from the original only in name. For example, if you save a file in MS Word as "Homework Backup", it is your responsibility to ensure you do not start working with the copy instead of the original. Additionally, SuperMemo will easily help you recognize your error. After a few repetitions you will notice "I have already gone through this material recently". It is true that some users start learning with their recent backup, but they easily recover by copying the backup over the original. However, there have not, until now, been reports of users duplicating their work by error in backup

Use File : Delete collection to delete collections
(Daniel McCarthy, Apr 20, 2004, 20:28:03)
Question:
When I do a Quick Back-up, I get a new icon and a new folder in my SM2002\Systems\Backup Folder. If I try to delete the previous icons or folders, then open SuperMemo, I get a warning that files have been lost, and they should be repaired
Answer:
You would best delete collections with File : Delete collection in SuperMemo. Otherwise you can easily mismatch deleted folders and files and produce incomplete collections that report said errors

Problems with finding a collection to open
(John B., Non-Profit Organisation, May 01, 2004, 01:35:40)
Question:
I tried going to File : Open collection and there was a dialog box for elements, registry, etc., but nothing opened up
Answer:
Folders such as elements, registry, info, etc. are part of your learning material. However, to access this material, you need to go a folder up and look for files with the extension KNO. Only these are openable

Question-answer format is universal to all versions of SuperMemo
(Mark Yang, Saturday, August 25, 2001 12:33 AM)
Question:
How can I import a text-based file in to one collection? For instance, if I've already created a tab-delimited file (compatible with SuperMemo Palm version), how can it be imported?
Answer:
You need to convert your file to question-and-answer format acceptable by all versions. See: File menu for more

Use template tags to export collections with an HTML template
(Piotr M., Poland, Sep 23, 2000)
Question:
I use HTML export template but only one page gets exported and it does not include any collection material
Answer:
You need to use template tags such as #Pages#, #Element#, #Content#, #SuperMemo#, #Author#, #Download# to insert collection components. Insert all those tags in different places and see what happens


FAQ: Genius and creativity

The following questions have been asked in reference to "The roots of creativity and genius":

What makes a genius?
Education as a formula for genius requires appropriate social and economical medium
Education is targeted at problem solving
Problem solving may involve a varying degree of creativity
Geniuses create for a living
Effective work does not have to imply the loss of the joy of life
A computer metaphor seems to be the simplest way of explaining the brain to non-technical people
All models are subject to misuse, which should not prevent modeling
Giftedness is not a precondition of genius
Sex and race do not matter much for genius accomplishment
 Multiple intelligences can be described with the computer metaphor as well
Differences in personality underlie many correlations between sociopsychological variables
Children with Down Syndrome have lower IQ
What is the IQ of the greatest geniuses
IQ of 120 is enough for a Nobel Prize
Positive emotions do not have to be pleasant
Delayed gratification skills develop slowly and are not a definite predictor of intellectual development
Brainstorming does not have to disrupt the schedule
Great breakthroughs are often based on simple associations
Does 1969 matter?
Can people be intelligent and not creative?
An idea does not have to be implemented to testify to creativity
Sheldon experiment is the state of the art in the area of understanding human needs
You should not lose sleep over unavoidable limitations
Chess grandmasters use different areas of their brain to plan chess moves
Polgar experiment should rather be understood as a case study
Chess grandmasters use different areas of their brain to plan chess moves
Geniuses can be found everywhere
Individual genius is not the best predictor of success in collective leadership
SuperMemo can be used for generating and organizing new ideas
Being politically correct

Education is indeed targeted at problem solving
Question:
I think that the purpose of education is not to improve our problem solving ability, but to improve our ability to function in society. How can slapping a child who wants to eat a cake before dinner enhance its problem solving?
Answer:
Problem solving is understood here strictly in computational terms. Every task can be represented as a computational problem. All our life is based on computing "What to do next?". If you compare a child's brain to a computer, the act of slapping can be compared to adding a new rule "No cake before dinner". In the future, this rule can be changed to a more sophisticated form (e.g. "Foods of high glycemic index are not recommended before the main meal due to ...", etc.). This rule can be used in problem solving. For example, the most straightforward problem could be "Shall I eat this cake now?", and a more sophisticated problem could be "Which restaurant should I choose tonight?". In the latter case, the same rule would be evoked to solve the problem. Answering moral questions can also be represented in terms of problem solving. We function well in the society if our computing brain is good at solving puzzles relevant in social situations, and not only

Problem solving may involve a varying degree of creativity
Question:
What is the difference between problem solving and creativity? Those terms are used often but were never clearly defined
Answer:
Imagine a labyrinth. In problem solving, you know exactly where you want to get. You will apply rules stored in your memory to navigate through the labyrinth with an effort to reach the predetermined destination. In pure creativity, you do not know what you want to accomplish or where you want to get. You may just stray through the labyrinth in hope of finding something valuable. In real life, problem solving will involve a degree of creativity which is proportional to indeterminacy of the reasoning path (i.e. the degree of your derivation or application of inference rules being non-deterministic). If you have to answer the question: What is the value of 6x7?, you will deterministically retrieve a fact from your memory: 6x7=42. This is a pure recall (or fact-based problem solving). If you have to answer: What is the value of 16x17?, you will deterministically retrieve facts (e.g. 6x7 = 42). Then you will deterministically retrieve simple multiplication and addition rules to conclude that 160+70+42=272. This is rule-based problem solving. If you have to solve a differential equation, you will deterministically retrieve the rules and then you may start non-deterministically traversing the decision tree: you may have more than one path to traverse. Solving such non-deterministic problems requires creativity (i.e. tricks to efficiently move inside the labyrinth). This is creative problem solving. If you have to invent a new marketing slogan for your company, the degree of creativity will increase further. Your search space will be nearly infinite. Luckily, your associative brain will quickly find a couple of plausible associations and you may "create" the answer in seconds. Then you can further iterate over various branches of your search tree or try far-reaching "jumps" via association (see: Ideafisher and incremental reading). The power of knowledge in problem solving is that the more knowledge you have, the less creativity you need, but the more creativity you are able to apply

IQ of the greatest geniuses
Question:
What is Judit Polgar's IQ? How about other geniuses?
Answer:
Several sources indicate that Judit Polgar's IQ might be around 170, but IQ data are notoriously misquoted and misleading. See also:

http://www.surfonby.com/iqtest/iqfacts.html
http://home8.swipnet.se/~w-80790/Q&A/Q&A_2.htm

Multiple intelligences can be described with the computer metaphor as well (#5795)
Question:
You completely ignore Dr. Howard Gardner's multiple intelligences and put emphasis on only two types of intelligence: linguistic and logical
Answer:
The model of a brain storing facts and rules used in problem solving encompasses most of multiple intelligences. This goes far beyond the standard IQ which indeed has a linguistic and logical bias. The interest of educators should focus on intelligence enhanced by expertise (Definition 1). The variety of classes of expertise is large enough for the need to extract common factors that make training efficient. Spatial intelligence is to logical intelligence as geometry is to logic. It simply refers to a different substance (different facts and rules) without changing the rules of engagement: training enhances skills in all forms of human activity. Kinesthetic intelligence may have a strong genetic underpinnings but kinesthetic training will also develop a set of new rules encoded in the neural network of the motor system. The fact that these rules cannot be verbalized does not detract from the applicability of the computer metaphor and brain's programmability. Inter-personal intelligence, here referred to as social skills is a combination of an emotional profile of an individual (Emotional IQ) and social expertise (facts and rules of efficient social conduct). Musical expertise will combine "musical intelligence" or "talent" and a battery of procedural and declarative rules developed in the course of musical training, etc. The formula based on storing new facts and rules in memory via training is universal

Sex and race do not matter much for genius accomplishment
Question:
What is the link between sex, race and genius?
Answer:
IQ tests, personality tests, SAT scores, etc., inevitably show differences between race, ethnicity, family background, child care, sex, and even religious beliefs in the family. However, the prescription for accomplishing genius is the same (see: Genius Checklist). Consequently, the differences may be important to psychologists, evolutionary biologists, ethnographers, etc. To a young bright mind, the differences are of little concern and do not affect his or her strategy for creative life

Geniuses create for a living
Question:
What does Genius do for living?
Answer:
Creativity is naturally the most desirable way for geniuses to make their living. During the Great Depression, even the brightest minds found it difficult to get the most menial work. In Middle Ages, few could live of creativity. Today, even in lesser developed countries, geniuses can find great outlets for their creativity on the net. The claim "do not optimize for financial gain" must exclude cases where a genius suffers by not having anything to put on the dinner table. However, it is getting easier and easier with every passing day to forgo financial concerns for people who are well endowed intellectually. Creative jobs abound and may be found half-a-globe away. The earlier you manage to do a full-steam creative work for a living, the faster your will free your genius mind from numerous limitations of the present world

Children with Down Syndrome have lower IQ
Question:
What is the IQ of people affected with Down Syndrome?
Answer:
The distribution of IQ among Down Syndrome patients is similar in its bell shape to the normal population; however, the average is shifted by 50 points downward (in pure forms of Down Syndrome). A relative Down Syndrome genius can pass the borderline retarded range and match the low average IQ range. However, educators dealing with Down Syndrome kids stress that IQ is not a good measure of mental performance among these children

Brainstorming does not have to disrupt your schedule
Question:
How do you reconcile the proposition of socially-based brainstorming on one hand, with the asocial call to schedule-and-prioritize (including the use of e-mail instead of a phone, etc.)?
Answer:
Due to an ever increasing intellectual competition, future geniuses will probably have to drive their time-management skills to perfection. This will require careful scheduling, prioritization and minimum disruption. However, brainstorming may also be subject to planning. Its only limitation is the coincidence of needs. Simply put, it is harder to do synchronous planning for a group of individuals. Simple techniques used for scheduling a tennis match can be used for scheduling a brainstorming session. Technology can also come in handy, in a brainstorming group, individuals ready for intense net-meeting exchange can set up a readiness flag, and await the the moment when their readiness coincides with others in the same group. Last but not least, "slow brainstorming" over e-mail is also extremely powerful

Being politically correct
Question:
Jobs simply sucked Wozniak's blood;
VisiCalc was not the first spreadsheet;
Edison was a thief of patents;
Bill Gates is no genius;
Evolution is just a theory;
Anti-globalization supporters are idiots;
Brain is far more than an expert system;
You should avoid using the word holocaust;
Turing's homosexuality had no relevance; etc.
Answer:
Intentionally, this FAQ will avoid a debate on political correctness and/or matter of opinion. If you believe some historic facts have been misrepresented, they will be corrected or alternative links provided. Otherwise, all sideline stories should serve only as examples or illustrations that help prop the main theses of the article. The examples are not essential to the proof and as such will be left for other forums to be debated

Effective work does not have to imply losing the joy of life (just the opposite)
Question:
On one hand you insist that the reason must take rein over the weak body, but in another place you encourage music, art, movies, sports, and religion because they are enjoyable! This is contradictory
Answer:
As always, the key to resolving multicriterial optimization is balance of proportions. You need to balance learning with creative work. Specialist with general knowledge. Work and time for sleep or sports. Work and family, etc. Optimally, you should find maximum joy in things you must do rather than do things because they are enjoyable. However, you cannot hop over your physiological and psycho-emotional limitations. Let us consider an example: let us assume your day starts with a breakfast during which you watch yesterday's CBS News, and you follow that with repetitions in SuperMemo. Let us say your time allocation for both activities is 80 minutes. You may be tempted to go for maximum work (repetitions) and minimum relaxation (breakfast). However, you will quickly discover that there is an optimum allocation of resources that maximizes your output. If you rush through a 5 min. breakfast and interrupt watching the news in some interesting point, your enthusiasm for repetitions may be less and ultimately your learning results less impressive. If, on the other hand, you let the breakfast raise the glucose level in your blood, let the caffeine of your morning coffee kick in, and let an inspiring piece of science news get you hungry for new knowledge, 25 min. allocation for breakfast may appear more efficient overall. Enjoyability is your guidance here. This example shows that you may be unable to overcome such limitations as the speed of food absorption or even more malleable factors such as psychogenic motivation. You got to listen to your body carefully. All work and no play makes Jack a dull boy simply states that psychophysiological needs have to be taken into account when managing your life and productivity. Doing things you love is one of the simplest tricks you can use to increase productivity without damaging your health. With time, it is likely that you will find more and more joy in your work, and the borders between work, play, and relaxation will blend

Polgar experiment should rather be understood as a case study
Question:
I do not think Polgar experiment was an scientific experiment. Can Laszlo Polgar reproduce his results? What are the control variables?
Answer:
Naturally, "Polgar experiment" does not meet strict laboratory science standards. It should rather be understood as a case study. Most of our knowledge of breeding genius is based on case studies. We can study IQ and its correlations but it is very difficult to measure human genius that goes far beyond dry IQ measurements. This is why it is difficult to design experiments, and this is why there is so much art mixed with science. Studying past and present geniuses is still one of the best ways of understanding great minds

Positive emotions do not have to be pleasant
Question:
Some negative emotions may have a positive effect. For example, feeling guilty after doing something wrong
Answer:
All emotions with a positive effect should be called positive. This does not have to imply they should be pleasurable. Feeling of guilt may result in a behavioral or attitudinal correction. It may be unpleasant but it is likely to produce a positive outcome. We will then classify guilt as a positive emotion. Naturally, an individual with a sturdy hierarchy of value and high self-discipline will rarely experience guilt or other punishing emotions. This is also why the attitude, philosophical outlook, and self-discipline are so important in developing a harmonious mind

A computer metaphor seems to be the simplest way of explaining the brain to non-technical people
Question:
Every child knows that the brain operates as a neural network not as a serial digital computer - your computer metaphor can lead to wrong conclusions!
Answer:
30 years ago, it would be very difficult to explain the way the brain works to an individual with little knowledge of neuroscience or computing sciences. Today, most people seem to understand the concepts of hardware and software. This opens a simple avenue towards explaining the brain to an average man in the street. The computer metaphor partly solves the problem of the representation of a genius brain in an average mind. A ball-and-stick model of the Solar System cannot be used to encompass all properties of the planets (e.g. their size), but it can excellently illustrate other properties (e.g. planetary configurations). Similarly, the computer metaphor of the brain cannot be used to illustrate memory formation (we all wish we could load memories like we load software), but it excellently illustrates brain's programmability and its limitations

Giftedness is not a precondition of genius
Question:
Dr Ellen Winner clearly states that not all children are gifted: "Gifted children are biologically different. If you doubt it, try to raise someone's 90 IQ to 150"
Answer:
Giftedness is strongly correlated with the rage to master and young man's early IQ. However, it only makes developing genius easier. It is not a precondition of genius. IQ scores are relative to the rest of the population and should not be used as a measure of the potential to achieve. This is also why there are not easily improved via training. The formula for genius includes knowledge, its use and emotional IQ. Many past geniuses such as Edison or Einstein would not have passed today's giftedness criteria. Others would have immediately fallen into ADHD category and be prescribed Ritalin (e.g. Tesla is a compelling case). Seemingly opposite views of Dr Winner and Dr Anders Ericsson of Florida State University are just two poles of the nature-vs.-nurture debate. Both are consistent with the theses presented in "The roots of genius and creativity"

Differences in personality underlie many correlations between sociopsychological variables
Question:
You write that destructive personality factors are highly correlated with each other, and that non-virgin girls are 6 times more likely to attempt suicide or drink alcohol. Do you think that being a non-virgin conditions these facts? Let's look at the logic: A -> B but it doesn't mean that B -> A. I think that in the case above it is quite the opposite, a girl practices teenage sex due to family problems, not the other way around
Answer:
Factors such as early pregnancy, alcoholism and suicide are strongly correlated. This statement does not predicate on the actual causality, which is always complex and subject to lengthy disputes among sociopsychologists. One cause must be stressed though: genetically determined neurohormonal profile of an individual. This is why personality factor plays such a decisive role in developing genius. Low serotonin individuals are more likely to suffer from depression, drug addition, bouts of violence, etc. This makes for a powerful factor that can underlie this and similar correlations

Delayed gratification skills develop slowly and are not a definite predictor of intellectual development
Question:
Your statements on the importance of delayed gratification does not seem to apply to me. I was an awful child. If I wanted a toy I would lie on the street and scream as loud as I could until I got it. Today some people call me a genius. Am I an exception to the rule?
Answer:
Delayed gratification skills develop very slowly. In very young kids, they are almost non-existent. They are strongly correlated with intellectual development. Your ability to put up a fight for the toy might actually be an indicator of strongly developed motivational circuits. This could produce a welcome rage to master. Later, your rational brain probably took reign over these motivational circuits to help you persevere in whatever obstacles life throws at you. Yelling and screaming for a toy clearly isn't a reason for worry as long as it is gradually replaced with more efficient behavioral strategies

Geniuses can be found everywhere
Question:
In what professions can you find genius? Can a garbage collector be a genius?
Answer:
Geniuses are everywhere. Naturally they tend to gravitate towards science and other intellectually satisfying occupations. However, young geniuses in a number of countries are simply locked in a struggle for survival, which naturally limits their chances for full development. Some tend to withdraw from social life (cf. W. J. Sidis) and prefer to do lowly jobs to free their minds from the limits of the rat race. Others find excellent creative refuge in undemanding jobs and quiet offices. If you meet a shoeshine boy, housewife, patent clerk, or a shop assistant, do not jump to the conclusions!

Sheldon experiment is the state of the art in the area of understanding human needs
Question:
Sheldon experiment is flawed: The students answered in socially accepted ways. I can imagine they were afraid to admit to deriving satisfaction from money
Answer:
Sheldon experiment has been published in the reputable Journal of Personality and Social Psychology published by the American Psychological Association, which is the largest scientific and professional association representing psychology in the world. Flawed experimentation could not pass the impermeable peer-review barrier of this journal. Sheldon uses state of the art methodology in terms of theoretical background, data gathering, statistical analysis and the assessment of experimental limitations. Sheldon admits that students of psychology in the US and Korea are not representative to the entire population. He also admits that factor analysis on the same emotional components in reference to events spanning the lifetime might produce a different result. He builds on Maslow's theories and other sound theories of human needs, but props his argument up by a solid experiment on a relataively large sample (several hundred students). In conclusion, Sheldon's statements on what makes people happy can be considered the state of art in this field of psychology. The original article (including all tables and figures) is available from the American Psychological Association website: http://www.apa.org/journals/psp/psp802325.html

An idea does not have to be implemented to testify to creativity
Question:
Your usability criterion for creativity is questionable. The works of Babbage were proven workable today, but at his time they were useless. Does it mean Babbage was not creative? The same refers to the later discovered Turing's work on parallelism
Answer:
The presented definition of creativity includes the usability criterion. This refers to the idea, not to its implementation. Babbage's ideas were highly creative and the fact that he was not able to implement them does not detract from their usability.

All models are subject to misuse, which should not prevent modeling
Question:
I read Rod Brooks say (Brooks is director of the AI Lab at MIT): The fact that we use the technology as a metaphor for ourselves really locks us into the way we think. We think about human intelligence as these neurons with these electrical signals. When I was a kid the brain was a telephone switching network, then it became a digital computer, then it became a massively parallel digital computer. I'm sure there's a book out there now for kids that says the brain is the World Wide Web, and everything's cross-linked
Answer:
Models may lock us in the way we think, but their main purpose is just the opposite: to broaden our abstract reasoning. Until a better popular-scientific explanatory model is found, the computer metaphor makes wonders in explaining the brain, e.g. in reference to the concept of working out genius and creativity. Brooks spoke about the value of such a metaphor for building artificially intelligent systems, not for explaining the brain to non-technical folks

Great breakthroughs are often based on simple associations
Question:
You got your facts wrong by writing "it was not hard for Woz to envisage a simple computer: the keyboard would work like a typewriter. The messages would be displayed on a TV-like monitor". What Woz did for video display was revolutionary!
Answer:
This paragraph should by no means diminish Woz'es contribution. It is supposed to emphasize that geniuses can change the world in their lifetime, yet individual breakthroughs that lead to great theories and new inventions are all based on very simple associations. One of those simple associations was to combine a typewriter, TV and a processor. Woz has put a simple computer based on these principles as early as in 1970. Naturally, the whole string of minor-technical improvements coming from a knowledgeable and prolific mind, ultimately leads to multiple breakthroughs, new technologies, new trends, and whole new industries. Individual steps can be as simple as E=mc2, yet the speed and the variety of spluttering new creative associations makes genius minds change history

You should not lose sleep over unavoidable limitations
Question:
In his longevity books, brain expert Dr Restak lists an important factor of a healthy brain: accept unavoidable limitations. How does it square with your formula for genius? What if my brain does not live up to my dreams?

Dr. Restak's ten factors for healthy brain functioning are: 1) education, 2) curiosity, 3) energy, 4) keeping busy, 5) regular exercise, 6) acceptance of unavoidable limitations, 7) the need for diversity and novelty, 8) psychological continuity over the life span, 9) the maintenance of friends and social networks, and 10) the establishment and fostering of links with younger people

Answer:
In Negative and positive emotions, hints to optimism, patience and stoic philosophy encompass this important philosophical approach: accepting unavoidable internal and external limitations. This belongs to highly-effective techniques for eliminating stress. Whatever you cannot change should not leave any worrying mark on your mind. Unsolvable problems should not take up the processor time. All brains are inherently different in their ability to develop genius, but the main thesis of the article is that it does not affect the optimum strategy: lifelong learning. Whatever your starting point, the strategy is the same: go ahead. The only time mental limitations become highly relevant is when we identify a problem and techniques that could be used to address it. In other words, limitations become very relevant once they can be circumvented

Individual genius is not the best predictor of success in collective leadership
Question:
Your Bush Fallacy is erroneous. The fact is that Bush is indeed not doing well. He may have knowledge in other areas to compensate (e.g. social, political, etc.), but if it is so, it is not showing up. Instead he is making one diplomatic mistake after another. It seems to be the case of "at first I did not like him, but it was only because of prejudice. Now, with much more knowledge about him, I still do not like him...but for many other reasons!"
Answer:
The fallacy is not a pro-Bush argument in disguise. It is important to know that in teamwork, some qualities that make for an individual genius may actually be a hindrance. The greatest geniuses in history often showed substantial difficulty fitting into their surrounding and lacked teamwork skills. Tesla-Edison comparison was to amplify this point. Chess champions are notoriously erratic in social contacts (take Bobby Fischer as an excellent example). W. J. Sidis is probably the most dramatic case of all. The error many people make is to predict leadership qualities on the grounds of IQ or plain expertise. Bush's present and future record is irrelevant for this fallacy to hold true. Similar predictions were made in reference to a B-movie actor Ronald Reagan when he beat brainy Carter. Today, most Republicans would argue with satisfaction that predictions entirely missed the mark

Education as a formula for genius requires appropriate social and economical medium
Question:
Your statement that "a majority of population can reach today's standards of genius" is very encouraging for the opening. However, I feel that there is a large number of our global community whom the odds against achieving any standards is very slim under our present systems, policies and attitudes towards education, social inclusion and fairness for all. For example, in the most recent United Nations Human Development Report published recently, I found that of 17 Western countries surveyed, Ireland had the second highest rate of poverty (15.3%, or over half a million people). The only Western country that is worse than Ireland is the U.S. (16.5% living in poverty). Britain comes in 15th, the table is headed by Sweden with a rating of 6.8%. One major contributor to poverty is the high levels of functional illiteracy. Almost 23% of the Irish population is illiterate while in Britain the figure is 20%. And this is basic literacy tasks such as reading a bus time table. Another group of people in the poverty trap are those with physical disabilities unable to find employment due to discrimination by employers and companies failing to provide adequate facilities. The figure for unemployment among people with disabilities is 70% in Ireland. These sample figures are shameful and surely unacceptable in the Information Age. I suggest that creative imaginative thinking is required, starting from the bottom up. Outdated antiquated thinking must be placed in the annals of history and fresh all encompassing solutions be found. The bigger dilemma is for the people of the third world who must endure absolute poverty, children forced into slavery, armies, etc.
Answer:
You are absolutely right. This is exactly what worried Boris Sidis a century ago. The formula for genius via training naturally involves a number of preconditions that are difficult to meet for most of the population (peace, employment, access to education, access to health care, housing, access to the Internet, etc). For reasons of this site's focus, the article focuses on internal (or mental) barriers towards high intellectual achievement. There is no doubt that external barriers are by far more formidable. Superficially, we could conclude that nothing's changed since Boris Sidis's time. However, several powerful forces have come to play only recently that bode well for an acceleration of positive change. This century was a century of democracy with only six nations in the club in 1900. With the amazing liberation of Africa in the 1960s and Eastern Europe in the 1990s, self-determination and, in part, democracy have taken irreversible root. The other factor is the Internet. It will sprawl along the continents and contribute to educating the Israelis about the Palestinians and vice versa. In summer 2000, the first Internet cafe opened in Baghdad. China's Internet use is exploding. Forces of history take decades to mold the planet, but we live in times when it no longer takes a lifetime to see tangible progress. We are bombarded daily with signs of change which is overwhelmingly positive. The Long Boom article from Wired is a recommended reading in this context

IQ of 120 is enough for a Nobel Prize
Question:
I have an IQ of 120. That is not bad but ... do you really believe I can go on to genius achievement?
Answer:
Why not? Nobel Prize winner Richard Feynman's IQ was 122. Yet he is considered one of the greatest physicists in the US history

Chess grandmasters use different areas of their brain to plan chess moves
Question:
Except for theorizing, introspection and anecdote, is there really a scientific evidence that great chess players "memorize" chess positions instead of just using their best intuition to make good guesses?
Answer:
Yes. Grandmasters do use heuristics ("intuition") to pick the best rules to apply to the current configuration of pieces. However, brain imaging shows that they use their frontal and parietal cortex more extensively than amateur players who rather use medial temporal cortex involved with new associations and working memory. In other words, brain scans indeed show that grandmasters' planning is more of a retrieval process than it is the case with amateurs who sweat through working analysis of possible move combinations

Can people be intelligent and not creative?
Question:
According to your definitions, can people be intelligent and not creative?
Answer:
Intelligence equated with the problem solving capacity (i.e. not plain IQ) will require a high degree of creative power. In other words, ability to quickly produce rich abstract associations is part of the problem solving power. The less creative you are, the less your intelligence. However, creativity is not the only component in problem solving. If you want to efficiently multiply multiple-digit numbers in your memory, there is no branching in the mental derivation. Consequently, ordinary IQ tests will be a poor measure of creativity. Here an attention-deficit personality will be less efficient in reaching the goal. In short, creativity is a vital but not the only component of intelligence

What makes a genius?
Question:
I want to know where the genius begins from person to person, inside the womb, genes involved, blood types, etc.
Answer:
Genius is too complex to list all contributing factors. Some of these are genetic, some are related to the personality, some are unknown yet, and some come from the environment and training. Naturally we have little impact on the genetic component. It is also very difficult to shape the personality. However, a conducive environment and years training can lift a seemingly average person to amazing levels of skill or expertise. See: Genius Checklist: to see some factors that can be influenced to enhance genius

Does 1969 matter?
(Chris K., Monday, October 23, 2000 11:24 PM)
Question:
You seem to value efficiency. That's the whole point of SuperMemo. That's the selling point of SuperMemo. I don't see how learning trivia presented in your articles contribute to efficiency. What's the importance of memorizing the fact that the Internet started in 1969?
Answer:
Using the same reasoning you might insist that memorizing 7x7=49 is equally trivial. Yet the multiplication table makes it easier to go through algebra. And other branches of mathematics. And engineering. And ultimately, 7x7 helps you in your rocket science pursuits. 1969 is just a hook-point in the history of technology. If similar reference points were to be considered unimportant, you would have to give up the entire technology timeline. This way you would lose the ability to project the technological development into the future. You would weaken your predictive power. Consequently, you will not be able to see the directions and trends with prophetic clarity. In the new economy, your position would be severely weakened, esp. if you plan to stay on the cutting edge. It is no coincidence that all technological visionaries frequently quote cases from the history of technology. They use it as the groundwork for building their own visions. Why do kids learn history? If dates were trivia, they might put Homo erectus after the pyramids, or Newton ahead of Copernicus. That would make it harder to discount Atlantis or understand relativity. Kids learn history so as not to repeat it. They learn it to build a better future

Chess grandmasters use different areas of their brain to plan chess moves
Question:
Except for theorizing, introspection and anecdote, is there really a scientific evidence that great chess players "memorize" chess positions instead of just using their best intuition to make good guesses?
Answer:
Yes. Grandmasters do use heuristics ("intuition") to pick the best rules to apply to the current configuration of pieces. However, brain imaging shows that they use their frontal and parietal cortex more extensively than amateur players who rather use medial temporal cortex involved with new associations and working memory. In other words, brain scans indeed show that grandmasters' planning is more of a retrieval process than it is the case with amateurs who sweat through working analysis of possible move combinations

SuperMemo can be used for generating and organizing new ideas (#17778)
(Mark Zebitz , Denmark, Saturday, June 21, 2003 9:43 AM)
Question:
Is it possible to use SuperMemo as an Idea-generator?
Answer:
Yes. A little known and a scantly publicized value of incremental reading is its power to combine unrelated pieces of information in the learn&review process. As the creative process is strongly rooted in remote associations, incremental reading can make a powerful contribution to forming new ideas. This will work less effectively if you try to come up with a new advertising slogan. This may not work at all if you are a composer. However, incremental reading may be an excellent tool in building scientific models. On one hand it will help you build upon your own ideas, on the other, it can be used to resolve contradictions in large bodies of data.

To use SuperMemo as an idea generator use the following steps:

  1. learn the basics of incremental reading
  2. describe your present knowledge and ideas in SuperMemo in as much detail as possible
  3. import related pieces of knowledge that will serve as a knowledge framework or supplementary inspiration
  4. process this material using the tools of incremental reading
  5. each time you hit upon a new idea, describe it in detail (try to document the reasoning path, associations and the dates to be able to backtrack on the creative process)
  6. if you produce more material than you can process, use randomized review (e.g. Randomize Repetitions), subset review (Search and Review) and subset postpone (Search and Postpone)

Classical brainstorming scoring techniques can be replaced with the use of A-Factors that determine the priority of individual pieces of information in incremental reading. You can also use the forgetting index to prioritize generated cloze deletions.

Remember to capitalize on your own physiology. You need to understand the mental states favoring the creative process. You may get excellent results after your morning coffee. The exactly same procedure applied when you are drowsy may produce nothing. See: Genius and Creativity. Sadly, a creative personality and excellent command of incremental reading are two important sine qua nons of success that may make this advice hard to follow


FAQ: Using HTML in SuperMemo

Using HTML

Use HTML filters on unruly pages
 HTML headers are always bold
 Integrating pictures with HTML pages
 Saving remote objects within the collection
Images in HTML can become unavailable
Inspecting the hyperlink
 Ignore font sizes option
 Default font in HTML
 Increasing the font size in all texts
 You can insert HTML code directly in formatted text
You can insert a horizontal line in HTML
Latest Internet Explorer is needed for full functionality
How to determine the default HTML editor for SuperMemo?
Live pages should only be used for elements with dynamic content
Location of resources determines the HTML import method
Offline use of remote pictures
You can type Unicode in HTML (e.g. Arabic, Chinese, etc.)
You will hit many snags when using Microsoft filters
 Local pictures in incremental reading
 Cannot use HTML template
Unavailable objects in imported articles may invoke automatic dial-up connections
You can drag pictures to HTML components in editing mode
You can remove HTML tags from a portion of HTML text
HTML comparisons are made in plain text (if possible)
It is possible to use Acrobat Reader files with SuperMemo
 Choosing template for e-mail processing

Problems with HTML

You need Internet Explorer 6.0
Windows monopoly is safe for quite a time
Use HTML filters on unruly pages
 Extract from multimedia pages only most important pieces of information
 Problems with extracts
 Filtering HTML styles
Del does not work
mshtml.dll errors are harmless
Problems with intercepting accelerators in HTML editor
Problems with pasting HTML to SuperMemo are an indicator of problems with Internet Explorer
Wrong extract highlight
 Wait for document loading?
 Wholesale import from Internet Explorer hangs up
 Outdent does not work
 Why not IE5.5
 Mshtml error on click
 Error: Interface not supported
 SuperMemo cannot import from a hung IE
Error setting focus on HTML component
Subscript conversion problems
 Use HTML filters to avoid trouble with unsupported tags
 Undo on HTML filters
Problems with upgrading RTF to HTML
Mouse click error
 RPC server problem
 Internet Explorer 0.0?
Original Internet Explorer 6.0 includes bugs that can easily be eliminated with Windows Update
Using the latest Windows Service Pack may help resolve some HTML import problems

You need Internet Explorer 6.0
(Beta, Oli, Feb 13, 2002)
Question:
Ctrl+Alt+N results in: Access violation at address 0062ee8f in module 'sm2002.exe'. Read of address 000000305
Answer:
This is a typical problem with HTML templates if you are using an older version of Internet Explorer. To use HTML-based incremental reading, you need to install Internet Explorer 6.0 (free). Alternatively, you could reverse your default reading template to use RTF components, but this will throw your SM2002 functionality back to SM2000 level

Use HTML filters on unruly pages
(Beta, Max, February, February 2002)
Question:
I imported a page from cnn.com but cannot edit it. In addition it shows many script errors
Answer:
Use HTML filter with F6. Check Scripts to remove scripts from the page. If you have editing problems (e.g. deleting objects, texts, etc.), check other relevant filtering options. Tables are particularly troublesome. If you do not need tables, filter them out

Extract from multimedia pages only most important pieces of information
(Beta, Jiri, Feb 17, 2002)
Question:
After pasting a CNN.com page, it opens for hours, sometimes it is blank or shows script errors
Answer:
Pasting whole multimedia pages into SuperMemo is not a good strategy. There are millions of HTML compatibility issues that may come into play, generate errors, hang up mshtml processor or even produce system-wide errors. SuperMemo can do little to remedy this but providing you with HTML filters. In similar cases, import to SuperMemo only the core article. If possible, always look for printer friendly version (i.e. without adverts, scripts, Flash references, etc.). Once you import your material, use HTML Filter with F6 to filter out tags that may cause problems in incremental reading. If possible, filter out tables too. Unfortunately, these inconveniences cannot easily be solved programmatically as HTML processor in Windows is still quite unreliable and it will take a year or two to smooth up all wrinkles

Problems with extracts
(Beta, Len, February 2002)
Question:
On some HTML pages, Remember Extract does not work correctly. After extracting the fragment, the file scrolls back to the top
Answer:
Use HTML filter with F6 to remove components that slow loading up the file. For example, filter out tables on remote access pages to make sure content loads sequentially

Filtering HTML styles
Question:
Part of my imported HTML file is invisible. Only when I click on it, I see the full text. What's up?
Answer:
Your file might be using style="DISPLAY: none". Use HTML filter F6 with Style checked to permanently display the text by removing this style attribute. SuperMemo never generates such styles. They must have been pasted along with your HTML file

Del does not work
(Robert, Feb 13, 2002)
Question:
Sometimes Del does not work in HTML. I need to use Backspace to get deletion of text
Answer:
Some functions are not available in HTML until the document loads completely. If its portions are left out on the Internet, this may take a while. SuperMemo keyboard handler (including the Del key) is assigned only when the document loading is complete. Backspace is handled by MSHTML and can be used immediately. Due to compatibility problems, Del key does not work in raw HTML and needs a dedicated keyboard handling procedure provided by SuperMemo for processing Del keystrokes. This is why Del will not work until the document loads. This does not affect Backspace which can be used in partly loaded documents

Wrong extract highlight
(Beta, Robert, Fri, Feb 15, 2002 15:07)
Question:
I used the Read toolbar and clicked the button "Extract a fragment and memorize it" The correct text was extracted, but the wrong text was highlighted
Answer:
This is a bug in mshtml.dll in character count on non-text HTML constructs. Currently SuperMemo cannot work around this bug. However, you may often remedy this problem by means of HTML filters (F6 in SuperMemo). Filter the styles, spacing and, if possible, the tables. Most often, MSHTML trips over on tables or table-formatted figures

Wait for document loading?
(Beta, Germany, Sun, Apr 07, 2002 9:48)
Question:
Why do I get the message "Wait for document loading?"
Answer:
When SuperMemo tries to obtain a text selection in an HTML document, it occasionally receives a null pointer. To prevent erroneous processing, it stops and repeats the request with a delay. By the time you click Yes, the document is usually ready for processing. This null pointer error usually happens when a document is reloaded and the selected text is to be marked (e.g. in Remember Extract). This error is most likely on long texts with links to remote servers and on texts using tables. Using text filter (F6) helps to reduce the occurrence of this error. It is also less troublesome on NT/2000/XP platforms. Upon release of SuperMemo 2002, the source code of HTML processing unit will be published to better illustrate similar problems in hope of gathering feedback from programmers who have experience with MSHTML bug workarounds

Wholesale import from Internet Explorer hangs up
(Beta, Germany, Tue, Apr 09, 2002 10:01)
Question:
I tried to import nine web pages from Internet Explorer and SuperMemo hung up. I was forced to shut it through the task manager
Answer:
Unfortunately, SuperMemo is here at the mercy of Internet Explorer. Once it executes a call to Explorer's interface, it can only hope the call returns the page (or at least an error). Occasionally, however, Explorer hangs up and so does SuperMemo. If you need to resort to task manager, try to close the offending instance of the Explorer first. Usually, this will kill all instances. This should, however, un-hang SuperMemo in most cases. Once the Explorer hangs up, the only way to recover the previously located pages is to reenter them via the History option in the Internet Explorer. We will look for workarounds that could help SuperMemo detect Explorer problems before executing import calls

Outdent does not work
(Beta, Piotr, Feb 08, 2002)
Question:
Very often, the Outdent option does not work in HTML. Why?
Answer:
Outdent will not work on tags such as <DIR>, <SUB>, etc. Those tags are frequently generated if you upgrade your texts from RTF format. If Outdent does not work, choose the Bullet option to achieve a similar effect

Why not IE5.5
(Beta, Poland, Thursday, February 28, 2002 2:48 PM)
Question:
Maybe the information "SuperMemo requires Internet Explorer ver. 6.0" should be displayed only once? It becomes annoying after several times. I think many people won't change their IE5.5 yet
Answer:
It is true that IE6 has gained a reputation as "buggy". It is also true that the said warning should only be displayed at critical points where an operation could not be executed. However, the drive towards IE6 and beyond is inevitable. This comes from the constant refinement of Microsoft's implementation of W3C DOM standard. IE5.5 implementation is incomplete. IE6 implementation is buggy. Consequently, all users of SuperMemo will probably wait with impatience for further upgrades to ensure full W3C compliance without frequent error messages in unpredictable contexts that SuperMemo can do nothing about

Mshtml error on click (#9038)
(J.P., Tuesday, April 30, 2002 9:24 AM)
Question:
I wanted to create a cloze deletion. When I went to select the word I received an "access violation at 635BD90 in module mshtml.dll". I am using Windows XP Professional edition
Answer:
This on click error in mshtml.dll is occurring unpredictably in SuperMemo. Good news is that it is unlikely to affect your data. Bad news is that it comes up unexpectedly in various contexts where SuperMemo executes a valid call to mshtml interfaces. In other words, this bug has until now eluded all attempts at implementing a workaround

Error: Interface not supported
(Beta, JP, Sun, Feb 17, 2002 14:27)
Question:
What does the error "Interface not supported" mean? (when opening the window for importing web pages)
Answer:
This error is most likely if your use an older version of Internet Explorer. Occasionally it may crop up in Internet Explorer 6.0 due to bugs in explorer libraries. In addition, it would crop up in earlier betas (before Beta F) if SuperMemo tried to mistakenly import from Windows Explorer

SuperMemo cannot import from a hung IE
(Beta, Feb 09, 2002)
Question:
I wanted to import some articles from Internet Explorer and got the following error Cannot import document #27 The object invoked has disconnected from its clients
Answer:
Some articles do not load correctly to Internet Explorer. Others hang up the browser. In such cases, SuperMemo cannot communicate with the browser and will not be able to import the article. You can ignore this error, select to close imported browser articles, and import the remaining articles. The offending copy of Internet Explorer will be the only one left on your desktop. You can then see if you can paste portions of the article directly from the browser. Most likely, this will not be possible and you will need to locate this article again (e.g. via browser History). Occasionally, you will not even be able to see the browser itself. You could try to see Windows Task Manager (Ctrl+Alt+Del) : Processes and look for IEXPLORE.EXE (sort by memory used to bring explorer close to the top)

Subscript conversion problems
(Beta, February 2002)
Question:
When I apply an HTML template to an RTF component, some of subscripts get converted to normal text
Answer:
This is a problem with Microsoft conversion filters. Use subscript and superscript buttons on the Format toolbar to reformat this text. You can also open the source code of your text (Ctrl+Shift+F6) and enclose the subscript in <sub> and </sub> HTML tags

Use HTML filters to avoid trouble with unsupported tags
(Beta, Feb 17, 2002)
Question:
I extracted a fragment of text with Remember Extract but the generated extract was empty. I have not noticed that and executed Done on the parent element. Only then I discovered the empty extract. As a result, I lost this data!
Answer:
For maximum safety of your data use HTML filters (esp. styles). At least some MS Office XML namespace declaration have been found to produce empty extracts due to mshtml.dll bug. If you paste files from MS Office to HTML, you may fall into a similar pitfall. Luckily these cases are extremely rare (2-3 in all documented). Your best safeguard is to filter most valuable texts before processing them with incremental reading. Again, SuperMemo is helpless in preventing that. It could alert you on empty extracts but oftentimes only a portion of text will be lost

Undo on HTML filters
(Beta, P.W., Feb 17, 2002)
Question:
Can I undo changes produced by an HTML filter?
Answer:
Currently there is no such option. However, you can partly undo the changes by opening the HTML source in a Notepad (Ctrl+Shift+F6) and replacing 'zzz' strings with an empty string (press Ctrl+H and type zzz in Find what field)

Mouse click error
(SuperMemo R&D (Beta), Fri, 15 Mar 2002 00:27:33 +0100)
Question:
I got this error: "Error processing mouse click. Unspecified error"
Answer:
This is only one of many errors that occur in Microsoft HTML DLL included with Internet Explorer 6.0. It happens when SuperMemo attempts to select a point at a given (X,Y) coordinate pair. It executes a documented call to mshtml.dll, but on some occasions this call fails. Fortunately, this error is harmless. At worst, you will need to repeat the mouse click

RPC server problem
(J.P., Fri, 5 Apr 2002 20:46:40 +0200)
Question:
I tried to import a page from http://news.bbc.co.uk/hi/english/business/newsid_1913000/1913252.stm. I got a message that: "The RPC server is unavailable"
Answer:
This error occurs outside SuperMemo, and should be transient. RPC server problem indicates an error in communicating between your computer and the BBC site (e.g. some dependent RPC service might have terminated or run in error in your Windows/network)

Internet Explorer 0.0?
(Beta, Mar 20, 2002)
Question:
Why does SuperMemo say I am using Internet Explorer 0.0?
Answer:
SuperMemo asks Internet Explorer about its version data. Earlier versions did not have this function. In such cases, the function used inside SuperMemo to test the version number returns 0. Unfortunately, in those cases the version number is irrelevant as the user will not be able to use HTML editing anyway. SuperMemo 2002 requires Internet Explorer 6.0 or later for optimum operation

Use HTML filters on unruly pages
(Beta February ..., February 2002)
Question:
I imported a page from cnn.com but cannot edit it. In addition it shows many script errors
Answer:
Use HTML filter with F6. Check Scripts to remove scripts from the page. If you have editing problems (e.g. deleting objects, texts, etc.), check other relevant filtering options. Tables are particularly troublesome. If you do not need tables, filter them out

HTML headers are always bold
(Beta, Feb 07, 2002)
Question:
Ctrl+B does not seem to work in some texts in HTML?
Answer:
Your text could be part of a header. See the source with Ctrl+Shift+F6 and look at the tags enclosing your text. Here is an example:

<h4>api: Launching applications in Windows</h4>

To make this code sensitive to Ctrl+B you could remove the starting <h4> or move the closing tag.
If you change to:

<h4>api:</h4> Launching applications in Windows

The text following the closing tag will become sensitive to bold setting again.

If you do not want to deal with HTML tags, simply select the offending text and choose Text : deHTMLize on the menu. This will convert the selected text to plain text

Integrating pictures with HTML pages
(Beta, Sun, Feb 17, 2002 14:27)
Question:
I save a web page to a disk while connected to the Internet. Then I pasted it to SuperMemo. SuperMemo did not integrate pictures from that page with my collection
Answer:
If you paste HTML, SuperMemo will redirect all pointers to external resources without copying them. This refers to both local and remote resources. If you want to integrate whole pages with the collection, use Import file on the HTML component menu. This will integrate pictures, scripts, frames and other objects associated with the page. Note that even small pages may point to resources of considerable size. A better method might be to paste a portion of the page to SuperMemo, apply an HTML filter and then localize the resources by re-saving the page with Internet Explorer (see other FAQ entries for hints). In addition, if you process an integrated page with incremental reading, you need to keep the parent document in order to retain extracted objects in its children

Inspecting the hyperlink
(Beta, Feb 16, 2002)
Question:
How can I see what file will be opened when I click a hyperlink?
Answer:
Hover over the link with the mouse and see the status bar. If you are in the editing mode, you will need to press Esc to get to the presentation mode for this to work

Ignore font sizes option
(Beta February, February 2002)
Question:
When I try to change the size of fonts in HTML components nothing happens
Answer:
This will happen if your Internet Explorer is set to ignore font size. This can be set in Internet Explorer (not in SuperMemo) at Tools : Internet Options : General : Accessibility : Ignore font sizes

Default font in HTML
Question:
How can I save the default font with an empty HTML template? I want fonts in a specific color
Answer:
Leave the font tag in the template and save it with objects. For example, delete texts from the HTML component, type in Space and select it (you cannot change color of empty text), choose the font color, and choose Template : Save with objects. The following object (HTML text) will be stored within the template: <FONT color=#ff0000>&nbsp;</FONT>

Increasing the font size in all texts
(Beta, Feb 14, 2002)
Question:
What is the fastest way to increase the size of fonts in all texts
Answer:
Press Ctrl+] in the display mode. If no texts are edited, the whole element will be affected

You can insert HTML code directly in formatted text
(Beta, Feb 08, 2002)
Question:
How can I insert a horizontal line in the text without playing with HTML component source code?
Answer:
Type <hr>, select it, and choose Text : deHTML-ize (Ctrl+Shift+1)

Latest Internet Explorer is needed for full functionality
(Fred, Deb, Cameron, Samuel, Tue, Feb 12, 2002 4:06)
Question:
When I go to select Import Web Pages, I get an error message saying "Interface not supported..."
Answer:
This option requires Internet Explorer 6.0 (free). It communicates with the browser by means of interfaces not supported by Internet Explorer 5.5 or earlier. Hence the error

Live pages should only be used for elements with dynamic content
(Beta, Robert, Poland, 2002-03-05 14:56:52)
Question:
Implementing of "live pages import" is a bit reckless. If I add new item to the collection I expect that the item will remain there until I delete it. A live web page can disappear in any moment
Answer:
This option is specifically designed for pages that get periodically updated. You should use add as Local pages if you want the page to be imported permanently to SuperMemo (remote objects, e.g. pictures, may still disappear if the remote server is down or is cancelled) or add as Links if you want to process the page later. Live pages import can be useful to load, for example, the latest science news. Once the science news page comes up in incremental reading, you may opt to import some new science articles and reschedule the review of the news page to a specific date in the future depending on your workload and priorities

Offline use of remote pictures
(CMaggio99, Tuesday, April 30, 2002 12:07 PM)
Question:
How can I easily import a remote website for offline use? My work around for this has been to download the web site to my computer using the offline browser feature of Internet explorer and then import pages while I am browsing offline. I would feel more comfortable if the entire web pages were archived in my SuperMemo folder
Answer:
Currently there is no one-step procedure for converting remote objects to local objects. The simplest solution would be to FTP the website to a local folder (e.g. with Teleport Pro). Optimally, in incremental reading, individual pictures should be imported to separate image components (e.g. in order to make them proliferate). For this reason, the distinction between remote pictures, temporary local pictures, and local pictures in external folders is important only until the article is roughly processed into separate sections relevant to individual pictures. For offline work, you could enable Internet Explorer cache, browse articles offline, import them offline, extract most important article components and convert temporary cache pictures to registry pictures by pasting them to relevant fragments of text

You will hit many snags when using Microsoft filters
(Beta, Max, Fri, Feb 22, 2002 19:18)
Question:
I learn linear algebra. If I generate some HTML files in Front Page and paste them to SuperMemo, I lose some formatting. Then I get more surprises when I do extracts and cloze operations on my matrix formulas.
Answer:
Unfortunately, Front Page and SuperMemo use different HTML editing interfaces. Consequently, they will often behave in an entirely different way. However, all the conversions will be executed by various Microsoft filters that carry innumerous incompatibility issues. SuperMemo may have little or no influence on the final outcome. You will get entirely different effects when you paste via your browser, directly from Front Page, via MS Word, via WordPad or via Notepad. You may needs lots of patience before you figure out your best solutions. Sometimes, pasting to rich components in SuperMemo and then upgrading to HTML will produce a better result than pasting directly from Microsoft product to mshtml-based HTML editor in SuperMemo. At times, you may find it least frustrating to use images to represent mathematical formulas and occlusion templates to generate items related to mathematics

Local pictures
(SuperMemo R&D (Beta), Mon, Mar 04, 2002 15:17)
Question:
Why should SuperMemo bother the user to first, find all the pictures, save them locally one by one, and import each of them from file one by one?
Answer:
In no context should you need to save pictures locally one by one. By default pictures are kept on the remote server. Many pages contain dozens of pictures that serve only advertising or decoration. If you encounter an important picture in incremental reading and want to keep it local and proliferating, you should choose Browser Menu, Copy (on the web browser menu), and then paste the picture to its reading context as an image component (e.g. with Shift+Ins). If you want to immediately save all pictures from a large file with valuable material, you can either save this whole HTML file locally and use Import file instead of paste. If the page has already been pasted, you can open it in Internet Explorer (F9) and save it back to the collection. This will save all pictures locally (see elsewhere in this FAQ file for details of this procedure)

Cannot use HTML template
(Beta, Czech Republic, 8.3.2002 8:52:43)
Question:
There is no straightway to insert an article in the HTML form. When you insert an article, the RTF component is used instead of HTML
Answer:
This can happen in your collections created with earlier SuperMemos. Only SuperMemo 2002 uses HTML templates by default. To get similar behavior in your old collections you must change the topic and/or item template in relevant categories. You can use Add predefined templates in the template registry to add a few most often used HTML template

It is possible to use Acrobat Reader files with SuperMemo
(Mala Kaur, Tuesday, July 24, 2001 6:03 AM)
Question:
I wanted to import PDF files to SuperMemo for reading and copying certain items for further analysis. I initially tried to use Insert as an OLE object but I found OLE mechanisms unstable
Answer:
Another approach is to use the HTML component. Use Insert HTML link : HTML file (on the HTML component menu) and link to the PDF file. Using this option the PDF file is not immediately visible as only files of type *.txt,*.htm, *.rtf are listed. To display the PDF files on your drive type in *.pdf in the file name field and they become visible in the File window. Naturally, you need to have Acrobat Reader installed to view the file in SuperMemo. You can, of course, copy the text with the tools provided for the PDF viewer and use it for further SuperMemo purposes. The same method works for Excel files, Word files, etc.

Choosing template for e-mail processing
(Terje A. Tonsberg, 19/05/2002 03:24:14)
Question:
How can I make e-mails use HTML automatically? They always come out RTF
Answer:
To change the template used by e-mail added with Ctrl+Alt+E, open the current category, click Topic template and select an HTML-based template (e.g. "Article"). By default, e-mail processing uses HTML templates. This may not be the case if you upgrade your collection from SuperMemo 2000 where RTF was the default format for incremental reading. In such a case you may need to define your own HTML template or use Add predefined templates from the template registry menu

Images in HTML can become unavailable
(Tom Kinderwart, Jun 12, 2002)
Question:
SuperMemo often displays the very same HTML-article with the images loaded and sometimes without (the same happens in IE)
Answer:
This happens when SuperMemo cannot access images. The most likely reasons are:

  1. images are remote and you are not on-line
  2. images are available over the network and the network connection is off
  3. images have been internalized (e.g. Edit : Add to reading list : HTML File) and you have deleted the parent article (only the parent article keeps the copy of all images and other objects)
  4. you pasted HTML from a local file and this file has been deleted (use Import File instead if you want images internalized, i.e. incorporated in the collection)

You can drag pictures to HTML components in editing mode
(Nathan Forsdyke, Mon, Jun 10, 2002 22:39)
Question:
I cannot drag in a picture from Internet Explorer into an element
Answer:
You can drag pictures into HTML components as long as they are in the editing mode.

To drag a picture to SuperMemo, do the following:

  • click the article to which the picture is to be inserted (to make sure the article is in the editing mode with a cursor blinking)
  • grab the picture in Internet Explorer
  • drag it into the article (into the insertion point)

Remember:

  • the picture will remain stored on the remote server (see other FAQs for how to integrate pictures with your collection)
  • if the picture links to an article, SuperMemo will insert the article, not the picture (this is why Copy and Paste are usually simpler than dragging)
  • if the HTML component is in the presentation mode (e.g. after pressing Esc a few times), the picture will not be inserted. Instead, the component will simply navigate to the dragged picture on the net and display it as an external resource. In other words, you will see the picture in SuperMemo, but it will not replace the original HTML which will be shown next time you visit the element

mshtml.dll errors are harmless
(Steven White, Australia, 4/08/2002)
Question:
This error occurs several times a day: Access violation at address 635B6305 in module 'mshtml.dll'. Read of address 00000008. Often after adding a web page with an image
Answer:
This error is harmless. In some installations, Microsoft's library that handles HTML tends to throw unexpected errors while SuperMemo processes HTML. No data loss has ever been documented as a result of these errors. The only annoyance is that you need to click the OK button. The best remedy against these errors is to keep your Internet Explorer and Service Packs up-to-date. Using Windows 2000 or Windows XP also seems to he helpful (as opposed to Windows NT, Windows 98 and particularly Windows ME). These errors are not caused by SuperMemo itself

Error setting focus on HTML component (#17460)
(sverrir, 11/05/2003)
Question:
I received the following error: "Error setting focus on HTML component Abstract Error"
Answer:
This is a harmless error that should not interfere with your work. It is thrown by Internet Explorer when SuperMemo attempts to set focus on an HTML component. "Abstract error" indicates that Internet Explorer cannot find the definition of the procedure SuperMemo wants to call. It is probably a result of a bug in Internet Explorer that is difficult to replicate. For that reason, SuperMemo can do little to work around it. Advanced reading: The procedure that causes the error is very simple and easy to analyze. It is mostly made of direct or indirect (i.e. via VCL library) API calls. Here is the code:

procedure TWeb.SetFocus;
begin
try
SendMessage(Handle,wm_Activate,1,0);
if TheWind<>nil then {Internet Explorer Window must exist}
TheWind.Focus;
if TheParent.Visible then {Parenting window hosting the web browser}
if Visible then if CanFocus then
inherited SetFocus;
except on E:Exception do EError('Error setting focus on HTML component',E);
end;
end;

Depending on the context, Internet Explorer is know to throw the following errors in the exactly same context (all are harmless):

  • Abstract Error
  • Unspecified error
  • Read of address FFFFFFFF
  • Read of address 00000057
  • Access violation at address 00656429 in module 'sm2002.exe'

You can remove HTML tags from a portion of HTML text (#9949)
(John Adamson, Jul 17, 2002)
Question:
I pasted a text file with line breaks. How to get read of the line breaks? This is my text, which I want to flow continuously:

Rheumatoid arthritis is a chronic systemic disease
characterized by inflammation of connective tissue.
Joint deformity and disability,
accompanied by pain, often result.
Rheumatoid arthritis is characterized by spontaneous
flares and remissions.

Answer:
If this was imported to HTML components, you can select the text and press Ctrl+Shift+1 (deHTML-ize). This will remove all HTML tags (including line breaks)

Location of resources determines the HTML import method (#9638)
(Jens, supermemo Quito, Ecuador, Friday, May 31, 2002 7:25 PM)
Question:
When importing web pages (Shift+F8), I was importing files stored on a floppy. After this SuperMemo tries to access the (no longer available) floppy when loading the page. Grrr!
Answer:
You always need to choose the appropriate import method depending on how the files are to be made available. Every web page is composed of HTML and of accompanying objects (e.g. pictures). Your files can be made local-internalized (inside your collection), local-external (outside of your collection but on a local network) or remote (on a remote server, accessed via HTTP). For various combination of resource location, you will use various import methods. Here are the most typical combinations:
HTML | Objects | Methods
internalized internalized
  1. Import File on the HTML component menu (if the HTML component exists)
  2. Edit : Add to reading list : HTML file (Ctrl+Alt+H) (if you want to create a new HTML element)
internalized external Paste HTML from your browser:
  1. Paste HTML from the clipboard (if the HTML component exists)
  2. Use Edit : Add a new article (Ctrl+Alt+N)(if you want to create a new HTML element)

Do not delete the external file that keeps the objects. If your network connection fails, objects will become unavailable

internalized remote Paste HTML from your browser (as above) or use Import web pages.

If your Internet connection is not available, objects will become inaccessible.

This is the most popular method that internalized HTML but saves space on your hard disk by leaving objects remote
external | external | Use Links : External file on the HTML component menu
remote remote
  1. Edit : Add to category : Web page with Open automatically checked (esp. if you have the URL in the clipboard)
  2. Import web pages with Live pages checked (if you have more pages to import)

Usually you will want to keep your HTML internalized and objects remote. However, if you want to internalize both HTML and the objects, save the web page on your hard disk (or on a floppy) and use Edit : Add to reading list : HTML file (Ctrl+Alt+H)

Original Internet Explorer 6.0 includes bugs that can easily be eliminated with Windows Update
(Eric, Jul 20, 2002)
Question:
I moved SuperMemo to a new computer, but I started getting this error:
"Error detecting HTML font
Invalid variant operation".
 It happens each time I increase the size of the font. The font increases, but this error is annoying.
Answer:
This is a problem with your Internet Explorer. You may need to apply some more recent updates patches. Use Tools : Windows Update in Internet Explorer to resolve this issue

Windows monopoly is safe for quite a time
(LGN, Brazil, Sunday, July 14, 2002 8:07 AM)
Question:
You say: "No escape from Internet Explorer, those who refuse only hurt themselves", this is ridiculous! You got the right to develop using whatever component you want, but users got the right to use whatever product they want
Answer:
Many people swear they will never use Windows, Internet Explorer, MS Word, etc. but they ultimately return to these product for lack of better options. They refuse to hurt themselves. Microsoft monopoly may drive many mad, but, as death and taxes, the monopoly is inevitable for some time to come. Incremental reading is available only on the Windows platform due to the fact that this platform currently offers best development tools and SuperMemo has historically grown mainly in Windows. In contrast, the effort to port SuperMemo 2000 to Linux failed due to compatibility problems, imperfect tools (Kylix requires a conversion from VCL to CLX and does not provide web browser support) and other technical limitations. SuperMemo indeed takes the line of least resistance, but this comes from the fact that it is supposed to provide best learning tool for as many people as possible. It would be counterproductive to take on a anti-Microsoft anti-monopoly guerilla warfare. Here SuperMemo refuses to hurt itself. This is how locked-in monopolies develop

HTML comparisons are made in plain text (if possible)
(Dustin J. D., USA Educational, Sun, Jun 30, 2002 3:29)
Question:
Why doesn't SuperMemo notice that the <img> tag makes a unique new html file?
Answer:
HTML texts are compared at the registry level (i.e. as plain text). For that reason, you cannot keep two identical texts with different formatting even if the differentiating tag contains an image. You can resolve your problem by naming your image in text (e.g. "Fig. 1" or "Pronuncation:", etc.). HTML tags are compared only in textless HTML

Problems with intercepting accelerators in HTML editor
(Zoran, 02.03.2002 16:32:54)
Question:
I have an HTML article imported with Ctrl+Alt+N. When editing and pressing 's' key, SuperMemo moved focus to the next element. I think that the reason for this is that my button Next is localized to &Sledeci (Next in Serbian)
Answer:
Yes. In some installations you will need to remove shortcuts from your localization table (i.e. replace &Sledeci with Sledeci). When you edit HTML, SuperMemo needs to activate a separate message handler for the whole application (due to peculiarities in IE Active X and Delphi VCL keyboard handling procedures). This handler is still unable to intercept some accelerator keys. The rule of the thumb is that this problem is more frequent in outdated installations (e.g. Windows ME, Internet Explorer 5.5, national versions of the operating system, etc.). If this occurs with the English interface, you can download trimmed.tra from the localization page at supermemo.com. If this seems too complex, you could also try this procedure

Problems with pasting HTML to SuperMemo are an indicator of problems with Internet Explorer (#17689)
(Geraldine, Sun Jun 15, 2003 10:15 am)
Question:
I tried Ctrl+Alt+N, and nothing pasted. I had an empty HTML component
Answer:

  1. Copy your HTML to the clipboard
  2. Press Ctrl+Alt+N in SuperMemo to paste the article
  3. If nothing pastes, choose Components : Component order on the element menu (Ctrl+Shift+O) and see if your first text component is HTML
  4. If the component is not HTML, read about components and categories and change your default template to HTML
  5. If the component is HTML, try to paste the content of clipboard to another application (e.g. MS Word or Notepad) to see if the clipboard is not empty
  6. If clipboard is not empty, you have diagnosed a problem with Internet Explorer. See File : Properties to see if you have Internet Explorer 6 with the recent Service Pack update. This is an exemplary outdated setting:
    Windows 2000 5.0 (Build 2195) Internet Explorer 6.0 (0)
    This is an exemplary up-to-date setting:
    Windows 2000 5.0 (Build 2195) Service Pack 3 Internet Explorer 6.0 (SP1Q328970Q324929Q810847Q813951Q813489Q330994Q818529)
  7. Make sure you have an updated version of Internet Explorer (as indicated above)
  8. If the problem persists, you will need a help from a software expert to diagnose what causes malfunction of explorer libraries
  9. For better diagnosis, you could yet save your HTML file on a disk and import it with Edit : Add to Category : HTML File (Ctrl+Alt+H)
  10. If you file imports ok, you have the problem with editing mode in Internet Explorer. If the file does not import correctly, you may have a further reaching problem with your system. To make sure you execute the above procedure correctly, use SuperMemo on another computer and see the correct behavior and the correct HTML rendering.

You can insert a horizontal line in HTML
(pw, Nov 08, 2003)
Question:
How can I insert a horizontal line in HTML components?
Answer:
Type <hr>, select it, and press Ctrl+Shift+1 (de-HTMLize)

Problems with upgrading RTF to HTML
(Norm Wilkins, Apr 15, 2004, 02:56:52)
Question:
I receive the following error that leads to loss of data:
Warning! RTF->HTML upgrade has not been completed at
Item #247: "Initialization Sequence Priority Definition Frame Reason"
Answer:
SuperMemo uses procedures inbuilt in MS Windows for upgrading your material stored in the RTF format to HTML. Unfortunately, if these fail for any reason, you may be left with unformatted text. First thing to try is to make sure you update your Windows with all patches and service packs available. You should do the same for your Internet Explorer. If this does not help, you might be better of to paste your material directly to HTML components (instead of RTF components)

Unavailable objects in imported articles may invoke automatic dial-up connection
(Christian & Aimee, Saturday, January 18, 2003 3:27 AM)
Question:
How can I prevent SuperMemo from connecting to the Internet when I am reading HTML text?
Answer:
It happens very often if you import web pages into SuperMemo by means of the wholesale import option (Edit : Import web pages (Shift+F8)) with the Local pages option selected. This option imports web pages into SuperMemo but all objects (e.g. images) nested in an imported article remains available over the network (i.e. if you disconnect from the Internet all these objects will become unavailable). You must also have the automatic attempt to connect using your default Internet connection set in your Windows settings. Therefore, while making repetitions you hit an article with objects available over the network, your Windows will automatically dial your default connection. There are two basic solutions:

  1. Run Internet Explorer, choose Tools : Internet options... from its main menu, click the Connections tab, and select the Never dial a connection radio button. Then, in order to connect to the Internet, you will have to first manually start your dial-up connection
  2. Instead of the wholesale import option, you should rather select a given text in a browser, copy it to the clipboard, and paste it as an article to SuperMemo. If you would like to add images to your SuperMemo, you could right-click an image, select copy from its context menu, and paste it into the image component in SuperMemo

Using the latest Windows Service Pack may help resolve some HTML import problems (#12321)
(Jiri Pik, Germany, Wed, 7 Aug 2002 08:41:23 +0200)
Question:
When importing an HTML article I got an error "The object invoked has disconnected from its clients"
Answer:
This is a rare DCOM error that occurs outside SuperMemo. You might try applying the following fix available from Microsoft: Microsoft Knowledge Base Article - Q293631 http://support.microsoft.com/default.aspx?scid=kb;EN-US;q293631

How to determine the default HTML editor for SuperMemo?
(Jiri , Wednesday, October 01, 2003 6:15 PM)
Question:
I want to use Front Page to edit HTML in SuperMemo. I use Control Panel : Folder Options : File Types : Advanced : Edit to determine the default editor. However, my value is replaced by "C:\Programme\Microsoft Office\Office10\msohtmed.exe" %1
Answer:
You need to refer to Microsoft documentation to solve errors in associating HTML extensions with FrontPage (several have been documented). MsoHtmEd.exe is a multipurpose utility that should launch FrontPage and warn you if the default HTML editor set in Internet Explorer is different. Once you change Internet Explorer : Tools : Internet Options : Program : HTML editor to Microsoft FrontPage, your choice should be respected by SuperMemo

You can type Unicode in HTML (e.g. Arabic, Chinese, etc.)
(Martin, Sep 09, 2004, 02:53:53)
Question:
I would like to type in a couple of Unicode characters to SuperMemo, but I do not have the keyboard setting to get them. For example, how could I get character with the code 1692?
Answer:
In HTML component, type the following:
&#1692;
Then select the entire code (from ampersand & to semicolon ;) and choose Ctrl+Shift+1 (Text : Convert : de-HTMLize). Your code will be converted to the appropriate glyph (in this case to: ڜ). Remember that you need to have the corresponding font installed for the glyph to show correctly


FAQ: Memory, learning and SuperMemo

Contents : Support : FAQ
FAQ: Learning, memory, sleep, creativity, and SuperMemo
If you have a question that does not appear on this list, please write
This list was started on Feb 28, 1997. Last modified:

Question groups:

  • Memory and learning

  • Sleep and learning

  • Genius and creativity

  • Recently added questions

  • SuperMemo 2004

    • Before you buy

    • Installation

    • For beginners

    • Learning

    • Incremental reading

    • Formulating knowledge

    • Using HTML in SuperMemo

    • Using text components

    • Files and Backup

    • Interface

    • Templates

    • Categories

    • Too much material to review (Postpone and Mercy)

    • Building knowledge tree (Contents window)

    • Writing your own collections: Basic and Advanced

    • Errors and bugs

    • Technical questions

  • Shopping for SuperMemo?

    • Is SuperMemo good for you?

    • Purchasing SuperMemo

    • Installing SuperMemo

  • Advanced English

  • SuperMemo for Palm Pilot

  • SuperMemo for Pocket PC

  • SuperMemo Library

  • Reselling SuperMemo

  • Other questions (Linux, Unix, Dos, Amiga)

  • Archives (some answers do not apply to new SuperMemos): Archive 2000-2002, Archive 2003-2004

  • Other languages: Polish, Czech, Dutch, Spanish

  • see also: Community Help

  • see also: Troubleshooter


FAQ: Installing SuperMemo

FAQ: Installing SuperMemo for Windows

You should avoid installing SuperMemo in system folders
You need to insert unlock password to make use of SuperMemo
How do I get a nice icon on my desktop?
 You do not need two licenses for your computers at home and at work
You can easily copy SuperMemo to another computer
Downloaded files are easily transferable between computers
Reinstalling SuperMemo
To upgrade SuperMemo, you only need to replace the exe file
You do not need to input password again
Evaluation copy can be unlocked to become fully-functional SuperMemo
Most installation problems can be resolved easily
Transferring SuperMemo to a new computer
Always describe your installation problems!
You need to input your unlock password to get rid of the registration dialog box
You can recognize locked SuperMemo by a red bar in the element window
In case of lost data, you can receive help independent of the date of your original order
What if you do not have Internet Explorer 6.0?
Installing phonetic transcription
SuperMemo keeps its settings in private configuration files
I cannot send registration e-mail from SuperMemo
You can safely substitute SuperMemo executable with a newer version

Downloaded files are easily transferable between computers
(Lauri, Thursday, September 27, 2001 7:24 AM )
Question:
I recently ordered a Geography Mix from your library. I do not want it downloaded on my computer as I have ordered a new computer and would like it for the new one. Maybe I should cancel my order for now and reorder later?
Answer:
You can easily copy the downloaded file on a diskette. You can use it on your old computer first and later transfer it to your new computer. You do not need to download or order twice

To upgrade SuperMemo, you only need to replace the exe file
(Joe Cotellese, Thu, Oct 25, 2001 11:55 PM)
Question:
If I want to upgrade to Build 10.09, is the new version complete or do I need to install it over an existing version?
Answer:
All newer version can simply be upgraded by replacing your executable (.exe) file (e.g. replacing sm2000.exe to sm2002.exe). This way you will retain all settings and the learning material. Minor upgrades are instantaneous. Upgrades between major versions (e.g. sm98, sm99, etc.) usually involve some changes to the structure of the learning material and are irreversible. It is always wise to backup your data before the change. SuperMemo 2002 will always ask you to choose the backup option before upgrading

You do not need to input password again
(niallwilson, Saturday, October 27, 2001 5:30 PM )
Question:
I downloaded and installed SuperMemo update and now my registered version is back to being shareware again
Answer:
It should be enough if you open one of your old collections, and the program will unlock on its own. However, if you only plan to start learning anew (i.e. have no earlier collection backups), you will need to reenter the password with File : Installation : Input password (Ctrl+Shift+I). See also: Unlocking SuperMemo. If you still have problems, write to SuperMemoMail

Always describe your installation problems!
(Craig Tran, Fri, Nov 02, 2001 3:20 )
Question:
I just ordered Grammar Mix and I can not make it run on my computer which is running Window 2000
Answer:
Please report in detail what error messages you are receiving, what steps are difficult, etc. Detailed installation instructions are available from: Installing SuperMemo (section 4: Installing collections from SuperMemo Library). In addition, you can get best support in reference to the learning material from SuperMemo Library

Most installation problems can be resolved easily
(valushka, Tue, Dec 04, 2001 5:33 AM)
Question:
I have difficulties with downloading English in the Streets. I have tried to download on my desktop and I have created a new folder in my documents. Unfortunately I cannot open either
Answer:
Check the following:

  • which version of SuperMemo you have (see: Installation for beginners)
  • if you use SuperMemo for Windows, you should download to the same folder as SuperMemo (e.g. c:\sm2002)
  • once you download, you only need to run the downloaded file and open the relevant material in SuperMemo (File : Open collection)
  • if you still have problems, write back and describe your procedure in as much detail as possible (e.g. software version, download location, error messages, etc.)

You need to input your unlock password to get rid of the registration dialog box (#6827)
(Alexia L M., Fri, Sep 15, 2001 5:20)
Question:
The registration pop up dialog is a problem! It keeps popping up, asking me to register
Answer:
Please click the password button and input your unlock password. You should have received the password with the confirmation of your order along with other installation instructions. If you lost or forgot the password, write to us to have it resent. You can alternatively input the password with File : Installation : Input password or with Ctrl+Shift+I. For more information see: Unlocking SuperMemo

You should avoid installing SuperMemo in system folders
(Liz Ch., United Kingdom, 13/02/02 22:16:06)
Question:
SuperMemo has just displayed the following error:
"Cannot save the layout
Unable to write to C:\WINDOWS\DESKTOP\bin\layout.ini"
Answer:
You have installed your SuperMemo in MS Windows system folders. This is a very dangerous practice. This may result in data loss in your SuperMemo files as well as in making your MS Windows misbehave or even crash. As a rule, you should never install software in overlapping folders (the least so in Windows system folders). Install SuperMemo in a dedicated non-Windows folder (e.g. c:\SuperMemo or c:\SM2002). You can also install it in c:\Program Files. Unless you are an experienced Windows user, you should not attempt to move your SuperMemo files from their present location to another folder. You might move some of system files with disastrous consequences for your system's stability. The best approach would be to leave those files where they are or ask an experienced MS Windows user to clean them up. If you would like to rescue your learning material, you could try File : Copy collection without deleting files populating your Windows folder

Installing phonetic transcription
(M.M., Poland, Mar 22, 2002)
Question:
I have a phonetic transcription registry files in a folder on my computer. How do I make SuperMemo use this registry for phonetic transcriptions?
Answer:

  1. Copy your registry to the [Phonetic] folder in your SuperMemo folder (you must do this operation in Windows, i.e. not in SuperMemo)
  2. In SuperMemo, choose Tools : Options : Language : Phonetic transcription, and select the name of the phonetic transcription you want to use (do not type in the name, SuperMemo will create a new registry if it does not exist)

Beginner's Example: If (1) your SuperMemo is installed in c:\sm2000, (2) the registry is kept in c:\backup\transcription, and (3) registry is named English (i.e. its files are named English.reg, English,lst, English1.reg, etc.) then: copy the registry files from c:\backup\transcription\English*.* to c:\sm2000\phonetic\English*.*
*.* here indicates all existing name combinations, i.e.
c:\backup\transcription\English1.reg will become c:\sm2000\phonetic\English1.reg, c:\backup\transcription\English2.reg will become c:\sm2000\phonetic\English2.reg, c:\backup\transcription\English1.lst will become c:\sm2000\phonetic\English1.lst, etc.

Note: that SuperMemo registry has nothing to do with Windows registry and the extension *.reg is used here by coincidence (SuperMemo file structure was designed before the release of Windows 95)

You need to insert unlock password to make use of SuperMemo
(karin m., Sun, Dec 30, 2001 3:51 AM)
Question:
I purchased SuperMemo a while ago. I first started to use it a month ago. But, I´ve recently noticed this credit percentage bar that appears on the SuperMemo screen. Yesterday, I got a signal saying I had exceeded some percentage and then I was invited to register the program. I have already paid for it so what am I to do?
Answer:
You need the unlock password to use SuperMemo. If you lost the password, please send your data from the original order. If you forgot or lost the order number, send any data that could help identify your order. All installation instructions will be resent

How do I get a nice icon on my desktop?
 Question:
How do I get SuperMemo icon on my desktop after downloading?
Answer:
If you installed SuperMemo manually (the installation program will create all icons for you), do the following:
If you are using SuperMemo 2000/2002, choose File : Installation : Install icons.
If you are using SuperMemo 98/99, choose File : Registration : Install icons.
If you are using SuperMemo 8 in Windows 95 or Windows NT 4.0, do as follows:

  1. right-click the desktop (at the place you want the icon to appear)
  2. choose New : Shortcut
  3. click Browse
  4. select the file SM8.EXE (you will find it in the folder SM8 in the same place where you downloaded and ran SM8ZIP.EXE; for example: if you downloaded to c:\download\supermemo\sm8zip.exe, run sm8zip.exe and you will find sm8.exe in c:\download\supermemo\sm8\sm8.exe)

Evaluation copy can be unlocked to become fully-functional SuperMemo
(Donald Wijkniet, the Netherlands, Apr 6, 1999)
Question:
What is the difference between the evaluation copy I can download from the website and the version I get when I order?
Answer:
None. If you have an evaluation version of SuperMemo, the only thing you need is to input the password with File : Installation : Input password to unlock the program when it stops working. The version you download is fully functional until it locks and requests the password

I cannot send registration e-mail from SuperMemo
(Michael Duggan, Canada, Oct 7, 1998)
Question:
I am having difficulty registering SuperMemo? I get a dialogue box that asks whether I want to send e-mail now. I click Yes. But instead of sending my information to register I receive an error message "Cannot send e-mail - user abort". How do I register?
Answer:

  1. All users who order SuperMemo are registered automatically. Read more: Unlocking SuperMemo
  2. The error message may result from problems in communication between SuperMemo and your e-mail software. If you respond with No to Send e-mail now?, SuperMemo will generate a text file that you can e-mail to register(AT)supermemo(.)com

You can easily copy SuperMemo to another computer
(Paul Greig, Japan, Sat, Nov 17, 2001 8:20)
Question:
I have a desktop which I was able to download SuperMemo ok but I couldn't download to my laptop. The laptop has Windows 98. How can I use it for the laptop?
Answer:
Copy the downloaded file to your laptop. All other installation instructions are the same. The file fits on a single diskette

You do not need two licenses for your computers at home and at work
(Richard Dixon, Tue, May 21, 2002 5:39)
Question:
I use a computer at work and one at home. Do I need to buy 2 copies of SuperMemo?
Answer:
No. You can easily install your SuperMemo on more than one computer. All versions except SuperMemo 2002 fit on a single diskette. However, it is recommended to use SuperMemo in only one location: there where you find more peace for learning. Otherwise you will need to regularly shuttle the learning material between computers. Alternatively, you can learn one subject on one computer, and another subject on another computer. In such a case, no transfer of the learning material will be needed

You can recognize locked SuperMemo by a red bar in the element window
(Max King, Thursday, June 06, 2002 7:44 AM)
Question:
I have clicked on File : Installation to input the password, but the Input password option is not highlighted (i.e. not available)
Answer:
This indicates that your SuperMemo has already been unlocked. For example, you might have opened a registered collection, or might have input the password earlier. If you do not see a big red bar with "Click here to register ...", you need no further action. See the picture of the red bar here.

Moreover, even if you fail to input the password now, SuperMemo will at some point prompt you to do so. In other words, you can keep on learning

In case of lost data, you can receive help independent of the date of your original order
(ismail cuneyt guzey, Turkey, Tue, Dec 18, 2001 8:57)
Question:
I have purchased SuperMemo 98 long ago and been a satisfied customer. Unfortunately due to a PC crash I lost a lot of data, including the files that had my password to unlock the program. I know that it has been a long time but I hope you can help
Answer:
You will always receive help in restoring your data. The date of your original order is not important. It is worth knowing though that if your learning material survived, you do not need any help from us. All you need to do is to download your version of SuperMemo again and open your surviving material. Your SuperMemo will unlock automatically

Reinstalling SuperMemo
(PatAnnEvans, Thursday, June 27, 2002 12:08 AM)
Question:
Last week I lost write access to my hard drive and had to zero out and start over. I managed to get a copy of my SuperMemo collections, but not the executable code. Is there anyway I can reinstall without having to pay again?
Answer:
You can always receive full assistance in reinstalling your SuperMemo by writing to moni(AT)supermemo(.)com. Please send your order number, password or any identifiable customer data to receive further instructions. There is no charge for this service

What if you do not have Internet Explorer 6.0?
(Robert, Wednesday, June 26, 2002 9:18 PM)
Question:
I have recently downloaded SuperMemo 2002. However, I noticed that I don't have Microsoft Explorer 6.0, I only have version 5.5. What should I do?
Answer:
You can download Internet Explorer 6.0 free from Microsoft website:
http://www.microsoft.com/windows/ie/default.asp

SuperMemo keeps its settings in private configuration files
(Tomas Baran, Czech Republic, Jul 12, 2002)
Question:
My windows crashed and I had to reinstall most of my software. I was glad to see that SuperMemo survived the crash with all its configurations. However, I lost my phonetic transcription font in Advanced English. How can I reinstall the font?
Answer:
SuperMemo fares well in similar crashes. It does not rely on Windows registry to keep its settings. Instead, it keeps all settings in private INI files, which you can easily copy from computer to computer without a complex installation process. However, English phonetic transcription font that comes with Advanced English must be installed in Windows to be visible from SuperMemo. If Windows is reinstalled, this font will have to be reinstalled too. If you go to <SuperMemo>/phonetic folder, you will see the font file _SuperMemo_ipa.ttf (IPA stands for International Phonetic Alphabet). If you just rename it to SuperMemo_ipa.ttf, SuperMemo will reinstall this font for you the next time you run it. It will also rename the font back to _SuperMemo_ipa.ttf to indicate the file has been processed

Transferring SuperMemo to a new computer (#11829)
(Edgar A. Quevedo, Colombia, Sunday, July 14, 2002 5:22 AM)
Question:
If I buy a new computer how can I transfer all SuperMemo information to the new computer?
Answer:
The simplest method is to copy the entire SuperMemo folder to a CDR and restore it on a new computer. You can then optionally add two cosmetic touches: (1) install a SuperMemo icon (e.g. File : Installation : Install icons), and (2) reinstall fonts (if you installed any with your learning material)

You can safely substitute SuperMemo executable with a newer version (#8223)
(Reinhard Schueren, Sun, Mar 31, 2002 14:57)
Question:
I am a user of SuperMemo 2000 (English) and would like to get a password for SuperMemo 2000 (German)
Answer:
As the main program file does not differ (sm2000.exe), you can safely substitute it in your installation and provide it with the matching password. For example, if you have installed files downloaded from http://www.supermemo.de/ and later ordered an update from www.super-memo.com, you can simply substitute sm2000.exe in your original installation. This way you will be able to use the password that arrives with your order update


FAQ: SuperMemo interface

FAQ: SuperMemo inferface

You can make SuperMemo remember the size of its windows
You can quickly translate the interface of SuperMemo to your language
 Use Interface Font to reduce the size of fonts in SuperMemo
Default layout vs. Last used layout
Use category combo box to change the current category
Using Contents is optional
Keyboard shortcuts for templates
You can install a foreign keyboard in Windows
Nearly all versions of SuperMemo use an English interface but ...
You need Internet Explorer to view CHM files
Fastest way to see branch descendants
You can customize grades
You can turn off hints or hide the status bar
 Errors are displayed in yellow background
You can prevent your students from editing their collections
You cannot change the font used for titles in the element window
You can save Classic layout with Ctrl+Shift+F5
You can change status bar font by changing the interface font
Explaining SuperMemo
Show ancestors shows the ancestors path without resizing it
Resizing columns in Workload
 Changing display in Workload
Hand-point cursor indicates a hyperlink
Shortcuts for components
Internationalization support for SuperMemo is limited
No minimize button
Switching layouts with Esc
Dismiss doesn't work in the browser
Ctrl+Alt shortcut problem
 The Copy button
Extra space in edit controls
Wizard for beginners and for advanced users
Some advanced messages will not show to a beginner

You can make SuperMemo remember the size of its windows
(Thomas Clark, USA, Nov 24, 1997)
Question:
Why doesn't SuperMemo remember the size of individual windows? It has to be changed on each running the program!
Answer:
Please save your windows layout with Window : Layout : Save as default (Ctrl+Shift+F5)

You can quickly translate the interface of SuperMemo to your language
(Jaroslaw Mekarski, Poland, Apr 15, 1997)
Question:
Using Tools : Options : Language : Localization table, I have defined my national interface for SuperMemo but still some buttons retained their original English names. How can I translate those too?
Answer:
You can define only the interface of SuperMemo for the beginner and basic levels. That is why the list of strings to translate is so short. For SuperMemo on the middle or professional level the list would be over 3000 strings longs instead of the mere 50 strings that are used in simplified SuperMemo

You can install a foreign keyboard in Windows
(David Seagull, USA, Jul 10, 1998)
Question:
How can I define French keyboard for use with SuperMemo in Windows?
Answer:
In Window's Control Panel use Keyboard and add French on the Language tab (e.g. French - Canadian). Set French as default

You need Internet Explorer to view CHM files
(Peter Cool, The Netherlands, Nov 9, 1998)
Question:
I have installed the help for SuperMemo but it wouldn't work. After installing the help file and hhupd.exe I see after calling help the hourglass-icon (for a short time). After that nothing happens.
Answer:
You need to install the HTML viewer (hhupd.exe) over Internet Explorer 3.0. CHM format has been developed by Microsoft and it requires Internet Explorer to be installed on your computer. Unfortunately, Microsoft does not allow of subset installation (as for November 1998)

You can customize grades
(Richard Hardstein, USA, June 5, 1997)
Question:
From an American-centric point of view, I’d like to be able to label the quality of the response (i.e. bright, good, pass…) buttons A, B, C, D & F to match the universal (American) grading system. Is it possible in SuperMemo?
Answer:
You can change the names of grades by choosing Tools : Options : Language : Localization table. Just replace Bright with A, Good with B, etc. After choosing OK, SuperMemo will start using the new naming

You can turn off hints or hide the status bar
(Zoran Maximovic, Yugoslavia, May 29, 1997)
Question:
How can I independently turn off hints and hide the status bar?
Answer:
To turn off hints uncheck the Hints checkbox on the toolbar. For the same purpose (also at the beginner and basic levels), you can double-click the hints area on the status bar. To hide the status bar, uncheck Window : Status bar on the main menu

You can prevent your students from editing their collections
(Jim Ivy, USA, June 4, 1997)
Question:
How can I prevent my students from editing the contents of the collection in SuperMemo?
Answer:
You can turn on read-only or learn-only modes (Tools : Options : Data access : Access mode) and then use SuperMemo in the beginner or basic mode. Naturally, nothing will prevent your students turning the full access back on (if they just know how). There is no password-protected option to block it for good

You cannot change the font used for titles in the element window
(Zoran Maximovic, Yugoslavia, Aug 16, 1998)
Question:
How can I change the font on window captions in SuperMemo (that is the font on the bar with three buttons on the right side: minimize, maximize and close), and on menus?
Answer:
Those fonts can only be set Windows-wide. For example, right-click the desktop, choose Properties, choose Appearance, and select a Scheme

You can save Classic layout with Ctrl+Shift+F5
(Adam, Australia, Thu, May 24, 2001 2:34)
Question:
I like the Classic layout (F5) but I have to switch to Classic layout manually every time I open SuperMemo
Answer:
You can preserve the layout by pressing Ctrl+Shift+F5 (for Window : Layouts : Save as default)

Use Interface Font to reduce the size of fonts in SuperMemo
(Eli Liang, Russian Federation, Tue, Sep 11, 2001 12:38)
Question:
I found a number of places in SuperMemo, where dialog boxes do not display text within them properly (e.g. letters being truncated, etc.)
Answer:
Use Tools : Options : Fonts : Interface font to reduce the size of the font

Using Contents is optional (#148)
(Tomasz P. Szynalski, Monday, July 30, 2001 6:59 AM)
Question:
SuperMemo 2000 uses folders and a "forced" hierarchy of items (knowledge tree). This is rather confusing. I liked the old SM6/SM7 "flat-file" model
Answer:
Using Contents is optional. If you never go to the contents window, SuperMemo will look and behave exactly like SuperMemo 6. The non-hierarchical model works well for learning vocabulary, but it makes it impossible to effectively manage heterogeneous learning process in which priorities of various branches change in time. Only the tree structure makes it possible to process various branches differently (in terms of contents, format and learning). Most of all, incremental reading relies heavily on the hierarchical model by building the semantic tree of individuals articles, by providing article-dependent rescheduling and prioritization tools, by separating processed items from knowledge in various stages of review, etc.

Nearly all versions of SuperMemo use an English interface but ...
(yxuequn, Mon, Jul 30, 2001 15:14)
Question:
Is a Chinese version of SuperMemo available?
Answer:
No. Your closest best is SuperMemo for Windows with a Chinese language interface in the beginner or basic mode. Otherwise, nearly all versions of SuperMemo have been written to use English interface

You can change status bar font by changing the interface font
(Jens Buurgaard Nielsen, Denmark, Thursday, August 09, 2001 9:53 PM)
Question:
The status bar texts are too big. They look very crammed
Answer:
You can adjust the size of the font by changing the size of the interface font (in Tools : Options)

Explaining SuperMemo
(*, Wednesday, April 10, 2002 9:55 AM)
Question:
What are all these icons without any bubble help to explain what they do?
Answer:
If you turn on Window : Hints, you should be able to see hints related to the function of individual buttons by pausing the mouse over the button

Internationalization support for SuperMemo is limited
(Eli Liang, Russian Federation, Fri, Sep 21, 2001 9:20)
Question:
How can I use Cyrillic letters in SuperMemo in File name input dialog?
Answer:
SuperMemo is best adapted for English Windows and for European languages. Support for translation of the interface and the learning material is limited. In particular, only the Beginner and Basic level interfaces are translatable. The file dialog interface cannot be customized. It is therefore recommended that you use Latin alphabet for naming your collections

Use category combo box to change the current category
(Maarten, Netherlands, Wednesday, September 19, 2001 12:40 PM)
Question:
When I change the category root in Contents, the branch template is not used correctly
Answer:
Templates are not associated with branches but with categories (see: Glossary). By changing the root, you change the parameters of the current category. Its template will remain unchanged. To change the root and the template you need to change the category (with category combo box on the main toolbar)

No minimize button
(Tomas K, Czech Republic, 3.5. 2002)
Question:
There is no button to minimize the whole SuperMemo application. There was such a button in SuperMemo 2000
Answer:
You will need to use right-click and Minimize to minimize the application with the docking toolbar on

Experts-only explanation: This strange feature comes from a series of window style dependencies in SuperMemo. What seems like a simple collection of windows in SuperMemo is actually a far going compromise resolving a number of border style, parenthood, ownership, window style and Z-order conflicts. These conflicts have been magnified by the use of the web browser Active X which is notoriously badly behaved when encapsulated as a Delphi component (see: source code). To improve the "behavior" of other windows, for reasons too complex for a simple FAQ, the main docking toolbar had to be changed to bsSizeToolWin border style. This style precludes the minimize button. This painful compromise allowed of resolving a number of other issues pestering SuperMemo

Some advanced messages will not show to a beginner
(Peadar, 29 April 2002 17:41)
Question:
If one not opening SuperMemo for a day or two, he will be greeted with the notice "Final drill is x days old", et cetera. How should the new user deal with this situation?
Answer:
This message is suppressed if any of these conditions is true:

  • the Beginner level is on
  • the users has less than 100 elements memorized
  • Localized interface is used (indicating non-native speaker)

Keyboard shortcuts for templates
(Patrik, Friday, September 29, 2000 12:45 PM)
Question:
It would be great if I could assign a keyboard shortcut to a template. I use a couple of templates very often and it would save me a lot of time
Answer:
Template registry is supposed to work this way. To quickly apply a template you choose Ctrl+Shift+M and then type the first 1-2 letters of your template name. Shortcut table is too narrow to provide for such a wide name range. Registries make it possible to quickly access objects such as pictures, sounds or templates with just a few quick keystrokes

Shortcuts for components
(Martin, Beta, Romania, Fri, Feb 22, 2002 17:10)
Question:
It would be a good a idea to introduce shortcuts for inserting components. Now, I am forced to make a long trip to the Compose toolbar
Answer:
Optimally, you should rarely need to access the Compose toolbar. You will need it mostly for defining basic templates for working with SuperMemo. Then you will simply apply templates or paste new content in a way that automatically creates components (e.g. Ctrl+Alt+N to add a new article, Ctrl+V to paste a picture, etc.). Keyboard shortcuts are reserved for most often used options. As you can see in the shortcuts table, the room for new shortcuts is scarce. Once you master the use of templates you will rarely need the Compose toolbar

Fastest way to see branch descendants
(Piotr, Beta, Feb 14, 2002)
Question:
What is the fastest way to see how many descendants are there in the branch in which a presently displayed item is included?
Answer:

  1. Ctrl+^ (i.e. Ctrl+Up) until you reach the branch you are interested in
  2. Alt+C for Contents
  3. Alt+D for Data tab

Resizing columns in Workload
(Mark Z, Beta, Fri, Mar 08, 2002 19:31)
Question:
In Workload, retention doesn't fit in its column
Answer:
You can size columns in workload (the gray headers at the top). You must remember to always size the columns in the first of the workload panels displayed. When you return to Workload, all other panels will use the size last detected in the first panel

Ctrl+Alt shortcut problem
(RD, beta, Poland, 02-03-12 11:59:18)
Question:
SuperMemo seems not to see the difference between Alt Gr (right Alt) and Ctrl+Alt, which makes it difficult to enter Polish "a" and "e"
Answer:
This is a problem that affects many Windows applications (not only SuperMemo). SuperMemo solves this by switching off offending shortcuts with Tools : Options : SuperMemo : Trim Shortcuts. It is also possible to enter these diacritical characters by pressing ~a or ~e in a sequence

Show ancestors shows the ancestors path without resizing it
(Beta, France, 2/27/02 10:28:14 PM)
Question:
The show ancestors button in the tools toolbar doesn't always work properly. Sometimes only the top of the window appears
Answer:
Alt+P will show the ancestors window without resizing it. Usually, this means that the window will show up in the size and position saved in your current layout. If you resize this window and save the layout as default (Ctrl+Shift+F5) you should never need to resize the ancestors window except when by your choosing

Dismiss doesn't work in the browser
(Nick, Beta, Wed, Feb 13, 2002 23:25)
Question:
When I do some operations in the browser and click Dismiss in the element window, I need to repeat the click. The first click only activates the element window
Answer:
This behavior is hard-wired in MS Windows. Many button types do not work before their parent window becomes active. Unfortunately this behavior is not universal and depends on the type of the underlying control

Wizard for beginners and for advanced users
(Mark, Beta, Wed, Feb 20, 2002 20:16)
Question:
In the new category wizard, what is the purpose of the Next button if I can still go there clicking on the bookmark on the top of the dialog? Why don't you hide these bookmarks?
Answer:
The purpose of Wizards is to simplify complex procedures for beginners. However, the process of setting category parameters can be done in any sequence. The beginner can use the Next button to be sure he goes through all steps. An advanced user can use bookmarks to easily backtrack to earlier steps of the procedure

The Copy button
(MZ, Non-Profit Organisation, Tue, Mar 26, 2002 9:33)
Question:
Why is there a Copy button in almost every confirmation dialog box?
Answer:
With this button you can copy the message to the clipboard. You can later use the message literally in help search, communication, support inquiries, etc.

Hand-point cursor indicates a hyperlink
(Beta, Thursday, March 14, 2002 9:32 AM)
Question:
Why sometimes in the contents window the mouse cursor takes a hand form and sometimes it doesn't?
Answer:
The hand-point cursor indicates a hyperlink. Once you click on the link, the target element will be displayed in the element window. You can turn it off by unchecking the synchronize button at the top of contents window. In such cases, you will need to double-click the element before it is displayed in the element window (note that a double click also collapses or expands branches)

Changing display in Workload
(KK, Beta, USA, Fri, Mar 08, 2002 19:31)
Question:
In Workload, you can write into the boxes for selecting types of elements. Is it a bug?
Answer:
No. This makes it possible, for example, to quickly change to topic display by typing just "T"

Errors are displayed in yellow background
(JP, Beta, 22.2.2002 13:40:39, SYSTEM DATA)
Question:
Why is this error a yellow one: "Collection files missing!"?
Answer:
Colors are used to indicate the importance of a message in SuperMemo. Notifications and warnings are displayed in white, errors in yellow, and fatal errors in red. "Collection files missing" is a dangerous error that indicates that some of vital files belonging to a collection have been deleted or moved. This error is a protection from opening orphaned KNO files created by erroneous backup procedures. Earlier versions of SuperMemo did not have this protection and many SuperMemo beginners used to fall into the trap of moving KNO file in their file system behind the back of SuperMemo

Switching layouts with Esc
(Nick, Beta, Sat, Mar 23, 2002 18:46)
Question:
In one of collections from SuperMemo Library, when I press Esc the program alternates between the content window with the element window
Answer:
Esc may be used to call the default layout. If you choose Contents layout as the default layout, Esc will bring it up. As Esc is also used to close the contents window, pressing Esc in such circumstances will switch you in turn between the contents and the element windows

Extra space in edit controls
(Tomas, Beta, Tue, Apr 16, 2002 18:31)
Question:
There is some empty space to the left of the first char in search boxes. This can be interpreted as a space (chr(32))
Answer:
The space from the left edge of an edit field to the first character in edit controls is Windows specific. You will observe it systemwide wherever this particular type of object is used. Unfortunately, this space may differ even between individual Windows Service Packs (i.e. it may suddenly appear if you update your Windows DLLs)

Default layout vs. Last used layout
(Bill Tullock, Fri, May 17, 2002 23:03)
Question:
The default layout is not saved between sessions
Answer:
The default layout is saved on quitting SuperMemo, only if its name is "Last used". If you want to modify a layout and save it, you need to specifically choose Window : Layout : Save as default. If you want your layout to automatically save when you exit, choose "Last used" or save your current layout as "Last used"


FAQ: Knowledge Structuring

FAQ: Formulating knowledge in learning

Do you have a question about writing simple and effective collections for SuperMemo? Write to Dr Wozniak. If you would like to have your items evaluated, please send 3-5 for review. Do not send whole collections in an e-mail attachment

You can learn spelling with SuperMemo
You can learn to recognize diseases by their symptoms
 You can use occlusion test to learn anatomy
Keep your items as simple as possible
The best way for providing context is to use labels inside your questions
Developer's Guide for authors of SuperMemo collections
You can memorize long sequences (e.g. Tai Chi)
Keep only one deletion in cloze deletions
Strategic recall is a matter of knowledge structure
You can learn programming with SuperMemo
It is recommended that you keep all your knowledge in one collection
Only items are used in learning (topics are only for material review)
Copying material from a dictionary
Combining multiple pieces of information in one item is not recommended
Does minimum information principle hold in all cases?
You do not need to interrupt repetitions to edit items
Why do we remember weird words?
Do not create follow-up questions in your items. Use cloze deletion
Use mnemonic techniques to memorize difficult material (e.g. numbers, lists, sets, etc.)
 Question-answer swapping will usually involve some reediting
Incremental reading requires some experience
"Successful" leeches should not be reset
You can learn Arabic with SuperMemo
How can SuperMemo help an actor?

See also:

  • FAQ: Incremental reading
  • 20 rules of formulating knowledge in learning

(Mike Condron, USA, Dec 10, 2000)
Question:
I am finding that anatomy is a subject that consists largely of lists. The branches of the axillary artery are... the layers of the abdominal fascia are ... the contents of the posterior triangle of the neck are ... and so on. What is the best way to learn such lists?
Answer:
Enumerations should be discouraged. These always result in recall problems. You should rather use multiple graphic deletion tests. You can, for example, use a picture of the branches of the axillary artery, occlude or point to a single branch in the picture and ask: Which branch is pointed to in the picture? You will have as many items as there are branches of the artery.
See also:

  • 20 rules of formulating knowledge section Enumerations and Graphic deletion
  • Flow of knowledge: Occlusion test

(John Meritt, UK, Nov 26, 1999)
Question:
How can I best learn programming with SuperMemo?
Answer:

  1. You could start from reading SuperMemo as a new tool increasing the productivity of a programmer. Please review the examples of simple items related to programmer's ABC
  2. You will probably have the documentation of the programming language available in electronic form. You could process it using the reading list mechanism, i.e. extract manageable portions of knowledge and reformulate them using cloze deletions. This will save you lots of time on retyping; however, you must be sure you make a good selection and memorize only the most important facts and rules
  3. Do not forget about combining practical sessions with your SuperMemo repetitions. Only practical training will make you truly understand the importance of individual elements of knowledge

(John Meritt, UK, Nov 26, 1999)
Question:
How can I best learn spelling with SuperMemo?
Answer:
You should create a template in which the answer will be a Spell-Pad (i.e. text input component). In the question part you should ask about the word that is to be spelled. Because many spelling problems come from the use of double letters (e.g. traveling vs. travelling), you do not need to define the word. It is enough you ask to choose a correct variant. For example, your question might look like this: traveling/travelling or better yet trave(l/ll)ing.
It is very important to focus on one problem at a time. This is why instead of o(c/cc)a(s/ss)ion, you should create two items:

  1. o(c/cc)asion
  2. occa(s/ss)ion

Occasionally, you can make an exception to this rule. For example, you might ask Mi(s/ss)i(s/ss)i(p/pp)i as a request to spell Mississippi. In this case, it is easy to remember that all questionable consonants in this word must appear in double. Once you realize that, you may never experience problems with recalling how to spell Mississippi

(Luis Gustavo da Silva, Brazil, Nov 9, 1999)
Question:
What is your view on the formulation of items in which the question lists the symptoms of a disease and the answer provides the name of the disease?
Answer:
This sound like knowledge that should not cause much trouble in learning:

  1. symptom enumeration concerns the question and as such should not be a problem (unlike enumerations in answers)
  2. this is based on active recall. The list of symptoms will be reviewed passively but the answer will have to be recalled
  3. simplicity of wording may be critical for success here!
  4. the worst problem may arise from the confusion of similar symptom sets but ... resolving such minor differences might be an important skill of a physician. In other words, there is no point in avoiding difficulty in cases of knowledge that has to be mastered one way or another
  5. the best way to figure out the effectiveness of formulation is to use the leech catcher to periodically sift through the hardest items (to find out which might be reformulated)

(Jim Ivy, USA, June 4, 1997)
Question:
What is the difference between a topic and an item?
Answer:
Topics are used to store articles or other content that presents knowledge, while items are used to test knowledge by means of repetitions (usually they have the question-and-answer structure or are cloze deletions). See: Topics vs. items

(Noel Clary, USA, Sep 6, 1998)

Item reviewed:

Q: a rod-and-tube element temperature sensor consists of:
A: a high expansion metal tube containing a low expansion rod. The rod & tube are attached on one end. The tube changes length with changes in temperature, causing the free end of the rod to move

Suggestions:

This is a typical case of combining a number of items in one with detriment to the ability to recall the combined item. The suggestion here is to split the item into a number of simpler items that reproduce the same information in student's memory:

Q: What are the two parts of a rod-and-tube temperature sensor?
A: rod and tube

Q: What is the expandability of the tube in rod-and-tube sensor?
A: high

Q: What is the expandability of the rod in rod-and-tube sensor?
A: low

Q: How is temperature indicated in the rod-and-tube sensor?
A: tube moves relative to the rod

Q: Where are rod and tube connected?

etc. etc.

(Noel Clary, USA, Sep 6, 1998)

Item reviewed:

Q: Step 5 HVAC duct design: Size ducts by the selected design method. Calculate system ..., then select ...

Suggestions:

Cloze deletions (i.e. questions with blanks) are generally a good learning tool; however, in most cases it is better to keep a single deletion per question

(Deron Isaac, USA, May 21, 1997)
Question:
How can I edit texts of items during repetitions without backing out of the test mode?
Answer:
Choose Q to edit the question, A to edit the answer, or E to edit all text components. You can also edit all properties of all components by using the component menu available with the right button click on a component in question

(John Gibney, Australia, Sep 16, 1998)
Question:
In your materials you write that users should avoid memorizing sets (e.g. countries of Europe) or long sequences (e.g. the alphabet). What if I want to remember the sequence of a form of Tai Chi?
Answer:
Let us consider an example in which you want to memorize the entire sequence of letters in the alphabet. It won't be very effective if you use the following item:

Q: What is the sequence of letters in the alphabet?
A: A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z

You will notice that you frequently stumble on parts of the sequence and need to stop repetitions just to exercise the entire sequence in the traditional way (like we all learn poems by rote).

However, you can approach this in a way that guarantees quick effects:

Q: What is the sequence of letters in the alphabet between A and E?
A: A,B,C,D,E

Q: What is the sequence of letters in the alphabet between D and H?
A: D,E,F,G,H

Q: What is the sequence of letters in the alphabet between G and K?
A: G,H,I,J,K

etc. etc.

After 2-3 weeks of repetitions, you may take on an extra task of recalling the whole sequence after each repetition of these simplified items. This will make sure you can recite the entire alphabet quickly. You will also frequently rehearse that parts of the sequence that are harder for your memory (e.g. V,W,X,Y,Z) as opposed to those that are much simpler (e.g. A,B,C,D,E)

Question:
What is the purpose of the option Search : Categories?
Answer:
SuperMemo introduces the concept of a category to help you keep items related to different subjects in different branches of the knowledge tree (contents window). It also makes it possible to give different item groups different appearance (e.g. size of text components, screen layout, font, color, and many more). Read more: Using categories

(Anatolyi Lipatov, Ukraine, Jul 12, 1998)
Question:
I am using Advanced English to enhance my English and business English. Now I am registering for CFA examination (that is Chartered Financial Analyst program of Association of Investment Management and Research). There are several organizations developing and distributing methodological stuff for preparing to the exam. A lot of things should be memorized for passing the exam. What do you think the best way to fit SuperMemo for memorization and what approach should I use to prepare my own knowledge base for memorizing the material. Is special programming knowledge needed for it?
Answer:
No specialist knowledge is needed to prepare simple knowledge systems in SuperMemo. With Alt+A (i.e. Add new) you get 90% of functionality! All advanced editing options can be worked around by an appropriate questions-and-answer approach. Perhaps it would be useful yet to learn how to add images to your items (see help for details). To learn more about effectively structuring knowledge in SuperMemo you might want to read 20 rules of formulating knowledge in learning and Knowledge Structuring and Representation; however, nothing works better as learning on one's own mistakes in formulating knowledge for learning with SuperMemo

(David Mckenzie, New Zealand, Apr 8, 1998)
Question:
Is there any point in keeping collections separate?
Answer:
No. Once you master contents categories and templates, there is no point. You gain global search, global registries, global repetitions, global optimization, etc. This would not be advisable back in SuperMemo 7 as item difficulty measure (E-factor) was dependent on the average difficulty of items in the collection. Presently, the item difficulty measure (A-Factor, or absolute difficulty factor) is absolute and does not depend on the context in which an item is placed (see: SuperMemo Algorithm). Only the length of the first interval will significantly be affected by the average difficulty of items in the collection. However, this shall not bear dramatically on the speed of learning. Especially that variable forgetting index for individual items makes it possible to set different first intervals for whole contents categories or branches of the knowledge tree

Question:
What should I use Duplicate for? What for do I need the same item in the same collection?
Answer:
You can duplicate an item, if you want to add to the another item which is only slightly different. This way you can spare some time by reediting the old item instead of typing in the new one

(Marc de Ruiter, China, Apr 5, 2000)
Question:
It is possible to have SuperMemo do follow-up questions like this:

  1. Question
  2. Answer, which is also a question
  3. Answer

I am learning Chinese Characters, so first I have a character which is the Question, then I have to give the answer which is the pronunciation of that character, but then I have to give the meaning in English. So basically there are three things: character - pinyin - translation
Answer:
This is a case where you would like to learn three associated things A-B-C, where A is your question, B is the follow up and C is the follow up to B. It is never a good idea to learn more than one thing in a single item! SuperMemo needs to separately understand your difficulties with linking A and B, B and C, as well as A and C. Building a test according to your suggestions is possible, yet it would be better to use cloze deletions here. For example:

Parent template item:

A B C

Items generated with cloze deletion (e.g. using Reading : Remember cloze):

Item 1:
Q: ... B C
A: A

Item 2:
Q: A ... C
A: B

Item 3:
Q: A B ...
A: C

It is important to know that Item 1 above may make you fail to answer with A to the question C if you only learn to answer Item 1 by understanding the association of B with A. In such cases, you will need even more work by formulating items: A-B (where A is the question and B is the answer), A-C, B-A, B-C, C-A, and C-B. Although you will get six items instead of one, you knowledge is likely to be more solid and you may actually spend less time on repetitions of those multiple items than on repetitions of the conglomerate A-B-C item

(Patrick Mon, Jan 14, 2001)
Question:
Can SuperMemo be used to memorize a hundred digits of PI? What about memorizing very complex formulas or foreign language characters? The 20 rules page did not include those things
Answer:
Memorizing PI falls into the domain of mnemonic techniques. You could try to use SuperMemo to memorize PI as is but it would be tremendously inefficient. On the other hand, if you use mnemonic techniques to memorize things, you should use SuperMemo to handle the periodic review. Despite the claims of many mnemonists, mnemonic techniques will not you remember for ever. In other words, to memorize PI, use both mnemonic techniques and SuperMemo. For memorizing numbers, the best technique is called the peg-list method. A peg-list is a list of 10 or 100 pictures associated with numbers 0..9 or 0..99 respectively. Memorizing PI is then equivalent to building a list of pictures that correspond with the number. The rule of the thumb in reference to mnemonic techniques is: use them on material that is particularly difficult to remember (e.g. numbers, sets, lists, etc.); do not use them on material that stick well to your memory in SuperMemo. To learn more about mnemonics, see some of the links below:

  • http://www.jersey.net/~mitchell/page3b.htm
  • http://memorystewards.com/Test2.html

Question-answer swapping will usually involve some reediting
(Patrik Nilsson, Thursday, July 26, 2001 5:41 AM)
Question:
SuperMemo website claims that swapping questions with answers is rarely applicable beyond word-pair learning. I disagree. If you show a picture of a car for a little child and ask for what's at the picture, next time you ask the child what a car looks like and want him to draw it or explain it by words
Answer:
You are right about swapping the roles of stimulus and response. However, in practice, optimum knowledge representation will enforce a degree of editing. In your presented example, we would rarely use name-picture pairs (unless the whole collection is uniform and leaves no doubt as to the question format). Optimally you will need a verbal clue: What object is presented in the picture? and then How does a car look like? Those minor editing enhancement substantially speed up the learning process

The best way for providing context is to use labels inside your questions
(Steve Brown, Tuesday, August 21, 2001 4:01 PM)
Question:
Is there a way to tell what category a Q/A pair belongs to. The same question may have a different answer. For example, "what is a strike" could have 2 different answers depending whether I was in the "bowling" category or the "union" category
Answer:
Instead of using categories for such a purpose, you could accomplish the same with domain labels inserted before the question. This is the recommended method which immediately evokes the appropriate context. For example: sport: What is a strike? or econ: What is a strike?, etc. This is how most collections in SuperMemo Library are formulated

Combining multiple pieces of information in one item is not recommended (#6101)
(Telepolis, Spain, Thursday, December 20, 2001 1:57 PM)
Question:
What would happen if you presented the pronunciation sound at the same time as its correspondent word? If you are not looking at the screen you are improving the comprehension, and if you are looking, you can check the spelling too. The associative learning will increase
Answer:
Ideally, you should adjust the mode of repetition to your goal. For that purpose it is better to separate learning the pronunciation, from learning the spelling, and from learning the semantics or synonyms. This means that you can create several items for the same word. Experience shows that this is the most efficient method. This is how Advanced English was designed. However, it is rather impractical to produce all combinations of items for all words and synonyms. For that reason, Advanced English includes the pronunciation branch that includes only the words that are hardest to pronounce. Similarly, the spelling branch lists only words that cause most problems with spelling. Bombarding the brain with many stimuli at the same time may produce ambiguous stimuli and you will not always learn that what you really want to learn. Some important aspects of information can be lost

Incremental reading requires some experience
Question:
I do not know how to tackle this text in incremental reading. Any hints?

After the discovery of Pluto, it was quickly determined that Pluto was too small to account for the discrepancies in the orbits of the other planets. The search for Planet X continued but nothing was found. Nor is it likely that it ever will be: the discrepancies vanish if the mass of Neptune determined from the Voyager 2 encounter with Neptune is used. There is no tenth planet

Answer:
Here are some exemplary processing stages. Yours might be different. In the end, you can convert the cloze deletions into more direct and well-formulated questions-and-answers:

Extract 1: Pluto is too small to account for the discrepancies in the orbits of the other planets

  1. [...](planet) is too small to account for the discrepancies in the orbits of the other planets
  2. Pluto is too [...] to account for the discrepancies in the orbits of the other planets
  3. Pluto is too small to account for the [...] of the other planets
  4. Pluto is too small to account for the discrepancies in the orbits of [...]

Extract 2: Pluto was too small to account for the discrepancies in the orbits of the other planets. The search for Planet X continued but nothing was found

  1. Pluto was too small. The search for Planet X continued and [...] was found

Extract 3: Pluto was too small to account for the discrepancies in the orbits of the other planets. The discrepancies vanish if the mass of Neptune determined from the Voyager 2 encounter with Neptune is used

  1. Pluto was too small. The discrepancies [...] if the mass of Neptune determined from the Voyager 2 encounter is used
  2. Pluto was too small. The discrepancies vanish if the new [...] of Neptune is used
  3. Pluto was too small. The discrepancies vanish if the mass of [...] determined by the Voyager 2 is used
  4. Pluto was too small. The discrepancies vanish if the mass of Neptune determined from the [...] encounter with Neptune is used
  5. Pluto was too small. The discrepancies vanish if the mass determined from the Voyager 2 encounter with [...] is used

Extract 4: There is no tenth planet

  1. There [is/isn't] the tenth planet
  2. There is no [...]th planet

Developer's Guide for authors of SuperMemo collections
(anguskwong, Wednesday, August 28, 2002 8:01 PM)
Question:
I would like to develop a knowledge collection similar to 100 English Spellings for Kids with sound, spell pads, etc. It seems I can not do all these as a normal user. Do I need Developer's Guide to do that?
Answer:
You can develop such collections with SuperMemo. It is fully functional if you turn on Full access and Professional level. Please have a look at these:

  • Step-by-step guide
  • Authoring FAQ

Does minimum information principle hold in all cases?
(Simon J., Apr 08, 2004, 08:59:51)
Question:
My wife is using Advanced English and has now gone through about 9000 words. However, each time there is a big gap (say 1 month), she will always forgets some items (e.g. amenable=responsive/susceptible). Her forgetting index is set at 7%. It seems the word is too abstract and floating in space. Especially when both of the words were previously unknown. I wonder if the 'minimum information principle' holds true for everyone
Answer:
Not all items in Advanced English are structured ideally. We try to locate such cases and improve them in future upgrades. This is what differentiates Advanced English from a simple dictionary. However, it is not always possible to adapt this material for everyone's needs and some individual intervention is always necessary. You are right that it is unacceptable to learn a word pair if both words are not understood. Adding translations or one's own examples in such cases is very important. You could for example start with finding exemplary sentences where "amenable" is used and add them to your Advanced English. You might add then two additional items like these: Q: Middle East is not [...](responsive) to improvements along American lines A: Some things are not [...](open) to the approaches of science Naturally, for passive recognition you need an item too. This could then be: Q: amenable (adj)(e.g. some things are not amenable to science) A: open/susceptible As for the minimum information principle, you should remember that it does not refer to the number of words or characters in the question. It refers to the information that needs to be stored in the brain. For that reasons, cloze deletions built of exemplary sentences (as indicated above), are FAR easier to remember. Even though they are wordy, they produce a very simple association link in memory. They are highly recommended. As for the forgetting index, you should rather keep a higher forgetting index for the entire collection and lower it only for the most important items. Do not use the forgetting index as a remedy against imperfect structure of knowledge! Modify your items first and lower the forgetting index only if you still have problems with recall and the materials is vitally important.

Why do we remember weird words?
(MRW, Mar 04, 2002)
Question:
Have you noticed that in learning English, the words that are easy to remember are often the "weird" ones (e.g. tintinnabulation)
Answer:
It all depends on the associations formed in your brain. Tintinnabulation may have stuck easily with you while it could be somebody else's pet peeve. However, weirdness often implies uniqueness which helps you avoid memory interference. Then, one day, you learn the word tinnitus and, all of a sudden, tintinnabulation may start causing serious trouble

"Successful" leeches should not be reset
(christian.roessel, Germany, Wednesday, January 10, 2001 11:26 AM)
Question:
What to with a leech that has been well-known for the last n repetitions? Is it more time-efficient to forget and reintroduce this element or shall I keep it as is?
Answer:
If the leech has been remembered for a number of repetitions, its inherent problem might have already been resolved. In general, you should take postpone, reformulate or delete actions only at the moment of forgetting the leech. As long as it progresses towards longer intervals, your best action might be to do nothing or to add minor edits that you believe could improve retention

You can learn Arabic with SuperMemo
Question:
Can I learn Arabic with SuperMemo?
Answer:
Yes. See: Arabic Verbs collection

Copying material from a dictionary (#17003)
(Rune, Norway, Monday, April 28, 2003 1:38 AM)
Question:
I copy word descriptions from the Collins Cobuilder dictionary and paste them into the answer field. It would be nice, if SuperMemo could create a new learning item and paste the description into the answer field. Now I first have to copy from Collins, create an new element, and paste into the answer field
Answer:
The best way to handle dictionary items is to paste the entire item to SuperMemo with Ctrl+Alt+N. Then extract individual definitions along with the headword with Alt+X. Finally, while learning individual definitions, create individual passive, active or detail items with Alt+Z

Here is an example of learning the meaning of the word trachea. Although there are 19 items on the output, not all these items are necessary to extract the basic meaning of the word. For that reason, the process can be executed incrementally. More specialized meaning can be refined in more advanced stages of learning.

  1. You start with the definition pasted from www.dictionary.com:

tra·che·a Audio pronunciation of "trachea" ( P ) Pronunciation Key (tr [image] [image] k [image] - [image])
n. pl. tra·che·ae (-k [image] - [image] [image]) or tra·che·as

  1. Anatomy. A thin-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs. Also called windpipe.
  2. Zoology. One of the internal respiratory tubes of insects and some other terrestrial arthropods.
  3. Botany. One of the tubular conductive vessels in the xylem of vascular plants.
  2. In SuperMemo, you clean up the definition to ensure only vital information is included:
trachea
  1. Anatomy. A thin-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs. Also called windpipe.
  2. Zoology. One of the internal respiratory tubes of insects and some other terrestrial arthropods.
  3. Botany. One of the tubular conductive vessels in the xylem of vascular plants.
  3. With Alt+X you generate three extracts:
trachea Anatomy. A thin-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs. Also called windpipe

trachea Zoology. One of the internal respiratory tubes of insects and some other terrestrial arthropods

trachea Botany. One of the tubular conductive vessels in the xylem of vascular plants

  4. The first extract will be processed with cloze deletions as follows:

trachea Anatomy. A thin-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs. Also called windpipe

  5. This will result in the following cloze items:
a cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs
trachea
trachea: A [thick/thin]-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs
thin (thickness is a relative concept and you may want to skip that property)
trachea: a [bony/cartilaginous/muscle/membranous] tube descending from the larynx to the bronchi
cartilaginous
trachea: A cartilaginous tube [descending/ascending] from the larynx
descending
trachea: A tube descending from the [...] to the bronchi
larynx
trachea: A tube descending from the larynx to the [...]
bronchi/lungs
trachea: A tube descending from the larynx to the bronchi and carrying [...] to the lungs
air
trachea: a tube carrying air to [...]
(the) lungs/bronchi
trachea: A tube carrying air to the lungs. Also called [...]
windpipe
  6. The final list of questions and answers will look as follows:

Q: a cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs
A: trachea

Q: trachea: A [thick/thin]-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs
A: thin

Q: trachea: a [bony/cartilaginous/muscle/membranous] tube descending from the larynx to the bronchi
A: cartilaginous

Q: trachea: A cartilaginous tube [descending/ascending] from the larynx
A: descending

Q: trachea: A tube descending from the[...] to the bronchi
A: larynx

Q: trachea: A tube descending from the larynx to the[...]
A: bronchi/lungs

Q: trachea: A tube descending from the larynx to the bronchi and carrying[...] to the lungs
A: air

Q: trachea: a tube carrying air to [...]
A: (the) lungs/bronchi

Q: trachea: A tube carrying air to the lungs. Also called [...]
A: windpipe

Q: zool: [...]: one of the internal respiratory tubes of insects and some other terrestrial arthropods
A: trachea

Q: zool: trachea: one of the internal[...](function) tubes of insects and some other terrestrial arthropods
A: respiratory

Q: zool: trachea: one of the internal respiratory tubes of[...](main animal group) and some other terrestrial arthropods
A: insects

Q: zool: trachea: one of the internal respiratory tubes of insects and some other [aquatic/terrestrial] arthropods
A: terrestrial

Q: zool: trachea: one of the internal respiratory tubes of insects and some other terrestrial [...](phylum)
A: arthropods

Q: bot: trachea: one of the[...] in the xylem of vascular plants
A: (tubular conductive) vessels

Q: bot: trachea: one of the tubular conductive vessels in the[...](tissue) of vascular plants
A: xylem

Q: bot: trachea: one of the tubular conductive vessels in the xylem of[...](division) plants
A: vascular

Q: trachea: one of the tubular conductive vessels in vascular [plants/animals]
A: plants

Q: bot: [...]: one of the tubular conductive vessels in the xylem of vascular plants
A: trachea

How can SuperMemo help an actor?
(David Baldwin, Saturday, August 17, 2002 4:45 AM)
Question:
As an actor specializing in one-man plays, I'm required to memorize and regurgitate hours of material. How can I best use SuperMemo to quickly and permanently memorize?
Answer:
SuperMemo is primarily useful in learning material that is to be retained in memory for months and years. It might be very useful in lifelong retention of quotes, citations or proverbs. However, if you need to memorize long passages, and you need to be able to recall them for weeks rather than years, SuperMemo's applicability will be limited. You could use it, for example, to cram pieces on which you stumble or get stuck. You could paste the problematic piece of text and generate lots of cloze deletions (i.e. questions with blanks to fill). With regular repetitions, the recall of such pieces of text will become quite automatic. You cannot expect much qualitative change in your performance as an actor by employing SuperMemo today. However, it is still recommended that you get to know it. Gradually, you will get a better grip on the inner workings of your memory. You will also find optimum ways of employing the program. With time, you might discover that SuperMemo is more useful that suggested in this answer. However, that will depend on your creative approach to selecting the right portions of knowledge to learn, and representing them optimally for your purposes

Strategic recall is a matter of knowledge structure
(Noel L, Sweden, Tue, 19 Mar 2002 13:11:25 -0000)
Question:
How can I bring knowledge learned with SuperMemo into my mind when I need it
Answer:
Ideally, the knowledge is already stored in your memory and it comes up naturally when you need it. However, the picture is more complex if you consider that the way you ask the question in SuperMemo may differ from the way your life asks you the same question. In other words, you may store some material in SuperMemo, but a real-life situation will trick you into being unable to recall it. In other words, you need to properly formulate the material to maximize its recall in all potential contexts (see: "20 rules" article). There are two basic tools that will help you keep knowledge at hand in need. The first is simplicity. Simple things are easier to remember, but they are also easier to apply in varying context. The second is universality of rules. For example, it is better to learn a universal mathematical formula than just the examples of its use. Examples can be used to emphasize applicability in various context. To sum it up: to make knowledge available at hand, you need lots of practical experience in using SuperMemo. See for yourself what works and what does not


FAQ: Learning with SuperMemo

Learning mnemonic techniques is recommended
You do not have to interrupt repetitions to introduce corrections
You can view the calendar of repetitions with Ctrl+W
Use Ctrl+M to introduce elements to the learning process
Grades provided in final drill do not affect learning
Response time does not affect learning
100% recall is unlikely
You can use Ctrl+R to postpone memorizing a given element
 New elements are memorized automatically
If you return from vacations, you can use Tools : Mercy
You can decide which portions of material require more attention
You can randomize repetitions
Use Enter to proceed through the repetition cycle
You should always keep your date correct in your computer
You can press F5 to see learning statistics
 You can locate most difficult items
Use Ctrl+D to permanently remove elements from the learning process
SuperMemo adjust intervals to the selected retention level
You do not have to interrupt repetitions to forget or dismiss an element
You can quickly make repetitions in a selected subset of the learning material
You can learn and review your exam subject
You can sort repetitions
 Checking the outstanding material
Completing the final drill is not essential
Deciding between Pass and Good does not determine your success in learning
Set the category forgetting index to zero to use the default forgetting index
You can always delete the final drill
There is learning material available for download
Mnemonic techniques should be used on items that are difficult to remember
You can react to items forgotten in mid-process
To avoid the rigid repetition schedule ignore the statistical indicators
You can see the exact history of repetitions of a given item
Randomizing repetitions in a subset
Show answer stage may be skipped
Medical Biology can be mastered within a year
You can easily repeat sounds, display translation or phonetic transcription
You can change the sequence of learning particular elements
You can remove all information about the learning process
You can backup learning in large collections
You can make repetitions in a single branch
You can determine the length of the interval manually
You can sort items by intervals
SuperMemo may ask you questions you have never seen before
Forgetting index vs. retention
Learning in portions
SuperMemo leaves the memorizing rate in your hands
Repetitions vs. lapses
Very long intervals
There is no optimum number of items to learn or repeat daily
Knowledge tree does not play a role in learning
 You can view all pending elements in a given branch
Wrong recall may indicate memory interference
You can copy your learning material or your learning process from one computer to another
Resetting the measured forgetting index
 Daily and Monthly workload averages
 Sub-optimum intervals
 Browsing past repetitions is inclusive of elements that have been dismissed or made pending
Postpone does not conflict with the idea of SuperMemo
 Postpone simulation will not be replicated at Postpone
Random Tests should not be part of your daily learning
You can easily inspect the number of outstanding repetitions
Use Spread on a branch to progressively introduce new elements to the learning process
If you disregard the grading system, your learning progress will be negligible
You can determine which element is presented when SuperMemo starts
Setting a queue of branches for learning
 You can learn more details of past repetitions from Repetition History
You can turn Final drill off
"Final drill?" may be suppressed
Optimum timing of the final drill
"Nothing more to learn" shows up when all learning queues are empty
Spreading elements without changing the pending queue
Retention and Back-retention refer to the same set of items tested for recall at different times
Response time is never taken as longer than 30 seconds
You can use SuperMemo for fast review too
You can transfer your learning material between SuperMemo for Windows and SuperMemo for Pocket PC
SuperMemo cannot change the date of the last repetition
You can count lapses in a subset
You can define default element in SuperMemo

See also:

  • FAQ: Memory and learning
  • FAQ: Incremental reading
  • FAQ: Formulating knowledge
  • FAQ: Resolving repetition overload

Learning mnemonic techniques is recommended
(Eli Liang, Russia, Oct 03, 2001)
Question:
I am given pending items only once to memorize and then the system moves me on to the next pending item. This is not enough time to really memorize
Answer:
You will be asked all difficult items again within Final Drill. You need to strive at being able to see an item once and remember it well (in a given learning session on a given day). This is a question of mnemonic skills that go beyond the scope of SuperMemo. Hopefully, after a few months, those skill will come naturally. It is also recommended that you go to sites that describe various mnemonic techniques to experiment if any of these could apply in your case

You do not have to interrupt repetitions to introduce corrections
(Deron Isaac, USA, May 21, 1997)
Question:
How can I edit texts of items during repetitions without backing out of the learning mode?
Answer:
Choose Q to edit the question, A to edit the answer, E to edit all text components or Ctrl+E to switch all components to the editing mode. You can also edit component properties by using the component menu available with a right click over a component

You can view the calendar of repetitions with Ctrl+W
(Matt Cassidy, New Zealand, Aug 18, 1997)
Question:
How can I list all elements that are to be repeated on a given day in the future?
Answer:
Use Ctrl+W (Tools : Workload) and double-click the day of interest

Grades provided in final drill do not affect learning
(Grzegorz Malewski, Poland, Dec 10, 1997)
Question:
Do grades at final drill affect the learning process?
Answer:
No. They are only used to eliminate items from the final drill queue. All items with grades above Pass will be eliminated

You can use Ctrl+R to postpone memorizing a given element
Question:
How can I postpone memorizing an element when I am learning new material?
Answer:
Choose Forget on the element menu (Ctrl+R). This will shift the element to the end of the pending queue. You will learn the element only after you memorize the entire pending queue (unless you sort the pending queue or memorize the element manually)

Response time does not affect learning
(Ryszard Siwczyk, Poland, Nov 4, 1997)
Question:
Does the response time at repetitions influence the next interval?
Answer:
No

If you return from vacations, you can use Tools : Mercy
Question:
I left for vacation, and my learning process is in mess. What should I do?
Answer:
Use Tools : Mercy or Learn : Postpone : All

You can decide which portions of material require more attention
Question:
I keep material of different learning priority in my collection. Can SuperMemo help me pay more attention to high priority material?
Answer:
Yes. You should reduce the value of the forgetting index for high-priority material (forgetting index is a proportion of items not remembered during repetitions). In the contents window select the element or branch that you want to have higher priority and choose Process branch : Forgetting index : Set forgetting index on the contents menu. Forgetting index is set to 10% by default and can be set to 3-5% for high-priority material or to 20% for least important branches of the knowledge tree. You can also set the forgetting index in a subset of elements with Process browser : Forgetting index : Set forgetting index on browser menu. Read: Using forgetting index

You can press F5 to see learning parameters
(Eric Chen, Japan, Fri, Jun 22, 2001 3:06)
Question:
How can I easily see the learning parameters of an element?
Answer:
You can press F5 to see all the most important statistics. You can preserve such layout with Ctrl+Shift+F5

Use Ctrl+D to permanently remove elements from the learning process
(Len, USA, Feb 11, 2001)
Question:
When I run through the learning process, SuperMemo keeps showing me topics, category elements, as well as empty elements. So in between questions I see a blank page, and the title bar says Asian Geography or Reading List. It seems very silly
Answer:
You need to specifically inform SuperMemo which element should and which should not be included in the learning process. By default, all new topics and items are placed in the pending queue and will enter the learning process. To permanently remove an element from the learning process click Dismiss or press Ctrl+D. To introduce an element back to repetitions, click Remember or press Ctrl+M

You can locate most difficult items
(Noel Clary, USA, Aug 17, 1998)
Question:
I have created my own database on plumbing and air conditioning. My forgetting index is quite high. Are there any tools in SuperMemo which could help me remedy this situation?
Answer:
You might want to use View : Other browsers : Leeches and locate the elements that cause most problems in learning. You must then go into your own mind to answer the question why these elements are hard to recall. Usually these are too complex, too long, too boring or too similar to other elements in the same collection. You can also send 3-4 most difficult items to us for review to receive some suggestions. Read more: Leeches. You could also have a look at: 20 rules of formulating knowledge in SuperMemo

You do not have to interrupt repetitions to forget or dismiss an element
(Josef Holubik, Czech Republic, Sep 13, 1998)
Question:
When I make repetitions, I would sometimes like to use Forget or Remember but I only have grade buttons available. Do I have to stop the repetition cycle?
Answer:
No. You can use Ctrl+R for Forget and Ctrl+M for Remember. In both cases, you will continue with the next item in the repetition schedule as soon as resetting or recommitting an item is completed

Completing the final drill is not essential
(David Mckenzie, New Zealand, Sep 3, 1998)
Question:
What should you do if you don't complete the final drill for the day? Thoughts are: 1. Delete it, 2. Complete it first thing next day, 3. Complete it the next day, but with other final drill items. (I usually do 3.)
Answer:
It would be best to go through the final drill every day. Second best would probably be to delete final drill (Learn : Cut drills). This comes from the fact that all repetitions made on dates different from the original schedule interfere with computations made by SuperMemo. You can simply fool SuperMemo into believing that you know an element better than it is indicated by the history of repetitions. Finally, it would be worst to go through final drill before repetitions on the next day (for the same reason as above). The picture gets more complicated when your first interval for forgotten items is relatively long (e.g. over 5 days). In these circumstances doing the final drill on the next day might be more profitable than not doing it at all

You can always delete the final drill
Question:
I noticed that File : Repair collection does not recover the final drill queue. What if drill.dat file becomes damaged? Will that make learning impossible?
Answer:
No. drill.dat is a temporary file and can always be removed with Learn : Cut drills with little damage to the learning process. This file can also be deleted manually

There is learning material available for download
(Roger Dykes, USA, May 20, 1998)
Question:
What ready-made learning material is available there for SuperMemo?
Answer:
See SuperMemo Library.
Note that all collections for SuperMemo 8, SuperMemo 98/ 99 or SuperMemo 2000 can be upgraded to SuperMemo 2002 by simply opening them with File : Open collection

You can easily repeat sounds, display translation or phonetic transcription
(Tomas Klinkovsky, Czech Republic, Aug 7, 1998)
Question:
How can I do the following actions using the keyboard in Advanced English:

  • translating texts
  • displaying phonetic transcription
  • repeating the sound

Answer:
You can repeat sounds with Ctrl+F10. You can also display translations with Alt+U and the phonetic transcription with Alt+Y

You can change the sequence of learning particular elements
(John Gibney, Australia, Sep 1, 1998)
Question:
What is the simplest way to determine the order in which elements are memorized?
Answer:
You can sort the pending queue in the order of the element appearance in the knowledge tree by using File : Tools : Sort pending by contents. You can also set individual element ordinal numbers and choose File : Tools : Sort pending by ordinals. Finally, you can search for individual elements and memorize them individually with Ctrl+M

You can remove all information about the learning process
(Mariusz Szepietowski, Poland, Dec 7, 1997)
Question:
How can I remove information about the learning process from a collection? I would like to start learning all over again from scratch?
Answer:
Use File : Tools : Reset collection. At the end of this process choose sorting the pending queue either by contents or by ordinals (e.g. as in Advanced English)

You can backup learning in large collections
(Michal Grodzki, Poland, Aug 20, 1998)
Question:
You advice the users of Advanced English to make back-up copies with File : Tools : Export : Learning process. However, this does not back up the material introduced by the user. What is the best solution in a case when I want to add lots of my own items to Advanced English?
Answer:
You might try one of the following:

  1. Keep your own material in a separate collection. You can back such a collection by compressing the <collection name>.kno file and the <collection name> folder into a single archive (e.g. with WinZip)
  2. If you prefer to add your items to Advanced English (e.g. in order to be able to search all material in one go), you might back up the contents of a single branch by transferring it into an empty system with Tools : Transfer branch on the contents pop-up menu or by exporting it as text with Tools : Export as text (also on the contents menu). You can later restore your back-up after reinstalling Advanced English with Tools : Transfer branch in the opposite direction or with File : Tools : Import : Text in the latter case

Knowledge tree does not play a role in learning
(Nita L. Wunderlich, USA, Aug 24, 1998)
Question:
How can I make a good use of the knowledge tree in the learning process?
Answer:
Structuring knowledge by means of the knowledge tree is not very important for the learning process itself; however, it greatly simplifies managing large bodies of facts pertaining to different subjects. The knowledge tree is best managed by means of knowledge categories. Read more: Using categories

You can see the exact history of repetitions of a given item
(Dr Janusz Murakowski, USA, Nov 18, 1997)
Question:
What is the meaning of Full History of Repetitions in Tools : Options : Learning? How can I see the history of repetitions?
Answer:
With Full History of Repetitions, all individual repetitions are recorded in a separate file (\info\reps.dat ))). Information about the history of repetitions of a given element can be viewed by double clicking the element data window or choosing History in element parameters dialog box available from element menu. You can also use the keyboard shortcut Ctrl+Shift+H to view the history of repetitions of the currently displayed element

You can view all pending elements in a given branch
(Shaun Hoffland, UK, May 25, 1997)
Question:
How can I view all pending or dismissed elements in a given branch in the knowledge tree?
Answer:
Probably the simplest method is to:

  • select the node in the contents window
  • choose View : Selected branch on the contents menu (available with right mouse button click) or press Shift+Ctrl+Enter
  • choose Child : Pending or Child : Dismissed on the browser menu (also with the right mouse button click)

After the above sequence of operations, the browser will contain only the pending or dismissed elements belonging to the selected branch

Show answer stage may be skipped
(Anatolyi Lipatov, Ukraine, Aug 28, 1998)
Question:
When I add new elements in the contents window, it happens that the repetition cycle skips showing the answer even if the answer component is marked as Answer. Is it a bug?
Answer:
No. This is a standard behavior for topics. You must check Type : Item on the element menu. Topics are used in passive overview or reading. They do not respect the Answer attribute on the component menu. They are just shown as they are and expect you to click Next repetition (i.e. skip Show answer and grading) (see also: Topics vs. items)

You can quickly make repetitions in a selected subset of the learning material
(Mike Condron, Saturday, January 06, 2001 5:22 PM)
Question:
Is it possible to make all outstanding repetitions related to a narrow subject; for example to the abdominal aorta? Say I have an exam tomorrow and not enough time to make all outstanding repetitions
Answer:
Yes. Search for "abdominal aorta" (e.g. with Ctrl+F) and choose Learn on the browser menu (e.g. with Ctrl+Alt+L)

You can make repetitions in a single branch
(Patrik Nilsson, Tue, Aug 21, 2001 11:24)
Question:
Is it possible to have different priorities of items in the pending queue? E.g. if I first want to memorize what about school and then all kinds of hobbies?
Answer:
Pending queue is linear but can be sorted by various criteria. However, the recommended solution in your case is to keep school and hobby material in different branches or different categories. Then you will be able to use branch learning. For example, select School branch in the contents window and click Learn (or choose Ctrl+Alt+L)

If you disregard the grading system, your learning progress will be negligible (#3762)
(Michal Ryszard Wojcik, Poland, Tue, Feb 20, 2001 13:45)
Question:
I've been coasting along with my German collection. I gave a 5 for a fully correct response and a 4 for a mistaken response. I was taking it easy. I'm going to keep using my German collection like that. It does not burden me and it keeps my German in memory
Answer:
You could spend your time better by just watching some German TV channel. This method will have negligible effect on your knowledge. Grade Bright ( 5) will keep the easy core of your knowledge in memory. Grade Good (4) will produce short-lived refreshments with a negligible long-term effect. This is nearly the exact statistical replica of your encounters with knowledge in traditional language learning assuming your collection is representative of the language. This means that there is no special treatment of forgotten pieces. In other words, this is not the SuperMemo method and using SuperMemo here verges on a waste of time. You could read some good German book in this time and kill two birds with one stone (learning the language and learning the subject matter)

Mnemonic techniques should be used on items that are difficult to remember
(Adam, Australia, Sunday, August 05, 2001 3:26 AM)
Question:
I have 673 items in my Chinese-English-Chinese database. Some items are very hard. The Leech dialog box comes up over and over again, and I do not know how to get rid of it. I want to keep difficult items in the database. Should I reset the items, i.e. send them back to the pending queue?
Answer:
Chinese is inherently difficult to a European or to an American. Some items may comply with 20 rules of formulating knowledge and still fall into the leech category. The only solution is mnemonic techniques. Please have a look at mnemonic websites to look for techniques that would best match this kind of material. A popular way of learning ideograms is to build pictures nested in their skeleton. If pictures are semantically related to the English word, the recall may become far easier. With time, you will develop a subconscious skill of visualizing ideograms in your own way with benefits to recall

Use Reschedule on a branch to progressively introduce new elements to the learning process
(Justin Wilson, USA Educational, Monday, August 06, 2001 3:39 AM)
Question:
I wish to have certain branches progressively added to the learning process, at a certain specified rate such as 2 items/day. I have tried the Spread option, but it seems it did not do what I wanted because today my learning process had 90 items in the Final Drill as opposed to the normal 10-15
Answer:
Using Spread is still probably the best way to accomplish your goal. If you use Learn : Cut drills, you will eliminate the final drill queue with little damage to the learning process. The only major shortcoming of using Spread is that many elements will enter the learning process with the first interval much longer than usual. However, it should not affect the learning process much if your branches are of similar difficulty as the rest of the material, or if they do not make a large proportion of memorized items

Wrong recall may indicate memory interference
(Mike Condron, Tuesday, September 18, 2001 2:39 AM)
Question:
Why no recall is scored less than a wrong recall? Suppose I'm trying to remember "What's the capital of Canada?" and I answer "Warsaw." This seemed to me to be a much worse state of affairs than "I don't know"
Answer:
Wrong answer may put you in more trouble or shame in life, but we are interested in the state of memory here. Wrong recall is usually caused by interference from other memories and is less indicative of lost memory traces. Zero recall, on the other hand, is a clear indication of lost or severely disrupted memories. Your grades should penalize you solely for poor memory performance. However, you can use the forgetting index, Learn : Reschedule on the element menu, or other tools to ensure that mission-critical pieces of knowledge stay permanently etched in your memory. In other words, you should never grade yourself more harshly on important material as this will fool SuperMemo as to your performance

Resetting the measured forgetting index
(Peter Cool, The Netherlands, Nov 6, 1998)
Question:
I started with SuperMemo 70 days ago (your French plus some words added by me; total 1000 words). In the first weeks I made a lot of mistakes so my measured forgetting index was 20%. Although I make very few mistakes now during repetitions the forgetting index decreases very slowly. Is this normal?
Answer:
The measured forgetting index includes the record of all repetitions made since you started learning. That is why it changes at an ever decreasing rate. If your performance is good and you would like to more accurately check your current forgetting index, you might reset the forgetting index measurements with File : Tools : Reset parameters : Forgetting index record. It will not affect the learning process per se

Forgetting index vs. retention
(Tomasz Szynalski, Poland, Oct 18, 1998)
Question:
What value of the forgetting index ensures the optimum ratio of (retention)/(time spent per day)?
Answer:
Paradoxically, the highest speed of learning can be accomplished ... without SuperMemo! In our daily life we pick up lots of facts that stay in our memory for long with few repetitions in lifetime! The problem is that these are usually not exactly the facts or rules that are critical to our goals. In other words, not the speed of acquiring new items counts but the speed of acquiring new items bearing a given content.

It is difficult to determine exactly what forgetting index brings the highest acquisition rate. Simulation experiments have consistently pointed to the value of 25-30%. You can even plot speed-vs.-forgetting graph using your own actual learning material in SuperMemo 98 using Tools : Statistics : Simulation. You will probably also arrive to similar results

As you perhaps know, SuperMemo disallows of the forgetting index above 20%. This comes from the fact that you should aim at achieving high speed of learning combined with high retention of the learned material. Setting the forgetting index above 20% would be like giving up SuperMemo altogether and coming back to remembering only that what is easy to remember. In highly interlinked material where new knowledge depends on the previously acquired knowledge, high forgetting rate can even be more harmful

Nevertheless, if you want to maximize the speed of learning with little control over what actually stays in your memory, set the forgetting index to 20%

Learning in portions
(Robert Szumilo, Poland, Jan 3, 1999)
Question:
What is the optimum approach to making repetitions with SuperMemo: one long session or a few smaller sessions (e.g. main repetitions in the morning and the final drill in the evening)?
Answer:
For psychological reasons, the quality of learning should increase substantially when working in separate sessions, esp. if the number of repetitions surpasses 100 per day. Additionally, a break before final drill is useful due to the spacing effect (more exactly: the lag effect here). The danger of this approach is ... you can easily drive yourself into a situation in which you will spend excessive proportion of your day on repetitions (in the future when your schedule changes you might have problems with keeping up with your present pace)

Repetitions vs. lapses
(Christian Roessel, Germany, Jan 10, 2001)
Question:
I found items that have fewer repetitions than lapses. What is the interpretation of Repetitions?
Answer:
Repetitions in the element data window do not show the actual number of repetitions of the displayed element. Repetitions display the number of repetitions since the last time the element was forgotten (it includes the use of the button Forget). To get the actual number of repetitions you can inspect the repetition history with Ctrl+Shift+H (or with double-click on the element data window). To see repetition history you need to be sure Full repetition history is checked in Tools : Options : Learning

Sub-optimum intervals
(Manfred Kremer, Germany, Sep 7, 1998)
Question:
I noticed that frequently I get Optimum Interval in Element Data window shorter than the last interval displayed as Interval. Is it a bug in SuperMemo?
Answer:
No. If your forgetting index is very low, e.g. 3%, SuperMemo will often conclude that you will stand 97% chance of remembering a given element only if your next interval is shorter than the presently used one. In such cases, it will not accept the new value and the new interval will be at least 5% longer than the previous interval. Please note that the forgetting index equal 3% should only be used for selected high-priority items. Keeping the forgetting index at this level throughout the collection will make repetitions annoying frequent and ineffective

To avoid the rigid repetition schedule ignore the statistical indicators
(dansujp, Sun, Sep 16, 2001 3:07 PM)
Question:
I dislike the fact that SuperMemo forces a repetition schedule on the user.
Answer:
The schedule is a result of the algorithm that takes retention criteria as guidance. As a result, it is not SuperMemo that determines the schedule but the state of the student's memory. The simplest way of living with this rigid plan for repetition is to stop looking at the Outstanding field. If you ignore the statistics, SuperMemo will let you make your repetitions at irregular intervals. If you come too late, it will simply not schedule new material, and reduced retention will generate more workload

You can sort repetitions
(P.M., Aug 28, 2001)
Question:
How can I sort repetitions from low to high intervals?
Answer:
You can sort your repetitions by the length of the interval using the following method:

  1. choose View : Outstanding
  2. click Interval twice at the top of the browser window (to sort from the lowest to the highest intervals)
  3. choose Tools : Save repetitions (on the browser menu)

SuperMemo cannot change the date of the last repetition
(Patrik Nilsson, Thursday, September 20, 2001 1:18 PM)
Question:
Is there anyway of retaining the repetition interval when doing Mercy?
Answer:
No. Intervals are defined as the period between the last repetition and the time when the next repetition should be scheduled. You cannot change the former (otherwise you would fool SuperMemo as to how strong your memories are). If you change the scheduled day of repetition, the interval will change accordingly

Setting a queue of branches for learning
(M¯, Poland, Wednesday, October 11, 2000 7:57 PM)
Question:
I need an option "Set branch learning queue". For example: at the beginning repeat branch X, then Y, and Z, etc.
Answer:
You can create a subset with those branches in sequence. Then you can choose View : Subset and Learn (Ctrl+Alt+L). However, if you add new elements to one of the branch, you will also need to insert them into the subset

You can learn and review your exam subject (#908)
(CMaggio99, Thursday, May 02, 2002 11:08 AM)
Question:
I would like to be able to test myself on one particular topic or set of topics (i.e., lecture notes) when an exam is coming up. How would I do this without having to learn non exam pertinent material?
Answer:
You have several options. If you start learning early enough (e.g. several months in advance), it may appear that you do not overload the learning process and can retain all material in memory with the programmed retention. Otherwise, you could do OR-search to provide a search definition for your particular exam and use Review (on the Process browser menu). You could also save all material belonging to a given exam in a subset. You could also keep separate exams in separate branches of the knowledge tree. Always use Review (mid-interval repetition) on your branch, subset or search definition to ensure you maximize your retention (even beyond the retention programmed in SuperMemo).

You can sort items by intervals
(E.G., Poland, Monday, October 09, 2000 12:33 AM)
Question:
How can I sort items from long to short intervals?
Answer:

  1. Choose View : Memorized (to see all memorized elements)
  2. Choose Child : Items on the browser menu (to see all memorized items)
  3. Click Intrv (i.e. the top of the interval column) (to sort items from longest to shortest intervals)
  4. If you want to save the item sequence in the repetition schedule, choose Tools : Save repetitions

Randomizing repetitions in a subset
(Forum, May 24, 2002)
Question:
Is there a way to randomize your learning within a subset?
Answer:
You can execute outstanding repetitions in a subset in a random sequence:

  1. open the subset
  2. choose Random : Randomize browser on the browser menu (Shift+Ctrl+F11)
  3. choose Learn on the browser menu (Ctrl+Alt+L)

Use Ctrl+M to introduce elements to the learning process
(John McGrath, Netherlands, Wed, May 29, 2002 10:35)
Question:
I have just purchased the Dutch collection. The problem is that I can not work out how to select which items from the 2,500 items should be first introduced to learning
Answer:
You can use navigation (e.g. the contents window, browser, etc.) or search tools (Ctrl+F) to locate items o interest and then choose Remember (Ctrl+M) to introduce them into the learning process. You can also use Learning : Remember in the browser to introduce many elements at once. For example, search for a difficult word with (Ctrl+F) and memorize all items that use this word with Learning : Remember on the Process Browser menu

SuperMemo leaves the memorizing rate in your hands
(Patrik Nilsson, Tuesday, October 02, 2001 5:56 PM)
Question:
Is it possible set the first repetition to start in 14 days and a new element appear every second day?
Answer:
No. SuperMemo does not provide tools for scheduling pending items. You have to choose Learn : New material manually on the 14th day and repeat that procedure every second day. Alternatively, you could introduce all these elements into the learning process, change the date to the 14th day and reschedule the branch in question with an average of one element every second day. In this case, all elements that score well in the first repetition will be sent to remote intervals in accordance with the spaced repetition algorithm

You can copy your learning material or your learning process from one computer to another (#7293)
(Jarowiecki, Pawel, Poland, Thu, Oct 11, 2001 15:20)
Question:
How can I transfer my learning status from one machine to another?
Answer:
The simplest method is to transfer the entire collection with File : Copy collection. If you do not edit your learning material on one of the computers (i.e. use it for learning only), you could also use File : Tools : Export : Learning process (to export your learning progress from one computer) and then File : Tools : Import : Learning process (to import it back on the other computer)

You should always keep your date correct in your computer
(anonymous, Sat, Oct 20, 2001 1:49 AM)
Question:
Is it ok to play with the system clock behind SuperMemo's back?
Answer:
No! SuperMemo optimizes repetition dates using the record of retention in time. If you change the date in your computer, you will not only make your repetitions be scheduled sub-optimally, but you will also damage the data model that will affect all future repetitions. You should pay utmost attention to making sure your system date is correct. If you want to reschedule outstanding material, use rescheduling tools such as Postpone, Mercy or Dilute

Postpone does not conflict with the idea of SuperMemo
(Beta, Maxim, Poland, Mon, Feb 04, 2002 20:04)
Question:
I see that you invested a lot of time in Postpone options. However, what is the sense of using Postpone if this increases intervals beyond the optimum?
Answer:
Postpone makes it possible to bridge pure SuperMemo with traditional HIHO learning (high-in, high-out, i.e. lots of reading, lots of forgetting). You can start your day with creative reading, browser, studying, learning material in all interesting fields. Then using Postpone, you can narrow this to strategic knowledge in your professional field. Then you can Postpone all topics and focus only on repetitions of the old material. Towards the day's end, you can focus entirely on mission-critical knowledge (e.g. as identified by low requested forgetting index). Your overall forgetting rate will be naturally higher; however, your core material will retain high levels of knowledge retention. Instead of having 200 elements scheduled for repetition, you may get 4000 of which a large portion will only be reviewed stochastically. Only the core 50-100 elements per day will be repeated with full adherence to pure spaced repetition

New elements are memorized automatically
(Beta, Fri, Mar 22, 2002 13:37)
Question:
Why does SuperMemo automatically memorize all items I add with Add New?
Answer:
The learning process in SuperMemo 2002 is by far more efficient an optimization tool than the linear pending queue of the earlier versions. Memorizing all new material occurs by default and is the recommended course of action. You can remove elements from the learning process with Forget (Ctrl+R) or by means of the subset and/or branch operations. This new default behavior reflects the new strengths of the program. The pending queue might be used only as a reserve tool for material that can be memorized with substantial delay

You can react to items forgotten in mid-process
(Beta, Feb 07, 2002)
Question:
When I review some branches, I often find items that I have forgotten. In the past, all I could do was to rememorize them. Can SuperMemo 2002 handle it in a more intelligent way?
Answer:
Yes. You can execute a mid-interval repetition (Ctrl+Shift+R) with a failing grade. This will let SuperMemo correctly interpret that status of the forgotten item, upgrade its difficulty and modify learning optimization parameters accordingly. You can also use this procedure to score a passing grade on items you know well. SuperMemo will delay the next repetition accordingly

Postpone simulation will not be replicated at Postpone
(Beta, Sweden, Feb 09, 2002)
Question:
I simulated Postpone and got Average delay interval: 58 days. Then I ran Postpone and got 62 days instead
Answer:
Postpone is partly stochastic due to random interval dispersion (as in standard repetitions). For that reason, your results will always differ slightly in each simulation run and in the actual Postpone

Browsing past repetitions is inclusive of elements that have been dismissed or made pending
(Beta, Feb 06, 2002)
Question:
Why I have 10 topic reviews on a given day in statistics, while the browser opens 11 topics on that day?
Answer:
The workload statistic includes only repetitions and topic review. The browser opens also elements that have been dismissed on that particular day (i.e. not necessarily reviewed). In your case, you might have had 10 topics reviewed and one topic dismissed (e.g. after search)

Set the category forgetting index to zero to use the default forgetting index
(Beta, Czech Republic, Sun, Feb 17, 2002 14:27)
Question:
SuperMemo sets the forgetting index to 10 even if my default is 3
Answer:
New elements get the category default forgetting index. This is 10 in your case. To make new elements use the default forgetting index, set the category default to 0

Checking the outstanding material
(Beta, Romania, Fri, Mar 22, 2002 13:37)
Question:
The disabled Learn button could be a very useful indicator of Outstanding=0+0+0. Now, every day I must choose Ctrl+W to view what is the situation in my collection
Answer:
The recommended way of inspecting the number of outstanding elements on a given day is via the status bar which can be saved in the displayed state in the default layout. In addition, for higher screen resolutions, the Statistics window is the best quick-glance tool for inspecting the statistics. It can also be saved in the default layout (Ctrl+Shift+F5). Moreover, it is rather a rare occurrence to have no outstanding material for a selected day. Even 2-3 minutes of work per day will ensure there are some repetitions in the process on the assumption you work regularly and keep your knowledge in a single collection. Single body of knowledge is highly recommended, esp. if your learning is not intense. The greater the learning sample, the better the optimization work done by SuperMemo in scheduling repetitions

Use Enter to proceed through the repetition cycle
(Beta, Fri, Mar 08, 2002 19:31)
Question:
Each time I press Ctrl+R (Forget) I must click Learn again
Answer:
You can use Enter to proceed with the next repetition

Daily and Monthly workload averages
(Beta, Sean Toner, United Kingdom, 25/03/2002)
Question:
In workload, I have the totals of 37 for Mar 27, 46 for Mar 28, 53 for Mar 29, 49 for Mar 30, and 47 for Mar 31. If I press the Monthly tab, 7.5 is displayed for March. This number appears meaningless
Answer:
Use Daily Workload to see the average of items scheduled for the remaining days of the given month. Use Monthly Workload to see averages for whole months

SuperMemo may ask you questions you have never seen before
(Jon, Thu, May 30, 2002 20:12)
Question:
I have bought several collections. When viewing for the first time, should I just click Learn? Something doesn't seem quite right about this because I have to guess the answer and rate it before I have even seen the answers at all
Answer:
You are right that in your case immediate viewing of the answer would be equally effective and even faster. However, usually there is a proportion of material the student already knows. In such cases, using Show answer and grading helps eliminate items from the first final drill. If you do not know the answer, you can press Show answer and grade yourself Null on all items. Naturally, you should still pause and try to remember. In the early days of SuperMemo, users usually created their own question-answer material. This behavior has been inherited from those days. There is no simple way of pointing which elements are already known. If know none of them, you could, theoretically, execute Remember in the browser, but again, you will be shown question during the first repetition. At that time, SuperMemo will make the first determination of A-Factor (difficulty estimation), which makes sense only if you have been exposed to the material while memorizing it. In short: use Learn to memorize material even if you know no answers

SuperMemo adjust intervals to the selected retention level
(Ole Fürstenau, Germany, Tue, Jun 04, 2002 17:06)
Question:
When I append a new word and learn it immediately, I want to be asked this word the next day
Answer:
You will need to set the interval manually (e.g. with Ctrl+J). SuperMemo will always choose an interval that complies with your target retention level. Choosing shorter intervals slows down learning and will often reduce retention in the long-run (due to the spacing effect). For those reasons, reducing interval manually is NOT recommended. For vital pieces of information, you can reduce the forgetting index of individual items

Response time is never taken as longer than 30 seconds
(Jens, supermemo Quito, Ecuador, Friday, May 31, 2002 7:25 PM)
Question:
I wonder if the statistics are severely affected if I accidentally leave the computer while about to answer a question?
Answer:
No. If you keep on thinking for longer than 30 seconds, SuperMemo will cut off the extra time. In no circumstances should you need to spend more than 30 seconds on an item. Long response time call for review of item formulation. Hence the cut off.

You can learn more details of past repetitions from Repetition History
(Patrik Nilsson, Monday, December 24, 2001 11:04 AM)
Question:
How can I count the number of lapses on an element during its life (also before Forget, Dismiss, etc.)?
Answer:
You can use Repetition History on the element menu (Ctrl+Shift+H). For this to work, you need to have Repetition History set on in Options

You can turn Final drill off
(Arne-Johannes.Jenssen, Norway, Friday, August 23, 2002 1:17 PM)
Question:
Why no elements are added to final drill even if they were graded below Good?
Answer:
Final drill can be manually turned off. Please check Tools : Options : Learning : Skip final drill if it is unchecked

You can define default element in SuperMemo
(Patrik Nilsson, Friday, November 16, 2001 9:54 PM)
Question:
One annoying thing is when you start SuperMemo you can see the answer of the next question. Please put a blank window up first
Answer:
You can solve this problem by defining the default collection element with Tools : Options : Data access : Default element

You can determine which element is presented when SuperMemo starts
(Shaun Hoffland, United Kingdom, Sunday, October 06, 2002 9:12 PM)
Question:
I do not like the idea that the first element that is presented upon SuperMemo start up is the element, which had last been viewed before SuperMemo was closed on the previous day. Is there a way to change it?
Answer:
Use Tools : Options from the main menu, click the Data access tab, and change the default element by clicking on the folder- tree button (to the right from the Default element text box)

"Final drill?" message may be suppressed
(Tomasz.Olszewski, Poland, Friday, October 18, 2002 2:29 PM)
Question:
When I finish my learning, I do not see "Final drill?" like in earlier versions
Answer:
"Final drill?" message may be suppressed when you begin working with a new collection. Because this message used to confuse beginners, it is displayed only (1) if your level is greater than Beginner and (2) if you have more than 100 elements memorized

"Nothing more to learn" shows up when all learning queues are empty
(jude kendall, Wednesday, September 04, 2002 8:03 PM)
Question:
When I use Learn on the ABC collection I go through all the questions many times and I never get to the "Nothing more to learn" popup window.
Answer:
"Nothing more to learn" shows up when all learning queues are empty. In standard learning (your case), this means that there must be no outstanding elements in the learning queue, no elements in the pending queue, and no elements scheduled for final drill. In subset learning, there must be no outstanding elements and no pending elements included in the learned subset (subset learning does not run through the final drill). As repetitions clean up both outstanding and pending queues, only the final drill queue can run indefinitely (i.e. elements taken from the front of the queue can be put back at queue's end). In your case, it is most likely that you simply never give a drill passing grade to one or more elements taking part in repetitions (e.g. you click a wrong answer in the multiple choice test). To test for this possibility, use Learn : Cut drills to make sure your final drill queue is empty. If you use drill passing grades (i.e. Good or Bright), you should eventually see "Nothing more to learn". The smaller your collection, the faster this will happen. Read also about grades and the repetition cycle

You can count lapses in a subset
(Patrik Nilsson, Tuesday, December 18, 2001 11:53 AM)
Question:
How can I see how many memory lapses occurred in a given subset of elements?
Answer:
You could try two methods:

  1. Filter your collection for a given level of lapses and intersect the result with your subset (use View : Filter and Subset : Intersect)
  2. Open your subset, sort it for lapses (Sort : By forgetting) and count lapses groups

Medical Biology can be mastered within a year
(gobind, Monday, December 23, 2002 6:05 AM)
Question:
It is not understood how one would go about tackling an enormous collection - say Medical Bio Mix - and use the underlying scientific methodology of the SuperMemo program
Answer:
10,000 items included in Medical Biology are not many as for SuperMemo standards. With one hour daily investment, you should be able to memorize the whole material within a year. The material is sorted by difficulty. This way you shall begin with simple basic knowledge that may already be familiar for you.

As there is no explanatory material, you would best combine learning with some incremental reading. If you encounter an unknown concept, e.g. "giardiasis", you can search the whole collection for "giardia", and introduce relevant elements to the learning process with Ctrl+M (Remember). If this does not help, you could search the net for some materials about Giardia and process them simultaneously with incremental reading. As you clear the initial obstacles, your learning process will accelerate and the material will no longer look intimidating.

As some portions of medical knowledge undergo constant change, you should also import additional articles to accompany items marked with a date. For example, if you get a question about the speed of sequencing DNA, you should check up-to-date sources as the progress in the field is lightening.

Important! If you ordered various pieces of Medical Biology mix separately, you can merge them all by using File : Merge collection. After this merger operation, you will yet need to sort the pending queue by ordinals with File : Tools : Sort by ordinal. This is to makes sure that the pending queue (i.e. the order of learning) is sorted by difficulty

Optimum timing of the final drill
(Andy Y. Lin , USA Educational, Friday, October 03, 2003 4:21 PM)
Question:
When is it best to do the final drill? Right after I finish the regular scheduled repetitions, or wait until the end of the day?
Answer:
It is very difficult to provide a solid algorithm. You can best try both methods for some time and see how it works for you. The problem is that you need to balance two forces: 1. on one hand, the later you take the final drill, the better in terms of avoiding the recency effect 2. on the other, later hours may make you less alert; as this is partially a defense against short-term memory overload, your efficiency may drop. As the alertness is strictly related to your circadian rhythm, the amount of sleep, the amount of prior learning, napping, etc. it is difficult to provide a prescription that would work for everyone. The simplest formula would probably be: do the final drill as late as possible within your optimum mental effort hours.

Note that optimizing final drill is not likely to make a major effect on your overall learning results. You could then simplify the formula even further: do the drill when you like it most

Very long intervals
(Vinh L , Wednesday, February 19, 2003 12:26 AM)
Question:
Is there a way to shorten the intervals instead of lowering the forgetting index? The problem is that I have over 4500 items that use mnemonics, and 1000 items that don't use mnemonics. All these items are treated the same. The non-mnemonic items get too long intervals.
Answer:
You can shorten the interval with Ctrl+J or Ctrl+Shift+R. The uniform treatment of easy and difficult items is a problem only at the first repetition. Once you provide failing grade on difficult items they will be considered "harder" and their intervals will shorten automatically. Before the first grade, however, SuperMemo has no way of knowing which items are difficult and all items get the same treatment. The length of the first interval will depend on the average difficulty of knowledge you learn. It can change over time. The longer the first interval the better! The long first interval is the evidence of your knowledge being well-structured on average. Unless you cannot "afford" forgetting and you need knowledge "right now", you should rather let SuperMemo handle the first repetition. Your first interval will be adjusted to your requested retention level (e.g. 95%). In your case, most of the forgotten items will naturally fall into the difficult category. If you start shortening the intervals on difficult items, you will improve the recall at first repetition, possibly increase the length of the first interval even further, and violate the principle of space repetition, which says that an early repetition may bring a better recall today but a poorer memory in the long run (due to the spacing effect)

Random Tests should not be part of your daily learning
(IngLand, Canada, Monday, February 18, 2002 7:35 PM)
Question:
Is my understanding correct that part of the theory supporting SuperMemo is that repetitions that are spaced to occur too frequently will actually interfere with the learning process of those items? In this regard, I am wondering whether it is advisable to avoid running the Random Tests feature on a frequent basis
Answer:
You are right. Random Tests will interfere with the learning process. This is not primarily due to forming "weaker" memories, but mostly by fooling SuperMemo as to your true learning performance. If you get an item in a random test shortly before an actual repetition, you are likely to send the next repetition to a distant future. In addition, Random Tests are just a waste of your time. If you ask SuperMemo to keep a given level of knowledge retention and do your repetitions in time, you do not have to worry about the "safety" of your knowledge. Your time will better be invested in learning new material or other creative activities.

If you are facing an exam, it is far better to use mid-interval repetitions. This helps SuperMemo reflect the impact of the review with minimum damage to the learning process and minimum increase in the overall workload. See: Subset review

There is no optimum number of items to learn or repeat daily
(Simon Jacques, Monday, March 04, 2002 10:20 AM)
Question:
I cannot find any information concerning the optimum number of items one should include for one repetition sitting or the optimum amount of time one should spend in one repetition sitting
Answer:
A universal optimum number of daily repetitions cannot be determined. It strongly depends on many factors such as:

  • advancement level of the user (the more advanced the user, the more (s)he can take in one go)
  • difficulty of the material (the harder the material the less you can take)
  • time of day in reference to the circadian cycle (when you are fresh and alert you may be several times more efficient than when you are sleepy)
  • personality (some users are able to patiently slog for four hours, others get impatient after 5 minutes)

There is one guiding criterion though: enjoyability! If you like your repetitions, you can go on as long as you feel like. If you start feeling tired or impatient, you may only condition yourself to dislike SuperMemo. This can be the first step to never succeeding. Enjoyability is proportional to your ability to formulate knowledge, your mnemonic skills, your alertness, your ability to avoid stress, your love for learning, your hunger for knowledge, the applicability of knowledge, your understanding of SuperMemo and its limitations, etc.

Recommended reading:

  • SuperMemo Decalog
  • 20 rules of formulating knowledge in learning

Deciding between Pass and Good does not determine your success in learning
(Ole Fürstenau, Germany, Saturday, July 20, 2002 4:33 PM)
Question:
I know that an item that I judge Bad or Fail will be repeated sooner than one that I mark Good. But what about the items that I mark Pass?
Answer:
The main boundary is between Pass and Fail. Pass means "I remember well enough". Fail means "I failed to remember to my standard". Good is simply slightly better than Pass. Good will also statistically produce slightly longer intervals. However, if you are not sure when to use Good and when to use Pass, you can use Pass then when you want an item to appear again in the final drill. The only place where grades are very important is where you distinguish between Pass or more, and Fail or less. Differences between Pass, Good and Bright are less important. Differences between Fail, Bad and Null are less important. Beginners can limit their grading to Good and Fail and still do well in learning

Retention and Back-retention refer to the same set of items tested for recall at different times
(Mike Condron, Wednesday, July 24, 2002 10:54 PM)
Question:
In the Workload screen, the option Retention sometimes shows a number, and sometimes something like "75.5->84.2". What does this mean?
Answer:
In Workload : Retention, the single number or the first number in the pair denotes the retention as measure during repetitions. This is the percent of correct recall on this given day. The second number is back-retention. It shows the percent of correct recall on items repeated on this given day as measured in future repetitions. Back-retention is meaningless until the first recall of items repeated on the selected day is attempted. This is why it is not displayed until some time after the day selected in Workload. In your example, you remembered only 75.5% of the material on the inspected day. But later on, you were able to recall 84.2% of the material repeated on that same day. Both measurements refer to the same material

100% recall is unlikely
(d c bulldog, Monday, July 29, 2002 3:44 AM)
Question:
I'm beginning to try to learn the definitions to a long list of words, and I would like to remember them with 100% accuracy
Answer:
With a growing sample of the learning material and over longer periods of time, 100% recall becomes a statistical improbability. For practical reasons and for very satisfactory results, you can aim at 95% recall (i.e. the default forgetting index of 10%). You can also increase recall by redundancy (i.e. formulating the same material in several ways) and proper formulation (e.g. mnemonic techniques), but both require lots of experience and patience. Default settings in SuperMemo should suffice for most applications

Spreading elements without changing the pending queue
(Nathan Forsdyke, Friday, August 02, 2002 12:46 PM)
Question:
The main disadvantage of Learning : Spread in subset operations is that all pending elements lose their pending status
Answer:
You can open your element set in the browser and choose Child : Memorized before you use Learning : Spread. This way, only memorized elements will be processed

You can determine the length of the interval manually
(Aaron Koller, USA Educational, Friday, September 27, 2002 7:11 AM)
Question:
Is it possible for a user to manually determine the length of the first interval?
Answer:
Use Learning : Reschedule (press Ctrl+J alternatively) from the element menu

You can transfer your learning material between SuperMemo for Windows and SuperMemo for Pocket PC
(Marco van Damme, Netherlands, Nov 28, 2002)
Question:
I would like to export my learning material from SuperMemo for Windows to SuperMemo for Pocket PC
Answer:
See: Revolution in the Pocket

You can easily inspect the number of outstanding repetitions (#164)
(C.Vermeer, Netherlands, Monday, November 18, 2002 9:40 PM)
Question:
I am a user of SuperMemo for Palm Pilot, who has recently bought SuperMemo for Windows. While learning in the Palm version, I have got used to the solution that each time I run it, in the first opening screen, the program shows if I have any outstanding material to rehearse. However, I do not see similar solution in SuperMemo for Windows. Is there an option that would make it possible for me to easily inspect if I have any repetitions to make on a given day?
Answer:
 You can inspect this information by peeking at the status bar, which is displayed at the bottom of the screen. If you do not see the status bar, there are two possible causes to that:

  1. You are in the Beginner level, in which the status bar is not displayed. You can turn it on by switching to the next level with File : Level : Basic
  2. You have turned the status bar off. If you would like to turn it on, choose Window : Status bar from the main menu

Alternatively, you can display the statistics window, in which you can inspect the learning parameters of your collection. To view the statistics window, choose Window : Layout : Classic or press F5

You can use SuperMemo for fast review too
(pirbos, Sweden, Tuesday, December 03, 2002 11:09 AM)
Question:
I would like to use SuperMemo for concentrated learning as well as long-term learning. I understand that relying on the SuperMemo algorithm for spaced repetitions guarantees my success in the long-term but is there a way to make repetitions before the date scheduled by SuperMemo (e.g. before an exam)?
Answer:
SuperMemo 2002 introduced the concept of mid-interval repetitions, which makes it possible to execute repetitions ahead of time without interference of the review with the optimization algorithm used by SuperMemo. For example, if you would like to make repetitions on your Economics branch, which contains material critical for incoming exam, do what follows:

  1. Click the Contents button (Alt+C) to switch to the contents of your collection
  2. Right-click the Economics branch, and then choose View : Selected branch (Ctrl+B) from the contents menu
  3. In the browser window, click the Process browser button (the second from the left), and then choose Learning : Review from the subset processing menu to make repetitions on the elements in the browser

See: Subset learning for details

You can randomize repetitions
(Ole Fürstenau, Germany, Monday, August 12, 2002 6:55 PM)
Question:
Can I randomize the outstanding items? I don't want to be shown the items in the same order that I entered them
Answer:
You can randomize repetitions with Learn : Random : Randomize repetitions (Ctrl+Shift+F11). Using Randomize repetitions is recommended if you experience breaks in learning or if you memorize more than you can review (frequent use of Postpone). However, you should never worry about the sequence of repetitions in moderate learning. Even for smaller bodies of knowledge, repetitions will get reshuffled due to different difficulty, memory strength as well as the noise factor introduced in the scheduling algorithm


FAQ: Memory and learning

Frequently asked questions about memory and learning
Do you have a question about memory, learning or SuperMemo? Write to Dr Wozniak, the author of SuperMemo.
Last modified:

Memory

What kind of music is best for remembering?
We remember pictures better than words
Your IQ does not really matter
Who learns faster: larks or owls?
It is harder to learn foreign languages after forty
There is a physical limitation on how much we can learn per day
Herbert Simon guess on the expert memory power reflects his genius
Memorization allows of employing associational thinking
The main myth to clear out: Easy learning in Relaxation
Maximum speed of learning is not what you really need!
Reading also involves active recall
Putting things in the same place is a good idea
To memorize names, combine mnemonic techniques with spaced repetition
Submitting to your natural sleeping rhythm seems best for learning
Poor memory is usually a self-imposed limitation
Spacing effect results from reduced potential for increasing synaptic strength
Automaticity does not correlate with the probability of forgetting
 Ages old techniques are still valid

SuperMemo

You need repetitions to remember for ever
SuperMemo may indeed improve your memory
If you want to devour books ... you will love SuperMemo
Going to a medical school? SuperMemo is a must!
We believe SuperMemo is a must for anyone with serious plans to enter science
SuperMemo can make you more creative!
Music and incremental reading
You can easily learn 10,000 items per year
SuperMemo accelerates learning 50-fold?
Who memorized most items with SuperMemo?
SuperMemo is vital if you are dealing with large bodies of knowledge
 The effectiveness of passive review may be dismal
If you have problems with focusing on repetitions ... you may be getting nowhere
SuperMemo discourages mindless memorization
Does not minimum information principle contradict the need for associative knowledge
SuperMemo can also be used for cramming
Why is SuperMemo slow to show its strength?
8-year olds are using SuperMemo with success
Can SuperMemo be used to forget things?
Questions and answers might be enough for effective learning
Does SuperMemo use short-term memory or long-term memory?
 SuperMemo can help you remember things that you do not even store in SuperMemo!
Delayed repetitions in SuperMemo
Trust SuperMemo to save time
Can SuperMemo help patients with ADD (Attention Deficit Disorder)?
SuperMemo and Alzheimer's
I don't buy memory overload hypothesis in Alzheimer's
It is possible to roughly estimate the amount of time needed for learning a portion of material
Vacation may feel like "improving memory"
Is repetition the best way to remember?
Minimum information principle v.s. the length of "20 rules" article
There is no harm in "memorizing" things you already know
Users of SuperMemo 2 can be irritated!
No other software can match up to SuperMemo
Advanced repetitions and the spacing effect
Learning to do calculations in memory
One of 1985 experiments was inconclusive
Spaced Application & Semantic Networks
Memorizing instances of abstract cases is not a waste of time
Limited Postpone will not damage your learning process
First meaningful split into difficulty categories occurs at first repetition
SuperMemo should not be viewed as a cramming tool
SuperMemo does not use microspacing of repetitions
Forgetting curve for ill-formulated items is flattened
Flatter forgetting curve does not increase optimum interval
 There is no remedy to interference
See also: FAQ: Learning with SuperMemo

SuperMemo Algorithm

Intervals used in SuperMemo are not optimum intervals!
Higher grades can produce shorter intervals
 Even low forgetting index can produce long intervals
First repetition does not have to take place the next day
Intervals are slightly randomized
The more time you give to SuperMemo, the closer it will approximate your memory needs
SuperMemo contradicts some results reported by Tony Buzan
Grades in final drill do not affect the interval
Your response time does not matter
You can compute your retention from the forgetting index
Use Simulation to estimate workload
SuperMemo ain't science! He just ad junk
SuperMemo is better than re-wise
Simulation of learning process in SuperMemo may be inaccurate
Short-term memory requires no spaced repetition
Multitasking is not recommended in learning
Repetition category is used to update optimization matrices
First Grade vs. A-Factor graph data is kept as a collection of trailing averages

Speed-learning techniques

What is better: SuperMemo or MegaMemory?
What is better: SuperMemo or SuperLearning?
What is better: SuperMemo or Tony Buzan's mind-maps?
What is better: SuperMemo or NLP?
You can learn mind-maps with SuperMemo
 Tony Buzan and SuperMemo
You can best remember mind-maps by ... splitting them to pieces
You can add a mind-map to the answer component
Memorizing mind-maps does not contradict minimum information principle
Memorizing collections such as 20x20 Multiplication Table increases mnemonic computational skills
SAFMEDS skills are useful in incremental reading
The Silva method does not seem to be based on solid science
 Mega Memory and SuperMemo are complementary
Axon software

Other

The term "staggered learning" may sometimes be used to describe "spaced learning"
 Alarm clock may hurt your learning ability
 You do not need more than one nap per day
Memory "overflow" is not "fatal"
Internet addiction falls out of this site's focus

See the body of this file for more answers

(Elena and Rachel, US, Dec 12, 1997)
Question:
How is SuperMemo supposed to improve someone's memory?
Answer:
We do not claim that SuperMemo improves memory. We say that it allows you to learn fast with high retention of knowledge. The fact is that improving your memory will be a nice side effect, but this will happen not by virtue of the SuperMemo method but by virtue of intense learning. SuperMemo makes it possible to learn fast by organizing your learning process. For more see: General principles of SuperMemo

(Crizeldo G. Cariaso, MD, Philippines, Dec 17, 1997)
Question:
I am a medical doctor who is into resident training as of this moment. Do you advice me to use your product if I read about 100 pages of documents and books a day and have to remember it?
Answer:
Absolutely! Read Devouring knowledge to see how you can read thousands of independent articles at the same time. If you learning from paper books, your job will be much harder. You will only be able to remember a fraction of the material. An exemplary algorithm would be:

  1. divide your time to: 70% reading, 30% SuperMemo
  2. in SuperMemo time slot formulate questions in reference to the most important facts and rules you have learned from the books. Memorize those facts. Those shall stick to your memory for ever (if you regularly run repetitions as scheduled by the program)

The sad fact is that reading 100 pages daily is really a feat, and even the mere typing in the material to SuperMemo will limit you to 20-100 questions per day (depending on time available and the speed of typing). Even this small proportion will still provide you with amazing build-up of knowledge! It is very important that you intelligently select what must and what does not have to be memorized

(Tomasz Szynalski, Poland, Oct 18, 1998)
Question:
What value of the forgetting index ensures the optimum ratio of (retention)/(time spent per day)?
Answer:

Paradoxically, the highest speed of learning can be accomplished ... without SuperMemo! In our daily life we pick up lots of facts that stay in our memory for long with few repetitions in lifetime! The problem is that these are usually not exactly the facts or rules that are critical to our goals. In other words, not the speed of acquiring new items counts but the speed of acquiring new items bearing a given content.

It is difficult to determine exactly what forgetting index brings the highest acquisition rate. Simulation experiments have consistently pointed to the value of 25-30%. You can even plot speed-vs.-forgetting graph using your own actual learning material in SuperMemo 98 using Tools : Statistics : Simulation. You will probably also arrive to similar results

As you perhaps know, SuperMemo disallows of the forgetting index above 20%. This comes from the fact that you should aim at achieving high speed of learning combined with high retention of the learned material. Setting the forgetting index above 20% would be like giving up SuperMemo altogether and coming back to remembering only that what is easy to remember. In highly interlinked material where new knowledge depends on the previously acquired knowledge, high forgetting rate can even be more harmful

Nevertheless, if you want to maximize the speed of learning with little control over what actually stays in your memory, set the forgetting index to 20%

Question:
On what basis do you ground your claim that SuperMemo increases the speed of learning from 10-50 times?
Answer:
For knowledge retention of 95%, it can be computed that the number of repetitions in an average learning lifetime (i.e. about 55 years) is 50 times greater for equally spaced repetitions than for progressive repetitions (as used in SuperMemo). For repetitions with no regular spacing scheme, this number may even be greater. Moreover, the greater the required knowledge retention, the greater the increase in the knowledge acquisition rate (classical forms of learning almost never reach knowledge retention above 10%!!!). In practice, users of SuperMemo claim that it increases their speed of learning from 50% to 2000%. These values are, however, highly subjective, as they do not account for so-called intractable items, which are practically not memorizable without SuperMemo. In other words, students tend to underestimate the fact that they reach knowledge retention from 90-99%, which would hardly be achievable using any other method.

(Jerzy Duda, Poland, Oct 1, 1997)
Question:
What is the lowest age at which a child can start using SuperMemo?
Answer:
The younger the child the more difficult the entry into the learning process. However, with a dose of parental guidance, even first-graders can cope with SuperMemo. The learning process itself is simple and repetitive and the child can quickly enter regular repetitions. Definitely, SuperMemo 98 (and later) at the beginner level is much less daunting than SuperMemo 7 for the initial entry. As a documented example, 9-year-old Agata Czaplinska from Gliwice, Poland, memorized 150 new English words in 2 months working nearly on her own. In another case, 8-year-old Annalynn Clary from Monroe, Louisiana (USA) memorized Cross Country material (1673 items) in 100 days working 30 minutes per day (5 days per week)

(Elena and Rachel, US, Dec 12, 1997)
Question:
Do people with higher IQ benefit more from SuperMemo?
Answer:
People with higher IQ are more likely to find clever uses for SuperMemo and they are usually faster to grasp the principles of the program. They are also more likely to become addicted to SuperMemo as one of their most important applications. However, recent research indicates no significant correlation between IQ and any of 30 major studied learning parameters used in SuperMemo

Question:
Why is the first interval after which the first repetition takes place not equal in all cases?
Answer:
It is randomly modified to speed up computing its optimal value. Additionally, random dispersion of intervals around the optimum value prevents repetitions from being packed on a given day, while neighboring days have lots of room to accommodate new items.

(Tomasz Szynalski, Poland, Oct 18, 1998)
Question:
What retention can I obtain with the forgetting index set to 9%? What if I then change it to 12%?
Answer:
The formula that relates the forgetting index to the retention looks like this (source):

retention = -(forgetting index)/ln(1-(forgetting index))

If you accomplish the forgetting index of 9%, the retention will equal 95.4%. For 12%, the same figure will be 93.9%. Note that if your material is very difficult, your measured forgetting index may be higher than the requested forgetting index. This comes from the fact that SuperMemo imposes some boundary conditions on the increase of intervals. Elements that have been forgotten more than five times should be reformulated with a view to reducing their difficulty or increasing their mnemonic component.

If you initially set the forgetting index to 9% and later on increase it to 12%, you will probably start with retention of 94-95% which will later gradually decrease to 92-93% (after the change)

(David Mckenzie, New Zealand, Apr 8, 1998)
Question:
Why does not the first repetition after forgetting occur the next day after the unsuccessful repetition (this is advised by Tony Buzan and others)?
Answer:
In SuperMemo, the length of the first interval is computed from the forgetting curve plotted in the course of repetitions. This is to make sure that a defined proportion of items is remembered (usually 80-97%). This proportion is programmed by means of the forgetting index. Depending on the forgetting index, the length of the first interval may range from 1 to 20 days, and is not set arbitrarily. It is computed from the record of repetitions and determined by the desired forgetting index (requested forgetting index is the proportion of items that are not remembered at repetitions). While Buzan’s recommendation is valid in many cases, you should not forget that SuperMemo computes intervals with a high degree of accuracy that cannot otherwise be easily achieved

(Constantin Ilieu, Bulgaria, 1993)
Question:
In your materials I found a contradiction. On one hand you claim that once learned knowledge is constantly maintained in the student's memory, on the other you say that after ceasing repetitions, I will gradually forget what I have learnt. Which is true?
Answer:
Both facts are true. The term maintained is understood as kept in memory by means of repetitions, not as remains in memory for ever

(Manfred Kremer, Germany, Sep 7, 1998)
Question:
I noticed that frequently I get Optimum Interval in Element Data window shorter than the last interval displayed as Interval. Is it a bug in SuperMemo?
Answer:
No. If your forgetting index is very low, e.g. 3%, SuperMemo will often conclude that you will stand 97% chance of remembering a given element only if your next interval is shorter than the presently used one. In such cases, it will not accept the new value and the new interval will be at least 5% longer than the previous interval. Please note that the forgetting index equal 3% should only be used for selected high-priority items. Keeping the forgetting index at this level throughout the collection will make repetitions annoying frequent and ineffective

(Ryszard Siwczyk, Poland, Nov 4, 1997), Poland, Nov 4, 1997)
Question:
Does the response time at repetitions influence the next interval?
Answer:
No. Repetition timer is only used to compute the average response time and Workload.

(Grzegorz Malewski, Poland, Dec 10, 1997)
Question:
Do grades at final drill affect the learning process?
Answer:
No. They are only used to eliminate items from the final drill queue.

(Spud Science, USA, Feb 14, 1998)
Question:
What is the best (most effective) way to set up a new series of question and answer pairs in SuperMemo?
Answer:
See: 20 rules of formulating knowledge. See also: SuperMemo Decalog . For a more academic reading in the subject you can have a look at Knowledge Structuring and Representation...

(Matt Cassidy, New Zealand, Sep 11, 1997)
Question:
Is it possible that with forgetting index equal to 3% I get the first interval equal to 6 days?
Answer:
Yes. Especially if the material you work with is relatively easy. You should also remember about random dispersion of intervals. In isolated cases, dispersion might produce intervals substantially longer (or shorter) than the optimum interval. For more read about SuperMemo Algorithm

(Jake White, USA, May 14, 1997)
Question:
Should not final drill continue keeping a queue of no less than 10 newly learned words in order to make sure that when repeated again and again they will really be imprinted well in short-term memory.
Answer:
This solution may indeed eliminate contextual dependency in final drill (remembering items only because of having them in a given context); however, this would involve lots of extra repetitions that would contradict the principle of SuperMemo: maximum effect at minimum time. Additionally, the learner would risk activating the spacing effect, i.e. reducing the probability of recall as a result of excessive repetition! The best solution to contextual dependency is (1) random shuffling of final drill queue with Tools : Randomize : Drill and (2) concentration (not grading well items that were remembered only due to appearing in a given context).

Question:
I have heard that baroque music is the best for improving memory; particularly Bach and Vivaldi. Does it also work in association with SuperMemo?
Answer:
The claim that any particular kind of music is best for memory is unlikely to be true. Indeed, music can have powerful impact on our emotions and, consequently, on remembering. It has been found that it is similar in effects to caffeine. However, a study that measures impact of a particular kind of music on recall in a group of people can be compared to trying to find the optimum size of a shoe for an average citizen. Depending on the musical education of an individual, the same kind of music may bring a variety of emotion from relaxation, through agitation to aggression. While Four Seasons may have a positive impact on the mind of majority of the population, the best bet would be that everyone should stick with the music he or she likes. Be it punk or funk. The truth is that all that is good for the mind and health is good for remembering.

(Miss E216, US, Nov 25, 1997)
Question:
We are 7-th graders and work on a project related to memory. We have a question to Dr Wozniak: "Why do we better remember pictures than word combinations?"
Answer:
In the course of evolution, humans practiced visual memory a lot. They did not deal much with math or abstractions. That is why there are parts of our brain built specially to serve visual memory. As you know, evolution gives better adapted individuals a better chance for survival. Those who could remember better, e.g. shape of the prey or enemy, could survive better, and pass their "good" genes to the next generation. Calculating a differential was not needed in apes or early humans. That is why evolution did not built a specialized calculator into our brain. It has, however, built a calculator for processing visual data. You "type in" the picture, and get a short answer: "danger!" or "food!". Those simple signals are easier to remember than ... streams of bits of a complex image. Evolution and memory are fun, aren't they.

Question:
Can I use SuperMemo to memorize mind maps?
Answer:
Yes. You can build mind maps directly in SuperMemo; however, it is easier to import them from specialized mind map software (e.g. MindMan). You can include MindMap objects with the OLE component or you can simply import them as graphics (as BMP or GIF files).

For example, import your mind map as graphics to an image component and check Answer on the image component menu. Add a text component, e.g. "What is the structure of mind map X?".
During repetitions grade yourself less than Pass (3) each time your forget any part of the mind map! Do not forget that you should reinforce "weak links" in the mind map with separately formulated items of simple question-answer or question-picture form. Each time you forget part of the mind map, see if you have reinforced the forgotten links in separate items!

(Julien Seetharamdoo, UK, Jan 3, 1997)
Question:
I would like to know how to memorise mind maps?
Answer:
The best method is to split the mind-map into simple individual pieces and memorize these pieces separately! The pieces must be chosen in such a way that ensuring that you remember all of them you can guarantee that you can recall the whole map. You can find more information about this in knowledge structuring in repetition spacing

(Julien Seetharamdoo, UK, Feb 19, 1998)
Question:
I am trying to use SuperMemo 8 to learn mind maps created using Mind Manager. I have imported the mind maps as BMP files to the image registry but haven't been able to append them as answers to questions. How do I do this?
Answer:
It is faster to import files directly to image components:

  1. Create an image component in the element window
  2. Use Import file to import the BMP file (right click to open the pop-up menu with Import file).
  3. Check Answer on the component menu to make sure that the image is not visible at question time.

NB: If you already have images in the registry, you can use Link Registry Member on the image component menu (instead of Import file).

Question:
Isn't memorizing mind maps in opposition to the minimum information principle?
Answer:
No. Minimum information principle should not be interpreted as minimum information on the screen, or minimum number of bytes to represent the item. It should be interpreted in terms of information that has to be stored in your memory. If you produce and item that links the image of a horse and a cow, the association is very simple. No mater how intricate the pictures of the horse and the cow are. The essence of mind maps is that they are easy to remember, i.e. if well-designed, they comply excellently with the minimum information principle.

Question:
Which learning method is more effective: traditional SuperMemo with questions and answers, or the new hypermedia SuperMemo with videos, games, puzzles, and tests?
Answer:
Simple questions and answers are extremely effective and easy to create; however, some users find classic SuperMemo too boring. If the psychological factor plays a part, the variety provided by SuperMemo 8 may substantially add to the effectiveness of learning. The answer to the question will depend on the application domain and the mentality of the student.

(Elena and Rachel, US, Dec 12, 1997)
Question:
Does SuperMemo improve short-term memory or long-term memory?
Answer:
SuperMemo builds up long-term memory but helps you increase your mnemonic skills that will result in the impression that your short-term memory works better.
You can also look at this like that: SuperMemo loads knowledge to short-term memory and this is transferred to long-term memory. The effect on long-term memory is stable but the speed of putting things into short-term memory may increase due to training. Short-term memory improvement comes slowly with training, but long-term memory build-up comes immediately upon employing SuperMemo!

One of 1985 experiments was inconclusive
(Tomasz P. Szynalski, Saturday, August 04, 2001 1:33 PM)
Question:
I see that one of early experiments showed that constant 18-day intervals were better than increasing intervals. So how does this prove the validity of SuperMemo?
Answer:
This 1985 experiment does not prove validity of SuperMemo. Nor does it disprove it. In that respect, it is simply inconclusive. The experiment was an attempt to "guess" optimum increase in intervals and the guess appeared wrong. If the underlying hypothesis was that increasing intervals are always better than equally distributed intervals, then this experiment proved that hypothesis wrong. Obviously, if equal intervals are short enough or the increase in the length of intervals is too fast, equal-interval schedule may appear superior. This is why, in the long run, we need to use a computer to optimally adjust the repetition schedule to the defined level of knowledge retention

(Prof. Witold Abramowicz, Poland, Feb 1993)
Question:
Does the minimum information principle not stand in conflict with the ages old rule that the learned knowledge should be highly associative in nature?
Answer:
No. The minimum information principles concerns the representation of knowledge in SuperMemo databases, not in the student's memory, and it does not prevent great advantages coming from proper structuring of the learned material. In the optimum situation, the student should first construct a cohesive model of the learned subject, and only then, apply SuperMemo to make sure that the learned knowledge is sustained in memory as a whole. The knowledge may be highly associative, but strictly targeted neural stimulation, achieved by means of granular representation of knowledge in SuperMemo, is necessary to effectively induce molecular processes responsible for memory formation. Indeed SuperMemo has been conceived in such a was so as to make it easier to formulate knowledge in a structured way (topics) and later learn it in a way typical for SuperMemo (items). See also: Topics vs items

(Anatolyi Lipatov, Ukraine, Jul 12, 1998)
Question:
I am using Advanced English to enhance my English and business English. Now I am registering for CFA examination (that is Chartered Financial Analyst program of Association of Investment Management and Research). There are several organizations developing and distributing methodological stuff for preparing to the exam. A lot of things should be memorized for passing the exam. What do you think the best way to fit SuperMemo for memorization and what approach should I use to prepare my own knowledge base for memorizing the material. Is special programming knowledge needed for it?
Answer:
No specialist knowledge is needed to prepare simple learning material collection in SuperMemo. With Alt+A (i.e. Add new) you get 90% of functionality! All advanced editing options can be worked around by an appropriate questions-and-answer approach. Perhaps it would be useful yet to learn how to add images to your items (see help for details). To learn more about effectively structuring knowledge in SuperMemo you might want to read 20 Rules of Formulating Knowledge and Knowledge Structuring and Representation; however, nothing works better as learning on one's own mistakes in formulating knowledge for learning with SuperMemo

(Pawel Dzierwa, Poland, June 3, 1997)
Question:
Personal question to Dr Wozniak: If you did not have SuperMemo at hand, which competitive product would you use?
Answer:
I would probably pick one of the programs that most closely follow the SuperMemo paradigm, e.g. Edukom or PowerMemo. Only later would I choose from better known products that are less focused on repetition spacing such as Langmaster or YDP's Collins Dictionary. However, as a software developer involved in the design and implementation of SuperMemo since 1987, I would rather opt for implementing the program from scratch. Back in 1987, the first version was written in 16 evenings. I would have to give up all the bells and whistles, but it is the core that matters most. And it would be most difficult to give up the control over what new options might yet be implemented

(Colin Quiney, Canada, Jan 22, 1998)
Question:
Do you think SuperMemo can be beneficial in patients with ADD (Attention Deficit Disorder)?
Answer:
User's ability to focus on repetitions is one of pre-conditions of success with SuperMemo. Seemingly, this would make ADD patients poor SuperMemo learners. Perhaps the report submitted by Maarten Mols from Holland sheds some different light on the issue: SuperMemo in a school for special education.

SuperMemo and Alzheimer's
(Maria Jonas, South Africa, Dec 2000)
Question:
Can SuperMemo be used in the treatment of Alzheimer's?
Answer:
Except for inconclusive anecdotal data, there has been no study of SuperMemo in Alzheimer's. See also: Can too much learning lead to Alzherimer's?

Question:
Tony Buzan claims that 75% of information is lost if not reviewed in 24 hours. Does it not defeat the validity of SuperMemo in which the first interval is often longer than a week?
Answer:
No. Buzan's claim may refer to textbook knowledge or complex knowledge structures (e.g. large mind maps). However, it does not seem accurate in reference to simple well-structured material in the light of results obtained with SuperMemo. In SuperMemo, if the student chooses the retention of 95%, the typical value of the first interval falls in the range 2-5 days depending on the student and the difficulty of the learned material. For retention 25%, the same interval might be as long as one month, though it cannot be verified experimentally with SuperMemo which limits the range of the forgetting index from 3-20%, which implies the overall retention in the range of 89-99%. For more see: Theoretical background of SuperMemo

(William McGhee, Jun 22, 1998)
Question:
Could SuperMemo be used to extinguish behaviours as well as reinforce them?
Answer:
Forgetting is a molecular process that cannot easily be induced by natural methods. The more so, there are no sensitive methods to induce selective forgetting, though lesion to some parts of the cerebral cortex may produce roughly localized amnesia. However, there is a component of forgetting that may be influenced. This component is interference. Whenever we learn new things, they always interfere with previously learned material. The interference may enhance some of memories while obliterating others. This fact can be used to employ SuperMemo in forgetting, by formulating and memorizing a large number of contradictory items that strongly interfere with remembered facts that are to be forgotten. For example, if you learn the meaning of the word "indict" and you want to later forget it, you might try to learn words like "indite" or some meaningless like "dictin", "incid", "endict", etc. However, you should not expect the effectiveness of such a procedure to be anything but disappointing.

Question:
I used SuperMemo 2 shareware, and was accustomed to repeating forgotten items on the next day. It is very irritating that in SuperMemo for Windows I do not have this possibility
Answer:
SuperMemo will schedule forgotten items in intervals that are determined by the forgetting index. The greatest increase in the speed of learning in newer versions of SuperMemo as compared with SuperMemo 2 resulted from substantially increasing the length of the first interval. The student may be left with the feeling that he is likely to forget the item again if it is not repeated on the next day. Statistically, however, he will forget no more than the proportion defined by the forgetting index (specified in Tools : Options : Learning : Forgetting index). By reducing the forgetting index to less than 5%, the length of the first interval is likely to drop to 1-2 days in most cases. Moreover, if you are particular about repeating a given item on the next day, you can choose Ctrl+M to commit or recommit an item with a selected first interval

Question:
I have an exam for a driver's license in 2 weeks. How can I best memorize the Traffic Regulations collection for SuperMemo? How can I increase the frequency of repetitions?
Answer:
Although SuperMemo is not a cramming tool, and it would be much safer to start 2-3 months before the exam, the following shall work pretty well: (1) Set Tools : Options : Learning : Forgetting index at 3%. (2) When memorizing difficult items, choose Ctrl+M and provide the first interval value equal to one day. (3) Memorize the collection in equal portions in the period spanning from today to 2-4 days before the exam. Use Tools : Random review intensely over the last 2-4 days

(Shaun Hoffland, UK, Oct 22, 1998)
Question:
Do you have statistics on what is the average number of items an average user has to repeat per day? What is the greatest number of memorized items?
Answer:
The best results oscillate around 60,000 items memorized overall, and 10,000 memorized within 4-5 months. Most users memorize 1000-10,000 items per year. Please read SuperMemo User Survey (esp. section Using SuperMemo)

(Scot Prohaska, USA, Oct 29, 1998)
Question:
I am going back to medical school after a 10-year break. I look for tools to improve my brain skills. Is SuperMemo a product for me?
Answer:
That's your lucky day! SuperMemo is ideally suited for enhancing your ability to learn new stuff and make sure it stays in your memory for good. Learning medical sciences with SuperMemo comes second in popularity to learning English! Recommended reading: Six steps to excellent memory

(Tomasz Szynalski, Poland, Oct 18, 1998)
Question:
When first versions of SuperMemo were released, how could SuperMemo predict intervals that were many years long if it had only been researched for a couple of years? I read that the first version was released after just 3-4 years of research on the length of intervals.
Answer:
The first experiments in reference to the length of optimum interval resulted in conclusions that made it possible to predict the most likely length of successive inter-repetition intervals without actually measuring retention beyond weeks! In short, it could be illustrated with the following reasoning, if the first months of research yielded the following optimum intervals: 1, 2, 4, 8, 16 and 32 days, you could with confidence hope that the successive intervals would increase by a factor of two. To better understand what reasoning lead to the first formulation of SuperMemo read: First experiments: 1982-1985

(Tomasz Szynalski, Poland, Oct 18, 1998)
Question:
What retention can I obtain with the forgetting index set to 9%? What if I then change it to 12%?
Answer:
The formula that relates the forgetting index to the retention looks like this (source):

retention = -(forgetting index)/ln(1-(forgetting index))

If you accomplish the forgetting index of 9%, the retention will equal 95.4%. For 12%, the same figure will be 93.9%. Note that if your material is very difficult, your measured forgetting index may be higher than the requested forgetting index. This comes from the fact that SuperMemo imposes some boundary conditions on the increase of intervals. Elements that have been forgotten more than five times should be reformulated with a view to reducing their difficulty or increasing their mnemonic component.

If you initially set the forgetting index to 9% and later on increase it to 12%, you will probably start with retention of 94-95% which will later gradually decrease to 92-93% (after the change)

(Tomasz Szynalski, Poland, Oct 18, 1998)
Question:
What value of the forgetting index ensures the optimum ratio of (retention)/(time spent per day)?
Answer:
Paradoxically, the highest speed of learning can be accomplished ... without SuperMemo! In our daily life we pick up lots of facts that stay in our memory for long with few repetitions in lifetime! The problem is that these are usually not exactly the facts or rules that are critical to our goals. In other words, not the speed of acquiring new items counts but the speed of acquiring new items bearing a given content.

It is difficult to determine exactly what forgetting index brings the highest acquisition rate. Simulation experiments have consistently pointed to the value of 25-30%. You can even plot speed-vs.-forgetting graph using your own actual learning material in SuperMemo 98 using Tools : Statistics : Simulation. You will probably also arrive to similar results

As you perhaps know, SuperMemo disallows of the forgetting index above 20%. This comes from the fact that you should aim at achieving high speed of learning combined with high retention of the learned material. Setting the forgetting index above 20% would be like giving up SuperMemo altogether and coming back to remembering only that what is easy to remember. In highly interlinked material where new knowledge depends on the previously acquired knowledge, high forgetting rate can even be more harmful

Nevertheless, if you want to maximize the speed of learning with little control over what actually stays in your memory, set the forgetting index to 20%

(Robert Szumilo, Poland, Jan 3, 1999)
Question:
What is the optimum approach to making repetitions with SuperMemo: one long session or a few smaller sessions (e.g. main repetitions in the morning and the final drill in the evening)?
Answer:
For psychological reasons, the quality of learning should increase substantially when working in separate sessions, esp. if the number of repetitions surpasses 100 per day. Additionally, a break before final drill is useful due to the spacing effect. The danger of this approach is ... you can easily drive yourself into a situation in which you will spend excessive proportion of your day on repetitions (in the future when your schedule changes you might have problems with keeping up with your present pace)

(Tony D'Angelo, USA, Feb 3, 1999)
Question:
I am a management consultant who uses professional development programs from a company called Resource Associates Corporation. These programs are based upon spaced repetition learning. In their literature they cite an unnamed study that suggests that people will generally only retain 2% of information they are exposed to in a one time event after 2 weeks. In contrast they suggest that at least 65% of information delivered over 5 consecutive days may be retained for 15 years to life. Can you confirm those claims?
Answer:
If you look at the graphs generated by SuperMemo during the learning process, you will notice that the 2% figure might be true depending on how the material has been presented and its difficulty. However, the claim that 65% of knowledge can be retained for 15 years as a result of five-day exposure must be false in the same light. Even if we consider perfectly formulated knowledge (i.e. knowledge characterized by the highest possible A-Factor), you might need to space the quoted five exposures in the period of 2-3 years to make the 65% figure realistic. If the quoted figures were accurate, you would probably never need to use SuperMemo! For more details on the speed of learning, see Theoretical aspects of SuperMemo

(Lawrence A. MacDonald, USA, Feb 16, 1999)
Question:
From your experience, and I know it is different with different people, how many repetitions (how far out on the scale in the future) does one need to make to have mastered in information, and what is the standard deviation for that number?
Answer:
There is no point when you can say the material is remembered for ever! Even after 20 years of repetitions there is a slight risk of forgetting. If you want to always remember a piece of information with a defined degree of probability, you should proceed with your repetition till your last day on this planet

(Lawrence A. MacDonald, USA, Feb 16, 1999)
Question:
What is the result on scheduling in the future when you add a question every day? At what point does your future schedule become vastly over booked?
Answer:
The beautiful thing about SuperMemo is that overbooking never happens! Your question and worry is typical for those who begin their work with SuperMemo. Please have a look at simulation experiments that show that the learning curve, in the long perspective, is nearly linear, i.e. it does not bend as a result of "overbooking"! In practice, you will be able to notice the decline in the speed of learning for no more than a year. Later the slowdown is minimum and entirely imperceptible! The mathematical explanation of this is quite complex. The measurements show that you spend 50% of time on just 2.5% of the material! Imagine then that the memorized material quickly reaches high intervals and disappears from view. You just constantly struggle with newly memorized items and items that you find difficult to remember

(Vit Usela, Czech Republic, Nov 2, 1999)
Question:
What do you think of so called memory-enhancing smartdrugs: Piracetamum, GABA, Vinpocetin, Takrin, Diapid, Vasopressin, Fipexid, Deprenyl, Hydergin, etc.?
Answer:
We do not take an official stand on memory enhancing drugs. Please consult other sources. Note the following though:

  1. Forgetting has an important biological function and all attempts to prevent it by non-selective means are likely to result in information confusion described in some clinical case studies in psychiatry
  2. Some of the drugs listed play an important physiological function and may be of value in learning for reasons other than memory enhancement. In this context you could always best consult your physician
  3. Simple health-boosting factors such as exercise, healthy diet, sufficient amount of sleep and stress-management are likely to bring more benefit to your learning that all listed drugs taken together

(Tomasz Szkopek, Poland, Feb 25, 1999)
Question:
Does using SuperMemo increase the capacity of the human brain for learning with traditional methods?
Answer:
SuperMemo is likely to strengthen your mnemonic capacity. It is does not include any specific options for that purpose, it simply acts as a training tool via repetition. Your mnemonic techniques will develop subconsciously as a result of training the same way like muscles grow as a result of lifting weights. However, this should not be treated as a substitute for a course in mnemonic techniques. If you have not heard about mind maps and peg lists, you might want to visit sites listed in the links section (e.g. Buzan site).
Secondly, recent research shows that the brain continues growing new neurons and new synapses even at a very advanced age. This process is dramatically enhanced by rich environment and intellectual stimulation. It is possible that a 40-minute session with SuperMemo also acts as a good stimulant of these growth and development processes (as much as any challenging intellectual activity)

(Vit Usela, Czech Republic, Nov 2, 1999)
Question:
You advise to merge all SuperMemo collections in one. Does it not contradict the principle of avoiding knowledge interference?
Answer:
No. The same items are not likely to interfere more with each other once they are put in the same collection and repeated one after the other. Indeed, this may even help resolve the interference by means of techniques described in 20 rules of formulating knowledge. For those who learn material related to various branches of knowledge, an interdisciplinary mixture of repetitions often generates unexpected associations that can be a goldmine of ideas in your professional field. This is the simplest illustration of the fact that SuperMemo can make you more creative!

Question:
It is well know that people can be divided into late sleepers, owls, and early sleepers, larks. Has there been any research to indicate what sleeping type has better memory?
Answer:
 The conviction that people are inherently prone to be either larks or owls is wrong. Most owls would claim it is virtually impossible to shift to earlier hours of sleeps while larks just cannot keep their eyes open late in the evening. However, the main reason for this differentiation is not physiology but lifestyle. The stereotype is reinforced by the fact that it is indeed very difficult to shift the sleeping rhythm even by a few hours. If you try to force an owl to start getting up at 5 am, you will expose it to immense mental and physical torture that may quickly result in serious health consequences! However, with the right approach, an owl can gradually be shifted into an early riser mode! The shift must be gradual as no magic force can instantly override the body's internal clock. The main reason why owls are owls is that they tend to excitedly spend their time over a book, movie, or computer game till early hours of the morning. They enjoy the quiet of the night when they can pursue their passion. Subconsciously, they try to get as much of the night time for their pursuits as possible. Were it not for school obligations, family or a job, owls might easily shift to going to sleep at sunrise or later. This is why an owl will find it easy to go to sleep later and later, while it will be nearly impossible to gradually shift the sleeping rhythm in the opposite direction: it is 20-30 minutes earlier each day. For an owl to become a lark, the shift should go in the opposite direction. If an owl goes to sleep 1 hour later each day, soon it will cycle to sleep through the day and finally start getting up as early as 1-2 am. An owl can comfortably stick to such a cycle for quite long until its natural tendency to go to sleep later each day will not ruin it. Moreover, people isolated from external stimuli tend to fall into cycles slightly longer than 24 hours which also explain why it is easier to prolong the day rather than to shorten the night.
The above facts illustrate that there are no underlying physiological reasons for being of a particular sleeping type. The reasons are in the lifestyle and personality (which are both strongly connected). Owls may show lots of excitement for learning as this excitement is the main factor that makes them owls. On the other hand, larks can make better use of early morning hours where they can study in quiet at the time when their brains are most refreshed. The formula for better learning would then probably be to sleep in a way that brings maximum refreshment, i.e. without paying much attention to the actual sleeping hours

(Mariusz Zmuda, Poland, March 22, 2000)
Question:
I sleep seven hours per day and wake up with an alarm clock. I read that using the alarm clock may negatively affect learning. Is it true?
Answer:
There is a significant body of evidence that the you will get the best results in learning if you have your sleep out. Many individuals need eight or more hours of sleep. It is difficult to predict how damaging the alarm clock can be in your case. It will mostly depend on how much sleep your body actually needs

(Mariusz Zmuda, Poland, March 22, 2000)
Question:
Is it true that it is better to get shorter sleep in the night and then take a few naps during the day?
Answer:
This approach is not likely to benefit your health or learning. Most of all, you should not artificially shorten the night sleep! As for the naps, there is only one major trough in alertness during the day in siesta time (at least in healthy adults). Taking more than one nap is not likely to be needed. Experts on insomnia argue against naps as these may keep people up at night. If your nap lasts only 5-30 minutes and does not affect your ability to fall asleep in the night, it will probably help you be more alert in evening hours. See: Good sleep for good learning

Question:
Can SuperMemo help remember things that are not stored in SuperMemo?
Answer:
Yes. To a limited degree. There are three ways in which this is or may be happening:

  1. knowledge which is closely associated with facts and rules you keep in SuperMemo will often be reinforced even if it is not actually stored in the program. For example, if you memorize a few items about John D. Rockefeller without including his photograph and later see his face on TV, it may happen that you will indefinitely be able to recognize his face. You will notice that Rockefeller's face will subconsciously be brought to your imagination at each repetition related to his life
  2. SuperMemo will enhance your mnemonic skills and help you improve your short-term memory. This is the case not only with SuperMemo but also with all other forms of learning
  3. Similarly, learning is likely to have a positive trophic effect on your brain tissue. This should also enhance your general intellectual performance. The scope of this effect is difficult to quantify but it has been proved in a number of experiments that rodents bred in enriched environment grow more neurons, learn faster and live longer

(Ben Lister, Apr 5, 2000)(comment placed at PalmGear in reference to SuperMemo for Palm Pilot)
Comment:
[…] this "scientific study" thing [in reference to SuperMemo], that's a bunch of advertisement junk. It's not science that they use, but simple variable calculations. The program detects the number of times you have gotten something right or wrong and then uses this number to decide when it should next be on a test, like a priority list
Rejoinder:
Ben Lister's observations were surprisingly derived from SuperMemo for Palm Pilot, which reveals little of its internally used optimization procedures (which are slightly simplified as compared with the Windows version). The timing of repetitions may remotely be correlated with the number of bad grades, but is actually derived from the currently estimated so-called memory stability (which reflects how quickly memory traces volatilize) and knowledge difficulty (which reflects the increase in stability as a result of a repetition). Consequently, items with a large number of memory lapses can be repeated in longer intervals than items with fewer memory lapses (unlike it is claimed by Ben Lister). SuperMemo does not use a priority list in scheduling repetitions. The scheduling algorithm does not consider the relationship between items but their reference to time, their difficulty and the history of repetitions. For example, if repetitions were to be delayed, the "priorities" would change. So would the scheduling. The central point of the algorithm is based on plotting the forgetting curve and predicting the optimum timing of the next repetition. The greatest merit of SuperMemo is in fine-tuning the algorithm so that it can adapt to individual skills and knowledge in shortest possible time. No algorithm running in abstraction from the actual forgetting curve stands a chance to compete with SuperMemo in its efficiency (this includes neural algorithms that indirectly will predict the probability of forgetting)

(M.R.W., Poland, March 24, 2000)
Question:
SuperMemo does not seem to provide enough support for those who cannot afford to spend their time daily on regular repetitions. The daily regimen may discourage a large number of potential users. Sometimes one would like to double the effort. On other occasions, one might not feel like working with the program at all. For example, I could never convince my father to use SuperMemo. When he comes back from work, he is often too tired to watch TV, let alone make repetitions. Do you plan to include special tools that would make it possible to learn only on weekends or exclude certain days of the week?
Answer:
Weekly calendar of repetitions is in consideration; however, this option adds complexity without actually providing much learning benefit. It may actually appear harmful:

  1. daily repetition regimen comes from the properties of human memory, not from the design of SuperMemo. All delays in making repetitions are unwelcome and should be discouraged
  2. we have documented dozens of cases in which users regularly abused Tools : Mercy and ultimately concluded that SuperMemo does not work! Those users blamed SuperMemo, not their own lack of regularity! We have even removed an infamous tool from SuperMemo 7 called Wipe that made it possible to reduce workload by removing the most difficult items. This tool, despite warnings, have ruined the learning process of many users who used it as the shortest way to spending less time on repetitions
  3. most of users who prefer SuperMemo for Palm Pilot as opposed to SuperMemo for Windows list its simplicity as an advantage second only to portability. Despite its high satisfaction ratings, the main complaint about SuperMemo for Windows is its complexity and featuritis (i.e. too many features)
  4. there is a very simple way towards freeing the user from the daily regimen of repetitions: hiding the statistics. With statistics hidden, the student can delay repetitions without the sense of guilt. He or she can also triple the workload on good days. However, experiments show that in such cases, users add much more learning material that they are able to repeat. This results in significant repetition delays, and a dramatic increase in forgetting. Consequently, the learning process becomes similar to traditional learning, learning results unimpressive and a drop-out rate very high
  5. users who are truly unable to spend their time on learning on certain days are encouraged to use Postpone

(Tomasz Strzelczyk, Poland, Jan 31, 2001)
Question:
I would like to invest in a Langmaster course of English. How would you convince me that SuperMemo is superior to the rewise method?
Answer:
 English courses by Dr Lang have a very good reputation for quality and they can be recommended independent of the question on the efficiency of the re-wise method. You could invest in a Langmaster course that best suits your needs and boost your vocabulary with SuperMemo and Advanced English. Alternatively, you could use stand-alone SuperMemo for learning the material from the Langmaster course. As the for re-wise method (developed in Czech Republic around 1994), its principles are similar to SuperMemo; however, we have no doubts as to the superiority of SuperMemo technology that encompasses far more than the repetition scheduling. We have not tested re-wise extensively, but our customers who also use Langmaster CD-ROM titles, unanimously confirm that they prefer to keep their learning material in SuperMemo. Combining Langmaster courses with stand-alone SuperMemo or with Advanced English would probably be the recommended course of action

(Terje A. Tonsberg, Kuwait, Jan 13, 2001)
Question:
I received seemingly wrong results when using Tools : Simulation in SuperMemo. I got the minimum speed of learning for the forgetting index of 8%. Once I reduced the forgetting index to 5% and further to 3%, the expected speed of learning increased substantially!
Answer:
 Your observation is accurate. Indeed, there is a discrepancy between the simulation procedure and SuperMemo Algorithm used in computing the optimum schedule of repetitions. In many texts about SuperMemo you will find that SuperMemo ensures the retention programmed with the forgetting index on the assumption there is no delay in repetitions. This is however imprecise. To prevent clogging up the learning process, Algorithm SM-8 makes an assumption for grades Pass and above (3-5) that the interval must increase by at least one day (i.e. it cannot decrease nor can it stay the same). For low values of the forgetting index and for difficult learning material this assumption actually means a significant departure from the expected retention level. Unfortunately, the simulation procedure does not take this fact into the account, and it does not attempt to correct the forgetting rate which increases as a result of the rigid limitation imposed on the increase in intervals. Consequently, for a low value of the requested forgetting index, the measured forgetting index may be higher than the one assumed for the simulation purposes. This will naturally produce skewed simulation results: repetitions scheduled late by Algorithm SM-8 will still produce high retention as programmed by the forgetting index fed into the simulation input data. For that reason, simulation may be inaccurate for a low forgetting index if your learning material is difficult.
In the future, we hope to make it possible to adjust retention for the departure of Algorithm SM-8 from the optimum repetition schedule, as well as to make it possible to simulate repetitions at intervals that fully comply with the forgetting index. That latter option would naturally slow down the learning process even further

(Lisa Arcella, Women's World magazine, Jan 26, 2001)
Question:
What techniques can you use to remember someone's name after you meet them? For example, some sort of word-association; if the person's name is Smith, associating a blacksmith with them might help. If you could give me two or three tips for our readers that would be really helpful
Answer:
Associating Smith with blacksmith and providing a mental image of Smith hammering his colleagues at work is likely to leave a strong memory imprint (the more gruesome or shocking the association, the better it works). The solutions range from low-tech and less efficient to high-tech and "memory-leak-proof":

  • mnemonic techniques - this is how the problem of forgetting used to be solved for centuries
  • spaced repetition - this is the method that eliminates forgetting in the most efficient way (with efficiency limited only by inherent properties of human memory)

Mnemonic techniques: The Smith-blacksmith approach falls into the category of mnemonic techniques, which use the power of the visual cortex of the brain to represent memories that humans are poor at remembering (e.g. complex numbers). We easily remember images and can often recognize faces after very long intervals without repetition in the meantime. However, an intelligent person will often find it difficult to recall seven consecutive digits presented one after another. Humans are inherently poor at numbers! With mnemonic training, the same person may quickly arrive at remembering sequences of 50 digits, cards, or objects. The Guinness Record drives this to unimaginable heights (thousands of digits or playing cards) -- far surpassing what we need in our daily lives. One of the most useful techniques, for remembering numbers (e.g. phone numbers) is the so-called peg list. If you memorize 100 so-called pegs that associate numbers with pictures (e.g. one is tree, two is a switch, three is a tripod, etc.), you will quickly learn to "see" numbers as "scenes". For example, 911 might be a cat ("cat has nine lives") stretched between two trees (assuming tree is one). Memorizing 100 pegs is a substantial effort and not many will want to undertake it. However, remembering a 10-digit number can then be reduced to remembering a 5-event sequence (e.g. my grandmother is chasing the postman who hides in a manhole and is eaten by a giant rat). Such memories tend to be manifold easier to retain. If you need to remember more than 30 numbers, the investment in memorizing the peg list will pay back. Beyond 50 (e.g. your personal phone book), peg-list is a pure saving.

Spaced repetition: The above mnemonic approach converts "difficult memories" to "easy memories" and is a subject of many books and self-improvement tapes worldwide. However, there is a substantial flaw. "Easier memories" are also subject to forgetting! They tend to be lost at a slower pace but they do get lost in the end. Forgetting also affects the peg-list if it is not rehearsed often enough. In other words, we cannot remember without a review/repetition. Spaced repetition can rationalize and simplify the review of study material, and ensure nearly perfect recall. This may not be as easy to present to your readers as the Smith-blacksmith association, however. The major drawbacks of spaced repetition are:

  • for a quality application, you need a computer and software called SuperMemo (from Super Memory); also available as freeware
  • for top-quality use of SuperMemo (call it "power SuperMemo"), a number of skills are needed, which are considered "complex" by non-technical people (see: Devouring knowledge)

Memory "overflow" is not "fatal"
(Chris Houser, Japan, Sun, Feb 06, 2000 12:13)
Question:
One some website related to SuperMemo I found that without forgetting "the brain would fill up ... with ... fatal results". This sounds quite silly. Does research support this?
Answer:
No. This statement is unfortunate. We are unable to control all what is being written about SuperMemo. The corrected statement might be: Forgetting is needed to clean up room for new memories in the limited space of the human brain. For example, neocortical representations cannot be reconstructed by the hippocampus due to the limited size of its network; hence the constant flow of memories. The reports of patient confusion in cases of reduced forgetting are sporadic and difficult to verify. Genetically engineered mice that exhibit reduced forgetting rate have actually been shown to outsmart normal mice in tasks such as navigating a maze

(Jason Roos, USA, Mar 27, 2001)
Question:
When I need to memorize a bunch information, I make flashcards. My gut is usually a good indicator of when I need to go through them again. It's surprising to me there seems to be so much scientific study behind SuperMemo. (full text below)
Answer:
 If you try SuperMemo for some time, you will notice that it is quite liberating to let the computer do the guessing for you. If you later go into thousands of memorized elements, your "gut" will fail you at some point. After all, it is not easy to guess which of your 100,000 items is closest to being forgotten

Jason Roos: When I need to memorize a bunch information, I make flashcards:

  1. I write a question on one side and an answer on the other
  2. I gather all the cards up, and go through them one at a time
  3. Those cards I get wrong, I set aside in a "don't know yet" pile. Those I get right, I set aside in a "know it" pile
  4. After I've passed through the stack once, I pick up the "don't know yet" pile and repeat this sorting process until they've all been memorized

My gut is usually a good indicator of when I need to go through them again. If I feel confident, I know I'm ready to take the test. Intervals are not that accurately determinable, and 4 days for the first one, in my experience, is waaaay too long [in SuperMemo, the first interval will depend on the user and the learning material]. I need to pass through them every 30 minutes to an hour for at least a day, before they're reasonably secure in my head. Of course, it all depends on the type of material and how many days I slept in class.
This method [SuperMemo] is hardly unique-- that's how many people study. And the effect is identical to your unnecessarily complex and rather tedious, I think, worksheets and software. It's surprising to me there seems to be so much scientific study behind it. I find it fairly simple and obvious

Internet addiction falls out of this site's focus
(Greg, Saturday, July 21, 2001 8:17 AM)
Question:
I am looking for professional information about IAD. Can you help?
Answer:
IAD falls out of this site's focus. We have found for you a couple of links with some interesting excerpts though:

  • http://www.concentric.net/~Astorm/iad.html - Internet Addiction Disorder is the term first proposed by Dr. Ivan Goldberg for pathological, compulsive Internet usage. The criteria for this disorder are based on similar criteria for substance abuse disorders found in the DSM-IV. It is ironic that Dr. Goldberg was not serious about proposing this as an official diagnostic category, yet this term became used extensively. Dr. Goldberg recently revised his suggestion to change the term for this condition to Pathological Computer Use, and changed several of the criteria
  • http://psychcentral.com/netaddiction/ - Do some people have problems with spending too much time online? Sure they do. Some people also spend too much time reading, watching television, and working, and ignore family, friendships, and social activities. But do we have TV addiction disorder, book addiction, and work addiction being suggested as legitimate mental disorders in the same category as schizophrenia and depression? I think not. It's the tendency of some mental health professionals and researchers to want to label everything they see as potentially harmful with a new diagnostic category. Unfortunately, this causes more harm than it helps people [...]
    What some very, very few people who spend time online without any other problems present may suffer from is compulsive over-use. But compulsive behaviors are already covered by existing diagnostic categories and treatment would be similar. It's not the technology (whether it be the Internet, a book, the telephone, or the television) which is important or addicting -- it's the behavior. And behaviors are easily treatable by traditional cognitive-behavior techniques in psychotherapy
  • http://www.victoriapoint.com/internetaddiction/articles.htm - Internet addiction articles

(Dawid Calinski, Poland, Apr 6, 2001)
Question:
Why does this site not mention learning in the relaxed state? What is your opinion about alpha waves in learning? Do you recommend products like BrainWave Generator, Hemi-Sync, Holosync or Polish Sita biofeedback?
Answer:
We do realize that the proper cognitive environment is paramount for learning. However, for clarity we use the term concentration instead of an all-inclusive relaxation. It is highly recommended that you maximize your concentration by taking into account the following factors:

  • being cut off from all sources of interference in learning (telephone, e-mail, conversation, radio and even your favorite music)
  • finding the optimum circadian timing for learning (e.g. early in the morning in free running sleep cycle, late in the evening in DSPS individuals who cannot afford free running sleep, etc.)
  • all aspects of mental and cognitive health (e.g. stress avoidance, substance abuse, etc.)

The concept of relaxation is often associated with alpha wave learning which has attracted lots of companies that are more interested in their bottom line than their customers actual success in learning. EEG measurements can be used to generally conclude on the current state of the brain in the same way as you could detect bustling activity in a major city by scanning the surrounding electromagnetic field. The usefulness of alpha wave scanning in learning can be compared to the usefulness of electromagnetic field scanning for social life of a city. You need to focus on the causes rather than on symptoms. Alpha waves appear primarily in the absence of visual processing and other intense mental processes. This is why they cannot dogmatically be considered as a desired learning state. After all, the drowsy alpha state that precedes falling asleep is exactly the worst moment for learning during your day.

In evaluating the "relaxation products" you need to differentiate between the relaxation effect and the actual learning effect. The number of companies producing false claims in this field is astounding. It is very easy to fall for a simple solution to a learning problem (e.g. get 10Hz binaural beat difference and your learning problem will go away for life, and perhaps your sex drive will improve at the same time, you will sleep better and you will look younger). The easy learning solution explains why false claims related to "learning in relaxation" are so hard to extinguish.

At the same time, if you need to cope with stress or insomnia, many products in the field may have a legitimate application. Customers of the Polish Sita system jokingly claim that the company would do better if they marketed their product as a napping system. A worthy application on its own. If you know of relaxation products with legitimate claims and proven results, please let us know. We will gladly write about the subject or provide links from this website

Question:
(1) I want to spend my money on the MegaMemory program delivered on cassette tapes. How would you convince me, that I should rather spend money on buying SuperMemo (2) Is SuperMemo the same as SuperLearning developed by Dr Georgi Lozanov from Bulgaria? (3) Which techniques produce a greater increase in the speed of learning: SuperMemo or the mind maps proposed by Tony Buzan?
Answer:
The mnemonic techniques (Tony Buzan, MegaMemory, MindMan, etc.), Suggestopedia (Dr Lozanov) and SuperMemo can all be considered complementary. All of them have to do with optimization:

  • In Dr Lozanov's method the stress is put on optimizing the cognitive environment which produces the best effects in the learning process
  • In mnemonic techniques, the representation of knowledge is optimized in order to produce the most durable memory engrams
  • In SuperMemo, the optimization concerns the spacing of repetitions

To be a successful student, you have to (1) apply mnemonic techniques while (2) using spaced repetition in a (3) optimum cognitive environment. The important advantage of SuperMemo is that many capable students develop quite good tricks as far as mnemonic techniques are concerned. They can also reasonably master their own psychology and physiology to subject it to the learning effort. However, they have no way of optimizing the spacing of repetitions. Mostly due to the fact that the amount and complexity of computation needed to determine the intervals require the use of a computer and the technology proprietary to SuperMemo World. You should always try to extract the best of the teachings of Tony Buzan and others; however, if you are a capable student, you may start off from learning how to optimize the timing of repetitions. As for now, SuperMemo is the world's best tool developed to assist you in this task

Question:
What is your opinion about Suggestive-Accelerative Learning and Teaching (SALT)?
Answer:
The problem with SALT is that it seems difficult to reproduce good results in learning with the method. The flaw may not necessarily be the method itself but its replicable employment (example). Similarly, it can be shown that learning vocabulary with SuperMemo is relatively easy and can be reproduced by self-taught individuals in nearly all cases. However, more advanced techniques, such as incremental reading, require a great deal of expertise and may, in experimental classroom conditions, produce inconclusive results! SALT may be the most representative implementation of the teachings of Dr Georgi Lozanov who himself had to disavow association with a number of teaching schools that try to pull his name under their own umbrella with tags such as SuperLearning, alpha wave learning, NLP biofeedback, accelerative learning, hypnosis, etc. Quality evaluations are scarce and practical applications may not be straightforward

Question:
Do you recommend books by Tony Buzan?
Answer:
Yes. These books belong to the classics of memory improvement and mental training. They also are very motivational. If learning is important to you, reading at least one of Buzan's collection is a must

(Peter Cool, The Netherlands, Nov 6, 1998)
Question:
Last weekend I started to read and exercise Kevin Trudeau's book Mega Memory. What is your opinion about this?
Answer:
MegaMemory is a good system to exercise your mnemonic skills. It is simple, strongly motivational and shall be useful for most students who want to strengthen their ability to master hard-to-memorize material.
A word of criticism is necessary though, needlessly Kevin Trudeau begins his program with the claim that memories do not get erased as a result of forgetting and are simply becoming inaccessible. This is not true. The example used in the program refers to our bicycle riding skills. It is noted that people retain biking skills for years without repetition. However, biking falls into the domain of procedural learning (including touch typing, playing instruments, sports, etc.) as opposed to declarative learning (e.g. math, vocabulary, learning faces, etc.). Every minute of biking is equivalent to multiple repetitions in declarative learning and retention and forgetting are governed by slightly different principles. Information theory can be used to quickly prove that the brain is not capable of retaining all information in stores in long-term storage. Hence the need for forgetting. FTC has filed a lawsuit against Kevin Trudeau as a result of his marketing overstatements (the lawsuit was settled). Having said that we still strongly recommend Mega Memory as a system complementary to SuperMemo and based on tried ancient mnemonic techniques. As a bonus, if English is your second language, Mega Memory tapes can additionally serve as a course of colorful English (narrated by Trudeau himself)

(M.Z., Poland, Apr 15, 2001)
Question:
While I make my repetitions, I often have problems with focusing on questions. My brain simply wanders off to other subjects. Do you think this is normal?
Answer:
This is a clear indication that your material is either badly structured or poorly selected. Unfortunately, this situation affects quite a number of users. Repetitions affected by concentration problems are dramatically less efficient. A wild guess is that you might be losing 50-95% of your efficiency. If you formulate your material poorly, you may suffer from recall problems (answers are too complex) or comprehension problems (questions are too wordy). Repetitions immediately become less enjoyable or even painful. This will quickly trigger natural defense mechanism. Your brain will search for more productive mental effort such as pondering over the movie you had seen a day before. Poorly selected material will produce exactly the same result. Optimally, you should only store top-importance material in SuperMemo. This comes from the fact that usually you hardly have time to master top-importance items, let alone anything else. If your material does not meet this criterion, it will seem less relevant and simply boring. If you cram for uninteresting exams, the result will be the same. Poorly selected or structured material is the chief cause of showing little progress with SuperMemo. Problems with attention are a clear indication that you need to review your learning process carefully. Probably you will need to do lots of deleting and reformulating.
In addition, be sure you get enough sleep, avoid stress (e.g. make repetitions before school or work), do not let anyone disrupt you, turn off the radio and TV, turn off your music (even those pieces you love will compete with your items for your brain power). Please read: SuperMemo Decalog, esp. the section entitled Concentration

The term "staggered learning" may sometimes be used to describe "spaced learning"
(SKlein, Holland, Tuesday, December 05, 2000 7:32 AM)
Question:
What is the difference between staggered learning and learning based on spaced repetition?
Answer:
The term "staggered learning" is not used often. It may refer to intermittent learning or learning based on repetition and review. It is used in reference to the curriculum rather than the method of learning. Probably, its association with spaced repetition comes from the fact that it was used in the context of the Leitner method which is a very old form of spaced repetition

Reading also involves active recall
(Tomasz P. Szynalski , Mon, May 14, 2001 16:39)
Question:
I think your website overestimates the importance of active recall, esp. in learning languages. If I read 20 books (purely passive review), my result will be far from zero. On the contrary, my English skills will shoot up
Answer:
Active recall is needed to guarantee the high retention as defined by the forgetting index (even 99%). Depending on volume, structure, delay, etc. passive review may leave as little as less than a percent of recall. However, reading books for the sake of learning English is not just passive review. Each time you encounter a problematic word, the need for comprehension will automatically trigger an active recognition test in which the stimulus is the word in question and the response is its semantic association. This is active recall

Short-term memory requires no spaced repetition
(Mark G. Patterson, USA, Wednesday, July 18, 2001 6:24 AM)
Question:
The encoding phase of SuperMemo could be dramatically improved by providing a micro-spacing algorithm that presented each new item for recall 3 to 4 times during a 30 minute interval in an expanding pattern. For example, 0, 5, 15, 30 minutes
Answer:
Spaced repetition is valid for long-term processes and its purpose is to minimize the number of presentations and maximize the memory effect by sufficient spacing. However, improved recall within the span of short-term memory can be accomplished only in cases where the initial encoding was incomplete or insufficient. In other words, an important assumption in SuperMemo is that the first exposure should be used to formulate a valid memory engram that will last until the first repetition. Ideally, even the concept of final drill is excessive and serves solely as an insurance against imperfect concentration on the memory task. Sufficiently encoded short-term memories will always be converted to long-term memories and will likely last a few days until the moment of the first repetition

The more time you give to SuperMemo, the closer it will approximate your memory needs
(Luis Gustavo Neves da Silva, Brazil, Thursday, January 04, 2001 4:29 PM)
Question:
If I memorize a collection of 200 items with SuperMemo and make regular repetitions, when will my measured forgetting index be closest to the requested forgetting index: after a day, after a week, after a month or after a year?
Answer:
In conditions of no outside interference, the more time you give to SuperMemo, the better it will approach the requested level of retention. However, if you encounter this knowledge in real life (i.e. outside SuperMemo), the result cannot be predicted. For example, interference early in the interval may have no effect, while interference later in the interval may increase retention in the repetition to come and reduce the retention in the repetition that will follow yet another interval. The outcome will depend on the timing relationship of interference and measurement

Keeping things in memory is important! Memorization allows of employing associational thinking
(T.P.S., Poland, Fri, May 18, 2001 17:05)
Question:
What's the difference between persons A and B: Person A can recall thousands of facts in 5 seconds from memory. Person B can look up those facts in 30 seconds from the net. Clearly, person B is more effective, because he/she hasn't invested 30 minutes every day in appending the facts and then repeating them with SuperMemo
Answer:
Person A can produce instant associations between all those thousands ideas. If the number is 10,000, he or she can produce 10,000 x (10,000-1) instant associations of which many may appear useful (depending on the actual content of memory) Person B can produce only as many associations as his short-term memory can hold while browsing the sources (say 50 x 49 in case he can keep 50 things at once in short-term memory)

Delayed repetitions in SuperMemo
(Malcolm Macgregor, Saturday, September 21, 2002 12:32 AM)
Question:
What causes delayed repetitions?
Answer:
Delayed repetitions are usually caused by a user's failure to go through the allocated portion of the learning material. In massive incremental reading, delayed repetitions may also come by design as a result of material overload. Delayed repetitions will always result in an increased measured forgetting index (more forgetting) but can, paradoxically, save student's time by increasing memory consolidation (the speed of learning might be highest for forgetting index around 20-30%). Using Postpone, the student can choose portions of material that will be protected from delay in massive incremental reading. This way, important material takes more time to learn but shows a better recall rate

Forgetting curve for ill-formulated items is flattened
(anonymous, Wednesday, July 25, 2001 2:54 PM)
Question:
I had a 5-months break in using SuperMemo. I resumed my repetitions and noticed that I still remembered many items. Initially, SuperMemo asked me to repeat difficult items (e.g. enumerations). To my surprise, I remembered many of these items. SuperMemo required a 15 days interval, while I made my repetitions after 150 days and still succeeded. I no longer believe in the optimality of the SuperMemo algorithm. Probably it is 10 times worse than optimal
Answer:
Your results are in full compliance with theoretical expectations. It is no surprise that SuperMemo initially tossed the most difficult items at you, and it is no surprise that you showed remarkable recall on these items. Those items clearly belong to those that have not been formulated in compliance with representation rules (e.g. enumerations are notoriously difficult). If you imagine memories as sets of apples (you can see an apple as a single synapse in the brain), good memories are like small collections of well-polished apples. Bad memories (e.g. enumerations, complex items, ambiguous items, etc.) are like large collections of apples of which few are spoilt. Naturally, spoilt apples rot fast and make recall difficult. After just 15 days, all spoilt apples might have been rotten. During the remaining 150 days, the remaining apples rot very slowly. Hence the typical departure of wrongly formulated items from the shape of the classical forgetting curve. For bad items, the curve is flattened (as an expected superposition of several Ebbinghausian curves). SuperMemo blindly obeys your recall criteria. If it takes 15 days to ensure 98% recall, SuperMemo will take no consideration of the fact that at 150 days you may still show 95% recall. This is why SuperMemo 2000 includes leech management. It makes it easy to identify bad items and use auto-postpone or auto-forget options. Auto-postpone will do exactly what you expect, i.e. delay bad items with little impact on overall retention. Auto-forget will help you rebuild memories from scratch. Occasionally, the newly established memory representation will click and your recall will improve. Naturally, the best method against bad items is the use of appropriate representation (see: 20 rules of formulating knowledge for learning). Interestingly, SuperMemo can never predict the moment of forgetting of a single item. Forgetting is a stochastic process and can only operate on averages. A frequently propagated fallacy about SuperMemo is that it predicts the exact moment of forgetting: this is not true, and this is not possible. What SuperMemo does is a search for intervals at which items of given difficulty are likely to show a given probability of forgetting (e.g. 5%). If you look for a numerical measure of the algorithm's inaccuracy, instead of comparing intervals you should rather compare retention levels as the retention is the optimization criterion here. Even for a pure negatively exponential forgetting curve, a 10-fold deviation in interval estimation will result in R2=exp(10*ln(R1)) difference in retention. This is equivalent to a drop from 98% to 81%. For a flattened forgetting curve typical of badly-formulated items, this drop may be as little as 98%->95%

Multitasking is not recommended in learning (#6918)
(dansujp, Sun, Sep 16, 2001 3:07 PM)
Question:
Here is another improvement for SuperMemo. When I reviewed the flashcards, I would lay them out on a large table so that I could see 30 at a time, and would pick up the cards for which I knew the answer. Sometimes the answer takes a few seconds to surface. In the mean time I can be looking at other cards and thinking about them in a multitasking fashion. In SuperMemo there is only one question at a time, so it is frustrating to sit there and wait and not have anything else to do until the answer appears
Answer:
 Research shows that multitasking considerably reduces cognitive powers. Optimally you should be able to focus on a single recall at a time. In addition, recall should, ideally, be instantaneous. Long and frustrating retrieval times would typically indicate ill-formulated items of high complexity. Your solution might increase the fun of learning for overly complex material, but if you apply the minimum information principle along with other pivotal rules of knowledge representation, multitasking would reduce your processing speed . In the past, we have added a number of options to SuperMemo by sheer user pressure; however, it can be demonstrated that in many cases this have actually done harm to user learning process. We consequently remove options that are frequently misused (e.g. Batch Repetitions, Background Repetitions, some rescheduling tools, and more)

Music and incremental reading
(Mohammed Asad Khan, Pakistan, Thursday, May 02, 2002 1:01 AM)
Question:
Can I read articles in SuperMemo with the help of my favorite music?
Answer:
Optimally, you should have your favorite music turned off when learning. However much it invigorates your brain, it will ALWAYS decrease your focus and take away some mental processing power. Invariably, background music reduces the efficiency of working with SuperMemo. If your learning is boring, you must diagnose the reasons. Most often, user knowledge is not properly formulated for active recall. Incremental reading may require a few months of practice to develop good learning habits. You cannot resolve the "boredom" of learning with background entertainment. Learning must be entertaining on its own!

Memorizing collections such as 20x20 Multiplication Table increases mnemonic computational skills
(Mark, Sun, Jul 29, 2001 2:48)
Question:
Once a user memorizes 20x20 Multiplication Table, will he or she be able to count properly without a calculator or pencil and paper?
Answer:
Yes. It is hardly possible to memorize 20x20 multiplication table without doing some simple calculations in memory. Cramming the results is neither recommended nor is it easy. The calculations made at recall stage actually enhance one's ability to run computations in memory, and decrease the need for a calculator!

Trust SuperMemo to save time
(Mike C, Thursday, September 20, 2001 2:46 AM)
Question:
I have a problem with Mercy. On 9/10 I answered an item, which was then scheduled again on 9/13. Then on 9/17 I ran Mercy. That item ended up getting re-scheduled to 9/19, today. What I'm seeing is that SuperMemo has assigned it an interval of 9 days rather than 3 days. The problem is that if I answer this item Good or Bright it is going to get scheduled out to something like 13 or 15 days, when it really should be only 4 or 5 days
Answer:
Once you get a good grade after a longer interval, SuperMemo will naturally use longer intervals as it will upgrade your recall chances. Your anxiety is understandable. However, by shortening intervals you would actually increase time needed for learning. What is worse, artificial shortening of intervals increases the chances of forgetting due to spacing effect

Memorizing instances of abstract cases is not a waste of time
(SuperMemo R&D, Wed, Aug 01, 2001 21:47)
Question:
In SuperMemo you propose to introduce several examples of the same rule. For example, 13*10=130, 24*10=240 and 69*10=690. One could get dozens of different possible appearances of one principle. Does this make sense?
Answer:
Yes. This is instance training. Problems you solve are instances of a certain abstraction. A single rule-based item requires a very smart mind to produce a strongly applicable abstraction. Several instance items help you make use of the natural properties of neural networks to enforce the abstraction. In many cases, you will achieve better results by memorizing a rule and several instances of its application than by just the rule alone. In SuperMemo, the cost of such a redundancy is negligible. Remember that in SuperMemo you spend most of your time on repetitions of difficult material. Redundancy improves retention by optimizing representation. Paradoxically, by adding redundant instance items, you can often reduce overall workload. And even if the workload were to increase, the applicability of thus-strengthen abstraction is a highly welcome side effect

Poor memory is usually a self-imposed limitation
(darran a., Australia, Mon, Aug 27, 2001 10:47 PM)
Question:
I was tested some years back for my memory, I always had problems learning at school, they told me I had a genetic short term memory loss, possibly inherited from my father, my children show some of the same signs that I have
Answer:
Please consult another specialist! Genetic factors affecting short-term memory are unlikely. In addition, it is long-term memory that makes you succeed in life, while short-term memory can be honed easily with mnemonic training. Hopefully, SuperMemo should help you figure out that your abilities are not much different from others, and your future rests in your hands (and your brain)

Vacation may feel like "improving memory"
(p.b., Thu, Apr 11, 2002 18:02)
Question:
When I came back from vacation, where I did not do my daily SuperMemo, some 1,500 items awaited me. I found out with surprise that I recall the items better after this 10-day break then on usual days with daily repetitions. Maybe my mind had so good rest that it worked noticeably better?
Answer:
If the vacation took away some stressload or gave you a chance to catch up with sleep, your fresher mind might partly explain a higher recall rate. However, you should also be aware of the placebo effect enhanced by the surprise that you remember so much. If your forgetting is usually 10%, you might have expected 30% after the vacation (as most people do expect). When you had noticed or sensed it is 12% (the more likely value), you could have felt as if it was 8%. It would "feel" as if your scores improved even though they were worse in proportion to the length of the delay

There is no remedy to interference
(Justin, Wed, Nov 07, 2001 23:58)
Question:
What should I do when I get two successive elements that are identical but flipped (i.e. the question goes in the place of the answer)? The first card obviously "refreshes" my memory -- so the "testing" of the second item is inaccurate. I usually just click Fail ('D'), which I is bad for the learning process
Answer:
Your only remedy is introspection and an honest attempt to estimate how you would have scored had the refreshing item not been presented. Otherwise, scoring Bad or Fail should not do much damage to the learning process. In the long run (i.e. when intervals increase) and with a high volume of the learning material, this is usually not a problem to worry about. Successive occurrence of similar items is rare in such circumstances

Spacing effect results from reduced potential for increasing synaptic strength
(Mark G. Patterson, Tuesday, September 25, 2001 3:25 AM)
Question:
Why is the term Spacing Effect used with negative connotations at supermemo.com? Spacing Effect refers to the beneficial effects of spaced repetition (which I prefer to call spaced recall since active recall, not mere repetition or review, is key)
Answer:
Forgetting and the spacing effect are beneficial from the evolutionary point of view as these both evolved to prevent memory overload. However, in the context of learning, both phenomena need to be struggled against by the student. Spacing effect may be interpreted as "shorter intervals - harder learning" or as "longer intervals - easier learning". In other words this might be a glass half-empty case. However, once we understand the molecular origins of the spacing effect, we quickly come to see it as a mechanism directed against remembering. In the same way, once we try to fill a glass with water, we will call it half-full in the middle of the way. Spaced repetition is effective exactly because it goes around the spacing effect, i.e. around the reduced ability to reinforce memories at high levels of retrievability

It is possible to roughly estimate the amount of time needed for learning a portion of material
(Patrik Nilsson, Tuesday, December 18, 2001 11:53 AM)
Question:
Can Tools : Statistics : Simulation help me figure out the date when it is expected that I manage my learning material?
Answer:
Once you introduce an item into the learning process and execute all outstanding repetitions, it is SuperMemo's responsibility to ensure the desired level of retention. For that reason, you can assume that you "managed" your material as soon as it has been introduced into the learning process. Consequently, you do not need to run Simulation. If you want to memorize 1000 items and you decide to introduce 10 items per day into the learning process, you will "manage" the material in 1000/10=100 days. Now you can use Simulation to try to estimate how much work this will require. A rule of thumb is that you need 10x more effort for repetitions than for learning new material. This could indicate that if you memorize 10 items per day, you may expect 100 repetitions per day (at least in the initial period). This number may vary greatly depending on the difficulty of the material and your learning skills and techniques. Use Simulation to get a better estimate. With rescheduling tools (e.g. Postpone), you can also reduce the daily load of repetitions; however, you will then suffer some loss in retention. Another rule of thumb is that to increase your forgetting index from 10% to 20% you would need to either (1) massively overload the learning process (e.g. by increasing the inflow of material 10-fold), or (2) dramatically cut down on the learning effort (e.g. by 90%). For more see: Theoretical aspects of SuperMemo

Use Simulation to estimate workload
(Piotr Wasik, Poland, Tue, Apr 24, 2001 14:26)
Question:
I would like to know how to estimate my workload on a large collection if I commit 40 items per day and keep the forgetting index at the default ten percent
Answer:
If you use Tools : Statistics : Simulation and set: (1) the forgetting index to 10%, and (2) daily repetitions to 230 items, you will get 40 new items memorized per day. In other words, your workload might roughly be 230 items/day (this will vary greatly depending on the quality of your learning material)

Tony Buzan and SuperMemo
(JON DOWAT, Tuesday, February 12, 2002 5:10 AM)
Question:
Is SuperMemo based on the memory research by Tony Buzan?
Answer:
Not directly. However, both SuperMemo World and Tony Buzan try to produce a synthesis of what is know about efficient learning. Those philosophies are largely identical. Our advice related to mnemonic techniques, although not part of SuperMemo itself, is largely based on Buzan thinking. Similarly, Buzan is a proponent of repetition spacing. His proposed increased interval scheme is slightly different from what comes out from computations made by SuperMemo, but is equally valid in practical, non-computer, applications. Tony Buzan has accomplished a great deal promoting "learning to learn" attitudes worldwide. His work fertilized the ground for seeding SuperMemo

Flatter forgetting curve does not increase optimum interval
(Tomasz P. Szynalski, Saturday, August 04, 2001 5:53 AM)
Question:
If the forgetting curve is flatter for difficult items, I will remember them for a longer time, right? Does that suggest that ill-formulated items are remembered better?
Answer:
No. Flattened forgetting curve will increase retention measurements in intervals that are a multiple of the optimum interval as compared with the typical negatively exponential curve for well-structured material. However, the optimum intervals for ill-formulated items will expectedly be shorter as can be observed on the first interval graph in Tools : Statistics : Analysis : Graphs : First Interval. The smoothness of this graph depends on the number of repetitions recorded. In the picture below, over 90,000 repetitions have been recorded

I don't buy memory overload hypothesis in Alzheimer's
(Mike, Tue, May 28, 2002 5:01)
Question:
I'm sure the basic premise of the "memory overload hypothesis" is flawed. The effect of SuperMemo is really no different, at the basic biochemical level, than any other repetitive learning activity (although certainly more efficient). If I dial my mother's phone number 100 times over the next few years, does that also contribute to Alzheimer's?
Answer:
It is important to differentiate between recalling/reusing old memories, and forming new memories. When you redial the same phone number, you are not likely to form new long-term memories. Nor does the overall storage change when you make repetitions of outstanding items in SuperMemo. However, the power of SuperMemo is in that the efficient rehearsal of the old material provides more time for learning new material. Consequently, you will be forming far more new memories than an average non-SuperMemo student. This would be exactly what Robin P. Clarke worries about: too much new stuff in your head. However, the evidence leaves little room for truly harmful overload (e.g. as in cramming in stressful conditions). If the hypothesis was right for the subset of cases violating the principles of mental hygiene, well-employed SuperMemo would not classify

First meaningful split into difficulty categories occurs at first repetition (#9873)
(Aaron Koller, USA Educational, Thu, Jun 13, 2002 5:25)
Question:
Ten days ago I had a collection with about 200 items in it. I reset the collection and learned all 200 items that day. Starting the next day, I added about 20-25 more items each day. My problem is: SuperMemo is scheduling the next repetition for the newly added items up to 5 weeks in the future, seemingly without regard what score I give it. It seems I will certainly forget an item I didn't know today if I won't seen it again until next month
Answer:
It takes time for SuperMemo to be highly accurate with ensuring the requested retention of knowledge. Your poor grades next month will help it improve its performance. The first interval of all new items is computed with the same forgetting curve. This means that both difficult and easy items will be scheduled at the same time. The first grade given after this uniform interval is the first tool SuperMemo uses to estimate item difficulty. It cannot use grades provided while memorizing because these can pertain to completely unknown material as well as to material that has just been introduced manually. If you scored excellent on those first 200 items, all following items will be first scheduled at a much longer interval (i.e. the optimum interval for new items whose difficulty is not known). In simple terms, SuperMemo has no way of knowing that you have already worked with the first 200 items and your grades are exceedingly good. Nor can it know that the follow-up items are far more difficult. The only hint of irregularity will come with grades received in repetitions. For that reason you will need to wait as long as the first interval (up to 20 days) and you will need to process comparably many difficult items (i.e. around 200) to proportionally shorten the first interval. The average first interval may reach 20 days, but rarely, due to interval dispersion you might see items scheduled in over four weeks (i.e. 20 days plus the dispersion interval which follows a normal distribution).

You have two choices:

  1. wait until SuperMemo discovers the fact that your first 200 items were unusually easy
  2. use File : Tools : Reset parameters : Optimization matrices to begin building your memory model anew

A good practice is to keep all your knowledge in one collection to avoid similar deviant behavior. All forms of intermittent learning (e.g. relearning the material, breaks in learning, etc.) make it difficult for SuperMemo to build a good memory model

The Silva method does not seem to be based on solid science (#9892)
(Staszek, Poland, Jun 14, 2002)
Question:
Do you recommend the Silva method?
Answer:
Although there have been many people genuinely happy with the Silva method, we do not believe this method has a solid scientific basis. As a result, we have no reasons to recommend it. Please consult other sources too. See also: Silva Method (Skeptic's Dictionary)

Limited Postpone will not damage your learning process (#219)
(Mariusz, Jun 17, 2002)
Question:
How much does my retention drop when I use Postpone?
Answer:
For an ideally exponential forgetting curve we can show that:

Rd=e(ln(1-FI/100)*dp)

where:

  • Rd - retention after the delay caused by Postpone
  • FI - forgetting index (in percent)
  • d - delay factor in Postpone (i.e. the number by which the length of the interval is multiplied)
  • p - the number of postpones (dp is here the cumulative postpone factor)

The table below shows that even a large number of postpones is insignificant as long as the delay factor d is low (you can choose this number in the postpone dialog box). However, the default delay factor of 1.1 will increase the forgetting index from 10% to 20% if postpone is executed successfully seven times in succession.

Table: Increase in the measured forgetting index as a result of using Postpone among items with the requested forgetting index equal to 10%. Grey column headers: delay factor. Yellow row headers: number of postpones. Table body: measured forgetting index. Blue area: measured forgetting index above 20%

p / d | 1.01 | 1.02 | 1.03 | 1.05 | 1.1 | 1.2 | 1.3
1 | 10.1 | 10.2 | 10.3 | 10.5 | 10.9 | 11.9 | 12.8
2 | 10.2 | 10.4 | 10.6 | 11.0 | 12.0 | 14.1 | 16.3
3 | 10.3 | 10.6 | 10.9 | 11.5 | 13.1 | 16.6 | 20.7
4 | 10.4 | 10.8 | 11.2 | 12.0 | 14.3 | 19.6 | 26.0
5 | 10.5 | 11.0 | 11.5 | 12.6 | 15.6 | 23.1 | 32.4
6 | 10.6 | 11.2 | 11.8 | 13.2 | 17.0 | 27.0 | 39.9
7 | 10.7 | 11.4 | 12.2 | 13.8 | 18.6 | 31.4 | 48.4
8 | 10.8 | 11.6 | 12.5 | 14.4 | 20.2 | 36.4 | 57.7
9 | 10.9 | 11.8 | 12.8 | 15.1 | 22.0 | 41.9 | 67.3
10 | 11.0 | 12.1 | 13.2 | 15.8 | 23.9 | 47.9 | 76.6
11 | 11.1 | 12.3 | 13.6 | 16.5 | 26.0 | 54.3 | 84.9
12 | 11.2 | 12.5 | 13.9 | 17.2 | 28.2 | 60.9 | 91.4
13 | 11.3 | 12.7 | 14.3 | 18.0 | 30.5 | 67.6 | 95.9
14 | 11.4 | 13.0 | 14.7 | 18.8 | 33.0 | 74.1 | 98.4
15 | 11.5 | 13.2 | 15.1 | 19.7 | 35.6 | 80.3 | 99.5

It is harder to learn foreign languages after forty (#5828)
(Pawel W., Poland, Aug 07, 2001)
Question:
I have been learning English for several decades, but I still speak poorly. My IQ is well above average, I am not lazy, and otherwise I have a fluent command of the language. I learned Esperanto in a few weeks and speak good German. But speaking English is always a problem. Any suggestions?
Answer:
Over the years, you have certainly acquired phonetic, lexical and mnemonic representation patterns that deprive you of rudimentary building blocks that enable fast learning of languages other than your native one! If you play with the Polish word "start" in your memory, you use a very scanty synaptic representation that makes processing fast and retention easy. If you want to use the word "start" in English, suddenly you are faced with a burden of connotations that make learning quite frustrating. The mere pronunciation pattern may require weeks of effort devoted to a single vowel. You need specialized circuitry to process this single vowel, extract it in the flow of speech, pronounce it in different contexts, skip it when possible, and emphasize when necessary. Your language toolkit has already been molded to fit your native language. It is not true that you learn slower than young kids. Your main obstacle is to unlearn hundreds of neural dogmas about the language. Then you need to develop anew specialized circuits for processing building blocks of speech. The shortest path to resolving this problem is to find people to who you will be able to speak English and use the language as often as possible. Fill up the gaps in knowledge with SuperMemo. Each time you pause on a word or phrase while its Polish equivalent is ready to serve in your memory, store the appropriate association in SuperMemo (e.g. Polish word vs. English word, and later, English word definition vs. English word). Only with months of intense training will you be able to overcome mental obstacles that also grow in your mind with each frustrating year of limited progress. All in all, it may appear easier to develop a fluent command of spoken English that to learn to decode various dialects of English from all corners of the world. Again untold hours of training are needed to achieve proficiency. You may greatly simplify your task if you definitely decide not to struggle to get rid of your Polish accent. International communication needs to strive to never discriminate between individuals on the basis of their accent

SAFMEDS skills are useful in incremental reading
(TKMan, May 25, 2003)
Question:
I read about a special kind of flashcard training called SAFMEDS. Do you recommend it?
Answer:
Yes. SAFMEDS can shortly be characterized as the art of cloze deletion formulation combined with precision teaching. What you learn from SAFMEDS will directly translate onto a subset of skills employed in incremental reading. Note, however, that SuperMemo does not employ nor universally recommend fluency drills typical of precision teaching.

The art of SAFMEDS emphasizes the core principles of efficient learning (and SuperMemo): active recall and minimum information. It also formulates the rules of cloze deletion formulation (here: SAFMEDS card construction criteria): uniform blanks, blanks at the end of the sentence, minimum wording, multiple cards for multiple keywords, etc.

Advanced repetitions and the spacing effect
(Malcolm Macgregor, Saturday, September 21, 2002 12:32 AM)
Question:
Could you explain how repetitions advanced in time relate to the spacing effect?
Answer:
Before an important exam, the student may decide to review a portion of material even though individual items may be scheduled for repetition months or years into the future. The spacing effect prevents memory consolidation when inter-repetition intervals are far shorter than the chosen optimum. For that reason, formulas used in earlier versions of SuperMemo cannot be used to compute a new interval after the forced premature repetition. Instead, a heuristic formula is used to shorten the interval accordingly. For example, if the optimum interval was 1000 days and the next optimum interval was to be, say, 1300 days, SuperMemo will use the interval range from 1000 days to 1300 days for premature repetitions. If the repetition takes place 10 days after the last review (instead of 1000 days), it will have nearly no effect on memory consolidation and SuperMemo will choose 1000 (or 1001) as the next interval. However, if the repetition takes place on 900th day, SuperMemo will assume it is nearly as effective as the optimally scheduled repetition and schedule the next repetition in, say, 1297 days. The formula for "interval attenuation" is not based on hard science but is good enough for practical applications where advanced review is an exception rather than a norm

Automaticity does not correlate with the probability of forgetting
(Terje A. Tonsberg , Tuesday, July 08, 2003 8:51 PM)
Question:
How highly correlated is low latency in answering a question (high automaticity) to the probability of forgetting?
Answer:
There is no correlation between automaticity and the probability of forgetting in the period that follows the measurement. In the terminology of the two variables of long-term memory, automaticity is correlated with retrievability, while probability of forgetting in a given period (assuming the same known retrievability) is correlated with memory stability (also confusingly called memory strength). In simple terms, if you remember something very well, you do not know how fast you are likely to forget it. It depends on the history of previous exposure. For example, in SuperMemo, the automaticity of recall is similar after the fifth and after the tenth repetition. However, memories built in ten repetitions are likely to last far longer. Perhaps even a lifetime. Mathematically speaking, retrievability R(t) corresponds with the probability of retrieval of a memory trace at the time t. Probability of forgetting in the time d will then be R(t)-R(t+d). However, R is the function of memory stability S: R=e(-t/S). Hence we have the probability of forgetting as P(t,d)=e(-t/S)-e(-(t+d)/S). Predictably, the stronger the stability, the less forgetting you will see. The starting point retrievability is not included in the equation, because it is the steepness of the forgetting curve, not the starting point, that determines the speed of forgetting.

It is worth noting, that with biased statistical sampling, it might be possible to erroneously prove the false hypothesis of the negative correlation between automaticity and probability of forgetting. This comes from the fact that very low retrievability will always produce very low probability of forgetting nearly independent of memory stability (at the bottom of the forgetting curve). No wonder then, that in "traditional learning" (i.e. not based on spaced repetition), where both retention and stability are much lower, it is easy to falsely assume that if you know something well, you will remember it far longer than if you show recall problems

SuperMemo should not be viewed as a cramming tool
(Gundam Fool, Monday, February 18, 2002 1:00 AM)
Question:
What about applicability? For example, I memorize a math formula with SuperMemo, should I also add an item that makes me use this math formula so I also remember how to apply this math formula to a problem? Or is the associative thinking part separate from SuperMemo and I should only memorize facts and formulas?
Answer:
You can use SuperMemo to boost creative thinking as well. The optimum approach to formulas will depend on your particular needs. Simple formulas may be self-containing and applicable in many contexts without additional clues. The connection between others and relevant models may be less clear. Then, depending on your needs and the priority of the formula, you can add examples, anecdotes, loose associations, mutated formulas, formula derivation, instances to solve, etc. If you do not have much experience with SuperMemo, start with raw formulas and see how they work in practice. If a formula becomes "dry" and unassociative, you can support it with additional material. You can, for example, think over the formula and its known association and describe it in prose in your own words. Then you can dismantle that prose in incremental reading and gradually build a better understanding of the formula's applicability. Using prose and incremental reading will be equivalent to perpetuating your today's understanding of the formula and, as a bonus, deepening associations with individual components of the model

We believe SuperMemo is a must for anyone with serious plans to enter science
(Garry Gross, Saturday, August 25, 2001 12:24 AM)
Question:
I am presently studying to be a behaviorist. I am working from text books that I find difficult. Please let me know how SuperMemo would be useful in this adventure. How do I get the material from the text into the program?
Answer:
This article is probably the best summary of the role SuperMemo could play in your work: Devouring knowledge. Please pay a special attention to the part devoted to incremental reading. We believe that incremental reading is a must for anyone with serious plans of working in science. The most painful limitation in your context is that incremental reading requires your texts to be available in electronic form (e.g. if you rely on paper books, you would need an OCR scanner or you would need to type in the most essential study points into the computer)

Minimum information principle v.s. the length of "20 rules" article
(NF Lynch (Isr), Israel, Wednesday, January 15, 2003 9:29 AM)
Question:
Your list of The 20 rules of formulating knowledge in learning flies in the face of your own learning principles. The list is too long and without any hierarchical basis or mnemonic hooks
Answer:
The minimum information principle refers only to active knowledge. Passive knowledge can be processed incrementally. In incremental reading, there is no upper limit on the length of texts that can be processed efficiently. Once the individual rules listed in the article are memorized using, for example, cloze deletions, they need to meticulously adhere to the minimum information principle. In other words, articles you read can be outrageously long. It is the answers to questions you want to remember that must be short

Spaced Application & Semantic Networks (#3831)
(Mark G. P., Thu, Jun 21, 2001 6:24)
Question:
I read a question in Medical Biology:
Q: mem: What is the impact of blocking phospholipase A2 on inducing LTP?
A: Suppression
Uhhhhhhhh …… but if I don't have a clue what phospholipase A2 is then this item becomes meaningless. Sure, if I pound away at recalling fuzzy, shallow memories of meaningless items, eventually I may encounter the information I need and the lights will come on, but is this the most efficient way to learn?
Answer:
Rule #1 in selecting and formulating your learning materials is: Do not learn what you do not understand! (see: 20 rules...).
The correct action upon encountering such an item is one of the following:

  1. for low-priority material, Forget the item and place it at the selected location of the pending queue (Ctrl+R)
  2. for more important material, postpone the item until the time you believe you are likely to understand it (Ctrl+J)
  3. for vital material, review your collection for the "missing link" (Search and Review) or import new articles discussing the subject

Ideally, you should create your collections on your own; however, ready-made material may also be useful if it belongs to a well-defined and well-targeted subset, or if it is used as a complementary inspiration rather than a supplement for wider study. Medical Biology is sorted by difficulty but it is unlikely to be fully understood even by students of medicine. For that reason, complementary research and incremental reading will always make a vital addition to studying this material

Why is SuperMemo slow to show its strength?
(Nathan Crow, WedJun18,2003 4:14 pm)
Question:
Why do you say one cannot see any difference between SuperMemo and other flashcard systems until a week has passed? Odd, if true.
Answer:

SuperMemo uses spaced repetition. Inter-repetition intervals increase gradually in the learning process. The more you grow your intervals, the less time you spend on repetitions, and the more time you have to enjoy stable knowledge.

If you compare SuperMemo with reading a book, you will see little difference in retention in the first week (first intervals in SuperMemo are usually shorter than a week). If you compare results after a month, an average book reader will have already forgotten a large part of the learned material, while the user of SuperMemo will stabilize around the programmed level of retention.

The more time passes, the greater the difference between traditional learning and SuperMemo.

If you compare SuperMemo with other methods approximating spaced repetition (e.g. priority system, Leitner system, etc.), it may take even longer to demonstrate the difference in retention.

The statement "give it a week before you give up" is to alert a new user to the fact that return on investment in the first week is little. There is a point in time (say several days) before which using SuperMemo may take more time than learning in a traditional way.

Considering the complexity of SuperMemo, difficulty in efficiently formulating knowledge, and the skills needed to master techniques such as "incremental reading", it is important for new users to realize they will need lots of patience before collecting their first ripe fruits of wisdom

You can easily learn 10,000 items per year
(Robyn Harte-Bunting , Monday, October 06, 2003 4:39 PM)
Question:
In the website you state that it is difficult to maintain a schedule of more than 100 daily repetitions or 1 hour per day on SuperMemo for lengthy periods. Can you say more about this number?
Answer:
Those rather arbitrary numbers depend on many factors. Beginners should take far lesser loads. Advanced users may go well beyond that, esp. with incremental reading and related skills. Nothing will serve as a better guidance as your own experiments probing the difficulty of knowledge you plan to master, your skills in formulating knowledge and the degree to which your personality or the type of acquired knowledge will make the whole process enjoyable as opposed tiresome. Some anecdotal facts may help you in measuring your maximum load:

  • advanced users report that acquiring 10,000 new items per year seems rather effortless
  • some determined users are able to sustain 1000 repetitions per day for a week or so (that is a full-time job though)
  • one user reported memorizing the whole Advanced English (40,000 items) in less than 6 months
  • very few users report reaching more than 400 repetitions per day for longer than a few months
  • incremental reading, where topics are mixed with items, is by far more enjoyable than pure repetitions, and can lead to far longer hours spent with SuperMemo

As for incremental reading, advanced users report little or no fatigue even in 3-5 hour non-stop runs (assuming a fresh unstressed mind). This may partly come from the material variety (randomized presentation of topics has a "TV channel zapping" reward effect). Also, the passive nature of topic processing may contribute to resolving short-term memory overloads that quickly result in homeostatic fatigue in traditional SuperMemo.

All in all, if you master all skills related to incremental reading and knowledge formulation, if you test your personal persistence and self-discipline, you may be able to commit yourself to 100 items per day plus 100-400 topics per day. However, as this may take 2-4 hours of learning, it is highly recommended you split those high loads into portions. If you give up on retention (say down to 85-90%), you can maximize the learning speed and reach 30,000-50,000 new elements per year. Of these, depending on the strategy, 30-60% will be items (still rather less than 15,000-20,000).

Remember, that you will need to use your best creative hours to sustain this process in the long run. Assuming you sleep in accordance with you natural circadian rhythm, those hours would be early in the morning (after breakfast) and perhaps in the evening peak (if you experience one). If you happen to learn at sub-optimum time (e.g. after work), you may find it hard to do a quarter of the suggested load

Learning to do calculations in memory
(Dragan Vidovic, Netherlands, Wednesday, March 10, 2004 9:25 AM)
Question:
I am trying to learn to calculate quickly in mind. I am a mathematician, and this is a hard problem form me, because I use a calculator since I was ten. The main problem with calculating in mind is memory
Answer:
You are right. The amazing feats of Rudiger Gamm are based on memory and the right techniques. You should begin with learning mnemonic techniques relevant to mathemetical calculations (e.g. peg system). Then you could try to learn a couple of rudimentary SuperMemo collections (e.g. Multiplication 20x20, Division 20:20, Division 1/20, etc.). While working with basic collections you will hone your own mnemonic techniques useful in basic calculations. Then you can gradually expand the difficulty of the material used in your practise. Ultimately, if you aim high, untold hours of practice are sine qua non of success (Gamm used to spend whole days practising).

Mega Memory and SuperMemo are complementary
(Dave 42914882, Wednesday, June 26, 2002 7:45 AM)
Question:
I bought a product called Mega Memory. How does it compare to your system?
Answer:
Mega Memory will enhance your mnemonic skills. SuperMemo will help you remember for ever. Mega Memory improves your short-term memory skills. SuperMemo builds long-term memory. If you use SuperMemo, you eliminate the problem of forgetting. If you combine it with Mega Memory, you will accelerate the speed of learning by being able to formulate your material in an easy-to-recall way

See Skeptic's Dictionary for a skeptical analysis of NLP
(konrad, Jul 03, 2002)
Question:
What do you think of NLP?
Answer:
Skeptic's Dictionary provides a highly skeptical review of neurolinguistic programming

Axon software
(Nick Sadler, the Netherlands, Aug 05, 2002)
Question:
What do you think of Axon Idea Professor? Would you recommend it?
Answer:
We have not tried Axon. The software seems highly innovative. Some SuperMemo customers expressed positive opinions

There is a physical limitation on how much we can learn per day
(Robyn Harte-Bunting , Friday, February 20, 2004 5:15 PM)
Question:
Alan Baddeley's 1976 book "The Psychology of Memory" (Chapter 2 "Input Limitations") cited an experiment in which postmen were taught to type on a variety of schedules. The results strongly indicated that there is a definite limitation, probably physical concerning the consolidation of the memory trace, to how much can be learned in a day and that too much effort led to negative returns. Are you aware of any research quantifying this limitation, which is distinct from the more pragmatic SuperMemo limit on the amount of review necessary for too large an input. How many items, inputted for the first time, outstrips the brains capacity to consolidate them as memories?

The postmen experiment was described in "The Psychology of Memory" and again in his more recent "Your Memory, a User's Guide". Baddeley's experiment showed that of 4 groups of postmen who learned to type over 60 hours, the one hour a day group attained a far higher skill level than those who practised 4 hours per day, 2 hours per day in one session and those who did 2 one hour sessions. In fact, the data shows that the 4 hour group must have experienced negative returns at some point. He describes a
similar result in a wartime experiment in groups learning Morse code. This is odd, in that in "Genius Explained" by Rowe a
common finding in individuals of very high ability is that they have put in typically 10,000 practise hours before virtuoso performance is achieved. They do not work "little and often" as the experiments would suggest.

Baddeley hypothesizes a limit to the daily learning rate and suggests it is based on time need to physically consolidate memory traces. In practical terms, it is very important to be able to quantify this limit in order to have efficient learning and practise.

Answer:
There is indeed a limit on how much we can learn per day. However, with good strategy, there does not seem to be a limit beyond which we should stop learning.

First we need to draw a distinction between procedural learning and declarative learning. Procedural learning is used to acquiring a skill such as riding a bike or typing the keyboard. In procedural learning, we do not tell the brain exactly how it should perform. The brain provides "the answer" on its own by trial and error, while we only "approve or disapprove" of its performance. In declarative learning, as in memorizing a textbook, we tell the brain exactly what to learn, and expect it to encode information in memory. Procedural learning, by definition, is highly repetitive (you repeat the same moves again and again, only with a slightly improved precision). With declarative learning, we want to minimize the repetition. For those reasons we need to discuss the two types of learning separately.

Procedural learning

In procedural learning, as in the typing postmen experiment, the following factors may result in the need to stop the practise at some point:

  • the law of the diminishing returns: after a longer practise, there is less and less improvement in unit time. This makes learning inefficient. It is far more practical to switch to another training procedure to capitalize on higher returns
  • fatigue: procedural learning often involves a strain on the motor system (e.g. carpal tunnel syndrome may be a result of excessive use of the keyboard). This calls for strict limits on the amount of practise, esp. in novices
  • degrading attention: if mental fatigue will result in loss to attention, the "command system" will not efficiently "supervise" the learning procedure. This may result in un-learning!

If you see virtuosos practicing all day long and getting excellent returns, it all comes from the mastery of the learning procedure itself. A top-class violinist will counter-act all factors that put the limit on the recommended amount of procedural learning. She will switch the routine to avoid diminishing returns. She will keep her entire upper limb motor system in excellent shape to effectively avoid overuse injury. Most of all, she will master the art of attention and capitalize on her passion for the violin to avoid the effects of un-learning. Consequently, there will always be a natural limit on her daily progress, but there may be no limit on the amount of training other than the need to take breaks (e.g. for lunch) and the need to sleep (to consolidate the results of learning).

Declarative learning

As in procedural learning, there are factors that will limit the efficiency with the progress of learning on a given day:

  • the law of diminishing returns: with spacing effect, repeated review of the same material quickly results in a complete absence of progress. Even worse: excessive review may prevent effective consolidation of long-term memories. If you get a new credit card and a new PIN code, you are likely to remember your PIN as long as you use it often. However, a short break in use may result in a sudden inability to retrieve the PIN code from memory. The memory lapse is far less likely if breaks in use increase gradually allowing of long-term consolidation that is not possible or difficult with frequent use of the memory in question.
  • fatigue and degrading attention: the amount of new information we can acquire in a single day is huge. Scientists hypothesize that we are able to take in so much due to evolving a two-component memory system: short-term fast-coding sparse low-volume memory and long-term slow-coding dense high-volume memory. The two systems have evolved to resolve one of the greatest problems of memory: interference (i.e. confusing similar pieces of memory). The short-term system encodes memories fast but uses lots of space to avoid interference. The long-term system slowly encodes memories in the optimum way that minimizes interference. The practical effect of the two-system memory is that with passing hours, we are less and less effective in acquiring new information. We tend to confuse things and get irritable. Our defense is fatigue. Our solution is sleep. Sleep is a great memory optimizer!
  • ill health effects of over-learning: it has been hypothesized that excessive learning may lead to ill effects on the memory system. See: Can too much learning cause Alzheimer's?

In declarative learning, unlike in procedural learning, we can accomplish maximum speed of learning if we minimize the review of the material with a view to a selected level of knowledge retention. For each selected retention level, there is an optimum review schedule that can easily be computed (as in SuperMemo). Maximum speed of learning is reached if we allow 20-25% of the material to be forgotten by the time of review. For higher retention levels, knowledge acquisition rate is slowed by the rapidly increasing frequency of review. For lower retention levels, knowledge acquisition is slowed by forgetting. In practise, for excellent long-term results we elect to remember anywhere between 80 to 98% of the learned material. For most important material, we choose higher retention at the cost of lower knowledge acquisition rate (i.e. learning speed).

The existence of the optimum schedule of review and the optimum knowledge representation makes it possible to determine the natural limit on the amount of information acquired in unit time over lifetime. This limit has been variously estimated in the range of millions of individual pieces of information (e.g. flashcards, questions&answers, items in SuperMemo, etc.).

As it was the case with procedural learning, a skilled student will also be able to spend long-hours on declarative learning without suffering negative effects. He will use spaced repetition to optimize the learning schedule and avoid spacing effect (SuperMemo). He will formulate knowledge for learning in the way that will minimize interference, minimize fatigue, and maximize consolidation (see: 20 rules of formulating knowledge). Finally, he will take the break from learning with increasing fatigue and never neglect sufficiently long and sound sleep that is the best warranty that the day-long learning is optimally consolidation for long-term objectives.

Conclusion: the key to overcoming the limits on the learning rate and the daily amount of learning is the learning skills. Those vital skills include: understanding optimum knowledge representation (how to formulate questions, what training procedure to choose, etc.), understanding optimum repetition spacing (when to make the review), understanding fatigue and sleep, passion (love of learning), overall fitness, time-management, stress-management, etc. All these skills are discussed in detail at supermemo.com

Herbert Simon guess on the expert memory power reflects his genius
(Dawid C. Poland, Aug 14, 2003)
Question:
Nobel Prize winner Herbert Simon claims that it takes 100,000 to 2 million "memory patterns" to make an expert. How does it square with your estimations based on SuperMemo?
Answer:
Simon's estimate is surprisingly accurate considering the fact that he did not use any mathematical formulas for estimating the forgetting rate. He started off with a very rough estimation of time needed to establish a single memory pattern and used his "10 years of hard work" prescription for an expert. However, the number 100,000 is probably closer to the real memory power of an expert. Anything beyond that will hit the wall of knowledge management that can only be overcome with tools like SuperMemo

Ages old techniques are still valid
(J.Tomlison, Mar 04, 2002)
Question:
Do you recommend techniques such as positive attitude, visualization, concentration, etc.
Answer:
Yes. Positive attitude works in all walks of life. Visualization makes things easier to remember. Concentration is vital for encoding memories (the sharper the laser light, the better the etch). Those things are all listed in SuperMemo Decalog

SuperMemo does not use microspacing of repetitions
(mgpatterson, Thursday, August 23, 2001 5:16 AM)
Question:
While I have complete confidence in SuperMemo scheduling algorithms, I needed to modify the operation of the final drill. From my research I've concluded that it is critical during initial encoding (when a student is first learning an item) that they are required to recall it at least 3 times during a 30-minute window--even though they may fully "know" the item each time. This repeated micro-spaced active recall (overlearning) leads to a neurochemical cascade that shifts the association into Intermediate-Term memory (lasting up to 3 days)
Answer:
Unfortunately, we cannot agree that microspacing is an effective way of using student's time. We are not aware of neurochemical variables needed to consolidate long-term memory other than those described in the SuperMemo model. In this light, final drill is only needed as a tool for coping with negligent/imperfect repetitions. Ideally, a single repetition and activation of short-term memory is all that is needed to begin the long-term consolidation phase. We are open to discussing your research in detail though

The effectiveness of passive review may be dismal
(Janusz Jezierski, Jul 18, 2002)
Question:
If active recall is so important, what is the purpose of topics in SuperMemo? How efficient would learning be if I never used items?
Answer:
The main purpose of topics is to collect learning material that will be processed to formulate questions and answers. With topics you do your reading. With items you do your learning. Learning based on topics would be dismal in quality. Experiments show that you may review a sentence passively 20 times, and after the interval of just forty days you may be unable to recall you have ever read or seen the sentence! The more material your process in learning, the more likely you are to see this scary weakness of human memory. The power of SuperMemo is in simplicity of questions, active recall of items, and reviewing the material regularly as demanded by SuperMemo

There is no harm in "memorizing" things you already know
(Comcast Mail , Saturday, December 20, 2003 7:11 AM)
Question:
How do I add to SuperMemo knowledge that I previously acquired (i.e., facts that I already know or that I only recently forgot but initially learned without the aid of SuperMemo)? I want to add this knowledge to avoid forgetting it again
Answer:
You can add this knowledge in the same way as facts that you do not know. There is little harm to the overall learning process as this material will quickly be classified as "easy". To save time on needless repetition, you could additionally set the first interval on individual items (or topics) to an appropriately longer value (Ctrl+J). For example, if you believe you are not likely to forget an item for 3 months, you could set the first interval to 99 days or so.

Repetition category is used to update optimization matrices
(Steven Trezise, USA, Apr 20, 1999)
Question:
In my collection, I have items for which I have done between 1 and 8 repetitions. However, when I look at the Cases matrix, there are no entries beyond repetition 3
Answer:
The algorithm used by SuperMemo updates all optimization matrices using repetition categories, not the actual repetition number (you can view the optimization matrices with Tools : Statistics : Analysis : Matrices). A repetition category is an expected number of repetitions needed to reach the currently used interval. Once the matrices change, the estimation of repetition category may change too. If, for example, you score well in repetitions and your intervals become longer, it will take fewer repetitions to get to a given interval. In such a case, you might be at 8-th repetition while your repetition category will be 3. All matrices such as OF matrix, RF matrix, etc. will be updated in the third row (not in the 8-th row)

First Grade vs. A-Factor graph data is kept as a collection of trailing averages
(WangDong, China, Dec 08, 2003)
Question:
You say that "At each repetition, the current element's old A-Factor estimation is removed from the G-AF graph and the new estimation is added". But I found a different result. I have used a collection which has only one item. After many repetitions, I saw the G-AF graph. I found many changes (not a single point change). Only one point in the G-AF graph should change, because there was only one item in the collection. I guess your algorithm is: "In the G-AF graph, for every A-Factor value(1.2-6.9), calculate the average first grade of the items which have this certain A-Factor. When the A-Factor of an item is changed, calculate the average first grade of the corresponding A-Factor again. Is it right?
Answer:
Your reasoning is absolutely correct! However, to minimize the size of data kept by the algorithm, SuperMemo does not use averages to compute the first grade for each A-Factor category. Instead, it uses trailing averages. This way, instead of storing a large sum and the number of cases recorded, SuperMemo stores a single short number expressing the average first grade. This approach saves space, but does not make it possible to correct averages once A-Factor changes. SuperMemo simply computes the new trailing average for the new A-Factor. This is why a single item can introduce a lot of noise in the graph. Please note that the weight for averaging is highest for Repetition=2 where A-Factor is the same as O-Factor. For that single repetition, you should see the greatest change in the graph

Putting things in the same place is a good idea
(mnemonique, Jul 07, 2002)
Question:
Some memory tip websites recommend that we always put things in the same place. This way we never forget where they are. I thought that we should do just the opposite. Should we not train our memory as opposed to making things easy?
Answer:
Life is a process of perpetual learning. If you put things always in the same place, you will economize more time for learning more useful things. You will never run out of the material for training your memory. It seems far more useful to memorize with SuperMemo the geography of South-East Asia than to spend time on a key hunt

Higher grades can produce shorter intervals
(Mohamad Syafri, Aug 05, 2004, 16:36:09)
Question:
I think that lower grades, e.g. Pass (3), should produce shorter intervals in comparison to higher grades, e.g. Bright (5). It is not always so in the SuperMemo method. Why can I not see the correlation between intervals and the grades given in learning?
Answer:
This is not an error in the algorithm. In SuperMemo, lower grades may produce longer intervals because of a number of reasons:

  1. Random dispersion: All intervals are always slightly dispersed around the optimum value. This results in more accurate plotting of the forgetting curves. In addition, interval dispersion prevents large variations in the number of repetitions executed on a single day. If you cancel the grade a few times, you will see that at each try, SuperMemo will provide a slightly different interval. Those intervals are normally distributed around the optimum. This means that most of the times, the deviation is little, but occasionally SuperMemo will schedule the element at an interval that is quite different from the optimum interval. Even if all the remaining reasons listed below do not apply, it may happen that lower grade will result in a longer interval by mere chance (esp. for lower forgetting index values that may approach bordering conditions on interval change)
  2. Incomplete information: Early in the learning process, SuperMemo is gradually modifying the function of optimum intervals. The speed at which the change occurs, depends on the number of repetitions falling into a given category. By definition of SuperMemo, good grades are prevalent and optimization for the corresponding A-Factors proceeds faster. It may happen that for a few weeks, for a range of A-Factors, lower grades will produce longer interval
  3. Spacing effect: Grade Pass (3) may result in the enhancement of the so-called spacing effect, which may be less visible for Bright (5). The spacing effect says that longer intervals, and consequently greater recall efforts, produce more stable memory engrams. SuperMemo does not arbitrarily set the function of optimal intervals. It computes intervals which are most likely to result in the requested forgetting index
  4. First grade: At memorizing pending items, SuperMemo ignores grades as it has no way of knowing how a given items found its way into the collection. For example, a good grade might result from the fact that the item has just been introduced to the collection

Your impression of no correlation between grades and intervals is quite common among those who begin their work with SuperMemo. If you are not sure if the reasons listed above are legitimate, you can monitor your retention with Tools : Statistics : Analysis : Use : FI. This way you can be sure that SuperMemo will keep its promise of reaching your desired knowledge retention (assuming appropriate formulation of the learning material)

SuperMemo discourages mindless memorization
(Stephen R. Diamond, Jul 21, 2004, 17:55:23)
Question:
Does SuperMemo encourage excessive reliance on memory, on using memory where reasoning would be more productive? Since there is no real way to determine how much memorization is beneficial, there is the risk that SuperMemo will dictate what is learned. There might be little material that most people must memorize, with learning the vocabulary of a new language the most obvious exception. The student enamored of memorization technology will be spending his time learning details, not acquiring the ability to determine which details are worth attending to.
Answer:

There is much to remember: There may be little material that people must memorize, but there is a world of material were memorizing things brings benefits that outweigh the cost of memorizing. If the cost of indefinitely retaining a piece of knowledge in memory is 1-4 minutes, the number of pieces of information that could return this investment is greater than lifetime of memorization. Those pieces may range from a useful mathematical formula, through a location of a country on the map, through the name of a carcinogenic dish, to seeming trivia such as … facts about your mother-in-law (Outlook Calendar entry won't let you sneak a compliment at the family table)

Deductive reasoning feeds on knowledge: We have not yet developed a theory of everything or a super-brain that could use it to derive all truths via deduction. Reasoning requires knowledge. Einstein also needed facts and rules developed by his predecessors to arrive at his theories. Even a genius mathematician working in the attic in detachment from reality, will need a few things in his memory to start with (such as a problem to solve in the first place, or a few formulas or theories that will shorten his path to the goal). A physician at the scene of an accident must instantly retrieve seemingly mindless facts from his or her memory such as the name of the drug and the dosage. Relying on deductive reasoning and smarts will not do

SuperMemo provides usability feedback: The central power of SuperMemo is in providing you with full control over what you decide to remember. In addition, incremental reading can serve as a storage of things you care about but not necessarily remember. These storages of things remembered and things that are important provide for immediate associative memory for problem solving on one hand, and a tool for "brainstorming with yourself" and extending knowledge via incremental reading on the other. SuperMemo provides you with a feedback on how knowledge impacts your life. With time, it helps you understand what is worth memorizing and what facts are time wasters. Ignorance may initially tempt you to abuse SuperMemo, but SuperMemo will soon demonstrate which efforts are futile and which bring a palpable benefit. This self-correcting feedback mechanism is a priceless added benefit of getting enamored with SuperMemo.

Not only geniuses use SuperMemo: SuperMemo is used by a special lot of people. Primarily they are a strong-willed and self-disciplined group. Weaker souls drop out very soon. Some may show obsessive and compulsive attitudes and these will backfire. Some may persist for months in a strong belief SuperMemo is the right way to go and still make little progress in areas other than word-pair learning. Like in any group, there are stronger and weaker students. There are crammers and high-fliers. In other words, the uncritical trust in SuperMemo can have negative side effects, but the feedback mechanism mentioned earlier acts as a countermeasure. All in all, with its tangibility and measurability, SuperMemo helps bad students understand their errors. With time, users of SuperMemo show remarkable progress in understanding how their memory works and what the role of knowledge in life is. Bad students will either improve or drop out.

All good things can be used in a bad way: Apart from the side effects of misconstrued memorization, SuperMemo might also be used by a bad lot for their purposes. Hopefully, Osama is too contemptuous of "western" technology to make his Pocket PC repetitions in the cave to extend his knowledge of the best ways of harming his hate targets. But even here we might hope that a dose of extra learning would bring him closer to seeing that what we share is more important than what divides us.
All innovations and inventions can be put to bad use. Cars kill and pollute. Airplanes can be flown into buildings. TV is numbing our knowledge selection skills. Web was branded "a garbage bin of human knowledge". Even books encourage passive review as opposed to active processing. SuperMemo does encourage memorization and even the most proficient user will memorize some ballast of junk knowledge. What matters is the balance of costs and benefits. The value of knowledge is hard to measure. The lifetime impact of SuperMemo is hard to measure. To ultimately answer the above question we would need an equivalent of the longitudinal Terman Study. Will those kids who contracted the bug of SuperMemo in the early 1990s get bogged down with lifetime of time-wasting repetitions? Or will they become presidents, Noble winners, and great inventors? Time will tell

Is repetition the best way to remember? (#7991)
(BruceTrek, Sunday, March 10, 2002 7:20 AM)
Question:
Can you send me some links to independent research that shows repetition is the best way to remember?
Answer:
There isn't much research being done currently to show that repetition is the best way to remember. This fact is just taken as true. Similarly there isn't much research done to prove that the brain is the organ where thoughts are born. In the latter case, nearly all neuroscience lives by the brain-mind connection. This does not prevent others (beyond science) to look for mystical explanations to the thought process, emotion, consciousness, soul, etc. As for the repetition, no reputable textbook on the learning methods will deny that "repetitio mater studiorum est". Some researchers in the field looked to confirm the concept of permastore (i.e. lifelong memories), but that effort has not been successful. Some "accelerated learning" companies will try to sell you learning materials and insist that "it is all in mnemonic representation", i.e. you can learn it once (the "right way") and remember it for ever. The best way to disprove that claim is to learn mnemonic techniques, buy those "optimally formulated" materials and learn it with SuperMemo. SuperMemo will measure and prove that well formulated material is indeed remembered much better. But it is still subject to the same old negatively exponential forgetting process that affects all acquired memories (as opposed to innate memories wired into the brain at birth). Today, supermemo.com is probably the only website so heavily focused on the concept of repetition. You will find links to many sites throughout but there isn't one that would particularly attempt to prove that repetition is the key to lasting memories. For every user of SuperMemo, the question on the importance of repetition becomes irrelevant after a few weeks with the program. SuperMemo measures the forgetting rates and graphically illustrates what happens with memories once they are not taken care of


FAQ: New answers

FAQ: Recently added answers

No globally unique IDs in the core XML (#26108)
(MSML, Jun 14, 2004, 08:23:13)
Question:
Why aren't there globally unique Element IDs in SuperMemo 2004? This will produce ID confusion in exchanging elements
Answer:
Core XML implementation does not provide for a global knowledge exchange. It focuses solely on a simple question-and-answer local exchange of data between platforms. This means that there is a client-server relationship in identifier marshalling. For example, IDs generated by one SuperMemo can be preserved on a temporary platform and used to reimport the same knowledge back to the ID server application. Last but not least, there is still no consensus on the format of globally unique IDs for SuperMemo elements. In other words, the implementation is not possible at this stage. It will be only possible in SuperMemos whose release follows the final GUID specification

Text filters in SuperMemo (#26108)
(Michael, Jun 14, 2004, 08:23:13)
Question:
What is the purpose of the filter dialog box in XML export?
Answer:
Text filters in SuperMemo can be used to pre-process texts before using export options. Using filters is optional. Without filtering, the exported text will look the exactly same as the text in the collection

Invalid destination error when creating a folder (#7195)
(Stanley Ross, Jun 02, 2004, 04:41:37)
Question:
I received the following message when backing up to my flash drive: "Cannot create directory. Invalid destination"
Answer:
"Invalid destination" error indicates that SuperMemo cannot create a folder on your flash drive. Here are a couple of possible errors:

  • 3 - Path not found (e.g. too long)
  • 5 - Access denied (e.g. read-only)
  • 112 - Disk full (or access denied on network drives)
  • 123 - Invalid name (e.g. too long)
  • 206 - Filename too long

Advanced English keeps growing (#26179)
(Simon Jacques, Jun 02, 2004, 20:25:39)
Question:
Does Advanced English 2002 have fewer words than Advanced English 97? I could not find some words
Answer:
No. Every year, there are quite a number of new words added to Advanced English. Some are added on advice of users who claim that some basic words are not basic enough to be skipped. New words also come from progress of sciences and technology, as well as "language fashion". In a similar way, we try to remove words that became outdated or are extremely rare, but the net result is a constant growth of Advanced English.

Saving SuperMemo for later use (#26207)
(Bob Walter, Jun 18, 2004, 20:28:41)
Question:
Along with SuperMemo 2002 I ordered the Palm Pilot version. I do not yet own a Palm Pilot. Can I save this application in my PC using windows?
Answer:
Yes. You can simply store the downloaded file on your hard disk. Download later from our website, or simply ask for assistance in the future once you own Palm Pilot. Your order will remain in our records and is easily identifiable

Problems with sending e-mail (#26226)
(Patrick, Jun 19, 2004, 13:20:43)
Question:
When I try to send mail to 'beta(AT)supermemo(.)com' (typed in exactly as shown with brackets and spacing), it is not available
Answer:
You need to replace "(AT)" with "@" and "(.)" with "." The address is intentionally left invalid to confound e-mail spammers. We apologize for this inconvenience

Stray files when repairing a collection (#7233)
(Alan Smith, Jun 23, 2004, 19:54:16)
Question:
What is the meaning of stray file errors when repairing a collection:

Stray files at filespace slot #585
Moving Image #556: "Southern Europe (Political Division) - Drag&Match 1"
From: C:\TEMPDATA\OWN\elements\1\28\585.bmp
To: C:\TEMPDATA\OWN\elements\2\26\869.bmp

Error transferring files from: C:\TEMPDATA\OWN\elements\1\26\565
Access violation at address 77F6754B in module 'ntdll.dll'.
Read of address 00000027

Answer:
The error "Stray files at filespace slot #585" indicates that in your \elements folder there is more than one file in the slot 585. SuperMemo does not allow of more than one file per slot. If such a situation is detected, the legal file is protectively moved to a new slot, while stray files are moved to \recover folder for inspection.

The message:
"Moving Image #556: "Southern Europe"
From: C:\TEMPDATA\OWN\elements\1\28\585.bmp
To: C:\TEMPDATA\OWN\elements\2\26\869.bmp

says that the legal file 585.bmp has been moved to a new slot 869 as 869.bmp.

The error: Error transferring files from: C:\TEMPDATA\OWN\elements\1\26\565 indicates there there was a problem while copying a file from the slot 565 (e.g. while relocating a legal file or archiving a stray file).

Unfortunately, the last message: Access violation at address 77F6754B in module 'ntdll.dll'. Read of address 00000027 indicates that the file transfer failed due to a systemic problem. The file ntdll.dll is part of Windows. It prevented SuperMemo from copying the file in question. In such circumstances, apart from a complete backup of your SuperMemo collections, you should also make sure your computer is inspected for hardware and operating system malfunction. The error thrown by ntdll.dll may be indicative of the original source of problems with stray files. SuperMemo would not produce stray files under conditions other than a system crash during file operations or the user placing extra files in the file system (the /elements folder)

Open Source SuperMemo has not succeeded yet (#26111)
(Andreas Esser, Germany, Jun 13, 2004, 13:18:19)
Question:
You should make SuperMemo open source and include it in Learning Books. The only way to make Non-MS-Software a real top-seller is open source (e.g. www.superwaba.org). I suppose you earn much more selling books about learning than selling closed software. The algorithm is great, the software could and should IMO be rewritten. There're enough geeks around who would like to do so (under GPL)
Answer:
Unfortunately, until now, all attempts at open source have not produced a viable alternative to SuperMemo. The geeks do not seem to stick to this sort of projects (perhaps not cool enough). We have seen a number of other flashcard open source project fail as well. The port of SuperMemo 2000 to Linux with Kylix has not been successful either. Open source is a consideration; however, we need a viable commercial survival model for this to be undertaken. Opening portions of strategic code brought no tangible benefit to SuperMemo in areas where we would need geek help most. We do not plan to sell books about learning, as we believe that we do less harm by closing software than "closing" (commercializing) knowledge about learning that can benefit any visitor to supermemo.com

Moving to branch in the contents window (#26335)
(PD, Jun 29, 2004, 13:43:46)
Question:
In the contents window there is no response when using the right mouse click: Process branch > Move > To a branch
Answer:
This option is primarily retained for orthogonality (the same menu is used for browser operations). The optimum way to moving items in the contents window is by drag&drop. Once you choose the option in question, you will notice that the button Accept become active. SuperMemo is waiting for you to accept the choice of the branch where the current branch should be moved

Special repetition case in XML import (#26384)
(Beta-piwo, Jul 05, 2004)
Question:
I got a "special repetition case" message in XML import. What does it mean?
SPECIAL REPETITION CASE CONSIDERED
Recency=62.5%
Interval Boost=1.3%
Repetition Sequence=100%
Advice=62.19%
UPDATE RECOMMENDED
Interval protectively changed from: 21 to 20
INTEGRATING {2}:Item #232566: The röntgen is a unit of dosage of X-rays or gamma radiation
Reps: 1->2
Lapses: 0->0
Interval: 23->20
Last rep: 12.06.2004->22.06.2004
Next rep: 05.07.2004->12.07.2004
UF: 23->2 AF: 3->3.274
Answer:
This message will appear if you duplicate repetitions in two collections. It may also appear if you delay repetitions and import of your XML learning process over a longer period (beyond one month). In such cases SuperMemo will try to guess what has caused data discrepancy, take the optimum course of action so that to minimize the cost in learning time.

In this specific case, SuperMemo compared the recency of the two repetitions, the change to item's interval, as well as the sequence of repetitions executed. In the end, it concluded (preponderance 62.19%), that the repetition update should be executed. However, it decided to reduce the interval from 23 days (in the source collection) and 21 days suggested by the XML file to 20 days. In the end, you will find the repetition recorded as executed on Jun 22, 2004 (as opposed to Jun 12) with the interval of 20 days, and the next repetition date scheduled on Jul 12, 2004

Cannot save OLE Object (#7237)
(Joseph T. Craney, Jun 20, 2004, 05:06:49)
Question:
SuperMemo has displayed the following error:
"Cannot save OLE Object #1
The server threw an exception"
Answer:
This error is beyond SuperMemo's control. It is a result of trouble with the server application. For example, if you are integrating Excel spreadsheets, the error would be caused by Excel. If this problem persists, you might prefer to use the binary component to integrate files unsupported by SuperMemo. You will lose instant preview, but you may prefer editing or inspecting the files in the original application. This will eliminate potential stability problems coming from the OLE in-place activation and unstable communication between SuperMemo and the OLE server

Different intervals used in different SuperMemos (#26517)
(Stracner, Jason, United States, Jul 13, 2004, 06:39:47)
Question:
Why are there different intervals used in paper SuperMemo, SuperMemo for Palm Pilot, SuperMemo for Pocket PC and SuperMemo for Windows?
Answer:
Only SuperMemo for Windows computes accurate intervals that ensure achieving the desired forgetting index (assuming no overload and assuming the learning material is correctly formulated). For technical reasons, other SuperMemos use simplified algorithms (usually based on E-Factors, which lead to minimum computing). In addition, authors of individual SuperMemos often introduce their own modifications to the algorithm (e.g. limits on E-factor change, arbitrary first interval, interpretation of memory lapses, etc.). Paper SuperMemo is the least accurate. It uses fixed intervals for conglomerate pages of items. In such circumstances, it is not possible to differentiate between difficult and easy material. Nor is it easy (or worthwhile) to modify the function of optimum intervals on paper based on the feedback from the learning process

You can copy your SuperMemo folder to move the program to a new location (#26530)
(William Rocker, Tuesday, July 20, 2004 4:08 PM)
Question:
Can I transfer SuperMemo and my data files to my laptop?
Answer:
Yes. You can simply copy the entire SuperMemo folder onto the laptop. That will transfer all your settings, collections, the program, etc. You may only needs some fine-tuning in Windows (e.g. installing fonts, if any, setting up shortcuts, etc.). SuperMemo does not need to be reinstalled in the new location in any way. More about files, their locations and functions: Files used in SuperMemo

Find string enters the editing mode (#736)
(Marcos Pereira Rufino, Jun 29, 2004, 18:49:52)
Question:
When I press F3 or choose Search : Find string, one of the components enters in the editing mode
Answer:
Find string is used to search for a string in longer texts. The component automatically enters the editing mode so that you might immediately proceed with editing actions. Most often, you will need that function in incremental reading. Once you locate a piece of text, you may want to process it for further learning. By default, presentation mode is selection-less so that you associate selections with editing

Enter is used as the default repetition key (#26538)
(RONSAYERS, Jul 20, 2004, 00:52:44)
Question:
I have noticed that the Enter key sometimes works funny in text fields and causes me to advance to another item rather than going to the next line. I discovered that holding down Shift while pressing Enter gives the expected response
Answer:
This behavior is by design. If there is any text selected, Enter will act as if you were in the presentation mode. This means that Enter will proceed with the next repetition. This makes it easier to execute single-key default review with Enter (i.e. this key may be used to pass many repetitions without the need to focus on the keyboard). Although this behavior is surprising for new users, with time you may find it indispensable for easy handling of the repetition cycle with the keyboard

Switching to the newest SuperMemo is easy (#26576)
(Thomas Kiefer, Germany, Jul 27, 2004, 02:42:28)
Question:
I am testing SuperMemo 98 (non-registered). If I am ordering the newest SuperMemo is there any problem to transfer the data I put in SuperMemo 98?
Answer:
No. Once you open your material in the newest SuperMemo, your collection will be upgraded

Using text-less HTML (#26578)
(Cezary GorzeÃ±ski, Poland, Jul 26, 2004, 19:34:06)
Question:
I would like to import HTML files that are "picture only". SuperMemo often gives them the same name and is "blind" to the difference
Answer:
Pictures are best kept in the image component. Use Ctrl+V to paste the picture to the element or to an image component (do not paste to HTML). A remedy to ambiguous registry names is to use registry Rename. If you provide picture-only HTML files with unique names, SuperMemo will not confuse them

Changing a category template will only affect new items added to the category (#1882)
(Rorce Lam, Canada, Tuesday, July 27, 2004 11:05 PM)
Question:
Once I am able to change the default category template, will all the previous items created using the old template change?
Answer:
No. If you change the category template, only newly added elements will be created with the new template. Previously created elements will not change in any way. If you would like to change the look of old elements, open them in the browser and use Template : Apply template on the browser's Process Browser menu

Changing background color (#1882)
(Rorce Lam, Canada, Tuesday, July 27, 2004 11:05 PM)
Question:
Where can I find the command to change the background color?
Answer:
To change the color of the element background use Color on the element menu. To change the color of the SuperMemo background use Window : Layout : Background color on the main menu (for this to work, Window : Background must be checked)

Converting remote images to local images (#7296)
(Cezary GorzeÃ±ski, Jul 19, 2004, 19:57:51)
Question:
I imported a web page from a website directly to SuperMemo. How can I make sure that the images that are still located on the remote server do not disappear when the server becomes unavailable?
Answer:
Use Download Images on the component menu (Ctrl+F8) with Import. This option will help you choose which images to download, preview the downloaded pictures, import those you think are important and place them in tiled image components.

You can also keep the images embedded in HTML. For that, however, you must remember never to delete the source article (in order to save space, images are only kept in association with the source). To keep embedded images local, use Download Images on the component menu (Ctrl+F8) and choose Localize

Core XML exchange serves only inter-platform communication (#861)
(Edele'nyi Gyula, Hungary, Aug 02, 2004, 01:00:14)
Question:
I imported some formatted Word docs into SuperMemo, then exported as XML. Then tried to import it as XML into another collection. The simple Q&A XML export-import worked, but the Word docs hadn't come back well
Answer:
SuperMemo 2004 implements only Core XML data. The core specification was intended for data exchange between various SuperMemos. Only SuperMemo for Windows uses non-folder topics and incremental reading. For this reason, topic articles are not part of Core XML. Use XML to exchange data between platforms. To exchange data between collections created with SuperMemo 2004, you can still use the old text transfer methods (e.g. Tools : Transfer in the browser)

Toolbar clearing options carry essential differences (#879)
(Tomas Drahokoupil, Czech Republic, Jul 30, 2004, 23:28:06)
Question:
There are so many shortcuts for docking toolbars: Ctrl+F5, Alt+F5, Ctrl+Alt+F11. Wouldn't it be possible to cut it down?
Answer:
The options you list may indeed be used for clearing the toolbars, but the differences in functionality are essential:

  • Ctrl+F5 is used to restore the default layout. This layout may or may not include toolbars. However, this option is also important for restoring all other windows you may need while learning
  • Alt+F5 is used solely to clean the toolbars from the screen if they obstruct your work. In most cases, Ctrl+F5 will act antagonistically, i.e. it will bring the most important toolbars back to the screen
  • Ctrl+Alt+F11 may be the least used, but it is used to choose between two diametrically different modes: (1) menu integrated with the element window (for lower screen resolutions) and (2) menu integrated with the toolbar dock (for larger screens)

You cannot use PDF format in incremental reading (#928)
(Jerry Ast, Poland, Thursday, August 05, 2004 11:42 PM)
Question:
I imported PDF to SuperMemo but I was not able to extract any texts from these files. The text may be active, you can mark it but you can't do anything with it
Answer:
SuperMemo uses HTML in incremental reading. The choice of HTML came from the open access to Internet Explorer interfaces published by Microsoft. As these interfaces still show lots of bugs and instability, it will take a while before incremental reading becomes a frustration-free experience. As for PDF, this is a proprietary format that does not show a quarter of Microsoft's openness. This makes PDF-based incremental reading unlikely. If you import PDF to the HTML component, HTML component treats is as an Active Document. This means that SuperMemo has only indirect access to its properties. Unfortunately even copy and paste with PDF will be very difficult due to erratic behavior of mouse selections in Acrobat Reader and partial loss of data on pasting to HTML

Storing SuperMemo in a safe place (#27119)
(Ewa K., United Kingdom, Aug 08, 2004, 22:41:24)
Question:
Can you tell me for computer-idiots how to store my SuperMemo so that it won't get lost?
Answer:
Install SuperMemo in a distinct folder that you can easily find. For example: c:\sm2004. Keep SuperMemo and all your collection in this folder. From time to time, you can backup this entire folder on a CDR or any backup device. When you later restore the folder, both SuperMemo and your learning material will be restored. You can also restore the same folder on another computer. Read about backup devices in your computer manuals. Read about backup strategies for SuperMemo. These differ and there is no single algorithm that would be universal for all cases. Remember, that you do not need to worry about losing SuperMemo. You can always get it back from us. Be sure only that you take care of your learning material. This is irreplaceable.

Names of HTML files may appear random (#27124)
(Colin B., Aug 05, 2004, 06:52:20)
Question:
Items which are added are mixed up. When editing question text (Edit : Edit File) the name is 51.htm, When editing question text the name is 58.htm
Answer:
You do not need to be concerned with filenames in the element filespace (visible when pressing F9). The system for naming files is complex and understanding it is not needed when using SuperMemo. In most cases, you can do your editing without evoking an external editor (as with F9). However, if you do use Edit File, ignore the filename. It is meaningless from the user's perspective and should not be changed

File browser lists files in the middle panel (#27043)
(Patrick, Aug 04, 2004, 14:04:19)
Question:
I had expected that when went to File : Merge collection and then double clicked on the appropriate collection in the leftmost panel that this would allow me to merge the old collection with the new collection. All that happens when I double click any of the commercial collections in the left panel is that it simply opens up ELEMENTS, INFO, REGISTRY folders etc: whilst blanking out both the center and right panel
Answer:
The file browser includes three panels:

  • the left panel lists folders
  • the center panel lists files
  • the right panel is used for a preview

When choosing collections or other files, always use the middle panel and choose the appropriate *.KNO file. Use the left panel only if you want to search for files in other folders


FAQ: Specialist Questions about SuperMemo

SuperMemo: Questions of special interest

Do you have a question about SuperMemo? Write to SuperMemoMail
Last modified:

You can get SuperMemo free by contributing your learning material to SuperMemo Library
Merging learning material on Pocket PC
You can beam Palm SuperMemo to a friend
SuperMemo for iPaq
 SuperMemo for Jornada 720
SuperMemo for Psion
Windows, Pocket PC and Palm Pilot versions are independent products
You can transfer between SuperMemo for Pocket PC and SuperMemo for Windows
You can convert a Q&A text file into a SuperMemo for Palm Pilot database
E-mail messages sent to an invalid e-mail address will not be retrieved
SuperMemo website leaves the font definition to user's browser
You can size web pages on SuperMemo website by sizing the browser
You can import SuperMemo 7 collections to new SuperMemo
SuperMemo 7 support
SuperMemo will only run in MS Windows
Fonts are part of the operating system and are not included with SuperMemo
Converting SuperMemo 6 material to SuperMemo 2004
Problems with installing older SuperMemos in newer Windows

You can get SuperMemo free by contributing your learning material to SuperMemo Library
(Jacek Wojaczynski, Poland, Sat, Sep 22, 2001 15:48)
Question:
Do you offer student discounts for SuperMemo?
Answer:
No. The verification is too complex. However, you can receive SuperMemo free by writing to SuperMemo Library and declaring to contribute your learning material. You can use older versions to write your material and then receive the newest SuperMemo

You can beam Palm SuperMemo to a friend
(DON FRANKEL, Wednesday, December 18, 2002 1:27 PM)
Question:
I already have the desktop and Palm versions of SuperMemo. Can I buy a copy of the Palm version as a present for someone? That would mean I pay you, beam the program to my friend and give them their code. Would that work and would that be in accordance with your licensure agreement?
Answer:
Yes, you can beam Palm SuperMemo as a gift. You will need relevant hardware details to generate the registration code though.

There are no plans for a dedicated version for Windows ME
(Walter Cook, Saturday, July 21, 2001 7:20 PM)
Question:
Will you have a version of SuperMemo for Windows ME out soon or have you developed a workaround solution for it?
Answer:
Currently a dedicated version for Windows ME is not planned. There is a likelihood of improved performance with new component library coming with the release of Delphi 6 (compiler used to develop SuperMemo for Windows). Another hope comes from Microsoft patches that could resolve incompatibility and memory leak problems (see: Memory leak bug in Windows ME). Otherwise, the only solution for now is to try a demo of SuperMemo 2000 and decide if performance problems are sufficient to disqualify the product

Merging learning material on Pocket PC
(Bill Sanchez, Thu, Jun 20, 2002 4:22)
Question:
I am using SuperMemo CE on my Pocket PC. I have created questions in different files. I would like to combine all the questions into one file now
Answer:
You could export your files as XML and merge the XML files. If you import it back to SuperMemo for Pocket PC, your collections will have been merged

SuperMemo for iPaq
(Miloslav Skácel, Czech Republic, Saturday, August 03, 2002 4:35 PM)
Question:
Is it possible to run SuperMemo on iPaq?
Answer:
Yes. You need SuperMemo for Pocket PC. You can download a demo version before making the purchase. Be sure you choose the version that matches your processor

(Joe, Nov 17, 1999)
Question:
Can SuperMemo run on iMac? If not, can you recommend an alternative product?
Answer:
SuperMemo for Macintosh was terminated. You can run SuperMemo on iMac in Windows emulation mode

(Peter Cool, the Netherlands, Aug 26, 1998)
Question:
I am using SuperMemo 6 for DOS (HP 200 LX)? Where can I find tools such as to_text.exe and to_sm.exe described in toolkit.txt
Answer:
Use http://search.shareware.com, search for: supermem by platform: all categories

(Michal Klejman, Poland, Aug 28, 2000)
Question:
Will SuperMemo be available for Linux?
Answer:
We hope to port SuperMemo 2000 to Unix with Kylix tools from Borland. Currently it is difficult to estimate the probability that this enterprise will take off and what the release time-table might be. Please write to lnx(AT)supermemo(.)com for details

Note that you can try SuperMemo 6 (DOS) or SuperMemo 7 (Windows) in Linux emulation modes

(Winfried Schoierer, US, Jun 20, 1998)
Question:
I am using SuperMemo and I have recently bought a PalmPilot from 3Com. Is there software that enables you, to put your daily vocabulary workload on the palmpilot?
Answer:
We have SuperMemo for both Palm Pilot and Windows CE

(Tomasz Frankiewicz, Poland, 1996)
Question:
How can I use SuperMemo without a computer?
Answer:
Read: Using SuperMemo without a computer

(Piotr Adamik, Poland, Aug 26, 1998)
Question:
How can I obtain the list of customers who agreed to make their addresses available to other users?
Answer:
We no longer keep such a list. It was useful in early years of SuperMemo when it was really hard to get in touch with other users. This field on the registration card is presently not used

Question:
Is there a version of SuperMemo for Unix?
Answer:
No, however, SuperMemo 7 works under SUN's Windows 3.1 emulator Wabi 2.2 both for Solaris 2.5 (tested on SPARC station 4) and HP-UX 10.20 (tested on HP 712/100). SuperMemo 8 works as well but is rather slow

(Dan Laskowski, US, Aug 20, 1997)
Question:
I am using SuperMemo 6 for DOS on HP DOS palmtop. My problem is that once the machine gets into the sleep mode, my data gets corrupted. How can I remedy the problem?
Answer:
SuperMemo 6 was released in 1991 when we could not possibly conceive it being used on an air flight in a computer that easily fits a small pocket. Consequently, SuperMemo 6 has no way to detect the moment when it should save its data. You might try to use RECOV6.EXE or RESCUE.EXE distributed along the program to repair the data. Better yet, develop a good backup system or just do not let your handheld go to sleep during repetitions. Although SuperMemo 6 is not being developed any more, we will post the corrected version on the website if the problem is remedied

(Dan Laskowski, US, Nov 24, 1997)
Question:
Is a version of SuperMemo for Windows CE under development?
Answer:
Yes. SuperMemo CE has been released in September 1999

(John Crouch, USA, Dec 30, 1998)
Question:
I have recently ordered SuperMemo but was interested in how I might use the program when I am away from home. Any suggestions as to how I can either print out the days outstanding items or even use of the PalmPilot for this purpose?
Answer:
Currently there is no simple solution. However, we plan to add an option for working on paper or in a notebook text file in future versions. SuperMemo for Windows CE and SuperMemo for Palm Pilot have already been released

(Almut Luiken, Germany, Feb 2, 1999)
Question:
I am having problems with Greek keyboard in SuperMemo 7. Why isn't there an FAQ for SuperMemo 7 on this site?
Answer:
SuperMemo 7 has not been in development since 1995, it is not in use internally at SuperMemo World, and we often find it very difficult to answer user problems otherwise than by suggesting an upgrade. Additionally, support questions in reference to SuperMemo 7 are very rare nowadays. FAQ archive on this site now includes FAQ for SuperMemo 7

(Vit Usela, Czech Republic, Mar 23, 1999)
Question:
I have used SuperMemo 7 for a couple of years and would like to import my collections to Advanced English 97. However, I am afraid I will lose the easy control of the spelling exercises. Can you help?
Answer:
In new versions of SuperMemo, you cannot globally switch from standard repetitions to spelling exercises. At the moment of creating the material you must decide if it is best drilled as questions and answers or if the answer should be typed in from the keyboard. If you choose the latter, it is enough to define an appropriate template before you import from SuperMemo 7. In your template, instead of the answer component, you must simply create a SpellPad component

Question:
What is the size of SuperMemo collections in KB?
Answer:
For early versions of SuperMemo it used to be (5+0.1*Total) KB, where Total is the number of text elements in the collection (additionally sounds used to contribute 10-20 KB per word and pictures 20 KB per picture).
SuperMemo 8 introduced extensive object indexing in the form of registries and made it possible to add a great deal of multimedia files. Although indexing reduces the size of multimedia collections, the basic size of collections increased substantially to 0.5*Total KB for standard question-and-answer collections (a five-fold increase). For example:

  1. A 1000-element question-and-answer vocabulary collection takes 0.5 MB on average
  2. A reading list collection with 200 average articles from the Internet might already take 10 MB
  3. Advanced English 97 with 40,000 items occupies 30 MB in primary storage (texts) and 600 MB in secondary storage (sounds on CD-ROM)

(Andrzej Winiarski, USA, Oct 15, 1999)
Question:
I use SuperMemo 6 for DOS and would like to remove the learning process. Where can I find such an option?
Answer:
You need a separate application RESET.EXE from SuperMemo 6 Toolkit. This toolkit is freeware and you can download from www.shareware.com

Question:
With 1,000,000 SuperMemo CDs out there, how much e-mail do you get daily with support questions?
Answer:
We receive a total of around 100-150 e-mails in a single day (summer 1999 average). They are sorted by language and subject matter, forwarded, and usually responded to within 3-4 business days. Most require simple help on where to find a given piece of information in the documentation. Interestingly, it is not the best-selling titles that require most support (e.g. Easy English) but stand-alone SuperMemo downloaded from the Internet. In other words, numbers do not directly translate to the e-mail volume

(Przemyslaw Bak, Poland, Nov 2, 1999)
Question:
I use SuperMemo 6 as this is the only version that would run under Linux. I heard of Y2K bug in SuperMemo 6. Will I have to give up SuperMemo in 2000?
Answer:
You will be able to continue after Dec 31, 1999:

  1. There is only a problem with displaying dates in Monthly Burden in SuperMemo 6. This should not affect your learning process
  2. We consider digging out the old SuperMemo 6 code and fixing the problem in question if we get more user complaints
  3. Borland released Kylix for Linux on January 31, 2001, and if it only becomes feasible, we will attempt to port SuperMemo 2000 to Linux
  4. Open source SuperMemo for Linux is also a hope. For details write to lnx(@)supermemo.com

(Dawn Barrie, USA, Nov 2, 1999)
Question:
After downloading SuperMemo 98 I attempted to register it, and was asked to pay for it. When I downloaded this program, I was under the impression that this was freeware, yet it appears that a paid registration number is required to unlock it. What benefits are there to unlocking it?
Answer:
The confusion resulted from ZDNet's reviewer mistakenly classify SuperMemo 98 as freeware (http://www.softseek.com/Education_and_Science/General_Education/Review_28830_index.html). We will contact Softseek.com to fix this error. In the meantime you can download older freeware versions. As for the benefits of unlocking: locked SuperMemo will run only for a limited period of time depending on the intensity of use

(Peter Martin, UK, March 22, 2000)
Question:
I have SuperMemo on my Palm V. I've bought the Romance mix file. How do I get to use this with the Palm pilot? All your help files talk about installations that have available SuperMemo 2000 on a PC. I only have the installation on the Palm V. Do I have to buy the PC programme as well?
Answer:
You can use Romance mix on your Palm. Users of SuperMemo for Palm Pilot, SuperMemo for Windows CE, SuperMemo 6 for DOS, or SuperMemo 7/8 for Windows can import the content of individual collections from the text file stored in the TXT subfolder (e.g. c:\sm\systems\<collection name>\txt). Refer to your Palm manual on how to import text files in question-answer format

(Adam Makowski, Poland, Feb 7, 2001)
Question:
What is the expected release date of SuperMemo xxx?
Answer:
We never announce the release date in advance! Usually the release takes place at the moment when all documented and reproducible data-related bugs are cleared. In other words, we try to make the program available to the public at the earliest possible date; however, never at the cost of the safety of user data. The list of existing harmless bugs usually never drops below 150-200 positions

(G.E., Hungary, Feb 5, 2001)
Question:
Two years ago I wrote to SuperMemo with request for information about "Money in the link". Until today I have not received any response ...
Answer:
 We do respond to all e-mail relevant to SuperMemo! Occasionally some pieces are lost in the flood of spam (spammers scan websites to collect working addresses and ultimately all support addresses we publish get heavily spammed). At other times, message gets forwarded a few times and someone mistakenly classifies it as handled. Rarely, messages get lost due to forward errors and other mishaps. If you do not receive a response within 3-4 days, please resend your message! All messages tagged "I have written previously" receive highest priority. Important! Make sure your return address is correct. When we cannot deliver registration data upon an order, we resort to web searches and even to calling the customer whose address is wrong. However, we never go to that length on lower-priority support traffic

(Tom Plumb, Feb 4, 2001)
Question:
I bought both SuperMemo for Palm and SuperMemo CE. I started with Palm and it seemed much easier to learn. Why don't different versions stick to the same standard of interface?
Answer:
Versions for different platforms are developed by different developers. Only versions for DOS and Windows have been developed by SuperMemo World. We believe that developer's initiative and inventiveness can inspire the development of other versions. For example, SuperMemo for Windows picked up lots of features from the now-defunct versions for Mac and Amiga. This inspiration would not be possible had developers been granted a license based on a standard template. Secondly, it has always been a rule that users moving between different versions complain of the change; even when similar development standards were used. For example, in the line developed at SuperMemo World, the transition from SuperMemo 6 for DOS to SuperMemo 7 for Windows met with quite an outcry from die-hard DOS users. Similarly, many users truly hated the early hypermedia releases of SuperMemo 8 for Windows (What for the table of contents?!). On one hand we want to maximize innovation; on the other, we get some comfort from the fact that each new version of SuperMemo sells many more copies than the preceding release. This way, version upgrades are in constant minority as compared with the demand for the most recent version for new users

SuperMemo 7 uses proprietary EOL characters (#6206)
(Piotr Stankiewicz, Thursday, August 09, 2001 10:35 PM)
Question:
I would like to convert my SuperMemo 7 collection to SuperMemo for Palm Pilot; however, SuperMemo 7 exports some additional characters (e.g. smilies) that pollute the import
Answer:
SuperMemo 7 uses EOL characters that are not understood by SuperMemo for Palm Pilot. Once you export your collection to a text file, you could try to remove these characters in a word processor. If you have some newer version of SuperMemo for Windows, you could also import your collections to SuperMemo for Windows first. Newer versions do not have text size limitations and do not use EOL delimiters

You can size web pages by sizing the browser
(GMASS, Wed, Jun 13, 2001 18:58)
Question:
Your Web site is very informative and interesting, but it is known that if a line of text extends beyond 15 words across, it becomes very difficult to read. The eyes become tired very quickly
Answer:
Yes, there is an optimum width. At supermemo.com we do not fix that width. Instead, the user can size his own browser to choose his or her own optimum

Old DOS tools do not work in newer versions in Windows (#6274)
(A. Spalek, Poland, Wed, Aug 22, 2001 16:12)
Question:
I would like to use the old DOS tool sm_to_text.exe to convert SuperMemo 7 material to text. I get a runtime error each time I try to run it.
Answer:
This error shows up in all old DOS tools in VDM in Windows NT, Windows 2000, etc. You could work around this problem by using SuperMemo 7.5 integrated toolkit (Tools menu) and export in Windows to the same text format. You could also upgrade your old material to newer versions to use various export formats (with File : Tools : Export)

SuperMemo for Psion
(Horan Tim, Mon, Jul 23, 2001 6:39 PM)
Question:
Do you have SuperMemo for the Psion 5mx?
Answer:
No. There are no plans for a Psion version

SuperMemo website leaves the font definition to user's browser (#75)
(Michal Ryszard Wojcik, Poland, Fri, Jul 27, 2001 0:22)
Question:
The font that is used on your website makes it hard for me to enjoy reading it. In fact, it makes my eyes tired. I ask you to use Verdana
Answer:
There is no font defined at supermemo.com. It uses your browser's default font. Please change the setting in your browser, and your overall web experience will be enhanced. It is a good practice for websites to use the default font (as supermemo.com does). This makes it possible to use the user's own default setting

Synchronizing the learning process between Palm and Windows versions is in development (#6068)
(Sergei A. Gavrilov, Russian Federation, Thursday, August 23, 2001 3:55 PM)
Question:
I've got both PC and PDA versions of SuperMemo, and from time to time I use both programs. Consequently, it is very inconvenient for me that I have no option to synchronize both databases. I have to do this manually. Do you have any plans to develop such an interface?
Answer:
Yes. Such a tool is in development. Once it is available in will be announced at www.mapletop.com and www.supermemo.com sites

SuperMemo CE and SuperMemo for Windows can only exchange collections via question-and-answer format (#6207)
(Ellis, Richard M, United Kingdom, Thu, Aug 16, 2001 8:27)
Question:
I recently purchased SuperMemo 2000. If I were to buy the Windows CE product, is it possible to synchronize the databases between a PC and CE machine
Answer:
SuperMemo 2000 and SuperMemo CE can only exchange material via question-and-answer text files. This makes it impossible to effectively use the same material on two computers. You can develop material on one computer and learn on another, but each portion must be dedicated to learning on a given platform. Better tools for SuperMemo CE are in plans

SuperMemo can still be found in shrink-wrapped software stores in Poland
(Agnieszka Mucha, Poland, Sep 4, 1998)
Question:
I visited three shops in Gdansk and apart from empty boxes (for show) the only SuperMemo I was offered was ... an illegal copy of Advanced English! Why is it so difficult to buy your program in Tri-City?
Answer:
Owing to the new network of sales representatives spanning the whole country, SuperMemo is now more available in Poland than ever! As for Gdansk, there are at least several points where it is constantly available including Vobis and EMPiK. If you find shops that do not resell, please name them and our representative for Gdansk will definitely contact the owners. The case with the illegal reproduction should be reported to the appropriate law enforcement department dealing with offences against intellectual property rights

You can use SuperMemo DLL to write your own SuperMemo (#6052)
(Charles Beauchamp MD PhD, Mon, Aug 13, 2001 20:04)
Question:
Is there a programmer's version of SuperMemo that can be embedded by a programmer in another program. If so, what is the licensing fee for this version?
Answer:
You can use sm8opt.dll to write your own SuperMemo for Windows. The license fee will range from zero for research projects via a fixed charge to a royalty on sales of your product in case it was to compete with other versions of SuperMemo. Please write to SuperMemoMail to receive the form to fill out

SuperMemo 7 is fully functional (#7290)
(DON FRANKEL, Sunday, October 07, 2001 8:05 PM)
Question:
Is SuperMemo 7 freeware unstable? Should I upgrade?
Answer:
No. SuperMemo 7 has been used by thousands of users and is fully functional. If stability or data safety is your concern, you do not need to upgrade to newer versions. Your decision should rather be based on additional functionality made available such as incremental reading in SuperMemo 2000/2002. See: Which SuperMemo?

Jornada 720
(RAYMONDTHIEME, Thu, May 23, 2002 21:15)
Question:
Will your programs run on my HP Jornada 720 (Handheld PC)?
Answer:
Yes. You can see SuperMemo in action by downloading from: http://www.ceti.pl/~tss/smce/download.htm (StrongARM processor)

You can transfer your material from SuperMemo for Amiga to SuperMemo for Windows (#8017)
(Janusz Golicz, Poland, Friday, November 09, 2001 12:28 PM)
Question:
Can I transfer my learning material from SuperMemo 3.0 for Amiga to SuperMemo for Windows?
Answer:
Yes. You can transfer your learning material, but you will not be able to transfer the learning process. In other words, you will need to learn your collection anew. Export your collection on Amiga as questions and answers (Q&A format). Then import it to SuperMemo for Windows with File : Tools : Import : Q&A Text. You can then use rescheduling tools to roughly approximate the state of your learning process. The recovery of your original retention levels will depend on the size of the collection and will roughly be complete once you review each elements at least once. Naturally, due to shorter intervals, your workload will increase for some time afterwards

New line character in Palm SuperMemo and SuperMemo 2002 (#278)
(harold hill, Saturday, September 28, 2002 6:36 AM)
Question:
In SuperMemo for Palm Pilot, if I enter // into an item it will generate a new line in the item upon import into my database. However, the string does not generate a new line in SuperMemo for Windows. I would like to interchange my database between the Windows and Palm Pilot version, however, it makes it difficult.
Answer:

  1. In SuperMemo for Palm Pilot, export your database to a Q&A file
  2. In SuperMemo for Windows, in a newly created collection, add a multiple line item; later export it into a Q&A form by using File : Tools : Export : Q&A text
  3. In your favorite text editor (e.g. MS Word), open both Q&A files created by SuperMemo for Palm Pilot and SuperMemo for Windows
  4. In the Q&A file generated by SuperMemo for Windows, copy special character indicating a new line
  5. In the Q&A file generated by SuperMemo for Palm Pilot, replace // with the special character copied to the clipboard
  6. Save a modified Q&A file and import it to SuperMemo for Windows with File : Tools : Import : Q&A text (or press Ctrl+Shift+E)

Converting from SuperMemo 7 to SuperMemo for Palm Pilot (#12001)
(DON FRANKEL, Sunday, July 21, 2002 3:24 PM)
Question:
I have an extensive material that I have been using with SuperMemo 7. I have just purchased the Palm SuperMemo and would like to use my material on the palm as well
Answer:
Currently, you can only transfer your questions and answers. You cannot transfer the learning process. The exchange format between all SuperMemos is the question-answer plain text format. You can find the description here at File menu. Once you export questions and answers from SuperMemo 7, see www.mapletop.com for instructions relevant to Palm SuperMemo

Problems with terminology in SuperMemo (#17457)
(Tomasz P. Szynalski , Saturday, May 10, 2003 12:24 AM)
Question:
I think the use of "repeat knowledge" at supermemo.com is incorrect. I consulted native speakers and they seem to agree
Answer:
When selecting terminology for describing learning with SuperMemo we can opt for newly constructed terms or terms that closely approximate the described concept. In this case, using a neologism might substantially obscure "SuperMemo prose". The term "repetition" has been elected to describe the process in which the user read the question, responds and provides the grade. The term "review" has been reserved for passive review (e.g. topics in incremental reading). This choice comes from the active-passive connotations of repetition vis-a-vis review. The term "revise" has been avoided as it implies change in the reviewed material, which, ideally, does not occur in repetitions. The process of learning will now consist of repeating items, reviewing topics, executing the final drill, adding new material, incremental reading, etc. Last but not least, we believe that English now belongs to the people of the world, and opinions of native speakers are valuable but not binding. For teachers who intend to train replicas of native speakers, asking if things sound "weird" is justified; however, if you address global audience your best reference is dictionaries, "live library of the net" and common sense

SuperMemo Library collections for Palm Pilot or Pocket PC are not divided into categories (#11825)
(OLarryR, Sunday, July 14, 2002 9:08 PM)
Question:
I converted the Basic German Text file to hotsynch it to my Palm with your smconv.exe conversion tool. However, I noticed that the downloaded database has about 2216 words which are not filed into categories. That is unlike the freeware version which had them categorized into nouns, etc.
Answer:
Material listed at SuperMemo Library as compatible with Palm Pilot or Pocket PC is a plain question-and-answer export from SuperMemo for Windows. This means that there is no category information in these files

Fonts are part of the operating system and are not included with SuperMemo
(klausdribusch, Germany, Thursday, July 18, 2002 2:20 PM)
Question:
I use SuperMemo for Palm Pilot. You should include fonts for foreign languages with SuperMemo
Answer:
It is a responsibility of the operating system to provide fonts. PalmOS already includes fonts for Western European languages. For other languages (incl. Chinese, Korean, Japanese, Hebrew, Russian, etc.) you can use a variety of existing fonts and tools that will provide support not only for SuperMemo but for each and every application you have installed on your handheld. You can easily find these on the Internet using standard search engines like www.google.com or PalmOS software repositories like www.palmgear.com

Windows, Pocket PC and Palm Pilot versions are independent products
(Jim Carlstedt, Tue, Feb 12, 2002 17:54)
Question:
Does the Palm pilot version come free with SuperMemo 2000?
Answer:
No. Products for different platforms are independent. They present only limited options for data exchange. However, upgrade prices apply to those who purchase multiple products. Even if you purchase your Palm Pilot version after SuperMemo 2000, you can make use of SuperMemo 2000 Upgrade. The price difference will be deducted from your Palm Pilot order

Converting SuperMemo 6 material to SuperMemo 2004
(er er, Poland, Tuesday, May 14, 2002 2:50 PM)
Question:
Is it possible to translate SuperMemo 6 for DOS databases to SuperMemo 2004?
Answer:
Yes. The upgrade procedure is analogous to upgrading SuperMemo 7 material (see: File menu)

Problems with installing older SuperMemos in newer Windows
(NeTRaY, Poland, Monday, October 07, 2002 11:19 PM)
Question:
I have a Polish version of SuperMemo 7. Now I have Windows XP and SuperMemo doesn't want to install
Answer:
SuperMemo 7 line was terminated in 1995. Whether older SuperMemos will install in newer Windows will depend on Microsoft's determination to retain compatibility with earlier platforms. You could download the newest English version as it has not been reported to show any problems in newer versions of Windows. If your problem is with a CD-ROM installer, you could simply unzip compressed files from CD-ROM using Expand at MS Dos prompt

You can import SuperMemo 7 collections to new SuperMemo
(Shr Lrc, Australia, Tuesday, January 29, 2002 2:45 AM)
Question:
How can we transfer files (text, picture and graphics) from SuperMemo 7 to SuperMemo 2000?
Answer:
You need to use File : Tools : Import : SuperMemo 6 or 7 You will need to download sm7imprt.exe filter to your \bin subfolder in your SuperMemo folder. The filter is available from the download section

SuperMemo 7 support
(bay bay, Australia, Monday, May 20, 2002 11:47 AM)
Question:
I am writing to ask for help concerning SuperMemo 7. I have got it but I am unsure about how to use it
Answer:
You can get the basics here: ABC of SuperMemo 7 and SuperMemo 7 FAQ

You can transfer between SuperMemo for Pocket PC and SuperMemo for Windows
(Miloslav Skácel, Czech Republic, Thursday, November 07, 2002 11:10 PM)
Question:
Is it possible to transfer my knowledge between SuperMemo for Pocket PC and SuperMemo for Windows?
Answer:
Yes. XML data exchange makes it possible to exchange questions-and-answers as well as the learning process

E-mail message sent to an invalid e-mail address is deleted and will not be retrieved
(JP, Germany, Sunday, January 05, 2003 8:19 AM)
Question:
I had sent an e-mail to you but instead of the reply I received this autoresponder message: "Some of addresses at supermemo.com have been canceled due to heavy inflow of spam..."
Answer:
You must have sent your e-mail to an invalid e-mail address. Please refer to Contact Page for the current list of valid e-mail addresses

You can convert a Q&A text file into a SuperMemo for Palm Pilot database
(Hal Stoddard, Wednesday, January 08, 2003 12:22 AM)
Question:
I am trying to convert a collection is the Q&A format into the SuperMemo for Palm Pilot format. However, I am not familiar with the SMCONV.EXE utility, which is recommended for this purpose.
Answer:
(1) Open Windows Explorer (e.g. click Start : All Programs : Accessories : Windows Explorer),
(2) Copy a Q&A text file to the folder where you have the SMOCONV.EXE utility,
(3) Drag&drop a Q&A text file onto the SMCONV.EXE utility,
(4) Double-click the resulting PDB file to install it on your handheld,
(5) HotSync your handheld device

SuperMemo will only run in MS Windows
(Mamatha Gowda, Wednesday, October 09, 2002 10:48 PM)
Question:
Does SuperMemo 2004 come with Palm pilot features? Is it possible to run this on a Mac?
Answer:
SuperMemo 2004 runs only in Windows (e.g. 2000, XP, etc.). To run SuperMemo on Palm Pilot you need a separate version of the program. Currently, there is no dedicated version for Mac. Some users succeeded with older versions of SuperMemo for Windows on iMac in Windows emulation mode. To test the limitations yourself, go to the download section


FAQ: Repetition overload in SuperMemo

FAQ: Resolving repetition overload (Postpone and Mercy)

Use Postpone to Recover from a weekend
Postpone will relieve your burden in cases of a severe material overload
You can use "Skip conditions" to limit the extent of Postpone
Skipping days on which you do not have time for learning
Global postpone with a different setting for one branch
What to do after a longer break from learning?
Newly added items automatically enter the learning process
Postponing topics and their extracts
Where do I find Mercy?
You can use Mercy in the future to review material before an exam
Mercy is not less harmful with Algorithm SM-11
Lesser role of the pending queue in SuperMemo
Postpone cannot be entirely automatic
Mercy is interval-neutral for the SuperMemo Algorithm

Use Postpone to Recover from a weekend
(Bohdan Vanek, Czech Republic, Friday, August 09, 2002 1:04 PM)
Question:
I almost never run the program on the weekends. This causes accumulation of repetitions not only for Monday but for succeeding days as well
Answer:
This would work best in your case:

  1. On Monday randomize repetitions with Learn : Random : Randomize repetitions (Ctrl+Shift+F11)
  2. Once you run out of time on Monday (i.e. before completing outstanding repetitions), execute Postpone

You can adjust Postpone parameters to minimize damage to most important branches of knowledge, and to ensure that repetitions do not get predominantly scheduled on Tuesday or Wednesday

You can use "Skip conditions" to limit the extent of Postpone
(Nathan Forsdyke, Tuesday, August 06, 2002 8:03 PM)
Question:
When I use Postpone on outstanding elements, I end up with no outstanding elements for today
Answer:
When you execute Postpone, choose the Parameters tab and play with Skip conditions to limit the subset of affected elements See more: Postpone

Mercy is not less harmful with Algorithm SM-11
(Marin Plopeanu, Romania, Wed, Jul 03, 2002 16:44)
Question:
Why is Mercy still described with a warning of extra hours of work, and mid-interval repetition is described with "you can now safely execute a major review of material (e.g. before an exam)". Does not the new algorithm help reduce the bad effect of Mercy?
Answer:
Mercy postpones repetitions at the cost of retention. Mercy does not involve a repetition. Mid-interval repetition may be less effective than a normal repetition but it is not harmful. With mid-interval repetition you only waste time on the extra repetition ahead of time. With Mercy, you waste time when it comes to relearning material forgotten due to delayed or missed repetitions. Mid-interval repetition advances the repetition, Mercy delays the repetition. The Algorithm SM-11 can compensate for an early repetition, but it cannot prevent forgetting when you fail to make a repetition

Newly added items automatically enter the learning process
(Janusz Batkowski, Poland, Monday, July 29, 2002 3:34 PM)
Question:
When I add a new item with Alt+A it is automatically introduced into the learning process. In SM2000 it was possible to add several new items and memorize only a portion of them
Answer:
With improved handling of the material overflow (e.g. Postpone), it is recommended that all your new material enters the learning process as soon as it is collected (pasted or typed in). If you are importing a larger collection written by somebody else you can use File : Tools : Reset collection before merging the collection. If you still want to keep an item in the pending queue, use Forget (Ctrl+R). Presently, SuperMemo makes little use of the pending queue, which was formerly used to prevent repetition overload. For similar reasons, the concept of the repetition ceiling also became irrelevant in SuperMemo

Skipping days on which you do not have time for learning
(Bohdan Vanek, Czech Republic, Friday, August 09, 2002 1:04 PM)
Question:
Is it possible to make such settings in SuperMemo that the program will automatically skip given days in the learning plan?
Answer:
No. However, for all purposes, rescheduling tools will do the trick for you. You may use Postpone if you want to delay lower priority material after a break. You may also use Mercy to spread the outstanding material over a couple of days, or if you want to execute repetitions in advance of a break

Lesser role of the pending queue in SuperMemo
(Brian Yu, Friday, October 25, 2002 6:19 AM)
Question:
Whenever I add a new element to a category, it defaults to memorized. I previously upgraded to SuperMemo 2002 from SuperMemo 2000 and before that all new elements added were created as pending. Is this an option than can be toggled? I would like my new elements to automatically be entered into the pending queue
Answer:
After you add an element, press Ctrl+R. The default behavior of memorizing elements cannot be turned off. In SuperMemo 2000, you would need Ctrl+M to memorize elements after adding them to your collection. In new SuperMemos, you need Ctrl+R to un-memorize them instead. This change comes from the fact that the recommended approach is to immediately memorize the material once you type it in (typing in is a form of repetition that can be capitalized on). Pending queue is reserved for ready-made material (e.g. from SuperMemo Library). If your pending queue is very long (e.g. 40,000 elements in Advanced English), you would always need to press Remember after adding new elements. Failure to do so could result in not being able to recall the entered material, nor even detect the error (unless after a couple of years when the pending queue is exhausted). To better understand the new approach, read about incremental reading and Postpone. If you want to type a longer text without learning it, type it into a note element (e.g. Alt+N). You will then process it with incremental reading only then when your priorities make it possible

Pending queue is decreasing in importance (#14119)
(Jiri Panenka, Slovakia, Nov 13, 2002, 0:00 AM)
Question:
Why do you say the pending queue is an outdated concept? It has always been there in SuperMemo and I am accustomed to adding items to the pending queue and memorize them only when I have time.
Answer:
In old SuperMemo you would say "I will memorize this item when I memorize all items that I added before it". In new SuperMemo, it makes far more sense to say "I hope I will be able to memorize this item in four months from now". With Ctrl+J you can set the date of the first repetition of a recently introduced item. This way, you can immediately prioritize your material by producing shorter intervals for more important items. Naturally, this will easily result in material overflow. However, new SuperMemo can easily handle the overflow with Postpone. Some repetition may be delayed again and again, but SuperMemo is relatively insensitive to such delay. Delays will reduce your retention, but their will not distort the learning process. In simple terms, new SuperMemo uses by far more sophisticated mechanisms for prioritizing your material to resort to the primitive "first come, first served" approach of the pending queue. Pending queue is reserved mostly for ready-made collections where material is already sorted into the appropriate sequence

Postponing topics and their extracts
(M¯, Poland, Wed, May 16, 2001 22:35)
Question:
Please add an option "Postpone topics with their extracts"
Answer:
You can postpone topics with their extracts using this method:

  1. Go to the topic in question
  2. Press Ctrl+Shift+Enter to open the topic and its extracts in the browser
  3. Choose Postpone on the browser menu (Ctrl+Alt+P)

Note that you may need to use Learning : Locate extracts on the element menu if you have moved portions of your learning material to other branches

Postpone cannot be entirely automatic
(SuperMemo Support, Wednesday, November 27, 2002 10:51 AM)
Question:
I would like to see automatic computation of the optimal parameters in the postpone dialog based on the history of repetitions
Answer:
If you choose Postpone, you do evoke a default parameter set. However, this set is not derived from repetition history. If you read the history of Mercy, you may notice that all rescheduling algorithms will be based on multi-criterial optimization. In other words, repetition history could only be used for a subset of criteria such as: postpone difficult material, postpone easy material, postpone long-term material, etc. In simple terms, your proposition is comparable in complexity to asking MS Word to format texts based on their semantics. The present approach used by Postpone already includes the multi-criterial approach by making it possible to execute Postpone on any subset that can be generated with SuperMemo. You can thus postpone by semantics (e.g. keyword search), branch content, difficulty, interval, number of repetitions, etc. The parameters set in Postpone dialog are basically used to set bordering conditions of the optimization problem. In addition, the degree of the delay can also be adjusted. The Scope and Adjust tabs are only used to automate subset operations. You may, but you do not have to, modify bordering conditions of Postpone. As long as you master subset skills, you will be able to meet your goals. Postpone cannot be automated as it is you, the user, who defines the goals of Postpone

Global postpone with a different setting for one branch
(Robin, May 20, 2003)
Question:
How can I do a global postpone that would apply a defined specific postpone settings to a single branch? I want to postpone all material a little, but I want to do a more radical postpone on my To-Do branch. Can I do it without running the postpone on the To-Do branch first?
Answer:
You can do complex postpones with a single click. However, you must first define branch-specific postpone parameters. In your case:

  1. select To-Do branch in the contents window or in the Ancestors window
  2. choose Postpone (e.g. Ctrl+Alt+P)
  3. set Postpone settings (these will apply to your To-Do branch)
  4. choose Save (be sure you do not change the setting name, which should be Default)

Now, if you want to postpone any branch or subset that includes To-Do elements, be sure Respect settings is selected on the Adjust tab of the postpone dialog. Naturally, you can save this setting and use it effortlessly in the future. If you do so, all your postpones will require only two key presses: Ctrl+Alt+P (to open the postpone dialog), and Enter (to execute the postpone). Your To-Do elements will be postponed differently than the other elements in the postponed set

Postpone will relieve your burden in cases of a severe material overload
(SuperMemo user, Poland, Tuesday, December 03, 2002 10:28 PM)
Question:
I have a very busy schedule and would like to be able to reduce my workload on certain days. Does SuperMemo have option other than Mercy that would make it possible?
Answer:
Use Postpone (e.g. Learn : Postpone : All from the main menu) to increase intervals of all outstanding repetitions by a selected delay factor. Delay factor determines by how much the outstanding elements should be delayed. For example, if you set the delay factor to 1.01 on an element with the interval of 100 days, it will be delayed by 10 days (i.e. rescheduled to the interval of 110 days). In other words if you had this element scheduled on today, it would appear 10 days later

Where do I find Mercy?
(Andy Major , Friday, April 04, 2003 12:52 PM)
Question:
Where do I find the mercy key or is that a mythical idea?
Answer:
Use Tools : Mercy on the main menu. Be sure you set File : Level : Middle or Professional

You can use Mercy in the future to review material before an exam (#7004)
(Dimi Linde, Thursday, September 20, 2001 6:46 PM)
Question:
I have a test next week and I want to maximize the retention. All my outstanding items have been repeated. What can I do more?
Answer:
Use Tools : Mercy and check Consider future repetitions. Then collect all material from as far into the future as you wish. You will be able to schedule all these repetitions for today. Unfortunately, due to the spacing effect and the nature of the spaced repetition algorithm, SuperMemo will not return the length of your interval to previous values after the repetitions are done successfully. Consequently, you will increase your retention for the exam but will also have more work with the same material in the future

What to do after a longer break from learning?
(Piotr Wasik, Poland, Monday, September 16, 2002 4:49 PM)
Question:
If I learn for two months and memorize about 2,000 items and then have a two-month break, will the factors associated with items have any relevance to reality? I have a feeling that learning from scratch would be a tremendous waste of time
Answer:
You are right. Starting from scratch is not the best strategy. SuperMemo is reasonably resistant to being fooled by a long break in learning. If you resume learning, items that are still remembered well will get frighteningly long intervals. If your whole learning process is new, SuperMemo may overestimate your memory powers. You can then always shorten very long intervals manually (e.g. with Ctrl+J). The proportion of well-remembered material will be far greater than what many people assume (e.g. by looking at their own forgetting curves). You will quickly winnow only that portion of material that needs more review. Within a month, you shall be back on track. Within a year you will not be able to detect any effects of the break. On the other hand, if you start from scratch, you will increase your workload manifold. In addition, you will fool SuperMemo with your unexpectedly good performance on the re-learned material. SuperMemo will have no record of your previous work and will wrongly conclude that your memory is surprisingly good

Mercy is interval-neutral for the SuperMemo Algorithm
(Patrik Nilsson, Thursday, September 27, 2001 12:22 PM)
Question:
I do not like that Mercy changes the intervals of items. I don't think it is the optimum. If for example I have a repetition interval of about 30 days and Mercy will change that to 60 days, the repetition will produce a very long interval.
Answer:
It is true that Mercy updates the current interval associated with an item, but it does not change the effect a repetition will have on that item. At repetition, SuperMemo will always use the interval spanning from the last repetition to today, i.e. the "real" interval. Mercy does not change that value. If the item's interval is 30 days, and the repetition is delayed by 30 days, the algorithm will use the interval of 60 days whether Mercy was used or not


FAQ: Incremental reading

What is incremental reading?
Incremental reading requires some experience
You cannot learn Britannica in a lifetime
You will not lose the big picture with incremental reading
In the short run, SuperMemo may be less efficient than your current learning method
High retention does not have to result in slow learning!
Incremental reading may be a remedy against the monotony of repetitions
SuperMemo does not show the answer after using cloze deletion
Cloze deletion does not create the answer
Problems with cloze
Optimum time allocation for reading/learning depends on the reader and the material
Topics vs. Items
Incremental reading is a reading management technique
Importing an article to SuperMemo
In incremental reading, you do not need to read articles in their entirety
Not all texts are suitable for incremental reading
Start generating cloze deletions only then when passive review seems insufficient
Cloze deletions are meant to be born via incremental reading
Cloze deletions are easy
Copying material from a dictionary
Use incremental reading for quickly adding new material without learning it
High priority of material or long review intervals will prompt you to run an article preview
Important pictures should best be kept in image components
Mid-interval repetitions on a branch
 Launching new browser with Open In New Window
Use Ctrl+] and Ctrl+[ to change the size of the font
You can easily mark the context of extracts in incremental reading
You cannot turn off marking words used to generate cloze deletions
 Use Remember Extract if you do not want to specify the first interval
Use Esc if the picture does not paste
Use "Done" to delete processed articles and save space
Dismiss should eliminate an element from the learning process
Who invented incremental reading?
"To Do" Extract
Topic texts are expendable in incremental reading
Incremental reading is superior to traditional reading in the long run
Complex physics posing problems to incremental reading
Proliferating images in incremental reading (why?)
 Proliferating remote images in incremental reading (how?)
Marking extract with source references
 Reference labeling works only in HTML components
Incremental reading is simpler and more efficient than it seems at first
All topics will be deleted with Done in the end
For learning to be efficient, cloze deletions must be as simple as possible
Learning : Review does not work
 Default word processor
Incremental reading is a step towards semantic SuperMemo
Enter on selections resumes repetitions
Learning vocabulary with incremental reading
 A-Factors and text length
 A-Factors of extracted elements will differ
Repetitions do not get mixed randomly
Incremental reading should suit your perfectionist nature
You can add reference information to your extracts
Learning a whole website offline
Incremental reading may need some tweaking before it starts working for you
You can automate generating simple question-answer elements
Before you terminate a source article move its child items to their target categories first
You can separate reading from learning
Importance of derivation steps
Cloze deletion may, but does not have to use the default template
Reading lists vs. incremental reading
Not everyone experiences information fatigue but ... SuperMemo will certainly help
Highlight and read-point
You can creatively expand on a task by introducing it to incremental reading
You can memorize en masse with negligible detriment to the learning process
Reading lists are tasklists that hold articles for reading
Incremental reading resolves the valuation problem in choosing best articles
The less time you have for learning, the more you will like SuperMemo
PhotoReading is not likely to enhance incremental reading
Scheduling articles for later reading
 Customizing cloze font
Fastest way to change the current category
Incremental reading of paper books
 Background colors in Internet Explorer are used in incremental reading
 One character selections in cloze
 Wrong highlight on Extract
 Problems with cloze
 Some HTML files are kept as plain text in registry
E-mail element titles
Creating cloze deletions contributes to the learning process

See also:

  • Incremental reading
  • FAQ: Material overload
  • FAQ: Using HTML
  • FAQ: Formulating knowledge

Incremental reading requires some experience
(SRD, Wed, May 22, 2002 3:04)
Question:
I do not know how to tackle this text in incremental reading. Any hints?

After the discovery of Pluto, it was quickly determined that Pluto was too small to account for the discrepancies in the orbits of the other planets. The search for Planet X continued but nothing was found. Nor is it likely that it ever will be: the discrepancies vanish if the mass of Neptune determined from the Voyager 2 encounter with Neptune is used. There is no tenth planet

Answer:
Here are some exemplary processing stages. Yours might be different. In the end, you can convert the cloze deletions into more direct and well-formulated questions-and-answers:

Extract 1: Pluto is too small to account for the discrepancies in the orbits of the other planets

  1. [...](planet) is too small to account for the discrepancies in the orbits of the other planets
  2. Pluto is too [...] to account for the discrepancies in the orbits of the other planets
  3. Pluto is too small to account for the [...] of the other planets
  4. Pluto is too small to account for the discrepancies in the orbits of [...]

Extract 2: Pluto was too small to account for the discrepancies in the orbits of the other planets. The search for Planet X continued but nothing was found

  1. Pluto was too small. The search for Planet X continued and [...] was found

Extract 3: Pluto was too small to account for the discrepancies in the orbits of the other planets. The discrepancies vanish if the mass of Neptune determined from the Voyager 2 encounter with Neptune is used

  1. Pluto was too small. The discrepancies [...] if the mass of Neptune determined from the Voyager 2 encounter is used
  2. Pluto was too small. The discrepancies vanish if the new [...] of Neptune is used
  3. Pluto was too small. The discrepancies vanish if the mass of [...] determined by the Voyager 2 is used
  4. Pluto was too small. The discrepancies vanish if the mass of Neptune determined from the [...] encounter with Neptune is used
  5. Pluto was too small. The discrepancies vanish if the mass determined from the Voyager 2 encounter with [...] is used

Extract 4: There is no tenth planet

  1. There [is/isn't] the tenth planet
  2. There is no [...]th planet

You cannot learn Britannica in a lifetime
(Terje Tonsberg, Kuwait, Jan 31, 2001)
Question:
"Devouring knowledge" article contains a factual mistake where it says: "Even a single copy of the Encyclopaedia Britannica goes in detail far beyond what a single human being can encompass in a lifetime!" This is wrong. I have personally met people who have memorized books of at least this size and historical accounts of such scholars abound
Answer:
Assuming we do not deal with humans affected with a mutation to their memory system, this would falsify the theory of SuperMemo which should apply to all healthy adults. In the light of SuperMemo, memorizing Britannica verges on impossible. There are 44 million words in Britannica's 32 volumes. This translates to 6 million SuperMemo items ("human memory bits") assuming the average keyword extraction on information dense texts as 1:7. Assuming a 50-year learning span, we get to 18250 days and 330 items per day. Assuming optimum representation of knowledge (say Britannica is already "perfectly formulated") you cannot learn faster for a given level of knowledge retention than with SuperMemo (it simply finds the mathematical optimum), and practice shows it is very difficult to sustain more than 100 items per day in the long run with retention around 95%. In other words, for an intelligent man, for perfectly formulated Britannica knowledge, with SuperMemo, you are hardly able to accomplish the goal with your whole life devoted to the task. Except for anecdotal reports, we are not aware of comparable long-term memory feats. We will gladly include here links to such reports except those that are obviously false or unreliable

Not everyone experiences information fatigue but ... SuperMemo will certainly help
(Krzysztof Kowalczyk, USA, Dec 31, 2000)
Question:
I don't buy the stresslessness argument. I doubt that with the exception of students having too much to study there is a significant source of stress
Answer:

No motivation - no stress: There is a precondition for experiencing stress of having too much to read or too much to learn: obsessive hunger for knowledge, fear of not being able to keep up, pressing need for new knowledge, etc. This precondition is quite abundant in general population according to a number of studies, and is actually less likely in younger individuals, including students, who are shielded from stress by their less mature motivation for learning. The term Information Fatigue Syndrome has been coined recently to refer to stress coming from problems with managing overwhelming information. Some consequences of IFS listed by Dr. David Lewis, a British psychologist, include: anxiety, tension, procrastination, time-wasting, loss of job satisfaction, self-doubt, psychosomatic stress, breakdown of relationships, reduced analytical capacity, etc.
Stress management: There is a strong variability as to how people cope with stress. For many, information overload may result in just hardly noticeable anxiety, for others, this may verge on obsessive compulsive disorder and may require medical consultation or even medication
SuperMemo and stress: SuperMemo helps you take away a substantial proportion of information overload stress. In a typical IFS stress therapy, you will see that scrupulous notes, ordering one's desk, planning one's work, keeping a calendar of appointments, etc. all have a strong therapeutic value. SuperMemo does exactly the same: it helps you keep a scrupulous and well-prioritized record of what you want to read and takes away stressful chaos from the process of acquiring information and learning the collected material. SuperMemo eliminates disorder and the ensuing uncertainty that often characterizes wild searches for information on the net
Further reading: Dying for Information, Information Fatigue

PhotoReading is not likely to enhance incremental reading
(Vitaliy Vorontsov, Ukraine, Jan 4, 2001)
Question:
Do you think I should invest in the course of PhotoReading? Would PhotoReading be a good supplement to SuperMemo? Would my incremental reading be faster?
Answer:
PhotoReading is not likely to help you accelerate incremental reading, unless your reading is really slow. The bottleneck in the speed of acquiring information is neither in reading nor in short-term memory. You are mostly limited by your long-term memory. The usual situation is that you are faced with by far more to read than you are able to read. Then you read much faster than you are able to remember things. Ultimately, your speed of learning will be determined by the speed of introducing the study material to your long-term memory. Even if you double your reading speed (which may not be easy), your total learning time will be reduced marginally. The premise of PhotoReading is to use the power of parallel processing of the human brain. Unfortunately, harnessing this power is not always possible. First, we are limited by the ability to efficiently store images of the read text in short-term memory (unlike in remembering faces, our brain does not know the "language" that would extract the necessary minimum of information and store it in an efficient way). Then we cannot use subconscious processing to assimilate thus acquired texts (again, unlike in visual processing of faces, the brain does not have a dedicated circuitry to do that for us). PhotoReading training is similar to a training that can help you divide multi-digit numbers: the investment goes far beyond the benefit. In practice, this translates to classifying PhotoReading as a skill in filtering important information (i.e. the main benefit is not in the "photographic" step). Filtering skills are great for reading fiction (e.g. if you need it for your English class tomorrow morning) but may be of little use in reading information-rich dense technical texts (i.e. where the ratio of important text to all text is high). A book on PhotoReading available from Amazon.com [see: opinions] costs a fraction of the course and should provide you with most of you need to know about reading techniques. Here is a comment from a user familiar with both SuperMemo and PhotoReading: In Photoreading you basically skim the material in several different fashions, each taking greater time and going into greater depth. The final step is "real" reading, which one can do if one wishes. The previous steps take maybe an hour, and really do give a solid overview of the material. When you finally get around to the "reading" step, you often find that the previous steps have given you a BIG chunk of the data you were looking for. The only part of the whole thing that is a bit "iffy" and "new-agey" is the actual "photoreading" step, where you are supposedly impressing the book on your subconscious at the rate of a page a second. I am aware of no studies of even a semi-rigorous nature that back this up. I personally believe that the human mind has vast untapped resources, but am not sure what I think about this "photoreading" part.
As you can see, PhotoReading also attempts at delinearizing the reading process. Incremental reading does the same; however, you are guaranteed never to miss fragments extracted as important. You simply use SuperMemo instead of your short-term memory for the purpose. Your only overhead cost is 2-3 mouse clicks per extract
See also: Skeptic's Dictionary: Speed-reading and A student's perspective to PhotoReading

In the short run, SuperMemo may be less efficient than your current learning method
(Andrzej H., Poland, Jan 10, 2001)
Question:
Can I conclude from this article that I can take a pile of articles and memorize them all perfectly in one day (e.g. before an important exam)?
Answer:
Not at all! Just the opposite. In the very short run, SuperMemo or incremental reading are less effective than traditional cramming or speed-reading methods. The foundation of the presented methodology is review and repetition. If you rush through an article in SuperMemo, you get the same or less immediate benefit as compared with speed-reading the same article in your web browser. Your follow up retention will essentially be the same. You will not benefit from the speed benefit which comes out upon the first review of quickly extracted fragments (usually within few days of the first reading). You will not benefit from increase in consistency and quality of knowledge structure. Your creativity will not be affected. The only minor factor that could show up within a day is the stress factor. If you know you will get a chance to review the extracts in the future, you may be reading with the added comfort that whatever is lost today may be recovered later. SuperMemo is a long-term tool, the longer the time-span the greater the benefit. If you work for short-term goals for dispensable knowledge (e.g. tomorrow's exam), use standard cramming, mnemonic and speed-reading techniques!

High retention does not have to result in slow learning!
(Robyn Harte Bunting, Dec 31, 2000)
Question:
I have been trialing the paper-based SuperMemo in learning philosophy. Unfortunately given that a sensible acquisition rate is 10-20 items per day (otherwise you suggested the material becomes unmanageable) and the material is very, very complex I have found that I cannot cover more than 1-2 paragraphs per day. At this rate I will only be able to read 1 book a year!
Answer:
You need to understand a clear distinction between the two extremes of learning:

  • high-retention-low-volume learning (as in early versions of SuperMemo) - in which you make sure you remember 95 or more percent of the studied material

  • low-retention-high-volume learning (as in traditional forms of learning) - in which you quickly process large chunks of the material while having to struggle with massive forgetting

Reading books belongs to the low-retention category, while memorizing 10-20 items per day with SuperMemo belongs to the high-retention category. The optimum reading strategy will find the golden mean between these two. You should not give up traditional reading. Neither should you expect to put all your study material into SuperMemo. You should choose a middle-ground strategy. For example, if you consistently spend 90% of your time on reading and 10% of your time on adding most important findings to SuperMemo, your reading speed will actually decline only by some 10%, while the retention of the most important pieces will be as high as programmed in SuperMemo (up to 99%).

The concept of incremental reading introduced in SuperMemo 2000 provides you with a precise tool for finding the optimum balance between speed and retention. You will ensure high-retention of the most important pieces of text, while a large proportion of time will be spent reading at speeds comparable or higher than those typical of traditional book reading.

It is worth noting that the learning speed limit in high-retention learning is imposed by your memory. If one-book-per-year sounds like a major disappointment, the roots of this lay in human memory. Our current knowledge of psychophysiology and pharmacology does not provide any means that could allow of breaking beyond that limit. We are left with the choice between high-speed and high-retention. Incremental reading gives you a full hands-on control over finding the optimum balance

Topics vs. Items
(Jim Ivy, USA, June 4, 1997)
Question:
What is the difference between a topic and an item?
Answer:
Topics are used to present, read or review knowledge (like chapters in a book), while items are used to test knowledge by means of repetitions (e.g. they have the question-and-answer structure). Topics help you understand the subject before you begin repetitions. See also: Topics vs. items

Use Remember Extract if you do not want to specify the first interval
Question:
The need to specify the interval in Schedule Extract is annoying. I would like SuperMemo to just use the optimum interval
Answer:
This is exactly what Remember Extract does

You cannot turn off marking words used to generate cloze deletions
(Walter G. Mayfield, Jr., Wednesday, July 04, 2001 12:37 AM)
Question:
Is there a way to do cloze deletions without SuperMemo altering the original text?
Answer:
Currently you cannot customize cloze deletion behavior. Marking the keywords with a different font is very important in properly structuring knowledge for active recall. Usually, while at knowledge processing stage, your items will form a messy mix of various fonts and formats. However, once they assume their final shape, they will usually be moved to the target category. This will apply the default category template with a uniform category font (assuming space-saving plain text components are used in the target template). In the future, cloze formats are likely to be customizable

Reading lists are tasklists that hold articles for reading
(Reinhard K. Koehler (neusob), Germany, Sat, Aug 18, 2001 20:31)
Question:
Is there any difference between a task list and a reading list?
Answer:
A tasklist is a list of tasks sorted by value/time ratio. A reading list is a special kind of tasklist, in which all tasks are articles (e.g. that are to be introduced to incremental reading)

Incremental reading resolves the valuation problem in choosing best articles
(Adam, Australia, Monday, September 10, 2001 7:28 AM)
Question:
How can you know if an article is very important without first reading it?
Answer:
One of the greatest advantages of incremental reading is that your priority valuations change as you read. If the article provides rich and valuable material in the beginning, you can read it in one go. Otherwise, its priority reflected by the current interval (and/or A-Factor) will drop, and you may opt to read it in smaller portions. Each portion read may affect the current priority

Incremental reading is a step towards semantic SuperMemo
(Mark Patterson, USA, Jul 03, 2001)
Question:
SuperMemo introduces new topics and items in the order in which they appear in a collection. I suggest that the future semantic version of SuperMemo could introduce new topics in semantic sequence--starting at the edges of what the student knows and chipping away at unlearned nodes guided by module prerequisites until all target nodes had been mastered
Answer:
Semantic SuperMemo is indeed an important future objective. Please note, however, that the exactly same mechanisms are already implemented as incremental reading. New material is entered into the learning process in proportion, and with the guidance of the current level of understanding. Naturally, it is highly desirable this process be extended to ready-made materials, which is not a trivial undertaking requiring quite a bit of advanced knowledge engineering

You will not lose the big picture with incremental reading
(Mike Condron, USA, Dec 13, 2000)
Question:
Isn't there a risk with incremental reading that I will produce lots of items but lose track of the big picture?
Answer:
This would certainly be the case if SuperMemo did not use optimum spacing of repetitions. Spaced repetition ensures high retention and makes it easy to keep the big picture in memory despite the constant inflow of new data. Actually, this is the main advantage of SuperMemo: you convert lots of disparate pieces of information into a solid model of reality that lives in your memory. All these pieces can be dispersed randomly in your collection like pieces of a jigsaw puzzle; however, they fit into a coherent entirety that stays firmly intact in your mind. In other words, incremental reading is reductionist at the level of knowledge processing, but is holistic at the level of memories stored in your brain

High priority of material or long review intervals will prompt you to run an article preview
(Michal Hejwosz, Poland, Dec 31, 2000)
Question:
What would be a good algorithm for deciding when to preview the whole article before reading (and extracting most important fragments) as opposed to reading it incrementally in a linear sequence?
Answer:
It is difficult to describe a hard-and-fast method. This will require a multicriterial analysis. The most important factors that come to mind are:

  • if you need this knowledge today, you should start with a quick preview and extracting mission-critical fragments

  • if this knowledge is very important and your learning process overflows with review (e.g. you often resort to Postpone), extract-preview will increase your exposure to this particular material

  • if the article is not very interesting, line-at-a-time reading will be equivalent to assigning a lower priority (you will just read a sentence once per week or once per month and you may never finish the article unless it gets more relevant or interesting)

  • if you believe the article contains very important pieces in its body, you may want to quickly locate these and extract them for separate (more detailed) reading

  • if your reviews occur in very long intervals as a result of slow reading, you may opt for shortening the interval or running a preview of the most important sections instead

  • if you are reading texts from your e-mail tasklist, preview is highly recommended: not many people stick to the principle of beginning their message with the most important points and you certainly would not want to delay locating paragraphs requiring immediate action with weeks of delay

In summary, these are the most important incentives for whole-article preview:

  • high priority of the material

  • long inter-review interval

  • indication of higher-priority fragments buried in a lower-priority text

Use Esc if the picture does not paste
(George Wu, USA, Dec 2, 2000)
Question:
I tried to import an image to SuperMemo. I copied the image, opened SuperMemo, clicked on the answer field, and pressed Shift+Ins but nothing happened
Answer:
When you click on the answer field, the answer component will become active and ready for editing (editing mode). Shift+Ins will be interpreted as pasting to this component (most likely a rich text component). Unfortunately, rich-text in SuperMemo can only paste text. However, if you press Esc once or twice, you will switch the text component back to display mode. After that, Shift+Ins will be sent to the element window instead and you will be able to paste the image (new image component will be created if you have not added any)

Optimum time allocation for reading/learning depends on the reader and the material
( Zoran Maximovic, Fri, Aug 03, 2001 7:03)
Question:
When I learn very difficult material, when do you think my efficiency is higher: if I do it in one block of 60 minutes or if I split this into 3 blocks of 20 minutes?
Answer:
The optimum allocation time for reading or learning depends on a number of factors: the article, its importance, its difficulty, the person, his present knowledge, his mood, his circadian cycle, boredom, etc. The optimum allocation of time can vary from seconds to hours! This is one of the factors where the power of incremental reading comes from. For some texts, you may find it difficult to reach reasonable attention levels for longer than a few minutes. Often you can retain your maximum processing power for just a single sentence or paragraph. On other texts that are highly interesting, well written, highly useful or highly important, your curiosity and rage to master may kick in and let you go on for several hours without a break. In incremental reading, the primary criterion for time allocation is your level of concentration. You can literally lick a few hundred articles in a continuous block of time and still keep your mind highly focused and alert. Some articles will be processed in depth, others will be quickly postponed. The concentration criterion is all-inclusive. It includes all factors listed above: difficulty of an article may affect your concentration, your tiredness will always reduce optimum allocations for difficult texts and increase allocations for interesting or enjoyable texts (those who help you "survive" a bad learning day). In conclusion, 3x20 will nearly always differ from 1x60. For boring articles 3x20 will do more. For fascinating articles 1x60 will do more

You can creatively expand on a task by introducing it to incremental reading
(TPS, Aug 07, 2001)
Question:
When should tasks be kept both on the tasklist and in incremental reading?
Answer:
Tasks may be kept in incremental review if you need to access them by priority via the tasklist but still want to work with them using incremental reading techniques. This happens, for example, if you have an idea, and you want to implement it according to its priority on the tasklist, but you still want to creatively expand it in the incremental reading process. This could, for example, be a business plan, points for an article, element of a new design, etc.

Start generating cloze deletions only then when passive review seems insufficient
(Luis Gustavo Neves, Brazil, May 2, 2001)
Question:
I generate many short passages that are reviewed as topics in incremental reading. Can I leave those passages in the learning process indefinitely? If not, what is the best moment to begin generating cloze deletions?
Answer:
You can leave some low-priority material in the passive form. Naturally, this material will gradually become difficult to recall or forgotten. The best moment for using Remember cloze is when you notice that the material becomes volatile. Do not dismember the entire passage (unless it is very important). Pick the most important keyword and create just a single cloze deletion. When the next review of the passage comes, you will be able to determine which other keywords must be used with cloze deletion to prevent forgetting key information. It is very difficult to predict how many clozes you will need to generate to attain perfect recall of the whole passage. On occasion a single cloze suffices. At other times, a single passage can require a dozen clozes!

Scheduling articles for later reading
(P.N., Mon, Apr 22, 2002 8:21)
Question:
I would like to see an option Read later in SuperMemo
Answer:
All articles imported to SuperMemo from the Internet, all individual paragraphs, sections, sentences, clozes and question-answer pairs are scheduled for later review. This is done automatically. You do not need to take any action. You take action only then when you believe a piece of information is not important. In such cases you execute Done, Dismiss or Delete

Reference labeling works only in HTML components
(M.M., May 22, 2002)
Question:
Sometimes I do not have References submenu on the text component menu. Why?
Answer:
This submenu appears only in HTML components. You can easily upgrade your RTF texts by applying an HTML-based template (e.g. "Article")

Learning a whole website offline
(CMaggio99, Monday, May 06, 2002 1:04 PM)
Question:
I have several hundred lecture notes on my schools web site. What is the best way to import all of them including pictures etc. to my hard drive for offline processing
Answer:
You could try this method:

  1. download the whole website to your hard disk (e.g. with FTP tools)
  2. import individual articles with Edit : Add to category : HTML file
  3. remember: do not delete imported parent element to make sure you do not delete files associated with HTML, e.g. pictures. Those files are stored in only one copy. This copy is associated with the parent article

Alternatively you could also:

  1. download the whole website to your hard disk (e.g. with FTP tools)
  2. read articles offline in your browser
  3. paste relevant sections with Ctrl+Alt+N
  4. remember: do not delete the originally downloaded articles to make sure you do not delete files associated with HTML, e.g. pictures). Those files are not copied to SuperMemo collection. SuperMemo leaves only pointers to the original location of these files

In the first method, original articles will be integrated with your collection. In the second method, they will not (your collection will be smaller and easier to process)

What is incremental reading?
(Sales, Fri, May 24, 2002 1:31)
Question:
Your website mentions incremental reading every second paragraph but I still do not know what it is! Can you provide a short and clear definition?
Answer:
Incremental reading is a way of reading texts in SuperMemo. You read articles in small portions. After you read a portion of one article, you go on to a portion of another article, etc. You introduce all important portions of texts into the learning process in SuperMemo. This way you do not worry that you forget the main thread of the article, even if you return to reading it months later. With incremental reading, you can read literally tens of thousands of articles in parallel. Your progress with individual articles may be slow, but you greatly increase your efficiency by slowing down on less important articles and reading faster the articles that are most beneficial to your knowledge. Difficult articles may wait until you read easier explanatory articles, etc. You retain the learned knowledge thanks to the spaced repetition algorithm used in SuperMemo. Last but not least, incremental reading makes you efficient because it is great fun. You never get bored. If you do not like an article, you read just a sentence and jump to other articles. This way your attention and focus stay maximized. See: Incremental reading

Learning vocabulary with incremental reading (#995)
(Len, Wednesday, May 08, 2002 2:50 PM)
Question:
I am learning Hebrew with incremental reading in this way: I'm extracting individual words whose meaning I don't know. Later, when the extract appears, I look up the meaning and create a Q&A item for it
Answer:
A healthier strategy would be to highlight the word in question and extract it with the whole context sentence. Context is vital in learning vocabulary. You can use the context to formulate examples. Examples are the simplest way to reflect context-semantics relationship in language learning. For example, in Advanced English you have:

Q: to slide (e.g. about shares)
A: fall (i.e. decrease in value)

If you only extracted "slide" while reading about shares, you will find it difficult to choose the correct definition of the multiple basic meanings of the word

Incremental reading of paper books
(flhtc55, Tue, May 28, 2002 15:53)
Question:
What if you have a large number of state of the art reference books. Can they be scanned and converted to text file with OCR software?
Answer:
Having your manuals on paper is a painful handicap. However, that does not render SuperMemo useless. The core repetition spacing technology remains. You can use a combination of these three options:

  1. Type in only the most vital must-know passages
  2. Use OCR to generate files that can be processed with incremental reading
  3. Look for electronic alternatives to portions of texts

One of the users wrote a few words of his experience with OCR in this article

Background colors in Internet Explorer are used in incremental reading
(Beta, Wincenty, Feb 13, 2002)
Question:
What I do not like in new incremental reading is that font colors do not change upon extracting fragments
Answer:
Instead of font color, background colors are used in HTML-based incremental reading to preserve the original font used in the document. However, for this to work you must uncheck this option in your Internet Explorer: Tools : Internet Options : Accessibility : Formatting : Ignore colors specified on Web pages

You can separate reading from learning
(Beta, Fri, Feb 22, 2002 17:28)
Question:
Is it possible to separate reading from learning?
Answer:
Yes. However, variety is a spice of life. A random mix of reading and repetitions is a very powerful tool in overcoming the monotony of the earlier versions of SuperMemo. Interspersing topics with items provides for many of the advantages of incremental reading as opposed to traditional learning or classical SuperMemo.

To review topics only (reading) choose (1) View : Outstanding, (2) Child : Topics and then (3) Learning : Learn (Ctrl+Alt+L). To make repetitions (items), act accordingly.

It might be a better strategy to mix topics and items during the reading phase, and consolidate knowledge by making item-only repetitions later in the day

Repetitions do not get mixed randomly
(Beta, Mon, Feb 25, 2002 19:59)
Question:
When I click Learn, it appears that SuperMemo always shows me my articles for incremental reading before showing any questions for active recall. I thought that SuperMemo should mix up questions and articles
Answer:
Reshuffling elements takes time. This is why currently, you need to manually request a reshuffle; e.g. with Learn : Random : Randomize repetitions (Ctrl+Shift+F11) or with Mercy (randomize criterion). Otherwise, you will get short interval elements first. This may give some preference to topics with low A-Factors. Items may quickly reach longer intervals

Mid-interval repetitions on a branch
(Beta, 2/27/02 10:33:56 PM)
Question:
How do I activate forced repetitions for a branch on the knowledge tree?
Answer:

  1. Select the branch in Contents
  2. Choose Learning : Review on the Process Branch menu

Use Ctrl+] and Ctrl+[ to change the size of the font
(Ben L Hines, Sat, Feb 16, 2002 0:26)
Question:
It would be nice to have a keyboard shortcut to grow and shrink the font
Answer:
Use Ctrl+] and Ctrl+[ to change the size of the font. See also the table of shortcuts in the documentation for other useful combinations

Launching new browser with Open In New Window
(Beta, Feb 15, 2002)
Question:
When I choose Open In New Window over hyperlinks, SuperMemo always opens the page in the same browser. This makes it impossible to open a couple of articles at once. Could you please change that?
Answer:
This behavior depends on the settings in your browser. To change it, choose Tools : Internet Options : Advanced in Internet Explorer and then uncheck Reuse windows for launching shortcuts

Proliferating images in incremental reading
(Beta February ..., February 2002)
Question:
Images do not proliferate in HTML-based incremental reading. Why?
Answer:
Because they are part of the HTML contents. If you miss them on an extract they will not be included. To remedy that click Copy over the image on the browser menu (Edit : Browser menu in case your SuperMemo menu pops up). Press Esc to make sure you are not pasting back to the HTML component. Paste the image from the clipboard to create a separate image component. This component will proliferate in incremental reading to provide your texts with context

Proliferating remote images in incremental reading
Question:
Storing pictures on remote servers is a great idea but they do not proliferate as in SM2000. Can I have proliferating pictures in image components and still keep them on the remote server?
Answer:
You can have remote pictures proliferate in incremental reading, but you will not use image components for that purpose. Instead, define an additional HTML component and paste the picture from the main text to the newly added HTML field. That field will proliferate in incremental reading and the picture will still be loaded from the remote server

Wrong highlight on Extract
(Beta, Wed, Feb 27, 2002 17:14)
Question:
When I select text and click the "extract and memorize" button on the Read toolbar, sometimes the text is not marked with color. It is extracted, however
Answer:
This is a know problem in SuperMemo 2002. This problem occurs more frequently in rich articles that include tables, multimedia, or remote pictures. Please experiment with HTML filters to resolve this problem in most cases. SuperMemo alleviates the trouble by detecting cases where the document does not load entirely. A prompt message is displayed: "Wait until document loads"

Learning : Review does not work
(Beta, Marcus, Brazil, Sat, Mar 23, 2002 18:46)
Question:
I created some extracts and tried to work with them by choosing Contents : Process branch : Learning : Review. Unfortunately it did not work. Why?
Answer:
Review will consider all elements except dismissed elements and those elements that have already been processed on this particular day. The latter condition makes sure that you can do a comprehensive review in various subsets without duplicating your work on a given day. If you return to the same branch on the next day, the mid-interval review will be possible again

Marking extract with source references
(Beta, 2/27/02 10:33:56 PM)
Question:
How does reference tracking work?
Answer:
Choose options from the Reference menu in the source article to tag the title, author, date, etc. Those tags will then propagate at the bottom of each extract and cloze. Use Ctrl+Shift+F3 to quickly see the reference in longer extracts. Click reference hyperlinks (only in HTML articles) to go to the source or parent elements

One character selections in cloze
(Beta, Rob, Sun, Feb 17, 2002 14:27)
Question:
Why is the last character selected when extracting a cloze?
Answer:
On one hand it indicates which keyword has just been processed, on the other, selections make it possible to use Enter to move to the next element in repetitions

Enter on selections resumes repetitions
(Beta, Sean, Australia, Fri, Feb 22, 2002 15:46)
Question:
It is annoying when I select some text in RTF or HTML component and press Enter. Instead of putting a new line, SuperMemo automatically begins repetitions
Answer:
This behavior is by design. Enter is your default key used when progressing through the learning cycle. After choosing Cloze or Extract, Enter does not replace the selection in the editor. Instead, it makes it possible to continue the repetitions. Although using Del and Enter instead of just Enter in these circumstances may seem non-standard, you will quickly find this key indispensable in learning. Situations when you use Enter on a selection for editing are by two orders of magnitude less frequent than the typical situation when you proceed with repetitions after using incremental reading tools

Creating cloze deletions contributes to the learning process
(Luis, Brazil, Monday, December 18, 2000 9:05 PM)
Question:
Do you think it is possible to develop a routine to automatically create cloze deletions from a given extract?
Answer:
Even with a dose of artificial intelligence, such a routine would not be of much use due to semantic redundancy and quite a bit of effort that needs to be put in reformulating texts in incremental reading. More importantly, spotting keywords for cloze deletions is the first step in committing the learning material to memory. Eliminating this step would negatively affect learning. Last but not last, converting text to quality cloze deletions is the best part of incremental reading that adds spice to learning and builds motivation. Automatic cloze generator would thus align itself with quick-fix tolls (such as sleeping pills, caffeine pills, or diet pills)

Fastest way to change the current category
(Beta, Thursday, March 14, 2002 9:32 AM)
Question:
What is the fastest way to change the current category?
Answer:
You can use Ctrl+Alt+C shortcut or keep the Tools toolbar in view in your layout. In incremental reading, you are more likely to add all your material to your one "To Do" category that stays current all the time. Then you use Category combo in Element Parameters (Ctrl+Shift+P) to incrementally move items to target categories once the items have been completed

Problems with Cloze
(Beta, Mohammad, Pakistan, Thursday, February 28, 2002 4:02 PM)
Question:
1. I have a topic "With cloze you AUTOMATICALLY generate answers" 2. I select Cloze 3. I get: Q: With [...] you AUTOMATICALLY generate answers - [...] (RED) A: Cloze
Answer:
Probably you have applied Cloze twice. The second time it was executed on an item that was a cloze question itself

A-Factors and text length
(Beta, Sat, Mar 16, 2002 8:11)
Question:
If I have read a paragraph from an article and set a read-point, will SuperMemo automatically modify element's A-factor with a new value (i.e. the length of the whole article minus the length of the paragraph I have just read)
Answer:
No. Text length is only used to heuristically propose an A-Factor at import time to free the user from the need to think about A-Factors. The "intensity of reading" will provide a way of prioritizing on its own: the faster you read, the lesser the chance your article will drift to remote intervals. However, once you use Ctrl+Shift+R or Ctrl+J to reschedule the article (e.g. if its interval increases too fast), SuperMemo will notice that action and adjust A-Factor accordingly. Naturally, there is no hard science behind those adjustments. They have been worked out by trial and error. It is also up to the user to get "the feel" of incremental reading to truly understand the consequences of reading vs. postponing a given piece of material

A-Factors of extracted elements will differ
(SuperMemo R&D (Beta), Tue, Apr 09, 2002 12:13)
Question:
I extracted some texts using Remember extract a couple of times and each time A-factors were different
Answer:
A-Factors are basically derived from the length of the text. Long articles will get a very low A-Factor (e.g. 1.1) while short extracts will get a high A-Factor (e.g. 2.9). A-Factor will also be slightly modified depending on the length of the first interval. As intervals are always slightly different from the optimum interval, A-Factors will also differ slightly. For more, read about interval dispersion in the discussion of SuperMemo Algorithm (for example, see Random dispersal of optimal intervals section here)

Some HTML files are kept as plain text in registry
(Beta, Romania, Feb 17, 2002)
Question:
I have some HTML component texts that I tried to located on my hard disk with "Find in file". But some files cannot be found. Why?
Answer:
HTML texts that include no formatting are converted to plain text to save space. These are not kept as HTML files but are part of the text registry only. You will not find them with "Find in file" unless you search through registry files

"To Do" Extract
(Beta, Sweden, Sun, Feb 17, 2002 14:27)
Question:
I would like to see the option: "To Do Extract"
Answer:
All article extract procedures can be considered "To Do". Only the prioritization method differs. You can prioritize via the pending queue, via the learning process or via a tasklist. In the pending queue, extracts are processed FCFS (first come first served). On tasklists, extracts can be prioritized by value/time ratio. However, the best way of prioritizing article extract is via incremental reading (Remember extract). Only this method provides for dynamic prioritization, i.e. extracts are methodically reprioritized depending on the progress and outcome of reading

Customizing cloze font
(Beta, 2/27/02 10:17:58 PM)
Question:
Is there a way to customize the font used to mark text taken out for cloze deletions?
Answer:
You could define a default template for the category in question and check Auto-Apply for that category. If your template uses plain-texts, you can affect the font used for questions and answer in cloze deletions

Default word processor
(Beta, Mon, Feb 25, 2002 18:22)
Question:
On the Read toolbar, Default word processor button is not responding
Answer:
You need to have an Edit association created in your Windows registry for the file format of the currently selected component. If there is no association, the command will be ignored. Rich text components are usually associated with MS Word while HTML components often carry no association. If you associate HTML extensions with your favorite HTML editor (e.g. FrontPage, Dreamweaver, etc.) this button can be used to fine-edit your HTML files. This can come handy on files that are handled poorly by MSHTML editor incorporated in SuperMemo

E-mail element titles
(Beta, Maxim, Tuesday, February 12, 2002 6:30 AM)
Question:
When I import e-mails to SuperMemo, I often get ugly titles like this:
>>> >>> -----Original Message----- >>> From: MZ [mailto:lw7@poczta.onet.pl]
Answer:
This will happen if you use Ctrl+Alt+N (for article import) instead of Ctrl+Alt+E (dedicated for e-mail import)

You can automate generating simple question-answer elements
(Danielle Kugler, Wednesday, October 24, 2001 11:56 AM )
Question:
My primary use of SuperMemo has been for learning Chinese, which means I add 100-150 words at a time (vocabulary lists). Is there any way to do this in a list format rather than individually generating every card?
Answer:
If you combine the use of Alt+A (add a new item) with Esc (moving between question answer fields), you may discover that SuperMemo is actually the fastest way of adding new material (only one extra keystroke per field plus one keystroke per item - no mouse operations).

If you already have your lists available as text, the fastest method might be to use incremental reading tools:

  1. Use Ctrl+Alt+N to paste the text into a new element
  2. Select individual pairs and choose Remember extract on the Read toolbar
  3. During the review, choose Remember cloze on each pair depending on the priority and availability of time. This method has an added advantages of picking up lots of phrases already at the review stage. See also: Incremental reading

Finally, you can prepare a text file containing question-and-answer pairs like the ones presented below. You can import such a file to SuperMemo with File : Tools : Import : Q&A text option (Ctrl+Shift+E):

Q: Who was the Italian pre-Renaissance painter that painted "Christ Entering Jerusalem"?
A: Duccio Di Buoninsegna

Q: When did Duccio Di Buoninsegna live?
A: 1255-1318

Q: Of which nationality was Duccio Di Buoninsegna?
A: Italian

Q: Where does "Christ Entering Jerusalem" by Duccio Di Buoninsegna hang?
A: Cathedral Museum in Siena

Q: Which school was Duccio Di Buoninsegna from?
A: Sienese, Pre-Renaissance

Q: What was one of the famous paintings by Duccio Di Buoninsegna?
A: Christ Entering Jerusalem

Cloze deletions are meant to be born via incremental reading
(bennnyz15, Tuesday, November 06, 2001 2:14 PM)
Question:
I wish SuperMemo would automatically remove the parent of cloze deletions from the testing cycle. It doesn't make sense for the parent to be thrown in into the testing cycle by default
Answer:
Removing the parent of cloze deletions would disable a vital component of incremental reading. Imagine you paste a valuable piece of information into SuperMemo. For example:

endocr: Angiotensin II causes the adrenal cortex to release aldosterone, and more water reabsorption means an increase in blood pressure

This piece will enter the review process. Once you decide the piece is important enough and you believe you are having a hazy recollection on its contents, you begin generating cloze deletions one by one. Perhaps you will generate only one cloze per review cycle! Ultimately, the above example may generate 9 individual cloze deletions (keywords marked brown). You will then dismiss the parent topic only after you are sure that the generated clozes convey all vital information you decided to remember. Cases were a single cloze is generated from a topic stand in minority. In addition, the cost of Dismiss is just a single key press (Ctrl+D). This is why dismissing parent topics by default is not provided even as an option

Incremental reading is superior to traditional reading in the long run
(SuperMemo R&D (Tech), Fri, Dec 07, 2001 7:42)
Question:
When I read, I usually read very fast through the article and one pass is usually enough. My impression is that I do not need incremental reading
Answer:

  1. In incremental reading you can read even faster. This is because you never have to worry that you skip an important part. If you are not sure you extract all important details from a piece, you just extract it and introduce it into a future review process. In the future, you will come back to that piece, by which time it may appear already irrelevant and will be deleted
  2. Memories are always subject to forgetting. Whatever valuable information you gather in incremental reading can be forgotten as much as anything else you learn. Pieces that would be retained without SuperMemo (e.g. through use), produce minimum workload. Other pieces will allow you to never need to come back to the article in question again. In conclusion, all knowledge that you need in the long-run, should be best acquired via incremental reading. Traditional reading can still be used for entertainment, temporary knowledge (e.g. how to install a sound board), curiosity (e.g. news), etc.

Reading lists vs. incremental reading
(L.B., USA, Thursday, January 10, 2002 11:39 PM)
Question:
SuperMemo supports two distinct reading schemes: priority based and incremental. What is your view on the optimum balance?
Answer:
This dichotomy comes from the need to bridge two worlds: the world of knowledge acquisition and the world of knowledge retention. From the historical perspective, this translates to bridging traditional textbook learning with classical SuperMemo (i.e. pure spaced repetition based on active recall).

With classical SuperMemo, you would work with questions and answers and make sure you keep high retention levels. However, there is still enormous benefit from browsing, search and reading beyond that what can efficiently be stored in memory. Traditional reading produces dismal retention levels. Certainly below 5% for an avid high-volume reader. Still, without SuperMemo, people such as Bill Joy can build impressive bodies of knowledge in their brains.

SuperMemo 99 attempted to employ the concept of a tasklist to lay the first narrow bridge between these two worlds. On one hand, you would keep on reading. On the other, you would keep on making your repetition. In the middle, you would build a prioritized list of most valuable reading material that you would like to introduce to SuperMemo.

SuperMemo 2000 broadened the bridge with incremental reading. Between your high volume reading list and low volume repetition stream, you can do a middle volume incremental reading where priorities are adjusted as you keep on reading, while a constant stream of active recall material flows into the classical SuperMemo learning process. With SuperMemo 2000, you still need a reading list to make sure you do not pollute the learning process with a high volume of unprocessed material at the cost of retention. Your reading list is a stopcock that protects the retention of most valuable material.

However, SuperMemo 2002 is be armed with priority and content filtering tools that make it possible to add huge volumes of reading material into the incremental reading process without a substantial damage to knowledge retention. You can now fine-tune your daily learning to gradually reduce the flow of new creative reading, reschedule lower priority material and end the day with classical repetitions of the highest priority core knowledge. For experienced users, this practically obviates the reading lists. With filtering tools, you can now strike the optimum balance between the volume and retention and adjust this balance for all individual portions of the learning material depending on its priority

Dismiss should eliminate an element from the learning process
(Art Tsay, Thursday, November 08, 2001 3:11 PM)
Question:
I got an article by Ctrl+Alt+R. Read it, extract some items, and then dismiss it. But when I learn by pressing Ctrl+L, this original article still shows up
Answer:
Dismiss (Ctrl+D) should make sure you never see the article again in your learning process. If this repeats you might check if you do not accidentally return the article to the learning process with Remember, Drill, or some shortcut combination

Incremental reading is simpler and more efficient than it seems at first
(Eric Thompson, Tuesday, July 16, 2002 12:56 AM)
Question:
You recommend incremental reading for all sorts of text imports but copying and pasting hundreds of items is too much. Is there a way to get the import function to recognize a list?
Answer:
You can always convert your text file to a standard question-answer format and use File : Tools : Import : Q&A Text. However, incremental reading is always a better choice. It will take less time, leave your learning material in a better shape, and leave some memory traces while your prioritize individual pieces of knowledge. There is only one paste operation (the original one). The rest of processing (i.e. Alt+X and Alt+Z) is simultaneous with reading. Once you become fluent with incremental reading, you will also recognize that it is a combination of learning and fun. You will not want to return to dull import again

You can memorize en masse with negligible detriment to the learning process
(lawyer7, Wed, Oct 11, 2000 19:57)
Question:
If I promise myself to learn 30-50 items per day, I usually keep on learning for 7-10 days and then I say "I don't have time" or "I will learn more later", etc. I can find hundreds of excuses to not learn new material. To urge lazybones like me you should add an option which adds to every single day a number of "promised" items. Now I can do this by selecting memorize branch and then the reschedule option, but those items have intervals that are not equal to intervals of newly memorized items
Answer:
SuperMemo 2002 is insensitive to delays resulting from automatic memorization of a large number of items. You cannot harm the learning process using your method. You can always shorten the intervals with Ctrl+J (Jump Interval). With Postpone (Ctrl+Alt+P) you will also manage to resolve material overflow (at the cost of retention naturally). With these tools, all you need to focus on is learning and motivation. You do not have to worry about numbers or limits. If you thus reduce the stress load and manage to make learning more fun, your acquisition rate will benefit mainly by the fact that you will be willing to add extra minutes to your daily learning. It is also important to remember, that reduced retention may actually increase your acquisition rate. With sufficient concentration and good quality of the learning material, it is difficult to overload the learning process to the degree when the acquisition rate drops (i.e. when the forgetting index reaches beyond 30%)

Cloze deletions are easy
(Roger , Tuesday, May 06, 2003 10:24 AM)
Question:
I have tried to create cloze deletions. I cannot make the answer field work. After several e-mails back and forth I'm beginning to get rather frustrated
Answer:
Try these steps to get a better feel of cloze deletions in SuperMemo 2002:

  1. Copy any short text to clipboard
  2. Press Ctrl+Alt+N to paste the text to a new element in SuperMemo
  3. Select any keyword in the text (e.g. with the mouse)
  4. Press Alt+Z to generate a cloze deletion
  5. Press Alt+Left to move from the pasted text to the newly created cloze deletion (or click the < back button on the element toolbar)
  6. Press Ctrl+Shift+L to simulate a repetition (this should hide the answer)

The less time you have for learning, the more you will like SuperMemo
(LGN, Brazil, Thursday, June 28, 2001)
Question:
How to use SuperMemo to learning Math, Electronics, Biology and Chemistry, spending only 20 min. a day on these tasks? None of that subjects is a priority to me. How many days would I need for noticeable results?
Answer:
Import relevant articles to incremental reading and use Postpone on material that you do not manage to repeat within your 20 minutes. The visibility of your results will increase with time as is always the case with spaced repetition (and much less the case with unscheduled learning). With well-managed incremental reading, you will meet your time allocations, you will immediately notice a quick buildup of knowledge and, most of all, you will likely enjoy the process. However, incremental reading requires a number of knowledge processing skills that cannot be learned in a day

You can add reference information to your extracts
(louis_lheureux, Canada, Monday, November 18, 2002 3:05 PM)
Question:
I have recently downloaded the JavaScript collection, which presents incremental reading in action. I have noticed that extracts contain very useful reference information (in the pinkish color), which help recover the context of a given extract. What is the way to automatically proliferate reference information in my extracts?
Answer:
In a given article, before you create new extracts, select a text and then choose an appropriate option from the Reference submenu available in the HTML component menu. For example, for the #Title reference, select text, which is the title of a given article, paragraph, etc., and then choose Reference : Title (Alt+T) from the component menu

Incremental reading requires some experience
Question:
I do not know how to tackle this text in incremental reading. Any hints?

After the discovery of Pluto, it was quickly determined that Pluto was too small to account for the discrepancies in the orbits of the other planets. The search for Planet X continued but nothing was found. Nor is it likely that it ever will be: the discrepancies vanish if the mass of Neptune determined from the Voyager 2 encounter with Neptune is used. There is no tenth planet

Answer:
Here are some exemplary processing stages. Yours might be different. In the end, you can convert the cloze deletions into more direct and well-formulated questions-and-answers:

Extract 1: Pluto is too small to account for the discrepancies in the orbits of the other planets

  1. [...](planet) is too small to account for the discrepancies in the orbits of the other planets
  2. Pluto is too [...] to account for the discrepancies in the orbits of the other planets
  3. Pluto is too small to account for the [...] of the other planets
  4. Pluto is too small to account for the discrepancies in the orbits of [...]

Extract 2: Pluto was too small to account for the discrepancies in the orbits of the other planets. The search for Planet X continued but nothing was found

  1. Pluto was too small. The search for Planet X continued and [...] was found

Extract 3: Pluto was too small to account for the discrepancies in the orbits of the other planets. The discrepancies vanish if the mass of Neptune determined from the Voyager 2 encounter with Neptune is used

  1. Pluto was too small. The discrepancies [...] if the mass of Neptune determined from the Voyager 2 encounter is used
  2. Pluto was too small. The discrepancies vanish if the new [...] of Neptune is used
  3. Pluto was too small. The discrepancies vanish if the mass of [...] determined by the Voyager 2 is used
  4. Pluto was too small. The discrepancies vanish if the mass of Neptune determined from the [...] encounter with Neptune is used
  5. Pluto was too small. The discrepancies vanish if the mass determined from the Voyager 2 encounter with [...] is used

Extract 4: There is no tenth planet

  1. There [is/isn't] the tenth planet
  2. There is no [...]th planet

Copying material from a dictionary
(Rune, Norway, Monday, April 28, 2003 1:38 AM)
Question:
I copy word descriptions from the Collins Cobuilder dictionary and paste them into the answer field. It would be nice, if SuperMemo could create a new learning item and paste the description into the answer field. Now I first have to copy from Collins, create an new element, and paste into the answer field
Answer:
The best way to handle dictionary items is to paste the entire item to SuperMemo with Ctrl+Alt+N. Then extract individual definitions along with the headword with Alt+X. Finally, while learning individual definitions, create individual passive, active or detail items with Alt+Z

Here is an example of learning the meaning of the word trachea. Although there are 19 items on the output, not all these items are necessary to extract the basic meaning of the word. For that reason, the process can be executed incrementally. More specialized meaning can be refined in more advanced stages of learning.

  1. You start with the definition pasted from www.dictionary.com:

tra·che·a Audio pronunciation of "trachea" ( P ) Pronunciation Key (tr [image] [image] k [image] - [image])
n. pl. tra·che·ae (-k [image] - [image] [image]) or tra·che·as

  1. Anatomy. A thin-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs. Also called windpipe.
  2. Zoology. One of the internal respiratory tubes of insects and some other terrestrial arthropods.
  3. Botany. One of the tubular conductive vessels in the xylem of vascular plants.
  2. In SuperMemo, you clean up the definition to ensure only vital information is included:
trachea
  1. Anatomy. A thin-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs. Also called windpipe.
  2. Zoology. One of the internal respiratory tubes of insects and some other terrestrial arthropods.
  3. Botany. One of the tubular conductive vessels in the xylem of vascular plants.
  3. With Alt+X you generate three extracts:
trachea Anatomy. A thin-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs. Also called windpipe

trachea Zoology. One of the internal respiratory tubes of insects and some other terrestrial arthropods

trachea Botany. One of the tubular conductive vessels in the xylem of vascular plants

  4. The first extract will be processed with cloze deletions as follows:

trachea Anatomy. A thin-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs. Also called windpipe

  5. This will result in the following cloze items:
a cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs
trachea
trachea: A [thick/thin]-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs
thin (thickness is a relative concept and you may want to skip that property)
trachea: a [bony/cartilaginous/muscle/membranous] tube descending from the larynx to the bronchi
cartilaginous
trachea: A cartilaginous tube [descending/ascending] from the larynx
descending
trachea: A tube descending from the [...] to the bronchi
larynx
trachea: A tube descending from the larynx to the [...]
bronchi/lungs
trachea: A tube descending from the larynx to the bronchi and carrying [...] to the lungs
air
trachea: a tube carrying air to [...]
(the) lungs/bronchi
trachea: A tube carrying air to the lungs. Also called [...]
windpipe
  6. The final list of questions and answers will look as follows:

Q: a cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs
A: trachea

Q: trachea: A [thick/thin]-walled, cartilaginous tube descending from the larynx to the bronchi and carrying air to the lungs
A: thin

Q: trachea: a [bony/cartilaginous/muscle/membranous] tube descending from the larynx to the bronchi
A: cartilaginous

Q: trachea: A cartilaginous tube [descending/ascending] from the larynx
A: descending

Q: trachea: A tube descending from the[...] to the bronchi
A: larynx

Q: trachea: A tube descending from the larynx to the[...]
A: bronchi/lungs

Q: trachea: A tube descending from the larynx to the bronchi and carrying[...] to the lungs
A: air

Q: trachea: a tube carrying air to [...]
A: (the) lungs/bronchi

Q: trachea: A tube carrying air to the lungs. Also called [...]
A: windpipe

Q: zool: [...]: one of the internal respiratory tubes of insects and some other terrestrial arthropods
A: trachea

Q: zool: trachea: one of the internal[...](function) tubes of insects and some other terrestrial arthropods
A: respiratory

Q: zool: trachea: one of the internal respiratory tubes of[...](main animal group) and some other terrestrial arthropods
A: insects

Q: zool: trachea: one of the internal respiratory tubes of insects and some other [aquatic/terrestrial] arthropods
A: terrestrial

Q: zool: trachea: one of the internal respiratory tubes of insects and some other terrestrial [...](phylum)
A: arthropods

Q: bot: trachea: one of the[...] in the xylem of vascular plants
A: (tubular conductive) vessels

Q: bot: trachea: one of the tubular conductive vessels in the[...](tissue) of vascular plants
A: xylem

Q: bot: trachea: one of the tubular conductive vessels in the xylem of[...](division) plants
A: vascular

Q: trachea: one of the tubular conductive vessels in vascular [plants/animals]
A: plants

Q: bot: [...]: one of the tubular conductive vessels in the xylem of vascular plants
A: trachea

Complex physics posing problems to incremental reading
(anonymous , Wednesday, June 11, 2003 2:24 PM)
Question:
I think incremental reading is either very difficult or impossible to use when learning some complex concepts of physics. For example, I have the following text about the Earth and the Sun, how would you handle this with incremental reading?

The Earth is moving very very slowly away from the Sun. This happens for two reasons. The first is that the Sun is constantly losing mass because of the solar wind. As the mass of the Sun decreases its pull on the Earth decreases and so the Earth moves slightly further away. The second reason is to do with tidal forces. In exactly the same way that the Moon is slowly moving away from the Earth, the Earth is very slowly moving away from the Sun. In the Earth-Moon case the Moon pulls on the Earth creating tides and slowing the Earth’s rotation very slightly, making the day longer. This action has a reaction - the Moons orbit is speeded up. If something travels faster it must move outwards to remain in an orbit and so the Moon slowly drifts away from us at a rate of 3.8 centimeters per year. The same situation happens with the Sun but the Earth’s influence on the Sun is much smaller than the Moon’s influence on the Earth. The result is the Earth’s tiny tiny drift away from the Sun

Answer:
Complex physics is no harder than other subjects in incremental reading. All you need is either an encyclopedic text or some editorial effort to dismantle some more elaborate prose. In your example you encounter two typical obstacles:

  1. Implicit enumeration. The text mentions two reasons why the Earth moves away from the Sun but it does not name them in an explicit sentence. You need to read the entire passage to find out the second reason.
  2. Explaining by analogy. The effect of tidal forces on the Sun is explained by describing similar forces created by the Moon. You cannot extract the "second reason" without including and understanding the "Moon example context".

Some authors make incremental reading very difficult by assuming a great deal of knowledge on the part of the reader or, as it is the case here, loading student's working memory with a great deal of data rather than building knowledge gradually (i.e. from the ground up).

Here is how your text would be handled with incremental reading (note the editorial effort as well as the need to entirely rephrase one of the sentences):

  • progress of the incremental reading process
  • resultant questions and answers

Incremental reading is a reading management technique
(Andy H., Poland, Tuesday, July 16, 2002 11:30 PM)
Question:
If it takes a year to pass a 3-page article in incremental reading, should you not rename it from speed-reading to snail-reading?
Answer:
 Incremental reading is all you want it to be. It can be speed-reading, cram-reading, or mass-reading. It all depends on the priority criteria which you choose. For that reasons, it would be best described as a reading management technique. On one hand, you can speed-read articles faster than in conventional speed reading and yet leave vital paragraphs for future review. On the other hand, you can meticulously dismantle individual paragraphs and convert them into classical questions-answer knowledge that will stay with your for ever. In addition, you can freely manipulate the volume of the material flowing into the reading/learning process. You can focus on a hundred most important articles or you can opt for thousands. Naturally, in the latter case, your time allocation for individual articles will be minute. For example, if you import 10,000 articles to SuperMemo, you might end up with 50,000 to 100,000 extracts within a year of 1-hour daily reading. In such circumstances, low priority articles will indeed linger for months in the process. Naturally, this is exactly the purpose of incremental reading: focus on what is important without neglecting anything that falls within your area of interest. If your focus changes, you can use search and navigation tools to speed up the review of most important portions of your reading material

Who invented incremental reading?
(Robert, Poland, Jul 28, 2003)
Question:
Who invented incremental reading?
Answer:
The name incremental reading first appeared in SuperMemo 2000. However, the concept is not new. It originated from combining our natural reading habits with the demands of spaced repetition (SuperMemo). We rarely pick up a book and read it cover-to-cover in one go. At school we often dig through a number textbooks used for different courses. At home we stop reading a book to read a newspaper and then stop reading the newspaper to watch TV. A combination of needs and interests determines how far we go with the reading of an individual text. SuperMemo drives this concept to an extreme by letting you read just one sentence from one chapter from one book and then go on to reading extracts from a thousand other books or articles. SuperMemo's contribution here is only the management of this multi-source reading process. As for the creative aspect of incremental reading, Niels Bohr is known to have used the power of intermitted reading and thinking for the sake of maximum creative productivity. He would keep dozens of shelves with outlines of ideas. He would return to individual shelves from time to time, esp. if he was inspired by a conversation, thinking, experiment or reading. He would then keep reading a single shelf, adding new notes, thinking, etc. Many of those shelves ended up as scientific publications. In that sense, Niels Bohr employed rudimentary incremental reading in his creative work.

The approach used in incremental reading is widely employed by many creative individuals. Even if it is far less formal that incremental reading or even Bohr's approach. One of the most creative neuroscientists of the present day, Prof. Michael Gazzaniga put it this way: "I think the creative process is directly related to the amount of time one spends mulling something over. I come back and revisit ideas, data, thoughts, all the time. I think this keeps key semantic networks active and then "bingo" an inconsistency or consistency suddenly presents itself to consciousness and the beginnings of a new idea appear"

In incremental reading, you do not need to read articles in their entirety
(Achab, Thursday, May 06, 2004 10:28 PM)
Question:
I still haven't understood well how incremental reading works. How can you read tens of articles in parallel and acquire the general idea behind each of them if you don’t (firstly) read those articles in their entirety?
Answer:
A well-written article will often let you get the basic idea from its first paragraph or even a sentence. Incremental reading is best suited for articles written in hypertext or in an encyclopedic manner. Ideally, each sentence you read has a contribution to your knowledge and is not useless without the sentences that follow.

When learning at the university, you do many courses in parallel. That's a macro version of incremental reading. Many people love to zap TV channels and play a chaotic version of incremental reading with their TV set. Zapping may not be a recommended way of learning, but it won't leave your mind blank. Another example can be seen in people who have a habit of reading a few novels in parallel. Their limit on the number of novels comes from the limits of human memory. There is a breaking point beyond which a novel, if read in bursts separated by longer intervals, cannot be followed due to fading memories. Incremental reading is based on SuperMemo, and by definition is far less limited by your forgetful memory. The number of articles in the process can reach a hundred thousand, and given basic skills, you will still not be left confused.

Imagine that you would like to learn a few things about Gamal Abdel Nasser. You could, for example, import an article about Nasser from www.wikipedia.com. In the first sentence you will find out that "Gamal Abdel Nasser (1918 - 1970) was the second President of Egypt". If you are new to Nasser, you may be happy to just know he was the Egyptian president and safely jump to reading other articles. Thus you may delay the encounter with the historic role of Nasser and economize some time to finding out, for example, who Shimon Peres is. When you see the Nasser article for the second time, you might find that "He followed by after President Muhammad Naguib and can be considered one of the most important Arab leaders in history". This piece of knowledge is also self-contained and you can patiently wait for your third encounter with Nasser. When you return the next time, you may conclude that another piece about Nasser is of lower priority: "Nasser was born in Alexandria". You can schedule the review of that piece in 2-3 years. Perhaps your interest in Nasser or in Alexandria will grow to the point that this knowledge will become relevant. If not, you can always dismiss or delete such an extract. Alternatively, you can skip a few paragraphs and extract a more important sentence: "In 1952, Nasser led the military coup against King Farouk I of Egypt". Even if your read individual sentences about Nasser in intervals lasting months, your knowledge will progressively expand and will become increasingly consolidated (esp. if you employ cloze deletions, which are mandatory for longer intervals).

Naturally, not all texts are are so well-suited for incremental reading. For example, a research paper may throw at you a detailed description of methods and leave results and conclusions for the end. In such cases, you may extract the abstract and delay the body of the paper by a period in which you believe the abstract will have been sufficiently processed. Then, if you are still interested in the article, you can schedule the methods well into the future (you will or will not read the methods depending on the conclusions of the article). You can schedule the results and the discussion into a less remote point in time, and proceed with reading the conclusions.

The hardest texts may not be suitable to reading in increments. For example, a piece of software code may need to be analyzed in its entirety before it reveals any useful meaning. In such cases, when the text (here the code) comes up in the incremental reading process, analyze it and verbalize your conclusions. The conclusions can then be processed incrementally. You will generate individual cloze deletions depending on which keywords you consider important and which become volatile. The original computer code can be still retained in your collection as reference only.

Unlike classic SuperMemo, incremental reading requires quite a lot of experience and training before it becomes effective. However, your investment will be returned manifold once you become proficient with the method

Importance of derivation steps
(Gundam Fool, Wednesday, March 27, 2002 5:44 AM)
Question:
I was wondering if it was important to commit the derivation of formulas into memory. For example, the steps to get from formula A to formula B
Answer:
It depends on your goals. If you only need the final formula, time spent on learning the derivation steps could be better spent learning other important material. If you are not sure today what you will need in the future, you could just type in the whole derivation into a single topic and memorize the final formula. Later, in incremental reading, you will make incremental decisions whether portions of the derivation are or are not important in your work or further learning. This piece of knowledge will compete with others in the learning process and in the long term you may ultimately decide if you want to memorize the details, keep them for passive review only, dismiss/delete some of the steps or dismiss the entire derivation as redundant (or too costly to learn). Naturally, derivation will often enhance your ability to efficiently use the formula. Hence the decision is never easy

Importing an article to SuperMemo
(Ngoi, Singapore, Thursday, August 01, 2002 4:36 PM)
Question:
How do I import a short article in order for it to refresh my memory every day?
Answer:

  • You can paste the article with Ctrl+Alt+N
  • SuperMemo never uses a daily review. Unless you override it manually, all review occurs in increasing intervals
  • You should not review whole articles. Instead, use incremental reading to split articles into manageable portions

Not all texts are suitable for incremental reading
(Sales, Thursday, June 27, 2002 12:48 AM)
Question:
I tried to process the following fragment with incremental reading and have no idea how to bite it! Are all texts suitable for incremental reading?

Intelligence as processing power: the raw nimbleness and agility of the human mind. When you see a smart student quickly learn new things, think logically, solve puzzles and show uncanny wit, you may say: This guy is really intelligent! See how fast his brain reacts! The student has a fast processor installed and his RAM has a lightning access time. He may though still need a couple of years to "build" good software through years of study. IQ tests attempt to measure this sort of intelligence in abstraction of knowledge. The difficulty of improving processing power by training comes for similar reasons as the fact that programming cannot speed up the processor

Answer:
Not all texts are suitable or easy to process with incremental reading. You will not want to process a literary novel with incremental reading. You may still prefer to read it on paper in a bathtub. Examples of texts that are difficult to process are: flowery materials, materials rich in explanations and metaphors, programming code, case studies, mathematical derivations, experimental research documentation, etc. Incremental reading is easiest for encyclopedic materials. Materials that are not suitable will often include a valuable message; however, you may be often better off by phrasing it on your own and processing your summary with incremental reading. For example, you would not want to memorize the Linux source code. However, you could find some specific facts or regularities in the code, describe them shortly and then learn the description incrementally (perhaps with snippet code illustrations). The above text is metaphorical. It reiterates the same message a few times using different words in an attempt to find a metaphor that will strike a cord with the reader. Consequently, it is enough you extract only the core message. For example:

Intelligence as processing power: IQ tests attempt to measure this sort of intelligence in abstraction of knowledge

You could also add:

Intelligence as processing power: The difficulty of improving processing power by training comes for similar reasons as the fact that programming cannot speed up the processor

Once you learn the above 6 cloze deletions, you will most likely be able to recall that it should be very difficult to train for an improved score in an ideally designed IQ test. Incidentally, no test is ideal and improvement is always possible

You can easily mark the context of extracts in incremental reading
(Louis L'Heureux, MonNov18,2002 8:58 am)
Question:
How do I add the context in the extracted topics (similar to this in JavaScript Tutorial collection)?
Answer:
Follow these rules to see it by example:

  1. Import an HTML article (e.g. with Ctrl+Alt+N)
  2. Select the title of the article in the text (e.g. with the mouse)
  3. Choose Reference : Title from the HTML component menu or press Alt+T. The title should be highlighted and preceded with the #Title: label
  4. Select the first paragraph
  5. Extract the paragraph (e.g. with Alt+X)
  6. Use Back to go back to the extract (e.g. with Alt+Left)
  7. See the bottom of the extract. Pinkish reference should have been appended

Incremental reading may be a remedy against the monotony of repetitions
(Roel Camorro, Philippines, Tuesday, June 18, 2002 3:54 PM)
Question:
SuperMemo has helped me a lot in systematically memorizing definitions in my legal studies. But can we find a way to make it more attractive say, by adding more graphics, etc?
Answer:
If you have not tried incremental reading yet, you could try and see if this can add to "attractiveness". Incremental reading is by far more challenging and colorful than typical repetitions. Naturally, you can also import there graphic rich material to make learning more enjoyable

Incremental reading should suit your perfectionist nature
(KaHa, Poland, Jul 04, 2003)
Question:
I am a perfectionist. I have a problem with the chaos of incremental reading. I tried the method and find it difficult to reconcile with a number of its rules such as incremental improvement of cloze deletions. I do not like the idea of leaving badly formulated clozes behind while I jump onto new material.
Answer:
If you give incremental reading a more determined try, you will understand that the opposite is true. Your perfectionist nature should accept the overriding rule: maximum quality knowledge at minimum time. It is not the beauty of clozes in your collection that counts, but the beauty of knowledge in your mind. For a skillful student, incremental reading is based on a set of perfectly-formed strict and rigid rules that guarantee the maximum speed of knowledge acquisition. It is true that some of these rules can make you uneasy at first. If you see a sentence that qualifies for a cloze, the rule is: execute the cloze deletion and defer worrying about its exact formulation to its first repetition. Why? Because the mere choice of the cloze keyword will leave sufficient traces in your memory to qualify as a repetition. In such circumstances, perfecting the formulation of the cloze will become art for art's stake. A higher level rule is: minimum work for maximum memory effect. Therefore, you will improve the formulation of the cloze as soon as you proceed with the first repetition. And again, you will do only as much work as it is necessary to successfully complete a single repetition act. Again you defer your attention to details and frills. Ultimately, your cloze will become perfectly formulated, perfectly prioritized and perfectly placed in your knowledge tree. Alternatively, it will be deleted or left lingering in your "to do" subsets. It is the perfect rules of incremental reading and the perfect learning results that should feed your perfectionist needs, not the perfect "look" of your learning material.

Many people tend to hold the world wide web in contempt calling it the "human information garbage dump". This attitude makes it hard to utilize the web as the "goldmine of human knowledge". Tim Berners-Lee created "perfect rules" (html, http) for knowledge dissemination by the populace. We can adapt our own "perfect rules" for mining the web. Incremental reading uses "perfect rules" to convert web data into golden knowledge. As a perfectionist, you should not worry about the chaos of the web or chaos of your collection. What really matters is the perfect golden end-result: wisdom

Finally, if you still cannot live with imperfectly formulated clozes, nothing prevents formulating them perfectly. You will learn at a slower speed, but the formulations may be more satisfying to your perception

Incremental reading may need some tweaking before it starts working for you
(steven kwong, United Kingdom, Tuesday, August 05, 2003 12:33 AM)
Question:
What I can do if I want to import this site and break it down into terms: http://developer.java.sun.com/developer/onlineTraining/JSPIntro/contents.html
How can I produce a reasonable repetition using the content window!
Answer:

  1. Start from getting to know incremental reading
  2. Your primary trick here is to "import as you read", i.e. do not import "wholesale". Go from page to page as you would normally do without SuperMemo. Select portions of text, copy to clipboard, and import them to SuperMemo with Ctrl+Alt+N
  3. As for the contents window, it should not be of much concern while learning. Focus on building a healthy structure in your memory. Building a table of contents is time-consuming and does not help you much in the learning process itself. Remember that in SuperMemo, retrieval of knowledge from your collection is of lesser concern. You are supposed to retrieve it from your own memory!

Cloze deletion may, but does not have to use the default template
(Michael Butler, Sun Jan 18, 2004 5:05 am)
Question:
When I import an article to a specific branch, and I extract sentences for cloze questions, it asks if I wish to us a particular template every time. Is there a way to bypass this?
Answer:
Yes. Use Search : Categories to inspect the category to which you imported the article and uncheck Auto-Apply

Important pictures should best be kept in image components
(Stanley Ross, Jun 01, 2004, 04:28:47)
Question:
I would like to cut and paste an photograph into a SuperMemo question. But SuperMemo does not recognize the paste function when I go to paste it
Answer:
Instead of pasting the picture into the question component, paste the picture into the element (e.g. press Esc a few time to shift focus from the component to the element and press Ctrl+V to paste). Not all components can accept pictures (e.g. plain text or RTF text components display only text). In addition, having pictures pasted into an image component makes it easy to resize, place, or move the image, as well as to change its attributes such as stretch, transparency, display time (e.g. at answer time only), etc. HTML components can keep remote pictures stored on the web but, naturally, you lose them once the picture is removed from the remote server

Before you terminate a source article move its child items to their target categories first (#208)
(Ahmet Karahan, Wednesday, December 25, 2002 10:40 PM)
Question:
Is there an easy way to delete all dismissed articles from a category or from a branch without deleting the items that I generated?
Answer:
The recommended strategy is to move the generated items to their target categories first and only then delete their source extracts/articles. When you move the last child item of a given extract/article to its target category, SuperMemo will take you to this source extract/article and display the following message: "Warning! The last child of the displayed element has been moved or deleted." You can then safely terminate its existence in your collection by choosing Learning : Done (Shift+Ctrl+Enter) from the element menu

Highlight and read-point
(Terje A. Tonsberg, 18/06/2002)
Question:
If one applies the highlighter font the component ends up in edit mode and does not leave this mode
Answer:
Highlighting texts automatically sets the read-point. Use Clear read-point to remove the read-point (Ctrl+Shift+F7)

SuperMemo does not show the answer after using cloze deletion
(SCOTT W., Jun 30, 2004, 17:55:05)
Question:
I started using cloze deletion but when I click Learn, it doesn't ask me a question. Instead I get the full statement with the cloze deletion part highlighted. At the bottom of the screen I have the option: Next Repetition
Answer:
There might be three explanations:

  1. you are using the cloze command on an item, instead on a topic
  2. you are viewing the parent topic, not the cloze deletion item
  3. your cloze deletion has been mistakenly converted to a topic

It often happens that users mistakenly use cloze on items, instead of using it on topics (e.g. source material for cloze should rather be added with Alt+N instead of Alt+A or Add new). This makes A quite likely. However, Next Repetition indicates that you might have been presented a topic (i.e. the grading step was skipped). If so, B or C are also likely. In neither case would SuperMemo "ask the question", but if C was the case, the answer would appear along the question on the screen. In addition, in C, the keyword would not be highlighted but replaced with three dots

Remedies:

A. If A is the case, do not use Add new to add the material for cloze deletion. Use Alt+N to type in new material or Ctrl+Alt+N to paste it from the clipboard

B. If B is the case (i.e. you are viewing the parent topic), you can press Ctrl+D and dismiss the topic (assuming you do not want to create any more cloze deletions)

C. If C is the case (i.e. you converted cloze item to a topic), press Ctrl+Shift+P and choose Element type : Item

For learning to be efficient, cloze deletions must be as simple as possible
(Kentaroh Takagaki, Japan, Mon, Jul 08, 2002 11:14)
Question:
When I generate cloze deletion elements from imported HTML articles, the element always displays the head of the HTML article, even if the cloze quoted passage is way down in the article
Answer:
Before you apply Cloze in SuperMemo, you should make sure that the parent passage or statement is as simple as possible. Rarely it would go beyond a short sentence. This is why there are no read-points in cloze deletions. Unlike topics/articles, cloze deletions are supposed to generate an active recall repetition. For that to be effective, cloze deletions must exclude all material, text, individual words or punctuation that is not vital for understanding the question See: 20 rules of formulating knowledge

Use incremental reading for quickly adding new material without learning it
(Janusz Batkowski, Poland, Monday, July 29, 2002 3:34 PM)
Question:
I usually add a large number of items and then 'remember' them in several portions (e.g. after my English lesson). I add many items but don't want to remember all of them at once
Answer:
The simplest way to accomplish your goal is to simply type your material into a single note element (Alt+N). Once the review of the material comes up, you can extract most important portions of this material (Alt+X). Once you decide it is time to remember individual portions, use cloze to introduce them into the learning process (Alt+Z). This process is by far more efficient than the use of the pending queue (as in older SuperMemos) in ways of prioritizing the learning material and gradually establishing memory traces

Use "Done" to delete processed articles and save space
(Terje A. Tonsberg , Saturday, May 24, 2003 11:57 AM)
Question:
I would like to see the ability to delete articles without deleting the items derived from them
Answer:
Use Learning : Done on the element menu (Ctrl+Shift+Enter). Done deletes the article, repetition history, components, etc. However, it leaves the original empty element as a source of reference and as a holder of the derived structure of extracts and cloze deletions

Cloze deletion does not create the answer
(Phil Hamilton , Wednesday, January 14, 2004 8:41 PM)
Question:
Sometimes pressing Alt+Z shades the selected keyword but does not insert a [...] or the keyword in the answer field
Answer:
When you press Alt+Z, the currently selected keyword in the current topic is shaded. The newly created item is not visible (i.e. you will not immediately see the answer not the deletion brackets). You can see the newly created item by pressing Alt+Left. Remember that you should use topics to generate new cloze deletions (e.g. use Alt+N to type new material or Ctrl+Alt+N to paste it)

Problems with cloze
(John R. Paddock , USA Educational, Monday, January 26, 2004 7:43 PM)
Question:
Problem: when we use the cloze commands, and then hit the Learn button, we get: (a) a sentence with the 'clozed' word darkened but visible; (b) the 'clozed' word by itself on a subsequent repetition; (c) the 'clozed' sentence with the target word removed. What are we doing incorrectly?
Answer:

  1. First you need to write a complete sentence into a topic; i.e. not item
  2. Then you need to use Alt+Z (generate cloze) on individual keywords; i.e. not Alt+X (extract topic)
  3. Once you generate all cloze deletions, dismiss the original topic (from Point 1); otherwise, it will show up during repetitions

All topics will be deleted with Done in the end
(Jerry Ast, Poland, Thursday, August 12, 2004 12:05 AM)
Question:
Should Done be performed on the topics generated by Alt+X in the same way as it is performed on the original source article? Should it be all the way down till you encounter items only and leave them "abandoned" in the learning process?
Answer:
Done (Ctrl+Shift+Enter) is executed at the moment when you believe you have completed reading and processing a given piece of text. In the case of the original source article, this usually means skipping all unimportant parts and extracting all important parts of the article. You repeat Done on all topic extracts generated from the article. At the lowest level, short extracts are used for generating cloze deletions. Once you believe your cloze deletions cover all vital keywords of the statement that forms the topic, you execute Done again. In the end, only cloze items remain in the process.
Note that the process of descending from the source article to individual clozes may take years. The whole process is incremental and is paced by the declining traces of memory. A single cloze generated from a short sentence often allows of retaining good memory of the entire statement for months. Except for mission-critical pieces of information, you do not execute cloze deletions on all keywords until individual keywords raise questions as to whether they can be recalled individually

Topic texts are expendable in incremental reading
(Paul Klonowski, Non-Profit Organisation, Jul 02, 2004, 16:57:38)
Question:
After selecting and choosing text in an article (Alt+X), the selected text is highlighted. How do I get rid of this highlighting in the original afterwards?
Answer:
The underlying assumption is that you gradually convert your texts into learning material. The original text is gradually consumed and then deleted as no longer needed. For that reason, there is no checkbox for preventing the highlights. You will later notice, these play a vital function in processing the learning material. If you need to retain the original text for reasons other than learning, you could do either:

  • save the original file in an archive (e.g. with Component menu : Edit : Save file or Ctrl+Alt+S)
  • select the text and choose color on the Format toolbar to restore the original background color (note that it is rare for the original text to be left unedited in correctly executed incremental reading)


FAQ: Reselling SuperMemo

Frequently asked questions about reselling SuperMemo

Do you have a question about reselling SuperMemo? Ask SuperMemo World
This list was started on Jan 1, 1998. Last modified:

Question:
I would like to promote SuperMemo on my website. Can I expect some gratification from SuperMemo World?
Answer:
Yes. Read: Money in a link. You can also have a look at: Make money with SuperMemo

Question:
What are the standard distribution conditions for a small local reseller?
Answer:
There are no standard conditions. Please have a look at: Make money with SuperMemo

Question:
Can I get exclusivity for selling SuperMemo in my home country?
Answer:
As a rule SuperMemo World does not grant exclusivity for reselling SuperMemo in any country. However, the reseller may enhance his local standing by providing his own copyrighted materials in the local language, producing localized manuals, local CD-ROM mastering and replication, etc. Rarely we grant temporary exclusivity option for site franchising for non-English area

Question:
If I write my own learning material for SuperMemo, can I sell it to SuperMemo World?
Answer:
Yes. Write to library@super-memory.com. We can also resell your material. See: Submissions to SuperMemo Library

Question:
Can I sell SuperMemo products using my own packaging?
Answer:
Yes. This is the recommended option. You can produce the materials that best fit your local market and you can save on shipment costs.

Question:
What is the quantity discount on Advanced English 97 CD-ROMs?
Answer:
The pricing is as follows:

2 pairs | $40
3-5 pairs | $35
6-9 pairs | $30
10-49 pairs | $25
50-99 pairs | $20
100 pairs and more | $15

Question:
What are the conditions of getting a link to my page about SuperMemo from the front page of the SuperMemo Website?
Answer:
It is enough that your page provides quality information about SuperMemo in your local language. You do not even have to participate in reselling the program. Link to your page should not be a distraction for those who might otherwise not read the material from the English site. So the quality is the primary factor

Question:
Can I save on selling bare SuperMemo CD-ROMs as opposed to selling full packages?
Answer:
Yes.

Question:
How difficult is it to adapt Advanced English 97 to local needs?
Answer:
For European languages, Advanced English 97 can be adapted with little cost and effort. Local interface for SuperMemo can be produced in 10 minutes. Translations of items can be created interactively in the course and the first 1000 or 2000 items can be translated in a week by a capable translator. For more see: Translating Advanced English.

Question:
Who pays for advertising SuperMemo?
Answer:
Advertising SuperMemo in non-Internet media is considered optional. Unless specifically agreed with SuperMemo World, advertising is paid for by the local reseller?

Question:
Can I run SuperMemo sales from my home desktop?
Answer:
Yes. In the Internet era, you could set up your own website and sell SuperMemo products from the comfort of your own home. See: Money in a link and Site franchising

Question:
I am a teacher in a local school and I see a great potential in SuperMemo. Could I become a reseller of SuperMemo?
Answer:
Yes. There are a number of options. See: Making money with SuperMemo. You can also consider:

  • reselling SuperMemo 8 via non-Internet channels
  • translating Advanced English 97 and start selling a localized version
  • developing your own SuperMemo 8 course and release it on CD-ROM, etc. etc.

Many of these options require very little time or resources. For more info, e-mail to: SuperMemoMail

Question:
Is it possible to produce one's own multimedia CD-ROM with SuperMemo 98?
Answer:
Yes. All you need is: (1) a multimedia content, (2) license for placing SuperMemo 98 on your CD-ROM, (3) sufficient funds to replicate your collection at a CD-ROM manufacturer (about $500 for small releases). We can also do the development and production for you! For more details see Releasing your own multimedia SuperMemo CD-ROM.

Question:
What is the royalty structure for publishing a CD-ROM with exercises and SuperMemo?
Answer:
See Releasing your own CD-ROM with SuperMemo

Question:
I signed up for Money in the link (see: http://www.integratedcommerce.com/learn/) and would like to know to what extent I can reuse the material available from your website?
Answer:
You can freely reuse the material from our site as long as:

  1. You do not modify texts copyrighted by individual authors (e.g. Forget about forgetting). Note that the authors are always listed in the header. If no one is listed, you can modify the text
  2. You do not exaggerate the claims about what can be accomplished with SuperMemo

We are always happy to spread the word about our technologies and are also happy if individual webmasters add their own wording or flavor. This way we can also learn how to effectively convey the message!

Question:
Do you have an academic version of SuperMemo?
Answer:
No. We make it possible for students to get SuperMemo in return for writing material for SuperMemo Library. Many collections from the MegaMix CD-ROMs have been created this way

Question:
If I use SuperMemo to author/deliver business training programs, am I required to purchase a separate copy of SuperMemo for each computer the training is delivered on?
Answer:
No. You can use various forms of site licensing or purchase a replication license to produce your material on CD-ROMs or diskettes

You can publish your own SuperMemo CD-ROM
(Keith Gibson, USA, July 12, 1997)
 Question:
Is it possible to produce one's own multimedia CD-ROM with SuperMemo 98/99?
Answer:
Yes. All you need is: (1) a multimedia content, (2) license for placing SuperMemo 98/99 on your CD-ROM (if you want to release it to the public), (3) sufficient funds to replicate your knowledge system at a CD-ROM manufacturer (about $1000 for small releases). For more details see Releasing your own multimedia SuperMemo CD-ROM

Publishing your own SuperMemo CD-ROM is not expensive
(Charlotte, Wharton, USA, Aug 21, 1997)
Question:
What is the royalty structure for publishing a CD-ROM with exercises and SuperMemo 98/99?
Answer:
See: Releasing your own CD-ROM with SuperMemo

Author royalties (#8153)
(Fiona, Australia, Thu, Apr 25, 2002)
Question:
Why does the library pay only 33% to the authors? 67% should be more than enough to cover payment costs and online delivery costs
Answer:
Taxes alone consume nearly half of the revenue. Considering VAT, income tax, server, maintenance and processing costs, deductions, syndicated marketing fees, etc. this value, depending on the price of the collection, often results in a net loss to the library. Sadly, SuperMemo Library operations are still to make a profit. Hopefully it will be in the black by the end of 2002 and then independently incorporated. Unlike the music or publishing industry, SuperMemo Library takes utmost care about its authors and provides maximum support proportional to available means. Last but not least, 33% royalty is far ahead of the industry average

Affiliate linking with SuperMemo (#25522)
(randy, May 17, 2004, 21:59:24)
Question:
We are interested in providing your product for commissioned sale on an educational/commercial website we are developing. We are currently registered with both clickbank and commission junction
Answer:
See: Money in the link. All you need to do is to send a link to your site for review and place a link back to supermemo.com received in the return mail.


FAQ: Shopping for SuperMemo

Questions about ordering SuperMemo products

Do you have a question about ordering SuperMemo? Ask SuperMemoMail.
Last modified:

Ordering SuperMemo

How can I order SuperMemo?
You can download SuperMemo immediately after making a purchase
SuperMemo Store uses US dollars as the currency
What is the exact billing charge on my credit card?
What if I specify a wrong e-mail address?
We never give your e-mail address away
You can easily change your order
Shipment and taxes are included in the price at super-memo.com
We process most of e-mail messages within a business day
Why there is no secure connection icon?
Do I get an invoice via paper mail?
What is the delivery time for CD-ROM titles?
Why do I get redirected to an insecure page?
I cannot place an order due to server errors
Can I order SuperMemo and have it mailed as a gift?
Do I get software before or after payment?
 Why is SuperMemo so cheap?
 Why do I have to fill out the shipping address for downloadable material?
Why do I get a cookie?
What kind of security do you use?
There are many ways to use SuperMemo free or get the newest version cheap
Credit card number may occasionally be used for identification purposes
Double orders are always subject to verification
You will not find SuperMemo CD-ROMs in an average computer shop
 What is the pricing for network installations?
Yahoo Stores use credit card as the sole payment method
There are several reasons for which you may not have received order confirmation

Download problems

You can place a new order in case of a wrong choice
How can I resume a download after a failed first attempt?
I cannot re-download because your store does not recognize me!
Store prefix must be used as an Order ID
I could not download five times (and more)!
You should save the downloaded files instead of opening it
Circular order process without a download
Missing download file
See file size in case of multiple download failures
Download again few months later
You can download again via FTP
My credit card gets rejected in the download area
Download terminates prematurely
Program is too big to fit in memory
Program terminates while unzipping
Unzip problems indicate a download error
Where is SuperMemo?
Order ID for downloads
You do not need to download SuperMemo twice
Error: You haven't paid for this item
I get plug-in errors when trying to download

Installation

Note the name and location of the file(s) you download from the net
How do I get rid of the red registration bar?
Unlocking SuperMemo is easy
You can install SuperMemo at home and at work
You can easily install SuperMemo on two PCs
Errors at unzip stage may indicate a wrongly downloaded file
 16-bit Windows program message
(see also: Installation FAQ)

Password and registration

How do I unlock the program?
How do I input the password?
 What if you do not get a password?
I am running out of my credit!
 Business day should not be understood as 24 hours
I lost my password!
I got a wrong password!
 You do not need to remember the unlock password
You do not need to remember your order number
(see also: Installation FAQ)

Upgrades

How do I upgrade in the future?
Upgrades differ in price, not in software usability
You do not need your old password to upgrade to the new version
I forgot my registration number
I deleted all my files by accident
You can upgrade your learning material from SuperMemo 2000 to SuperMemo 2002
Why is there a cut-off date for a free upgrade?
SuperMemo Upgrade is fully functional but cheaper
(see also: Installation FAQ)

Other

You can test-drive SuperMemo before you buy it
Where do I find learning material for SuperMemo?
Registration is optional
 SuperMemo CD-ROMs carry older versions of the program
Changes to customer address
We do not take part in customer address exchange any more
 supermemo.com server is located in the US
 You cannot download material published on CD-ROM
 You will want to use SuperMemo 8 if you still use Windows 3.1
 Some upgrades are free, others are not
 We cannot accept Eurocheque
Upgrades from Advanced English are not free
Some older versions of SuperMemo will not work with the library material
 Registering SuperMemo is not the same as unlocking SuperMemo
 You get unlock instructions only after the payment is received
You can use overpayment to order library products
Wrong e-mail address can be changed manually
 We no longer use printed manuals
 Despite appearances, SuperMemo is not difficult
 You can use SuperMemo on a computer that is not connected to the Internet
 There is no student version but there are many freeware options
 You can run your own course based on SuperMemo without paying for each copy in use
 We cannot speed up the order cycle
SuperMemo abroad without a credit card
Both help files and the rest of the website can be downloaded as CHM
 Wrong expiry date can be easily corrected
 Upgrading from shrink-wrapped SuperMemo
It is not easy to simplify the process by which you order SuperMemo
SuperMemo works under Windows XP
Permission to use SuperMemo on many computers

(see also: Installation FAQ)

See also:

  1. for more questions about ordering and installation: body of this file
  2. more questions about ordering and security: Yahoo Stores questions
  3. more questions about SuperMemo: SuperMemo FAQs

How can I order SuperMemo?
(Sharon Genest, USA, Apr 14, 1997)
 Question:
How can I order SuperMemo products via the Internet?
Answer:
Go to SuperMemo Store at Yahoo and place your secure order on-line

How can I resume a download after a failed first attempt?
(Lu Ming-Pin, Taiwan, Nov 19, 1998)
Question:
I ordered Contemporary English but experienced download problems. How can I resume the download without reordering?
Answer:
Go to the front page of SuperMemo Store and click the Download button (if you are receiving this answer in an e-mail, please note that the address of SuperMemo Store is www.super-memo.com with a dash, i.e. not www.supermemo.com as for the main website). You may be asked about your credit card number for verification of you identity (this does not imply extra charges). If you still have problems, write to SuperMemoMail

I could not download five times (and more)!
(Lawrence W.N. Geung, UK, Oct 5, 1998)
Question:
I ordered SuperMemo and failed to download five times. I do not know if I would be charged twice if I placed another order. What shall I do?
Answer:

  1. Once you correctly specify your e-mail address in the order form, we will contact you within a business day with further instructions. You will learn how to download via FTP
  2. If you did not get a requested automatic confirmation of your order, please write to us
  3. We always verify repeat orders and you would not be charged twice unless this was your specific wish

See file size in case of multiple download failures
(Lazaros Nikiforidis, Greece, Fri, 21 Jun 2002 23:07:35)
Question:
I have downloaded SuperMemo many times, but it doesn't seem to work. I get the same message, that Windows can't run a 16 bit program.
Answer:
If repeated download produces the same error consistently, you can suspect a problem with software you use for downloading SuperMemo or the problem with your operating system in executing the downloaded file. To investigate the first possibility, compare the sizes of files of SuperMemo on the server and on your computer. If they differ, try using different software for download (e.g. different browser or a different FTP application). See if you can download other pieces of software with the same protocol (http, ftp, etc.). Many similar problems are caused by outdated browser, system errors, personal or corporate firewall, proxy server, or even your ISP. If you still have problems, try to download on another computer. If the file size is correct, you can also use the other computer to run the file you have downloaded to ultimately answer if the problem is with the download (downloaded file does not run anywhere) or with the operating system (downloaded file works ok on the other PC). Ultimately, downloading and running SuperMemo on another PC gives you a 99% chance of resolving the problem. This comes from the fact that download or execution problems are extremely rare. However, try to avoid using the same ISP or the same corporate network protected with the same firewall as these could run you into the same problem

How do I unlock the program?
(Bruce Terry, USA, Nov 4, 1998)
Question:
I have now registered the program via email and received a confirmation. However, I have already paid for the program. How do I unlock the program for normal use?
Answer:
All instructions to new users are sent within a business day since ordering. If you do not get a response within two business days, please e-mail us. Occasionally, customers misspell their e-mail address in the order form. In such cases we wait 3-4 days before contacting you via phone (or via snail-mail you you do not specify the phone)

I get plug-in errors when trying to download
(Andy Kereky, USA, Dec 15, 1998)
Question:
I tried to download SuperMemo from your web page and received a "Plugin Error" window with the message:
"The data that the plugin requested, did not download successfully". Can you help?
Answer:
We would suspect that you were using either an obscure or older version of a web browser -- or you merely experienced a transient problem caused by the browser, or a problem on the Internet between your ISP and Yahoo servers. The problem should not persist

Download problems (e.g. download terminates prematurely)

Any number of things can cause a download to be terminated pre-maturely. We would need the exact text of any error messages you receive, as well as the browser version and type, to try and determine the problem.

In general, some browsers experience problems transferring files because they have incorrect JavaScript settings. This can happen even if the location that is sending the files does not use JavaScript for file transfers (as is the case with SuperMemo Store). If you have difficulties with uploading and downloading files or attachments, it may be that JavaScript is disabled on your browser.

In Netscape Navigator, you should choose Network Preferences... from the Options menu. Then choose the Languages tab and make sure the box next to Enable JavaScript
is checked.

In Microsoft Internet Explorer, you should choose Options... from the View menu and then click on the Security tab. You should then make sure the box next to Run ActiveX scripts is checked.

Other possible causes for a download to be prematurely terminated might be a problem on the Internet between your ISP and your computer or between your ISP and Yahoo servers, you could have a corrupted browser, or your browser could have chosen to terminate the download because it has run out of memory or is experiencing some other problem. There is no solution available for the first cases except to wait it out and see if the problem is resolved by whichever ISP or phone company is responsible for repairing the problem. If your browser is corrupted, the only solutions are to use a different browser or to re-install the browser. If the browser is running out of memory, it can help to clear the browser's cache and/or increase the size of your computer's swap file, instructions for both of which should be found in the browser or Windows help.

Please note that these are only some of the general problems that can occur while on the Internet. The Yahoo! Store software which runs SuperMemo Store currently allows 5 attempts at downloading a purchased softgood (i.e. SuperMemo or learning material). If you run out of attempts, please write to SuperMemoMail

Do I get an invoice via paper mail?
(J.P. de Vries, The Netherlands, Nov 5, 1998)
Question:
Do I get an invoice for downloadable material? Do I get it via paper mail?
Answer:
Yes. If you specifically ask for an invoice

What is the exact billing charge on my credit card?
(George Exarhos, Canada, Oct 16, 1998)
Question:
My question is regarding the $29.5 cost for SuperMemo. I would be ordering from Canada and was wondering what the final billing charge would be on my credit card
Answer:
There are no implicit charges. The billing charge should be US $29.5; however, there might be minor deviations due to the obligatory price conversion to Polish zloty. If the exchange rate was to change significantly between credit card authorization and the actual transaction (usually 2-3 days), the actual charge might differ. We prefer to err on the safe side and always use an undervalued conversion. This way the difference will most likely be to your advantage

Why there is no secure connection icon?
(Richard Hardstein, USA, Sep 2, 1998)
Question:
I wanted to upgrade to SuperMemo 8.4, but when I enter SuperMemo Store, I get no icon indicating secure pages in my browser. Is there a problem with your transaction server?
Answer:
SuperMemo Store is hosted by reputable Yahoo Store! and security problems are highly unlikely. Please check if you do not have SuperMemo Store nested in an HTML frame (i.e. a subwindow created inside the browser). If this is the case, or if you are not sure, simply type www.super-memo.com in the address field (or click here: www.super-memo.com)

Why do I get redirected to an insecure page?
Question:
Why does your store say I get redirected to an insecure page?
Answer:
You get redirected to insecure pages after placing an order. If your browser keeps all warnings on, the message may sound alarming. You can safely ignore it. For more details see: Yahoo Stores FAQ)

Business day should not be understood as 24 hours
(Vidar Garlie, Norway, Oct 23, 1998)
Question:
I haven't yet received a password after paying for SuperMemo yesterday, only an id (605) which apparently didn't work as a password. How can I continue using SuperMemo after my credit expires?
Answer:
It takes a business day to process an order. This should not be understood as 24 hours. If you order early in the morning one day, we might respond before the evening next day (Central European time). If you order on Friday afternoon, you will most likely receive a response only on Monday. Rarely, you will not hear from us due to a misspelled e-mail, e-mail communication problems or other technical problems. In case you have misspelled your e-mail address, you will most likely notice the problem if you do not get an immediate confirmation of your order via autoresponder. If you do not get a response within two business days, please write to SuperMemoMail

You do not need to download SuperMemo twice
(William McGee, USA, Aug 14, 1998)
Question:
I have run out of my credit in SuperMemo and have ordered the full version via SuperMemo Store. Do I have to download again?
Answer:
No. Just use File : Installation : Input password and input the password you have received in response to your order. Read more: Registering SuperMemo

What if I specify a wrong e-mail address?
(Marc Ryan, USA, Nov 20, 1998)
Question:
I have specified a wrong e-mail address while ordering SuperMemo. What shall I do?
Answer:
Write to SuperMemoMail to obtain further instructions. Your records will be updated manually

How do I upgrade in the future?
(Patricia Justice, USA, Jan 4, 1998)
Question:
How do I upgrade to future versions of SuperMemo?
Answer:
This is our tradition that we take try to make sure our users use the newest version. We believe that this maximizes their satisfaction and the speed with which they spread a word about SuperMemo! You should save no less than 40% on an upgrade. For example, see: SuperMemo Upgrade. Additionally, prices of older versions are usually halved on new releases

Why is SuperMemo so cheap?
(Mark Gillen, USA, Dec 8, 1997)
Question:
Is $6 all you have to pay for SuperMemo 8?
Answer:
The price listed at www.super-memo.com is all you have to pay. We nearly never increase prices. We always substantially reduce prices of older versions of SuperMemo. Ultimately, we release them all as freeware

Do I get software before or after payment?
(Said Hussein Yasin, Switzerland, Nov 19, 1998)
Question:
If I pay by bank transfer, do I get SuperMemo before you actually receive a confirmation from your bank or already after faxing the proof?
Answer:
Usually we ship only after receiving the confirmation from the bank. Very often, the payment proof in foreign language is entirely illegible or unintelligible. Some past customers did not pay for CD-ROMs and we had to change the rules

I am running out of my credit!
(Jeremy Sherman, USA, Dec 3, 1997)
Question:
I have used up 60% of my credit in SuperMemo. How can I continue using the program?
Answer:
If you have already received your password, unlock the program by using File : Installation : Input password. If you are using an unregistered version from another source, click the red bar under the element toolbar, fill out the dialog box with your data, and click Register (you will send your data to register(AT)supermemo(.)com). You will immediately receive payment instructions via e-mail autoresponder. Read more: Registering SuperMemo

Registration is optional
(Barry Lewis, UK, Apr 19, 1998)
Question:
I have downloaded SuperMemo 8 and sent an order via e-mail. Do I need to register it as well?
Answer:
No. There are two paths to get SuperMemo 8 running:

  1. Place an electronic order and download the program
  2. Download SuperMemo 8 and run the registration procedure. Send the generated registration file to register(AT)supermemo(.)com and receive payment instructions

As a result of both procedures listed above, you will receive a registration password and become an owner of the program. You can use SuperMemo indefinitely and you are entitled to special discounts when purchasing future upgrades (minor upgrades and updates are available for free)

What is the delivery time (for CD-ROM titles)?
(Noel Clary, USA, Nov 26, 1997)
Question:
What is the delivery time of packages sent to the US?
Answer:
If you order directly from SuperMemo World, it takes on average 7 days for packages to reach Western Europe by airmail. The same time for the US is about 10 days. It may take over a month to deliver packages to some distant countries (e.g. South America, Africa, etc.)

I forgot my registration number
(K.A., USA, Dec 18, 1998)
Question:
I would like to upgrade to the newest SuperMemo but I forgot my registration number. Can I still upgrade?
Answer:
Yes. You can specify your order number or the password you used to unlock the program. If you do not have these on your record either, choose the option Please help and we will simply check your data in the database

I lost my password!
(Reinhard Schueren, Germany, Sep 7, 1998)
Question:
I have ordered SuperMemo recently but lost your e-mail with download instructions and the password (due to a PC crash). What shall I do?
Answer:
Send an e-mail to SuperMemoMail with the request for resending the instructions file (if possible, quote your order number)

SuperMemo CD-ROMs carry older versions of the program
(David Palmer, UK, Sep 9, 1997)
Question:
If I order SuperMemo via snail mail do I get a better or more detailed version?
Answer:
No. However, if you are interested in learning languages, you might prefer a CD-ROM version that comes together with collections for that purpose

We cannot accept Eurocheque
(Erwin Anema, Holland, Nov 20, 1997)
Question:
Can I pay by Eurocheque?
Answer:
No. Because of our low prices, cashing a Eurocheque may be more than the price you have to pay

What is the pricing for network installations?
(David MacKenzie, New Zealand, Apr 24, 1998)
 Question:
What is the pricing for network installations and site licenses?
Answer:
Note that SuperMemo for Windows is not adapted for multi-user access. Each of the users in a network installation will have to keep his or her own separate learning material and a separate learning process. This approach is quite space consuming.
The pricing for SuperMemo 2002 network installations is: $60 for 5 terminals, $90 for 10 terminals, $120 for 20, $200 for 50, $300 for 100, $400 for 500 and negotiable above that number. The same refers to site licenses and the number of individual users

We do not provide support in English via telephone
(Jim Hefling, USA, Feb 26, 1998)
Question:
What does +48 stand for in front of your telephone number?
Answer:
+48 indicates that you have to dial your international exit code and follow it with the country code for Poland which is 48. If you do not know the exit code, call your local telephone company and ask how to dial to Poland. Please note that we are unable to provide support in English via the telephone. Please use this form of contact only in emergencies

Where do I find learning material for SuperMemo?
Question:
How can I order ready-made learning material for use with SuperMemo 98/99?
Answer:
See SuperMemo Library

My credit card gets rejected in the download area
(Andy Kereky, USA, Dec 15, 1998)
Question:
I wanted to repeat my download, entered the download area, and entered my credit card number. I tried it with space, dashes, and with neither. Nothing worked. It apparently never recognized my number
Answer:
Please check if you are using the same credit card! There could also be a problem with your browser (see above). Dashes or spaces do not matter here. If the situation persists, you might simply reorder, write FREE in the comment field and specify the reason you are repeating the order

We do not take part in customer address exchange any more
(Piotr Adamik, Poland, Aug 26, 1998)
Question:
How can I obtain the list of customers who agreed to make their addresses available to other users?
Answer:
We no longer keep such a list. It was useful in early years of SuperMemo when it was really hard to get in touch with other users as there weren't many of them. This field on the registration card is just a leftover from those times. Please join SuperMemo Community instead

Program is too big to fit in memory
(Kjel Andresen, Norway, Oct 14, 1998)
Question:
I have downloaded SuperMemo 98 but I get an error message when the program starts: Program too big to fit in memory. Do you have some explanation?
Answer:
This is a typical symptom of a corrupted EXE file. Probably your download was not successful. Please download again and compare the sizes of files on your hard disk and on the server (if you are using MS Proxy Server, you might want to try a direct connection to an ISP)
See also: Cannot unzip

Program terminates while unzipping
(Mike Johnson, UK, Dec 30, 1998)
Question:
I downloaded SuperMemo. However, the unzip was not able to rebuild a file and terminated itself. This caused fatal errors when trying to run the program. I tried the download and unzip again and found the same error. Please can you advise?
Answer:
This happens occasionally. Usually erroneous file transfer stands behind this problem. You might investigate if your browser is up-to-date, and and if there are no glitches at your ISP (in some cases changing IE4 to Netscape or vice versa helps!). In most cases, the simplest solution is to download from another location (e.g. from home)
See also: Program too big

supermemo.com server is located in the US
(Clive Hayden, Poland, Oct 19, 1998)
Question:
Where is your server located? I have problems downloading from Poland (200 bytes per second)
Answer:
The server is located in the US. The net is least congested early in the morning CET (Poles are not up yet, while North Americans are just going to sleep)

You cannot download material published on CD-ROM
(Jorge Adam Cleto Cohn, Brazil, Oct 25, 1998)
Question:
I ordered Advanced English 97 and chose Download in ordering options; however, there was no material to download
Answer:
The only correct option for Advanced English is Air. All files come on CD-ROM shipped via air mail. If you want to download Advanced English, choose Advanced English 2002

Can I order SuperMemo and have it mailed as a gift?
(Werner Pirkl, Switzerland, Feb 2, 1999)
Question:
I would like to order SuperMemo and have it shipped to Austria to a colleague who does not have access to the web. Is it possible?
Answer:
Yes. However, we recommend that you rather order a CD-ROM version as the bare diskette version of SuperMemo is rather hard to use for beginners

You will want to use SuperMemo 8 if you still use Windows 3.1
(Dallas Oldre, USA, Jan 21, 1999)
Question:
Can you list any reasons for which I might prefer SuperMemo 8 over the newest SuperMemo?
Answer:
New SuperMemo is by far superior. However, you might prefer SuperMemo 8 in the following circumstances:

  • you are using Windows 3.1 or Windows 3.11
  • you like the Backup option of SuperMemo 8 which is missing from later releases (archiving with WinZip or your favorite compression software seems to be far superior though)

SuperMemo 98, 99, 2000, 2002, 2004 are nearly a complete subset of SuperMemo 8 in terms of functionality, and the number of new options and improvements goes into hundreds. Only the least popular options are removed in new releases of SuperMemo

Error: You haven't paid for this item
(Antonio Gutierez, Peru, Jan 20, 1999)
Question:
After providing my credit card number in SuperMemo Store I went to the download area and received the following message: ERROR
Supermemory Store, You haven't paid for this item. How can I proceed with the download?
Answer:
This message is displayed if you type a different credit card number than the one you used when ordering. Perhaps you have changed the way you type in the number (e.g. by including dashes in place of spaces or vice versa). Sometimes it is enough to quit your browser and try again. If this problem persists, please write to SuperMemoMail

Some upgrades are free, others are not
(Victor Hitiel Rodriguez Sardina, Japan, Dec 15, 1998)
Question:
I ordered SuperMemo 8 earlier this year. Can I upgrade to SuperMemo 98 free?
Answer:
Only customers of SuperMemo Store who ordered SuperMemo 8 in August or September 1998 are entitled to a free upgrade. You can also get SuperMemo 98 in return for contributing to SuperMemo Library. For details write to library@super-memo.com

I deleted all my files by accident
(Peter de Vries, Belgium, Dec 14, 1998)
Question:
I accidentally deleted all my SuperMemo files. Unfortunately I did not make a backup. Can you help?
Answer:
You can simply reorder, write FREE in the comment field and describe your problem shortly

I cannot place an order due to server errors
(Lutz Gutknecht, Germany, Nov 30, 1998)
Question:
I cannot order SuperMemo 98! When I click Order I receive the following message:
https://st4yahoo.com/cgi-bin/wg-order?supermemo+supermemo98 cannot be opened
Answer:
You must make sure you are not trying to download from behind a firewall. Some corporations install firewalls that prevent downloading potentially damaging material to your computer. All executable material belongs to this category. Please see also if your browser is not outdated. Try repeating the procedure from home.

See: more details

You can upgrade your learning material from SuperMemo 2000 to SuperMemo 2002 (#15624)
(Diane Smit, Sunday, January 26, 2003 3:09 PM)
Question:
I would like to try SuperMemo 2000 prior to purchasing SuperMemo 2002. If I create files here can I then easily transfer them to SuperMemo 2002?
Answer:
Yes. All you need to do is open the old files with the new program. Note however that the upgrade process is irreversible. If you contemplate moving back to SuperMemo 2000, create a copy of your files before upgrading.

Upgrades from Advanced English are not free
(Anatolyi Lipatov, Ukraine, Nov 26, 1998)
Question:
I have Advanced English 97, am I entitled to a free upgrade of SuperMemo 98?
Answer:
No. However you can get SuperMemo 98 in return for contributing to SuperMemo Library. For details write to library@super-memo.com

How do I get rid of the red registration bar?
(Ken Little, USA, Nov 11, 1998)
Question:
I read that I am automatically registered upon my credit card purchase; however, I didn't get a password to remove the red stripe and hopefully display other program options I read about. I tried my order number which didn't work. Please email me some guidance. I can't wait to get started in using your program.
Answer:

  1. You are automatically registered in our customer database and you can start using the program immediately
  2. Within a business day you will receive further instructions that will help you remove the red bar
  3. You do not need the password to use 'other program options'. It is enough you turn on the professional mode with File : Level : Professional

Some older versions of SuperMemo will not work with the library material
(J.P. de Vries, The Netherlands, Nov 4, 1998)
Question:
I bought Better English. When I try to open it with SuperMemo I get the message To open this collection you need a newer version of SuperMemo!
Answer:
You must have missed the message in SuperMemo Library saying that you need at least SuperMemo 98 to use SuperMemo Library material. You have two choices:

  1. Make use of your money back guarantee
  2. Upgrade your SuperMemo to SuperMemo 98

I got a wrong password!
Question:
I ordered a copy of SuperMemo '98 and received my password. However, on entering my password, it consistently denied it saying it was the wrong password. Could you perhaps please check to see if I was indeed given the correct password?
Answer:
The two most frequent causes of such a situation are:

  1. Your CapsLock is on
  2. You are trying the password with SuperMemo 8 instead of SuperMemo 98 (see Help : About to get the version, build and date)

In the latter case, some customers having experienced download problems come back to download SuperMemo 8 from www.supermemo.com instead of downloading SuperMemo 98 from www.super-memo.com (note the dash in the latter address)

Registering SuperMemo is not the same as unlocking SuperMemo
(Ken Little, USA, Nov 11, 1998)
Question:
I read that I am automatically registered upon my credit card purchase; however, I didn't get a password to remove the red stripe and hopefully display other program options I read about. I tried my order number which didn't work. Please email me some guidance. I can't wait to get started in using your program.
Answer:

  1. You are automatically registered in our customer database and you can start using the program immediately
  2. Within a business day you will receive further instructions that will help you remove the red stripe
  3. You do not need the password to use 'other program options'. It is enough you turn on the professional mode with File : Level : Professional

Unlocking SuperMemo is easy
(Thomas N., Austria, Nov 16, 1998)
Question:
You have sent me an e-mail with the password to unlock SuperMemo, but where do I have to fill it in? When I click the red bar, SuperMemo asks me to send e-mail to register(AT)supermemo(.)com
Answer:
Your instructions should indicate that you can use File : Installation : Input password to provide the password. You do not have to register your copy at SuperMemo World. This is done automatically at placing the order. If you have any doubts, please read: Registering SuperMemo

You get unlock instructions only after the payment is received
(Said Hussein Yasin, Switzerland, Nov 19, 1998)
Question:
If I pay by bank transfer, do I get SuperMemo before or after the payment?
Answer:
After the payment. Unfortunately, some past customers did not pay for software and we had to change the rules. This introduces substantial delay. That's why we favor secure on-line credit card operations

You can download again via FTP
(Lu Ming-Pin, Taiwan, Nov 19, 1998)
Question:
I ordered Contemporary English but experienced download problems. How can I resume the download without reordering?
Answer:
Go to the front page of SuperMemo Store and click the Download button. If you still have problems, write to SuperMemoMail. You will receive FTP download instructions

Wrong e-mail address can be changed manually
(Marc Ryan, USA, Nov 20, 1998)
Question:
I have specified a wrong e-mail address while ordering SuperMemo. What shall I do?
Answer:
Write to SuperMemoMail to obtain further instructions. Your records will be updated manually

We no longer use printed manuals
(Neville Bailey, Australia, Dec 5, 1998)
Question:
I have previously used SuperMemo 6 and SuperMemo 7. There was always a printable manual file with the software. I cannot find anything like that on your website. Is there a manual to download or order?
Answer:
No. As of 1997, all our documentation is provided as hypertext that does not have a structure that can be printed and processed linearly (i.e. page by page). We are proud to adopt the environmentally-friendly electronic publishing

Despite appearances, SuperMemo is not difficult
(Tom Scott, Feb 12, 1999)
Question:
I just came across your website. Is it difficult to prepare material for learning with SuperMemo?
Answer:
No. The most popular approach is to create pairs of questions and answers. You just press Alt+A (to add a new element) and type in the question and the answer. That's all. Then you just click Learn (Ctrl+L) to start learning.

You can build huge collections and learn effectively for years using only text, questions and answers. Adding images, sounds, video, etc. requires some more hard disk space and 2-3 more steps (such as: add an image component and import an image file, etc.). Some customers complain that SuperMemo is complex, but this only refers to professional level functions that go beyond learning questions and answers

You can use SuperMemo on a computer that is not connected to the Internet
(Bengt Larsson, Sweden, Apr 1, 1999)
Question:
I have two computers of which only one is connected to the Internet. Will I be able to download SuperMemo on one computer and then install it on the other?
Answer:
Yes. The file you will download is only about 1.4 MB in size and will fit on a single diskette

There is no student version but there are many freeware options
(Charles Jin Won Choi, South Korea, Apr 2, 1999)
Question:
Do you have an academic version of SuperMemo?
Answer:
No. We make it possible for students to get SuperMemo in return for writing material for SuperMemo Library. Many collections from the MegaMix CD-ROMs have been created this way

You can run your own course based on SuperMemo without paying for each copy in use
(Mark Patterson, USA, Apr 8, 1999)
Question:
If I use SuperMemo to author/deliver business training programs, am I required to purchase a separate copy of SuperMemo for each computer the training is delivered on?
Answer:
No. You can use various forms of site licensing or purchase a replication license to produce your material on CD-ROMs or diskettes

We cannot speed up the order cycle
(Duke Williamson, USA, Apr 21, 1999)
Question:
Why does it take a full business day to process an order? Once you have a credit card the authorization should take a few minutes
Answer:
Unfortunately, we are still waiting for CyberCash to be installed at SuperMemo Store at Yahoo. Until then, all orders have to be processed manually in business hours. They are usually processed at about 6 p.m. CET and confirmed the same day. Shipping usually takes place only the next business day

Unzip problems indicate a download error
(Dimitry Volfson, USA, Apr 23, 1999)
Question:
I downloaded SuperMemo. When I double-click on sm2002zip.exe, then click OK, it says Unzip NOT successful!
Answer:
Problems with unzipping the downloaded file usually result from errors in download. Most importantly, please compare the size of the downloaded file with the original. On occasion, the downloaded file happens to be several bytes shorter. The simplest remedy is to repeat the download. If this does not help, the problem may be with the browser setting and downloading from another location may help. Please write to SuperMemoMail if you continue having problems

Both help files and the rest of the website can be downloaded as CHM
(Frantisek Kvapil, Czech Republic, Apr 23, 1999)
Question:
I wanted to download the whole website in the CHM format but the link points only to SuperMemo Help in CHM format
Answer:
Both SuperMemo Help and the rest of the website are integrated in the same file

Wrong expiry date can be easily corrected
(Robert de Castro, UK, May 8, 1999)
Question:
I typed a wrong expiry date for my credit card when ordering SuperMemo. Do I have to reorder or can I just send the correct date via e-mail?
Answer:
You can send the date via e-mail to SuperMemoMail. All credit card information is deleted from Yahoo Stores in two weeks and is not ever transferred to our computers. The error will not affect our database in any way

Why do I have to fill out the shipping address for downloadable material?
(Costanzo Cosentino, Italy, June 15, 2000)
Question:
I would like to order SuperMemo Upgrade. However, there is a shipping address in the form. Why do I have to fill out the shipping address for downloadable material?
Answer:
This field should not normally appear on the order form. Please check if you mistakenly did not add any CD-ROM item to your shopping basket. If this problem persists, please simply ignore the shipping address

Upgrading from shrink-wrapped SuperMemo
(Pauli Kansanoja, Finland, Nov 9, 1999)
Question:
I have SuperMemo version 7 for Windows (serial no: 10701). I would like to update this version to the latest version of SuperMemo. How can I do it?
Answer:

  1. Go to SuperMemo Upgrade page
  2. Choose Registration number in options
  3. Order the upgrade
  4. In the comment field, write 10701 (your registration number)

Why do I get a cookie when placing an order?
Question:
Why do I get a cookie when placing an order?
Answer:
Cookies are needed to keep track of your shopping cart (for more see: Yahoo FAQ)

I cannot re-download because your store does not recognize me!
Question:
I lost the connection while downloading and had to restart my computer. When I came back and click Download, your store would not accept the order ID. I am unable to download SuperMemo!
Answer:

To re-download SuperMemo (or download after the initial order placement), you will need to do the following:

  1. Go to www.super-memo.com and click on Download button (on the left).
    You can also go to the Yahoo! Shopping homepage and click on the Order Status link at the top of that page. Either way, you'll be taken to the Yahoo! Shopping Order Status page showing the list of orders you have recently placed (in SuperMemo Store and in other Yahoo stores)
  2. If the order that contains SuperMemo is visible in the list of orders, you'll need to click on the link to that order and you'll be taken to the individual Order Status page for that order
  3. If the order that contains SuperMemo is not visible in your list of orders, you'll need to enter the order ID in the input field at the bottom of the Yahoo! Shopping Order Status page and click on the Lookup Order button. You will then be taken to the individual Order Status page for that order.
    An order ID may look like this supermemo-2141 and can be found on the order confirmation page. If you have not printed that page, order ID can be found in confirmation e-mail (providing you typed in a correct e-mail address when ordering)
  4. If the system can detect that you placed that order (either because you found the link to that order in step #2 above, or because of the browser cookie you have currently active for Yahoo! Shopping), then you will see SuperMemo listed on the page and you'll need to click on the Download Now button
  5. If you do not see SuperMemo (or other item information) on that individual Order Status page, then it means the system could not detect that you had placed that order. You can then enter your credit card number that you used to make the purchase of SuperMemo into the field at the bottom of that individual Order Status page. You will then see a list of links to the orders on file associated with that credit card number. You will be able to click on the order numbers in that list to see the full Order Status page for those orders, including the appropriate Download Now buttons
  6. If you still cannot download, please write to SuperMemoMail

Upgrading from shrink-wrapped SuperMemo
(Marko Zirkovich, Sat, Jun 23, 2001 8:05)
Question:
Last night I placed my order for SuperMemo 2000. Unfortunately I haven't been able to download the software. I only got a "This page cannot be displayed" error message upon clicking on the download button
Answer:
You will receive a remedy within a business day. If you do not want to wait that long, please simply place another order and add "Download problems" in the comment field. Duplicate orders are scanned manually and there shall be no double charge on your card

Shipment and taxes are included in the price
(bauzawin, UK, Fri, Jun 22, 2001 11:09)
Question:
I would like to buy a SuperMemo CD-ROM. What is the cost of postage, packing and taxes?
Answer:
The price listed at www.super-memo.com is the same amount that will show up on your credit card. Shipment and taxes are included in the price

We process most of e-mail messages within a business day
(Kenjin1998, UK, Sun, Jun 24, 2001 18:53)
Question:
I have been waiting quite long for your reply to my order inquiry
Answer:
We try to respond to all inquiries within a business day. If we are unable to respond to difficult technical questions, we notify you that a case has been opened. Occasionally e-mail gets lost, misrouted or cut off by spam filters. In addition, our responses often come back due to various delivery problems. If you do not receive any feedback within 2-3 days, please simply write again and make sure your return address is specified correctly

SuperMemo Store uses US dollars as the currency
(Clifford Tan, Wed, Aug 01, 2001 14:19)
Question:
I wanted to place an order for SuperMemo, but would like to know whether the cost is in US dollars or other currency
Answer:
All prices at www.super-memo.com are listed in US dollars

SuperMemo Store uses 128-bit SSL encryption
Question:
What kind of security do you use in your Yahoo Store?
Answer:
Stronghold secure server using 128-bit SSL encryption (for more details see: Yahoo Stores FAQ and Yahoo Stores statement on security)

You do not need your old password to upgrade to the new version
(Carl Taylor, Mon, Jul 09, 2001 5:52 AM)
Question:
Can you please resend me my SuperMemo 98 password? I misplaced the original mail message and I want to upgrade to the newest SuperMemo
Answer:
You can always request the password to be resent; however, you do not need it to upgrade. Once your name on the order matches the original order, the store software will recognize you. Order the upgrade and choose "Automatic verification" among options

You can download SuperMemo immediately after making a purchase
(Clifford Tan, Wed, Aug 01, 2001 14:19)
Question:
Will I be prompted for a download via the Internet immediately after I've made my credit card purchase?
Answer:
Yes. Once you place an order, you will be prompted to make a download. You will also be able to download at a later time or at another location

Note the name and location of the file you download from the net
(Matt R., Wed, Jul 04, 2001 2:27)
Question:
I downloaded my order but I can not find it in my computer? Where would it be?
Answer:
If you cannot locate the downloaded file as suggested in Installation Instructions (e.g. by searching for sm*.exe with with Start : Find : Files or folders in Windows), you can simply reorder and write DOWNLOAD PROBLEMS in the Comment field. Your new order will be verified and cancelled with no ensuing charges. Once you proceed with the download, make sure you note to which location you download the file and what is its name. For simplicity, you could best leave the default name unchanged (i.e. sm2002zip.exe for SuperMemo 2002, sm99zip.exe for SuperMemo 99, etc.)

You can input the password with Ctrl+Shift+I
(Thomas N., Austria, Nov 16, 1998)
Question:
How do I input my password in SuperMemo?
Answer:
If you press Ctrl+Shift+I (i.e. capital "i"), you can input your password (unless it has already been input). You can also use File : Installation : Input password to provide the password.

You can also use SuperMemo without unlocking it. At some point, it will simply ask you to input the password. See also: Unlocking SuperMemo and Installing SuperMemo

Errors at unzip stage may indicate a wrongly downloaded file
(Othmar Briem, Austria, Sun, Mar 18, 2001 11:48)
Question:
When installing SuperMemo, I get an error message in German: "sm2002zip.exe is not a valid 32-bit Windows application". The same message comes up on collections downloaded from the library
Answer:
The most likely cause is an error in the downloaded file. The only remedy for such problems is a repeated download

You can install SuperMemo at home and at work
(Roman Jedrkowiak, Poland, Nov 26, 1998)
Question:
Once I download SuperMemo, can I later install it on another computer? I want to download from work and install it at home
Answer:
Yes. You can move the downloaded file to another computer and repeat the installation. Please note that SuperMemo for Windows (2002 and later) requires Internet Explorer 6.0

You can easily install SuperMemo on two PCs
(Steve Brown, Wed, Aug 15, 2001 14:00)
Question:
I just recently purchased SuperMemo and have successfully downloaded to my home PC. I would also like to load it on my work PC. How can I get another download going?
Answer:
You can simply copy the downloaded file onto a diskette and transfer it to another PC. Please note that it is not easy to synchronize large collections. The simplest method is to use File : Copy collection and copy entire collections between the two PCs

You can place a new order in case of a wrong choice
(Rich Hardenstein, Tue, Aug 28, 2001 16:53)
Question:
I clicked on Order SuperMemo 2002 but after I downloaded the software I found I had SuperMemo 99. I already have this version from a previous order. What can I do now?
Answer:
It is enough you place a new order for SuperMemo Upgrade (the previous order will be cancelled). It would be helpful if you left a comment in the comments field and independently confirmed your intentions by sending an e-mail. Duplicated orders are always verified to clarify the intent of the customer

It is not easy to simplify the process by which you order SuperMemo (#5179)
(Garry G., Sat, Sep 01, 2001 7:29 AM)
Question:
Why did you develop such a complex order process? You should follow the example of Amazon.com
Answer:
The order process is outsourced to Yahoo and should be considered the state-of-art. The main difference and difficulty as compared with Amazon.com orders is that SuperMemo is a so-called soft-good item, i.e. it must be downloaded by the customer. As the download process is prone to error, the customer must be given several attempts to repeat the procedure in case of busy net traffic, line fault, software error, etc.. This introduces a second layer of complexity due to the need for the customer authentication (downloads cannot be open to unauthorized access). If the customer turns off the cookies or attempts to download from another location, Yahoo opts for authentication via the credit card number. However, this makes customers uneasy about the possibility of double charges. These are only a few of potential ramifications that stem from the present technological status of the Internet. As for the difficulty in installing SuperMemo itself, the responsibility for all complexities rests with our company. There are two choices at this stage: large downloads with a simple installer, or smaller downloads that self-extract. We opted for the latter as there are many users downloading via modem lines from countries where Internet access is very expensive. The self-extract installation steps are: (1) download, (2) extract (i.e. unzip), and (3) run. None of these steps can be skipped or simplified at this moment. We keep on looking for options and solutions that would make this process as smooth as possible. Even where there are no shortcuts to be found, we strive at making this up with improved documentation

You will not find SuperMemo CD-ROMs in an average computer shop (#5947)
(yxuequn, China, Mon, Jul 30, 2001 15:14)
Question:
May I buy SuperMemo CD-ROMs in Aalborg Denmark or Copenhagen?
Answer:
This is quite unlikely. With the exception of a few countries in Eastern Europe, SuperMemo is nearly extinct in traditional distribution channels. The best way to buy SuperMemo (including CD-ROMs) is via the Internet

Download again few months later
(magucci, Italy, Thu, Apr 25, 2002 21:12)
Question:
I need to download again SuperMemo 2000 I bought 6 months ago. However, I can't do it via SuperMemo Store, because when I am requested to write my order number, I get the message: Invalid number
Answer:
Customer verification in SuperMemo Store is possible only through the credit card number. However, all credit card numbers are deleted within two weeks. The Download button in SuperMemo Store has only been provided for those who have download problems while ordering. If you lose your program or data in later time, write to SuperMemoMail for further instructions

We never give your e-mail address away
(Gregory K., Wed, Jun 05, 2002 16:26)
Question:
Please do not give my email address to anyone else. My address is clear of junk mail
Answer:
We never do it. Please see: Privacy Statement

Yahoo Stores use credit card as the sole payment method
(Inga Bloksgaard Jacobsen, Denmark, Fri, Oct 05, 2001 7:09)
Question:
I would like to order SuperMemo for one of our PhD students, but your order-form doesn't allow me to skip the credit card field
Answer:
SuperMemo Store makes it only possible to order with a credit card. If you would like to pay by bank transfer please contact us via e-mail

Order ID for downloads
(Darren, Mon, Jun 10, 2002 8:03)
Question:
My order number is 4351. However, when I go to the download page, Yahoo is asking for an Order ID. I enter my order number as the ID, but I get an error message. Can you please tell me what Order ID I need to enter to get to the download page?
Answer:
You need to prefix the above number with supermemo. Your Order ID is supermemo-4351

Credit card number may occasionally be used for identification purposes
(Juarez Barreto, Brazil, Sun, Jan 06, 2002 14:49)
Question:
I have ordered the Free update, but I didn't understand. We have to pay for the update? I already have SuperMemo
Answer:
The update is free. Your credit card number is only used for identification purposes at Yahoo Store. There will be no charges on orders from qualified customers

16-bit Windows program message (#9872)
(Lazaros Nikiforidis, Greece, Wed, Jun 12, 2002 23:47)
Question:
I have purchased and downloaded SuperMemo and when I double click the downloaded program, I get the message: "Can't run 16-bit windows program"
Answer:
This message indicates that the file downloaded with an error. Please download again. Both SuperMemo and the compressed archive are 32-bit. When Windows tries to run the latter, it encounters errors in the file header indicating the program is 16-bit. Hence the problem

There are many ways to use SuperMemo free or get the newest version cheap
(michael, Thu, Dec 13, 2001 5:58 PM)
Question:
I hate to write this kind of letter but I could not afford to buy your software
Answer:
You do not need to pay for SuperMemo to use it. Your options range from using freeware to getting the newest version in return for contributing your own learning material to SuperMemo Library. For more details write to MONICA AT SUPERMEMO COM. You can also communicate directly with SuperMemo Library if you would like to contribute your own learning material: LIBRARY AT SUPER-MEMORY COM

SuperMemo abroad without a credit card (#13027)
(Slavko Bobek, Slovenia, Saturday, October 12, 2002 5:02 PM)
Question:
I use SuperMemo 7.2. If I decide to upgrade to new SuperMemo, can I buy it from the branch office here in Slovenia. I don't have a credit card, so I can't pay over the Internet
Answer:
If you do not have a credit card, you can contact SuperMemo Library (library @ super-memory . com) and develop learning material in return for the program. You can also use a bank transfer instead of using a credit card. Unfortunately, the partner company in Slovenia closed a few years ago

There are several reasons for which you may not have received order confirmation
(Hannan Fleiman, Wed, Jan 09, 2002 8:51)
Question:
I did not receive an immediate confirmation from you when I ordered SuperMemo
Answer:
The confirmation is sent automatically by Yahoo Store software. There are three basic reasons for the lack of immediate order confirmation (in order of decreasing probability):

  1. You have misspelled your e-mail address on the order form
  2. You have unchecked Send e-mail confirmation on your order form
  3. There were delivery problems with your e-mail address

If you do not receive a confirmation, it is recommended that you send a separate e-mail to ORDER AT SUPERMEMO COM with a request to verify your return e-mail address. If you do not receive any feedback within 2-3 business day, please write again and list your phone number. Rarely, mail bounces repeatedly from customer-specified addresses and we are unable to get in touch otherwise than by phone

You can use overpayment to order library products
(Bodo Kirchner, Germany, Wed, Jan 16, 2002 2:56 AM)
Question:
We have mistakenly paid twice for SuperMemo for Palm Pilot via bank transfer. Can we order a library custom mix without using the credit card?
Answer:
Yes. Please order your Custom Mix from the library (no credit card needed). Please send a notification to library@super-memory.com that your Palm overpayment should be used. You will receive further instructions from SuperMemo Library

What if you do not get a password?
(AnnS, Poland, Wednesday, January 02, 2002 2:13 PM)
Question:
Why haven't you sent me any password?
Answer:
If you do not receive a password within 2-3 days, the most likely reason is you have not specified a correct e-mail return address or the mail has not been delivered. Please write to SuperMemoMail. Quote your order number, registration number or other data that could help identify you as a registered customer. If you have lost all these, please write again for further advice. If you have experienced mail delivery problems in the past, it is highly recommended you include your phone number too

You can test-drive SuperMemo before you buy it
(Troy Arneson, Canada, Wednesday, August 28, 2002 3:47 AM)
Question:
Does SuperMemo for Windows have a 1 month trial feature?
Answer:
No, it does not. Instead, when you use a demo version of SuperMemo, you are given a credit of 100 points. Once this credit is used up, you will be asked to input the unlock password.
Unfortunately, due to persistent hacking, patch and crack releases, crack tutorials, and even overt password listing on publicly available websites, we provide only a trial version of the last but one release. To see SuperMemo in action, please download it here (for differences see: What's New in SuperMemo 2004)

SuperMemo works under Windows XP
(Man Kah Lok, Daniel, Singapore, Tuesday, October 08, 2002 8:46 AM)
Question:
Does SuperMemo run on MS Windows XP operating system?
Answer:
Yes, it does. For more information, see: Minimum requirements

Double orders are always subject to verification
(chaotica, Mon, Feb 04, 2002 15:18)
Question:
Sorry to bother you guys again, but I mistakenly double-ordered several days later, thinking that my first order didn't go through. Please cancel it and if you've pulled the extra order money from my credit card already, please refund it
Answer:
Doubled orders are detected automatically and verified for possible customer or network errors. In such circumstances, there should be no extra charges on the credit card. The duplicated order is removed from the record

Store prefix must be used as an Order ID
(FCF, Sat, Feb 16, 2002 0:24)
Question:
I cannot download my order. When I push the download button, it takes me to a new page that says Order Status on the top, but with zero information about any order. I don't know what my order number is, unless the 3706 in the subject line of confirmation e-mail is the order number. I've tried to use that number in the tracking window, but to no avail
Answer:
Most likely, you have not allowed Yahoo Store to leave a cookie on your computer and it could not recognize you automatically. Your Order ID must be preceded by the store name. In this case: "supermemo-3706" (without quotation marks). Once you provide this ID, your identity will be verified via the credit card used during the purchase. Independently, you can place another order for the same product and the previous one will be cancelled automatically. In addition, within a business day, your order will be processed and you will receive alternative download instructions from SuperMemo servers via FTP or HTTP

Upgrades differ in price, not in software usability
(Barbara Hayes, Tue, 12 Feb 2002 01:46:41 +1100)
Question:
I received an e-mail saying I ordered an upgrade of SuperMemo, when I ordered a full program (not an upgrade)
Answer:
Please read it as good news. Upgrades are cheaper and do not differ in functionality from the program ordered the standard way. Not all customers are aware of all upgrade options. If the store detects that the upgrade should be in force, it is automatically applied. In other words, the only difference is that you pay less for the product

You can easily change your order
(Olga Gribaleva , Friday, July 25, 2003 10:41 PM)
Question:
I ordered Advanced English 2002, but instead I needed to order SuperMemo 2002 + Advanced English 2002. How can I change the order?
Answer:
You can always change your order if it was made in error. The simplest method is to reorder and request canceling the erroneous order. You can best request a change in the comment field while placing a new order.

Alternatively, you can write to the address listed under Placing an order and ask for further instructions. In this case, you will receive instructions on how to download SuperMemo 2002. Your current order will be changed and you need to take no further action (except downloading SuperMemo)

Circular order process without a download
(Diane Smit, Sunday, January 26, 2003 4:09 PM)
Question:
How do I download the two products I've purchased? I seem to be in a circle of order and no download capability
Answer:
You should click the download button immediately after ordering. If you missed that stage for any reason, you can repeat the download, however, your identity will be verified by providing the credit card number. Naturally there are no additional charges at verification stage. If you miss the download and are asked to introduce your credit card number, you may be under the impression you are in a loop. If you are in any doubt, cancel your present order and repeat the purchase

Missing download file
(Dr. Urs Wirthmueller, Switzerland, Wed, Jul 03, 2002 9:34)
Question:
Download after purchase did not work! Please correct this immediately
Answer:
Here are some likely explanations:

  1. you missed the download icon that should show on the page displayed immediately upon the purchase
  2. there is a problem with your browser (e.g. it does not allow of the default download protocol)
  3. you are trying to download from behind a corporate firewall that disallows of executable downloads
  4. there has been a transient problem at Yahoo servers

See download problems tips. The simplest remedy is repeat the purchase and ask for the original order to be cancelled. If the problem persists, you might try to use another computer (e.g. from your colleague's home). Try to avoid replicating the problem by downloading from behind the same firewall

Why is there a cut-off date for a free upgrade?
(Bill, Non-Profit Organisation, Jun 14, 2004, 04:18:47)
Question:
Your free upgrade to SuperMemo for Pocket PC Version 3.0 for those buying after 12th of March 2004 is extremely insulting to those of us who had already bought Version 2.5 of SuperMemo for Pocket PC before 12th of March 2004
Answer:
As a rule, on the date of announcing a new version (here March 12), we offer all new buyers a free upgrade to the newest version. Without such a move, many would waste precious learning time on waiting for a new release. Instead of a sharp, cut-off date, we could allow of a smooth price transition, but this, as practise show, introduces lots of confusion with the transition math. In this particular case, the release was announced in advance to gather beta-testers for XML data exchange. All in all, this was the choice of lesser evil as suggested by the authors of the program

Permission to use SuperMemo on many computers
(Kevin, Germany, May 13, 2004, 10:56:24)
Question:
What is a site license?
Answer:
Site license is a permission to use SuperMemo on many computers at a single location (e.g. school, company, laboratory, etc.). SuperMemo World provides very attractive site licences that may range in price from free to a few hundred dollars for large institutions

Changes to customer address
(Michael, Mon, Feb 18, 2002 4:33)
Question:
I made a mistake in ordering SuperMemo. I put a wrong home address. What should I do now?
Answer:
E-mail your correct address to us. If you ordered a CD-ROM product, please do it at your earliest convenience to avoid shipping to a wrong address. If you ordered the SuperMemo program (download only), your address will manually be corrected in the database. Note that the cardholder address is meaningful only for American Express customers. We never send advertising information to your address. Rarely do we use snail-mail in cases were e-mail address loses validity and we cannot contact the customer with vital information (such as software unlock password, etc.)

You do not need to remember the unlock password
(Skimming, Glen, May 04, 2004, 11:29:20)
Question:
I have constant problems with unlocking SuperMemo. It should be a simple process which I feel you have made over complex, you download a file, and at one’s leisure enter the key and voila a working product. With SuperMemo, I have to enter the key again and again
Answer:
You will need your unlock password only if you move SuperMemo to a new location without your learning material. If you input the unlock password, you can freely move your SuperMemo and your learning material to any location. In other words, you can even forget there has ever been a password

You should save the downloaded files instead of opening it
(G.H., Saturday, August 03, 2002 4:30 AM)
Question:
I have problems with downloading SuperMemo:

  1. I click Download now button on your website's order page
  2. SuperMemo downloads
  3. I click Open
  4. The monitor screen turns completely black for about a second
  5. A window opens up "C:\SM2002\SM2002~1.EXE" -- this window only appears for a second
  6. All this takes me right back to where I started

Answer:
Instead of Open, you should use Save. Please follow the instructions as described here

You do not need to worry about your password or order number
(Namjoong Kim, Monday, July 15, 2002 2:34 AM)
Question:
I am moving programs to a new laptop, SuperMemo now shows the "register it" message. Can I get the password from you again. Can I now upgrade to new SuperMemo?
Answer:
It should be enough if you move any of your learning files with SuperMemo to retain all registration data. If you have ordered via www.super-memo.com, you can order an upgrade via the same store and choose Automatic verification that compares data fields from the old order. If you did not keep a back up of your learning data, or if SuperMemo Store does not recognize you automatically, select "Please help" option during the upgrade or write to to us for assistance. You do not ever need to worry about your unlock password or your order number

SuperMemo Upgrade is fully functional but cheaper
(Dylan Tsai, Taiwan, Thursday, October 17, 2002 8:55 AM)
Question:
Do I need to buy both sm2002 and sm2002 upd in order to use the newest version of SuperMemo?
Answer:
No. If you are already a user, you can buy only an upgrade. It is functionally identical and much cheaper. However, if you do not qualify for an upgrade, you will need to purchase the full version. Future updates and patches are free within a single line (e.g. SuperMemo 2000, SuperMemo 2002, etc.). In other words, you do not need to worry that you will get an earlier version that might include some undiscovered bugs. Bug fixes are free


FAQ: Sleep and learning

Frequently asked questions about sleep in learning
Do you have a question about sleep and learning? Write to Dr Wozniak, the author of SuperMemo
Last modified:

Most of the questions below refer to the article: Good sleep for good learning

Why do we sleep?
What is worse: not sleeping before or not sleeping after learning?
Alarm clock may hurt your learning ability
We fall asleep to optimize memory storage
Why babies sleep so much?
If you sleep a lot and are still sleepy: inspect your circadian rhythm first!
The best method for falling asleep fast is to go to sleep at the right time
Mid-day crisis is best resolved with a nap
It is possible to fall asleep immediately
Long naps may indicate sleep deprivation
You do not need more than one nap per day
The problem of waking up in the night
Can I drink coffee before a nap?
 6.5 hours of sleep per night might be just right
Sleeping in wrong hours may be as bad as not sleeping at all
To minimize time spent sleeping free run your sleep
Nap measurements can help you nap efficiently
Synchronizing your sleep with your bed partner
Should we avoid napping?
 You cannot remedy sleep deprivation by anything but quality sleep
Who learns faster: larks or owls?
Reducing sleep without alarm clock
How to improve evening alertness
Sleep length depends on the circadian phase
Worn-out syndrome is not likely in good sleepers
Which component of sleep is best correlated with the fresh feeling in the morning
If you wake up in the middle of the night, getting up to work may be a good idea
Free running sleep does not imply abnormal sleeping habits
Polyphasic sleep will not improve your cognitive performance
Beware of false claims on the net!
Sleep is needed for optimizing the memory storage
Free running sleep implies little stress
If you live crowded with others, you might still be able to free run your sleep
Sleep deprivation outcry is no exaggeration
Music and sleep
Afternoon downtime
The good sleep may not apply to you
You cannot "more or less" free run you sleep
All forms of sleep "regulation" should be avoided
Dreams of blind people help us understand the physiological role of sleep
Free running sleep is a blessing
Owls, larks and procrastination
Sleep period and genetics
Multiple awakenings in the night
Variable sleep length is an indicator of non-free-running sleep-wake cycle
25-hour clock
The main myth to clear out: Easy learning in Relaxation
The best way to minimize time spent sleeping is to free run your sleep
The function of sleep is not muscle regeneration
Free running sleep is best
Waking up short of breath may indicate sleep apnea

See the body of this file for more answers

Why do we sleep?
(Jose Miguel Molina, Sunday, September 23, 2001 10:49 PM)
Question:
Why do people fall asleep?
Answer:

If you ask about the purpose of sleep: we fall asleep for the brain to get a chance to rebuild memories stored during the day and associate these with previously learned things.

If you ask about the mechanism of falling asleep: it is not entirely understood. Some parts of your brain work by regularly stimulating and inhibiting each other. This produces a daily cycle of activity. Some structures are responsible for inhibiting those responsible for arousal. You get drowsy and the brain goes into a different mode of action: optimizing memory storage. After the work is done, your arousal center gets stimulated again and "get up and go" hormones enter the bloodstream. You are ready for a new day. For more details see Physiology of sleep section in Good sleep for good learning

Question:
I sleep seven hours per day and wake up with an alarm clock. I read that using the alarm clock may negatively affect learning. Is it true?
Answer:
There is a significant body of evidence that the you will get the best results in learning if you have your sleep out. Many individuals need eight or more hours of sleep. It is difficult to predict how damaging the alarm clock can be in your case. It will mostly depend on how much sleep your body actually needs

Question:
Why does this site not mention learning in the relaxed state? What is your opinion about alpha waves in learning? Do you recommend products like BrainWave Generator, Hemi-Sync, Holosync or Polish Sita biofeedback?
Answer:
We do realize that the proper cognitive environment is paramount for learning. However, for clarity we use the term concentration instead of an all-inclusive relaxation. It is highly recommended that you maximize your concentration by taking into account the following factors:

  • being cut off from all sources of interference in learning (telephone, e-mail, conversation, radio and even your favorite music)
  • finding the optimum circadian timing for learning (e.g. early in the morning in free running sleep cycle, late in the evening in DSPS individuals who cannot afford free running sleep, etc.)
  • all aspects of mental and cognitive health (e.g. stress avoidance, substance abuse, etc.)

The concept of relaxation is often associated with alpha wave learning which has attracted lots of companies that are more interested in their bottom line than their customers actual success in learning. EEG measurements can be used to generally conclude on the current state of the brain in the same way as you could detect bustling activity in a major city by scanning the surrounding electromagnetic field. The usefulness of alpha wave scanning in learning can be compared to the usefulness of electromagnetic field scanning for social life of a city. You need to focus on the causes rather than the symptoms. Alpha waves appear primarily in the absence of visual processing and other intense mental processes. This is why they cannot dogmatically be considered as a desired learning state. After all, the drowsy alpha state that precedes falling asleep is exactly the worst moment for learning during your day.

In evaluating the "relaxation products" you need to differentiate between the relaxation effect and the actual learning effect. The number of companies producing false claims in this field is astounding. It is very easy to fall for a simple solution to a learning problem (e.g. get 10Hz binaural beat difference and your learning problem will go away for life, and perhaps your sex drive will improve at the same time, you will sleep better and you will look younger). The easy learning solution explains why false claims related to "learning in relaxation" are so hard to extinguish.

At the same time, if you need to cope with stress or insomnia, many products in the field may have a legitimate application. Customers of the Polish Sita system jokingly claim that the company would do better if they marketed their product as a napping system. A worthy application on its own. If you know of relaxation products with legitimate claims and proven results, please let us know. We will gladly write about the subject or provide links from this website

Question:
It is well know that people can be divided into late sleepers, owls, and early sleepers, larks. Has there been any research to indicate what sleeping type has better memory?
Answer:
The conviction that people are inherently prone to be either larks or owls is wrong. Most owls would claim it is virtually impossible to shift to earlier hours of sleeps while larks just cannot keep their eyes open late in the evening. However, the main reason for this differentiation is not physiology but lifestyle. The stereotype is reinforced by the fact that it is indeed very difficult to shift the sleeping rhythm even by a few hours. If you try to force an owl to start getting up at 5 am, you will expose it to immense mental and physical torture that may quickly result in serious health consequences! However, with the right approach, an owl can gradually be shifted into an early riser mode! The shift must be gradual as no magic force can instantly override the body's internal clock. The main reason why owls are owls is that they tend to excitedly spend their time over a book, movie, or computer game till early hours of the morning. They enjoy the quiet of the night when they can pursue their passion. Subconsciously, they try to get as much of the night time for their pursuits as possible. Were it not for school obligations, family or a job, owls might easily shift to going to sleep at sunrise or later. This is why an owl will find it easy to go to sleep later and later, while it will be nearly impossible to gradually shift the sleeping rhythm in the opposite direction: it is 20-30 minutes earlier each day. For an owl to become a lark, the shift should go in the opposite direction. If an owl goes to sleep 1 hour later each day, soon it will cycle to sleep through the day and finally start getting up as early as 1-2 am. An owl can comfortably stick to such a cycle for quite long until its natural tendency to go to sleep later each day will not ruin it. Moreover, people isolated from external stimuli tend to fall into cycles slightly longer than 24 hours which also explain why it is easier to prolong the day rather than to shorten the night.
The above facts illustrate that there are no underlying physiological reasons for being of a particular sleeping type. The reasons are in the lifestyle and personality (which are both strongly connected). Owls may show lots of excitement for learning as this excitement is the main factor that makes them owls. On the other hand, larks can make better use of early morning hours where they can study in quiet at the time when their brains are most refreshed. The formula for better learning would then probably be to sleep in a way that brings maximum refreshment, i.e. without paying much attention to the actual sleeping hours

Question:
Is it true that it is better to get shorter sleep in the night and then take a few naps during the day?
Answer:
This approach is not likely to benefit your health or learning. Most of all, you should not artificially shorten the night sleep! As for the naps, there is only one major trough in alertness during the day in siesta time (at least in healthy adults). Taking more than one nap is not likely to be needed. Experts on insomnia argue against naps as these may keep people up at night. If your nap lasts only 5-30 minutes and does not affect your ability to fall asleep in the night, it will probably help you be more alert in evening hours. See: Good sleep, good learning, good life

Question:
 Isn't Good sleep for good learning article overly dramatic? Most of my friends cut their sleep with alarms during the week and they aren't dumb people!
Answer:
The cigarette metaphor is very useful to understand the problem of sleep deprivation. A cigarette smoker will often tell you: I feel great when I smoke! I cannot imagine life without cigarettes. I do not think it is unhealthy. If it is, why does it make you feel so good? Only epidemiological research demonstrates the multi-billion dollar impact of smoking on the economy. Similarly, seriously sleep deprived people feel miserable enough to succumb to their body clock demands. When they get a chance to catch up, many report feeling better than if they had not been sleep deprived in the first place. It is nearly impossible to notice a damage to memory consolidation. Only scientific research reveals the truth, and the true societal cost of sleep deprivation and shift-work still remains to be fully quantified

Free running sleep implies little stress
(M.Zmuda, Poland, Fri, 8 Feb 2002 10:17:03 +0100)
Question:
If any change is stressful, can free running sleep be stressful too?
Answer:
Saying that any change is stressful is a generalization going too far. Changing your T-shirts daily does not imply stress. In addition, the degree of change is important. The same change can produce overstress or be a welcome factor in life depending on its degree. Watching news on TV can provide a creative adrenaline-based incentive. Watching September 11 news might have left people in overstress for weeks. Letting your sleep free run does not imply any degree of stress, unless free running sleep itself produces changes in your schedule that might be stressful. If you eat your moderate meals frequently when you feel hungry, you are likely to experience less stressful change than when you eat them at pre-set lunch hours. Free running behaviors, by definition, free your organism to adapt to its internal needs. As such, these can be considered anti-stress factors. It refers to sleep, eating habits, exercise, and other physiological needs

Question:
 The Good sleep for good learning article says that I cannot remember if I do not sleep. However, when I do not get enough sleep, I have problems with concentration, most of all. What is worse then, not sleeping before or not sleeping after learning with SuperMemo?
Answer:
Despite what is written in Good sleep for good learning about memory consolidation in sleep, not sleeping before learning would probably be more expensive in terms of lost work. If you do not sleep after learning, you will not consolidate memories and this will most likely affect retention of new short-interval material. However, if you do not sleep before learning, you will dramatically decrease your retention in a given session. This will naturally not be a result of forgetting. It will simply result from problems with focusing on the material and getting poor scores on otherwise well-remembered material. Consequently, many long-interval items will reenter the learning process with short intervals. This always significantly increases your workload

Question:
 Do babies sleep so much because they're learning so much or are they learning so much because they are getting so much sleep?
Answer:
Both. Intensive learning increases the demand for sleep and the learning results are impressive thanks to the great deal of sleep babies get

Question:
 I read that too much sleep may result in a "worn-out syndrome". Good sleep for good learning article seems to contradict it! What is the explanation?
Answer:
The "worn-out syndrome" can be observed when a heavily sleep-deprived individual sleeps unusually long (above 13 hours). It is very difficult to persist in long-sleep routine as the sleep-regulating mechanism will quickly regulate the length of sleep to a more typical length. On one hand, the "worn-out" syndrome might seem to persist if the sleep period is wrongly adjusted to the circadian cycle (see the section on hypersomnia above); on the other hand, the "worn-out" observation is usually produced by those who cannot get enough sleep during the week and then sleep long on the weekend. In the latter case, follow-up observation is often impossible due to next week's obligations. This deepens the wrong conviction that too much sleep is harmful. Healthy individuals cannot take "too much sleep"! Their brain will simply produce natural waking up at the right time

Question:
 Sometimes I sleep over 9 hours and still feel tired. Usually 8.5 hours is enough for me. What could be causing it?
Answer:
Most probably you are sleeping against your circadian cycle. This could occur most likely after a major shake-up in your sleeping rhythm (e.g. after a few all-nighters, or a few days of waking up very early with alarm clock, etc.). Try to stick to regular sleeping hours and understand your circadian cycle. Many long-sleepers occasionally do not get enough despite sleeping quite long. Trivial factors such as stress or weather can easily put you out of synch

Question:
 I live in a small apartment with my parents and two brothers. I cannot use your advice on free running sleep. It would be impossible to coordinate with the rest of family
Answer:
You can still try to free run. If your sensitivity to zeitgebers (esp. light) is good, you do not necessarily have to run in non-24 hours cycles

Question:
 If I did not use alarm clock for my after-dinner naps, I could wake up at 10 pm! This is not realistic!
Answer:
If your nap launches you into a 4-5 hours sleep, you are dealing with a case of severe sleep deprivation! You should start off with getting enough sleep in the night. In other words, you need to give up the alarm clock in the morning as well. If you use the alarm in the morning, you enter into a vicious cycle of sleep deprivation and perpetual dependence on the alarm clock

Question:
 What for should I measure the time between night sleep and the nap? Can't I just nap when I'm tired?
Answer:
Napping is a skill. Many people cannot nap even if they are sleepy. Measuring the time should help you optimize the timing. Optimally, your tiredness will not be visible enough to easily guess the optimum timing. If you measure the time between night sleep and the nap, you will notice that the length is always the same (variations depend on the quality of sleep in the night). In other words, this helps you figure out the timing of your circadian dip even on days when you do not feel tired

You cannot remedy sleep deprivation by anything but quality sleep
(luisgustavo, Brazil, Thursday, January 03, 2002 4:42 PM)
Question:
Perhaps short periods of sleep deprivation are bad because they are a source of stress. But how bad it can be depends on how can you handle stress
Answer:
It is true that the turmoil in the cortisol-epinephrine system will make you more susceptible to stress in sleep deprivation, but it is not true that stress management can be a solution to sleep deprivation. It is true that a good diet might improve the health of a smoker, but diet alone does not solve the problem of smoking. The only ultimate solution to smoking is no smoking. Similarly, the only ultimate solution to sleep deprivation is sleep

Question:
 I like the idea of free running sleep. It seems to work nice. I work from home and getting up late is not a problem. However, how do I synchronize with my wife?
Answer:
If you both try free running sleep, your will often be surprised to find out that it is easier to synchronize with each other than with the rest of the world (esp. if you have similar interests and daily routines). Probably one of you will just get up slightly earlier and work as a strong zeitgeber for the other. The problem will appear only when the length of your cycles differ substantially. In such cases, instead of being a zeitgeber, the other person becomes a substitute for an alarm clock

Question:
 I have read hundreds of articles on the web and they all say that naps should be avoided! Good sleep for good learning article seems to say the opposite
Answer:
You are probably referring to articles related to insomnia. Indeed, people who have problems with falling asleep in the evening, report that avoiding naps makes the problem less severe. However, this is nothing else than promoting night sleep by increasing daytime sleepiness. In free running conditions, naps usually come early, are short and do not affect the ability to fall asleep quickly in the evening. On the other hand, they certifiably increase the intellectual performance in the second half of the day (cf. Aschoff, Dinges)

Question:
I heard a fatigue expert say that she recommends coffee just before the nap. Good sleep for good learning article contradicts this. How do you explain that?
Answer:
Probably the expert referred to a quick restorative nap, e.g. in case of a drowsy driver. Good sleep for good learning article tries to find the optimum for your intellectual performance. If you drink coffee before the nap, you are likely to awaken earlier as soon as caffeine starts kicking in. This may be a desired effect if we are in a hurry to combat fatigue, and the degree of refreshment may be comparable. However, an optimum nap in a free running cycle will naturally last no more than 30 minutes, and its effect may be short-lived if it is artificially cut short with a cup of coffee

Question:
I read on the net that there are systems that can put me in theta brainwave. 30 minutes of theta is supposed to replace four hours of sleep. Is this true?
Answer:
No. This is a false claim that has no scientific basis whatsoever. Similar claims should disqualify the site your are visiting as a reliable source of information. As a counterbalance, we would rather recommend: Skeptic's Dictionary for the New Millennium with valuable information on how to critically evaluate web content. Interestingly: Theta waves correlate with learning which increases the demand for sleep

Question:
If I wake up early in the morning, say at 4 am, what is the recommended course of action? Shall I try to fall asleep or get up and work?
Answer:
Probably you should make your decision on the basis of how fast you believe you would be able to fall asleep. If you do not think the sleep is coming soon, it is definitely better to get up and work. This way you will gain in three ways:

  1. get tired and sleepy faster (work is more likely to make you drowsy)
  2. you will not get anxious about getting asleep as soon as possible
  3. you will not waste your precious time on futile tossing and turning

The best method for falling asleep fast is to go to sleep at the right time
(Zarish Hamid, Jul 23, 2001)
Question:
How can I fall asleep faster without having to think so much about what is happening in my life?
Answer:
There are two weapons against racing thoughts before sleep:

  1. stress-management, i.e. learning to avoid or manage stressful situations
  2. sleep-management, i.e. improving the quality of sleep

As for sleep management, there is only one sure method: to fall asleep quickly, you have to go to bed at the right time. Racing thoughts are an indication that you went to bed too early, i.e. not being in the right moment of your sleep cycle. If you are extremely tired due to sleep deprivation, it may still not be enough to fall asleep. A huge number of people go to sleep very tired but cannot fall asleep due to stress or due to worrying about how little sleep they will get. The best solution to this problem is free running sleep, i.e. going to sleep only when you feel you will fall asleep immediately. However, this method, for majority of younger people, will result in getting up later and later. In other words, it is incompatible with a normal lifestyle. In such cases, the problem is unsolvable. You need to put up with a degree of stress before sleep, some insomnia and some sleep deprivation. Various methods exist to alleviate the problem (e.g. timing exercise, bright lights therapy, etc.) but they do not resolve the core problem. Only a change in lifestyle could provide a satisfactory answer

The function of sleep is not muscle regeneration
Question:
According to what I've read in body-building literature, sleep is necessary for muscle growth and repair
Answer:
If you do not get enough sleep, your body building effort will be ruined. That is true. However, the only known evolutionarily justified function of sleep is the optimization of the memory storage. In other words, your muscles need your sleep, but you do not sleep because of your muscle needs. For the organism to cope with muscle regeneration, there is no need to shut off the central nervous system, and make you unconscious for a third of your life. If REM paralysis was to play this role, it could be enforced at the level of the medulla oblongata without making you unconscious. If growth hormone secretion was to play a role, it can also be upregulated in abstraction from the state of the central nervous system. You may list many other benefits of sleep for muscular regeneration but none will require the state of sleep itself. Using sleep for muscle regeneration would be as sensible as shutting down the government in order to fix a highway. The belief in the role of sleep in regeneration comes from the feeling of being "broken down" and "unrefreshed" once you do not get enough sleep. However, you do not feel crushed because of the damage inflicted by the lack of sleep. Your state is simply your body's own defense against not getting enough sleep. You can cheat those defenses to a limited extent with caffeine or by waiting for the suitable part of the circadian cycle. No real harm is done. One night of good sleep, and your body is back to shape. The only true damage inflicted by sleep deprivation is to the fabric of your memory. Unfortunately, this damage is imperceptible, and the universal perception is that sleep is cheap and can easily be dispensed with

Sleep is needed for optimizing the memory storage
Question:
Last I heard, it was an enormous mystery to sleep researchers what the purpose of sleep is, though there were a number of theories. If you search Encarta Online, you will read "Although no one knows for sure why we sleep, there are a number of theories"
Answer:
Your perception is not unusual. As with all inventions and theories, they go through some teething trouble and then wait long for a social invention. Some inventions are accepted and developed quickly (e.g. Guttenberg's print, Tesla's AC current, etc.), others linger for years in oblivion (e.g. Babbage's "computer" or Tesla's or Nelson's "WWW"). Some theories are obviously correct and are accepted quickly (e.g. Newton's laws of gravity), others linger for decades due to (1) lack of "convincing" evidence (e.g. Wegener's continental drift), (2) religious considerations (Copernicus's heliocentric system, Darwin's theory of evolution), or plain bad luck (Mendel's laws of genetics). Luckily, the evidence for the role of sleep in learning is so convincing, that no serious scientific conference on the physiology of sleep will include more than a few mavericks with their own alternatives. Naturally, every community has it Peter Deusberg who can put the spanner in the works. Hence the editors of Britannica or Encarta must exercise extreme caution in adopting recent scientific findings. A statement "there are many theories of sleep" is safe and obviously true. However, the research community is more than a decade ahead of this statement, and the focus is not on if, but on how. Incidentally, the Encarta articles on sleep were contributed by Prof. Jerome M. Siegel, perhaps the best known opponent of the position that sleep is involved in learning

Free running sleep is best
(Mariusz, Poland, Sunday, July 29, 2001 8:34 AM)
Question:
What will bring more benefits: free running sleep or ultra-dian rhythm of 4 hours? Why?
Answer:
By definition, free running sleep is best. After all, it is dictated by your body's internal clock. 4-h ultradian rhythm has been invented by sailors who had to stay awake for long stretches of time. Ultradian rhythm is unnatural and can be quite unhealthy. For ultradian sleep to be harmless, you would need to first entrain it and then maintain it with free running sleep. If you try it in real life, you will get a very definite answer to your question

Mid-day crisis is best resolved with a nap
(anonymous, Mon, Aug 13, 2001 22:38)
Question:
Each day there is a moment when I am unable to focus on some task, get tired, and less effective. Drinking coffee does not help. What should I do?
Answer:
First thing to try is a mid-day nap. If the crisis point arrives in between 5th and 9th hour of your waking day, retiring to a peaceful location for a nap (without an alarm clock) is highly likely to solve the problem. Try to time your main meal before the nap. If napping does not help, you should carefully analyze your sleeping schedule and read: Good sleep for good learning. You probably do not need to seek professional help unless your problem cannot be resolved with free running sleep or if you cannot afford napping or free running sleep

Dreams of blind people help us understand the physiological role of sleep (#6188)
(Terry, Aug 31, 2001)
Question:
Do blind people dream?
Answer:
Yes. Their dreams are more auditory and tactile in nature which confirms the role of REM in replaying daily experiences and optimizing memories. They do not show the typical eye movement pattern in REM sleep either

Reducing sleep without alarm clock
(Mohammed, Pakistan, Sunday, April 14, 2002 2:34 PM)
Question:
Is it possible to reduce sleeping hours without using alarm clock?
Answer:
Yes. If you free run your sleep, the quality of your sleep will increase, and your average sleeping time is likely to decrease (as compared with sleeping it out in irregular rhythm patterns). You can also reduce your sleep time by intending on waking up early. However, thinking of getting up earlier is stressful and may negatively affect the quality of sleep.

Afternoon downtime
(M.A. Khan, Sunday, April 14, 2002 2:34 PM)
Question:
My peak time for learning is from 7:00 pm to midnight. I don't feel sleepy and my mind runs like a tiger. My problem is that when I come back home from the university at 3:00 pm, I am always less effective. Then I try to get some sleep
Answer:
Your being less alert at 3 pm is quite natural. Most of us experience a trough in alertness around that time. Your peak evening performance might indicate a minor DSPS problem, which is also quite typical for studying adolescents. If you get up without an alarm clock in the morning, you have nothing to worry about. You can use your low after-school time for some more relaxing activity. No need to feel guilty about it!

6.5 hours of sleep per night might be just right
(T.J.Jensen, Feb 23, 2002)
Question:
You disagree with the recent study on the optimum length of sleep. I understand your point. However, Dr Kripke says that those who sleep 6.5 hours per night should not worry. I sleep just about that. Why do you say I have reasons for concern?
Answer:
Probably you have misread our message on optimum sleep. No one should worry about sleeping 6.5 hours or even 4 hours, as long as he or she sleeps naturally, wakes up naturally and feels refreshed. The key point then is in how you get your 6.5 hour. If you wake up without an alarm clock and feel alert throughout the day, you have all reasons to call yourself a good or even excellent sleeper (few people can live without an alarm clock). On the other hand, if you wake up with an alarm clock and feel tired, you are certainly doing yourself a harm. There are naturally many stages in the middle which cannot be answered through a simple FAQ. It is not how much we sleep but how we sleep. Our message is mostly targeted against the use of alarm clocks and sleeping pills in regulating sleep

Waking up short of breath may indicate sleep apnea
(Jose Miguel Molina, Sunday, September 23, 2001 10:49 PM)
Question:
My Mom is 50 and looks healthy. However, every night when she goes to sleep she would wake up short of breath as if always coming from a nightmare. She would say she feels like she's falling to a deep valley
Answer:
The symptoms described are typical for sleep apnea. This means that your mother may have a problem with breathing during sleep. This wakes her up and ruins her sleep. Exercise, sleeping on the side, and weight loss may help in mild cases, but do not fail to insist your mother see a sleep expert. Sleep apnea may result in an increase in blood pressure and a heart condition. A patient may look healthy and normal, but in the long run his health may suffer substantially

Music and sleep
(Mohammed Asad Khan, Thursday, May 02, 2002 1:01 AM)
Question:
I want to be awake for 3 days with the help of my favorite music? Is it possible?
Answer:
Unless you do a research on ravages of sleep deprivation, you should never force your body to go against your natural sleep-wake cycle! The longest natural waking period rarely goes beyond 20 hours. Beyond that you must go to sleep. Otherwise you will negatively affect your health and learning. You can use music as an invigorating factor though. The rules applied here will be similar to those for using coffee: never use music, coffee or other stimulants to prevent descending circadian sleepiness. Use mild stimulants only on the ascending circadian after you wake up from the night sleep (or after a properly timed nap). In simple terms you can help your body wake up, but you cannot try to prevent it from going to sleep!

You cannot "more or less" free run you sleep
(Bart, Netherlands, Sunday, October 07, 2001 10:35 PM)
Question:
I have been struggling with getting a good quality sleep for years (my symptoms resemble DSPS). I more or less followed a 'free running sleep' during my student years: every night I went to bed later and every morning I woke up later until I would go to bed at around 5 am. But I just could not continue this shifting scheme. So I always tried to go back, with getting up early and slowly changing my rhythm
Answer:
Your actions are understandable and typical for DSPS. However, you cannot "more or less" free-run your sleep. Once you try to "go back" to the old rhythm, you violate free-running sleep principles and you cannot call it free running sleep any more. Your experiences will not translate directly to the free running condition. In other words, to draw your conclusions on free running sleep, you have to truly give up the alarm clock and all other forms of regulating sleep (e.g. going to sleep later than natural, etc.). If this is not possible in standard circumstances, you could try during the nearest vacation. If you collect data on your sleep cycle, please forward for analysis and further comments

All forms of sleep "regulation" should be avoided
(ZM, Thu, Nov 29, 2001 12:00)
Question:
Even without an alarm clock, I noticed that late falling asleep gives me a bad night. I usually get up at 6-8 no matter when I fall asleep. After one New Year's Eve, I fell a sleep at 7, and got up at 8
Answer:
Yes. This is exactly what you should expect in a healthy individual. Your arising hour is strongly dependent on your circadian cycle and it is only slightly shifted by going to sleep late. As much as an alarm clock, delaying sleep is also a form of sleep regulation and should be avoided. The only exception is when delay is executed in order to fit the circadian cycle. Delaying retirement may be less drastic than using the alarm clock (the sleep cycle is not interrupted artificially), but is also highly detrimental to sleep quality. As for your New Year's Eve, you would better wait until the next sleep cycle and go to sleep, for example, only at 15-19, so that your strong homeostatic sleepiness would let you sleep until your evening circadian low kicks in giving you many hours of sound sleep. Better yet, you could cut your party short at an earlier hour

The good sleep may not apply to you
(B.D., Poland, Tuesday, February 26, 2002 1:46 PM)
Question:
What can I do living with my wife and son in one bedroom apartment? I can only try to get rid of the alarm clock, but still most of my wake-up calls come from my son being hungry
Answer:
Admittedly, most of the principles of good sleep are impossible to meet for many. In richer countries shift work, stress, or family life are to blame. Elsewhere poverty or little understanding of health matters are only a few of factors that make good sleep so elusive. For young parents, a child is a factor that adds an insurmountable challenge. Probably all you can do is to maximize love in the household, try to take rational duty shifts with your wife, and get as much sleep as you can whenever there is an opportunity. With time it will become easier and easier to synchronize the family life and give everyone a chance to begin the day all smiles

Sleeping in wrong hours may be as bad as not sleeping at all
Question:
If deviations in habitual sleep time produce performance losses equivalent to those produced by shortened sleep (Taub & Berger, 1976), does it not imply that sleep deprivation is not as important as the disruption to the circadian cycle itself? Perhaps sleep is not as important as keeping the circadian rhythm?
Answer:
No. It is true that sleep in wrong hours may be worse than no sleep at all but this only indicates that sleep needs to be properly synchronized with the circadian cycle to play its physiological function. A delicate neurohormonal balance triggers individual phases of sleep that interplay in optimizing memory storage. The quoted research should only strengthen the conviction that the societal damage produced by alarm clocks is enormous

Free running sleep is a blessing
(luisgustavo, Brazil, Thursday, January 03, 2002 4:42 PM)
Question:
Sleep is important, but there is no conclusive study showing temporary sleep deprivation is terrible
Answer:
You are right that there is no evidence of "terrible" damage produced by sleep deprivation (except for horrifying truck accident statistics, airtime disasters, etc.). However, if you ask anyone who tried free running sleep for more than a month about the cost of sleep deprivation, you are likely to hear a very definite private research conclusion: "Never back to the days wasted by lost or irregular sleep". The contrast between good sleep life and bad sleep life is so dramatic that you will find no one who hesitates about the difference once it is exposed in practice. As adrenaline and cortisol are good masks for sleep deprivation, the above is particularly true in creative professions with mild to severe adrenaline deficit

Free running sleep does not imply abnormal sleeping habits (#7136)
(M.Zmuda, Poland, Fri, 8 Feb 2002 10:17:03 +0100)
Question:
Is there a big difference between a normal sleeper and a free running sleeper, if the normal one:

  • is woken up by sunshine
  • doesn't use any drugs
  • sleeps enough for his/her body (could be 6 or 9 hours)
  • takes naps (if feels the need)
  • uses the same sleeping hours
  • avoids stress
  • feels rested after sleep
  • and lets body use zeitgebers

Answer:
What you have just described as a "normal sleeper" is by all standards a lucky free running sleeper. The main criterion of free-running sleep that has not been listed above is if the "normal sleeper" uses an alarm clock. If you do not use an alarm clock or other sleep control tricks, you are a free running sleeper. As you indicate that your "normal" sleeper "sleeps enough", he or she is not likely to use an alarm clock that would cut the natural sleep. As he or she "feels rested", the sleep is most likely healthy and physiologically sound. As he or she "listens to zeitgebers", the sleep again seems to be regulated by natural factors. Your "normal sleeper" can be considered lucky because in addition to using natural sleep, he or she is able to sleep in regular hours, is rested and wakes up with sunshine. As many people suffer from a degree of DSPS or ASPS, your "normal" scenario may be difficult to reach for many. The DSPS/ASPS problem is particularly painful in the student community, in overstressed working population as well as in many elderly

To minimize time spent sleeping free run your sleep
(Virgil, Monday, June 24, 2002 8:58 AM)
Question:
I've come across many evangelists for the polyphasic sleeping schedule (some articles use the name "Uberman sleep schedule") as adopted by Edison, Da Vinci, etc. I've seen various modifications of both of their sleeping schedules:

  1. Da Vinci method, briefly, required the person to operate on a 4-hour basis. At the end of every 4-hour wake phase, the person sleeps for 15-30 minutes
  2. The modified version is called CyberSleep. The person sleeps between a half-hour to one-hour. The method also requires an extended sleep of 2 hours during the early morning period
  3. Minors and Waterhouse (1981) proposed a method based on an 8-hour total sleep time. The anchor methods requires sleep to be "anchored" to an unvarying 4-hours of sleep every night at the same time, but allows the remaining 4-hours to be taken at any other time during the day, as the person desires. The "flexible" 4-hour portion must be used as a whole and not fragmented into component naps.

Are these sort of esoteric and unconventional sleeping schedules good ideas to emulate or not? I would love to cut down on the amount I sleep
Answer:
Polyphasic sleep is highly "recommended" to those who want to contribute to the understanding of sleep at the cost of their health and intellectual performance. All forms of sleep enforced with an alarm clock will increase your overall demand for sleep. This means that either you will sleep longer or you will feel more miserable. Artificial sleep schedules will dramatically reduce your mental capacity. A healthy individual in normal conditions will find it difficult to fall asleep 4 hours after the main sleep episode unless that episode was unnaturally cut with an alarm clock resulting in sleep deprivation. Polyphasic schedules are very appealing in theory, and many people try them out just to give up within a week or a month (depending on the ability to suffer through the mental misery). Those who try to adjust to any unnatural schedule will suffer an unspeakable torment of the mind. They regulate their sleep with an alarm clock until they reach the breaking point. When scientists did a similar thing to rats, the end result was fatal within three weeks. Human self-experimenting guinea pigs collapse into a sound life-saving 5-8 hour sleep towards the breaking point and then resume the polyphasic schedule with a sense of guilt. That sense of guilt is calmed with exculpatory terminology such as "weekend break", "re-energizer", etc. Polyphasic experimenters may happen to sleep less but their intellectual performance will be dramatically undercut. Polyphasic sleep theories are based on the false premise that the body can adapt to any sleeping rhythm. Scientists have studied the so-called phase response curve of the circadian rhythm, where the impact of various sleep affecting factors is shown to move the sleeping schedule forward or backward. The obvious conclusion is that we can rather painlessly move the major circadian low little by little in a desired direction. However, a healthy normal individual will not be able to chop the rhythm into a desired number of pieces. Monophasic sleep or biphasic sleep are the norm in healthy individuals. Biphasic sleep is rarely composed of two major episodes. Usually it has a form of a major episode (nocturnal sleep) and a minor episode (siesta). What great inventors might have experienced is irregular sleeping schedules in condition of hypomanic excitement. In such conditions, sleep may become fragmented, but it will still not submit to designer schedules. Great catnappers nap when they feel they need to. Often, they can accurately predict when and how much they will need to catnap. If you want to minimize time spent sleeping and maximize your learning results: free run your sleep. Get rid of the alarm clock!

The problem of waking up in the night
(Chris I., Hungary, Nov 03, 2002)
Question:
Why do I often wake up in the night?
Answer:
If you wake up during the night, you should identify and eliminate possible reasons, esp. if you appear to wake up tired. The reasons and the way to diagnose them are too many to describe in a short answer. However, you should always start from the simplest one: problem with the circadian rhythm. In simple words, the timing of your sleep may be wrong. Partitioning of sleep is a typical symptom of going to sleep too late or going to sleep too early. If you are healthy, in free running sleep, you will rarely wake up during the night; and if you do, the reasons will be quite obvious such as: stress, noise, thirst, coldness, full bladder, etc. However, if you attempt to regulate the timing of your sleep, the partitioning of sleep (i.e. interrupted sleep) will be a frequent result. It is possible to push your sleep slightly ahead or back (e.g. 15-25 minutes per day) without this negative outcome. However, once you try to push too hard (e.g. more than an hour per day), partitioning is almost inevitable. If you push backwards (i.e. going to sleep earlier and earlier), you will likely wake up early in the night, i.e. before your circadian low ensures deep sleep. On the other hand, if you push forward (i.e. going to sleep later and later), your circadian low will end before you complete your sleep cycle. As a result, you will often wake up earlier than expected. If this waking up happens very early (when you push ahead very hard), you will be tired enough to fall asleep again. In other words, whichever way you push your sleep, it will not be properly aligned with your circadian rhythm. You will then wake up early or late in the sleep cycle depending on at which end the misalignment occurs. In a vast majority of cases, waking up problem can be resolved by going to sleep at the time when your body calls for it. However, if free running sleep does not remedy the problem, you may need to consult a sleep disorders expert

Sleep period and genetics
(Robin C., United Kingdom, Fri, May 31, 2002 0:44)
Question:
I am sure that the free running sleep period is not entirely determined by genetics
Answer:
You are right. Various factors in the daily schedule are able to shorten or lengthen the period. Of the obvious ones, bright light in the morning or melatonin in the evening may shorten the cycle. Exciting activities in the evening will lengthen it. The period changes slightly with seasons. It will also change when you leave on vacation. It often gets shorter with age

Sleep length depends on the circadian phase
(Dr J.N., Jun 14, 2002)
Question:
Does the sleep onset hour affect the length of sleep?
Answer:
It may but it does not have to. The most powerful factor affecting the length of sleep is the circadian phase. In a normal patient, the circadian rhythm is aligned to the 24 hour period. Thus the sleep onset hour will be directly related to the length of sleep. Maximum length of sleep will occur with the sleep onset falling roughly between 22 and 3 am (depending on the individual rhythm). However, in a free running DSPS patient, this relationship is lost. In DSPS rhythm, the graph of the function of the sleep length vs. the sleep onset hour is horizontal, i.e. the length of sleep does not change (on condition the rhythm is running free without a disturbance). Here are a simple rules to determine the expected sleep length:

  • The maximum quality of sleep is achieved when the sleep begins during a strongly ascending circadian sleepiness
  • The shortest sleep is achieved when it is initiated towards the end of the circadian sleep propensity
  • The longest (but not necessarily most refreshing) sleep is achieved when it is initiated well before the ascending sleep propensity

Never go to sleep when you are not sleepy. Never force yourself to work through high sleepiness. If feasible, always go to sleep when you feel your body wants to go to sleep

Which component of sleep is best correlated with the fresh feeling in the morning
(Terry, Jun 15, 2002)
Question:
Which phase of sleep is most important for the fresh feeling in the morning?
Answer:
Stage 4 NREM sleep ("deep sleep") correlates strongly with feeling fresh. However, a proper structure of sleep is also vital. To get lots of Stage 4 NREM: adhere to your circadian rhythm, exercise, and avoid NREM-suppressing medication. Although you get lots of NREM early in sleep, cutting down your sleep with alarm clock will likely take away all freshness as soon as the homeostatic sleepiness kicks in. For that reason, you should sleep as much as your body wants to

Owls, larks and procrastination
(Monica White, Oct 04, 2002)
Question:
Is it true that owls are greater procrastinators than larks: http://dubinserver.colorado.edu/prj/jph/index.html
 Answer:
The presented mini-survey is flawed. Depending on the elected population sample, the correlation might yield highly varied results. There might be a link between a circadian type and procrastination. Obviously, people who sleep poorly are more likely to procrastinate. This comes directly from an impaired prefrontal control in sleep deprived people. However, it would seem likely that all forms of departure from the standard 24 hours entrainment would affect executive control. This way, "normal people" should be best at executing their own resolutions. Departure towards both DSPS or ASPS might negatively impair self-discipline. As distribution of DSPS and ASPS in different age groups varies, running a survey among students is likely to link owls with procrastination. However, the same survey among retirees might yield an opposite result. ASPS is by far more frequent in older people due to inherent changes in the circadian cycle that occur with aging. Naturally, free running sleep is likely to dissolve the link between morningness and procrastination. In conclusion, good night sleep is certainly a good remedy against procrastination

It is possible to fall asleep immediately
(valeko, Apr 15th, 2002 at 09:18:23 PM EST)
Question:
It seems that a good sleeping rhythm relies on the ability go to asleep immediately, which I do not have, even in the most tired physiological state. It takes me around one hour to fall asleep, almost regardless of how tired I am
Answer:
You need to remember that your "sleep tiredness" has two components: homeostatic and circadian. You believe that you are awfully tired, but if this is only a homeostatic tiredness, you can toss and turn for many hours. Homeostatic tiredness grows quickly in conditions of sleep deprivation, while circadian tiredness comes only at a specific time in reference to your body clock. If you are tired of wakefulness but your body clock is not ready, you will not fall asleep. Free running sleep resolves this problem in majority of cases. It might not work if there is an underlying health problem (e.g. excess catecholamines, thyroxin, cortisol, overstress, etc.)

Multiple awakenings in the night
(Diane, Sunday, June 09, 2002 2:49 AM)
Question:
I have a recurring sleep pattern, which I do not understand. There are times, sometimes for a few weeks at a time, where I will go to bed at a normal hour (9-11pm). I go to sleep when I'm tired. However, after sleeping 4-5 hours, I wake up briefly every hour. I am awake for just a minute, then go back to sleep. I typically will get up around 6:30am. So, a typical night in this scenario might look like this:

  • 11pm - go to bed
  • 3am - wake up, may include trip to bathroom
  • 4am, 5am, 6am wake up for a minute, go back to sleep
  • 6:30am wake up w/o alarm clock, generally refreshed

Answer:
There does not seem to be anything troubling in the above rhythm. The best part is that you wake up without an alarm clock and feel refreshed. The brain has a top-quality system to let you know when you did not get enough sleep; you just feel miserable. Multiple awakenings during the night are not unusual. However, most of us are not aware these short breaks ever happen. If there is a trip to the bathroom in the meantime, reducing fluid intake 2-3 hours before sleep might help (naturally). You seem to get a good 4-5 hours of deep sleep and then wake up briefly after periods of REM-rich sleep. Nothing in that rhythm indicates departure from the healthy brain physiology. The periodicity of the above symptoms could be related to seasonal or temporary changes in hormone levels. On the face of it, you got nothing to worry about. Nevertheless, it is always a good idea to seek second opinion in health matters

How to improve evening alertness
(jona, Netherlands, May 11, 2004, 20:11:00)
Question:
Do you have any suggestions on how to acquire optimum alertness at a, for me, unusual, evening time of the day?
Answer:
You will always obtain best alertness if you adapt the timing of activities to your natural rhythm, and not if you try to adjust your body clock to the outside world.

A simple alertness booster, such as caffeine is only likely to last for a short while, it is not likely to eliminate the reduced capacity for learning, and worst of all, it could interfere with your sleep cycle making things worse in the long run.

An afternoon nap could do wonders if properly timed and executed along the principles of the art of napping. A creative evening is a norm among skilled nappers.

However, nothing would work as well as moving the activities that require high alertness, learning or creativity to the time where the alertness is maximized naturally (which for most healthy people is not long after awakening from the night sleep)

Polyphasic sleep will not improve your cognitive performance
(anonymous, Jul 19, 2002)
Question:
I read about polyphasic sleep. Apparently it is excruciatingly hard to get it started, but once people did, they got higher average scores on cognition and recall tests. It makes sense. It's how animals sleep. Just watch a cat or dog. It's how babies sleep. I heard it is how Buckminster Fuller slept
Answer:
False! You read only one thing right: polyphasic sleep is excruciatingly hard. It is not only painful to start. It is even more painful to sustain when your hopes of gaining a few extra hours per day lay down in ruins as you keep on your struggle with the natural sleep mechanism. Buck Fuller, Edison, Tesla and others might have very strange sleep habits, but they certainly did not go far against their natural sleep needs. If they tried, we might still be a few years back with industrial development. You cannot follow animal sleep. Each animal has a different circadian oscillator. You do not want to follow a nocturnal rat. Nor will you be able to sleep with one hemisphere on like a dolphin. Or sleep in a standing position or in flight (like some birds). The oscillator changes also as we age, hence we convert from polyphasic babies, to biphasic or nearly monophasic adults. Laboratory experiments consistently indicates that normal humans are unable to consistently sustain polyphasic sleep. What is worse, their cognitive performance in polyphasic sleep experiments is not better. It is dismal

The best way to minimize time spent sleeping is to free run your sleep
(Virgil, Monday, June 24, 2002 8:58 AM)
Question:
I've come across many evangelists for the polyphasic sleeping schedule (Uberman sleep schedule) as adopted by Edison, Da Vinci, etc. I've seen various modifications of both of their sleeping schedules:

  1. Da Vinci method, briefly, required the person to operate on a 4-hour basis. At the end of every 4-hour wake phase, the person sleeps for 15-30 minutes
  2. The modified version is called CyberSleep. The person sleeps between a half-hour to one-hour. The method also requires an extended sleep of 2 hours during the early morning period
  3. Minors and Waterhouse (1981) proposed a method based on an 8-hour total sleep time. The anchor methods requires sleep to be "anchored" to an unvarying 4-hours of sleep every night at the same time, but allows the remaining 4-hours to be taken at any other time during the day, as the person desires. The "flexible" 4-hour portion must be used as a whole and not fragmented into component naps.

Are these sort of esoteric and unconventional sleeping schedules good ideas to emulate or not? I would love to cut down on the amount I sleep
Answer:
Polyphasic sleep is highly "recommended" to those who want to contribute to the understanding of sleep at the cost of their health and intellectual performance. All forms of sleep enforced with an alarm clock will increase your overall demand for sleep. This means that either you will sleep longer or you will feel more miserable. Artificial sleep schedules will dramatically reduce your mental capacity. A healthy individual in normal conditions will find it difficult to fall asleep 4 hours after the main sleep episode unless that episode was unnaturally cut with an alarm clock resulting in sleep deprivation. Polyphasic schedules are very appealing in theory, and many people try them out just to give up within a week or a month (depending on the ability to suffer through the mental misery). Those who try to adjust to any unnatural schedule will suffer an unspeakable torment of the mind. They regulate their sleep with an alarm clock until they reach the breaking point. When scientists did a similar thing to rats, the end result was fatal within three weeks. Human self-experimenting guinea pigs collapse into a sound life-saving 5-8 hour sleep towards the breaking point and then resume the polyphasic schedule with a sense of guilt. That sense of guilt is calmed with exculpatory terminology such as "weekend break", "re-energizer", etc. Polyphasic experimenters may happen to sleep less but their intellectual performance will be dramatically undercut. Polyphasic sleep theories are based on the false premise that the body can adapt to any sleeping rhythm. Scientists have studied the so-called phase response curve of the circadian rhythm, where the impact of various sleep affecting factors is shown to move the sleeping schedule forward or backward. The obvious conclusion is that we can rather painlessly move the major circadian low little by little in a desired direction. However, a healthy normal individual will not be able to chop the rhythm into a desired number of pieces. Monophasic sleep or biphasic sleep are the norm in healthy individuals. Biphasic sleep is rarely composed of two major episodes. Usually it has a form of a major episode (nocturnal sleep) and a minor episode (siesta). What great inventors might have experienced is irregular sleeping schedules in condition of hypomanic excitement. In such conditions, sleep may become fragmented, but it will still not submit to designer schedules. Great catnappers nap when they feel they need to. Often, they can accurately predict when and how much they will need to catnap. If you want to minimize time spent sleeping and maximize your learning results: free run your sleep. Get rid of the alarm clock!

Variable sleep length is an indicator of non-free-running sleep-wake cycle
(Dr J.N., Jun 14, 2002)
Question:
If the length of sleep is constant in free running sleep, why do sleep logs of DSPS patients show a clear relationship between the sleep onset hour and the sleep length?
Answer:
Such a relationship will only show if the rhythm isn't a perfectly free running rhythm. Rarely are patients able to disconnect their sleep needs with their need to perform their daily duties in the society. As a result, DSPS patient who claim to free run will often learn tricks to "manipulate" their sleeping rhythm (e.g. trying to accelerate the phase shift before an important appointment, etc.). In an undisturbed free running rhythm, the length of sleep should remain constant.

25-hour
(MTS, Thursday, December 07, 2000 4:20 PM)
Question:
Why is there the 25 hour sleep cycle built-in in us when the Earth's cycle is only 24 hours?
Answer:
Internal clock runs at above 24 hours due to the fact that we can easily synchronize the day with our body clock by the use of zeitgebers (mostly sunlight). This way the oscillator with a slightly longer period is set to synchrony with the daylight by a minor SCN-mediated reset. This provides for a very stable oscillation. This mechanism goes awry by the use of artificial lighting as well as due to providing us with exciting evening activities such as watching TV, surfing the net, playing computer games, reading, etc. People suffering from DSPS could experiment with light dimmers, toning down their schedule in the evening, properly timed exercise and bright light in the morning. People with ASPS should use opposite measures (e.g. 3000 lux light in the evening)


FAQ: Technical questions about SuperMemo

SuperMemo can keep a billion items
Sometimes collections may be composed of thousands of files
Identical texts get stored only once
 The source code of SuperMemo 2004 is 144,000 lines long (Delphi 6.0)
Two instances of SuperMemo in memory
SuperMemo's performance does not degrade with large vocabulary files
You can quickly import SuperMemo 8 collections to the newest SuperMemo
What is the size of SuperMemo collections?
 What is the size of the SuperMemo program?
You can find here the contents of files used by SuperMemo
SuperMemo will not shed its authoring features in the future
Registries can hold only one member with a given name
Future SuperMemos will support Unicode
SuperMemo eGroup is not owned by SuperMemo World
Relational database vs. XML
XML data exchange will help transfer the learning process between platforms
There is no PDF support in development plans
Undo and complexity in SuperMemo
Some buttons do not show hints
Behavior of some controls does not depend on SuperMemo
Why the name Super-Memo?
De gustibus non est disputandum
Simplicity vs. Power
 Tools : Plan supports free running sleep
Slow release cycle of SuperMemo
OCR support is not our area of expertise
SuperMemo collections can include damaging content
SuperMemo for Windows requires the Pentium
SuperMemo is slow in adopting interface components
There are two lines of SuperMemo for Windows
You can import Q&A text files into SuperMemo
Extending SuperMemo 2004
Postpone.ini stores postpone definitions
Too many hyperlinks
Elements get renumbered upon the transfer from one collection to another
\Stats directory keeps learning process statistics
We cannot admit more than a hundred beta-testers
SuperMemo releases are not announced in advance
SuperMemos for different platforms do not use the same files
Contents window, Desktop and MindMaps
How should bugs and ideas be best processed?
MEM registry file
 Category wizard should build a category in root
 Changing file names between versions is very costly
When will you release SuperMemo 2003?
SuperMemo deactivates older versions by renaming their executable files
Installing collections in SuperMemo 7

SuperMemo can keep a billion items
(Matt Cassidy, New Zealand, Oct 2, 1997)
Question:
Is there a limit to the number of elements that a collection can have?
Answer:
SuperMemo for Windows has been designed to be able to theoretically accommodate over 1 billion elements; however, for various reasons (e.g. speed) it probably does not make sense to go beyond 500,000. The largest system tested at SuperMemo World by April 2002: 250,000 items (users reported systems of around 350,000 elements). You can greatly increase the speed of the program with a large number of long texts by unchecking Tools : Options : Data access : Compile lexicon on-the-fly

Identical texts get stored only once
(Shaun Hoffland, UK, Jul 15, 1997)
Question:
If I add an identical text component to each item in a given branch in the contents window, does the text get duplicated and increase the size of the collection?
Answer:
No. All texts are stored in the registry only once. Each item references the same entry without increasing the size of the collection

The source code of SuperMemo 2004 is 144,000 lines long (Delphi 6.0)
Question:
How many lines of code are there in different versions of SuperMemo? What language was it written in?
Answer:

  • SuperMemo 1 - 3,000 lines (Turbo Pascal 3), 1987
  • SuperMemo 2 - 4,000 lines (Turbo Pascal 4), 1988
  • SuperMemo 5 - 8,000 lines (Turbo Pascal 5), 1989
  • SuperMemo 6.7 - 13,000 lines (Borland Pascal 7), 1992
  • SuperMemo 7.5 - 27,000 lines (Borland Pascal 7 for Windows), 1995
  • SuperMemo 8.4 - 55,000 lines (Delphi 1.0), 1997
  • SuperMemo 98 - 69,016 lines (Delphi 3.02)(Aug 30, 1998)
  • SuperMemo 99 - 76,112 lines (Delphi 4.0)(Sep 17, 1999)
  • SuperMemo 2000 - 97,064 lines (Delphi 5.0)(Oct 23, 2000)
  • SuperMemo 2002 - 117,009 lines (Delphi 6.0)(Apr 18, 2002)
  • SuperMemo 2004 - 143,595 lines (Delphi 6.0)(Aug 30, 2004)

Please note that the number of lines of code is a poor measure of software quality and complexity. For example, SuperMemo 2004, removed a few thousand lines of code to make the program less complex. It also added lots of lines that only marginally affect functionality (e.g. PNG support units)

Two instances of SuperMemo in memory
(Beta, Australia, Wed, Mar 06, 2002 6:50)
Question:
It is possible to get two copies of SuperMemo running at the same time. This does not happen with other programs
Answer:
It is up to the application to decide if additional instances in memory are allowed. Many programs have multiple instances blocked whenever it makes little sense to keep two sets of same data in memory or where it is difficult to safeguard multiple access to the same data. However, multiple instances can be useful (e.g. pasting texts between instances of Notepad). Multiple instances in SuperMemo can be useful for comparing or pasting data (e.g. comparing backup collections). This procedure could be dangerous if two SuperMemos attempted to access the same collection at the same time. However, this is disallowed by design

You can quickly import SuperMemo 8 collections to the newest SuperMemo
Question:
Are SuperMemo 2004 collections compatible with SuperMemo 8, SuperMemo 98, SuperMemo 99, etc.?
Answer:
Yes. It is enough to open old collections (choose *.kno file in File : Open collection) and the whole upgrade process will proceed automatically. For large collections such as Advanced English, this process may take 30-40 minutes! There might be minor incompatibilities in scripts, in sizing components and in the way some tests execute.
Important! The upgrade process is irreversible! You will not be able to use upgraded collections with older versions of SuperMemo

You can find here the contents of files used by SuperMemo
(Armin Werner, Germany)
Question:
What is the contents and function of particular files in SuperMemo directories?
Answer:
See: Files used by SuperMemo

SuperMemo will not shed its authoring features in the future
(Zoran Maximovic, Yugoslavia, Aug 16, 1998)
Question:
Do you plan to write two version of SuperMemo for developing and viewing collections? Like Acrobat Reader and Adobe Acrobat?
Answer:
No. This would contradict our important claim that all learning material should be highly customized for an individual learner, and enhanced with individual comments and mnemonic clues. We would like all users to know how to change the learning material that is difficult to remember. There is no universal formula for well-structured material. A good item for one student may cause recall problems in another. This is because of knowledge interference that may come from different culture, language or simply different material stored in the same collection. BTW: it is not true that read-only SuperMemo would be visibly faster due to eliminating the editing options. The size of code might be reduced by 30-40% resulting in invisibly reduced loading time. The reading and presentation options would work in the same way as in the full version. Note that apart from read-only and learn-only modes, SuperMemo introduces four levels of difficulty that cover some of the goals accomplished by separating presentation and authoring functions

What is the size of SuperMemo collections?
Question:
What is the size of SuperMemo collections in KB?
Answer:
For early versions of SuperMemo it used to be (5+0.1*Total) KB, where Total is the number of text elements in the collection (additionally sounds used to contribute 10-20 KB per word and pictures 20 KB per picture).
SuperMemo 8 introduced extensive object indexing in the form of registries and made it possible to add a great deal of multimedia files. Consequently, the size of collections increased substantially to 0.5*Total KB for standard question-and-answer collections (a five-fold increase). For example:

  1. A 1000-element question-and-answer vocabulary collection takes 0.5 MB on average
  2. A reading list collection with 200 average articles from the Internet might already take 10 MB
  3. Advanced English 97 with 40,000 items occupies 30 MB in primary storage (texts) and 600 MB in secondary storage (sounds on CD-ROM), etc.

What is the size of the SuperMemo program?
Question:
What is the size of different versions of SuperMemo in KB?
Answer:

  1. SuperMemo 2 - 77 KB (1988)
  2. SuperMemo 5 - 108 KB (1989)
  3. SuperMemo 6 - 160 KB (1992)
  4. SuperMemo 7 - 515 KB (1995)
  5. SuperMemo 8 - 1.71 MB (1997)
  6. SuperMemo 98 - 2.31 MB (1998)
  7. SuperMemo 99 - 2.53 MB (1999)
  8. SuperMemo 2000 - 2.89 MB (2000)
  9. SuperMemo 2002 - 3.30 MB (2002)
  10. SuperMemo 2004 - 3.93 MB (2004)

Category wizard should build a category in root
(SuperMemo R&D (Beta), 02-03-11 16:18:18)
Question:
It would be nice if Category Wizard created a category from the selected topic; not added new a category topic
Answer:
This is an opinion of an advanced user who understands knowledge tree operations or is accustomed to creating a category rooted in an existing element (as in SuperMemo 2000). However, a beginner may want to create an Antropology category without ever learning how to add an element or specifically a topic in the contents window

Future SuperMemos will support Unicode
(Marek Minakowski, Poland, Monday, July 16, 2001 6:44 PM)
Question:
Do you plan to introduce Unicode support?
Answer:
Full Unicode support will come no earlier than at a point where XML specification is fully supported by mainstream SuperMemo. SuperMemo 2004 provides some Unicode support via HTML components

Some buttons do not show hints
(Tomas Klinkovsky, Czech Republic, Aug 7, 1998)
Question:
Why aren't there tool tips over grayed buttons?
Answer:
This is a default behavior of components in Delphi (SuperMemo 2004 was written in Delphi 6.0). Some disabled buttons just do not show hints

SuperMemo for Windows requires the Pentium
(Patrik, Monday, October 08, 2001 11:38 AM)
Question:
Does SuperMemo 2000 run on a 486 processor?
Answer:
Officially, SuperMemo 2000 requires the Pentium, but there are no technical limitations that would truly put it out of use on a 486 computer. Your main limitation will be speed. In addition, large collections may consume a few MB of RAM that could make your PC crawl. Finally, be sure to run newer Windows releases to avail of multiple features added by the Internet Explorer. Important! Please try a demo before ordering the product

OCR support is not our area of expertise
(luisgustavo, Brazil, Fri, Jun 08, 2001 20:25)
Question:
Incremental reading doesn't work on paper. Isn't it time to consider adding OCR capabilities to SuperMemo?
Answer:
SuperMemo cannot become a do-all software. Development and support costs are significant enough to enforce a strict focus on learning technology. For advanced authoring, word processing, mail management, time-management, mind mapping, formula editing, OCR, etc., you need to rely on tools provided by other companies. In addition, OCR isn't even listed on the implementation tasklist as it would go against current trends in which all information slowly becomes available in electronic form. Our consistent policy is to adhere to our area of expertise and look far into the future to be sure that time works to SuperMemo's benefit

SuperMemo collections can include damaging content
(Jiri Pik, Wednesday, September 19, 2001 6:02 AM)
Question:
Could you confirm that the data files of SuperMemo, i.e. every file except for sm2000.exe, cannot contain a virus?
Answer:
SuperMemo collection can include executable files or HTML files that are all subject to infection. In particular, wholesale mail import may place attachment viruses inside binary components (SuperMemo will warn you if you try to run such an attachment). Virus can also easily infects collections that include HTML files by simply scanning the elements folder and inserting malicious JavaScript code (e.g. w32.Nimda). You will be best protected if you use a recently updated anti-virus software (e.g. Norton Antivirus with a recent Live Update) and all security update to Windows, Internet Explorer, MS Outlook, etc.

Why the name Super-Memo?
(Mohammed Asad Khan, Pakistan, Wednesday, April 17, 2002 1:08 PM)
Question:
I would like to know who suggested the name SuperMemo? What's the logic to give only this name or did you brainstorm other names for this software?
Answer:
There was no brainstorm and no major effort to pick a good name. The choice is quite bad as Americans confuse it with a memo and think it is a simple editor program. SuperMemo was originally named Super Memorization Test Optimization Program or S.M.T.O.P. It was originally written at the Technical University of Poznan, Poland. Soon afterwards, however, some people suggested it could become an attractive commercial commodity. Someone proposed shorter SuperMemo and it stayed. In 1994, when SuperMemo was to enter the US market, a new name was in consideration. However, once the users in Poland boycotted the code name of the pre-release of SuperMemo 8.0 (Genius), it was obvious that the name change would not be easy. Occasionally, the name Super Memory is used to emphasize the connection with memory

\Stats directory keeps learning process statistics
(Beta, Poland, Mon, Feb 04, 2002 20:04)
Question:
What is the \stats directory?
Answer:
This directory keeps the learning process statistics. You can delete this directory and thus reset the past learning statistics; however, you will thus lose lots of interesting information about your past repetitions

MEM registry file
(Beta, Poland, Mon, Feb 04, 2002 20:04)
Question:
I see new registry files with .mem extension. What do they include?
Answer:
These files are not new. These are renamed .inf files.
.mem stands for "member". These files keep member information. They are slightly longer due to support for registry redirections that are supposed to solve registry rename ambiguities that pestered all earlier versions of SuperMemo. The change of name here introduced a major problem. If you attempt to open SuperMemo 2004 collections with older SuperMemos, they may attempt to recreate "missing" registries. All earlier versions will warn you about version mismatch, but many will still make it possible to attempt opening the collection

Undo and complexity in SuperMemo
(supermemo.dk, Denmark, Mon, Apr 22, 2002 1:50)
Question:
Why isn't there an Undo function in SuperMemo?
Answer:
Lack of comprehensive Undo in SuperMemo comes from program's design. At the logical level, Undo in SuperMemo is rather impractical. It is not enough to store the state of the element and its components. Many operations on the element modify registries. Registries are often many megabytes in size and their temporary images cannot be stored. Implementing virtual registries for temporary operations would be rather complex and error prone. Introducing complex solution usually involves more cost in bugs and support than actual benefit to the user. Rarely does SuperMemo adopts complex solutions. This takes place only in cases where there is a quantum leap in the quality of learning. For example, HTML-based incremental reading or global templates both resulted in untold hours of debugging, bug reports, user complaints, etc. Using mshtml.dll was risky due to the instability of this Microsoft's library. However, user benefits safely compensated for the inconvenience of pesky workarounds. Global templates, on the other hand, were inherently complex for design reasons. Even though many users are confused by templates, their use is incomparably simpler to their internal working that required building sort of "template design theory". For similar reasons Undo in SuperMemo is limited to text editing and grading. Grade Undo alone, introduced only in SuperMemo 8, added substantial complexity to handling repetitions. This fact is entirely transparent to the user who rarely gets the true taste of "what's cooking under the hood"

Tools : Plan supports free running sleep
(Beta, Poland, Sun, Feb 10, 2002 22:57)
Question:
You advocate free running sleep yet your Tools : Plan does not seem to accommodate varying work hours
Answer:
Just the opposite! Tools : Plan has been primarily designed for maximum working hours flexibility. This is how you should use Plan if your hours move:

  1. Create your schedule template
  2. Early in the day, save your template with Save As to create this day's schedule
  3. Type the starting hour in the top-left field
  4. Adjust working hours on-the-go as your proceed along the schedule with Set

SuperMemo will adjust your schedule to your starting time. It will also proportionally adjust all activities in case you are being late with execution. If you do not manage to finish some earlier slot in time, all the remaining activities of the day will suffer proportionally. SuperMemo will display the loss in the % column

De gustibus non est disputandum
(Chris Kowalczyk, Tuesday, October 17, 2000 3:55 AM)
Question:
Ability to change the date format in Workload increases user interface complexity, and is of no value to users. It is bad design
Answer:
This feature was introduced upon repeated user requests. Some users prefer shorter date formats, others want all details displayed. In addition, they want to be able to display or not display the day of the week. Proliferation of buttons and menus should be avoided, but when it resolves a frequently quoted sore spot, its cost outweighs the benefit. Hopefully, nobody insists on an idea of a checkbox to display or not display the date format combo box. Those dilemmas prove again that you cannot satisfy everyone

We cannot admit more than a hundred beta-testers
(beta, May 11, 2002)
Question:
Why don't you admit everyone to beta-testing new versions?
Answer:
We usually limit the number of beta-testers to a hundred or so. There is only a limited number of reports that we are able to efficiently process. Beyond some point, reports become repetitive and it is getting harder to sift important information. In addition, most of beta-testers belong to the highly advanced user group. This come from the fact that the purpose of beta-testing mainly to remove bugs that could endanger user data. Changing the design or making SuperMemo simpler is best done in the long run by attention to comments coming from first time users

Relational database vs. XML
(T.K., Monday, February 25, 2002 6:00 PM)
Question:
Why didn't you use a relational database to store data in SuperMemo? Why not structured storage (e.g. as in MS Outlook, etc.)?
Answer:
SuperMemo data structures were designed back in 1994. At that time, the size of Borland Database Engine was huge compared with tiny collections. In addition, SuperMemo would lose the proud point of being a sole EXE that can be moved between computers on a single diskette. Although designing all data structures was time-consuming, SuperMemo ensured maximum compactness of data and maximum access and search speeds (incl. binary full-match string search). The design and implementation pain was worth the performance gain. For example, you can search your annual e-mail archive in SuperMemo in a fraction of a second. If you try the same in MS Outlook, you will never try again. In the future, SuperMemo will gradually move towards XML which goes far beyond the rigid relational model. Still, the core access procedures will be retained for performance reasons

There is no PDF support in development plans
(Jens, supermemo Quito, 20.04.02)
Question:
Many documents these days, especially relevant to scientists, are PDF documents, and SM2002 does not deal with those
Answer:
SuperMemo will strive at maximum integration with the Internet content. Ultimately, the content should be defined as XML. PDF format is proprietary and would add complexity to the program. In addition it is burdened with the publishing industry point of view (fixed "page look"), and it does not separate content from style. SuperMemo will support non-HTML/XML formats and components (e.g. RTF, Script, OLE, etc.) as long as there are collections that make use of these components, and as long as there are learning functions that cannot be expressed otherwise (e.g. Mind Manager mindmaps). Otherwise, the target is a uniform format for SuperMemo along the Internet standards. For that reasons, the PDF format will not be supported

Postpone.ini stores postpone definitions
(Beta, Maxim, Poland, Mon, Feb 04, 2002 20:04)
Question:
What is the purpose of postpone.ini file?
Answer:
Postpone.ini is used to store postpone definitions for individual branches of the knowledge tree

Behavior of some controls does not depend on SuperMemo
(N. de Roock, Netherlands, 3-5-2002)
Question:
When I edit Element Parameters (Ctrl+Shift+P), I have to click the category dropdown list twice before I can change it
Answer:
SuperMemo does not have much influence on the properties of this combo box. The first click activates it, the second click makes it possible to open it. This behavior is not coded for by SuperMemo. The fastest way to open this combo box is to use Alt+C.

For experts: This behavior results from the message SendMessage(Handle,cb_ShowDropDown,1,0) sent to the combo box. This message is sent in order to automatically drop down the combo list when the user enters the combo

SuperMemo releases are not announced in advance
(SCHIPHORST,ROGER (A-SantaClara), Saturday, November 03, 2001 1:35 PM)
Question:
Could you please inform me when the next release of SuperMemo will be available?
Answer:
To prevent the "vaporware syndrome" and resulting degradation in quality, we consistently avoid setting up release deadlines and pre-release announcements

Simplicity vs. Power
(Jeromy Wong, USA Educational, Friday, October 26, 2001 6:17 AM )
Question:
SuperMemo is too complicated to transfer an element from one tree branch to another. In my opinion, customer prefers a user-friendly not powerful software!
Answer:
The intent of File : Level : Beginner option was to keep SuperMemo as simple as possible. As branch operations in the content tree are optional (i.e. they are not needed to effectively apply spaced repetition), these were excluded from this level. In other words the compromise between power and user-friendliness is a never-ending battle. Some users view certain options as unnecessary complexity, while other will demand their existence at the lowest entry levels. The present shape of this difficult compromise can be judged by restricting one's use of the program to the beginner level. Again, tree operations are optional and go beyond that level

Changing file names between versions is very costly
(Marin Plopeanu, Romania, Wed, Jul 03, 2002 16:44)
Question:
Why in the \info folder in SuperMemo 2002 you have the file sm8opt.dat instead of sm11opt.dat (to reflect the name of the algorithm)?
Answer:
All changes of file names require writing upgrade code, changes to proprietary tools, tools written by others, documentation, etc. This is why file names change only then when file structure must be changed

Registries can hold only one member with a given name
(Patrik Nilsson, Friday, November 30, 2001 7:35 PM)
Question:
When using search and replace in the text registry browser, errors occur when replacing a text with a text that already exists in the registry. The error is not displayed immediately but when repairing the collection. The duplicated items are replaced and the first character is always "#"
Answer:
This is a design problem. All registries, except the translation registry, consider two entries with the same name as error. However, duplicates are not made unique when discovered. Instead, they are marked with # on registry rebuild. This makes it easy to locate elements containing the offending members and take appropriate action. On one hand you can rename these member in the registry (e.g. ;'#Clinton' to '#Bill Clinton'). On the other, you can go to elements using member texts and change those texts in the element. If the name is changed back to the offending duplicate (e.g. '#Clinton' to 'Clinton'), the offending member will be deleted and replaced with the original 'Clinton' member. Note that this change must be made inside any text component (i.e. not within the text registry)

Contents window, Desktop and MindMaps
(luisgustavo, Brazil, Tuesday, December 18, 2001 6:12 PM)
Question:
I believe the Contents window can be improved into a whole map system. Maybe a mind map or maybe even a real map with houses and buildings like SimCity. Don't you think items shouldn't be limited to options designed for dealing with files and disks, which are much simpler than our memory?
Answer:
Contents window is not supposed to reflect structures kept in your memory. That function is reserved to the content of individual elements independent of their place in the knowledge tree. Knowledge tree is a purely navigational tool that is designed for classifying pieces of knowledge. It serves the same purpose as folders and files on a computer, namely: putting pieces of information in the right pigeonhole. If MindMap or SimCity models are a superior form for building information hierarchy, the same question should be asked to Bill Gates in reference to his operating systems. Unfortunately, implemented solutions are always a compromise between the simplicity of use, simplicity of learning, simplicity of the underlying implementation model and performance, which in turn depends on currently prevalent processor speed, availability of RAM, quality of software development tools, etc. Last but not least, SuperMemo's life is by far easier if it adopts new standards pioneered in Windows than to enforce its own standards that add to technical complexity. The only exception are solutions that enhance learning itself. Here we are ready for hard pioneering battles

Slow release cycle of SuperMemo
(Andy Lin, MIT, USA Educational, Tuesday, January 08, 2002 4:58 PM)
Question:
It seems that SuperMemo for Windows development is rather slow compared to many shareware products I've used before. Is there any reason for this?
Answer:
We would love to shorten the development cycle and provide a few releases annually; however, SuperMemo is used to process material that may take years to prepare. Even the smallest bug in database access could result in loss of extremely precious learning data. For that reason, beta-testing usually drags for months and all data loss reports are meticulously studied. To avoid dual lines, development grinds to a near halt during beta and gamma testing where only bugs are in focus. Presently it does not seem realistic to shorten the present 18-30 months release cycle

XML data exchange will help transfer the learning process between platforms
(leopold16dk, Jun 13, 2002)
Question:
Is it possible to convert my learning process from SuperMemo for Palm Pilot to SuperMemo for Pocket PC?
Answer:
Currently you can only transfer question&answer material between handheld platforms. However, a comprehensive XML-based data exchange for all SuperMemo desktop, handheld and on-line platforms is in design

Too many hyperlinks
(Derek, Jan 22, 2002)
Question:
You should avoid links in the body of textual & explanatory materials. If you are talking to someone you don't want them getting up and leaving the room while you are explaining something to them
Answer:
Your metaphor does not seem accurate. The whole idea of hypertext is based on unobtrusive underlines that become "visible" when the text is difficult to understand, requires further references, etc. A hyperlink is not an "invitation to leave" but an notification that an optional explanatory material exists

SuperMemo is slow in adopting interface components
(mark zebitz.dk, Denmark, Jan 15, 2002)
Question:
Are you planning to add the very nice new intuitive interface of Windows® XP to SuperMemo?
Answer:
Unfortunately, adaptation of new interface components proceeds in three time-dependent stages:

  1. Components appear in wide-distribution Microsoft products
  2. Components become wrapped as VCL components in Borland Delphi (SuperMemo development tool)
  3. SuperMemo incorporates some of these depending on customer feedback

Those stages introduce substantial delays. Delphi releases occur in 18-30 month intervals. SuperMemo releases occur in similar cycles. Assuming the worst timing alignment, it might take 3-4 years before some solutions are adopted. Naturally these components could be hard-coded manually but this is a time-consuming and bug-prone process that would only be used as a last resort in cases where the learning speed might be compromised

Elements get renumbered upon the transfer from one collection to another
(Markku Mahonen, Norway)
Question:
When I deleted some elements from my collection, the reference hyperlinks generated with the Reference option point to wrong elements?
Answer:
You must have transferred your elements to a newly created collection. All the elements are renumbered upon the transfer. In such a case, you could use the Reference link button (the fourth from the right) on the element toolbar in the element window

You can import Q&A text files into SuperMemo
(nader choucri, Sunday, August 25, 2002 2:00 PM)
Question:
How can I import a Q&A text file into SuperMemo?
Answer:
(1) Run SuperMemo (2) Create a new collection with File : New collection (3) Import a Q&A file with File : Tools : Import : Q&A text (or Shift+Ctrl+E)

When will you release SuperMemo 2003?
(maxim, Feb 27, 2003)
Question:
When will you release SuperMemo 2003?
Answer:
Release dates are never announced in advance. The date of release can be determined from the "closing date". After the closing date it takes about 2-3 months to implement tasks needed to "close" a given build. The beta-testing program then takes 3-6 months. Gamma-testing and filling out the gaps in the documentation takes 1-2 months. As for the "closing date" it is roughly determined by (1) degree of innovation available in the new implementation (the more innovation, the more the pressure to release), (2) external pressure (e.g. customer requests, etc.). There is never a predetermined release deadline or fixed release cycle. The development process is continuous

There are two lines of SuperMemo for Windows
(Maarten Mols, Netherlands, Monday, February 09, 2004 11:39 PM)
Question:
Is SuperMemo for Windows going to make any further progress with scripts, multiple choice tests, etc. Will some of these functions be available at the beginner level?
Answer:
After developing SuperMemo 98, we have split the development of SuperMemo for Windows into two lines:

  1. Incremental Reading SuperMemo (SuperMemo 99 and its successors)
  2. Multimedia SuperMemo (mostly CD-ROM titles)

SuperMemo 2004 will exclusively develop into an "incremental reading machine" dedicated for a higher-end users. As a result, multimedia functions needed for developing schoolware courses will be in decline. Those functions will be taken over by Multimedia SuperMemo. Both platforms will in the future be able to exchange core data via XML wherever applicable. As with all other platforms, both Windows platforms are developed and supervised by different people with different views on the future of SuperMemo. You can submit your ideas to both groups; however, bear in mind that no SuperMemo will encompass all features that may be needed in different applications

Extending SuperMemo 2004
(Chris Moses, Wednesday, October 24, 2001 1:25 AM )
Question:
I was wondering if there is any sort of API for SuperMemo. The largest single problem I have is the amount of time I spend inserting information. I would like to create some tools to facilitate this process. In particular, I would like to create some tools to automatically insert information based on pre-existing templates/categories
Answer:
SuperMemo 2004 isn't well suited for such an extension. You could try to generate data in the XML format. This format is human readable. If you make your tools work with XML, you will partly accomplish your goal

SuperMemo's performance does not degrade with large vocabulary files
(Paul R Taubr, Wednesday, October 02, 2002 7:11 PM)
Question:
If I use SuperMemo to learn a foreign language, will it create a separate file for each and every word entry? What will this do to performance?
Answer:
If you use plain text components (as opposed to HTML), SuperMemo will keep all your text entries in one file. SuperMemo capacity for vocabulary is so large that your speed of learning will never allow you to ever notice a degradation in performance. Advanced English 2002 includes over 40,000 word-pairs and phrases. It can be binary searched on a Pentium within a second. The delay when switching between items is imperceptible (except when sounds are loaded from a slow CD-ROM). Performance may play a role in SuperMemo only in massive incremental reading (files beyond the size of one CD-ROM), multimedia-rich applications, in on-line SuperMemo (delay introduced by the network) or on antiquated computers with little RAM (where SuperMemo itself may be considered slow independent of the size of the learning material)

Sometimes collections may be composed of thousands of files
(Desmond Sin, Friday, November 08, 2002 11:21 AM)
Question:
I've been using SuperMemo for less than two months, and over 71,000 files and over 7,000 directories appear in the folder. Is this normal to have that many files?
Answer:
It depends on how you use SuperMemo. If you use plain text or rich text components, all texts are stored in a single file. If you use HTML, each topic will be kept in a single HTML file. This way, if you import 1000 articles to read, your collection will include 1000 HTML files. However, if you save HTML on your hard disk (e.g. with File : Save As in Internet Explorer), each file can be made of hundreds of images, icons, text files, scripts, etc. If you import such a file to SuperMemo, it will copy all those files and integrate them with the collection. It is thus recommended that when you paste HTML, you leave all this file ballast on the remote server, while integrating only the most vital components (e.g. images illustrating the text)

How should bugs and ideas be best processed?
(Nathan Forsdyke, Thu, Jun 27, 2002 14:39)
Question:
I have converted my large mind-map of SuperMemo issues into an online easy to navigate resource. Here is the web address: http://homepage.ntlworld.com/contactnathan/Supermemo/
Please let me know if this is useful
Answer:
Thank you for your effort. Your structure contains many interesting inspirations. However, there may be a problem in the long-term if the structure is to be expanded by user community. SuperMemo uses tasklists to build a prioritized to-do lists. Each task is quickly assessed as to its complexity (necessary implementation investment) and value (benefit to users). These two parameters roughly determine its priority, which can always be updated (e.g. when a problem is repetitive or an idea if frequently brought up). Currently the implementation tasklist goes beyond 3000 tasks. Naturally it is not possible to implement these all. For this reason, tasks from the top of the list are given utmost attention. They are either revalued or implemented. If user community builds an extensive mind map of problems or ideas, there is no systematic way of scanning and inspecting newly submitted problems. In other words, a mind map may work great to keep things in memory, but a tasklist works better for tasks that are too numerous to be remembered, and that need to be addressed in a prioritized manner. The best way to submit ideas then is to send them individually. A mind-map converted to a text file can also be processed with incremental reading. However, a on-line mindmap will not be an efficient submission tool. Naturally, it can be very beneficial for other users to see what problems or ideas can be expanded, and which have already been submitted. If it keeps on growing and lives up to high quality standards, it should receive a prominent link on future beta-testing programs

Installing collections in SuperMemo 7
(Andreas Edlund, Niue, Thu, Jul 04, 2002 19:46)
Question:
I have been using SuperMemo 7 in Windows XP. I downloaded the Basic Portuguese library from your shopping site. How do I install it?
Answer:
See: Installation Helpdesk

SuperMemo deactivates older versions by renaming their executable files
(Piotr Wasik, Poland, Friday, November 15, 2002 2:07 PM)
Question:
I use two versions of the SuperMemo software for Windows: SuperMemo 98 with the French course Parlez avec nous and SuperMemo 2002 with my own collections. Each time I run SuperMemo 2002, the program keeps asking me if I want to change it to be the default SuperMemo?, which I find very annoying. If I respond with Yes to this question, will SuperMemo 2002 change the KNO file association only or will it change yet something else?
Answer:
If you respond Yes to the Do you want to change your default SuperMemo? query, SuperMemo 2002 will do what follows:
(1) It will change the KNO file association in the windows registry so each time you open a collection, it will always be opened in SuperMemo 2002,
(2) It will inactivate older versions of SuperMemo by renaming their executable files (e.g. sm2000.exe > sm2000.old)

SuperMemos for different platforms do not use the same files
(Cash, Sydney S.,M.D., Monday, November 04, 2002 1:44 PM)
Question:
Do SuperMemo for Windows and SuperMemo for Palm Pilot access the same files?
Answer:
No, they do not. They used different files. For more information on SuperMemo for Windows file structure, read: Files and folders used by SuperMemo

SuperMemo eGroup is not owned by SuperMemo World
(Nathan Forsdyke, Tuesday, August 06, 2002 3:12 PM)
Question:
It would be good to see a link to the Yahoo users group in the help menu of SuperMemo, to encourage people to join up
Answer:
 SuperMemo eGroup is not owned by SuperMemo World. As a result, we are not in power to ensure its continued existence and make the link permanently functional


FAQ: Using templates in SuperMemo

You can change the position of question and answer fields
 Editing an item associated with a template will affect the template
 After you create a template, apply it to your elements
Using an element as a template
All newly added elements use the same default template
You can set question and answer fonts
Use default category template to determine the template used in new elements
You cannot modify the formatting of HTML texts with templates
You can change the look of items globally
Categories make it possible to select the default template
Applying template with a specific font
You can apply a template to any subset of elements you choose
Modify templates in elements that use them
If you delete a component from a global template, all elements will be affected
 Occlusion tests
How do you make components come up on top
You can define your cloze template or apply it after generating the cloze
You can change the default item template for a given category
You can detach a template to avoid global template changes
To retain formatting and pictures, you need to use a matching component type in the template
If "Add new" does not create needed components, you can redefine the template
Templates are able to hide content
You can restore deleted predefined templates
You can learn English in your own language (e.g. Japanese)
You can use Multiple Choice template for multiple choice tests
 Component order may determine how the titles are generated
Use plain-text templates to change the font after question-answer text file import
Use Template : Save with objects to include text labels in the template
Reapplying a template is a snap
"Add new" uses your default template
In certain situations templates will auto-impose by design
Changing templates in SuperMemo is analogous to changing colors in Windows
Use the Sound predefined template to add pronunciation to your elements
Spelling exercises in SuperMemo
You can drag components inside a template
Template flags determine how templates are applied
In some cases, detach template will not restore the original element
You can delete the source element of a given template
What if a template keeps old texts
Answer attribute and the template
An item cannot use two templates at the same time
You cannot auto-impose templates
The meaning of Replace with template

You can detach a template to avoid global template changes
(Mariusz Zmuda, Poland, Jan 29, 2001)
Question:
I changed the size of the question field in one element and SuperMemo changed this in other elements too! This was quite a surprise!
Answer:
If you change the template of one element, all elements that use this template will be affected. If you want to provide a unique look to a single element, you need to detach its template. For best effect, choose Template : Impose template or simply press Ctrl+Shift+F2 and respond with Yes to Detach template? As of this moment, changes to the element will not propagate to other places in the collection

You can set question and answer fonts
(Paul R Taubr, Wed, May 22, 2002 0:41)
Question:
I try to create a default template which is just a font and font size (Arial 14) to use with all my items (questions and answers)
Answer:
If all your items are to use the same font for all questions and the same font for all answers, you could use Tools : Options : Fonts : Question font and Answer font.
However, if you want to use a template only on a subset of elements, you could do the following:

  1. Add an item (Alt+A)
  2. (optional) If you want to save space and use the same font in the entire text field, apply the Classic template (Template : Apply template on the element menu or Ctrl+Shift+M)
  3. Choose Text : Edit font on the component menu to change the font. Do it for both the question and the answer fields (e.g. right click over the question and choose Text : Edit font)
  4. Use Template : Save as default (Ctrl+Alt+M) on the element menu. Your new template with the new font will be saved as the default template for the currently used category. This means it will be used each time you press Alt+A

You can change the look of items globally
(Doug Edmunds, USA, Nov 4, 1997)
Question:
How can I globally change the layout of question, answer, font, background color, etc.
Answer:
Do the following:

  1. Create a new template with your new layout
  2. Save the template with Template : Save as template (on the element menu)
  3. In the contents window, choose the branch that should be changed (or open a relevant browser subset)
  4. On the contents menu choose Process branch : Template : Apply template and select the new template (or use the same operation in the browser)

How do you make components come up on top
(George W., USA, Dec 14, 2000)
Question:
I use the occlusion pre-defined template. Is there any way to make the red occlusion box appear in front of the image?
Answer:
You need to learn two skills that will help you handle such situations:

  • Ctr+T will help you switch between components and turn the editing mode for each component. You can bring your selected component to front by cycling through components with Ctrl+T
  • Alt+click can switch a single component to the editing mode. Second Alt+click will switch to the dragging mode. In the dragging mode, you can grab the red rectangle with the mouse and move it to the location of your choice

Note that when you return to your element, it is the component order that determines which components are displayed on top (see: element menu)

You can learn English in your own language (e.g. Japanese)
(Tomoki Takahashi, Japan, Feb 6, 1999)
Question:
I would like to learn English with questions asked in Japanese. How can I do it?
Answer:
You might want to (1) create your own template with the Japanese font in the question field (you can use Text : New Font to change the question font in the template), (2) save the template with Template : Save as default.
After this, each time you choose Add new (or press Alt+A), your questions will be generated in Japanese and answers will retain standard look (you can also swap English with Japanese by using Edit : Swap components).
Although you cannot change the writing direction in SuperMemo text components (from yokogaki to tategaki), you can include texts via OLE from Japanese Word or Ichi Taro word processors. These programs use either Microsoft IME or ATOK utilities to input Japanese text. Microsoft IME is part of Japanese Windows. ATOK is part of the Ichi Taro word processor (Justy System) but can be installed as a separate unit. With ATOK you can change from the English to the Japanese input mode. It is fully compatible with SuperMemo: 1) You type the pronunciation of a word from the keyboard, 2) press Space, and 3) select the appropriate kanji(s) from the list showing those matching the input sounds combination. Ganbatte ne

What if a template keeps old texts
(Brian DeMio, USA, Jan 10, 1999)
Question:
I changed the template for the questions so that I have a purple background and yellow fonts. Everything is fine with that part. After I entered in an element (question and answer), I hit Alt+A to put in a new one. The question from the previous element keeps popping up in the new elements where you are supposed to input answers. How can I fix this?
Answer:
Please make sure that when you save your template there are no texts in text components. You can accomplish that by choosing Save as template rather than Save with objects on the element menu

Component order may determine how the titles are generated
(Krzysztof Morawski, Poland, Dec 28, 1998)
Question:
I am learning Norwegian. Until recently, SuperMemo has automatically chosen appropriate titles for my elements; however, for some time now, it has been choosing Norsk as the title for all elements (Norsk is a text included in a text component displayed as a label on each page). How can I make SuperMemo choose the right title (in my case, Polish word used as the question)?
Answer:
SuperMemo will automatically generate the title from the first text component in the component order. Your Norsk component is clearly first in the component order in your template. Choose Component order on the element menu and drag the component with your question text to the first position. Then choose OK and save your element in a new template (choose the same template name as before, i.e. default item template name)

If you delete a component from a global template, all elements will be affected
(facep2b, Sunday, July 22, 2001 10:29 PM)
Question:
My collection is composed of questions and answers. For some reason, only the answers are showing. What gives?
Answer:
Most likely you have deleted the question component (or changed its display status) in the default global template used in your elements. Try applying another template (e.g. Classic, Item, etc.) to see if this is the correct diagnosis. Then you will need to define the appropriate template and save it in place of your default template. Remember to make a backup beforehand!

You can change the position of question and answer fields
Question:
How can I change the position of the question field on the screen?
Answer:
Alt-click the question twice. It will become draggable. Alternatively, you can choose Dragging mode on the question's menu or on the element menu (in the latter case, all components will become draggable). If you want to change this position globally (i.e. in all elements in your collection), you should use templates

You can delete the source element of a given template
(Christian Roessel, Germany, Dec 17, 2000)
Question:
If I save a template, is it safe to delete the source element? Is the element used to save the template copied or only referenced to in the template registry?
Answer:
 Yes. You can delete the source element. Every template is a separate copy of data defining the look of elements. Deleting the source element will only decrease the reference count for a given template. Templates are not deleted even if the reference count drops to zero

You can drag components inside a template
(Adam, Australia, Mon, May 07, 2001 2:48)
Question:
How can one tell if a transparent image component without an image is present in a template displayed in the template registry?
Answer:
You can put the template in the editing mode by Alt+click or by choosing Mode : Editing on the template's menu

Categories make it possible to select the default template
(Adam, Australia, Mon, May 07, 2001 2:48)
Question:
How do we select a template from the template registry as the default template?
Answer:
You need to select this template for the current category in the category registry. For example, choose Search : Categories, click Template (if you want to use the template with items), select the template from the registry and choose Accept (at the bottom of the registry window)

An item cannot use two templates at the same time
(facep2b, Monday, July 23, 2001 8:37 PM)
Question:
There seems to be two templates being applied at the same time! Superimposed over my questions and answers
Answer:
Each element is made of the source data (e.g. question and answer) and may additionally include a template. There cannot be two templates used with the same element. If you apply a template to an element, the template is filled out with matching source data and displayed in the element window. For example, blue template with empty text fields applied to a green source with non-empty text will show as a blue element with non-empty texts taken from the source

If Add New does not create needed components, you can redefine the template
(noam-at, Israel, Aug 04, 2001)
Question:
When I click Add New, I get a new item, but SuperMemo doesn't create two editing fields for the question and answer. Instead, I see the gray screen of SuperMemo without any fields
Answer:
Add New uses the default template to create new items. If you delete all components (e.g. question and answer fields) from the default template, Add New will add new elements that look empty. If you want to restore your question and answer components, you need to redefine the template. If you are not very fluent with templates, locate an element in your collection that looks ok and choose Template : Save as default on the element menu. This will save the look of the selected element in the default template. Add New will then replicate this look

You can define your cloze template or apply it after generating the cloze
(Patrick Stöckmann, Germany, Wednesday, July 11, 2001 8:03 PM)
Question:
How can I influence the template for cloze deletions?
Answer:
The element from which you generate the cloze deletion will be used as a template for your cloze unless you choose to automatically apply the default category template (see: Categories). If you miss the answer field in the parent template, it will be added for you. If you define your own answer field in the parenting element or in the template, it will be reused. Once you generate the cloze deletion, you can manually apply any template with Ctrl+Shift+M

Editing an item associated with a template will affect the template
(Reinhard K. Koehler (private), Friday, September 21, 2001 10:15 PM)
Question:
I changed the width of a component and all my items changed. I only wanted that one item changed
Answer:
If you edit an element that is associated with a template, the appearance of all items using that template will change. If you want to edit only one element choose Template : Impose template on the element menu (answer Yes to "Detach template"). This will disconnect your item from the template

Changing templates in SuperMemo is analogous to changing colors in Windows
(Reinhard K. Koehler (private), Friday, September 21, 2001 10:15 PM)
Question:
Why templates change the appearance of elements behind my back. Those things should not change unless there is a specific clear conscious command by the user
Answer:
Changing templates is like changing colors in Windows. Once you change the color scheme, all windows will be affected. To prevent changing the look of other elements, detach the template (e.g. with Template : Impose Template on the element menu)

Use plain-text templates to change the font after question-answer text file import
(Eli Liang, Russian Federation, Fri, Sep 21, 2001 21:10)
Question:
When I try to use File : Tools : Import : Q&A text to import Cyrillic questions and answers. After import the Cyrillic displays as other characters (i.e. not Cyrillic)
Answer:
Question and answer files are plain text files and do not include the font. You need to import your file into the correct template based on plain-text components that will use the appropriate font in text components. You could also use Tools : Options : Fonts : Question font and Answer font to define fonts for plain-text templates that use the default font (i.e. have no specific font setting). For example: apply Classic template, change the font to Cyrillic and import your file using the newly defined template

Use Template : Save with objects to include text labels in the template
(Walter G. Mayfield, Jr., Friday, July 13, 2001 6:37 AM)
Question:
I would like to use the template as a header stamp, to identify where the information came from
Answer:
You can accomplish this by defining an empty template with a plain-text component filled out with the label (e.g. "biology"). Instead saving this template with Save as default, use Template : Save with objects on the element menu to make sure the label text is included as part of the template. If this template becomes the default template of your "Biology" category, the label "biology" will be included in items each time Add New is chosen

Modify templates in elements that use them
(tomkin242, Nov 05, 2001)
Question:
How do I add a specific picture to a template?
Answer:
In the element that uses the template, add an image (e.g. paste it). Then choose Template : Save with objects and save the template under the old name. This way, all elements using the old template will display the image

After you create a template, apply it to your elements
(Safecity Training Academy, Sat, Dec 29, 2001 7:29)
Question:
We create a template for a collection. But when we choose Learn, the template reverses back to the dull grey format and the very small text
Answer:
It is not enough to create a template. You need to apply it (i.e. use it). If you created a template with Save as template, you could choose Save as default instead. This will make the new template a default template in the currently used category. All newly added items will use that template. As for previously created items, you can use Template : Apply template (Ctrl+Shift+M) on the element menu or apply it en mass in Contents or in a browser

You can use Multiple Choice template for multiple choice tests
(dieter.gauss, Germany, Friday, January 11, 2002 9:35 AM)
Question:
I want to make a simple multiple choice test. Not one word in your entire guide how to do it
Answer:
You can use ready-made Multiple Choice template with Template : Apply Template (Ctrl+Shift+M) for the simplest form of multiple choice test. The reasons for little coverage of multiple choice tests in the documentation are two:

  1. Multiple choice tests are not an efficient way of representing knowledge in learning. Unless you are learning for a specific multiple choice test exam, it is by far better for your knowledge and skills to produce simple questions and answers where you need to remember correct answer instead of choosing it from among several options
  2. Once you understand how to create and resize components, you only need to select MCT : Wrong or MCT : Correct on the component menu. Those and similar skills are sufficient to build more advanced multiple choice tests as well as a whole range of specialist testing procedures. In other words, you are only given basic building block skills. The rest is up to your infinite creativity

You can apply a template to any subset of elements you choose
(I.L., Canada, Monday, January 28, 2002 3:40 AM)
Question:
I have created a template with fonts I like. Can the questions and answers I entered earlier be converted quickly and conveniently to the font that new elements are "enjoying"?
Answer:
You can try the following steps:

  1. Open the earlier-created elements in a browser
  2. Choose Process browser : Template : Apply template on the browser menu
  3. Choose the template you have defined for your elements and click Accept

There are two conditions that need to be met for this to work:

  1. Template type must match the type of elements to which it is to be applied. In your case your template must be an item template to be applied to Q&A items (right-click the template to see its type on Type menu)
  2. For your fonts to overwrite earlier-used fonts in your elements, the template must use plain text components. If your template uses rich text components, the template font will not be used (fonts are hard-wired in rich text). See also: Text components

All newly added elements use the same default template
(Dustin J. D., USA Educational, Sunday, May 05, 2002 9:53 PM)
Question:
Anytime I hit Add new, SuperMemo creates an item with a template. However, it links the appearance from the last created template element to the new element
Answer:
Add new uses the current default item template. Each time you change that template, all items using that template will be changed. All new items will also look in a new way. If you want to modify only one element without affecting the others, you need to detach the template. Most likely, you will want to use Impose template to make sure you detach the template without changing the way other items look

Reapplying a template is a snap
(Lawrence Kritzinger, South Africa, Sunday, July 14, 2002 8:00 PM)
Question:
Is it possible to have a template with a custom font in a component as well as using a bulleted list at the same time?
Answer:
No. By definition, plain text does not support bullets, while rich text encodes font within the text. These two cannot be reconciled. However, you can keep a handy HTML or RTF template which you can apply over a plain text component each time you need a bulleted list. Apply template takes just one keystroke (Ctrl+Shift+M). Important! Optimally, in your final questions and answers you should use plain text and you should not use bullets. Enumerations are not a good way of remembering things. They are costly in terms of your time. See: 20 rules to find ways around bullets and enumerations

"Add new" uses your default template
(Bill Sanchez, Saturday, July 13, 2002 9:13 AM)
Question:
Add new does not create needed components. What is the reason?
Answer:
Add new uses your default category template. If you define an empty template, Add new will create no components. You can define a new template and save it as default. You can also choose any of the predefined template to become default in your current category

Occlusion tests
(mstlk, Monday, July 15, 2002 2:51 AM)
Question:
I made a series of elements using an occlusion template. When I went back to drill on them, I noticed that the red rectangles moved in some elements
Answer:
The position of the occluding rectangle in SuperMemo is considered "data", i.e. not part of the template. In other words, it will not be affected by the change to the template. However, the position of the image is considered "style". If you redefine your template by moving an image, all images affected by the template will move. This may make an impression that the rectangles have moved. You can use Impose template to detach the occlusion test from the template. Another problem may occur if you choose to scale elements (Scale on the element menu) and do not choose a matching attribute on Image : Size menu. Once you resize your element, the image and rectangle components may resize, but the image content will not

You cannot auto-impose templates
(Nathan Forsdyke, Sunday, June 30, 2002 2:54 PM)
Question:
How can I make SuperMemo auto-impose a template when I add a new element to different categories? I don’t like this if you change the element the master template changes all other elements
Answer:
You cannot auto-impose templates. However, you can impose and/or detach template before you introduce changes that are not to become global. You can use Ctrl+Shift+F2 for that purpose. Upon confirmation, you can also impose templates in all elements in a category, tree branch, or browser. Imposing a template involved deleting source template data. This is why auto-impose would be irreversible and potentially dangerous

Templates are able to hide content
(Nick Murray, Australia, Wednesday, August 07, 2002 12:23 PM)
Question:
Why does a template obscure the content of an element?
Answer:
Content of a template component cannot obscure the content of a source component. However, if your template does not include a component that corresponds with content data then, depending on template flags, you can make the unmatched source component transparent via the template or hidden. The latter option is used to hide or delete source components (and their content). For example, if you use Advanced English 97 illustrated with pictures, you can impose a picture-less template and thus hide the pictures. You can also delete the pictures if you impose the picture-less template

Use default category template to determine the template used in new elements
(Seyed Razavi, Monday, August 19, 2002 12:23 AM)
Question:
I tried to select the multiple choice test template but it only works once. When I add new elements, it returns to a regular classic template
Answer:
Use Search : Categories and click Template to select the default template for your default category.
More details: Categories

Applying template with a specific font
(Tim Elston, Thu, Jun 27, 2002 6:07)
Question:
I create an element with the desired font and use Save with objects. But when I then seek to apply this new template to a given element, the text of the element does not assume the quality of the fonts I tried to save in the template. Instead, the text turns into plain text
Answer:
The behavior of your template will depend on the type of text components used:

  1. Plain text components: you do not need to use Save with objects. Font is part of the template. This font should apply to texts assigned to the corresponding component
  2. Rich text components: you cannot save fonts with rich text components unless you save some text with the template (here Save with objects is needed). However, when you apply such a template to components with rich text, the template font will be overwritten by the font coded into the rich text associated with the element. You would need to first apply the template and then type the text. If rich text component is applied over an HTML component, font coding will be ignored (i.e. RTF texts do not get converted to HTML)
  3. HTML text components: you can save the font setting with Save with objects. Again, if you apply an HTML template to other texts, the rich text font codes will be used (in rich text components) or the default Internet Explorer font will be used (in plain text component). You need to apply the template first and then type the text

The simplest way to uniformly apply fonts to texts in SuperMemo collections is to use plain text templates with the desired font setting

Answer attribute and the template
(Roger , Tuesday, May 06, 2003 10:24 AM)
Question:
What do you mean saying "the answer attribute is part of knowledge/data not part of template/presentation"?
Answer:
It is a good practice to separate data from the way it is presented. Data might be the word "Washington", while its presentation will depend on the font used, boldface, etc. In SuperMemo, templates determine how data/knowledge is presented. Template do not change the content of knowledge. The distinction between the question and answer part in the collection is part of knowledge. In other words, you cannot change the answer attribute of a text by applying a template. Whichever template you apply, your knowledge should retain its basic sense. Examples of data attributes: texts, pictures, answer flag, truth flag (in multiple choice tests), etc. Examples of presentation attributes: color, font, formatting, scale attribute, field size, etc.

You cannot modify the formatting of HTML texts with templates
(W Paul Gephart , Thursday, May 08, 2003 11:48 PM)
Question:
How can I create a template with HTML fields and the font size 18 pts, blue, Arial? I modify the template, save with objects with a space of the selected text, but still when I apply to an existing item, the text goes to small 9 pt, black?
Answer:
You cannot use HTML templates for formatting HTML texts. When you create an HTML template with HTML text included, this text will be replaced by the source data text at Apply template. The formatting will not be transferred between HTML objects (from template to data). Only plain text components ignore source text formatting and apply their own font. RTF and HTML texts have formatting "wired" into the text. One of the fastest ways of applying a given font to HTML text is to paste an appropriate <font> label into the HTML source code (available with Ctrl+Shift+F6 or Ctrl+F9)

To retain formatting and pictures, you need to use a matching component type in the template
(MMM, Poland, Jun 28, 2003)
Question:
I had a nice picture in the answer component. I applied a template and my picture disappeared. Why?
Answer:
Most likely you pasted your picture to an HTML component and then used a template with a different type of text component. For example, plain text components can only show unformatted text. Such components, when used in a template, will only display the plain text of your HTML text without formatting and without the picture. You can solve the problem by using Detach Template and then applying a compatible template. In this example, you need to use a template based on HTML

In certain situations templates will auto-impose by design
(Piotr, Poland, Feb 22, 2004)
Question:
I applied a template to an item. After some operations, the template self-imposed itself onto the source. I mean, it cannot be detached now. Is it a bug?
Answer:
No. Some operations would be meaningless without imposing the template. For that reason Impose template is executed in the background without alerting you.
For example:

  1. if you type text into a template component that is not present in the source, the template must be imposed, as changing the text in one element, would change texts in all elements using that particular template if other elements did not have their source text components
  2. if you link a registry member to an extra template component, the template must be imposed, as linking the member in one element, would affect all elements using that template if they did not have the source component
  3. if you move a shape in the occlusion test and the shape is absent from the source, the template must be imposed, as changing the position of the shape in one element, would affect all elements using that template that did not have the source shape
  4. if you delete components the template is imposed and reattached after removing the source components

If you want to prevent this auto-imposition, be sure that all significant components used in the template are present in the source.

Use the Sound predefined template to add pronunciation to your elements (#342)
(Karolina Melkowska, Poland, Wednesday, October 09, 2002 8:56 PM)
Question:
I am a learner of English. I have created my own collection in SuperMemo and add new words on a daily basis. My question is how I could add pronunciation to my English elements?
Answer:
You would need to use the Sound template as opposed to the default Item template used in SuperMemo. It makes it possible to add sound files (e.g. with pronunciation of an English word) by right-clicking your mouse over the sound component and selecting Import file (e.g. press Ctrl+Q) from the component menu

In some cases, detach template will not restore the original element
(M.-L. Li , Taiwan, 2003/2/27 05:40:09)
Question:
Sometimes Detach template does not work as expected. After detaching a template, my Chinese words became random codes
Answer:
Unfortunately, there is an exception where Detach template will not work as an ideal Undo. If you apply HTML template to RTF code, the only way for SuperMemo to retain the formatting of the text is to convert RTF text to the HTML format. This operation is irreversible by design (as HTML is the preferred future format for SuperMemo). Once you detach HTML template from RTF texts, RTF components will be unable to use HTML codes of the file, and will pull plain text from the registry. This will help you restore the text as long as your language is English. However, for Asian languages, plain text is useless and you are stuck with the HTML template. Detach template will simply not work

Template flags determine how templates are applied
(Ahmet Karahan, Saturday, December 21, 2002 5:14 PM)
Question:
I have designed a template with two text components and a banner at the top and saved it as the default template for the category. However, when I apply my template to a cloze deletion element, the banner is not displayed.
Answer:
By default, cloze deletion elements have the Delete template extras template flag set. When it is on and you apply a template, all template components that do not match the element's source data will be deleted. If you would like your banner to be displayed, change the template flag before applying a template. You can change a template flag by right-clicking an element, and then choosing an option from the Template : Template flags submenu available from the element menu

You can restore deleted predefined templates
(Lisa Reaves, Tuesday, December 31, 2002 3:05 AM)
Question:
I have accidentally deleted the occlusion template from the template registry. Do I have to download your software again in order to restore it?
Answer:
No. Do the following:

  1. Go to the template registry (e.g. by choosing Search : Templates from the main menu)
  2. In the template registry window, click the Menu button (first from the left) on the registry toolbar
  3. Choose Tools : Add predefined templates from the registry menu

You can change the default item template for a given category
(Anatoliy Lipatov, Ukraine, Friday, January 10, 2003 8:59 AM)
Question:
Whenever I create an extract from an article, it is not merged with the default cloze deletion template, where cloze deletions are marked in red color against the yellow background, but what seems to be the Classic template. How can I change it to the default cloze deletion template?
Answer:

  1. Choose Search : Categories in the main menu to open the category registry
  2. In the category registry window, select the category in the left pane list
  3. Uncheck Auto-Apply

Instead of turning off Auto-Apply, you could also choose a more appropriate template:

  1. Choose Search : Categories in the main menu to open the category registry
  2. In the category registry window, select the category in the left pane list
  3. In the top-right pane, click the Template button
  4. Select an appropriate template (e.g. Item) in the template registry
  5. Choose Accept at the bottom of the registry window

Using an element as a template
(Siow Yew Nam, Singapore, Oct 10, 1999)
Question:
I have created an element that I want to use as a template. How can I make it the default template?
Answer:
To use the current element as the default template in the current category, use Template : Save as default on the element menu or simply press Ctrl+Alt+M

Spelling exercises in SuperMemo
(grzilc, Wednesday, January 30, 2002 8:56 AM)
Question:
How do I do spelling exercises in SuperMemo?
Answer:
The simplest method is to use the Spell-Pad component within the Spelling standard template. To add a single Spell-Pad click the Spell-Pad button on the Compose toolbar and then click two points of the element area in the element window. To apply the Spelling template choose Template : Apply Template (Ctrl+Shift+M) on the element menu, select Spelling and click Accept. To make the Spelling template the default template in a given category, select this category in Search : Categories, click the Template button, choose the Spelling template and click Accept. If your collection has been upgraded from earlier versions and the Spelling template is not present, you can add it with Search : Templates and then with Tools : Add predefined templates (on the registry menu)

The meaning of Replace with template
(George W., USA, Dec 17, 2000)
Question:
Is it accurate to say that the Replace with template command is the same thing as Apply template, Impose template and "do not detach template" run in succession?
Answer:
Yes


FAQ: Using texts and fonts in SuperMemo

Fonts
Learning Japanese or Hebrew
Use plain text components in templates if you want to modify many texts
East Asian Texts and IME
Using diacritical characters when learning a foreign language
Formatting
 Problems with formatting
You can launch FrontPage with Ctrl+F9
Default HTML editor will not open if the text is not of HTML format
PDF
You can use PDF files in learning
You can link to PDF files from HTML components
 There is no native PDF support in development plans
 RTF
Pictures cannot be pasted to RTF components
RTF texts in SuperMemo behave like WordPad
RTF text components need to be printed separately
RTF components do not support OLE
 Other
 Using Polish Programmer's Keyboard

See also:

  • FAQ: Using HTML
  • FAQ: Templates
  • FAQ: Collection authoring
  • Text components
  • Using templates and categories

Pictures cannot be pasted to rich text components
(MSmith, Nov 1, 2000)
Question:
Why can I not paste pictures into the rich text component?
Answer:
You need to use HTML components instead. SuperMemo uses Microsoft's Rich Edit 1.0 control that does not support pictures (except via OLE)

Use plain text components in templates if you want to modify font in texts
(Adam, Australia, Wed, May 23, 2001 4:32)
Question:
HTML and rich text format field does not seem to remember a custom font name when in a custom template. I am trying to create a default template. There are just two rich text fields, but I am using different fonts: Arial, Rockwell, etc. When I save a new template as default, and create a new element, the fonts show ok, but the template does not modify other texts
Answer:
If you want to modify the font in existing texts, you can use plain text components. RTF and HTML components only apply the font when you begin typing the text. Otherwise, they use the font stored in RTF or HTML files

RTF texts in SuperMemo behave like WordPad
(Walter G. Mayfield, Jr., Thursday, July 12, 2001 4:02 AM)
Question:
For some reason my text bullets are clock faces, is there a way to change this to regular bullets through the text registry?
Answer:
Rich text components in SuperMemo are based on Windows Rich Edit control. This implies that their behavior should mirror that of Windows WordPad. Bullet customization must be happening outside SuperMemo. You can use Edit : Edit file on the component menu (F9) to edit your texts in your default word processor (e.g. WordPad or MS Word). You can also use Edit : View source (F12) to edit low-level rtf code (only for advanced users!)

RTF text components need to be printed separately
(Ronn, Tuesday, August 28, 2001 4:26 AM)
Question:
I have been trying to print out the questions and answer element. I click on print and all I get is a blank sheet of paper
Answer:
Rich text components do not get printed along the element content. You can work around this problem in the following ways:

1. Using Text : Print on the rich text component pop-up menu (right click)

2. Copying questions and answers via clipboard (e.g. Ctrl+C)

3. Using plain text components instead of rich text components (e.g. apply Classic template)

All this trouble results from a bug in Delphi VCL library (SuperMemo development tool) that fails to print RTF texts on form printouts

You can use PDF files in learning
(Bob Welzel, Thursday, August 22, 2002 2:33 PM)
Question:
I would like to use incremental reading, however, a large proportion of the learning material I would like to know is in PDF files. SuperMemo does not support this format. What do you advise?
Answer:
You could choose between the following two solutions:

  1. You could convert original PDF files to HTML documents, which can be later easily imported to SuperMemo. E.g. if your PDF files are available on-line, you could visit the Adobe PDF Conversion by Simple Form page
  2. You could read your PDF files in Acrobat Reader, select only the most important pieces with the Text Select Tool, copy them to the clipboard, and paste them to SuperMemo as individual articles
  3. You can also store PDF files in the binary component or as links in HTML

You can link to PDF files from the HTML component
(Mala Kaur, Tuesday, July 24, 2001 6:03 AM)
Question:
I wanted to import PDF files to SuperMemo for reading and copying certain items for further analysis. I initially tried to use Insert as an OLE object but I found OLE mechanisms unstable
Answer:
Another approach is to use the HTML component. Use Insert HTML link : HTML file (on the HTML component menu) and link to the PDF file. Using this option the PDF file is not immediately visible as only files of type *.txt,*.htm, *.rtf are listed. To see the PDF files on your drive type in *.pdf in the file name field and they become visible in the File window. Naturally, you need to have Acrobat Reader installed to view the file in SuperMemo. The same method works for Excel files, Word files, etc. However, you might made your life simpler if you just pasted your PDF text into HTML component

There is no PDF support in development plans
(Jens, supermemo Quito, 20.04.02)
Question:
Many documents these days, especially relevant to scientists, are PDF documents, and SuperMemo does not deal with those
Answer:
SuperMemo will strive at maximum integration with the Internet content. Ultimately, the content should be defined as HTML/ XML. PDF format is proprietary and would add unmanageable complexity to software development at the cost of other functions and program's stability and reliability. In addition, PDF is burdened with the publishing industry point of view (fixed "page look"), and it does not separate content from style. SuperMemo will support non-HTML/XML formats and components (e.g. RTF, Script, OLE, etc.) as long as there are collections that make use of these components, and as long as there are learning functions that cannot be expressed otherwise (e.g. Mind Manager mindmaps). Otherwise, the target is a uniform format for SuperMemo along the Internet standards. For that reasons, the PDF format will not be supported. You can still store PDF files in SuperMemo using Binary component, OLE component or links in HTML components (see: You can use PDF files in learning)

RTF components do not support OLE
(Michael Smith, Canada, Tue, May 28, 2002 0:25)
Question:
Could I have an OLE object inside the RTF answer window (e.g. mathematical formula)?
Answer:
No. RTF components do not support OLE. You could try using OLE component for the same purpose. For example, create a new MS Word document within the OLE component and paste the OLE formula. Important: Turn off Scaled on the element menu to improve performance of OLE components

Learning Japanese or Hebrew
(Guy Z, Israel, Saturday, November 09, 2002 10:20 AM)
Question:
I'm using a plain text component. I've set the font script to Japanese or Hebrew. Whatever I type now shows in English. Even when I paste some Japanese text I get question marks instead.
Answer:
Plain text component is limited in the way it displays fonts (e.g. displaying ASCII beyond #128 as question marks). You could better use HTML components for the same purpose. You could also use a dedicated font (e.g. such as the one included in Hiragana/Katakana collections)

East Asian Texts and IME
(Guy Z, Israel, Saturday, November 09, 2002 10:20 AM)
Question:
How can I enter East Asian text in SuperMemo using Microsoft IME (e.g. Japanese, Chinese)?
Answer:
Follow these steps:

  1. Make sure to first install correctly all the necessary files on your system:
    In Windows XP:
    1. Go to Regional and Language Options in Control Panel
    2. Check Install files for East Asian languages under the Languages tab
    3. Click Apply and follow the installation instructions. Restart your computer if necessary
    4. Click Details... for Text services and input languages in the same tab
    5. Add the input language. Make sure that the Keyboard layout/IME option is set to Microsoft IME
    6. Click Language Bar and check the box Show Language bar
    7. In the Advanced tab, check the box Extend support for advanced text services to all programs
    8. Click OK and exit all windows
  2. Activate IME in SuperMemo:
    1. Right click on any item in the Contents window and select Rename
    2. Right click on the editable text and select Open IME. If it doesn't appear you have probably not installed the operating system local support correctly. Make sure you can first type in an IME language in all applications
  3. You should preferably create HTML components for use with Asian languages
  4. Set the desired font (depending on the target language)
  5. Select the same language in the Language Bar
  6. You can now type freely just as you would in any other IME supporting program

Problems with formatting (#16337)
(Tuan Hoang , Tuesday, February 18, 2003 1:31 AM)
Question:
When I want to number the paragraphs by adding a number before the first word of the paragraph, and want to line sentences up by adding spaces to lines under the number, the program won't let me. It brings a word from the previous line down to the line I'm trying to add spaces to, instead of lining up the paragraph
Answer:
This behavior is beyond control of SuperMemo. The auto-formatting actions are under the control of Internet Explorer. In your case, instead of formatting paragraphs with spaces, you should rather use numbered lists by clicking the numbering or bulleting icon on the formatting toolbar. Other than plain text applications (e.g. Notepad), you will notice similar problems with formatting texts in other word processors (e.g. Word, FrontPage, etc.). This behavior proves to actually save you time in the long run as long as you follow the recommended course of action

You can launch FrontPage with Ctrl+F9
(Jiri, Wednesday, August 27, 2003 1:59 AM)
Question:
When I press Ctrl+F9 on HTML component, FrontPage does not launch. Could you make it so happen that the editor specified somewhere in the options is launched. I do need it so much I would shoot the moon for that for you
Answer:
You can launch FrontPage with Ctrl+F9. The following conditions must all be met:

  1. the current component is an HTML component (e.g. if it is plain text, Ctrl+F9 will have no effect)
  2. you have Front Page installed
  3. your default HTML editor is Front Page (use Internet Explorer : Tools : Internet Options : Program : HTML editor)

Technical note: FrontPage must be associated with the 'Edit' action (not 'Open')

Default HTML editor will not open if the text is not of HTML format
(Moritz Berger , Germany, Thursday, August 28, 2003 4:10 PM)
Question:
I've noticed that on some HTML components I can open the default HTML editor while on some others this doesn't work
Answer:
If the text kept in the HTML component is unformatted, it is stored in your collection as a plain text string. SuperMemo will open the HTML editor only on formatted HTML texts. If you would still like to edit a plain text string in an HTML editor, you can trick SuperMemo by applying any formatting (e.g. Ctrl+B will turn a portion of text bold, or Ctrl+] will increase the size of the font)

Using diacritical characters when learning a foreign language (#11753)
(Joan Rawlin, Canada, Monday, July 08, 2002 10:58 AM)
Question:
I am learning Spanish. I need to use accents (e.g. É é ó, etc.). How I can access these types of characters in SuperMemo?
Answer:
You need to install a relevant keyboard layout in Windows. This is not a function of SuperMemo.

For example in Windows XP you could:

  1. Click the Start button
  2. Click on Control Panel
  3. Click Date, Time, Language, and Regional Options
  4. Click Regional and Language Options
  5. Click the Languages tab
  6. Click on the Details button
  7. Click the Add button
  8. Select the keyboard layout menu

To type the special characters, two keystrokes are required. To type the á, you need only strike the apostrophe key and then the letter a:
á = ' + a
é = ' + e
í = ' + i
ó = ' + o
ú = ' + u
ñ = ~ + n
ü = " + u
If you don't want to change your keyboard, you can always type in the codes like this:
á = Alt + 0225
é = Alt + 0233
í = Alt + 0237
ó = Alt + 0243
ú = Alt + 0250
ñ = Alt + 0241
ü = Alt + 0252
¥ = Alt + 0161
¿ Alt + 0191

Using Polish Programmer's Keyboard
(Gil, Marcin, Tuesday, August 06, 2002 11:38 AM)
Question:
I can't use <Right Alt><a>, <Right Alt><e>,<Right Alt><o> etc. to obtain Polish special characters
Answer:
You can turn off the conflicting shortcuts with Tools : Options : SuperMemo : Trim shortcuts


FAQ: Knowledge tree in the Contents window

You can use View to see the current element in the element window
The place where new elements are added
You can move elements with drag&drop
Moving elements between remote branches
Dragging modes determine how elements are moved in the contents window
You can move multiple elements between contents panels
SuperMemo rearranges elements when there are too many children per branch
Changing siblings to children
From search to the location in the knowledge tree
 You can make repetitions in a single branch
Deleting many elements without confirmation
Using many categories is better than using many collections
You cannot delete the tree root
You can automatically scroll the contents window while performing drag&drop operations
Use Arrange in folders to improve performance of your collection
Knowledge tree can automatically be sorted in alphabetical order

You can use View to see the current element in the element window
(Noel C, USA, Sep 18, 1998)
Question:
When I double click an element without children, I get to view it in the element window. However, when it has children, its branch opens or closes. How can I easily view contents elements with children in the element window?
Answer:
Click View at the bottom of the contents window

You can move elements with drag&drop
(facep2b, Mon, Jun 11, 2001 23:03)
Question:
How can I move the presenting order of items within a branch? Say, I want to move an item from the 95th place in the category to the 3rd place
Answer:
You can use drag&drop operations in Contents in Replace target mode. See: Building the knowledge tree

Moving elements between remote branches
(Richard D., USA, Jun 11, 2001)
Question:
How can I easily move elements between two deeply-nested branches in the contents tree? I could not find copy, cut and paste in the contents window
Answer:
The most convenient way is to open the second contents window (use the blue Contents alignment icon) and use drag-and-drop operations

Changing siblings to children
(Josep Ortega, Andorra, Apr 28, 1999)
Question:
How to change sibling items into child items?
Answer:
Do the following:

  1. Select Add as last child at the top of the contents window
  2. Select sibling items that are to become children
  3. Drag sibling items
  4. Drop sibling items on the item (or topic) that is to become their parent

SuperMemo rearranges elements when there are too many children per branch
(Ahmet Karahan, Friday, December 13, 2002 10:52 AM)
Question:
I find it very annoying that SuperMemo automatically changes the hook of a given branch upon adding a number of elements. Is this a bug?
Answer:
For performance reasons, SuperMemo arranges elements into separate folders of the knowledge tree if their number exceeds the limit set by Children limit per branch. It also automatically changes the hook (i.e. the appending point) to make sure it adds new elements to a folder with the fewest children.
If you would like to change the present limit of elements per branch, select Tools : Options (Ctrl+Shift+O), click the SuperMemo tab, and slide the Children limit per branch control to a desired value. Alternatively, you can manually build the knowledge tree of your collection. For details, read: Creating the knowledge tree

From search to the location in the knowledge tree
(Eric Thompson, Monday, July 08, 2002 7:06 PM)
Question:
When searching for an element using Find, how do I get to that point in the tree?
Answer:
If you search for "Hercules" in your material, all elements containing that text will be displayed in the browser. To see the location of the currently displayed element in the knowledge tree, click Contents

Use Arrange in folders to improve performance of your collection
(Asia, Poland, Wednesday, November 20, 2002 5:05 PM)
Question:
When I open/collapse branches in the contents window, I have to wait quite a while before the knowledge tree is refreshed in the window. Can I somehow speed this up?
Answer:
Use Tools : Arrange in folders from the contents menu on branches that contain a large number of children

Using many categories is better than using many collections
(Said Hussein Yasin, Switzerland, Feb 18, 1999)
Question:
What should I do for different subjects; should I use different categories within one and the same collection or should I create a new collection for each subject?
Answer:
It is highly recommended you keep all your knowledge in just one collection. Categories have been created in order to help you manage different subjects globally. They help you to quickly switch between different branches of the contents tree and keep the same look for all items in a given category. See: Using categories

Deleting many elements without confirmation
(Michal Hosowicz, Poland, Saturday, February 01, 2003 6:19 PM)
Question:
How can I delete many elements without confirming each delete?
Answer:
Drag them to a single leaf in the contents tree and delete that leaf

Dragging modes determine how elements are moved in the contents window
(Asia, Poland, Wednesday, November 20, 2002 5:05 PM)
Question:
I can't easily move elements in the knowledge tree. Are there any tricks that make it easier?
Answer:
Before you drag an element, it is vital to know there are three dragging modes, which determine different ways to move elements in the knowledge tree. They are available in the drag&drop combo box on the edit toolbar in the contents window. For more information, read: Modifying the tree using drag&drop operations

You cannot delete the tree root
(Peter , Netherlands, Mon, 12 May 2003 23:20:07 +0200)
Question:
SuperMemo displayed this message: "Cannot delete the tree root Topic #1: Family & Friends"
Answer:
This message appears when you try to delete the root of the knowledge tree in SuperMemo. This operation is not allowed; however, File : Delete collection is equivalent. All your learning material will be deleted

The place where new elements are added
(Steven White, Australia, Thursday, September 12, 2002 8:10 AM)
Question:
I would like my new items to be added always at the end of the knowledge tree, however, SuperMemo appends them all in different places.
Answer:
To get your elements added to a specific place in the knowledge tree, click Contents, select the location and click Insert at the bottom of the contents window. You can also make your selection of the append point (so called hook) more permanent in two ways:

  1. Create a category in the contents window (e.g. with Edit : Create category from the main menu). As long as the new category is selected as the default category, choosing Add New will add elements to this category. You can check if a given category is selected as default by inspecting the category combo box on the Tools toolbar. For more see: Using categories
  2. You can set any element in the contents window as the append hook by pressing the Hook button on the edit toolbar in the contents window

Knowledge tree can automatically be sorted in alphabetical order
(Ahmet Karahan, Friday, December 13, 2002 10:52 AM)
Question:
Why category subfolders created automatically by SuperMemo are sorted like this [1] Category name, [11] Category name, [12] Category name, [2] Category name, [3] Category name, etc. while I would rather expect them to be like this [1] Category name, [2] Category name, [3] Category name, etc.
Answer:
To avoid alphabetical sorting of your collection do the following:
(1) Go to the contents window
(2) On the content menu then uncheck Customize : Sorted

You can automatically scroll the contents window while performing drag&drop operations (#216)
(Asia, Poland, Wednesday, November 20, 2002 5:05 PM)
Question:
The knowledge tree in my collection has grown very large. In effect, it is very difficult to perform drag&drop operations. Is there an option in SuperMemo that would make it possible to automatically scroll the contents window as it is available in the Microsoft Excel?
Answer:
The simplest way to perform "far reaching" drag-and-drops is to open a second contents window.
However, it is also possible to auto-scroll. Using the contents menu, choose Customize : Auto-scroll. It will make it possible to automatically scroll the contents window when you move your mouse pointer to the border of the window

You can make repetitions in a single branch
(Patrik Nilsson, Tue, Aug 21, 2001 11:24)
Question:
Is it possible to have different priorities of items in the pending queue? E.g. if I first want to memorize what about school and then all kinds of hobbies?
Answer:
Pending queue is linear but can be sorted by various criteria. However, the recommended solution in your case is to keep school and hobby material in different branches or different categories. Then you will be able to use branch learning. For example, select School branch in the contents window and click Learn (or choose Ctrl+Alt+L)

You can move multiple elements between contents panels (#11752)
(Eric, Monday, July 08, 2002 7:06 PM)
Question:
Can I move multiple element selections by dragging between two contents windows (e.g. with Shift-select or Ctrl-select)?
Answer:
Yes. Both Ctrl and Shift multiple selections work in the contents window. You can drag such selections between two contents windows


SuperMemo Troubleshooter
Classes of problems with SuperMemo

Choose the class of problems:

  1. Problem with choosing the right version of SuperMemo
  2. Problem with placing an order (registration, download, shipment, etc.)
  3. Problem with installing SuperMemo
  4. Problem with using SuperMemo
  5. Problem with memory and learning

See also: Community Help and Frequently Asked Questions

If you cannot find a solution to your problem in SuperMemo Troubleshooter:

  1. write to help(AT)supermemo(.)com
  2. specify the question you could not answer
  3. specify the page at which you got stuck

Your remarks will be used to expand the troubleshooter!


SuperMemo Troubleshooter: Problems with SuperMemo 2002

SuperMemo Troubleshooter
Problems with using SuperMemo 2002 for Windows

Choose the class of problems:

  1. Problem with installing SuperMemo
  2. I do not even know where to start
  3. Where are all those advanced options?
  4. How can I learn it all step-by-step?
  5. How to install help on my hard disk?
  6. I need a description of a button or a menu item
  7. Problems with learning
  8. Problems with the layout of windows
  9. Problems with editing the learning material and changing how it looks
  10. Problems with text
  11. Problems with editing the knowledge tree in Contents
  12. Problems with files or backups
  13. Problems with terminology
  14. Problems with bugs or errors
  15. What are categories?
  16. What are templates?
  17. What is the forgetting index?
  18. Other

If you cannot find a solution to your problem in SuperMemo Troubleshooter:

  1. write to help(AT)supermemo(.)com
  2. specify the question you could not answer
  3. specify the page at which you got stuck

Your remarks will be used to expand the troubleshooter!


SuperMemo Troubleshooter: Problems with using SuperMemo

SuperMemo Troubleshooter
Using SuperMemo

Choose the class of problems:

  1. Problem with SuperMemo 2002
  2. Problem with SuperMemo 2000
  3. Problem with SuperMemo 99
  4. Problem with SuperMemo 98
  5. Problem with SuperMemo 8
  6. Problem with SuperMemo 7
  7. Problem with SuperMemo for Palm Pilot
  8. Problem with SuperMemo CE (Pocket PC)
  9. Problem with On-line SuperMemo: write to smnet(AT)supermemo(.)com
  10. Problem with SuperMemo freeware: freeware is not supported

If you cannot find a solution to your problem in SuperMemo Troubleshooter:

  1. write to help(AT)supermemo(.)com
  2. specify the question you could not answer
  3. specify the page at which you got stuck

Your remarks will be used to expand the troubleshooter!